Copyright and Legal Information

Copyright, Trademarks, and Legal Information

Copyrights

Copyright © 1999-2001, 2002-2005 Hexagon Metrology and Wilcox Associates Incorporated. All rights reserved.

Trademarks

PC-DMIS, Direct CAD, Tutor for Windows, Remote Panel Application, DataPage, and Micro Measure IV are either registered trademarks or trademarks of Hexagon Metrology and Wilcox Associates, Incorporated.

SPC-Light is a trademark of Lighthouse.

HyperView is a trademark of Dundas Software Limited and HyperCube Incorporated.

Orbix 3 is a trademark of IONA Technologies.

I-DEAS and Unigraphics are either trademarks or registered trademarks of EDS.

Pro/ENGINEER is a registered trademark of PTC.

CATIA is either a trademark or registered trademark of Dassault Systemes and IBM Corporation.

ACIS is either a trademark or registered trademark of Spatial and Dassault Systemes.

3DxWare is either a trademark or registered trademark of 3Dconnexion.

lp_solve is a free software package licensed and used under the GNU LGPL.

lpsolve information

PC-DMIS for Windows version 4.0 and beyond uses a free, open source package called lp_solve (or lpsolve) that is distributed under the GNU lesser general public license (LGPL).

lpsolve citation data

----------------------

Description : Open source (Mixed-Integer) Linear Programming system

Language : Multi-platform, pure ANSI C / POSIX source code, Lex/Yacc based parsing

Official name : lp_solve (alternatively lpsolve)

Release data : Version 5.1.0.0 dated 1 May 2004

Co-developers : Michel Berkelaar, Kjell Eikland, Peter Notebaert

Licence terms : GNU LGPL (Lesser General Public Licence)

Citation policy : General references as per LGPL

Module specific references as specified therein

You can get this package from:

http://groups.yahoo.com/group/lp_solve/


Willkommen bei PC-DMIS 4.0

  • PC-DMIS Vision

  • PC-DMIS NC

  • PC-DMIS Laser

  • PC-DMIS IP

  • Flexible Spannvorrichtung

  • Direct CAD-Schnittstellen

  • Tutor-Übersetzer

  • Pcdbasic

  • PC-DMIS-Einstellungseditor für Registrierungen

Willkommen bei PC-DMIS 4.0

In dieser Datei

Im Internet

Entdecken Sie die neuen Eigenschaften dieser Version

Erste Schritte mit einem einfachen Lernprogramm

Durchsuchen Sie die Hilfe-Datei

Starten Sie andere Hilfe-Dateien

Laden Sie eine druckfähige Betriebsanleitung herunter

Besuchen Sie die Webseite von WAI

Schicken Sie uns Ihr Feedback

Besuchen Sie die WAI-Webseite des technischen Supports

Aktuellste Hilfe-Kerndatei auf Englisch herunterladen

Angaben darüber, wie Sie mit der Hilfe-Datei umgehen, finden Sie unter "Anwenden der Online-Hilfe".

Die Hilfe-Datei wurde zuletzt aktualisiert am: 25.01.06


Verwenden der Online-Hilfe

Überblick der Hilfedatei-Oberfläche

Die Hilfe durch Drücken der Funktionstaste F1 aufrufen

Suchen im Inhaltsverzeichnis und in der Themenliste

Suchen nach Textentsprechungen

Suchen mit Hilfe der Indexeinträge

Verwenden der dynamischen Übersichtskarte

Speichern bevorzugter Hilfethemen

Ändern der Hilfedatei-Optionen

Problembehandlung in der Hilfedatei

Verbindung zum Internet-Support herstellen


Anwenden der Online-Hilfe: Einführung

Dieser Abschnitt beschreibt, wie die zusammen mit PC-DMIS installierten Hilfedateien angewendet werden.

Dieser Abschnitt umfasst die folgenden Themen:

  • Überblick der Hilfedatei-Oberfläche

  • Die Hilfe durch Drücken der Funktionstaste F1 aufrufen

  • Suchen im Inhaltsverzeichnis und in der Themenliste

  • Suchen nach Textentsprechungen

  • Suchen mit Hilfe der Indexeinträge

  • Verwenden der dynamischen Übersichtskarte

  • Speichern bevorzugter Hilfethemen

  • Ändern der Hilfedatei-Optionen

  • Problembehandlung in der Hilfedatei

  • Verbindung zum Internet-Support herstellen


Überblick der Hilfedatei-Oberfläche

Überblick der Hilfedatei-Struktur und -Oberfläche

Wenn Sie PC-DMIS installieren, erhalten Sie auch eine kompilierte HTML-Hilfedatei (eine Datei mit der Erweiterung .chm), die im selben Verzeichnis wie die PC-DMIS-Programmdatei gespeichert wird. Durch einen Doppelklick auf diese Datei oder durch Drücken von F1 jederzeit während der Ausführung von PC-DMIS wird die Hilfedatei geöffnet.

Begrüßungsbildschirm: Die PC-DMIS-Hilfedatei zeigt zuerst einen Begrüßungsbildschirm an. Er enthält einige Links, die Ihnen die ersten Schritte mit dieser Version von PC-DMIS erleichtern sollen.

Symbolleiste: Die Symbolleiste enthält folgende Schaltflächen:

  • Einblenden / Ausblenden - Über diese Schaltfläche können Sie die Registerkarten, die zur Themensuche verwendet werden, ein- oder ausblenden.

  • Lokalisieren – Mit dieser Schaltfläche wird das derzeit von Ihnen in der Hauptansicht betrachtete Thema mit der erweiterbaren und minimierbaren Ansicht der Themen auf der Registerkarte Inhalt synchronisiert und das Vorkommen dieses Themas auf dieser Registerkarte lokalisiert. Dies erfolgt in der Regel automatisch.

  • Zurück / Vorwärts – Diese Schaltflächen haben dieselbe Funktion wie die Zurück- und Vorwärts-Schaltflächen eines Internet-Browsers. Sie speichern die Themen, die Sie beim Blättern durch die Hilfedatei öffnen. Dadurch können Sie einfach wieder zu schon einmal angezeigten Themen zurückkehren oder zu den zuletzt angezeigten Themen vorwärts blättern.

  • Optionen – Hiermit können Sie verschiedene Optionen für die Hilfedatei einstellen.

Durch Klicken auf die Schaltfläche Einblenden wird das Suchfenster geöffnet. Dieses Fenster enthält die nachfolgenden Registerkarten. Sie dienen der Suche nach Hilfethemen sowie zur Speicherung derselben. (Mit Hilfe von Ausblenden wird das Fenster wieder geschlossen.)

  • Inhalt – Auf dieser Registerkarte können Sie das Inhaltsverzeichnis durchsuchen.

  • Index – Auf dieser Registerkarte können Sie mit Hilfe der Indexeinträge suchen.

  • Suchen – Auf dieser Registerkarte können Sie nach Textentsprechungen suchen.

  • Favoriten – Auf dieser Registerkarte können Sie bevorzugte Themen zur späteren Verwendung speichern.

Im restlichen Abschnitt wird beschrieben, wie Sie nach Themen suchen und diese speichern können.


Die Hilfe durch Drücken der Funktionstaste F1 aufrufen

Durch Drücken der Funktionstaste F1 kann die Online-Hilfe jederzeit aufgerufen werden. Sie können die Funktionstaste F1 in verschiedenen Kontexten einsetzen, um bestimmte Themen schneller aufzufinden.

  • Dialogfelder: Öffnen Sie ein Dialogfeld. Drücken Sie die Taste F1 bei geöffnetem Dialogfeld und PC-DMIS zeigt das mit diesem Dialogfeld verbundene Hilfethema an.

  • Symbole auf der Symbolleiste: Bewegen Sie die Maus über ein Symbol auf der Symbolleiste, bis das entsprechende QuickInfo eingeblendet wird. Drücken Sie "F1". Das entsprechende Hilfethema für dieses Symbol erscheint.

  • Menüoptionen: Bewegen Sie die Maus über eine Menüoption (nicht über einen Menütitel) auf der Menüleiste. Drücken Sie "F1". Das entsprechende Hilfethema für diese Menüoption erscheint.

  • Befehle: Öffnen Sie das Bearbeitungsfenster. Versetzen Sie es in den Befehlsmodus. Klicken Sie auf einen Befehl und drücken Sie F1. Das entsprechende Hilfethema für diesen Befehl erscheint.


Suchen im Inhaltsverzeichnis und in der Themenliste

  1. Wählen Sie Hilfe | Index, um auf die PC-DMIS-Hilfedatei zuzugreifen.

  2. Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Klicken Sie auf die Registerkarte Inhalt. Die Hilfedatei zeigt eine Themenliste an.

  4. Suchen Sie nach dem gewünschten Hauptthema, und klicken Sie dann auf das Pluszeichen (+) daneben, um zum nächsten Thema zu wechseln. Die Liste wird erweitert und zeigt Unterthemen an.

  5. Wählen Sie ein Thema zur Ansicht aus. Dadurch wird dessen Inhalt angezeigt. Nun können Sie durch die Themen blättern, indem Sie in den Themen auf die Pfeilschaltflächen Weiter oder Vorheriges klicken.


Suchen nach Textentsprechungen

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

  2. Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Klicken Sie auf die Registerkarte Suchen. Geben Sie den zu suchenden Text in das Feld Type in the word(s) to search for: (Zu suchende Wörter eingeben) ein. Wenn Sie den Text in Anführungszeichen setzen, sucht die Hilfedatei nach genauen Entsprechungen für den Text. Andernfalls sucht sie nach allen Wörtern in beliebiger Reihenfolge. In der Liste Topics (Themen) werden die gefundenen Themen aufgelistet.

  4. Doppelklicken Sie auf ein Thema, um es anzuzeigen, oder klicken Sie auf Anzeige. Das ausgewählte Thema wird angezeigt. Die Hilfedatei markiert dabei alle Wörter, die dem von Ihnen eingegebenen Text entsprechen. Um diese Markierungen zu deaktivieren, klicken Sie in der Symbolleiste der PC-DMIS-Hilfedatei auf Optionen.

Mit Hilfe der folgenden Kontrollkästchen im unteren Teil der Registerkarte Suchen können Sie Ihre Suche einschränken oder erweitern.

  • Search previous results (Vorherige Ergebnisse durchsuchen) – Mit Hilfe dieses Kontrollkästchens können Sie die vorhandenen Ergebnisse durchsuchen. Dies ist hilfreich, wenn die Suche zahlreiche Themen ergeben hat und Sie die Suche einschränken möchten.

  • Match similar words (Ähnliche Wörter suchen) – Mit Hilfe dieses Kontrollkästchens können Sie Ihre Suche auf ähnliche Wörter ausdehnen. Wenn Sie beispielsweise nach Export suchen und dieses Kontrollkästchen aktivieren, findet die Hilfedatei auch Themen, die Export-iert, Export-ieren usw. enthalten.

  • Search Titles Only (Nur Titel durchsuchen) – Dieses Kontrollkästchen beschränkt Ihre Suche auf die Titel der Hilfethemen.


Suchen mit Hilfe der Indexeinträge

  1. Wählen Sie Hilfe | Index, um auf die PC-DMIS-Hilfedatei zuzugreifen.

  2. Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Klicken Sie auf die Registerkarte Index. Geben Sie in das Feld Type in the keyword to find: (Zu suchendes Schlüsselwort eingeben) einen möglichen Indexeintrag ein. Wenn Sie kein Thema zu dem von Ihnen eingegebenen Begriff finden können, verwenden Sie ein anderes, aber ähnliches Wort.

  4. Wenn Sie das gewünschte Thema gefunden haben, klicken Sie auf die Schaltfläche Anzeige, oder doppelklicken Sie auf das Thema. Häufig enthält ein Thema eine Liste mit Unterthemen. In diesem Fall wird das Dialogfeld Topics Found (Gefundene Themen) angezeigt. Wählen Sie eines der Unterthemen aus, um es anzuzeigen.


Verwenden der dynamischen Übersichtskarte

Ab Version PC-DMIS 3.5 bieten einige PC-DMIS-Hilfedateien eine dynamische Anzeige der Menüauswahl, die Sie zum Öffnen eines in einem bestimmten Hilfethema behandelten Dialogfelds, Menüeintrags oder Bearbeitungsfenster-Befehls treffen sollten. Selbst wenn Sie eine benutzerdefinierte Oberfläche verwenden, übernimmt die dynamische Übersichtskarte die Suche in PC-DMIS und zeigt die Menüauswahl an, die sie treffen sollten.

Achtung: Damit die Übersichtskarte das Menüverzeichnis zurückgeben kann, müssen Sie mit dem Internet Explorer arbeiten und eine PC-DMIS-Instanz muss ausgeführt werden.

  • In PC-DMIS 3.5 wird die dynamische Übersichtskarte automatisch über bestimmten Themen eingeblendet.

  • In Version PC-DMIS 3.6 und höher erscheint die dynamische Übersichtskarte in einem gesonderten Popup-Fenster, wenn Sie das kleine gelbe Symbol [image] anklicken, das in bestimmten Themen vorkommt:

V3.5: Beispiel einer dynamischen Übersichtskarte | V3.6 und höher: Beispiel einer dynamischen Übersichtskarte


Speichern bevorzugter Hilfethemen

Die PC-DMIS-Hilfedatei ermöglicht Ihnen das Speichern bevorzugter Themen zur späteren Verwendung. Die Themen sind selbst dann noch gespeichert, wenn Sie die Hilfedatei schließen und später wieder öffnen.

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

  2. Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Verwenden Sie eine der Suchmethoden, um nach dem zu speichernden Thema zu suchen.

  4. Klicken Sie auf die Registerkarte Favorites (Favoriten). Im Feld Current Topic (Aktuelles Thema) sehen Sie den Titel des Themas, das im rechten Fensterausschnitt angezeigt wird.

  5. Klicken Sie auf die Schaltfläche Hinzufügen. PC-DMIS fügt das Thema zur Liste Topics (Themen) auf der Registerkarte Favorites (Favoriten) hinzu.

  6. Zum Anzeigen eines gespeicherten bevorzugten Themas doppelklicken Sie einfach in der Liste Topics (Themen) auf das gewünschte Thema.

  7. Um ein gespeichertes Thema zu entfernen, wählen Sie das Thema aus und klicken Sie auf Entfernen.


Ändern der Hilfedatei-Optionen

Mit Hilfe der Schaltfläche Optionen in der Symbolleiste können Sie verschiedene Optionen der Hilfedatei ändern.

  • Hide Tabs / Show Tabs (Registerkarten ausblenden/Registerkarten einblenden) - Diese Option entspricht der Schalftläche Ausblenden/ Einblenden in der Symbolleiste.

  • Zurück/ Vorwärts- Entspricht der Schalftläche Zurück/ Vorwärts in der Symbolleiste.

  • Home - Hiermit wechseln Sie zur Homepage, mit der die Hilfedatei verknüpft ist.

  • Anhalten - Hält den aktuellen Vorgang an. Das Zugreifen auf eine externe Webseite über den Browser der Hilfedatei wird hiermit angehalten.

  • Aktualisieren - Aktualisiert das aktuelle Thema. Wenn Sie auf eine externe Webseite zugreifen, deren Inhalt sich seit dem letzten Zugriff geändert hat, können Sie den neuesten Inhalt mit Hilfe dieser Option anzeigen.

  • Internet Options (Internetoptionen) - Öffnet das Dialogfeld Internet Options (Internetoptionen). Informationen hierzu finden Sie in der Hilfe des Internet Explorers.

  • Ask It (Fragen stellen) - Diese Option startet die Suchoption Ask It (Fragen stellen).

  • Drucken - Sendet das aktuelle Thema an Ihren Drucker.

  • Search Highlight Off (Suchmarkierung aus) - Deaktiviert den markierten Text in den angezeigten Themen bei Verwendung der Registerkarte "Suchen".


Problembehandlung in der Hilfedatei

Nachfolgend werden einige der häufigsten Fehlermeldungen aufgeführt, die bei der Ansicht der Online-Hilfedatei auftreten könnten.

Wenn Sie die dynamische Übersichtskarte ansehen, erhalten Sie einen Skriptfehler:

Vergewissern Sie sich, dass die Datei Helpmap.ocx auf Ihrem Betriebssystem vorhanden und registriert ist. Die Komponente activeX muss vorhanden sein, um die dynamische Übersichtskarte ansehen zu können. Eine Neuinstallation von PC-DMIS oder manuelle Registrierung dieser Komponente dürfte dieses Problem beheben.

Um dieses Problem manuell zu beheben, gehen Sie vor wie folgt:

  1. Laden Sie die .ocx-Datei von folgender Adresse herunter:
    ftp://ftp.wilcoxassoc.com/docs/onlinehelp/OCX/helpmap.zip

  2. Extrahieren Sie die helpmap.ocx-Datei in das Verzeichnis, in dem die PC-DMIS-Programmdatei abgelegt ist.

  3. Navigieren Sie in einem Befehlseingabefenster zu dem Verzeichnis, das die .ocx-Datei enthält.

  4. Geben Sie "regsvr32 helpmap.ocx" ein.

Wenn Sie die dynamische Übersichtskarte ansehen, erscheint kein Popup-Fenster:

Die dynamische Übersichtskarte funktioniert nur in Verbindung mit dem Internet Explorer. Bei manchen Computersystemen funktionieren die Popup-Fenster nicht, die zur Anzeige der dynamischen Übersichtskarte in der PC-DMIS Hilfedatei verwendet werden (Version 3.6 und höher), wenn nicht der Internet Explorer 6.0 oder höher installiert wurde. In diesem Fall könnte ein Skriptfehler gemeldet werden.

Um dieses Problem zu beheben, sollten Sie die neueste Version des Internet Explorer, zusammen mit allen Patches oder Service Packs, installieren.

Vergewissern Sie sich, dass PC-DMIS ausgeführt wird, wenn Sie die Übersichtskarte ansehen wollen.

Beim Ansehen einer dynamischen Übersichtskarte erscheint die Meldung, dass die Menü-Übersicht nicht angezeigt werden kann, da PC-DMIS entweder gerade nicht ausgeführt wird oder die Zeichenfolge nicht richtig von PC-DMIS weitergegeben wurde.

Vergewissern Sie sich, dass eine PC-DMIS-Instanz ausgeführt wird. Wenn Sie nach wie vor diese Fehlermeldung erhalten, besteht ein Problem mit dem verwendeten Code für die Suche in PC-DMIS, um dieses bestimmte Thema in der dynamischen Übersichtskarte anzeigen zu lassen. Notieren Sie die Themenüberschrift und Meldung und folgen Sie den entsprechenden Wegen zum technischen Support, um eine Lösung für das Problem zu erhalten.


Verbindung zum Internet-Support herstellen

Mit PC-DMIS V4.0 und höher können Sie eine Verbindung zu einer Internet-Supportsitzung herstellen, die von WebEx durchgeführt wird. Dabei verwenden Sie gemeinsam mit einem Techniker eine browser-basierte Oberfläche, um Probleme zu besprechen, Dateien zu übertragen oder Anwendungen zu betrachten. Sie können sogar die Anwendungssteuerung teilen, um ein bestimmtes Problem leichter ausfindig zu machen und zu lösen; und das alles in Echtzeit.

Achtung: Bevor Sie die Verbindung zu einer solchen Fern-Supportsitzung herstellen, müssen Sie sich die eindeutige Supportsitzung-Nummer vom Techniker besorgen.

So stellen Sie die Verbindung zu einer Internet-Supportsitzung her:

  1. Wählen Sie Hilfe | Internet-Support. Es erscheint das Dialogfeld Internet-Support.

  2. Nehmen Sie die Eingaben im Dialogfeld vor: Vorname, Nachname, E-Mail-Adresse und Supportsitzung-Nummer.

  3. Klicken Sie auf OK. PC-DMIS startet den Internet-Browser. Wenn Sie nicht bereits mit dem Internet verbunden sind, werden Sie vom Browser dazu aufgefordert, eine Verbindung herzustellen.

  4. Nachdem Sie verbunden sind, wird WebEx gestartet und Sie und der Techniker können mit der Lösung des Problems fortfahren.


Erste Schritte: Überblick

Überblick: Einführung

Erweiterungen dieser Version

Aufbau der Online-Hilfe

Konventionen

Maus-Erklärung der Begriffe

Fettdruck

Kursivtext

Großbuchstaben

Unterstreichungen

Gliederungstext

Numerierte Listen

CAD-Verknüpfungen

Verwenden einer Maus oder Motion Control (Bewegungssteuerung)

Konfigurieren einer ZMouse

Konfigurieren eines SpaceBall- oder SpaceMouse-Eingabegeräts

Verfügbare PC-DMIS-Funktionen für SpaceMouse oder SpaceBall

PC-DMIS-Funktionen SpaceMouse- oder SpaceBall-Tasten zuordnen

Automatisieren von PC-DMIS

Software-Konfigurationen

Vergleich zwischen der Offline- und der Online-Version

Online-Werkstückprogrammierung

Offline-Werkstückprogrammierung

PC-DMIS-Vision

PC-DMIS/NC

PC-DMIS-Laser

PC-DMIS-Gear


Überblick: Einführung

Der Name "PC-DMIS" wurde aus dem Akronym "DMIS" hergeleitet und bedeutet: Dimensional Measuring Interface Standard (Standard für dimensionale Mess-Schnittstellen).

PC-DMIS für Windows ist ein leistungsstarkes, geometrisches Messprogramm. Es setzt die Befehle einer höheren Programmiersprache, die zum Messen von Werkstücken erforderlich sind, in die detaillierten Verfahrensschritte um, mit denen ein Koordinatenmessgerät (KMG) gesteuert werden kann. PC-DMIS für Windows ermöglicht sowohl das Erstellen als auch das Ausführen von Werkstückprogrammen über die Benutzeroberfläche Microsoft Windows. Der Benutzer kann durch Auswahl von Dropdown-Menüs, Dialogfeldern und Symbolen im Handumdrehen mit dem Messvorgang beginnen. Die PC-DMIS-Benutzeroberfläche ist ausgesprochen vielseitig, und die Software kann leicht an individuelle Anforderungen angepasst werden.

Flexibilität und Benutzerfreundlichkeit waren die Hauptanliegen, die in den Entwurf von PC-DMIS für Windows eingeflossen sind. Zur Verwirklichung dieser Zielsetzungen bietet PC-DMIS eine flexible Umgebung, in der eine Fehlerkorrektur in Echtzeit möglich ist. Das langwierige, aufwendige Fehlersuchverfahren, das für andere geometrische Softwarepakete so kennzeichnend ist, entfällt. Da die Umgebung merkmalsorientiert ist, müssen weniger KMG-Messungen analysiert und interpretiert werden. Die Methoden für die Werkstückprogrammierung auf einem Koordinatenmessgerät (KMG) sind leicht verständlich und lassen sich mit etwas Übung systematisch durchführen. Diese Hilfedatei dient nicht dazu, den dimensionalen Prüfvorgang vollständig zu beschreiben. Wenn Sie weitere Informationen zu den Grundlagen der dimensionalen Prüfung benötigen, setzen Sie sich bitte mit Ihrem Software-Betreuer in Verbindung.

Wir hoffen, dass Ihnen die Arbeit mit dem Messprogramm PC-DMIS Spaß macht und dass es sich als hilfreiches und leistungsfähiges Werkzeug erweist. Über Vorschläge und Kommentare würden wir uns freuen, da wir ständig bestrebt sind, unser Produkt zu verbessern.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Erweiterungen dieser Version

  • Aufbau der Online-Hilfe

  • CAD-Verknüpfungen

  • Verwenden einer Maus oder Motion Control (Bewegungssteuerung)

  • Automatisieren von PC-DMIS

  • Software-Konfigurationen

Hinweis: Diese Hilfedatei enthält die zur Ausführung von PC-DMIS für Windows erforderliche Kerndokumentation. Aufgrund der modularen Struktur von PC-DMIS können jedoch zusätzliche Hilfedateien auf Ihrem Rechnersystem installiert werden. Klicken Sie in Ihrer Hilfedatei auf die Registerkarte "Inhalt", um alle weiteren installierten Dateien anzuzeigen.


Erweiterungen dieser Version

Die Datei "readme.txt" in Ihrem PC-DMIS-Installationsverzeichnis listet alle Fehlerbehebungen und Erweiterungen, die in dieser Version vorgenommen wurden, auf. Die Haupterweiterungen dieser Textdatei werden mit Links aufgelistet, die Sie gegebenenfalls direkt zu den Themen, die sie beschreiben, führen:

PC-DMIS-Kernerweiterungen

  • Erweiterungen Berichterstattung - Siehe "Messergebnisse berichten".

    • Mit Hilfe von Tools zur Vorlagenerstellung können Protokoll- und Etikettvorlagen erstellt werden. Eine Protokollvorlage, angewandt auf ihr Werkstückprogramm, ergibt das erwünschte, kundenspezifische Protokoll. Etikettvorlagen stellen Informationen darüber bereit, wie eine bestimmte Art von Befehl seine Daten im Protokoll erscheinen lassen soll.

    • Analysevorgang zur Bestimmung darüber, wie und wo etwas protokolliert wird. Einträge, die Teil des Protokolls sein sollen, werden dem Abschnitt, Etikett, etc. hinzugefügt, der für die jeweilige Art des Eintrags gilt.

    • Vom Benutzer zugeordnete Eigenschaften für Objekte in Protokollen können über eine Eingabeaufforderung festgelegt werden.

    • Das Drucken von Protokollen hat eine höhere Leistungsfähigkeit, komplexe Protokolle zu handhaben.

    • Eine Protokollausdruckssprache bietet weitere Protokolloptionen.

    • Mit dem Formblatt-Editor können Sie Formblätter erstellen, die mit Benutzern interaktiv kommunizieren.

    • Ein neues Protokollfenster zeigt die Ergebnisse der Ausführung an.

  • Merkmal-Erweiterungen - Siehe "Toleranzrahmen verwenden" und "Merkmale für Elemente erstellen"

    • Sie können jetzt Bezugselemente verwenden und Toleranzrahmen (TR) anzeigen. Dies ist der Standard-Merkmalstyp.

    • Sie können Bezugselemente für Merkmale definieren.

    • Die Menüoption "Lauf" ist aufgeteilt in "Gesamtlauf" und "Rundlauf".

    • Die Menüoption "Rundheit" ist aufgeteilt in "Rundheit" und "Zylindrizität".

    • Durch doppelklicken auf das Element im Grafikfenster wird ein TR mit einem eingebetteten Merkmal-Info-Textfeld erstellt.

    • Eine simultane Auswertung von zwei oder mehr Toleranzen unter Berücksichtigung des gleichen Bezugssystems wird unterstützt.

    • Ein separates Trieder hinsichtlich des Bezugssystems existiert.

    • Ausrichtungsmerkmale können im Verhältnis zu einem Bezugssystem ausgewertet werden.

  • Manueller Ausführungsmodus (Benutzerdefinierte Auftragsausführung) - Damit wird höchste Flexibilität bei der Werkstück-Programmausführung gewährleistet. Elemente können in beliebiger Reihenfolge ausgeführt werden. Es handelt sich hierbei um den Standardmodus für manuelle Maschinen. Er wird nicht für CNC-Maschinen angewandt. Besonders bei tragbaren Geräten ist diese Funktion hilfreich. Siehe auch "Ausführung außerhalb der vorgegebenen Reihenfolge" unter "Verwenden von fortgeschrittenen Dateioptionen".

  • Der DMIS-Export aus PC-DMIS im Offline-Betrieb kann flexibler gestaltet werden. Dadurch wird die Programmierung von KMGs, die nicht von PC-DMIS gesteuert werden, ermöglicht, während sich PC-DMIS im Offline-Betrieb befindet. Siehe "Exportieren als eine DMIS-Datei" unter "Verwenden von fortgeschrittenen Dateioptionen". Ein neues Einstellungsfenster bietet die Möglichkeit, häufig verwendete Einstellungen, die normalerweise nur im Dialogfeld "Parametereinstellungen" vorgenommen werden können, auf schnelle Art und Weise durchzuführen. Informationen hierzu finden Sie unter "Verwenden des Voransichtsfensters" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".

  • Importoptionen zur Bestimmung der Farbe von importierten Punkten, Kurven, Flächen und Bezugselementen. Importierte Polygonallinien können auch in Punkte umgewandelt werden. Sie "Importoptionen einstellen" unter "Verwenden von fortgeschrittenen Dateioptionen".

  • Ermöglicht Benutzern Freiheitsgrade bei einer Besteinpassungs-Ausrichtung zu bestimmen. Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung" unter "Erstellen und Verwenden von Ausrichtungen".

  • Sie können jetzt gleichzeitig Pan, Zoom und Rotieren, wenn Sie ein SpaceBall-5000- oder SpaceMouse-Gerät verwenden. Sie können auch die Hauptfunktion sperren, um die anderen Bewegungsfunktionen herauszufiltern. Siehe "Konfigurieren eines SpaceBall- oder SpaceMouse-Eingabegeräts".

  • Es gibt jetzt eine alternative IGES-Import-Option für IGES-Dateien, die mit dem Standard-IGES-Import fehlerhaft importiert werden. Siehe "Importoptionen einstellen" unter "Verwenden von fortgeschrittenen Dateioptionen".

  • Ein-Klick-Auto-Element Erweiterungen. Siehe "Erstellen von Auto Elementen auf schnelle Art und Weise" unter "Erstellen von Auto Elementen"

  • Ein neues Kontrollkästchen im DES-Import Dialogfenster ermöglicht Ihnen, Polygonallinien in Punkte umzuwandeln. Siehe "Importoptionen einstellen" unter "Verwenden von fortgeschrittenen Dateioptionen".

  • Ein neues Dialogfenster erlaubt die Transformierung und Skalierung (auch nicht gleichmäßig) von CAD-Daten. Siehe "Transformieren eines CAD-Modells" unter "Bearbeiten der CAD-Anzeige".

  • Dokumentation-Kommentare (COMMENT/DOC) zeigen jetzt $$ an, um Kommentar-Text anzugeben. Siehe "Kommentartext" unter "Einfügen von Protokollbefehlen".

  • Sie können einen Kreis bei einer vorgegebenen Höhe entlang einer Kegelachse erstellen. Siehe "Erstellen eines Kreises aus einem Kegel" unter "Erstellen von neuen Elementen aus vorhandenen Elementen".

  • Während der Ausführung werden Abhängigkeiten von übersprungenen Elementen auch übersprungen. Siehe "Verwenden des Dialogfelds "Ausführungsoptionen"" unter "Verwenden von fortgeschrittenen Dateioptionen: Einführung

  • Eine neue Ebene-Liste ermöglicht es Ihnen, eine Ebene auszuwählen, auf die gemessene Geraden und Kreise projiziert werden. Siehe "Symbolleiste "Einstellungen"" unter "Arbeiten mit Symbolleisten".

  • Grafikanzeige Erweiterungen -

    • Gradientfähigkeiten wurden zum Bildschirm-Hintergrund hinzugefügt. Siehe auch "Ändern der Bildschirmfarben".

    • Anstelle eines Pfeils kann ein Fadenkreuz als Mauszeiger ausgewählt werden. Siehe auch "Ändern der Bildschirmfarben".

    • Erlaubt Markierungsfarbe und Mauszeigerdefinition für "Maus über Markieren"- (MOHL) Modus. Siehe auch "Ändern der Bildschirmfarben".

    • Die Lage der Etiketten basiert jetzt auf der aktuellen Ansicht.

    • Animiertes Ziehen im Grafikfenster.

    • Wählen Sie aus verschiedenen verfügbaren CAD-Koordinatensystemen zur Anwendung im Grafikfenster oder erstellen Sie ein neues Koordinatensystem aus der aktuellen CAD-Umwandlung. Weitere Informationen hierzu finden Sie unter "Arbeiten mit CAD-Koordinatensystemen" unter "Bearbeiten der CAD-Anzeige".

    • Option eines technischen Kundendiensts im Internet. Siehe "Verwenden der Online-Hilfe" unter "Verbindung zum Internet-Support herstellen".

  • Scan-Erweiterungen - Siehe "Scannen des Werkstücks".

    • Neuer Freiform-Scan

    • Neuer Gitter-Scan

  • Tragbarer Arm-Erweiterungen - Siehe "Arbeiten mit tragbaren Geräten".

    • Vereinfachte Benutzermenüs und Symbolleisten.

    • Messpunkte in Vektorpunkte konvertieren.

    • Für tragbare Arme verfügbarer Maus-Modus.

    • Tonsignale zum Abzielen bei Romer-Armen werden hinzugefügt.

    • Perceptron-Sensor-Support bei Romer-Armen.

    • Kompensation bei Verwendung von starren Tastern bei dünnem Blech, wenn der Berührungspunkt von der Tastspitze von 90 Grad abweicht, wird hinzugefügt.

  • Die Fähigkeit, die Versionsnummer von DMIS während eines Imports in PC-DMIS nachzuverfolgen. Siehe "Importieren eines DMIS-Programms" unter "Verwenden von fortgeschrittenen Dateioptionen".

  • Sie können nun ein einzelnes Element mit verschieden großen Tastspitzen messen. In den Versionen vor Version 4.0 ging PC-DMIS davon aus, dass das gesamte Element mit nur einer Tastspitze gemessen wurde. Der Empfang von Messpunktdaten von verschieden großen Tasterradien verursachte Schwierigkeiten. Dank der verbesserten Algorithmen können Sie nun Taster mit verschiedenen Radien für ein einzelnes Element verwenden.

  • Die Fähigkeit zur einfachen Erstellung gemessener Elementgruppen (Punktgruppen). Siehe "Gemessene Elementgruppen erstellen" unter "Erstellen von gemessenen Elementen".

PC-DMIS PMP-Erweiterungen

Weitere Informationen über diese Erweiterungen können Sie der Dokumentation zu PC-DMIS PMP entnehmen.

  • Der Prüfmerkmalplan bietet verbesserte Methoden zur Visualisierung der Sicherheitsebenen im Grafikfenster, die durch transparente Ebenen dargestellt werden. Siehe die Hilfedatei des Prüfmerkmalplans.

Erweiterungen für flexible Spannvorrichtungen

Weitere Informationen über diese Erweiterungen können Sie der Dokumentation zu flexiblen Spannsystemen entnehmen.

  • Erweiterung um Unterstützung manueller Spannsysteme (5Unique). Siehe die Hilfedatei der flexiblen Spannvorrichtungen.

PC-DMIS Laser-Erweiterungen

  • "Punktewolke" (PW) wurde zur Verwendung mit Laser-Scans entwickelt. Dieses Element kann außer dem Laser-Scan auch mit jedem anderen Scan verwendet werden. Jeder Laser-Scan muss mit einer PW verbunden und darin eingefügt sein.

  • Laser-Support für diese Sensoren: Perceptron + CW43L + 3rd axis & Metris + PH10.

Direct CAD-Schnittstelle – Erweiterungen

Weitere Informationen über diese Erweiterungen können Sie der Dokumentation zur Direct CAD-Schnittstelle entnehmen.

  • Um Direct CAD-Schnittstelle für SolidEdge erweitert.

  • Der Pro/Engineer DCI wurde neu entworfen, um von den neuen Fähigkeiten der Versionen "Wildfire" und "Wildfire 2.0" zu profitieren, die zu einer beträchtlichen Leistungszunahme geführt haben.

  • CATIA 5 Direct CAD-Schnittstelle unterstützt.

PC-DMIS Vision-Erweiterungen

Weitere Informationen zu diesen Erweiterungen können Sie der Dokumentation zu PC-DMIS Vision entnehmen.

  • PC-DMIS Auto Shutter™ - Bewegen Sie das zu messende Element einfach in das Sichtfeld der Kamera. PC-DMIS spürt es es automatisch auf und misst es dann. Es wird auch ein Pfeil und ein Abstands-Overlay auf der Live Image-Ansicht angezeit, um den Benutzer in die richtige Position zu führen.

  • Die Live Image-Ansicht ist jetzt skalierbar (größer und kleiner), um den verfügbaren Platz am Bildschirm zu füllen.

  • Support für "Matrox low lost Cronos FrameGrabber" und "Artcam USB Kamera".

  • Vereinfachte Konfigurierung von Beleuchtungslampen im Setup-Dialogfeld der Maschinen-Schnittstelle.

  • Bessere Benutzerschnittstelle zum Verwenden einer Ringlampe.

  • KMG-V Vision-Support für eine Kamera auf der KMG-DSE.

  • Erweiterter Metronics-Support für PC-DMIS Vision. Optikmaschine wird unter Verwendung der Metronics-Schnittstelle (z. B. Mitutoyo Quick Vision) nachgerüstet.

  • Erweiterter "Mycrona Red Line"-Support.

  • Verbessertes automatisches Zielen in PC-DMIS Vision, wobei Elemente, die sich in Position befinden, automatisch aufgespürt werden.

  • Beleuchtungslampen werden nun zur leichteren Anwendung direkt von der Taster-Werkzeugleiste aus gesteuert.

  • Erweiterter Support für das Winkelpunkt-Auto Element von Vision.

  • Erweiterter Support für das Kerben-Auto Element von Vision.

  • Live Image für Vision kann nun skaliert werden.

  • Assistent für 321-Ausrichtung arbeitet mit Vision-Elementen.


Aufbau der Online-Hilfe

Diese Online-Dokumentation ist in verschiedene Haupt- und Unterabschnitte gegliedert.

Um Ihnen einen Überblick über den Aufbau der Online-Hilfe zu geben, werden die Hauptabschnitte im Folgenden kurz beschrieben.

"Erste Schritte: Ein Überblick" ist der Abschnitt, den Sie derzeit lesen. Sie erhalten eine kurze Übersicht über den Inhalt der PC-DMIS-Online-Hilfe.

"Erste Schritte: Ein einfaches Lernprogramm" wird der Messvorgang eines leicht verständlichen Lernprogrammes erläutert.

"Unter "Navigation durch die Benutzeroberfläche" wird die Benutzeroberfläche von PC-DMIS sowie Möglichkeiten der benutzerdefinierten Anpassung beschrieben.

"Unter "Verwenden von grundlegenden Dateioptionen" werden die grundlegenden Möglichkeiten von PC-DMIS besprochen, wie beispielsweise das Aufrufen des Werkstückprogramms, das Speichern und das Beenden von PC-DMIS.

"Unter "Verwenden von fortgeschrittenen Dateioptionen" erhalten Sie Informationen zu den fortgeschrittenen Dateivorgängen, wie beispielsweise dem Import und Export von CAD-Dateien und der Ausführung des Werkstückprogramms.

"Unter "Voreinstellungen" wird beschrieben, wie Sie mit den Setup-Optionen des Menüs Bearbeiten Ihre gewünschten Einstellungen vornehmen können. Außerdem erhalten Sie Informationen zum Einfügen und Bearbeiten von Werkstückprogramm-Parametern.

"Unter "Bearbeiten der CAD-Anzeige" wird beschrieben, wie Sie die Optionen des Menüs Grafik im Grafikfenster verwenden, um die Anzeige Ihrer CAD-Datei zu bearbeiten

"Unter "Bearbeiten eines Werkstückprogramms" wird beschrieben, wie Sie die Optionen des Menüs Bearbeiten im Bearbeitungsfenster verwenden, um Ihr Werkstückprogramm zu bearbeiten.

"Unter "Verwenden des Bearbeitungsfensters" erhalten Sie Informationen zum in PC-DMIS integrierten Editor, mit dem Sie Ihr Werkstückprogramm erstellen, debuggen, bearbeiten und ausführen.

"Unter "Arbeiten mit weiteren Fenstern, Editoren und Tools" werden weitere Fenster, Editoren und Werkzeuge beschrieben, die im Menü Ansicht zur Auswahl stehen.

"Unter "Arbeiten mit den Symbolleisten" werden die im Grafikfenster verfügbaren Symbolleisten beschrieben. Sie erfahren, auf welche Weise Sie die einzelnen Symbole beim Erstellen oder Bearbeiten des Werkstückprogramms nutzen können.

"Unter "Definieren von Hardware" wird das Untermenü Hardwaredefinition des Menüs Einfügen vorgestellt. Mit diesem Untermenü können Sie Taster, Maschinen oder Schnellspannsysteme für die Verwendung mit PC-DMIS definieren. In diesem Abschnitt wird außerdem die Tastspitzenkalibrierung erläutert.

"Unter "Erstellen von automatischen Elementen" wird beschrieben, wie Sie die Option Einfügen | Element | Auto zum Erstellen von automatischen Elementen verwenden und wie diese Elemente anschließend in Ihrem Werkstückprogramm gemessen werden.

"Unter "Erstellen von gemessenen Elementen" wird beschrieben, wie Sie die Option Einfügen | Element | Messwert zum Erstellen von gemessenen Elementen in Ihrem Werkstückprogramm verwenden.

"Unter "Erstellen von neuen Elementen aus vorhandenen Elementen" erhalten Sie Anleitungen zum Erstellen von Elementen, die mit der Option Einfügen | Element | Abhängiges Element im Werkstückprogramm abgelegt werden.

"Unter "Erstellen von benutzerdefinierten Elementen" wird beschrieben, wie Sie einen Lesepunkt-Befehl einfügen und wie Sie mit den Optionen Einfügen | Element | Lesepunkt und Einfügen | Element | Benutzerdefiniertes Element benutzerdefinierte Elemente erstellen.

"Unter "Erstellen und Verwenden von Ausrichtungen" finden Sie Informationen zum Erstellen und Speichern von Ausrichtungen mit dem Untermenü Einfügen | Ausrichtung.

"Unter "Merkmale für Elemente erstellen" wird beschrieben, wie Sie unter Verwendung des Untermenüs Einfügen | Merkmal Merkmale für Elemente erstellen können.

"Unter "Verwenden von Toleranzrahmen" wird beschrieben, wie unter Verwendung von Toleranzrahmen und Symbolen des GD&T-Standards, Merkmale für Elemente erstellt werden.

"Unter "Scannen Ihres Werkstücks" wird beschrieben, wie Sie einen Scanvorgang durchführen und mit dem Untermenü Einfügen | Scan einfache oder fortgeschrittene Scans erstellen.

"Unter "Einfügen von Bewegungsbefehlen" werden verschiedene Bewegungsbefehle erläutert, die Sie über das Untermenü Einfügen | Bewegung in Ihr Werkstückprogramm einfügen können.

"Unter "Verzweigen mit Hilfe der Programmablaufsteuerung" finden Sie Informationen zu einer Vielzahl an Befehlen, die Sie zur Ablaufregelung Ihres Werkstückprogramms verwenden können. Zugriff auf diese Befehle erhalten Sie über das Untermenü Einfügen | Programmablaufsteuerung.

"Unter "Nachverfolgen statistischer Daten" wird erklärt, wie Sie Statistiken in Ihrem Werkstückprogramm verfolgen und verwenden können.

"Unter "Messergebnisse protokollieren" werden Sie durch die einzelnen Schritte bei der Erstelllung von Protokoll- und Etikettvorlagen und die Verwendung von Formblättern geleitet.

"Unter "Einfügen von Protokollbefehlen" werden die Protokollbefehle erläutert, die Sie über das Untermenü Einfügen | Protokollbefehl in Ihr Werkstückprogramm einfügen können.

"Unter "Verwenden der Datei-Eingabe/-Ausgabe" erhalten Sie Anleitungen zum Arbeiten mit der Datei-Eingabe und -Ausgabe, wobei Sie über das Untermenü Einfügen | Datei I/O-Befehl Dateien zum Lesen, Schreiben oder zu anderen Zwecken öffnen können.

"Unter "Verwenden von Ausdrücken und Variablen" wird beschrieben, wie Sie Ausdrücke erstellen und Ausdrucksergebnisse zu Variablen hinzufügen.

"Unter "Hinzufügen externer Elemente" erhalten Sie Informationen zur Verwendung von externen Anwendungen, Skripten, Werkstückprogrammen und anderen Objekten in Ihrem Werkstückprogramm, um dessen Leistungsfähigkeit zu verbessern.

"Unter "Arbeiten im Mehrarmbetrieb" wird beschrieben, wie PC-DMIS mit Doppelarm-KMGs verwendet wird.

"Unter "Navigation in und Anzeigen von mehreren Fenstern" wird beschrieben, auf welche Weise Sie problemlos zwischen den geöffneten Fenstern navigieren oder diese anzeigen können. Hierzu verwenden Sie das Menü Fenster.

"Unter "Verwenden der Online-Hilfe" wird beschrieben, wie Sie über das Menü Hilfe auf die Online-Hilfe zugreifen können.

Darüber hinaus werden auch die folgenden zusätzlichen Themen behandelt:

  • "Arbeiten im Offline-Modus"

  • "Übertragen eines Werkstückprogramms in PC-DMIS"

  • "Arbeiten mit einem DSE-Gerät"

  • "Kalibrieren seltener verwendeter Taster"

  • "Arbeiten mit tragbaren Geräten"

  • "Arbeiten im Bediener-Modus"

  • "Messen automatischer Elemente mit dem NC-100-Optiksensor"

  • "Verwenden von Tastaturbefehlen und Kontextmenüs"

  • "Fehlercodes"

Siehe auch:

Konventionen


Konventionen

Folgende Konventionen wurden in der Online-Hilfe verwendet:

Siehe auch:

Maus-Erklärung der Begriffe

Fettdruck

Kursivtext

Großbuchstaben

Unterstreichungen

Gliederungstext

Numerierte Listen


Maus-Erklärung der Begriffe

Die Maustaste klicken - In dieser Hilfedatei ist durchweg von "Klicken der Maustaste" die Rede. Dieser Ausdruck bezieht sich auf das Herunterdrücken und schnelle Wiederloslassen der Maustaste. Wenn Sie beispielsweise aufgefordert werden, auf eine Menüoption zu klicken, schieben Sie den Mauszeiger (Pfeil) mit Hilfe der Maus auf die gewünschte Menüoption, drücken die linke Maustaste und lassen sie schnell wieder los. Die meisten Optionen werden durch Klicken mit der linken Maustaste aktiviert. Gehen Sie daher bei Anleitungen, bei denen nur von "Klicken auf" ein Element die Rede ist (ohne dass eine bestimmte Taste erwähnt wird), ruhig davon aus, dass sie sich auf die linke Maustaste beziehen, sofern keine anderen Angaben gemacht werden.

Die Maustaste gedrückt halten - In dieser Hilfedatei ist durchweg von "Drücken und Halten der Maustaste" die Rede. Dieser Ausdruck bezieht sich darauf, dass die Maustaste gedrückt gehalten wird, während ein bestimmter Vorgang ausgeführt wird. Sofern keine gegenteiligen Angaben gemacht werden, ist damit die linke Maustaste gemeint. Beachten Sie bitte, dass für manche Funktionen sowohl die linke als auch die rechte Maustaste gedrückt werden müssen. Wenn Ihr Gerät über eine mittlere Maustaste oder ein Scrollrad verfügt, dann kann in solchen Fällen die Mitteltaste statt die beiden Maustasten gedrückt werden.


Fettdruck

Fettdruck wird vorwiegend eingesetzt, wenn folgende Elemente genannt werden:

  • Dialogfeld-Elemente

  • Dialogfeldnamen

  • Befehlsschaltflächen

  • Symbole

  • Menüs und Menüeinträge

  • Symbolleisten

Beispiel:

  1. Wählen Sie die gewünschte Menüoption Datei | Neu aus.

  2. Rufen Sie das Dialogfeld Öffnen auf.

  3. Klicken Sie auf die Schaltfläche Speichern.

Auch Hinweise, Warnungen, Tipps und Beispiele können durch Fettdruck hervorgehoben werden.

Wenn Menüs und Menüoptionen innerhalb von Vorgängen und anderen Themen genannt werden, werden Sie auf folgende Weise zu einem Menü geleitet:

Menü | Untermenü oder Menüeintrag | Menüeintrag

Da Sie aber Ihre Menüpositionen und -namen anpassen können, zeigt diese Dokumentation nur die Standardpositionen für Menüeinträge an.

In Ihrer Online-Hilfedatei finden Sie jedoch ein Menü-Übersichtssymbol innerhalb verschiedener Themen. Mit einem Mausklick auf das Symbol wird der Pfad zum Menüeintrag (oder Einträge) angezeigt, der in diesem Thema behandelt wurde.


Kursivtext

Kursivtext wird vorwiegend eingesetzt, um Inhalte hervorzuheben. Beispiel: "Wenn. . .der Taster auf ein Hindernis stößt, hält er nicht automatisch an".

Kursivtext kann auch folgendes ausweisen:

  • Titel von Büchern oder Handbüchern

  • Vordefinierte Argumente (beim Programmieren)

  • Parameter (beim Programmieren)

  • Platzhalter (beim Programmieren)

  • Benutzereingaben (beim Programmieren)


Großbuchstaben

Großbuchstaben werden meist verwendet, wenn folgende Elemente genannt werden:

  • Akronyme (wie beispielsweise VDAFS, DMIS)

  • Uhrzeit (z.B. a.m. oder p.m.)

  • Gerätenamen (wie beispielsweise LPT1 oder COMM PORT 2)

In den Fällen, in denen Elemente der Rechnerprogrammierung angezeigt werden, werden für Folgendes Großbuchstaben verwendet:

  • Steuerelementklassen

  • Datenformate

  • Umgebungsvariablen

  • Zugriffsnummern

  • Hooks

  • Indizes

  • Makros

  • Aussagen

  • Strukturen

  • Systembefehle

  • Werte


Unterstreichungen

Unterstreichungen werden bei Bedarf eingesetzt, um etwas hervorzuheben. Meistens werden Hervorhebungen jedoch durch Kursivschrift ausgedrückt.


Gliederungstext

Gliederungspunkte "·" werden verwendet, um Options- oder Befehlslisten anzuzeigen, die für bestimmte unter einem Thema oder Abschnitt behandelten Programmmerkmale oder –punkte zur Verfügung stehen.


Numerierte Listen

Numerierte Listen geben die einzelnen Arbeitsschritte in Anleitungen und Verfahren an. Beispiel:

  1. Wählen Sie Datei.

  2. Klicken Sie auf Neu.

  3. Füllen Sie das Dialogfeld Neues Werkstückprogramm aus.


CAD-Verknüpfungen

PC-DMIS bietet verschiedene Methoden zur Übertragung von CAD-Geometrien, Werkstückprogrammen und Messdaten aus bzw. in CAD-Systeme. Die Unterstützung von CAD-Daten ist einer der wichtigsten Vorteile von PC-DMIS.

Für den Import von CAD-Geometrien in PC-DMIS und den Export von Messdaten aus PC-DMIS stehen folgende Methoden zur Auswahl:

  • IGES 5.3

  • STEP AP203 & AP214

  • VDAFS

  • DES (2/78)

  • XYZIJK-Format

Folgende Objekte können zur Erstellung von Werkstückprogrammen und zur Bezugnahme bei der Programmausführung in PC-DMIS importiert werden:

  • Zweidimensionale Drahtmodelle

  • Zweieinhalbdimensionale Drahtmodelle

  • Dreidimensionale Drahtmodelle

  • B-Spline-Kurven und Oberflächen-CAD-Modelle

Eine Liste der unterstützten IGES-Elemente finden Sie unter "Arbeiten im Offline-Modus" .

Werkstückprogramme, die in CAD-Systemen erstellt worden sind, können über DMIS 3.0 in PC-DMIS importiert werden. PC-DMIS-Werkstückprogramme können zur Verwendung mit einem anderen Koodinatenmessgerät (KMG) in DMIS exportiert werden. .

Zudem ist es möglich, PC-DMIS-Messergebnisse als DMIS-Ergebnisdatei zu exportieren.


Verwenden einer Maus oder Motion Control (Bewegungssteuerung)

Flexibilität und Benutzerfreundlichkeit gehören zu den Hauptanliegen von PC-DMIS. Zur Erfüllung dieser Ziele ermöglicht PC-DMIS die Verwendung von Mausgeräten und Motion Controllern. Durch ihre Schnelligkeit und Genauigkeit ist die Maus beispielsweise unverzichtbarer Bestandteil der PC-DMIS-Arbeitsumgebung. Alle PC-DMIS-Funktionen können mit der Maus ausgeführt werden. (Die meisten PC-DMIS-Funktionen sind auch über Tastaturbefehle zugänglich.)

Siehe auch:

Konfigurieren einer ZMouse

Konfigurieren eines SpaceBall- oder SpaceMouse-Eingabegeräts


Konfigurieren einer ZMouse

Einige Systeme bieten eine Art Trackball-Eingabegerät an, das als ZMouseÒ bezeichnet wird. Damit kann der Benutzer die Bewegung des Mauszeigers über den Z-Arm steuern.

Die letzte Zeile der Parameterdatei (DOWNLOAD) sollte folgendermaßen lauten:

N1000 ZMOUSE2
oder
N500 ZMOUSE2

Wenn die ZMouseÒ aktiviert werden soll, überprüfen Sie bitte, ob die letzte Zeile der Datei DOWNLOAD die voranstehende Anweisung enthält. Ändern Sie die Zeile ggf. ab.


Konfigurieren eines SpaceBall- oder SpaceMouse-Eingabegeräts

PC-DMIS Version 3.7 und höher unterstützt folgende Bewegungssteuerungen der 3Dconnexion-Software:

  • SpaceBall®

  • SpaceMouse®

Diese Eingabegeräte kommunizieren über die 3DxWare-Schnittstelle mit PC-DMIS. Diese Schnittstelle verwendet eine Konfigurationsdatei, die mit PC-DMIS zusammen geliefert werden oder in Ihrer 3DConnexion-CD enthalten sein kann. In dieser Konfigurationsdatei werden die verfügbaren Funktionen für die PC-DMIS-Anwendung definiert, die den verschiedenen Tasten dieser Geräte zugeordnet werden können. Mit dieser Datei werden auch die Standardkonfiguration und Tastenzuweisungen definiert.

Sie können die neueste Konfigurationsdatei von der FTP Website von Wilcox Associates, Inc. herunterladen:

Laden Sie die "Install_PCDMIS_400_3Dconnexion.exe"-Konfigurationsdatei herunter

Siehe auch:

Verfügbare PC-DMIS-Funktionen für SpaceMouse oder SpaceBall

PC-DMIS-Funktionen den Tasten von SpaceMouse- oder SpaceBall-Eingabegeräten zuweisen

SpaceBall- oder SpaceMouse-Modi


Verfügbare PC-DMIS-Funktionen für SpaceMouse oder SpaceBall

Dieses Thema beschreibt die Funktionen, die Sie den Tasten auf Ihrem SpaceMouse- oder SpaceBall-Eingabegerät zuordnen können. Zu diesen Funktionen gehören:

>Bewegung ignorieren - Ignoriert alle Übertragungs- und Rotationsinformationen der Bewegungssteuerung.

>Nächste Ansicht – Erzwingt die Fokussierung der Bewegungssteuerung auf die nächste Ansicht, wenn Mehrfachansichten verfügbar sind.

>IDs Ein-/Ausblenden - Schaltet die Anzeige von Etiketten-IDs des Textfeldes "Element" ein bzw. aus.

>Größe anpassen – Führt den standardmäßigen PC-DMIS-Vorgang "Größe anpassen" aus.

>Cursor einblenden – Blendet einen Hilfscursor auf dem Bildschirm ein. Wird verwendet mit Durch Cursor zentrieren, PC-DMIS-Zoom, PC-DMIS 2D-Rotation und PC-DMIS 3D-Rotation.

>Durch Cursor zentrieren – Aktiviert die Cursoranzeige, wenn dies nicht bereits erfolgt ist. Andernfalls erscheint die Bildschirmmitte dort, wo sich der Hilfscursor befindet.

>PCDMIS-Pan– Pan-Funktion für das Grafikfenster. Sie können die Vorrichtung zum PAN LEFT nach links oder zum PAN RIGHT nach rechts schwenken und zum PAN UP nach oben oder PAN DOWN nach unten schwenken und dabei die PAN-Konfiguration in den ">CAD PZR"-Einstellungen anpassen. Die Bewegungsvorrichtung ahmt mit dieser Einstellung eine Art "Joystick" nach.

>PCDMIS-Zoom – Wenn Sie den Hilfscursor aktiviert haben, ist der Mittelpunkt des Zooms an der Stelle verankert, an der sich der Hilfscursor befindet. Andernfalls führt PC-DMIS einen standardmäßigen Zoomvorgang durch. Sie können die Vorrichtung nach vorne oder nach hinten gleiten lassen. Durch die Bewegung nach vorne erreichen Sie eine Verkleinerung und durch die Bewegung nach hinten eine Vergrößerung. Dies entspricht der Zoom-Konfiguration der ">CAD PZR"-Einstellungen.

>PCDMIS-2D-Rotieren – Wenn Sie einen Hilfscursor aktiviert haben, wird der Punkt, der bei der Berechnung des Rotationswinkels zugrundegelegt wird, dort verankert sein, wo sich der Hilfscursorbefindet (vergleichbar mit einer 2D-Rotation der rechten Maustaste). Andernfalls wird der zur Berechnung des Rotationswinkels verwendete Punkt einfach oben rechts am Bildschirmmittelpunkt liegen. In beiden Fällen führt PC-DMIS eine standardmäßige PC-DMIS-2D-Rotation aus.

>PCDMIS-3D-Rotieren – Wenn Sie einen Hilfscursor aktiviert haben, dann wird der als Rotationsmittelpunkt verwendete Punkt dort verankert sein, wo sich der Hilfscursor befindet (vergleichbar mit einer 3D-Rotation der rechten Maustaste). Andernfalls wird die Bildschirmmitte als Rotationsmittelpunkt verwendet. In beiden Fällen führt PC-DMIS eine standardmäßige 3D-Rotation aus.

>CAD-PZR - Pan-, Zoom- und Rotationsfunktion gleichzeitig (PZR) für das Bild des Werkstücks im Grafikfenster. Der Rotationsmittelpunkt ist stets das CAD-Modell und der Zoom-Bezugspunkt ist der Mittelpunkt des CAD-Modells. Beim Start eines Werkstückprogrammes wird PC-DMIS diese Funktion standardmäßig einschalten.

>CAD-PZR-Dominant- Schaltet die dominante Funktion des CAD-PZR basierend auf der größtmöglichen Abweichung der SpaceBall-Achsen ein bzw. aus. Dies ermöglicht Ihnen eine bessere Kontrolle, da weniger dominante Funktionen herausgefiltert werden. Wenn Sie beispielsweise in diesem Modus die Achsen rotieren und eine geringe Abweichung bei der Pan- oder Zoomfunktion auftritt, wird nur die dominante Funktion, in diesem Fall die Rotation, stattfinden. Beim Start eines Werkstückprogrammes wird PC-DMIS diese Funktion standardmäßig ausschalten.

>PZR-Beidseitige Beleuchtung – Schaltet die beidseitige Beleuchtung für die Pan-, Zoom- oder Rotationsfunktionen (PZR) ein bzw. aus. Diese Eigenschaft ist auch im Dialogfeld der PZR-Optionen aufgeführt.

>PZR 1/5th von Objekten – Schaltet die Bedingung, die Objekte während der Pan-, Zoom- oder Rotationsfunktion auf 20% (ein Fünftel) verkleinert anzuzeigen, ein bzw. aus. Diese Eigenschaft ist auch im Dialogfeld der PZR-Optionen aufgeführt.

>PZR im Drahtmodell - Schaltet den Drahtmodellmodus bei der Durchführung der Panorama-, Zoom- oder Rotationsfunktion ein bzw. aus. Diese Eigenschaft ist auch im Dialogfeld der PZR-Optionen aufgeführt.

>Dialog: PZR-Optionen – Blendet das Dialogfeld PZR-Optionen ein.

>Dialog: CAD-Info– Blendet das Dialogfeld CAD-Angaben ein.

>Dialog: Ansicht einrichten – Blendet das Dialogfeld Ansicht einrichten ein.

Weitere Informationen zum Dialogfeld PZR finden Sie unter "Verändern von Rotations- und anderen Bewegungsoptionen" im Abschnitt "Bearbeiten der CAD-Anzeige" .


PC-DMIS-Funktionen SpaceMouse-Tasten zuordnen oder

PC-DMIS-Funktionen SpaceMouse- oder SpaceBall-Tasten zuordnen

Verwenden Sie das 3Dconnexion-Bedienfeld, um Ansichten, die mit Tastenabläufen verbunden sind, zu definieren und um PC-DMIS-Funktionen Ihrem Eingabegerät zuzuordnen.

  1. Doppelklicken Sie auf das 3DxWare-Symbol, das Sie in Ihrem Systemordner finden. Es erscheinen die 3DxWare-Konfigurationsanwendung und das 3Dconnexion-Bedienfeld.

3Dconnexion-Bedienfeld zeigt das SpaceBall-Eingabegerät an

  2. Wählen Sie PC-DMIS aus der Konfiguration für: -Liste. PC-DMIS zeigt die Standardfunktionen für die verschiedenen Tasten an.

  3. Wählen Sie die PC-DMIS-Funktionen, die Sie zuordnen möchten, aus den Listenfeldern für die Tasten aus.

  4. Bearbeiten Sie je nach Bedarf weitere Optionen.

  5. Klicken Sie auf Schließen, um die Konfiguration zu übernehmen und schließen Sie das Bedienfeld.

Bei Bedarf finden Sie weitere Informationen in der Hilfedatei des 3Dconnexion-Bedienfeldes.


SpaceBall- oder SpaceMouse-Modi

Diese Eingabegeräte befinden sich immer in einem bestimmten Modus. Ein Symbol erscheint in der unteren rechten Ecke des Grafikfensters, um den aktuellen Ausführungsmodus für CAD PZR, PCDMIS pan oder PCDMIS Zoom anzuzeigen.

Standard-Modi

  • Cursor einblenden

  • CAD-PZR

  • PCDMIS rotieren

  • PCDMIS-Pan

  • PCDMIS-Zoom

  • CAD-PZR-dominant - Das Bild in der unteren rechten Ecke des Grafikfensters zeigt eine "1" an, was bedeutet, dass nur jeweils eine der drei Funktionen (Pan-, Zoom- oder Drehfunktion) verwendet wird.

Demo-Modus

Mit diesen Geräten ist es auch möglich, das Grafikfenster in einen Demo-Modus zu versetzen. Dieser Modus bewirkt, dass sich das Grafikfenster mehrere Male in der Sekunde automatisch dreht. Um den Demo-Modus zu aktivieren oder zu beenden, drücken Sie die STRG-Taste und klicken Sie auf die Größe anpassen-Schaltfläche auf dem Gerät.


Automatisieren von PC-DMIS

PC-DMIS kann durch jede Software eines Drittherstellers gesteuert werden. Sie können beispielsweise Ihre eigene benutzerdefinierte Anwendung erstellen und mit Hilfe der Automatisierungsbefehle PC-DMIS über diese Anwendung starten und anwenden.

Vollständige Informationen zu diesen Automatisierungsbefehlen für die Steuerung von PC-DMIS und zu unterstützten BASIC-Befehlen finden Sie in der Hilfedatei PC-DMIS BASIC .


Software-Konfigurationen

Unter der Voraussetzung, dass Sie die erforderlichen Module erworben haben und Ihre Anschlusssperre entsprechend konfiguriert ist, können Sie PC-DMIS mit verschiedenen Konfigurationen starten. Vorgehensweise:

  1. Öffnen Sie das Verzeichnis, in dem sich die Verknüpfung für die PC-DMIS-Anwendung befindet (gewöhnlich ist sie unter C:\Documents and Settings\All Users\Start Menu\Programs\PC-DMIS for Windows zu finden).

  2. Nach einem Rechtsklick auf das Verzeichnis wählen Sie Neu | Tastenkombination.

  3. Folgen Sie den Bildschirmanweisungen, um die Tastenkombination mit der PC-DMIS-Anwendungsdatei, pcdlrn.exe, zu verbinden (unabhängig davon, wo sich das Installationsverzeichnis befindet).

  4. Fügen Sie beliebige dieser Befehlszeilenparameter (oder Argumente) im Anschluss an den kompletten Verzeichnispfad der Tastenkombination zur Anwendungsdatei hinzu:

/f für den Offline-Modus

/u für die Benutzerrechtebene, wenn Sie als Administrator im System eingeloggt sind.

/o für den Bedienermodus

/r für den Umkehrachsenmodus auf dem Slave-Arm eines Doppelarmsystems

/p für den Pro-Modus (kann nicht in Verbindung mit "/c switch" verwendet werden)

/c für den CAD-Modus (kann nicht in Verbindung mit "/p switch" verwendet werden)

/d für den Debug-Modus dieser Sitzung

/nc0, um PC-DMIS ohne CNC-Funktionalität auszuführen

//5unique, um PC-DMIS ohne diese Funktionalität auszuführen

/cmt, um PC-DMIS ohne diese Funktionalität auszuführen

/dccscanning, um PC-DMIS ohne diese Funktionalität auszuführen

/displaycad, um PC-DMIS ohne diese Funktionalität auszuführen

/laserprobe, um PC-DMIS ohne diese Funktionalität auszuführen

/masterslave, um PC-DMIS ohne diese Funktionalität auszuführen

/nocontactprobe, um PC-DMIS ohne diese Funktionalität auszuführen

/remotepanel, um PC-DMIS ohne diese Funktionalität auszuführen

/rotarytable, um PC-DMIS ohne diese Funktionalität auszuführen

/sheetmetal, um PC-DMIS ohne diese Funktionalität auszuführen

/statsoutput, um PC-DMIS ohne diese Funktionalität auszuführen

/systemv, um PC-DMIS ohne diese Funktionalität auszuführen

/toolchanger, um PC-DMIS ohne diese Funktionalität auszuführen

/valisys, um PC-DMIS ohne diese Funktionalität auszuführen

/vision, um PC-DMIS ohne diese Funktionalität auszuführen

/wrist, um PC-DMIS ohne diese Funktionalität auszuführen

Wenn Sie also PC-DMIS pro im Offline-Modus ausführen wollen, würde das Zielverzeichnis etwa folgendermaßen aussehen:

"C:\Program Files\pcdmisw\PCDLRN.exe" /p /f

Außerdem können Sie PC-DMIS anweisen, automatisch ein bestimmtes Werkstückprogramm (oder bestimmte Werkstückprogramme) zu öffnen, indem Sie eine auf ein Werkstückprogramm verweisende Verzeichniszeichenfolge als Befehlszeilenargument anhängen.

  • Bei der Vorgabe des zu ladenden Werkstückprogramms müssen Sie das Zeichen "/", das für die anderen oben behandelten Argumente erforderlich war, nicht eingeben.

  • Wenn mehr als ein Werkstückprogramm geöffnet werden soll, geben Sie ein Leerzeichen zwischen jedem weiteren Verzeichnispfad ein.

  • Wenn Ihr Dateiname Leerzeichen enthält, setzen Sie den Verzeichnispfad zwischen Anführungszeichen.

Wenn Sie beispielsweise zwei Werkstückprogramme mit den Bezeichnungen test.prg und test2.prg im Offline-Modus aus einem Verzeichnis mit dem Namen "My Part Programs" heraus starten wollen, könnten die Zielverzeichnisse folgendermaßen aussehen:

"C:\Program Files\PCDLRN.exe" /f "d:\my part programs\test.prg" "d:\my part programs\test2.prg"

Die häufigsten Betriebsarten sind der Offline- und Online-Modus. Diese beiden unterschiedlichen Produkte wurden zur Erfüllung bestimmter Anforderungen konzipiert. Sie können gemeinsam verwendet werden, um komplette Werkstückprogramme, Messanalysen und Reverse-Engineering-Systeme (zur Datenrückführung) zu erstellen.

Diese und weitere Konfigurationen werden nachstehend genauer erläutert.

Siehe auch:

Vergleich zwischen der Offline- und der Online-Version

PC-DMIS Vision

PC-DMIS/NC

PC-DMIS Laser

PC-DMIS Gear


Vergleich zwischen der Offline- und der Online-Version

Da sowohl die Online- als auch die Offline-Version dieselben Merkmale und Funktionen aufweisen, beschreibt diese Hilfedatei die Anwendung beider Produkte. In manchen Fällen ist ein bestimmtes Merkmal der Online-Software jedoch nicht auf die Offline-Software anwendbar. Auf diese Fälle wird jeweils entsprechend hingewiesen.

Siehe auch:

Online-Werkstückprogrammierung

Offline-Werkstückprogrammierung


Online-Werkstückprogrammierung

Mit PC-DMIS im Online-Betrieb hat der Benutzer die Möglichkeit der Ausführung vorhandener Werkstückprogramme, der schnellen Prüfung von Werkstücken (oder Werkstückabschnitten) und der Entwicklung von Werkstückprogrammen direkt am KMG. Online-PC-DMIS kann jedoch nur ausgeführt werden, wenn ein KMG angeschlossen ist. Offline-Programmierungsverfahren dagegen können auch online ausgeführt werden.


Offline-Werkstückprogrammierung

Mit PC-DMIS im Offline-Betrieb können Werkstückprogramme ohne ein KMG entwickelt und auf Fehler geprüft werden, indem ein online erstelltes Werkstück bearbeitet, eine CAD-Eingabedatei importiert oder mit einem DMIS- oder AVAIL-Werkstückprogramm gearbeitet wird. Das Werkstückprogramm kann dann direkt in der Online-Version von PC-DMIS ausgeführt oder in DMIS oder ein anderes der vielen erhältlichen anbieterspezifischen Formate exportiert (nachverarbeitet) werden. Offline-PC-DMIS kann nicht zur direkten Steuerung eines KMGs eingesetzt werden.

Unter "Arbeiten im Offline-Modus" finden Sie detaillierte Informationen zur Offline-Version.


PC-DMIS Vision

Mit dieser besonderen Version von PC-DMIS können Sie bestimmte optische Taster zur Elementmessung einsetzen. Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer Hilfedatei " PC-DMIS Vision ".


PC-DMIS/NC

Mit dieser besonderen PC-DMIS-Version können Sie Werkstückmessungen mit Hilfe von NC-Werkzeugmaschinen ausführen. Diese Werkzeugmaschinen werden auch als CNC (rechnergesteuerte numerische)-Geräte bezeichnet. Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer Hilfedatei "PC-DMIS/NC".


PC-DMIS Laser

Mit diesem Modul von PC-DMIS können Sie einen Lasertaster zur einfachen Messung Ihrer Werkstücke einsetzen. Ein Laserstrahl wird über das Werkstück geführt, um eine hohe Anzahl von Punkten zu erfassen. die dann interpretiert und als Elemente definiert werden. Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer Hilfedatei "PC-DMIS Laser".


PC-DMIS Gear

PC-DMIS Gear ist ein Softwareprodukt, das in Verbindung mit PC-DMIS eingesetzt wird, um die schnelle und einfache Messung von Getriebeteilen zu ermöglichen. Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer "PC-DMIS Gear"-Hilfedatei, die mit dieser Anwendung installiert wird.


PC-DMIS PMP

Beim Prüfmerkmalplan von PC-DMIS (PMP) handelt es sich um ein Zusatzmodul, das in Verbindung mit einem unterstützten CAD-Paket und PC-DMIS eingesetzt wird, um Entwurfs- und Qualitätsingenieure bei der Entwicklung eines Plans zur Bestimmung der Elemente der Geometrie und deren GD&T-Merkmale, die im Prüfvorgang verwendet werden sollen, zu unterstützen. Da "PMP" innerhalb des CAD-Software-Pakets ausgeführt wird, erleichtert es den Lernvorgang, da ein nur geringer Teil von PC-DMIS für Windows zur Erzeugung des Werkstückprogramms notwendig ist.

Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer Hilfedatei "PC-DMIS PMP".


Erste Schritte: Ein einfaches Lernprogramm

Ein einfaches Lernprogramm: Überblick

Erste Schritte mit einem einfachen Lernprogramm

Schritt 1: Erstellen eines neuen Werkstückprogramms

Schritt 2: Definieren eines Tasters

Schritt 3: Einrichten der Ansicht

Schritt 4: Messen von Elementen

Eine Ebene messen

Eine Gerade messen

Einen Kreis messen

Schritt 5: Skalieren des Bildes

Schritt 6: Erstellen einer Ausrichtung

Schritt 7: Voreinstellungen

Eingeben des CNC-Modus

Einstellen der Bewegungsgeschwindigkeit

Einstellen der Sicherheitsebene

Schritt 8: Hinzufügen von Kommentaren

Schritt 9: Messen von zusätzlichen Elementen

Schritt 10: Erstellen von neuen Elementen aus vorhandenen Elementen

Schritt 11: Berechnen von Merkmalen

Schritt 12: Markieren der auszuführenden Elemente

Schritt 13: Einstellen der Protokollausgabe

Schritt 14: Ausführen des fertiggestellten Programms

Schritt 15: Drucken des Protokolls

Messen von Elementen

E lementerkennung

Mindestanzahl von Messpunkten für ein Element

Aufnehmen von Messpunkten

Entfernen oder Löschen von Messpunkten

Elemente beenden

Bestimmen der Stärke von Blechelementen

Theoretische Stärke

Ist-Stärke

Verwenden unterschiedlicher Tasteroptionen

Online-Verwendung eines Tasters

Offline-Verwendung eines Tasters

Verwenden von starren Tastern

Aufnehmen eines Messpunkts mit einem starren Taster

Flache Elemente

Runde Elemente

Grafische Darstellung eines Werkstücks

Arbeiten im manuellen oder CNC-Modus


Ein einfaches Lernprogramm: Überblick

Dieser Abschnitt führt Sie durch den Prozess des Messens eines Werkstücks mit Hilfe des KMGs im Online-Modus.

Zur Erstellung dieses kurzen Lernprogramms wurde der Hexagon-Prüfblock verwendet.

Hexagon-Prüfblock

Wenn Sie mit einer Maschine im Online-Modus arbeiten möchten und nicht physisch über dieses Werkstück verfügen, genügt ein beliebiges ähnliches Werkstück, mit dem mehrere Kreise und ein Kegel gemessen werden können.

Hinweis für Benutzer im Offline-Betrieb: Wenn Sie im Offline-Modus (ohne ein KMG) arbeiten, haben Sie die Möglichkeit, einige der unten aufgeführten Schritte zu importieren und auf Ihrem System nachzuvollziehen, indem Sie mit der Maus auf das IGES-Modell des Prüfblocks auf dem Werkstück klicken, anstatt tatsächlich Messpunkte mit der Tastvorrichtung im Online-Modus aufzunehmen. Dieses Modell gehört zum Installationspaket PC-DMIS für Windows. Es befindet sich in dem Verzeichnis, in dem PC-DMIS installiert ist. Wenn Sie es verwenden möchten, importieren Sie einfach die Datei "HEXBLOCK_WIREFRAME_SURFACE.igs". Weiter Informationen finden Sie unter "Grafische Darstellung eines Werkstücks" in diesem Abschnitt.

Um die Fähigkeiten von PC-DMIS genau kennenzulernen, sollten Sie diesen Abschnitt vollständig durchlesen und das Gelesene auf Ihrem System nachvollziehen.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Erste Schritte mit einem einfachen Lernprogramm

  • Messen von Elementen

  • Verwenden unterschiedlicher Tasteroptionen

  • Grafische Darstellung eines Werkstücks

  • Arbeiten im manuellen oder CNC-Modus


Erste Schritte mit einem einfachen Lernprogramm

Dieser Abschnitt beschreibt die einzelnen Schritte bei der Erstellung eines einfachen Werkstückprogramms. Sie werden mit PC-DMIS online ein Werkstückprogramm erstellen, ohne CAD-Daten zu verwenden.

Wenn Sie mit einem Verfahren nicht vertraut sind, verwenden Sie bitte die Online-Hilfe (Taste F1), um zusätzliche Informationen einzublenden.

Das Lernprogramm führt Sie durch die folgenden Schritte:

Schritt 1. Erstellen eines neuen Werkstückprogramms

Schritt 2. Definieren eines Tasters

Schritt 3. Einrichten der Ansicht

Schritt 4. Messen von Elementen

Schritt 5. Skalieren des Bildes

Schritt 6. Erstellen einer Ausrichtung

Schritt 7. Voreinstellungen

Schritt 8. Hinzufügen von Kommentaren

Schritt 9. Messen von zusätzlichen Elementen

Schritt 10. Erstellen von neuen Elementen aus vorhandenen Elementen

Schritt 11. Berechnen von Merkmalen

Schritt 12. Markieren der auszuführenden Elemente

Schritt 13. Einstellen der Protokollausgabe

Schritt 14. Ausführen des fertiggestellten Programms

Schritt 15. Drucken des Protokolls


Schritt 1: Erstellen eines neuen Werkstückprogramms

Menü-Übersicht anzeigen So erstellen Sie ein neues Werkstückprogramm :

  1. Öffnen Sie das PC-DMIS-Programm durch Doppelklicken auf das PC-DMIS-Symbol. Sie können PC-DMIS auch öffnen, indem Sie auf die Schaltfläche Start und dann auf Programmdateien | PC-DMIS für Windows | Offline klicken. Es erscheint das Dialogfeld Datei öffnen. Wenn Sie in einer vorangegangenen PC-DMIS-Sitzung ein Werkstückprogramm erstellt haben, so könnten Sie dieses Programm hier laden.

  2. Da Sie für diese Übung ein neues Werkstückprogramm erstellen, klicken Sie nun auf die Schaltfläche Abbrechen, um das Dialogfeld zu schließen.

  3. Öffnen Sie das Dialogfeld Neues Werkstückprogramm durch Auswahl von Datei | Neu.

    Neues Werkstückprogramm (Dialogfeld)

  4. Geben Sie im Feld Werkstückname den Namen "TEST" ein.

  5. Stellen Sie als Maßeinheit Englisch (Zoll) ein.

  6. Wählen Sie in der Dropdown-Liste Schnittstelle den Eintrag ONLINE aus.

  7. Klicken Sie auf OK. PC-DMIS erstellt das neue Werkstückprogramm.

Sobald Sie ein neues Werkstückprogramm erstellt haben, aktiviert PC-DMIS die Hauptbenutzeroberfläche und öffnet unmittelbar danach das Dialogfeld Taster-Hilfsprogramme, in dem Sie einen Taster laden können.

Fahren Sie mit dem nächsten Schritt fort: "Definieren eines Tasters".


Schritt 2: Definieren eines Tasters

Menü-Übersicht anzeigen Mit dem Dialogfeld Taster- Hilfsprogramme (Einfügen | Hardwaredefinition | Taster) können Sie einen neuen Taster definieren. Wenn Sie zuerst ein neues Werkstückprogramm erstellen, blendet PC-DMIS dieses Dialogfeld automatisch ein. Informationen hierzu finden Sie unter "Definieren von Hardware".

Tipp: Klicken Sie auf dieses Symbol aus der Symbolleiste des Assistenten [image], um den Tasterassistenten von PC-DMIS aufzurufen. Mit dem Tasterassistenen können Sie den Taster auf einfache Art und Weise definieren. Hierzu können Sie auch das Dialogfeld Taster-Hilfsprogramme verwenden.

Im Bereich Tasterbeschreibung des Dialogfelds Taster-Hilfsprogramme können Sie Taster, Tasterverlängerungen und Tastspitzen definieren, die im Werkstückprogramm verwendet werden. Die Dropdown-Liste Tasterbeschreibung zeigt die verfügbaren Tasteroptionen in alphabetischer Reihenfolge an.

So laden Sie Ihren Taster über das Dialogfeld Taster-Hilfsprogramme:

  1. Geben Sie im Feld Tasterdatei den Namen des Tasters ein. Wenn Sie später weitere Werkstückprogramme erstellen, werden Ihre Taster in diesem Dialogfeld zur Auswahl bereitstehen.

  2. Wählen Sie die Aussage: "Kein Taster definiert."

  3. Wählen Sie in der Dropdown-Liste Tasterbeschreibung den gewünschten Tastkopf mit der Maus oder den Pfeiltasten aus und drücken Sie die EINGABETASTE.

  4. Wählen Sie "Leere Verbindung Nr. 1" und fahren Sie dann mit der Auswahl der notwendigen Tasterteile fort, bis der Taster vollständig ist.

  5. Klicken Sie auf OK. Das Dialogfeld Taster-Hilfsprogramme wird geschlossen und PC-DMIS kehrt zur Hauptbenutzeroberfläche zurück.

  6. Prüfen Sie, ob die soeben erstellte Tastspitze als aktive Tastspitze angezeigt wird. (Betrachten Sie dazu die Liste Tastspitzen in der Symbolleiste Einstellungen.)

Hinweis: Bevor Sie den von Ihnen definierten Taster anwenden können, müssen Sie den Tastspitzenwinkel kalibrieren. Dieser Kalibriervorgang wird in diesem Lernprogramm nicht behandelt. Eingehende Informationen hierzu finden Sie unter "Messen" im Abschnitt "Definieren von Hardware".

An dieser Stelle richten Sie die Ansichten ein, die Sie im Grafikfenster verwenden werden. Dazu verwenden Sie das Symbol Ansicht einrichten [image] aus der Symbolleiste Grafikmodi.

Fahren Sie mit dem nächsten Schritt fort: "Einrichten der Ansicht".


Schritt 3: Einrichten der Ansicht

Dialogfeld "Ansicht einrichten".

Zum Ändern der Ansichten im Grafikfenster verwenden Sie das Dialogfeld Ansicht einrichten. Zum Öffnen des Dialogfeldes klicken Sie auf das Symbol Ansicht einrichten aus der Symbolleiste Grafikmodi oder wählen Sie die Menüoption Bearbeiten | Grafikfenster | Ansicht einrichten:

  1. Wählen Sie im Dialogfeld Ansicht einrichten das gewünschte Bildschirmformat aus. Klicken Sie für dieses Lernprogramm auf die zweite Schaltfläche (obere Reihe, zweite Schaltfläche von links) und richten Sie ein horizontal geteiltes Fenster ein.

  2. Wenn Sie den oberen Bildteil in Z+-Richtung betrachten wollen, öffnen Sie die blaue Dropdown-Liste im Bereich Ansichten im Dialogfeld und wählen Sie Z+.

  3. Wenn Sie den unteren Bildteil in Y-Ausrichtung betrachten wollen, öffnen Sie die rote Dropdown-Liste und wählen Sie Y-.

  4. Klicken Sie auf die Schaltfläche Übernehmen, damit PC-DMIS das Grafikfenster mit den beiden angeforderten Ansichten neu zeichnet. Da Sie das Werkstück noch nicht gemessen haben, wird im Grafikfenster nichts angezeigt. Der Bildschirm wird jedoch gemäß den im Dialogfeld Ansicht einrichten ausgewählten Ansichten geteilt.

Hinweis: Alle Anzeigeoptionen wirken sich lediglich auf die Art und Weise aus, wie PC-DMIS das Bild des Werkstücks anzeigt. Sie haben keinerlei Auswirkung auf gemessene Daten oder Prüfergebnisse.

Fahren Sie mit dem nächsten Schritt fort: "Messen von Elementen".


Schritt 4: Messen von Elementen

Schritt 4: Messen der Ausrichtungselemente

Sobald der Taster definiert und angezeigt wurde, können Sie den Messvorgang beginnen und Ausrichtungselemente messen. Informationen zur korrekten Aufnahme von Messpunkten finden Sie unter Messen von Elementen. (Auch das Löschen von Messpunkten und Elementen wird dort behandelt.)

  • Eine Ebene messen

  • Eine Gerade messen

  • Einen Kreis messen

Fahren Sie mit dem nächsten Schritt fort: "Skalieren des Bildes"


Eine Ebene messen

Eine Ebene messen

Stellen Sie vor Aufnahme von Messpunkten sicher, dass PC-DMIS auf den Programmiermodus eingestellt ist.
Wählen Sie hierzu das Symbol Programmiermodus
.

Nehmen Sie drei Messpunkte auf der Oberfläche auf. Die Messpunkte sollten eine Dreiecksform ergeben und so weit wie möglich auseinander liegen. Drücken Sie nach dem dritten Messpunkt die Taste ENDE. PC-DMIS zeigt eine Element-ID und ein Dreieck an, um die Messung der Ebene zu signalisieren.


Eine Gerade messen

Eine Gerade messen

Um eine Gerade zu messen, nehmen Sie zwei Messpunkte an der seitlichen Fläche gleich unter der Werkstückkante auf – den ersten Messpunkt auf der linken Seite des Werkstücks und den zweiten Messpunkt rechts neben dem ersten Messpunkt. Die Richtung ist beim Messen von Elementen sehr wichtig, da PC-DMIS diese Informationen zur Erstellung des Koordinatenachsensystems verwendet. Drücken Sie nach dem zweiten Messpunkt die Taste ENDE. PC-DMIS wird eine Element-ID und eine gemessene Gerade im Grafikfenster anzeigen.


Einen Kreis messen

Bewegen Sie den Taster auf einen Kreismittelpunkt. (Für dieses Beispiel wurde der Kreis links oben ausgewählt.) Senken Sie den Taster in das Loch und messen Sie den Kreis, indem Sie vier Messpunkte in ungefähr gleichem Abstand um den Kreis herum aufnehmen. Drücken Sie die ENDE-Taste nach Aufnahme des letzten Messpunkts. PC-DMIS wird eine Element-ID und einen gemessenen Kreis im Grafikfenster anzeigen.


Schritt 5: Skalieren des Bildes

Über das Symbol Größe anpassen wird das Bild im Grafikfenster skaliert.

Nachdem die drei Elemente gemessen sind, klicken Sie auf das Symbol Größe anpassen in der Symbolleiste (oder wählen Sie Vorgänge | Grafikfenster | Größe anpassen in der Menüleiste), um im Grafikfenster alle gemessenen Elemente anzuzeigen.

Grafikfenster mit den gemessenen Elementen

Der nächste Schritt innerhalb des Messvorgangs ist das Erstellen einer Ausrichtung.

Fahren Sie mit dem nächsten Schritt fort: "Erstellen einer Ausrichtung".


Schritt 6: Erstellen einer Ausrichtung

Mit diesem Verfahren legen Sie den Koordinatennullpunkt fest und definieren die X-, Y- und Z-Achsen. Detaillierte Informationen zum Erstellen von Ausrichtungen finden Sie im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Tipp: Klicken Sie auf folgendes Symbol aus der Symbolleiste des Assistenten: um den PC-DMIS Assistenten für die 3-2-1-Ausrichtung aufzurufen.

  1. Menü-Übersicht anzeigen Öffnen Sie das Dialogfeld Ausrichtungen (Einfügen | Ausrichtung | Neu).

  2. Mithilfe des Cursors oder der Pfeiltasten wählen Sie die Ebenenelemente ID (PLN1) aus dem Listenfeld aus. Wenn Sie die Etiketten unverändert belassen haben, wird die Element-ID im Listenfeld als "F1" (d.h. Element 1) angezeigt.

  3. Mit der Befehlsschaltfläche Raum können Sie die Ausrichtung der senkrechten Achse der aktuellen Arbeitsebene festlegen.

  4. Wählen Sie die Ebenenelement-ID (PLN1 oder F1) ein zweites Mal aus.

  5. Markieren Sie das Kontrollkästchen Auto.

  6. Klicken Sie auf die Befehlsschaltfläche Nullpunkt. Damit wird der Nullpunkt des Werkstücks auf eine bestimmte Position (in diesem Fall, auf der Ebene) übertragen (oder verschoben). Wenn das Kontrollkästchen Auto markiert ist, werden die Achsen basierend auf dem Elementtyp und der Richtung dieses Elements bewegt.

  7. Heben Sie die Geradenelement-ID (LINE1 oder F2) hervor.

  8. Klicken Sie auf die Befehlsschaltfläche Ebene. Damit wird die definierte Achse der Arbeitsebene zum Element hin gedreht. PC-DMIS dreht die definierte Achse um den Flächenmittelpunkt, der als Nullpunkt dient.

  9. Wählen Sie die Kreiselement-ID (KREIS1 oder F3) aus.

  10. Vergewissern Sie sich, dass das Kontrollkästchen Auto markiert ist.

  11. Klicken Sie auf die Befehlsschaltfläche Nullpunkt. Damit wird der Nullpunkt zum Kreismittelpunkt hin bewegt und der Punkt auf dem Ebenenniveau gehalten.

Das Dialogfeld Ausrichtungen sollte zu diesem Zeitpunkt folgendermaßen aussehen:

Dialogfeld "Ausrichtungen" mit der aktuellen Ausrichtung

Klicken Sie auf OK, wenn Sie obige Schritte durchgeführt haben. Die Liste Ausrichtungen (in der Symbolleiste Einstellungen) und derBefehlsmodus des Bearbeitungsfensters werden die neu erstellte Ausrichtung anzeigen.

Das Bearbeitungsfenster zeigt die neu erstellte Ausrichtung an.

Auch das Grafikfenster wird aktualisiert, um die aktuelle Ausrichtung anzuzeigen.

Aktualisiertes Grafikfenster mit der aktuellen Ausrichtung

Fahren Sie mit dem nächsten Schritt fort: "Voreinstellungen".


Schritt 7: Voreinstellungen

Sie können PC-DMIS an Ihre spezifischen Bedürfnisse oder Vorlieben anpassen. Es gibt eine Vielzahl von Optionen, auf die Sie über das Untermenü Bearbeiten | Einstellungen zugreifen können. In diesem Abschnitt werden nur die für diese Übung sachdienlichen Optionen behandelt. Vollständige Informationen zu allen verfügbaren Optionen finden Sie unter "Voreinstellungen".

  • Eingeben des CNC-Modus

  • Einstellen der Bewegungsgeschwindigkeit

  • Einstellen der Sicherheitsebene

Fahren Sie mit dem nächsten Schritt fort: "Hinzufügen von Kommentaren".


Eingeben des CNC-Modus

Wählen Sie den CNC-Modus aus. Dazu klicken Sie entweder auf das Symbol CNC-Modus in der Symbolleiste Tastermodus, oder Sie setzen Ihren Cursor auf die Zeile "MODUS/MANUELL" im Bearbeitungsfenster und drücken die Taste F8.

Im Bearbeitungsfenster erscheint nun der Befehl:

MODUS/CNC

Zusätzliche Informationen zu den einzelnen KMG-Modi finden Sie unter "Symbolleiste "Tastermodus"".


Einstellen der Bewegungsgeschwindigkeit

Parametereinstellungen (Dialogfeld) - Registerkarte "Bewegung"

Mit der Option Bewegungsgeschwindigkeit können Sie die Punkt-zu-Punkt-Positioniergeschwindigkeit des KMGs ändern.

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Öffnen Sie die Registerkarte Bewegung.

  3. Setzen Sie den Cursor auf das Feld Bewegungsgeschwind..

  4. Wählen Sie den aktuellen Wert des Felds "Bewegungsgeschwind.".

  5. Geben Sie 50 ein. Dieser Wert gibt den prozentualen Anteil der maximalen Maschinengeschwindigkeit an.

Mit dieser Einstellung bewegt PC-DMIS das KMG mit 50% der Höchstgeschwindigkeit. Die Standardeinstellungen für die anderen Optionen genügen den Anforderungen in dieser Übung.

Siehe auch "Parametereinstellungen: Registerkarte "Bewegung"", um weitere Informationen zur Bewegungsgeschwindigkeit und zu anderen Bewegungsoptionen zu erhalten.


Einstellen der Sicherheitsebene

Parametereinstellungen (Dialogfeld) - Registerkarte "Sich.-Ebene"

So definieren Sie eine Sicherheitsebene:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Öffnen Sie die Registerkarte Sich.-Ebene.

  3. Markieren Sie das Kontrollkästchen Sicherheitsebenen aktiv (EIN).

  4. Heben Sie den aktuellen Wert des Felds Aktive Ebene hervor.

  5. Geben Sie den Wert 0,50 ein. Mit dieser Einstellung wird eine Sicherheitsebene von 12,7 mm um die oberste Ebene des Werkstücks herum erstellt.

  6. Prüfen Sie, ob die oberste Ebene als die aktive Ebene angezeigt wird.

  7. Klicken Sie auf Übernehmen.

  8. Klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und speichert die Sicherheitsebene im Bearbeitungsfenster.

Siehe auch "Parametereinstellungen: Registerkarte "Sicherheitsebene"", um weitere Informationen zur Definition von Sicherheitsebenen zu erhalten.


Schritt 8: Hinzufügen von Kommentaren

So fügen Sie Kommentare hinzu:

  1. Rufen Sie das Dialogfeld Kommentar auf (Einfügen | Protokollbefehl | Kommentar).

  2. Klicken Sie auf die Option Bediener.

  3. Geben Sie im Feld Kommentartext den folgenden Text ein: "WARNUNG, Maschine geht in den CNC-Modus."

Kommentar (Dialogfeld)

  4. Klicken Sie auf OK, um das Dialogfeld zu schließen und diesen Befehl im Bearbeitungsfenster anzuzeigen.

Weitere Informationen finden Sie unter "Einfügen von Programmiererkommentaren".

Fahren Sie mit dem nächsten Schritt fort: "Messen von zusätzlichen Elementen".


Schritt 9: Messen von zusätzlichen Elementen

Verwenden Sie den Taster, um drei weitere Kreise und einen Kegel zu messen. Beim Messen des Kegels gehen Sie am besten gemäß der untenstehenden Zeichnung vor und nehmen drei Messpunkte auf der oberen Ebene und drei Messpunkte auf einer unteren Ebene auf.

Aus Messungen auf unterschiedlichen Ebenen erstellter Kegel

Fahren Sie mit dem nächsten Schritt fort: "Erstellen von neuen Elementen aus vorhandenen Elementen".


Schritt 10: Erstellen von neuen Elementen aus vorhandenen Elementen

PC-DMIS kann neue Elemente auf Basis anderer Elemente erstellen. Vorgehensweise:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Gerade).

Abhängiges Element Gerade erstellen (Dialogfeld)

  2. Klicken Sie mit dem Mauszeiger im Grafikfenster oder im Listenfeld des Dialogfelds Abhängiges Element Gerade erstellen auf zwei Kreise (KREIS2, KREIS3). Wenn die Kreise ausgewählt sind, werden Sie hervorgehoben angezeigt.

  3. Wählen Sie die Option Autom.

  4. Wählen Sie die Option "2D Gerade".

  5. Klicken Sie auf die Schaltfläche "Erzeugen".

PC-DMIS erstellt eine Gerade (GERADE2) unter Verwendung der effektivsten Methode zum Erstellen.

Die Geraden- und Element-ID werden im Grafikfenster und im Bearbeitungsfenster angezeigt.

Darstellung einer erstellten Geraden im Grafikfenster

Weitere Informationen zum Erstellen von Elementen finden Sie unter "Erstellen von neuen Elementen aus vorhandenen Elementen".

Fahren Sie mit dem nächsten Schritt fort: "Berechnen von Merkmalen".


Schritt 11: Berechnen von Merkmalen

Sobald ein Element erstellt ist, können die Merkmale dieses Elements berechnet werden. Merkmale können in jeder Phase des Lernens eines Werkstückprogramms erzeugt werden und sind für individuelle Vorgaben maßgeschneidert. PC-DMIS zeigt die Ergebnisse der einzelnen Merkmalsoperationen im Bearbeitungsfenster an.

So erzeugen Sie ein Merkmal:

  1. Wählen Sie das Untermenü Einfügen | Merkmal und stellen Sie sicher, dass der Menüeintrag Kompatible Merkmale ausgewählt ist (daneben erscheint dann eine Markierung).

  2. Öffnen Sie das Dialogfeld Lage (Einfügen | Merkmal | Position).

  3. Wählen Sie im Listenfeld oder im Grafikfenster die letzten drei Kreise aus, die durch Hervorheben der Elementidentifikationen im Listenfeld gemessen wurden.

Die letzten drei im Dialogfeld "Lage" gewählten Kreise.

  3. Klicken Sie auf die Schaltfläche Erzeugen.

Bearbeitungsfenster mit den Lageabmessungen für drei Kreise

PC-DMIS zeigt die Lage der drei Kreise im Bearbeitungsfenster an. Diese Werte können einfach durch Doppelklicken auf die gewünschte Linie, Hervorheben des benötigten Nennwerts und Eingabe des neuen Werts verändert werden.

Weitere Informationen zum Erstellen von Merkmalen finden Sie unter "Merkmale für Elemente erstellen".

Fahren Sie mit dem nächsten Schritt fort: "Markieren der auszuführenden Elemente".


Schritt 12: Markieren der auszuführenden Elemente

Anhand von Markierungen können Sie festlegen, welche Elemente Ihres Werkstückprogramms ausgeführt werden sollen. Markieren Sie für dieses Lernprogramm alle Elemente.

  1. Sie markieren alle Elemente des Werkstückprogramms, indem Sie auf die Menüoption Bearbeiten | Markierungen | Alles markieren klicken. Diese Option wird unter "Bearbeiten eines Werkstückprogramms" näher beschrieben. Nachdem Sie die Elemente markiert haben, werden sie in der aktuellen Markierfarbe angezeigt.

  2. PC-DMIS fragt nach, ob Sie die manuellen Ausrichtungselemente wirklich markieren möchten. Klicken Sie auf Ja.

Fahren Sie mit dem nächsten Schritt fort: "Einstellen der Protokollausgabe".


Schritt 13: Einstellen der Protokollausgabe

PC-DMIS sendet das Abschlussprotokoll je nach ausgewählter Option an eine Datei oder an einen Drucker. Stellen Sie für dieses Lernprogramm die Protokollausgabe auf den Drucker ein.

  1. Wählen Sie die Option Datei | Drucken | Druckereinrichtung Protokoll.... Das Dialogfeld Druckoptionen wird angezeigt.

  2. Aktivieren Sie das Kontrollkästchen Drucker.

  3. Klicken Sie auf OK.

Es gibt nun genügend Informationen, so dass PC-DMIS das in dieser Übung erstellte Werkstückprogramm ausführen kann.

Fahren Sie mit dem nächsten Schritt fort: "Ausführen des fertiggestellten Programms".


Schritt 14: Ausführen des fertiggestellten Programms

Es gibt eine Vielzahl von Optionen, mit denen Sie das gesamte Werkstückprogramm oder Teile davon ausführen können. Siehe "Ausführen von Werkstückprogrammen" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".

Sobald alle Schritte durchgeführt wurden:

  1. Wählen Sie die gewünschte Menüoption Datei | Ausführen aus. PC-DMIS zeigt das Dialogfeld Ausführungsoptionen an und beginnt den Messvorgang.

  2. Lesen Sie die Anweisungen im KMG-Befehlsfenster, und befolgen Sie die Aufforderungen zur Aufnahme bestimmter Messpunkte.

  3. PC-DMIS fordert Sie auf, die Messpunkte ungefähr an der im Grafikfenster angegebenen Stelle aufzunehmen.

  • Nehmen Sie drei Messpunkte auf der Oberfläche auf, um eine Ebene zu erstellen. Drücken Sie die Taste ENDE.

  • Nehmen Sie zwei Messpunkte an der Kante auf, um eine Gerade zu erstellen. Drücken Sie die Taste ENDE.

  • Nehmen Sie vier Messpunkte innerhalb des Kreises auf. Drücken Sie die Taste ENDE.

4. Klicken Sie nach der Aufnahme jedes Messpunkts auf Fortfahren.

Die im Dialogfeld "Ausführungsoptionen" angezeigten Anweisungen

So einfach ist das. (Wenn PC-DMIS einen Fehler erkennt, wird dieser im Dialogfeld in der Liste KMG-Fehler angezeigt und Sie müssen etwas unternehmen, bevor das Programm fortfahren kann.)

Sobald Sie den letzten Messpunkt des Kreises aufgenommen haben, blendet PC-DMIS das Dialogfeld PC-DMIS-Meldung mit der folgenden Meldung ein: "WARNUNG: Maschine geht in den CNC-Modus.". Sobald auf OK geklickt wurde, misst PC-DMIS automatisch die restlichen Elemente.

Wenn ein Fehler auftritt, suchen Sie die Ursache mit Hilfe der Dropdown-Liste KMG-Fehler im Dialogfeld Ausführungsoptionen. Führen Sie die notwendigen Eingriffe durch, um das Problem zu beheben. Klicken Sie auf die Schaltfläche Fortfahren, damit die Ausführung des Werkstückprogramms abgeschlossen wird.

Fahren Sie mit dem nächsten Schritt fort: "Drucken des Protokolls".


Schritt 15: Das Protokoll drucken

Nach der Ausführung des Werkstückprogramms sendet PC-DMIS das Protokoll automatisch an die gewünschte Ausgabeeinheit. Diese Einstellung wird im Dialogfeld Druckoptionen festgelegt (Datei | Drucken | Druckereinrichtung Protokoll...). Da Sie das Kontrollkästchen Drucker markiert haben, wird das Protokoll an den Drucker gesendet. Stellen Sie sicher, dass der Drucker zum Überprüfen des Werkstückprogramms angeschlossen und eingeschaltet ist.

Herzlichen Glückwunsch! Sie haben dieses Lernprogramm abgeschlossen. Weitere Informationen zu diesem Lernprogramm finden Sie unter folgenden in diesem Abschnitt behandelten Themen:

  • Messen von Elementen

  • Verwenden unterschiedlicher Tasteroptionen

  • Grafische Darstellung eines Werkstücks

  • Arbeiten im manuellen oder CNC-Modus


Messen von Elementen

Stellen Sie sicher, dass in der Dropdown-Liste Anzeige der Symbolleiste Einstellungen der gewünschte Taster und die gewünschte Arbeitsebene aufgeführt werden. PC-DMIS sollte zudem auf den manuellen Modus eingestellt sein.

Bei PC-DMIS ist es nicht erforderlich, dass der Bediener Daten zum Messen eines Elements eingibt. Sie können die Maus verwenden, um ein CAD-Element zu messen (wenn CAD-Daten verfügbar sind), oder Sie können den Taster zusammen mit dem KMG verwenden. Sobald das Element mit der Maus oder mit dem KMG-Taster gemessen wurde, drücken Sie die Taste ENDE. PC-DMIS bestimmt daraufhin automatisch den Elementtyp (Kreis, Gerade, Ebene usw.). Darüber hinaus kompensiert PC-DMIS automatisch den Tasterradius. Weitere Informationen zum Messen von Elementen von CAD-Daten finden Sie unter "Arbeiten im Offline-Modus".

Siehe auch:

Elementschätzung

Mindestanzahl von Messpunkten für ein Element

Bestimmen der Stärke von Blechelementen


Elementschätzung

PC-DMIS bietet eine einzigartige Methode zum Messen von Elementen. Anstatt Sie zur Angabe des zu messenden Elementtyps (Punkt, Kreis usw.) aufzufordern, bietet PC-DMIS die Möglichkeit, Messpunkte einfach aufzunehmen. Wenn die Messung eines Elements abgeschlossen ist, wird dies PC-DMIS durch Drücken der entsprechenden Taste an der Joystick-Bedieneinheit (wenn die Maschine entsprechend ausgerüstet ist) oder der ENDE-Taste auf der Tastatur signalisiert. PC-DMIS bestimmt dann die Art des Elements, das gerade mit Hilfe der Besterkennung-Algorithmen gemessen wurde. Besterkennung-Algorithmen sind mathematische Berechnungen, die PC-DMIS anstellt, um mathematisch den Elementtyp vorherzusagen, der erstellt wurde.

Ein Kreis wird z.B. mit mindestens drei Messpunkten gemessen. Während die einzelnen Positionen gemessen werden, erscheint die Anzahl der am Element aufgenommenen Messpunkte in der Statusleiste. Sobald eine ausreichende Anzahl von Messpunkten aufgenommen wurde, können Sie die Taste ENDE drücken. Die Ergebnisse werden daraufhin im Bearbeitungsfenster angezeigt.

Drücken Sie nach Messung eines jeden Elements stets die Taste ENDE (oder eine entsprechende KMG-Taste), um das Element in das Werkstückprogramm einzufügen.

Format und Inhalt der gemessenen Ergebnisse sind vom Ausgabeformat abhängig, das zuvor ausgewählt wurde. Weitere Informationen zum Einstellen des Ausgabeformats finden Sie unter "Drucken des Prüfprotokolls" im Abschnitt "Verwenden von grundlegenden Dateioptionen" und unter "Parametereinstellungen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".

Beachten Sie, dass PC-DMIS die Richtung eines Messpunkts bei bestimmten Geräten dadurch ermittelt, dass es die Bewegungsrichtung des Tasters nach Berühren des Werkstücks abtastet. Wenn Ihr Gerät zu diesem Typ gehört, dürfen Sie den Taster erst dann einziehen, wenn PC-DMIS einen Signalton ausgegeben und die Anzahl der gemessenen Messpunkte auf der Statusleiste aktualisiert hat.


Mindestanzahl von Messpunkten für ein Element

PC-DMIS setzt eine Mindestanzahl von Messpunkten voraus, bevor es ein bestimmtes Element identifiziert. In bestimmten Fällen ist es ratsam, zusätzliche Messpunkte aufzunehmen, um die Genauigkeit zu verbessern.

Element | Mind.-Anzahl Messpunkte | Besondere Anweisungen
Punkt | 1 | Siehe Hinweis unten.
Gerade | 2 | PC-DMIS zeichnet Geraden zwischen den am weitesten entfernten Punkten in einer Gruppe.
Kreis | 3 | Wenn ein Kreis mit weniger als 180° gemessen wird, zeichnet PC-DMIS einen Bogen zwischen den am weitesten entfernten Punkten in einer Gruppe.
Ebene | 3 | -
Kugel | 4 | -
Kegel | 6 | Gelegentlich kann PC-DMIS einen Kegel mit sechs Messpunkten nicht erkennen. Versuchen Sie in diesem Fall, sieben Messpunkte aufzunehmen. (Nehmen Sie drei Messpunkte auf einer Ebene, drei auf einer anderen und einen zwischen den beiden Ebenen auf.) Alle nach den ersten drei Messpunkten aufgenommenen Messpunkte sollten entweder alle unterhalb oder alle oberhalb der durch die ersten drei Messpunkte definierten Ebene liegen. Dies gewährleistet optimale Ergebnisse. PC-DMIS zeichnet zwei Kreise: den ersten auf der Ebene der ersten drei Punkte, den zweiten auf der Ebene des tiefsten Punkts. Zylinder werden auf ähnliche Weise gezeichnet.
Zylinder | 6 | Siehe Kegel.

Gelegentlich kommt es vor, dass PC-DMIS einen Elementtyp nicht richtig erkennt – die Ursache ist abhängig von der Geometrie des Werkstücks und von der Art und Weise, wie das Element gemessen wird. In diesem Fall können Sie die fehlerhafte Schätzung überschreiben, indem Sie die Anweisungen unter "Überschreiben geschätzter Elemente" im Abschnitt "Bearbeiten eines Werkstückprogramms" befolgen.

· Wenn PC-DMIS wiederholt einen Kreis bzw. eine Kugel erkennt, wenn eine Gerade bzw. eine Ebene gemessen wurde, sollten Sie versuchen, die Messpunkte in gleichbleibender Richtung aufzunehmen. Dies bedeutet, dass Sie sich den einzelnen Berührungspunkten beim Messen einer Geraden oder Ebene in ungefähr derselben Richtung nähern sollten.

· Wenn PC-DMIS wiederholt eine Gerade bzw. Ebene erkennt, wenn ein Kreis bzw. eine Kugel gemessen wurde, sollten Sie versuchen, die Messpunkte in sich stärker unterscheidenden Antastrichtungen aufzunehmen. Wenn Sie z.B. einen Bogen messen und Sie alle Berührungspunkte durch Abtasten in der X+Richtung erreichen können, sollten Sie versuchen, einige Punkte in der Richtung + oder -Y zu messen.

Hinweis: Beim Messen eines Punkts (ein einziger Messpunkt) kompensiert PC-DMIS den Tasterradius entlang der Werkstückachse, die am nächsten zur Bewegungsrichtung des Tasters beim Ausfahren lag. Wenn beispielsweise ein Punkt in der negativen X-Richtung gemessen wird, kompensiert PC-DMIS den Tasterradius in der Richtung -X (auch wenn der Taster leicht in der Y-Achse bewegt wurde). Bei CNC-Maschinen (oder manuellen Maschinen, die mit der Blechoption verwendet werden) finden Sie weitere Informationen zur Kompensation unter "IJK-Felder für "Vertikaler Vektor"" und "Tasterkompensation".

Siehe auch:

Aufnehmen von Messpunkten

Entfernen oder Löschen von Messpunkten

Elemente beenden


Aufnehmen von Messpunkten

Mit der Menüoption Vorgang | Messpunkt aufnehmen wird ein Messpunkt aufgenommen. Der Computer erhält damit die Anweisung, die Position des Tasters entlang der X-, Y- und Z-Achse aufzuzeichnen. Diese Option ist nur bei bestimmten Schnittstellentypen verfügbar. Diese Option funktioniert mit fast allen (oder allen) Steuereinheiten, sofern ein starrer Taster verwendet wird.


Entfernen oder Löschen von Messpunkten

Es muss mindestens eine Tastspitze geladen sein, damit KMG-Messpunktaufnahmen in PC-DMIS aufgezeichnet werden können.

Mit PC-DMIS können Sie problemlos Messpunkte aus dem Messpunktpuffer löschen, die bei der letzten Tasterberührung falsch aufgenommen wurden. Wählen Sie hierfür die Menüoption Vorgang | Messpunkt löschen oder drücken Sie die Tasten ALT+ ' - ' (Minus). Sie können beliebig viele Messpunkte löschen, indem Sie mit dem zuletzt aufgenommenen Messpunkt beginnen. Diese Option ist erst dann verfügbar, wenn Sie die Elementmessung durch Auswahl der Menüoption Element beenden beendet haben. Mit der Menüoption Element beenden erstellen Sie das gemessene Element und der Messpunktpuffer wird automatisch geleert.

Nach der Erstellung eines Elements können Sie unerwünschte Elemente löschen, indem Sie die Anweisungen unter "Löschen von Elementen" unter "Bearbeiten der CAD-Anzeige" befolgen.

Hinweis: Es gibt KMGs, die am Bedienelement über eine Taste Messpunkt löschen verfügen.

Mit PC-DMIS können Sie Messpunkte auch innerhalb von Elementen während des Ausführungsmodus' löschen. Drücken Sie die Tasten ALT+ ' - ' (Minus), um den derzeit markierten Messpunkt im Listenfeld KMG-Befehle des Dialogfelds Ausführungsoptionen zu löschen.

Hinweis: Wird die Taste DRUCKEN auf der Jogbox (falls vorhanden) während des Ausführmodus betätigt, hat dies denselben Effekt wie das Drücken der Tastenkombination ALT + '-' (Minus). Verwenden Sie den PC-DMIS-Einstellungseditor, um den Eintrag PrintButton der Systemregistrierung auf 0 zu setzen und diese Funktion zu aktivieren. Weitere Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Elemente beenden

Mit der Menüoption Vorgang | Element beenden können Sie PC-DMIS signalisieren, dass das Erstellen eines Elements beendet ist. Sie können auch die ENDE-Taste betätigen.


Bestimmen der Stärke von Blechelementen

Mit PC-DMIS können Sie festlegen, welche Stärke für ein Werkstück angewendet werden soll. Verwenden Sie dazu den Bereich Stärke im Dialogfeld Auto Elemente. Die verfügbaren Optionen sind "Theoretische Stärke" und "Ist-Stärke".

So rufen Sie die Stärkeoptionen auf:

  1. Öffnen Sie das Dialogfeld Auto Elemente durch Auswahl eines Elements im Untermenü Einfügen | Element | Auto Element.

  2. Öffnen Sie die Register für das Auto Element, das Sie erstellen möchten.

  3. Klicken Sie auf die Schaltfläche <<Erweitert, um das Dialogfeld zu erweitern.

  4. Wählen Sie entweder die Option Theoretische Stärke oder Ist-Stärke aus.

  5. Geben Sie die Stärke in das Feld ein.

  6. Klicken Sie auf Erzeugen, um das Element zu erstellen.

Siehe auch:

Theoretische Stärke

Ist-Stärke


Theoretische Stärke

Mit der Option Theo. Stärke haben Sie die Möglichkeit, die theoretischen Werte um eine ausgewählte Stärke anzupassen, um so die gegenüberliegende Seite des Materials zu messen.


Ist-Stärke

Mit der Option Ist-Stärke können Sie die Ziellage der Messung versetzen und die gemessenen Werte dann entlang des theoretischen Vektors um die Stärke anpassen.


Verwenden unterschiedlicher Tasteroptionen

Der erste Schritt bei der KMG-Werkstückprogrammierung besteht in der Definition der Taster, die beim Prüfungsverfahren verwendet werden sollen. Für ein neues Werkstückprogramm muss zuerst eine Tasterdatei erstellt werden, bevor der Messvorgang beginnen kann. PC-DMIS unterstützt eine breite Palette von Tastertypen und Kalibrierwerkzeugen. Es bietet außerdem eine einzigartige Methode zur Kalibrierung des Dreh-/Schwenkkopfes PH9/PH10 von Renishaw. Sie können über das Dialogfeld Taster-Hilfsprogramme auf weitere Tasteroptionen zugreifen.

Es wird vorausgesetzt, dass ein Taster geladen und kalibriert wurde. Weitere Informationen zum Erstellen von Tasterdateien und zum Kalibrieren von Tastern finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware"


Online-Verwendung eines Tasters

So messen Sie einen Punkt im Online-Modus mit Hilfe eines schaltenden Tasters (ST):

  1. Senken Sie den Taster auf die Oberfläche, auf der der Punkt aufgenommen werden soll.

  2. Lösen Sie den Taster aus, indem Sie die Oberfläche berühren.

  3. Drücken Sie die Taste ENDE, um den Messvorgang zu beenden.

PC-DMIS wurde so konzipiert, dass es den Elementtyp automatisch erkennt. Die Tasterkompensation wird durch den Tasterradius bestimmt. Die Kompensationsrichtung wird durch die Maschinenrichtung bestimmt.

Beim Messen eines Kreises befindet sich der Taster beispielsweise innerhalb des Kreises und bewegt sich nach außen. Beim Messen eines Stiftbolzens beginnt der Taster außerhalb des Kreises und bewegt sich nach innen gegen das Werkstück.

Beim Messen von Punkten ist es wichtig, dass die Antastrichtung vertikal (rechtwinklig) zur Oberfläche liegt. Dies ist bei der Messung anderer Elemente zwar nicht erforderlich, durch dieses Vorgehen wird jedoch die Genauigkeit bei der Bestimmung des Elementtyps verbessert.

Um einen Punkt mit einem starren Taster zu messen, müssen Sie den Elementtyp des zu messenden Elements und die Tasterkompensationsrichtung angeben. Siehe auch "Verwenden eines starren Tasters".


Offline-Verwendung eines Tasters

Wenn Sie PC-DMIS im Offline-Betrieb verwenden, können Sie auf alle Tasteroptionen zugreifen. Es sind jedoch keine Ist-Messungen möglich. Sie können die Tasterdaten entweder eingeben oder Standardeinstellungen verwenden. Beispielsweise kann ein Kalibrierinstrument nicht tatsächlich gemessen werden, um einen Taster zu kalibrieren – Sie müssen die Nennwerte des Tasters eingeben.

So messen Sie einen Punkt:

  1. Stellen Sie sicher, dass sich PC-DMIS im Programmiermodus befindet. Klicken Sie gegebenenfalls auf das Symbol Programmiermodus in der Symbolleiste Grafikmodi. (Siehe auch "Symbolleiste "Grafikmodi"" im Abschnitt "Arbeiten mit den Symbolleisten".)

  2. Bewegen Sie den Mauszeiger auf die Position, wo der Messpunkt aufgenommen werden soll.

  3. Klicken Sie mit der rechten Maustaste, um den Taster in den Bereich des Werkstücks zu bewegen, wo der Messpunkt aufgenommen werden soll. Der Taster wird auf dem Bildschirm angezeigt und die Tastertiefe wird eingestellt.

  4. Klicken Sie mit der linken Maustaste, um am Werkstück einen Messpunkt zu registrieren.

  5. Drücken Sie die Taste ENDE, um den Messvorgang zu beenden.


Verwenden von starren Tastern

PC-DMIS unterstützt eine breite Palette von starren Tastern. Die Verwendung und Kalibrierung starrer Taster funktioniert dabei ähnlich wie bei schaltenden Tastern (ST).

Bei Auswahl eines STARREN Tasters erwartet PC-DMIS einen Taster, der bei Berührung des Werkstücks nicht automatisch reagiert. Mit einem starren Taster können keine CNC-Kalibrierungen durchgeführt werden. Vergewissern Sie sich, dass der richtige Tastertyp ausgewählt wurde.

Bestimmen Sie den zu messenden Elementtyp und klicken Sie auf das entsprechende Symbol.

  • Flache Elemente werden als Punkte, Ebenen und Geraden definiert.

  • Runde Elemente umfassen Kreise, Kugeln, Kegel und Zylinder.

Weitere Informationen zur Erkennung von runden und flachen Elementen finden Sie unter Symbolleiste Tastermodus (die sich im Menü Ansicht befindet) (siehe auch "Die Symbolleiste "Tastermodus"" im Abschnitt "Arbeiten mit Symbolleisten").

Hinweis: Weitere Informationen zum Verwenden von Tasterkombinationen und zum Umschalten zwischen den Ebenen- und Rundschätzungsmodi finden Sie unter "Verwenden von Tastaturbefehlen und Kontextmenüs".


Aufnehmen eines Messpunkts mit einem starren Taster

Bei schaltenden Tastsystemen erfolgt die Aufnahme von Messpunkten automatisch. Bei starren Tastern müssen Sie dem Taster dagegen mitteilen, wenn dieser seine Position registrieren soll. Gehen Sie dazu wie folgt vor:

  1. Positionieren Sie den Taster am Werkstück dort, wo Sie den Messpunkt aufnehmen möchten.

  2. Wählen Sie den Menübefehl Messpunkt aufnehmen aus dem Menü Vorgang.

Hinweis: Wenn Sie mit einer Jogbox arbeiten, drücken Sie die Taste zum Aufnehmen/Erfassen eines Messpunkts.


Flache Elemente

So messen Sie eine Ebene mit einem starren Taster:

  1. Nehmen Sie zuerst mindestens drei Messpunkte auf einer Oberfläche auf.

  2. Danach müssen Sie den Taster oberhalb der gewünschten Ebene positionieren.

  3. Drücken Sie die Taste ENDE.

Dadurch wird die Richtung der Ebene definiert. Die Richtung des normalen Oberflächenvektors ist aufwärts.

So messen Sie eine Gerade:

  1. Nehmen Sie zwei Messpunkte an der gewünschten Position auf.

  2. Bewegen Sie den Taster aus der gemessenen Gerade heraus.

  3. Drücken Sie die Taste ENDE.

Hinweis: Die Richtung der Elemente muss bei PC-DMIS nicht definiert werden.


Runde Elemente

Wenn Sie runde Elemente mit einem starren Taster messen, muss der Taster (je nach Elementtyp) in einer festen Position gehalten werden.

  • Bei Löchern halten Sie den Taster innerhalb des Elements und drücken dann die Taste ENDE.

  • Bei Stiften halten Sie den Taster außerhalb des Elements und drücken dann die Taste ENDE.

Hinweis: Die Richtung der Elemente muss bei PC-DMIS nicht definiert werden.


Grafische Darstellung eines Werkstücks

Mit PC-DMIS können Sie Standard-IGES oder -DXF-Modelle verwenden, um Werkstückprogramme auf einem kostengünstigen PC oder PC-Klon zu generieren – ohne jegliche Nutzung eines KMGs. Diese Werkstückprogramme können dann auf beliebigen KMG-Maschinen, auf denen PC-DMIS läuft oder die DMIS-, Tutor- oder AVAIL-Spezifikationen unterstützen, eingesetzt werden.

Weitere Informationen zur Verwendung von CAD finden Sie unter "Arbeiten im Offline-Modus".

Wenn PC-DMIS mit der Ausführung eines Werkstückprogramms beginnt, zeigt es zuerst eine grafische Darstellung der theoretischen Werkstückgeometrie an. Diese Abbildung kann von einer der folgenden drei Quellen stammen:

  • Aus einer IGES-Datei oder DXF-Dateien, aus einer CAD-Zeichnung.

  • Von den theoretischen Werten des Elements im Werkstückprogramm.

  • Vom ersten Werkstück, das gemessen wurde, als das Werkstückprogramm online erzeugt wurde.

Wenn die Abbildung aus den Quellen 2 oder 3 stammt, handelt es sich lediglich um ein Teilbild. Das bedeutet, dass nur die Elemente angezeigt werden, die von PC-DMIS gemessen wurden.

Stammt die Abbildung von Quelle 1, handelt es sich bei der grafischen Darstellung um genau das, was mit dem CAD-System gezeichnet wurde. Sie haben dann die Möglichkeit, bestimmte Elemente aus der CAD-Zeichnung zu entfernen (Siehe auch "Löschen von CAD" im Abschnitt "Bearbeiten der CAD-Anzeige"). In jedem Fall dient das Bild lediglich dazu, Ihnen genügend Informationen zu vermitteln, um die Prüfdaten auf das aktuelle Werkstück beziehen zu können. Siehe auch "Importieren von CAD-Daten oder Programmdaten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".

PC-DMIS zeigt beim Messen der einzelnen Werkstückelemente ein Bild des jeweiligen Elements im Grafikfenster an. Es zeichnet dieses Bild in Farben, die im Dialogfeld Einrichten mit Hilfe der Registerkarte ID definiert wurden. Dadurch können Sie das tatsächliche Element optisch mit dem theoretischen Element vergleichen. Siehe auch "Setup-Optionen: Registerkarte "Id-Setup"" im Abschnitt "Voreinstellungen".

Sowohl im manuellen Offline-Modus als auch im manuellen Online-Modus zeigt PC-DMIS im Grafikfenster eine skalierte Animation des Tasters an. Dieses Symbol bewegt sich während der Ausführung um das Werkstück und zeigt damit an, wo die einzelnen Messpunkte aufgenommen werden sollen.

Weitere Informationen zum Einstellen des Aussehens der Abbildungen im Grafikfenster finden Sie unter "Bearbeiten der CAD-Anzeige".


Arbeiten im manuellen oder CNC-Modus

Mit der Symbolleiste Manueller/CNC-Modus können Sie das System problemlos in den manuellen oder CNC-Modus versetzen. Siehe das Thema "Die Symbolleiste "Tastermodus" " im Abschnitt "Arbeiten mit Symbolleisten".

Der manuelle Modus wird bei einem manuellen KMG verwendet oder während des manuellen Ausrichtungsvorgangs eines Programms, das auf einem automatischen KMG ausgeführt werden wird. Um den Modus zu wechseln, klicken Sie auf das entsprechende Modussymbol in der Symbolleiste.

Mit PC-DMIS können Sie die Geschwindigkeiten und Abstände bestimmen, die im automatischen Messvorgang angewendet werden. Siehe auch "Parametereinstellungen: Registerkarte "Bewegung"" im Abschnitt "Voreinstellungen".

Achtung: Beachten Sie, dass Sie Sicherheitsebenen oder Bewegungspunkte definieren sollten, wenn Sie vom manuellen Modus in den CNC-Modus wechseln. Andernfalls könnte der Taster während der Ausführung mit dem Werkstück kollidieren.


Navigation durch die Benutzeroberfläche

Navigation durch die Benutzeroberfläche: Einführung

Aufbau des Bildschirms

Menüleiste

Datei

Bearbeiten

Ansicht

Einfügen

Vorgang

Fenster

Hilfe

A uswählen von Optionen aus der Menüleiste mit der Maus

Auswählen von Optionen aus der Menüleiste über die Tastatur

Symbolleistenbereich

Das Grafikfenster

Die Statusleiste

Dialogfeldbeschreibung

Bearbeitungsfeld:

ID= [Element]

ID suchen

Auswählen der letzten Zahl

Listenfeld:

Feld "Elementliste"

Feld "Merkmale"

Dropdown-Listenfeld

Befehlsschaltflächen:

Übernehmen

OK

Abbrechen

Löschen

Letzte

Letzten Zwei

Alles auswählen

Standard

Standard holen

Erzeugen

Schließen

Auswahl aufheben

Rückgängig

Hilfe

Kontrollkästchen:

Optionsfelder:

Registerkarten in Dialogfeldern:

Zugreifen auf Dialogfelder

Verschieben von Dialogfeldern

Bildlauf im Bearbeitungsfenster

Anpassen der Benutzeroberfläche

So stellen Sie die Standardbenutzeroberfläche wieder her

S o passen Sie die Schriftarten der Benutzeroberfläche an

Anpassen der Menüs

So verschieben Sie eine Menüoption

So entfernen Sie eine Menüoption

So bearbeiten Sie eine vorhandene Menüoption

So fügen Sie eine neue Menüoption hinzu

Anpassen der Symbolleisten

So ändern Sie eine vorhandene Symbolleiste

So erstellen Sie eine benutzerdefinierte Symbolleiste

So löschen Sie eine benutzerdefinierte Symbolleiste

Anpassen der Tastenkombinationen

So fügen Sie einem Befehl eine Tastenkombination hinzu

So entfernen Sie eine Tastenkombination eines Befehl


Navigation durch die Benutzeroberfläche: Einführung

Dieser Abschnitt bietet eine Einleitung zur Verwendung von PC-DMIS für Windows. Es werden die grundlegenden Verfahren angesprochen, die zum Betrieb der Software erforderlich sind. Um die Fähigkeiten von PC-DMIS voll ausschöpfen zu können und die Werkstückprogrammierung so einfach wie möglich zu machen, arbeiten Sie bitte das gesamte Kapitel an Ihrem Computer durch.

Zudem wird auch auf Möglichkeiten eingegangen, wie einige der PC-DMIS-Grafikoptionen angepasst werden können, so dass sie individuellen Anforderungen am besten gerecht werden. (Weitere Informationen zu diesen verfügbaren Optionen finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".)

Jedes nachstehend aufgeführte Thema veranschaulicht eine bestimmte Funktion der Benutzeroberfläche. In diesem Abschnitt werden folgende Themen behandelt:

  • Aufbau des Bildschirms

  • Menüleiste

  • Symbolleistenbereich

  • Das Grafikfenster

  • Die Statusleiste

  • Dialogfeldbeschreibung

  • Anpassen der Benutzeroberfläche

Dank der in PC-DMIS gewährten Flexibilität können Befehlseingaben und die Auswahl von Optionen mit der Maus oder über die Tastatur erfolgen. Häufig verwendeten Befehlen wurden Kontextmenüs und Tastenkombinationen zugewiesen. Weitere Informationen hierzu finden Sie im Abschnitt "Verwenden von Tastenkombinationen und Kontextmenüs".


Aufbau des Bildschirms

PC-DMIS stellt einen einheitlichen Bildschirmaufbau bereit.

Der Bildschirm ist in mehrere, voneinander abgegrenzte Bereiche unterteilt, die jeweils eine bestimmte Funktion ausüben oder benötigte Informationen bereitstellen. Nachstehend folgt eine kurze Beschreibung der einzelnen Bildschirmbereiche. (Zusätzliche Informationen in der Hilfedatei sind gesondert ausgewiesen.)

Aufbau der grafischen Benutzeroberfläche von PC-DMIS

  1. In der Titelleiste erscheint der Titel des aktuellen Werkstückprogramms. Hier befinden sich zudem die Maximierungs- und Minimierungsschaltflächen.

  2. Die Menüleiste enthält die in der PCDLRN-Hauptanwendung verfügbaren Menüoptionen. Siehe "Menüleiste".

  3. Der Symbolleistenbereich enthält Symbolleisten mit häufig verwendeten Befehlen. Sie können auf diese Symbolleisten auf einfache Weise zugreifen, indem Sie mit der rechten Maustaste auf den Symbolleitenbereich klicken. Weitere Informationen hierzu finden Sie unter "Symbolleistenbereich".

  4. Das Grafikfenster zeigt grafische Darstellungen des Werkstücks (in der Abbildung ist die Draufsicht zu sehen). Weitere Informationen hierzu finden Sie unter "Grafikfenster". Die Größe dieses Bereichs bleibt konstant. Der Anzeigebereich kann jedoch in bis zu vier verschiedene Werkstückansichten unterteilt werden.

  5. Dialogfelder sind das wichtigste Kommunikationsmittel zwischen PC-DMIS und dem Benutzer. Verfügbare Funktionen werden in Dialogfeldern angezeigt, und die meisten Eingabedaten werden über sie eingegeben. Weitere Informationen hierzu finden Sie unter "Dialogfeldbeschreibung.

  6. Im Bearbeitungsfenster erscheint das Werkstückprogramm. In diesem Fenster können Sie auf bestimmte Befehle innerhalb des Werkstückprogramms zugreifen und Änderungen vornehmen, um den individuellen Anforderungen zu entsprechen. Eine vollständige Beschreibung der Funktionen im Bearbeitungsfenster finden Sie unter "Bearbeiten eines Werkstückprogramms" und unter "Verwenden des Bearbeitungsfensters".

  7. Die Statusleiste zeigt für den aktuellen Vorgang sachdienliche Informationen an (d.h. aktuelle Taster-Kalibrierungsdaten, Standardabweichung des zuletzt gemessenen Elements und die Anzahl der Messpunkte). Sie enthält außerdem ein Feld für Meldungen, in dem sachdienliche Informationen über den derzeit ausgeführten Vorgang angezeigt werden. Weitere Informationen hierzu finden Sie unter "Statusleiste".


Menüleiste

Um über die Tastatur ein Menü zu öffnen und durch die Optionen zu gehen, drücken Sie die ALT-Taste, gefolgt von dem unterstrichenen Buchstaben im Namen des zu öffnenden Menüs. (Es kann hierzu auch die Maus verwendet werden, wie unter "Auswählen von Optionen aus der Menüleiste mit der Maus" beschrieben wird.) Diese Bedienungsanleitung enthält Informationen über die einzelnen Menüoptionen. Schlagen Sie je nach Bedarf im entsprechenden Abschnitt nach. Dieser Abschnitt gibt eine kurze Beschreibung der sonstigen Menüoptionen.

PC-DMIS bietet auch eine Reihe von Kontextmenüs. Informationen hierzu finden Sie im Abschnitt "Verwenden von Tastenkombinationen und Kontextmenüs".

Siehe auch:

Datei

Bearbeiten

Ansicht

Einfügen

Vorgang

Fenster

Hilfe

Auswählen von Optionen aus der Menüleiste mit der Maus

Auswählen von Optionen aus der Menüleiste über die Tastatur


Datei

Über das Menü Datei können Sie Dateien öffnen, speichern und drucken, auf das Bearbeitungsfenster zugreifen, Werkstückprogramme im Ausführungsmodus ausführen und aktuelle Werkstückprogramme beenden. Weitere Information hierzu finden Sie in den Abschnitten "Verwenden von grundlegenden Dateioptionen" und "Verwenden von fortgeschrittenen Dateioptionen".


Bearbeiten

Über das Menü Bearbeiten können Sie die Programmeinstellungen, das Werkstückprogramm oder die CAD-Anzeige ändern.

  • Vollständige Informationen zum Bearbeiten der Einstellungen finden Sie im Abschnitt "Voreinstellungen".

  • Vollständige Informationen zum Bearbeiten des Werkstückprogramms im Bearbeitungsfenster finden Sie in den Abschnitten "Bearbeiten eines Werkstückprogramms" und "Verwenden des Bearbeitungsfensters".

  • Vollständige Informationen zum Anzeigen der CAD-Zeichnung finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".


Ansicht

Im Menü "Ansicht" können Sie auf alle Fenster, Editoren und Symbolleisten zugreifen, die in PC-DMIS zur Verfügung stehen. Vollständige Informatione hierzu finden Sie im Abschnitt "Arbeiten mit weiteren Fenstern, Editoren und Hilfsmitteln".


Einfügen

Über das Menü Einfügen können Sie auf einen Großteil der Befehle des Werkstückprogramms zugreifen.

Die meisten Abschnitte in dieser Hilfedatei behandeln die Optionen und Untermenüs, die in diesem Menü angezeigt werden.

  • Die Optionen im Untermenü Hardwaredefinition sind im Abschnitt "Definieren von Hardware" beschrieben.

  • Die Optionen im Untermenü Element werden in den folgenden Kapiteln behandelt: "Erstellen von automatischen Elementen", "Erstellen von gemessenen Elementen", "Erstellen von neuen Elementen aus vorhandenen Elementen", "Erstellen von allgemeinen Elementen".

  • Die Optionen im Untermenü Ausrichtung sind im Abschnitt "Erstellen und Verwenden von Ausrichtungen" beschrieben.

  • Die Optionen im Untermenü Merkmal sind im Abschnitt "Merkmale für Elemente erstellen" beschrieben.

  • Die Optionen im Untermenü Scan sind im Abschnitt "Scannen Ihres Werkstücks" beschrieben.

  • Die Optionen im Untermenü Bewegung sind im Abschnitt "Einfügen von Bewegungsbefehlen" beschrieben.

  • Die Optionen im Untermenü Programmablaufsteuerung sind im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung" beschrieben.

  • · Die Optionen im Untermenü Statistik-Befehl sind im Abschnitt "Sammeln statistischer Daten" beschrieben.

  • · Die Optionen im Untermenü Protokollbefehl sowie die Funktion zum Hinzufügen der Felder MERKMALANGABEN und PUNKTANGABEN zur CAD-Anzeige und zum Werkstückprogramm werden im Abschnitt "Einfügen von Protokollbefehlen" behandelt.

  • · Die Optionen im Untermenü Datei I/O-Befehl sind im Abschnitt "Verwenden der Datei-Eingabe/-Ausgabe" beschrieben.

  • · Die restlichen Optionen im Menü Einfügen werden in den Abschnitten "Verwenden von Ausdrücken und Variablen " und "Hinzufügen externer Elemente" beschrieben.


Vorgang

Die Elemente des Menüs Vorgang werden in verschiedenen Themen der Dokumentation behandelt.


Fenster

Über das Menü Fenster können Sie die Anzeige aller geöffneten Werkstückprogramme verwalten. Informationen hierzu finden Sie unter "Navigation in und Anzeigen von mehreren Fenstern".


Hilfe

Die Elemente im Menü Hilfe werden im Abschnitt "Verwenden der Online-Hilfe" behandelt.

Über das Menü Hilfe können Informationen zu Befehlen, Dialogfeldern, Meldungen und Tasten in PC-DMIS aufgerufen werden.

Zum Aktivieren der Online-Hilfe von PC-DMIS wählen Sie eines der Elemente im Menü "Hilfe" aus. Sie können auch jederzeit auf F1 drücken. Dadurch wird die Online-Hilfedatei von PC-DMIS geöffnet.


Auswählen von Optionen aus der Menüleiste mit der Maus

Optionen können in Dropdown-Menüs auf die gleiche Weise gewählt werden wie in der Menüleiste.

So öffnen Sie ein Menü und durchsuchen die Optionen mit der Maus:

  1. Setzen Sie den Zeiger auf den gewünschten Menünamen.

  2. Klicken Sie mit der linken Maustaste.

Stehen hinter einem Optionsnamen Auslassungszeichen, wird bei Wahl dieser Funktion ein Dialogfeld geöffnet. So besagt "Datei | Öffnen..." beispielsweise, dass es ein Dialogfeld namens Datei öffnen gibt. Dialogfelder zeigen verschiedene Optionen, Felder und Schaltflächen (die als Steuerelemente bezeichnet werden) an, über die angegeben wird, welche Befehle PC-DMIS ausführen soll. In manchen Fällen enthält ein Dialogfeld bereits ausgewählte Standardeinstellungen, die, sofern sie den Wünschen des Benutzers entsprechen, so belassen werden können. Nachdem alle Steuerelemente im Dialogfeld eingestellt wurden, klicken Sie im allgemeinen auf OK, damit der Befehl ausgeführt wird. Um den Befehl abzubrechen und das Dialogfeld zu schließen, klicken Sie auf die Schaltfläche Abbrechen.


Auswählen von Optionen aus der Menüleiste über die Tastatur

Um über die Tastatur ein Menü zu öffnen und durch die Optionen zu gehen, drücken Sie die ALT-Taste, gefolgt von dem unterstrichenen Buchstaben im Namen des zu öffnenden Menüs.

Beispiel: Um das Menü Ansicht über die Tastatur zu öffnen, drücken Sie die ALT-Taste und dann die Taste A (den unterstrichenen Buchstaben im Wort Ansicht). Auf ähnliche Weise können auch Optionen aus dem Menü ausgewählt werden. Drücken Sie einfach den unterstrichenen Buchstaben, der der gewünschten Option entspricht (z. B. Neu: drücken Sie die Taste N).

Menüs können auch mit den Pfeiltasten geöffnet werden.

Vorgehensweise:

  1. Drücken Sie die ALT-Taste, um zur Menüleiste umzuschalten.

  2. Bewegen Sie sich mit der NACH-RECHTS-/NACH-LINKS-Taste zum gewünschten Menü.

  3. Wählen Sie mit der NACH-OBEN-/NACH-UNTEN-Taste eine Option aus.

  4. Wenn die gewünschte Option markiert ist, drücken Sie die EINGABETASTE.

Vielen der Optionen wurden auch Tastenkombinationen zugewiesen. Die Tastenkombination wird rechts neben dem betreffenden Befehl bzw. der betreffenden Option angegeben.

Weitere Informationen hierzu finden Sie im Abschnitt "Verwenden von Tastenkombinationen und Kontextmenüs".


Symbolleistenbereich

PC-DMIS bietet Ihnen zahlreiche Symbolleisten mit häufig verwendeten Befehlen. Auf diese Symbolleisten kann mit einer der beiden folgenden Methoden zugegriffen werden.

  1. Wählen Sie das Untermenü Ansicht | Symbolleisten und eine der darin zur Auswahl stehenden Symbolleisten aus.

  2. Klicken Sie mit der rechten Maustaste auf den Symbolleistenbereich von PC-DMIS und wählen Sie aus dem nun eingeblendeten Kontextmenü eine Symbolleiste aus.

Die im Symbolleistenbereich angezeigte Symbolleiste kann leicht an eine andere Stelle verschoben werden, indem Sie zuerst auf den Zwischenraum zwischen der linken oder rechten Kante und einer Schaltfläche klicken und die Symbolleiste dann an die gewünschte Stelle ziehen.

Ausführliche Informationen über alle PC-DMIS-Symbolleisten finden Sie im Abschnitt "Verwenden der Symbolleisten".


Das Grafikfenster

Das Grafikfenster enthält, wie der Name schon sagt, Grafiken. Dieses Fenster öffnet sich standardmäßig, wenn Sie ein Werkstückprogramm öffnen oder erstellen. Über die Menüoption Ansicht | Grafikfenster können Sie das Grafikfenster ein- oder ausblenden.

  • Es zeigt eine grafische Darstellung mit mehreren Ausschnitten eines importierten CAD-Werkstücks an.

  • Es zeigt gemessene, automatische und erstellte Elemente sowie deren ID-Sprungmarken.

  • Es zeigt Scans, Merkmale und Textfeldinhalte an.

Das Grafikfenster ist ein wesentlicher Bestandteil von PC-DMIS. Informationen zum Bearbeiten des Grafikfensters sowie zum Ändern der Bildschirmanzeige finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".


Die Statusleiste

In der Statusleiste wird Folgendes angezeigt:

  • Meldungsfeld: The lIm Feld ganz links werden Anweisungen und andere Informationen zum aktuellen Verfahren oder Befehl angezeigt.

  • X-, Y- und Z-Felder: Die X-, Y- und Z-Felder zeigen die X-,Y- und Z-Position des Tasters an. Durch Klicken auf eine der drei Koordinatenanzeigen in der Statusleiste wird das Dialogfeld Auto Bewegungspunkte eingeblendet. (Weitere Informationen zum CNC-Bewegungspunkt finden Sie unter "Einfügen eines Bewegungspunktbefehls" im Abschnitt "Einfügen von Bewegungsbefehlen".)

  • W: Zeigt den Winkel des Drehtisches an.

  • SA: Zeigt die Standardabweichung des zuletzt gemessenen Elements an.

  • Anz. Messpunkte: Gibt die Anzahl der aktuell aufgenommenen Messpunkte an.

  • IN/MM: Zeigt die Maßeinheit an, die derzeit für das Werkstückprogramm verwendet wird.

  • EINF/ÜB: Dieses Feld zeigt die aktuelle Bearbeitungsfunktion des Bearbeitungsprotokolls an. Mögliche Werte: EINF (Text wird an der Cursor-Position eingefügt) oder ÜB (Text wird an der Cursor-Position überschrieben).

  • Zeile: Dieses Feld zeigt eine Zahl an, die angibt, in welcher Zeile der Cursor im Bearbeitungsprotokoll steht.

  • Spalte: Dieses Feld zeigt eine Zahl an, die angibt, in welcher Spalte der Cursor im Bearbeitungsprotokoll steht.

Manipulieren der Statusleiste

  • Wählen Sie Ansicht | Statusleiste | Groß, um die Statusleiste zu vergrößern. Menü-Übersicht anzeigen Aufgrund ihrer Vergrößerung zeigt die Statusleiste nur noch die Felder Meldung und die XYZ-Felder an.

  • Um die normale Größe der Statusleiste wiederherzustellen, wählen Sie die Option Ansicht | Statusleiste | Normal. Menü-Übersicht anzeigen

  • Um die Statusleiste ein- oder auszublenden, wählen Sie die Option Ansicht | Statusleiste | Keine. Menü-Übersicht anzeigen


Dialogfeldbeschreibung

Ein Dialogfeld besitzt verschiedene Felder und Schaltflächen (sogenannte Steuerelemente), die ausgewählt werden können, um PC-DMIS mitzuteilen, wie ein Befehl auszuführen ist. In manchen Fällen enthält ein Dialogfeld bereits ausgewählte Standardeinstellungen, die, sofern sie den Wünschen des Benutzers entsprechen, so belassen werden können. Nachdem alle Steuerelemente im Dialogfeld eingestellt wurden, klicken Sie auf OK, damit der Befehl ausgeführt wird. Um den Befehl abzubrechen und das Dialogfeld zu schließen, klicken Sie auf die Schaltfläche Abbrechen.

Die Abbildungen zeigen einige Funktionen, die in den meisten Dialogfeldern von PC-DMIS zu finden sind.

Siehe auch:

Bearbeitungsfeld:

Listenfeld:

Dropdown-Listenfeld

Befehlsschaltflächen:

Kontrollkästchen:

Optionsfelder:

Registerkarten in Dialogfeldern:

Zugreifen auf Dialogfelder

Verschieben von Dialogfeldern

Bildlauf im Bearbeitungsfenster


Bearbeitungsfeld:

In ein Bearbeitungsfeld können Sie den gewünschten Wert oder Namen eingeben. In dieser Anleitung werden Bearbeitungsfelder einfach als "Felder" bezeichnet. Die Bearbeitungsfelder, die am häufigsten in den Dialogfeldern von PC-DMIS vorkommen, werden hier aufgeführt:


ID= [Element]

Dieses Feld zeigt die ID der zu erstellenden Merkmale oder Elemente an.

So ändern Sie die ID:

  1. Markieren Sie die alte ID.

  2. Geben Sie eine neue ID ein.

  3. Drücken Sie die TABULATORTASTE.

Für die ID eines Merkmals gilt:

  • Sie können nur den numerischen Teil der ID ändern und den Merkmalstzähler auf die gewünschte Zahl zurücksetzen.

  • Sie können den Textteil der ID ändern und als Standardtext für nachfolgende Merkmale festlegen. (Informationen hierzu finden Sie im Abschnitt "Voreinstellungen" auf der Registerkarte ID-Setup im Dialogfeld Setup-Optionen.)


ID suchen

Im Feld ID suchen können Sie angeben, welche Merkmal-IDs (oder Element-IDs) im aktuellen Vorgang verwendet werden sollen. Sie können in dieses Feld zur Suche auch Metazeichen-Suchoptionen eingeben. Die Element- oder Merkmal-IDs werden im entsprechenden Feld Elementliste bzw. Merkmale hervorgehoben.


Auswählen der letzten Zahl

Im Feld Letzte Listeneinträge ausw. können Sie eine bestimmte Anzahl der zuletzt verwendeten Elemente (oder Merkmale) auswählen. Wenn Sie beispielsweise die letzten vier erstellten Elemente auswählen möchten, geben Sie einfach 4 ein und drücken Sie die TABULATORTASTE. PC-DMIS hebt die im Feld Elementliste ausgewählten Elemente hervor.


Listenfeld:

Ein Listenfeld ähnelt einem Bearbeitungsfeld, die darin angeführten Werte können jedoch nicht geändert werden. In dieser Anleitung werden Listenfelder einfach als "Liste" oder "Feld" bezeichnet. Die Listen, die in den meisten Dialogfeldern von PC-DMIS zu finden sind, werden hier aufgeführt:


Feld "Elementliste"

Das Feld Elementliste enthält eine Liste der in einem Werkstückprogramm verfügbaren Elemente. In PC-DMIS werden ausgewählte Elemente verwendet, um Ausrichtungen zu definieren, neue Funktionen zu erstellen, Merkmale zu erzeugen etc. Sie können Elemente auswählen, indem Sie die Anweisungen unter "Markieren von Elementen im Grafikfenster" im Abschnitt "Bearbeiten der CAD-Anzeige" befolgen.

Die Auswahl (Markierung) von Elementen kann mit der Schaltfläche Ausw. aufheben aufgehoben werden.

Wenn Sie ein externes Werkstückprogramm anhängen (siehe "Anhängen eines externen Werkstückprogramms" im Abschnitt "Hinzufügen externer Elemente listet PC-DMIS auch die Variable (oder den Zeiger) auf, mit dem auf das angehängte Werkstückprogramm verwiesen wird. Links neben dem Zeiger wird ein Pluszeichen (+) eingeblendet. Durch Klicken auf das Pluszeichen wird eine Ansicht aller Elemente im angehängten Werkstückprogramm ein- oder ausgeblendet.


Feld "Merkmale"

Das Feld Merkmale enthält eine Liste aller Merkmale, die innerhalb eines Werkstückprogramms erstellt wurden. Sie können die Merkmale, die Sie ändern oder analysieren möchten, auf einfache Art auswählen und bearbeiten, indem Sie im Listenfeld die entsprechenden Einträge markieren und im zugehörigen Dialogfeld die gewünschten Änderungen oder Optionen wählen.

PC-DMIS versieht die Merkmal-ID im Dialogfeld Merkmal-Info bearbeiten mit einem Sternchen (*), wenn dem Merkmal bereits ein Merkmal-Infofeld zugeordnet worden ist. Wenn die Merkmal-Info in allen aktuellen Ansichten ausgeblendet ist, wird die ID durch ein numerisches Zeichensymbol (#) gekennzeichnet.

Angenommen, es liegt ein Rundheitsmerkmal mit der Bezeichnung RND1 für einen CIR4 genannten Kreis vor. Wurde dem Rundheitsmerkmal bereits ein MERKMALINFO-Feld zugeordnet, das aber in allen Ansichten des Grafikfensters ausgeblendet ist, würde die ID in der Liste folgendermaßen aussehen:

Beispiel für Asterisken- und numerische Zeichensymbole


Dropdown-Listenfeld

Ein Dropdown-Listenfeld ist in seiner Funktion mit Menüs vergleichbar. Klicken Sie auf das Dropdown-Pfeilsymbol [image] rechts neben der aktuellen Option, oder drücken Sie nacheinander die ALT- und die NACH-OBEN- bzw. NACH-UNTEN-Taste auf der Tastatur. Durch Drücken von F4 werden die verfügbaren Optionen ebenfalls angezeigt. Drücken Sie die Taste(n) erneut, um die Liste zu schließen. Die aktuelle Auswahl erscheint im hervorgehobenen Kästchen.


Befehlsschaltflächen:

Über eine Befehlsschaltfläche wird eine Aktion ausgeführt. Die Befehlsschaltflächen, die am häufigsten in den PC-DMIS-Dialogfeldern vorkommen, werden hier aufgeführt:

Siehe auch:

Übernehmen

OK

Abbrechen

Löschen

Letzte

Letzten Zwei

Alles auswählen

Standard

Aufrufen

Erzeugen

Schließen

Auswahl aufheben

Rückgängig

Hilfe


Übernehmen

Mit der Schaltfläche Übernehmen werden alle im Dialogfeld durchgeführten Änderungen übernommen; das Dialogfeld bleibt anschließend für weitere Änderungen geöffnet.


OK

Mit der Schaltfläche OK werden die Änderungen gespeichert und übernommen und das Dialogfeld wird geschlossen. In einigen Dialogfeldern werden Befehle durch Klicken auf die Schaltfläche OK in das Bearbeitungsfenster eingefügt.


Abbrechen

Mit der Schaltfläche Abbrechen werden alle Änderungen ignoriert und das Dialogfeld wird geschlossen.


Löschen

Mit der Schaltfläche Löschen werden Elemente (wie erstellte Elemente, Merkmale, Tasterdateien, Ausrichtungsinformationen etc.) aus bestimmten Listenfeldern entfernt.

Im Dialogfeld CAD löschen werden mit der Schaltfläche Löschen ausgewählte Nennelemente gelöscht.


Letzte

Durch Wahl der Schaltfläche Letzte wird das letzte Element im zugehörigen Listenfeld ausgewählt.


Letzten Zwei

Durch Wahl der Schaltfläche Letzten Zwei werden die beiden letzten Elemente im zugehörigen Listenfeld ausgewählt.


Alles auswählen

Durch Wahl der Schaltfläche Alles auswählen werden alle Elemente im zugehörigen Listenfeld ausgewählt.


Standard

Mit der Schaltfläche Standard können Sie die Standardeinstellungen einiger Parameter aktualisieren. Beim Erstellen eines neuen Werkstückprogramms werden alle Änderungen, die als Standard gespeichert wurden, berücksichtigt.

Die Standardwerte werden in der Systemregistrierung abgelegt. Diese Parameter können über das entsprechende Dialogfeld oder durch Bearbeiten der Registrierung mit Hilfe des PC-DMIS-Einstellungseditors aktualisiert werden. Diese Anwendung ist im Installationspaket von PC-DMIS enthalten. Weitere Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

  • Bei Anklicken von OK (ohne dass die Schaltfläche Standard gewählt wurde) gelten die definierten Parameter nur für das aktive Werkstückprogramm und wirken sich nicht auf die Registrierungseinträge aus.

  • Wenn Parameter geändert wurden und die Schaltfläche Standard betätigt wird, aktualisiert PC-DMIS die Registrierungseinträge und der aktuelle Eintrag wird als Standardwert übernommen.

Über die Schaltfläche Standard können Sie neue Standardwerte speichern und für alle neuen Werkstückprogramme, die später erstellt werden, übernehmen.


Standard holen

Über die Schaltfläche Standard holen werden die ursprünglichen Werkseinstellungen wiederhergestellt, sofern die Originalwerte nicht durch Klicken auf die Schaltfläche Standard verändert wurden. In diesem Fall stellt PC-DMIS die in der Registrierung gespeicherten Werte wieder her.

Weitere Informationen zur Verwendung des Dialogfelds KMG-Optionen, um die ursprünglichen Werkeinstellungen durch Auslesen aus Steuerung wiederherzustellen, finden Sie unter "Einrichten der KMG-Schnittstelle" im Abschnitt "Voreinstellungen".


Erzeugen

Mit der Schaltfläche Erzeugen werden die in bestimmten Dialogfeldern vorgenommenen Änderungen übernommen und erstellte Elemente, Merkmale, automatische Elemente, Scans etc. erzeugt. Das erzeugte Element wird dabei sowohl ins Bearbeitungs- als auch ins Grafikfenster platziert.

Die Schaltfläche Erzeugen schließt nicht das Dialogfeld. Nur durch Klicken auf die Schaltlfläche Schließen wird das Dialogfeld geschlossen.


Schließen

Mit der Schaltfläche Schließen wird ein Dialogfeld geschlossen. Einige Dialogfelder (in denen die Auswahl weiterer Optionen eventuell erwünscht sein könnte) werden durch Klicken auf die Schaltflächen OK, Übernehmen oder Erzeugen nicht automatisch geschlossen.


Auswahl aufheben

Mit der Schaltfläche Ausw. aufheben (Auswahl aufheben) können Sie die Markierung jedes in einem Listenfeld ausgewählten Elements aufheben. In einigen Fällen können Sie mit der Schaltfläche Ausw. aufheben Elemente vollständig aus bestimmten Listenfeldern entfernen (z. B. AB-Positionen aus dem Feld Liste neuer Winkel).

In einigen Dialogfeldern und Registerkarten dient die Schaltfläche Ausw. aufheben dazu, Werte, die eingegeben bzw. geändert wurden, zu entfernen und die in PC-DMIS "integrierten" Werte wiederherzustellen. Dies ist möglich, solange noch nicht die Schaltfläche Übernehmen oder OK gewählt wurde. Wenn Sie durch Wahl der Schaltfläche Standard Standardwerte gespeichert haben, dann werden diese Werte wiederhergestellt.


Rückgängig

Mit der Schaltfläche Rückgängig können Sie mit der Schaltfläche Übernehmen (oder Erzeugen bei CNC-Scans) durchgeführten Änderungen rückgängig machen. Wenn bereits die Schaltfläche OK angeklickt wurde, können Änderungen damit jedoch nicht mehr rückgängig gemacht werden.


Hilfe

Über die Schaltfläche Hilfe wird das dem aktuellen Dialogfeld zugehörige Thema der Online-Hilfe aufgerufen.


Kontrollkästchen:

Sie klicken auf ein Kontrollkästchen, um die betreffende Option zu aktivieren bzw. auszuschalten. Eine Option ist aktiviert, wenn im Kästchen neben der betreffenden Option ein Häkchen erscheint. Sie können mehrere Kontrollkästchen auswählen.


Optionsfelder:

Im Bereich der Optionsfelder werden die für jedes Dialogfeld verfügbaren Optionen angezeigt. Sie können zwischen den verfügbaren Optionen hin- und herschalten, indem Sie auf die gewünschte Option klicken. Wenn eine Option ausgewählt wird, wird links neben der ausgewählten Option ein schwarzer Punkt angezeigt. Alle anderen Optionen werden deaktiviert. Sie können immer nur eine Optionsschaltfläche auswählen.


Registerkarten in Dialogfeldern:

Einige Dialogfelder enthalten Registerkarten. Diese Registerkarten fungieren als Markierungskennzeichen vergleichbar mit den Namen von Aktenordnern in einem Aktenschrank. Klicken Sie einfach auf eine Registerkarte, um bestimmte Fenster oder Optionen in den Vordergrund vor die anderen Registerkarten zu bringen. Daraufhin erscheinen alle zu dieser Registerkarte gehörenden Optionen oder Befehle.


Zugreifen auf Dialogfelder

Die Optionen in einem Dialogfeld können mit der Maus oder über die Tastatur geöffnet werden. Um mit der Maus auf eine Option zuzugreifen, zeigen Sie einfach auf die gewünschte Option und klicken Sie mit der Maustaste. Es gibt eine Vielzahl von Möglichkeiten, sich über die Tastatur zwischen den verfügbaren Optionen hin- und herzubewegen.

DRÜCKEN SIE: | UM
TAB: | zur nächsten verfügbaren Option zu gelangen
UMSCHALT+TAB: | zur vorherigen verfügbaren Option zu gelangen
PFEILTASTE: | die aktuelle Dropdown-Liste anzuzeigen
EINGABETASTE: | den aktuellen Befehl auszuwählen
LEERTASTE: | das aktuelle Kontrollkästchen oder die aktuelle Schaltfläche auszuwählen


Verschieben von Dialogfeldern

Die Fenster- und Dialogfeldanordnung im Grafikfenster kann mit der Maus gesteuert werden.

So verschieben Sie ein Dialogfeld oder Fenster:

  1. Setzen Sie den Mauszeiger auf den Titel.

  2. Halten Sie die linke Maustaste gedrückt.

  3. Ziehen Sie das Dialogfeld oder Fenster an die gewünschte Position im Grafikfenster.

  4. Lassen Sie die Maustaste wieder los.

PC-DMIS zeichnet das Dialogfeld oder Fenster an der veränderten Position neu.


Bildlauf im Bearbeitungsfenster

Das Bearbeitungsfenster kann auf die gleiche Weise wie ein Dialogfeld verschoben werden. Siehe "Verschieben von Dialogfeldern"

Das Bearbeitungsfenster besitzt Bildlaufleisten zur Anzeige weiterer im Fenster enthaltener Daten.

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf einen der Bildlaufpfeile.

  2. Drücken und halten Sie die linke Maustaste.

PC-DMIS rollt den Bildschirminhalt in die Richtung, in die der Bildlaufpfeil zeigt. Um durch den Bildschirminhalt beispielsweise nach unten zu scrollen, setzen Sie den Zeiger auf den nach unten zeigenden Bildlaufpfeil und klicken Sie mit der linken Maustaste.

Vollständige Informationen zum Bearbeitungsfenster finden Sie unter "Bearbeiten eines Werkstückprogramms" und "Verwenden des Bearbeitungsfensters".


Anpassen der Benutzeroberfläche

In Version 3.5 wurde die bisherige Benutzeroberfläche dahingehend verbessert, dass die verschiedenen verfügbaren Optionen nun besser strukturiert sind. Außerdem können Sie nun die Benutzeroberfläche Ihren Anforderungen anpassen.

Sie können die Menüs auf einfache Weise neu anordnen, den Menüs eigene Programme hinzufügen oder auch neue Menüs und Optionen erstellen. PC-DMIS ermöglicht es Ihnen zudem, Befehle aus PC-DMIS sowie angepasste Befehle mit Symbolleisten zu verknüpfen. Anleitungen zum Ändern der Benutzeroberfläche finden Sie unter den folgenden Themen:

Hinweis: Die Struktur dieser Hilfedatei basiert auf der mit dieser Version von PC-DMIS gelieferten Standardbenutzeroberfläche. Beachten Sie, dass die Dokumentation nach Anpassen der Benutzeroberfläche möglicherweise nicht mehr einfach nachzuvollziehen ist.

Siehe auch:

So stellen Sie die Standardbenutzeroberfläche wieder her

So passen Sie die Schriftarten der Benutzeroberfläche an

Anpassen der Menüs

Anpassen der Symbolleisten

Anpassen der Tastenkombinationen


So stellen Sie die Standardbenutzeroberfläche wieder her

Wenn Sie die Benutzeroberfläche von PC-DMIS wieder auf den Standard zurücksetzen möchten, der mit dieser Version von PC-DMIS geliefert wurde, gehen Sie wie folgt vor:

  1. Schließen Sie PC-DMIS.

  2. Gehen Sie zu dem Verzeichnis, in dem PC-DMIS installiert ist.

  3. Öffnen Sie das Verzeichnis Ihres Windows-Benutzerprofils.

  4. Löschen Sie die Datei mit dem Namen menu_xxx.dat, wobei sich xxx auf die drei Buchstaben für die Sprache, mit der Sie arbeiten, bezieht. Im Falle von Englisch löschen Sie menu_eng.dat.

  5. Starten Sie PC-DMIS neu. Nun wird wieder die Standardbenutzeroberfläche verwendet.


So passen Sie die Schriftarten der Benutzeroberfläche an

Alle Schriftarten ändern (Dialogfeld)

Alle Schriftarten ändern (Dialogfeld)

Um Schriftarten zu ändern, öffnen Sie das Dialogfeld Alle Schriftarten ändern durch Auswahl der Menüoption Bearbeiten | Einstellungen | Schriftarten. In diesem Dialogfeld können Sie die Schriftattribute ¾ (einschließlich Schriftart, Größe und Stil) ¾ für die Hauptbenutzeroberfläche, das Grafikfenster und das Bearbeitungsfenster ändern. So ändern Sie die Schriftart:

  1. Wählen Sie eine dieser Optionsschaltflächen und es erscheint das Standarddialogfeld Schriftart.

  • Anwendungs-Schriftart bearbeiten – Hiermit wird die Schriftart der Listen in der Symbolleiste Einstellungen, des Voransichtsfensters, der Ergebnisanzeige, der Statusleiste und aller Meldungsfelder etc. geändert.

  • Grafik-Schriftart bearbeiten – Hiermit wird die Schriftart von Text geändert, der im Grafikfenster angezeigt wird. Dies betrifft vor allem die Textfelder für Element-Etiketten, Merkmal- und Punkt-Infofelder usw.

  • Bearbeitungsfenster-Schriftart bearbeiten – Hiermit wird die Schriftart des Bearbeitungsfensters geändert. Beachten Sie, dass proportionale Schriftarten, d.h. Schriften mit unregelmäßigem Zeichenabstand, die Lesbarkeit des Bearbeitungsfensters beeinträchtigen können.

  2. Wählen Sie Ihre Schriftartänderungen aus den verfügbaren Listen aus.

  3. Klicken Sie auf OK, um das Dialogfeld Schriftart zu schließen.

  4. Klicken Sie im Dialogfeld Alle Schriftarten ändern auf OK, um Ihre Änderungen zu übernehmen.

Sie können jede Schriftart verwenden, die auf Ihrem Computersystem verfügbar ist. Beachten Sie jedoch, dass proportionale Schriftarten, d.h. Schriften mit unregelmäßigem Zeichenabstand, die Lesbarkeit mancher Komponenten beeinträchtigen können.

Achtung: Wenn Sie vom Bearbeitungsfenster aus drucken, sollten Sie eine True Type-Schrift (wie beispielsweise "Courier New") verwenden, sonst sind die Zeichen oder Zeilen möglicherweise nicht so angeordnet wie erwartet.


Anpassen der Menüs

So passen Sie die Menüs in der Menüleiste an:

  1. Öffnen Sie das Dialogfeld Anpassen durch Auswahl der Menüoption Ansicht | Symbolleisten | Anpassen.

  2. Wählen Sie die Registerkarte Menü.

Dialogfeld "Anpassen" - Registerkarte "Menü"

Auf dieser Registerkarte können Sie neue Menüoptionen hinzufügen, vorhandene Menüoptionen verschieben oder diese ganz aus der Menüleiste entfernen.

Siehe auch:

So verschieben Sie eine Menüoption

So entfernen Sie eine Menüoption

So bearbeiten Sie eine vorhandene Menüoption

So fügen Sie eine neue Menüoption hinzu


So verschieben Sie eine Menüoption

So verschieben Sie eine Menüoption an eine neue Position in der Menüleiste.

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Menü. Gehen Sie dann zu der Menüoption, die Sie in die aktuelle Menüleiste von PC-DMIS (nicht in die Strukturansicht-Menüliste der Registerkarte Menü) verschieben möchten.

  2. Wählen Sie die gewünschte Menüoption aus.

  3. Ziehen Sie diese an die neue Position. Während Sie die Option durch die Menüstruktur ziehen, wird ein kleiner roter Pfeil [image] eingeblendet. Er zeigt an, wo die Option hinzugefügt wird.

  4. Lassen Sie die Maustaste los. Die Menüoption wird von ihrer Ausgangsposition in die neue Position kopiert.

  5. Klicken Sie auf OK, um Ihre Änderungen zu übernehmen und das Dialogfeld Anpassen zu schließen.


So entfernen Sie eine Menüoption

So entfernen Sie eine Menüoption aus der Menüleiste:

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Menü. Gehen Sie dann zu der Menüoption, die Sie aus der aktuellen Menüleiste von PC-DMIS (nicht aus der Strukturansicht-Menüliste der Registerkarte Menü) entfernen möchten.

  2. Wählen Sie die gewünschte Menüoption aus.

  3. Ziehen Sie diese aus dem Menüleistenbereich.

  4. Lassen Sie die Maustaste los. Die Menüoption wird aus dem Menü entfernt.

  5. Klicken Sie auf OK, um Ihre Änderungen zu übernehmen und das Dialogfeld Anpassen zu schließen.


So bearbeiten Sie eine vorhandene Menüoption

Sie können vorhandene Menüoptionen, einschließlich deren Namen, Beschreibungen und QuickInfos bearbeiten. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Anpassen durch Auswahl der Menüoption Ansicht | Symbolleisten | Anpassen.

  2. In dem geöffneten Dialogfeld klicken Sie auf die Menüleiste von PC-DMIS.

  3. Wählen Sie ein Menü aus und klicken Sie dann mit der rechten Maustaste auf eine Menüoption. Das Dialogfeld Menüoption bearbeiten wird eingeblendet.

Menüeintrag bearbeiten (Dialogfeld)

  4. Ändern Sie die Menüoption mit Hilfe dieses Dialogfelds und klicken Sie dann auf OK.

  5. Klicken Sie im Dialogfeld Anpassen auf OK.

  6. Überprüfen Sie die Änderung.

Hinweis: Im Dialogfeld Menütext gibt der Buchstabe hinter dem Und-Zeichen (&) an, dass der Buchstabe in Verbindung mit der Taste ALT verwendet werden kann, um diese Menüoption schnell auszuwählen (durch Drücken von ALT + D + N wird beispielsweise die Menüoption Neu im Menü Datei verwendet).


So fügen Sie eine neue Menüoption hinzu

Sie können Ihre eigenen benutzerdefinierten Menüoptionen erstellen und ein externes Programm oder eine Stapeldatei damit verknüpfen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Anpassen durch Auswahl der Menüoption Ansicht | Symbolleisten | Anpassen und wählen Sie die Registerkarte Menü.

  2. Auf der Liste in der Registerkarte klicken Sie auf das Pluszeichen neben den Menüoptionen. Daraufhin wird die vollständige Liste mit allen Menüs eingeblendet.

  3. Klicken Sie auf das Pluszeichen neben dem Menü, in dem die benutzerdefinierte Menüoption platziert werden soll und klicken Sie auf eine Menüoption in diesem Menü.

  4. Klicken Sie auf die Schaltfläche Eintrag erstellen. Das Dialogfeld Benutzerdef. Assistent/Skript/Werkzeug wird eingeblendet.

  5. Klicken Sie auf die Schaltfläche .... Nun erscheint das Dialogfeld Öffnen.

  6. Wählen Sie in der Liste Dateityp die Art der einzufügenden Datei aus.

  7. Gehen Sie zum Verzeichnis, in dem sich die benutzerdefinierte Anwendung, die Stapeldatei, die Makrodatei und das BASIC-Skript etc. befindet.

  8. Wählen Sie die einzufügende Datei aus und klicken Sie auf Öffnen. Das Dialogfeld Öffnen wird geschlossen und das Dialogfeld Benutzerdef./Skript/Werkzeug zeigt die Standardinformationen zu dem von Ihnen ausgewählten benutzerdefinierten Programm an.

Anwendungsbeispiel für das Dialogfeld "Benutzerdef./Skript/Werkzeug"

Befehlsdatei – Dieses Feld enthält den Befehlspfad.

Menütext – In dieses Feld können Sie den Namen eingeben, der für diese Option im Menü angezeigt wird.

Hilfebeschreibung – In dieses Feld können Sie den QuickInfo-Text eingeben, der für diese Menüoption angezeigt wird.

Symbol ändern – Über diese Schaltfläche können Sie das Symbol ändern, das für diese Menüoption angezeigt wird.

  9. Nehmen Sie ggf. weitere Änderungen in diesem Dialogfeld vor.

  10. Klicken Sie auf OK, um Ihre Änderungen zu übernehmen und das Dialogfeld Anpassen zu schließen.


Anpassen der Symbolleisten

So passen Sie die Symbolleisten an, die im Symbolleistenmenü angezeigt werden:

  1. Öffnen Sie das Dialogfeld Anpassen durch Auswahl der Menüoption Ansicht | Symbolleisten | Anpassen.

  2. Öffnen Sie die Registerkarte Symbolleisten.

Dialogfeld "Anpassen" - Registerkarte "Symbolleiste"

Auf dieser Registerkarte können Sie neue Symbolleisten und Symbole hinzufügen, benutzerdefinierte Symbolleisten sowie Symbole entfernen und Symbole in vorhandenen Symbolleisten neu anordnen.

Siehe auch:

So ändern Sie eine vorhandene Symbolleiste

So erstellen Sie eine benutzerdefinierte Symbolleiste

So löschen Sie eine benutzerdefinierte Symbolleiste


So ändern Sie eine vorhandene Symbolleiste

Diese Tabelle zeigt, wie Sie die Registerkarte Symbolleiste im Dialogfeld Anpassen verwenden können, um vorhandene Symbolleisten zu ändern.

Gewünschte Änderung

Verfahren

Einer Symbolleiste eine Menüoption hinzufügen

  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.

  2. Suchen Sie den gewünschten Eintrag in der Liste Verfügbare Elemente.

  3. Wählen Sie die Option aus und klicken Sie auf die Schalftfläche Hinzufügenà. Der Eintrag wird in der gewünschten Symbolleiste angezeigt.

  4. Klicken Sie auf Übernehmen und dann auf OK, um die Änderungen zu übernehmen.

Ein Symbol aus einer Symbolleiste entfernen

  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.

  2. Suchen Sie in der Liste den zu entfernenden Eintrag (rechts im Dialogfeld).

  3. Wählen Sie den Eintrag ß Entfernen.

  4. Klicken Sie auf Übernehmen und dann auf OK, um die Änderungen zu übernehmen.

Änderungen rückgängig machen

Klicken Sie auf die Schaltfläche Rücksetzen. So lange Sie noch nicht auf OK oder Übernehmen geklickt haben, wird die Symbolleiste wieder in ihren Ursprungszustand zurückversetzt.

Alle benutzerdefinierten Symbolleisten entfernen und die mit dieser Version gelieferte Oberfläche wiederherstellen

Klicken Sie auf die Schaltfläche Standard.

Einen neuen Symbolleisteneintrag erstellen

Klicken Sie auf Neu. Das Dialogfeld Benutzerdef. Assistent/Skript/Werkzeug wird eingeblendet. Wählen Sie den hinzuzufügenden Eintrag aus. In dieser Hilfedatei wird das Verfahren zum Hinzufügen benutzerdefinierter Optionen unter "So fügen Sie eine neue Menüoption hinzu" beschrieben.

Optionen in einer Symbolleiste neu anordnen

  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.

  2. Wählen Sie die zu verschiebende Option aus.

  3. Klicken Sie auf den Nach-Oben-Pfeil [image] oder den Nach-Unten-Pfeil [image] , um die Option in Bezug auf die anderen Symbole in der Liste nach oben oder nach unten zu verschieben.

Umbenennen einer Symbolleiste

  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.

  2. Klicken Sie auf Umbenennen. Es erscheint das Dialogfeld Neuer Symbolleistenname.

  3. Geben Sie den Namen der Symbolleiste ein und klicken Sie auf OK.

In PC-DMIS besteht auch die Möglichkeit, Optionen in benutzerdefinierten Symbolleisten während der Arbeit neu anzuordnen oder zu löschen. Hierfür wird die Umschalttaste verwendet. Beachten Sie folgendes:

So löschen Sie Symbole aus einer Symbolleiste oder ordnen diese neu an:

  1. Drücken und halten Sie die UMSCHALTtaste.

  2. Klicken Sie mit der Maustaste auf das Symbol und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.

  3. Wenn Sie das Symbol neu anordnen möchten, ziehen Sie es an die neue Position in der Symbolleiste.

  4. Wenn Sie das Symbol löschen möchten, ziehen Sie es an eine Stelle außerhalb der Symbolleiste.

  5. Lassen Sie die Maustaste wieder los. Die Änderung ist erfolgt.

So fügen Sie ein Trennzeichen hinzu:

  1. Drücken und halten Sie die UMSCHALTtaste.

  2. Klicken Sie mit der Maustaste auf das Symbol und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.

  3. Ziehen Sie das Symbol ein kleines Stück nach rechts (jedoch nicht so weit, dass seine Position geändert wird).

  4. Lassen Sie die Maustaste wieder los. Nun wird links davon ein Trennzeichen angezeigt.

So löschen Sie ein Trennzeichen:

  1. Drücken und halten Sie die UMSCHALTtaste.

  2. Klicken Sie mit der Maustaste auf das Symbol rechts neben dem Trennzeichen und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.

  3. Ziehen Sie das Symbol auf das Trennzeichen zu seiner Linken.

  4. Lassen Sie die Maustaste wieder los.


So erstellen Sie eine benutzerdefinierte Symbolleiste

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Symbolleisten.

  2. Klicken Sie auf Neu und dann auf Symbolleiste. Nun wird ein Eingabefeld für den Symbolleistennamen eingeblendet.

  3. Geben Sie den Namen der Symbolleiste ein und klicken Sie auf OK. Die neue Symbolleiste wird nun in der Liste Symbolleistendefinition angezeigt. Jetzt können Sie die Symbolleiste ändern und ihr neue Symbole hinzufügen (siehe "So ändern Sie eine vorhandene Symbolleiste").


So löschen Sie eine benutzerdefinierte Symbolleiste

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Symbolleisten.

  2. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.

  3. Klicken Sie auf Löschen.

  4. Klicken Sie auf Übernehmen, um die Änderungen zu übernehmen.


Anpassen der Tastenkombinationen

So passen Sie die Tastenkombinationen für die in PC-DMIS verwendeten Menüeinträge und -befehle an:

1. Öffnen Sie das Dialogfeld Anpassen durch Auswahl der Menüoption Ansicht | Symbolleisten | Anpassen.

2. Wählen Sie die Registerkarte Tastatur aus.

Dialogfeld "Anpassen" - Registerkarte "Menü"

Mit dieser Registerkarte können Sie die Tastenkombinationen ändern, über die Befehle in PC-DMIS aufgerufen werden, und neue Tastenkombinationen für benutzerdefinierte Menü- und Symbolleisteneinträge hinzufügen.

Siehe auch:

So fügen Sie einem Befehl eine Tastenkombination hinzu

So entfernen Sie eine Tastenkombination eines Befehl


So fügen Sie einem Befehl eine Tastenkombination hinzu

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Tastatur.

  2. Wählen Sie den zu ändernden Befehl mit Hilfe der Listen Kategorie und Menüauswahl aus. Wenn Sie einen Befehl in der Liste Befehle ausgewählt haben, werden im Feld Aktuelle Tastenkombinationen die Tastenkombinationen angezeigt, die dem Befehl derzeit zugewiesen sind (falls vorhanden).

  3. Markieren Sie den Befehl, dem Sie eine neue Tastenkombination zuweisen möchten.

  4. Klicken Sie in das Feld Neue Tastenkombination.

  5. Drücken Sie die Tasten, die Sie dem Befehl zuweisen möchten. Die verwendeten Tasten werden während Ihrer Eingabe angezeigt.

  6. Klicken Sie auf die Schaltfläche Zuweisen. Die neue Tastenkombination wird nun zusammen mit allen dem Befehl derzeit zugewiesenen Tastenkombinationen im Feld Aktuelle Tastenkombinationen angezeigt.

  7. Klicken Sie auf Übernehmen, um die Änderungen zu akzeptieren.

Hinweis: Wie bei anderen Registerkarten können Sie auch hier die Schaltfläche Erzeugen verwenden, um zuerst einen Befehl zu erstellen und diesen dann mit einem benutzerdefinierten Programm zu verknüpfen. Anschließend können Sie diesen Befehl auswählen, indem Sie in der Liste Menüauswahl auf Benutzerdefiniert klicken. In der Liste Befehle werden dann alle benutzerdefinierten Befehle angezeigt.


So entfernen Sie eine Tastenkombination eines Befehl

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Tastatur.

  2. Wählen Sie den zu ändernden Befehl mit Hilfe der Listen Kategorie und Menüauswahl aus. Wenn Sie einen Befehl in der Liste Befehle ausgewählt haben, werden im Feld Aktuelle Tastenkombinationen die Tastenkombinationen angezeigt, die dem Befehl derzeit zugewiesen sind (falls vorhanden).

  3. Wählen Sie den Befehl aus, dessen Tastenkombination Sie entfernen möchten.

  4. Wählen Sie die zu entfernende Tastenkombination aus.

  5. Klicken Sie auf die Schaltfläche Entfernen.

  6. Klicken Sie auf Übernehmen, um die Änderungen zu akzeptieren.


Verwenden von grundlegenden Dateioptionen

Verwenden von grundlegenden Dateioptionen: Einführung

Erstellen neuer Werkstückprogramme

Öffnen vorhandener Werkstückprogramme

Speichern von Werkstückprogrammen

Speichern unter

Durchführen von Dateioperationen

Spiegeln

Kopieren

Löschen

Umbenennen

Ändern der Sprache

Drucken des Grafikfensters

Einstellen der Ausgabe- und Druckeroptionen

Voransicht des Druckauftrags

Drucken aus dem Bearbeitungsfenster

Einstellen der Ausgabe- und Druckeroptionen

Ausgabe in eine Datei:

Ausgabe in eine Datei unter Verwendung von Ausdrücken

Ausgabe an den Drucker:

Ausgabe als DMIS-Ausgabedatei:

Starten von Legacy-Anwendungen

Schließen oder Verlassen von Werkstückprogrammen

Beenden von PC-DMIS


Verwenden von grundlegenden Dateioptionen: Einführung

PC-DMIS enthält viele Optionen zur Bearbeitung der Werkstückprogramme und zur Verwaltung wichtiger Dateien. Wie bei den meisten Windows-basierten Programmen können Sie die grundlegende Dateiverwaltung mit Hilfe der standardmäßigen Windows-Dialogfleder durchführen. Dazu gehört u.a. das Erstellen, Öffnen, Kopieren, Umbenennen und Löschen von Dateien. Mit PC-DMIS können Sie zudem fortgeschrittenere Operationen durchführen, wie beispielsweise das Importieren und Exportieren von CAD-Daten oder die Ausführung fertiggestellter Werkstückprogramme.

In diesem Kapitel wird speziell auf die grundlegenden Dateioptionen eingegangen. Informationen zu den fortgeschrittenen Optionen finden Sie im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".

Dieser Abschnitt beschreibt folgende Vorgänge:

  • Erstellen neuer Werkstückprogramme

  • Öffnen vorhandener Werkstückprogramme

  • Speichern von Werkstückprogrammen

  • Durchführen von Dateioperationen

  • Ändern der Sprache

  • Drucken des Grafikfensters

  • Drucken des Prüfprotokolls

  • Schließen oder Verlassen von Werkstückprogrammen

  • Beenden von PC-DMIS


Erstellen neuer Werkstückprogramme

Wenn Sie noch keine Werkstückprogramme haben, die Sie öffnen könnten, müssen Sie im Dialogfeld Neues Werkstückprogrammein neues Werkstückprogramm erstellen. Das Dialogfeld kann durch Auswahl der Menüoption Datei | Neu geöffnet werden.

Neues Werkstückprogramm (Dialogfeld)

In diesem Dialogfeld können Sie ein neues Werkstück erstellen. Sie werden zur Eingabe eines Werkstücknamens, einer Seriennummer, einer Versionsnummer, eines Schnittstellentyps und der Maßeinheiten aufgefordert. Das Werkstück wird erst dann in den Speicher aufgenommen, wenn Sie es speichern. Hier wird auch der KMG-Schnittstellentyp festgelegt.

Hinweis: In PC-DMIS muss nur das Feld Werkstückname einen Eintrag enthalten, damit ein neues Werkstückprogramm erstellt wird. Die in die Felder Versionsnummer und Seriennummer eingegebenen Informationen sind optional.


Öffnen vorhandener Werkstückprogramme

Beachten Sie, dass Programme, die in einer älteren Version als Version 3.2 erstellt wurden, nach dem Öffnen in dieser Version nicht mehr in der alten Version verwendet werden können, in der sie erstellt wurden.

Wenn Sie in einer vorangegangenen PC-DMIS-Sitzung ein Werkstückprogramm mit Hilfe des Dialogfelds Neues Werkstückprogramm erstellt haben (siehe "Erstellen neuer Werkstückprogramme"), können Sie dieses aufrufen, indem Sie es im Dialogfeld Öffnen auswählen und auf Datei | Öffnen klicken.

Öffnen (Dialogfeld)

Dies ist das Standard-Windows-Dialogfeld Öffnen mit den folgenden Erweiterungen:

  • Es enthält eine Schnittstellenliste. Wird PC-DMIS ONLINE ausgeführt, können Sie bestimmen, welches KMG (sofern Sie über mehrere KMGs verfügen) für dieses Werkstückprogramm verwendet werden soll, oder Sie können PC-DMIS offline ausführen, indem Sie als Gerät OFFLINE wählen.

  • Der Bereich Voransicht des Dialogfelds zeigt das CAD-Bild für eine letzte Kontrolle Ihres Werkstücks im Grafikfenster (ohne Etiketten) an. Wenn das Werkstück keine CAD-Daten aufweist, wird die Ansicht die gemessene Geometrie anzeigen. In diesem Bereich werden auch der Name des Werkstückprogramms sowie das Datum der letzten Änderung angezeigt.

  • Sie können Daten in ein Werkstückprogramm importieren oder Daten aus einem Werkstückprogramm exportieren, indem Sie mit der rechten Maustaste auf den Dateinamen des Werkstückprogramms klicken und die Option Import bzw. Exportieren wählen (siehe "Importieren von CAD- oder Programmdaten" und "Exportieren von CAD- oder Programmdaten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen").

  • Zudem können Sie den Namen, die Seriennummer und die Versionsnummer eines Werkstücks prüfen und ändern und den Dateinamen auf einen Namen ändern, der aus den Dateieigenschaften abgeleitet wird.

    Vorgehensweise:

1. Klicken Sie mit der rechten Maustaste auf den Dateinamen des Werkstückprogramms. Ein Kontextmenü wird angezeigt.

2. Wählen Sie den Befehl Eigenschaften.

3. Wählen Sie die Registerkarte PC-DMIS.

Dieselben über die rechte Maustaste zugänglichen Funktionen sind aus dem Windows Explorer heraus verfügbar.

Hinweis: Das Dialogfeld Öffnen wird bei jedem Start von PC-DMIS automatisch aufgerufen. Hiermit können Sie vorhandene Werkstückprogramme öffnen. Soll diese Funktion jedoch deaktiviert werden, deaktivieren Sie das Kontrollkästchen Startdialogfeld einblenden im Dialogfeld Setup-Optionen auf der Registerkarte Allgemein.

Anzeigen von Programmdateien in einem Explorer-Fenster:

Zum Ansehen von Werkstückprogramm- und CAD-Dateien im Explorerfenster stehen Ihnen folgende Optionen zur Verfügung:

  • Die Menüeinträge Ansicht | Liste, Ansicht | Details und Ansicht | Symbole des Explorers zeigen Symbole für Werkstückprogramm- und CAD-Dateien an (".PRG"- und ".CAD2-Dateien). Beachten Sie, dass der zugrundeliegende Code für diese Dateien für jede PC-DMIS-Version auf unterschiedliche Symbole deutet. Wenn Sie also die richtige Ausstattung haben, können Sie diese Symbole gegebenenfalls ändern, damit sie für jede Version etwas anderes anzeigen.

Beispiel Ansicht | Symbole

  • Der Menüeintrag Ansicht | Kacheln des Explorers bildet ein Symbol ab, dass die PC-DMIS-Version anzeigt, in der die ".PRG"- und ".CAD"-Dateien zuletzt verwendet wurden. Sie können diese Symbole auch für jede Version ändern.

Beispiel Ansicht | Kacheln, in dem Werkstückprogramme aus V4.0 und V3.6 angezeigt werden

  • Ansicht | Miniaturansicht zeigt Werkstückprogramme, die nicht aus V4.0 stammen, mit ähnlichen Symbolen, wie sie unter Ansicht | Kacheln angezeigt werden. Für Werkstückprogrammdateien, die zuletzt in V4.0 und höher verwendet wurden, wird bei Auswahl der Option Ansicht | Miniaturansicht ein Bild des letzten Grafikfensters für diese .PRG-Datei angezeigt.

Beispiel Ansicht | Kacheln, in dem Werkstückprogramme aus V4.0 angezeigt werden


Speichern von Werkstückprogrammen

Durch Auswahl der Option Datei | Speichern werden alle Arbeiten gespeichert, die am aktuellen Programm vorgenommen wurden. Beim erstmaligen Speichern einer Datei wird das Dialogfeld Speichern unter aufgerufen. In diesem Dialogfeld können Sie angeben, wo das Werkstückprogramm gespeichert werden soll. (Weitere Informationen hierzu finden Sie unter "Speichern unter").

Wurde bereits ein Werkstückprogramm in einer vorherigen Version von PC-DMIS gespeichert (über das Dialogfeld Speichern unter), werden Sie bei nachfolgenden Speichervorgängen gefragt, ob das Werkstückprogramm in der zuvor ausgewählten alten Version gespeichert werden soll. Wenn Sie auf

  • Ja klicken, speichert PC-DMIS das Werkstückprogramm im Format der alten Version.

  • Nein klicken, speichert PC-DMIS das Werkstückprogramm im Format der aktuellen Version.

  • Abbrechen klicken, beendet PC-DMIS den Speichervorgang , ohne zu speichern.

Wenn diese Meldung nicht mehr angezeigt werden soll, lesen Sie unter "Warnmeldungen" im Abschnitt "Voreinstellungen" nach.

Siehe auch:

Speichern unter


Speichern unter

Durch Auswahl der Option Datei | Speichern unter wird das Dialogfeld Speichern unter eingeblendet.

Dialogfeld "Speichern unter"

In diesem Dialogfeld können Sie das aktuelle Werkstückprogramm unter einem neuen Dateinamen oder einer vorherigen Version speichern.

In der Liste PC-DMIS-Werkstückprogramm können Sie festlegen, ob das Werkstückprogramm in einem Format gespeichert werden soll, das durch ältere PC-DMIS-Versionen genutzt werden kann. Zu den verfügbaren Formaten gehört die Version 3.202 und höher. Wenn Sie das Werkstückprogramm in einer älteren Version von PC-DMIS speichern, welche die neueren Befehle dieser aktuellen Version nicht unterstützt, werden die nicht unterstützten Befehle in DOCUMENT-Kommentaren gespeichert. Siehe auch "Dokument" im Abschnitt "Verwenden des Bearbeitungsfensters".

Klicken Sie auf die Schaltfläche Speichern, um das Werkstückprogramm zu speichern. Mit Abbrechen wird das Dialogfeld ohne Speichern geschlossen.


Durchführen von Dateivorgängen

Mit Hilfe der Dateivorgänge von PC-DMIS können Sie Dateien aus Werkstückprogrammen spiegeln, kopieren, löschen und umbenennen.

Siehe auch:

Spiegeln

Kopieren

Löschen

Umbenennen


Spiegeln

Mit dem Befehl Spiegeln kann der Benutzer eine an der X-, Y- oder Z-Achse gespiegelte Bildkopie eines Werkstückprogramms erstellen.

So spiegeln Sie ein Werkstückprogramm:

  1. Wählen Sie die Option Datei | Vorgänge | Spiegeln. Das folgende Dialogfeld Wählt das zu spiegelnde Werkstück aus wird angezeigt:

Wählt das zu spiegelnde Werkstück aus (Dialogfeld)

  2. Wählen Sie die zu spiegelnde Werkstückprogrammdatei aus.

  3. Bestimmen Sie durch Auswahl der betreffenden Optionschaltfläche (In X, Y oder Z spiegeln), an welcher Achse die Spiegelung erfolgen soll.

  4. Klicken Sie auf die Schaltfläche Öffnen. Es erscheint das Dialogfeld Speichert das gespiegelte Werkstück unter mit dem Dateinamen des zum Spiegeln ausgewählten Werkstückprogramms.

Speichert das gespiegelte Werkstück unter (Dialogfeld)

  5. Klicken Sie auf die Schaltfläche Speichern. Es wird eine Kopie des gespiegelten Werkstückprogramms in dem von Ihnen angegebenen Verzeichnis gespeichert.

Achtung: PC-DMIS versucht auch, die AB-Tastspitzenwinkel Ihres Tasters zu spiegeln. Wenn die exakten gespiegelten Tastspitzenwinkel nicht schon für den Taster definiert und kalibriert worden sind, könnte PC-DMIS versuchen, die kalibrierten Tastspitzenwinkel auszuwählen, die dem am nächsten kommen. PC-DMIS wählt eng übereinstimmende Tastspitzenwinkel aus, wenn bereits kalibrierte Tastspitzenwinkel vorhanden sind und diese sich innerhalb des Wertes für den Wrist-Winkel bewegen, der im Feld Delta-Mindestwert für DSE-Drehung auf der Registerkarte Werkstück/Maschine des Dialogfelds Setup-Optionen vorgegeben wurde. Wenn es keine eng übereinstimmenden AB-Tastspitzenwinkel gibt, wird PC-DMIS perfekt gespiegelte AB-Tastspitzenwinkel erzeugen, die aber noch nicht kalibriert sind. Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte Werksück/Maschine" im Abschnitt "Voreinstellungen".


Kopieren

Mit dem Befehl Kopieren kann der Benutzer alle zu einem bestimmten Werkstückprogramm gehörenden Dateien kopieren.

So kopieren Sie ein Werkstückprogramm:

  1. Wählen Sie die gewünschte Menüoption Datei | Vorgänge | Kopieren aus. In dem nun eingeblendeten Dialogfeld Werkstückdateien kopieren von werden Sie gefragt, welche Datei aus welchem Ordner kopiert werden soll.

  2. Navigieren Sie durch die Verzeichnisstruktur und wählen Sie ein Werkstückprogramm aus.

  3. Klicken Sie auf die Schaltfläche Öffnen. In dem Dialogfeld Werkstückdateien kopieren nach wird der Benutzer gefragt, in welchen Ordner das Werkstückprogramm kopiert werden soll.

  4. Klicken Sie auf das zu kopierende Werkstückprogramm, so dass der Dateiname und die Erweiterung des Werkstückprogramms im Feld Dateiname angezeigt werden.

  5. Gehen Sie zu dem Ordner, in den das Programm kopiert werden soll.

  6. Klicken Sie auf die Schaltfläche Öffnen.

Kopiert werden die Dateien ".PRG" und ".CAD" sowie alle Dateien mit demselben Grundnamen und einer Erweiterung im Bereich von .001, .002, …, .999.


Löschen

Mit dem Befehl Löschen kann der Benutzer alle zu einem bestimmten Werkstückprogramm gehörenden Dateien löschen.

So löschen Sie ein Werkstückprogramm:

  1. Wählen Sie die gewünschte Menüoption Datei | Vorgänge | Löschen aus. Das Dialogfeld Werkstückdateien löschen erscheint.

  2. Wählen Sie das zu löschende Werkstückprogramm aus.

  3. Klicken Sie auf die Schaltfläche Öffnen. PC-DMIS fragt Sie in einem weiteren nun eingeblendeten Dialogfeld, ob die Dateien wirklich in den Papierkorb gesendet werden sollen.

  4. Klicken Sie auf die Schaltfläche Ja.

Gelöscht werden die Dateien ".PRG" und ".CAD" sowie alle Dateien mit demselben Grundnamen und einer Erweiterung im Bereich von .001, .002, …, .999. Alle gelöschten Dateien werden zum Papierkorb gesendet.


Umbenennen

Mit dem Befehl Umbenennen kann der Benutzer alle zu einem bestimmten Werkstückprogramm gehörenden Dateien umbenennen.

So benennen Sie ein Werkstückprogramm um:

  1. Wählen Sie die gewünschte Menüoption Datei | Vorgänge | Umbenennen aus. In dem nun eingeblendeten Dialogfeld Werkstückdateien umbenennen von werden Sie gefragt, welche Datei umbenannt werden soll.

  2. Wählen Sie das umzubenennende Werkstückprogramm aus.

  3. Klicken Sie auf die Schaltfläche Öffnen. In einem anderen nun eingeblendeten Dialogfeld Werkstückdateien umbenennen in werden Sie nach dem neuen Namen der Datei gefragt.

  4. Geben Sie den neuen Dateinamen in das Feld Dateiname ein.

  5. Klicken Sie auf die Schaltfläche Öffnen. Die Namensänderung wird sofort wirksam.

Umbenannt werden die Dateien ".PRG" und ".CAD" sowie alle Dateien mit demselben Grundnamen und einer Erweiterung im Bereich von .001, .002, …, .999.


Ändern der Sprache

Durch Auswahl von Datei | Sprache werden die in PC-DMIS verfügbaren Sprachen angezeigt. Die derzeit verwendete Sprache ist durch ein Häkchen gekennzeichnet. Um auf eine neue Sprache umzuschalten, wählen Sie einfach die gewünschte Sprache aus. PC-DMIS wird automatisch beendet. Nach dem Neustart wird PC-DMIS in der neu ausgewählten Sprache ausgeführt. Abgeblendete Sprachen können nicht ausgewählt werden. Manche verfügbaren Sprachen sind möglicherweise nicht auf Ihrem aktuellen System installiert.

Hinweis: Beim Wechseln der Sprache ist Vorsicht geboten. PC-DMIS schließt das Programm automatisch, nachdem ein Sprachwechsel angefordert wurde. Alle am Werkstückprogramm vorgenommenen Änderungen werden nicht gespeichert.


Drucken des Bearbeitungsfensters

Mit PC-DMIS können Sie auf einfache und schnelle Weise die Inhalte des Bearbeitungsfensters ausdrucken. Zum Versenden des Inhalts des Bearbeitungsfensters an den Drucker können Sie eine der folgenden Möglichkeiten wahrnehmen:

  • Select Datei | Drucken | Drucken im Bearbeitungsfenster. Menü-Übersicht anzeigen

  • Klicken Sie auf das Symbol Drucken in der Symbolleiste des Bearbeitungsfensters.

  • Drücken Sie "F4".

Voransicht des Druckauftrags

Zur Voransicht wählen Sie Datei | Drucken | Seitenansicht im Bearbeitungsfenster. Menü-Übersicht anzeigen

Ein Seitenansichtsfenster wird eingeblendet:

Seitenansichtsfenster des Bearbeitungsfensters

Seitenansichtsfenster, das den Inhalt des Bearbeitungsfensters anzeigt

Die Schaltflächen am oberen Fensterrand üben folgende Funktionen aus:

  • Die Schaltfläche Drucken öffnet das standardmäßige Dialogfeld Druckereinrichtung, über das Sie den Druckauftrag an den Drucker senden können.

  • Mit den Schaltflächen Nächste Seite und Vorherige Seite können Sie durch einen Druckauftrag mit mehreren Seiten blättern.

  • Das Umschaltfeld One Page (Eine Seite) oder Two Pages (Zwei Seiten) bestimmt, wie viele Seiten gleichzeitig in der Voransicht angezeigt werden.

  • Mit Hilfe der Schaltflächen Vergrößern und Verkleinern können Sie schnell einen genaueren Blick auf eine Seite in der Voransicht werfen. Dies hat keinen Einfluss auf die Ansicht, die an den Drucker gesendet wird.

  • Mit der Schaltfläche Schließen wird das Voransichtsfenster geschlossen.

Achtung: Wenn Sie den Inhalt des Bearbeitungsfensters drucken, sollten Sie eine True Type-Schrift (wie beispielsweise Courier New) verwenden, sonst sind die Zeichen oder Zeilen möglicherweise nicht so angeordnet wie erwartet. Wie die im Bearbeitungsfenster und in Ihren Protokollen verwendeten Schriftarten geändert werden, finden Sie unter "So passen Sie die Schriftarten der Benutzeroberfläche an" im Abschnitt "Navigation durch die Benutzeroberfläche".

Einstellen der Ausgabeoptionen

Sie können die Ausgabeoptionen für das Drucken aus dem Bearbeitungsfenster im gleichen Dialogfeld Druckoptionen einstellen, das für die Ausgabe des Prüfprotokolls verwendet wird. Weitere Informationen finden Sie unter "Drucken des Prüfprotokolls.


Drucken des Grafikfensters

In PC-DMIS können Sie den aktuellen Inhalt des Grafikfensters an Ihren Drucker senden. Wählen Sie hierfür im Menü die Option Datei | Drucken | Drucken im Grafikfenster. Vor dem Drucken können Sie die Ausgabeoptionen festlegen und den Druckauftrag in einer Voransicht anzeigen.

Siehe auch:

Einstellen der Ausgabe- und Druckeroptionen

Voransicht des Druckauftrags


Einstellen der Ausgabe- und Druckeroptionen für das Grafikfenster

Bei Auswahl der Menüoption Datei | Drucken | Druckereinrichtung im Grafikfenster wird das Dialogfeld Druckereinrichtung und Ausgabeoptionen eingeblendet.

Druckereinrichtung und Ausgabeoptionen (Dialogfeld)

Dieses Dialogfeld dient zum Einrichten des Druckers und Festlegen verschiedener Anzeigeoptionen. Mit Hilfe der unter Druckeroptionen verfügbaren Optionen können Sie die Art der grafischen Ansicht auswählen, die gedruckt wird. Dazu gehören:

Größe an Einzelseite anpassen – Diese Option skaliert jedes grafische Bild so, dass es auf eine einzelne Seite passt.

Sichtbaren Bildschirmbereich drucken – Diese Option druckt nur den derzeit sichtbaren Fensterbereich. Wenn Sie beispielsweise ein Element vergrößert anzeigen, wird nur das gedruckt, was gerade auf dem Bildschirm sichtbar ist, und nicht das gesamte Werkstück.

Vollständige Ansichten drucken – Diese Option druckt jede Ansicht, die Sie im Bereich View Layout (Layout anzeigen) des Dialogfelds Ansicht einrichten definiert haben, auf einer eigenen Seite. Wenn Sie beispielsweise die Ansicht Z+ und die Ansicht Y- eines Werkstücks im Grafikfenster anzeigen, druckt PC-DMIS zwei separate Seiten, eine mit der Ansicht Z+ und eine mit der Ansicht Y-.

Vollständige Ansichten drucken w/Aktueller Maßstab – Diese Option entspricht der Option Vollständige Ansichten drucken, der Ausdruck erfolgt jedoch im aktuellen Maßstab. Wenn Sie beispielsweise das Bild vergrößert anzeigen, druckt PC-DMIS dennoch die gesamte Ansicht, teilt das Bild jedoch auf mehrere Seiten auf.

Durch Aktivieren des Kontrollkästchens Lineale zeichnen werden zudem alle im Grafikfenster angezeigten Lineale gedruckt. Zum Anzeigen der Lineale verwenden Sie das Dialogfeld Ansicht einrichten (Bearbeiten | Grafikfenster | Ansicht einrichten). Informationen hierzu finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".

Über die Schaltfläche Druckereinrichtung können Sie auf das Dialogfeld Druckereinrichtung zugreifen. In diesem Dialogfeld können Sie das Papierformat und die Seitenausrichtung einstellen und auf weitere Druckereigenschaften zugreifen.

Klicken Sie auf OK, um alle Änderungen zu speichern.


Voransicht des Druckauftrags

Sie können in einer Voransicht ganz einfach überprüfen, welche Bereiche des Grafikfensters gedruckt werden, indem Sie die Menüoption Datei | Drucken | Seitenansicht im Grafikfenster auswählen. Ein Seitenansichtsfenster wird eingeblendet.

Seitenansichtsfenster, das den Inhalt des Grafikfensters anzeigt

Die Schaltflächen am oberen Fensterrand üben folgende Funktionen aus:

Die Schaltfläche Drucken öffnet das standardmäßige Dialogfeld Druckereinrichtung, über das Sie den Druckauftrag an den Drucker senden können.

Mit den Schaltflächen Nächste Seite und Vorherige Seite können Sie durch einen Druckauftrag mit mehreren Seiten blättern.

Das Umschaltfeld One Page (Eine Seite) oder Two Pages (Zwei Seiten) bestimmt, wie viele Seiten gleichzeitig in der Voransicht angezeigt werden.

Mit Hilfe der Schaltflächen Vergrößern und Verkleinern können Sie schnell einen genaueren Blick auf eine Seite in der Voransicht werfen. Dies hat keinen Einfluss auf die Ansicht, die an den Drucker gesendet wird.

Mit der Schaltfläche Schließen wird das Voransichtsfenster geschlossen.


Drucken des Prüfprotokolls

In PC-DMIS können Sie den Prüfprotokolltext an eine Reihe von Ausgabegeräten oder eine Datei senden. PC-DMIS unterstützt eine große Anzahl von Druckern und Plottern. Sollten Sie Fragen bezüglich der Hardware-Kompatibilität haben, wenden Sie sich bitte an Ihren PC-DMIS-Vertriebsbeauftragten.

Verwenden Sie diese Funktion zum Drucken von Prüfprotokollen, die eine grafische Darstellung des Werkstücks enthalten. Wählen Sie hierzu die Menüoption Datei | Drucken | Protokoll drucken. Vor dem Drucken können Sie die Ausgabeoptionen für den Druckauftrag festlegen.

Achtung: Wenn Sie das Prüfprotokoll drucken, sollten Sie eine True Type-Schrift (wie beispielsweise Courier New) verwenden, sonst sind die Zeichen oder Zeilen möglicherweise nicht so angeordnet wie erwartet. Wie die im Bearbeitungsfenster und in Ihren Protokollen verwendeten Schriftarten geändert werden, finden Sie unter "So passen Sie die Schriftarten der Benutzeroberfläche an" im Abschnitt "Navigation durch die Benutzeroberfläche".

Siehe auch:

Einstellen der Ausgabe- und Druckeroptionen


Einstellen der Ausgabe- und Druckeroptionen für das Bearbeitungsfenster

Bei Auswahl der Menüoption Datei | Drucken | Druckereinrichtung Protokoll wird das Dialogfeld Druckoptionen eingeblendet.

Druckoptionen (Dialogfeld)

Mit Hilfe dieses Dialogfelds können Sie PC-DMIS mitteilen, wohin das Prüfprotokoll gesendet werden soll. Sie können ihn an eine Datei oder einen Drucker senden, eine DMIS-Datei daraus erstellen oder eine Kombination dieser drei Möglichkeiten verwenden. Vorgehensweise:

  1. Aktivieren Sie das Kontrollkästchen Datei, Drucker oder DMIS Ausgabe, oder eine Kombination dieser drei Kontrollkästchen.

  2. Neben den Kontrollkästchen können jetzt verschiedene Optionen ausgewählt werden. Welche Optionen angezeigt werden, hängt von Ihrer Auswahl im vorherigen Schritt ab.

  3. Klicken Sie auf OK (oder drücken Sie die EINGABETASTE). Das Dialogfeld Druckoptionen wird geschlossen.

Siehe auch:

Ausgabe in eine Datei

Ausgabe in eine Datei unter Verwendung von Ausdrücken

Ausgabe an den Drucker

Ausgabe als DMIS-Ausgabedatei


Ausgabe in eine Datei unter Verwendung von Ausdrücken

Ab Version PC-DMIS 3.6 und höher können Sie Ausdrücke im Dateifeld des Dialogfelds Druckoptionen verwenden. Diese Funktion ermöglicht Ihnen die Verwendung Ihres Werkstückprogrammkodes im Dialogfeld Druckoptionen, so dass das Zielverzeichnis für die Ausgabedatei dynamisch geändert werden kann.

Beispielsweise möchten die beiden Benutzer, John und Amy, ein Prüfprotokoll desselben Werkstückprogramms an ein vorhandenes Unterverzeichnis auf Basis des Benutzernamens senden. Statt das Dialogfeld Druckoptionen für jeden Benutzer einzeln öffnen und das Zielverzeichnis sowie den Protokollnamen ändern zu müssen, geben die Benutzer einfach ihre Namen in einen Kommentar ein und verwenden dann Zuweisung- und Ablaufsteuerungsbefehle, um die verschiedenen Zielverzeichnisse und Protokollnamen in einer Variable zu speichern, und zwar folgendermaßen:

C1 =KOMMENTAR/EINGABE, JA, Geben Sie Ihren Namen ein:

IF/C1.EINGABE == "John"

ZUWEISEN/VAR_DATEINAME = "C:\\Prüfprotokolle\\John\\John.rtf"

KOMMENTAR/BEDIENER, NEIN, VAR_DATEINAME

END_IF/

ELSE_IF/C1.EINGABE == "Amy"

ZUWEISEN/VAR_DATEINAME = "C:\\Prüfprotokolle\\Amy\\Amy.rtf"

KOMMENTAR/BEDIENER, NEIN, VAR_DATEINAME

END_ELSEIF/

ELSE/

ZUWEISEN/VAR_DATEINAME = "C:\\Prüfprotokolle\\" + C1.EINGABE + ".rtf"

KOMMENTAR/BEDIENER, NEIN, VAR_DATEINAME

END_ELSE/

Danach kann die Variable VAR_DATEINAME in das Dateifeld des Dialogfelds Druckoptionen eingegeben werden.

VAR_DATEINAME im Dateifeld

VAR_DATEINAME im Dateifeld

Danach wird das Protokoll John.rtf, wann immer das Werkstückprogramm ausgeführt wird, im Verzeichnis von John gespeichert, wenn er der Benutzer ist; und, immer wenn Amy die Benutzerin ist, wird Amy.rtf in ihrem Verzeichnis gespeichert. Werden andere Benutzernamen eingegeben, erfolgt die Speicherung im Standardverzeichnis C:\Prüfprotokolle\.

  • Weitere Informationen hierzu finden Sie unter "Einfügen von Programmierkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".

  • Informationen zu Variablen und Ausdrücken finden Sie unter "Verwenden von Ausdrücken und Variablen".

  • Informationen zu Anweisungen für die Programmablaufsteuerung finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Hinweis: Sofern dies noch nicht geschehen ist, muss zur Ansicht von .pdf-Dateien das kostenlos erhältliche Programm Adobe® Acrobat® Reader™ auf dem Computer installiert werden. Es kann von der Website von Adobe unter folgender Adresse heruntergeladen werden: http://www.adobe.com/products/acrobat/readstep.html

Ausgabe in eine Datei

Wenn die Ausgabe an eine Datei gesendet wird, kann sie entweder im Rich Text Format (.rtf) oder Portable Document Format (.pdf) gespeichert werden. Der Dateiname wird ursprünglich so generiert und formatiert, dass er denselben Namen wie das Werkstückprogramm hat und einen angehängten numerischen Index vor der Erweiterung. Der anfängliche Dateiname in diesem automatisch erzeugten Standardformat ist nicht zwingend und kann auf Wunsch jederzeit geändert werden.

Anhängen einer Datei:
Wenn Anhängen aktiviert ist, fügt PC-DMIS die aktuellen Daten aus dem Prüfprotokoll zur ausgewählten Datei hinzu. Beachten Sie, dass der vollständige Pfad angegebenen werden muss; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei also noch nicht geben, wird sie bei der Protokollerstellung angelegt.

RTF-Einschränkungen: Aufgrund einer eingeschränkten Funktion des RTF-Treibers in Zusammenarbeit mit der Vorgehensweise beim Protokollieren mit Hilfe von PC-DMIS-Vorlagen versendet PC-DMIS lediglich den Inhalt des TextReporting-Objekts beim Anhängen an eine RTF-Datei file, ungeachtet möglicher anderer Objekte, die in der aktuellen Protokollvorlage existieren.

Beim Anhängen an eine RTF-Datei muss es sich bei der anzuhängenden Datei außerdem um eine Datei handeln, die bisher nur mit der Option Anhängen verwendet wurde. Sie können nicht an eine RTF-Datei anhängen, die zuvor mit der Option Überschreiben oder Auto verwendet wurde.

Überschreiben einer Datei:
PC-DMIS überschreibt die ausgewählte Datei mit den aktuellen Prüfprotokolldaten. Beachten Sie, dass der vollständige Pfad angegebenen werden muss; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei also noch nicht geben, wird sie bei der Protokollerstellung angelegt.

Aufforderung zur Eingabe einer Zieldatei:
Ist Eingabeaufforderung ausgewählt, zeigt PC-DMIS das Dialogfeld Speichern unter an, in dem Sie die Zieldatei für das Protokoll auswählen können.

Verwenden der Option "Auto":
PC-DMIS erstellt den Protokolldateinamen automatisch unter Verwendung der Nummer im Indexfeld. Der erstellte Dateiname entspricht dem Namen des Werkstückprogramms mit angehängtem numerischen Index und angehängter Erweiterung. Zudem befindet sich die erstellte Datei in demselben Verzeichnis wie das Werkstückprogramm. Sollte bereits eine Datei mit demselben Namen wie der erstellte Dateiname vorhanden sein, wird bei Wahl der Option Auto der Index solange erhöht, bis ein eindeutiger Dateiname gefunden wird.

Hinweis: Nachdem das Protokoll ausgedruckt wurde, aktualisiert PC-DMIS intern den Indexwert auf die nächst höhere Zahl. Der Dateiname im Dialogfeld Druckoptionen wird ebenfalls geändert und zeigt dann den neu erhöhten Dateinamen an.

Rich Text Format (RTF):
Ist die Option Rich Text Format (RTF) ausgewählt, erstellt PC-DMIS das Protokoll im Microsoft Rich Text Format (.rtf-Datei), um den Austausch von Dokumenten zu ermöglichen. Beachten Sie, dass Bilder in RTF-Protokollen von einem hellen Rahmen umgeben sind.

Portable Document Format (PDF):
Ist die Option Portable Document Format (PDF) ausgewählt, erstellt PC-DMIS das Protokoll im Adobe Portable Document Format (.pdf-Datei), um die gemeinsame elektronische Nutzung der Datei zu ermöglichen. Im PDF-Format werden Merkmale ohne den standardmäßigen blauen Hintergrund und ohne das Merkmalssymbol angezeigt.

HyperProtokolle Inline:
Dieses Kontrollkästchen wird bei Wahl der Option Portable Document Format (PDF) verfügbar. Bei Auswahl dieses Kontrollkästchens werden die durch den Ausdruck des Prüfprotokolls und HyperView-Befehlen in derselben PDF-Datei zusammengefasst. Beachten Sie, dass diese Option Vorrang vor der AUTODRUCKEN-Option für HyperProtokoll-Befehle hat. Beachten sie außerdem, dass HyperProtokolle nicht als RTF-Dateien gedruckt werden können.

Hinweis: Die Fähigkeit, HyperView-Protokolle zu erstellen, wurde gestrichen und durch Protokollvorlagen ersetzt. Die Fähigkeit, HyperView-Protokolle auszuführen, wird jedoch beibehalten, um eine Abwärtskompatibilität mit früheren Programmversionen zu gewährleisten. Weitere Informationen finden Sie unter " Messergebnisse protokollieren".

Globale Druckeinstellungen verwenden:
Dieses Kontrollkästchen wird bei der Wahl einer Markierungsgruppe im Fenster mit Markierungsgruppen und dem anschließenden Öffnen des Dialogfelds verfügbar. Mit dem Kontrollkästchen Globale Druckeinstellungen verwenden: wird festgelegt, ob PC-DMIS globale Parameter für die Markierungsgruppe verwenden soll oder nicht. Die Auswahl dieses Kontrollkästchens hat Vorrang über die sehr spezifischen standardmäßigen Druckoptionen für Markierungsgruppen, wobei Sie mit den globalen Einstellungen des Werkstückprogramms eine größere Kontrolle über die Ausgabe haben. Mit der Wahl dieses Kontrollkästchens erhalten Sie eine größere Kontrolle über das für Markierungsgruppen verwendete Namensdefinitionssystem Zu-Datei-Drucken.


Ausgabe an den Drucker:

Wenn das Kontrollkästchen Konzeptmodus aktiviert ist, ändert PC-DMIS die Schriftarten beim Drucken in eine Entwurfsschrift. Alle im Protokoll verwendeten Farben (zur Unterscheidung von Toleranzen, Modi etc.) werden in diesem Fall in Graustufen gedruckt. Durch diese Änderungen wird die Druckgeschwindigkeit wesentlich erhöht.


Ausgabe als DMIS-Ausgabedatei:

Wenn das Kontrollkästchen DMIS Ausgabe aktiviert ist, können Sie die Daten im Prüfprotokoll als DMIS-Ausgabedatei speichern. Drei Kontrollkästchen (Ausgabedatei überschreiben, Theoretische Werte ausgeben und Elemente und Merkmale ausgeben) sowie die Schaltfläche Speichern unter werden verfügbar.

Speichern unter

  • Durch Klicken auf die Schaltfläche Speichern unter wird das Dialogfeld Speichern unter geöffnet. Auf diese Weise können Sie die Daten im Bearbeitungsfenster in einem Verzeichnis und in eine Datei Ihrer Wahl in einem DMIS-Ausgabeformat speichern. Für die verfügbaren Dateiformate werden folgende Erweiterungen verwendet: .dmo, .dms und .dmi.

Ausgabedatei überschreiben

  • Wenn Ausgabedatei überschreiben aktiviert ist, überschreibt PC-DMIS die alte mit der neuen Ausgabedatei. Wird dieses Kontrollkästchen nicht aktiviert, erhöht PC-DMIS automatisch den im Dialogfeld Speichern unter angegebenen Dateinamen, wobei keine vorherigen Dateien überschrieben werden.

    Ein Beispiel: Wenn zuletzt "test.dmo" als Ausgabedatei verwendet wurde und Ausgabedatei überschreiben nicht aktiviert war, speichert PC-DMIS beim nächsten Ausführen des Werkstückprogramms eine neue Datei als "test1.dmo". Bei erneutem Ausführen des Werkstückprogramms wird der Name, unter dem die Ausgabedatei gespeichert wird, ebenfalls nach diesem Muster gebildet.

  • Wenn die für das Kontrollkästchen Ausgabedatei überschreiben die dritte Möglichkeit (hellgraues Häkchen) aktivieren, öffnet PC-DMIS die angegebene Datei im Modus "Anhängen". Damit werden die DMIS-Konventionen eingehalten, die eine Aktivierung, Deaktivierung und nochmalige Aktivierung der Ausgabe in dieselbe Datei ermöglichen. In PC-DMIS funktioniert dies aber so nur, wenn die Datei ursprünglich mit aktivierter Option Ausgabedatei überschreiben geöffnet wurde.

Theoretische Werte ausgeben

  • Wenn Theoretische Werte ausgeben aktiviert ist, gibt PC-DMIS in der DMIS-Ausgabedatei sowohl die theoretischen Werte als auch die Messwerte aus. Wenn Sie dieses Kontrollkästchen nicht aktivieren, enthält das Protokoll keine theoretischen Werte.

  • Wenn Sie die dritte Möglichkeit (hellgraues Häkchen) für dieses Kontrollkästchen aktivieren, werden nur die theoretischen Werte im Protokoll aufgeführt, die durch das DMIS-Programm ausgegeben wurden. Diese dritte Möglichkeit ist dann von Nutzen, wenn das Werkstückprogramm durch einen DMIS-Importvorgang erstellt wurde und Sie dasselbe DMIS-Ausgabeformat beibehalten müssen.

Elemente und Merkmale ausgeben

  • Bei Auswahl von Elemente und Merkmale ausgeben speichert PC-DMIS die gemessenen Elemente und die entsprechenden Toleranzen zusammen in der Ausgabedatei. PC-DMIS protokolliert die Messergebnisse sofort, und zwar vor der Ausgabe der zugehörigen Toleranzwerte für jedes Merkmal, das mit dem Element selbst verknüpft ist.

    Wenn ein Element keine Toleranz aufweist, erfolgt keine Ausgabe.

  • Wenn Elemente und Merkmale ausgeben nicht aktiviert wird, werden die Messergebnisse genau zu dem Zeitpunkt, wenn die Messung des Elements abgeschlossen ist, protokolliert, und nicht später bei der Ausführung der zugehörigen Merkmale.

Hinweis: Der numerische Teil des Dateinamens sollte nicht mehr als 10 Ziffern haben. Andernfalls werden ältere Ausgabedateien möglicherweise überschrieben.


Starten von Legacy-Anwendungen

Mit PC-DMIS können Sie vorhandene Legacy-Anwendungen aus PC-DMIS heraus starten. Wählen Sie einfach die entsprechende Menüoption im Untermenü Datei | Starten aus.

  • MM

  • Tutor

  • Chorus

  • Master

  • Quindos

  • MeasureMax

Sobald Sie eine Legacy-Anwendung beendet haben, kehrt Windows wieder zu PC-DMIS zurück.


Schließen oder Verlassen von Werkstückprogrammen

  • Durch Auswahl von Schließen wird das aktive Werkstückprogramm gespeichert und geschlossen. Wurde das Programm zuvor noch nie gespeichert, werden Sie zur Eingabe eines Dateinamens und zum Speichern der Datei aufgefordert.

  • Durch Auswahl von Verlassen wird das aktuelle Werkstückprogramm beendet, ohne die vorgenommenen Änderungen zu speichern. Nur zuvor gespeicherte Daten können danach wieder abgerufen werden. Wird "Verlassen" ausgewählt, erscheint eine Meldung, in der Sie gefragt werden, ob Sie das Programm ohne Speichern beenden möchten. Zum Speichern des Werkstückprogramms klicken Sie im Meldungsfeld auf NEIN und befolgen Sie die Anweisungen unter "Speichern von Werkstückprogrammen".

Hinweis: Wenn Sie das Protokollfenster, das Bearbeitungsfenster und das Grafikfenster durch jeweiliges Klicken auf "X" (in der rechten oberen Ecke des Fensters) schließen, speichert PC-DMIS sofort das Werkstückprogramm, bevor es geschlossen wird. Wenn Sie die Fenster einfach nur durch die Menüoption Ansicht ausblenden, bleibt das Werkstückprogramm geöffnet.


Beenden von PC-DMIS

Zum Beenden des aktuellen Werkstückprogramms und von PC-DMIS wählen Sie den Befehl Datei | Beenden. Im Gegensatz zum Befehl Datei | Verlassen speichert PC-DMIS bei Auswahl von Beenden automatisch das aktuelle Werkstückprogramm, bevor es beendet wird.


Verwenden von fortgeschrittenen Dateioptionen

Verwenden von fortgeschrittenen Dateioptionen: Einführung

Importieren von CAD-Daten

So importieren Sie eine Datendatei in ein Werkstückprogramm:

Verweisen auf eine CAD-Datei für mehrere Werkstückprogramme

Importieren von mehreren CAD-Dateien

Zusammenführen/Ersetzen

Importieren einer IGES-Datei

Importieren von DMIS-Dateien

DMIS-Import einrichten - Registerkarte "Allgemein"

DMIS Import einrichten - Registerkarte "Module"

DMIS Import einrichten –Registerkarte "Fehlerprotokoll"

DMIS Import einrichten - Registerkarte "Erweitert"

Anmerkungen zum Konvertieren eines ChorusNT-Programms in ein PC-DMIS-Werkstückprogramm

Schritt 1: Konfigurieren von PC-DMIS

Schritt 2: Erstellen und Kalibrieren der Tasterdatei innerhalb von PC-DMIS

Schritt 3: Erstellen Sie die PC-DMIS-Programmdatei und importieren Sie die DMIS-Datei

Schritt 4: Ende der automatischen Importphase

Schritt 5: Manuelle Verifizierung des PC-DMIS-Programms

Worauf man achten sollte und einige hilfreiche Tipps und Anregungen

Importieren von STEP-, VDAFS- und DXF/DWG-Dateien

Unabhängige Elemente verarbeiten

Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren

Importieren

Importieren einer XYZIJK-Datei

Hinweise zu XYZIJK-Dateien

Importieren einer STL-Datei

Importieren einer CATIA-Datei

Abschnitt "Modell"

Achsenauswahl

Verarbeitungsoptionen

Beschnitteinstellung

Importieren einer Pro/ENGINEER-Datei

Verarbeitungsoptionen

Importieren einer Unigraphics- oder Parasolid-Datei

Importieren einer MMIV-Datei

Importieren einer Tutor-Datei

Erstellen und Bearbeiten von "Tutor zu PC-DMIS-Tasterabbildungsdateien"

Importieren einer Direct CAD-Datei

Parkettieren eines Werkstücks ohne CAD-Lizenz

Verwenden des Dialogfelds "IGES-Daten"

CAD bearbeiten

Exportieren von CAD-Daten oder Programmdaten

Exportieren einer IGES-Datei

Exportieren einer DES-Datei

Exportieren einer STEP-Datei

Exportieren einer VDAFS-Datei

Exportieren in eine I-DEAS DCI-Modelldatei

Export als eine BASIC-Datei

E xport als eine DMIS-Datei

Ändern der Anzeige importierter/exportierter Bilder

Ändern der Anzeige importierter CAD-Bilder

Verfügbare Optionen

Ändern der Anzeige exportierter CAD-Bilder

Verfügbare Ausgabeoptionen

I mport-Optionen einstellen

Ausführen von Werkstückprogrammen

Ausführen

Element ausführen

Ausführen ab

Ausführen ab dem Cursor

Block ausführen

Ausführen ab &Startpunkt

A usführung außerhalb der vorgegebenen Reihenfolge

Verwenden des Dialogfelds "Ausführungsoptionen"

KMG-Fehler

KMG-Befehle

Fortfahren

Anhalten

Messpunkt löschen

Überspringen

Nächster Schritt

S pringen

Manuelle Steuerung der Messung eines Elements

Größe des Dialogfelds "Ausführungsoptionen" ändern

Erstellen und Laden von Arbeitsbereichen


Verwenden von fortgeschrittenen Dateioptionen: Einführung

PC-DMIS enthält viele Optionen zur Bearbeitung der Werkstückprogramme und zur Verwaltung wichtiger Dateien. Wie bei den meisten Windows-basierten Programmen können Sie die grundlegende Dateiverwaltung mit Hilfe der standardmäßigen Windows-Dialogfleder durchführen. Dazu gehört u.a. das Erstellen, Öffnen, Kopieren, Umbenennen und Löschen von Dateien. Mit PC-DMIS können Sie zudem fortgeschrittenere Operationen durchführen, wie beispielsweise das Importieren und Exportieren von CAD-Daten oder die Ausführung fertiggestellter Werkstückprogramme.

In diesem Kapitel wird speziell auf die fortgeschrittenen Dateioptionen eingegangen. Informationen zu den grundlegenden Optionen finden Sie im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Dieser Abschnitt beschreibt folgende Vorgänge:

  • Importieren von CAD- oder Programmdaten

  • Exportieren von CAD- oder Programmdaten

  • Ändern der Anzeige importierter/exportierter Bilder

  • Ausführen von Werkstückprogrammen

Diese Optionen und Befehle werden in diesem Abschnitt eingehend beschrieben.


Importieren von CAD-Daten oder Programmdaten

Über die Menüoption Datei | Import zeigt PC-DMIS ein Untermenü von Datentypen an, die in das aktuelle Werkstückprogramm importiert werden können. Datentypen sind entweder CAD-Daten, die in die CAD-Datei importiert wurden, oder Werkstückprogramm-Daten, die in das Werkstückprogramm importiert wurden. Bei Auswahl eines Menüeintrags wird das Dialogfeld Öffnen angezeigt.

Es können Eingabedatendateien des folgenden Typs verwendet werden:

  • CAD Import - CAD (PC-DMIS),CATIA, CATIA5, DES , DXF , GDX, IGES , Parasolid, Pro/E, STEP, STL , Unigraphics, VDAFS , or XYZIJK,

  • Werkstückprogramm-Import - AVAIL, Chorus DMIS, DMIS, MMIV , Prüfmerkmalplan, Tutor, MeasureMax

  • Direct CAD - CATIA, Unigraphics,Pro/E, ACIS, I-DEAS, CATIA5, SolidWorks, and Solid Edge

PC-DMIS verzeichnet die CAD-Daten in einer gesonderten Datei. Diese Datei besitzt denselben Betriebssystemdateinamen wie das Werkstückprogramm, jedoch mit der Erweiterung ".CAD". Alle Operationen, wie UMBENENNEN, LÖSCHEN und KOPIEREN, werden ggf. auch an der zugehörigen CAD-Datei (falls eine vorhanden ist) vorgenommen.

Beispiel: Es wird ein Werkstückprogramm mit dem Betriebssystemdateinamen TEST.PRG verwendet. Wenn zu diesem Werkstückprogramm CAD-Daten hinzugefügt werden, erstellt PC-DMIS eine CAD-Datei namens TEST.CAD, die in demselben Verzeichnis abgespeichert wird. Wird das Werkstückprogramm TEST.PRG später einmal über das Untermenü "Vorgänge" gelöscht, löscht PC-DMIS auch die Datei TEST.CAD.

In Version 3.5 und höher ermöglicht PC-DMIS das Importieren vorhandener CAD-Dateien zur Verwendung für mehrere Werkstückprogramme. Diese Funktion wird unter "Verweisen auf eine CAD-Datei für mehrere Werkstückprogramme" beschrieben.

Siehe auch:

So importieren Sie eine Datendatei in ein Werkstückprogramm:

Zusammenführen/Ersetzen

Importieren einer CAD-Datei

Importieren einer CATIA-Datei

Importieren einer CATIA 5-Datei

Importieren einer DES-Datei

Importieren von DXF/DWG-Dateien

Importieren einer GDX-Datei

Importieren einer IGES-Datei

Importieren einer IGES- (Alternativ) Datei

Importieren einer Pro/ENGINEER-Datei

Importieren einer STEP-Datei

Importieren einer STL-Datei

Importieren einer Unigraphics- oder Parasolid-Datei

Importieren einer VDAFS-Datei

Importieren einer XYZIJK-Datei

Importieren eines Avail- oder MMIV-Programms

Importieren eines ChorusNT-Programms

Importieren eines DMIS-Programms

Importieren eines Tutor-Programms

Importieren einer Direct CAD-Datei


So importieren Sie eine Datendatei in ein Werkstückprogramm:

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import und bestimmen Sie dann einen Datentyp zum Importieren. Nun erscheint das Dialogfeld Öffnen.

  2. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit den Datendateien finden.

  3. Markieren Sie unten im Dialogfeld in der Dropdown-Liste Dateityp den gewünschten Dateityp für die Eingabedatei und wählen Sie die einzugebende Datei aus. Sind mit dem ausgewählten Werkstückprogramm bereits CAD-Daten verknüpft, überspringen Sie diesen Schritt.

  4. Klicken Sie auf die Schaltfläche Import. Wenn Sie bereits CAD-Daten für ihr aktuelles Werkstückprogramm importiert haben, fragt PC-DMIS, ob Sie die vorhandenen CAD-Daten ersetzen oder zusammenführen möchten. Klicken Sie entweder auf Zusammenführen oder auf Ersetzen. Weitere Informationen hierzu finden Sie unter Zusammenführen/Ersetzen.

  5. Folgen Sie den Anweisungen der noch verbleibenden Dialogfelder, je nach ausgewähltem Datentyp.

  6. Die CAD-Datei wird importiert.

CAD-Daten können mit den unter "Zusammenführen/Ersetzen" beschriebenen Verfahren jederzeit während des Werkstückprogrammzyklus' hinzugefügt und zusammengeführt werden.

Hinweis: Mit der Option "Importieren" können Sie auch Daten aus einer übertragenen DOS-Datei "verbuchen". Siehe "Übertragen eines Werkstückprogramms in PC-DMIS"

Siehe auch:

Importieren von mehreren CAD-Dateien


Importieren von mehreren CAD-Dateien

Mit PC-DMIS können Sie gleichzeitig mehrere CAD-Dateien importieren. Dies ist hilfreich, wenn Sie dasselbe Werkstückmodell sowohl als Drahtmodell als auch als physisches Modell importieren möchten. Hierfür klicken Sie auf das Symbol CAD-Import aus der Symbolleiste Assistenten. Ein Dialogfeld wird geöffnet. Wählen Sie die zu importierenden Dateien aus und klicken Sie auf Öffnen. Sie können das Zusammenführen der Daten wählen.

Siehe das Thema "Symbolleiste "Assistenten"" im Abschnitt "Arbeiten mit Symbolleisten".


Zusammenführen/Ersetzen

Wird eine CAD-Datei importiert, erscheint das Dialogfeld Importdaten hinzufügen, wenn bereits CAD-Daten mit dem ausgewählten Werkstückprogramm verknüpft sind. Sie können entweder Zusammenführen oder Ersetzen der CAD-Daten wählen.

  • Wenn Sie die Option Zusammenführen (neue Daten) wählen, werden die Eingabedaten zum Werkstückprogramm hinzugefügt. Bereits vorhandene Daten werden hierbei nicht gelöscht.

  • Wenn Sie die Option Ersetzen wählen, löscht PC-DMIS die vorhandenen Daten und ersetzt sie durch die neuen Eingabedaten.

Wenn Sie Zurück anklicken, kehren Sie wieder zum Dialogfeld Öffnen zurück.

Hinweis: Einige importierte Dateitypen ersetzen automatisch vorhandene CAD-Daten durch importierte Daten. In solchen Fällen erscheint das Dialogfeld Importdaten hinzufügen nicht.


Importieren einer CAD-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | CAD aus. Nun erscheint das Dialogfeld Öffnen.

  2. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  3. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. PC-DMIS importiert die CAD-Datei.

Mehrere Werkstückprogramme können auf eine einzige CAD-Datei verweisen. Weitere Informationen hierzu finden Sie unter Mehrere Werkstückprogramme verweisen auf eine einzige CAD-Datei.


Verweisen auf eine CAD-Datei für mehrere Werkstückprogramme

In früheren Versionen von PC-DMIS wurde beim Erstellen eines neuen Werkstückprogramms, das dieselbe IGES-Datei verwendet wie andere Werkstückprogramme, automatisch eine neue .CAD-Datei erstellt. In Version 3.5 und höher können mehrere Werkstücke auf eine einzelne CAD-Datei verweisen. Dies ist besonders hilfreich, wenn mehrere Werkstückprogramme dasselbe CAD-Modell verwenden. Wenn Sie große CAD-Modelle verwenden, können Sie beträchtlichen Speicherplatz sparen, indem mehrere Werkstückprogramme auf nur eine CAD-Datei verweisen.

So Verweisen Sie auf eine CAD-Datei, die in einem anderen Werkstückprogramm verwendet wird:

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | CAD mit Bezug auf...aus. Nun erscheint das Dialogfeld Öffnen.

  2. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  3. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. PC-DMIS importiert die CAD-Datei.

Befolgen Sie die Anweisungen unter "So importieren Sie eine Datendatei in ein Werkstückprogramm" in diesem Abschnitt. Wenn das Dialogfeld Daten importieren geöffnet wird, wählen Sie als Datentyp für den Import CAD-Verweis aus, und fahren Sie dann mit dem Importvorgang fort.

Hinweis: Zirkelverweise auf CAD-Dateien sind unzulässig und führen stets zu einer Fehlermeldung. Wenn Sie beispielsweise ein neues Werkstückprogramm erstellen, eine IGES-Datei importieren, das Werkstückprogramm speichern und dann versuchen, dessen eigene CAD-Datei zu importieren, wird ein Fehler gemeldet.

Nach dem Importieren wird beim Anzeigen von Informationen zu einem CAD-Element mit Hilfe der Menüoption Ansicht | CAD-Info auch der Pfad zur CAD-Datei angezeigt, auf die verwiesen wird. (Informationen hierzu finden Sie unter "Anzeigen von CAD-Angaben" im Abschnitt "Bearbeiten der CAD-Anzeige".

Menü-Übersicht anzeigen Hinweis: Beachten Sie, dass Änderungen am CAD-Modell¾ob am Original-CAD-Modell oder an einem CAD-Modell, auf das verwiesen wird¾auch an allen anderen Werkstückprogrammen vorgenommen werden, die auf diesem CAD-Modell basieren. Wenn Sie beispielsweise Änderungen am Original-CAD-Modell vornehmen, werden diese Änderungen auch an allen Modellen vorgenommen, auf die das Original verweist. Im umgekehrten Fall, wenn Sie Änderungen an einem Modell vornehmen, auf das verwiesen wird, werden dieselben Änderungen auch am Originalmodell vorgenommen.


Importieren einer CATIA-Datei

PC-DMIS ermöglicht das Übertragen einer CATIA-Datei und das Importieren dieser Datei in ein PC-DMIS-Werkstückprogramm. Diese Art des Imports unterscheidet sich von der Verwendung einer direkten Schnittstelle mit der CATIA-CAD-Datei, wie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für CATIA" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei" beschrieben wird.

So importieren Sie eine CATIA-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die CATIA-Programmdatei importiert werden soll.

  2. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | CATIA... aus.Es erscheint das Dialogfeld Öffnen.

  3. Wählen Sie den Eintrag CATIA-Dateien aus der Liste Dateityp unten im Dialogfeld aus. PC-DMIS listet alle Programmdateien mit den folgenden Erweiterungen auf: .mod, .exp, .iso und .cat.

  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten CATIA-Datei finden und wählen Sie diese Datei aus der Liste aus.

  5. Klicken Sie auf die Schaltfläche Import . Das Dialogfeld CATIA-Import erscheint.

CATIA-Import (Dialogfeld)

  6. Wählen Sie die gewünschten Optionen im Dialogfeld CATIA-Import aus. Beschreibungen dieser Optionen finden Sie unter den nachfolgenden Überschriften.

  7. Klicken Sie auf OK. PC-DMIS importiert nun die Datei.

Siehe auch:

Abschnitt "Modell"

Achsenauswahl

Einstellungen

Beschnitteinstellung


Abschnitt "Modell"

Wenn Ihre CATIA-Dateien mehr als ein Modell enthalten, können Sie in der Liste Modellauswahl das Modell für den Import auswählen.


Achsenauswahl

Mit Hilfe der Liste Achsenauswahl können Sie die Koordinatensystem-Achse festlegen, die für das zu importierende Modell verwendet werden soll.


Einstellungen

Im Bereich Einstellungen können Sie die importierten Elemente filtern. Verwenden Sie die Listen in diesem Bereich, um zu steuern, welche Elemente des Modells importiert werden. Es gibt drei Filter: den Elementtyp, die Elementfarbe und die Elementebene. Sie können diese Filter kombinieren und die Elemente für den Import nacheinander einschränken.

Beispiel: Angenommen, Sie haben eine Datei mit mehreren Elementtypen und -farben auf verschiedenen Ebenen. Nun können Sie aus all den zu importierenden Elementen einen bestimmten Typ, beispielsweise eine Kurve, auswählen. Die resultierende Liste mit Kurven können Sie dann anhand der Farbe, beispielsweise blau, filtern. Anschließend können Sie die neue Liste mit blauen Kurven nach Ebenen, wie beispielsweise Ebene 15. filtern. Daraufhin werden alle blauen Kurven, die auf Ebene 15 liegen, importiert.

Alle Objekte lesen

Aktivieren Sie dieses Kontrollkästchen, um alle Elementtypen zu importieren. Um zu filtern, welche Elementtypen importiert werden, deaktivieren Sie dieses Kontrollkästchen, und wählen Sie dann die gewünschten Elementtypen in der Liste aus. Sie können mehrere Elemente auswählen, indem Sie beim Auswählen der Elemente die Strg-Taste gedrückt halten.

Alle Farben lesen

Aktivieren Sie dieses Kontrollkästchen, um Elemente mit einer beliebigen zugewiesenen Farbe zu importieren. Um zu filtern, welche Farben importiert werden, deaktivieren Sie dieses Kontrollkästchen und wählen Sie dann die gewünschten Farben in der Liste aus.

Alle Ebenen lesen

Aktivieren Sie dieses Kontrollkästchen, um alle Ebenen des Modells zu importieren. Um zu filtern, welche Ebenen importiert werden, deaktivieren Sie dieses Kontrollkästchen und wählen Sie dann die gewünschten Ebenen in der Liste aus.

Versteckte Objekte einlesen

Aktivieren Sie dieses Kontrollkästchen, um ausgeblendete Elemente zu importieren. Wenn Sie keine ausgeblendeten Elemente importieren möchten, deaktivieren Sie das Kontrollkästchen.


Beschnitteinstellung

Der Bereich Beschnitteinstellung bestimmt, wie beschnittene Oberflächen in PC-DMIS dargestellt werden sollen.

Wählen Sie die Option UV Kürzen, um die Oberflächen im Parameterraum der Oberflächen zu beschneiden.

Wählen Sie die Option XYZ-Kürzen, um die Oberflächen im Modellraum zu beschneiden.

Theoretisch sollten die resultierenden übertragenen Modelle unabhängig von der ausgewählten Beschnittoption identisch sein. Wenn Sie jedoch schlecht definierte Modelle importieren, stimmen die Ergebnisse häufig nicht überein. Die besten Ergebnisse erhält man im allgemeinen bei Auswahl von UV Kürzen.


Importieren einer CATIA 5-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | CATIA 5... aus. Es erscheint das Dialogfeld Datei öffnen.

  2. Durchsuchen Sie die Festplatte und wählen Sie eine CATIA 5-Datei aus.

  3. Klicken Sie auf die Schaltfläche Import. Das Dialogfeld CATIA 5 Import wird eingeblendet.

Dialogfeld "CATIA-Import"
Dialogfeld "CATIA 5 Import"

  4. Wählen Sie im Bereich Einstellungen die zu importierenden Objekte aus. Klicken Sie auf das Kontrollkästchen Alle Objekte lesen, um alle verfügbaren Objekte zu verarbeiten. Wählen Sie die Schaltfläche OK, um die Modelldatei nach PC-DMIS zu importieren. Das importierte Modell steht jetzt zur Verwendung mit PC-DMIS zur Verfügung


Importieren einer DES-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | DES... aus. Es erscheint das Dialogfeld Datei öffnen.

  2. Durchsuchen Sie die Festplatte und wählen Sie eine DES (Data Exchange Standard) -Datei aus.

  3. Klicken Sie auf die Schaltfläche Import. Es erscheint das Dialogfeld DES-Datei.

DES-Datei (Dialogfeld)
DES-Datei (Dialogfeld)

  4. Wählen Sie entweder die Option Element oder Vorrichtung aus, um den zu importierenden Datentyp zu bestimmen. Bei Auswahl der Option Element steht das Kontrollkästchen Symbole verwenden zur Verwendung von Elementetiketten zur Auswahl zur Verfügung.

  5. Wählen Sie die Option XYZ(LWH) oder XZY(LHW), um die Ausrichtung der zu importierenden Daten zu bestimmen.

  6. Wählen Sie die Option Metrisch, wenn die benötigten Einheiten nicht in der DES-Datei angegeben sind.

  7. Wählen Sie die Option Polylinien in Punkte umwandeln, um importierte Linien in Punkte umzuwandeln. Zusätzlich können Sie durch Auswahl der Option Poly-Linien beibehalten die Einhaltung der importierten Polylinien bestimmen.

  8. Klicken Sie auf Verarbeiten, um die DES-Datei zu importieren.

  9. Klicken Sie auf OK, um die Änderungen zu akzeptieren.


Importieren einer DXF-Datei

Importieren einer DXF/DWG-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | DXF... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.

  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  4. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld DXF/DWG-Importierstatus eingeblendet.

DXF/DWG-Importierstatus (Dialogfeld)

  5. Klicken Sie auf OK, nachdem die DXF- oder DWG-Datei übertragen wurde. Wenn die Übertragung fehlschlägt, wird die Schaltfläche "OK" nicht verfügbar. Klicken Sie auf Abbrechen, um den Zugang der importierten Datei abzulehnen.


Importieren einer GDX-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | GDX... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.

  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  4. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld GDX-Importierstatus eingeblendet.

GDX-Importierstatus (Dialogfeld)

  5. Klicken Sie auf OK, nachdem die GDX-Datei übertragen wurde. Wenn die Übertragung fehlschlägt, wird die Schaltfläche "OK" nicht verfügbar. Klicken Sie auf Abbrechen, um den Zugang der importierten Datei abzulehnen.


Importieren einer IGES-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | IGES... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit Ihrer Werkstückdatei finden.

  3. Wählen Sie die Datei aus.

  4. Klicken Sie auf die Schaltfläche Import. PC-DMIS zeigt das Dialogfeld IGES-Datei an. Im Dialogfeld IGES-Datei werden alle relevanten Informationen bezüglich der angegebenen Datendatei angezeigt.

Dialogfeld "IGES-Datei"
Dialogfeld "IGES-Datei"

  5. Wenn Sie bestimmen möchten, welche CAD-Daten verarbeitet und angezeigt werden sollen, klicken Sie auf die Schaltfläche Einricht. (siehe "Ändern der Anzeige importierter/exportierter Bilder").

  6. Zum Anzeigen bestimmter IGES-Elementdaten klicken Sie auf die Schaltfläche Daten (siehe auch "Verwenden des Dialogfelds "IGES-Daten"").

  7. Um diese Datei mit dem ausgewählten Werkstückprogramm zu verknüpfen, klicken Sie einfach auf die Befehlsschaltfläche Verarbeiten. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.

  8. Wenn Sie eine 2D-CAD-Zeichnung dreidimensional manipulieren möchten, wobei gewünschte 3D-Ebenen erstellt werden, klicken Sie auf die Schaltfläche CAD bearbeiten . Die Ausgangsdaten sollten in einer einzelnen Ebene parallel zur Z- (=0) Ebene definiert sein. Vollständige Informationen zu dieser Option finden Sie unter "Einstellen von CAD auf 3D unter Verwendung des Dialogfelds "Layer erstellen"" im Abschnitt "Bearbeiten der CAD-Anzeige".

  9. Klicken Sie auf die Schaltfläche OK, um die Aktion abzuschließen. Sie kehren nun wieder in das Werkstückprogramm zurück.

Durch Klicken auf die Schaltfläche Cancel wird der gesamte Vorgang abgebrochen und das Dialogfeld IGES-Datei geschlossen.

Informationen zu den verschiedenen Eingabedateiformaten finden Sie unter "Arbeiten im Offline-Modus".

Siehe auch:

Verwenden des Dialogfelds "IGES-Daten"

CAD bearbeiten


Verwenden des Dialogfelds "IGES-Daten"

Wenn Sie im Dialogfeld IGES-Daten auf ein bestimmtes Element im Listenfeld klicken, werden Informationen zum Durchmesser, XYZ-Nennwert etc. des betreffenden Elements angezeigt.

Dialogfeld "IGES-Daten"

Zum Anzeigen von Informationen über die zu importierenden CAD-Daten im Dialogfeld IGES-Daten gehen Sie wie folgt vor:

  1. Beginnen Sie mit dem Importieren einer CAD- oder IGES-Datei. (Informationen hierzu finden Sie unter "Importieren einer IGES-Datei".)

  2. Wenn das Dialogfeld IGES-Datei eingeblendet wird, klicken Sie auf Verarbeiten, um die Daten zu importieren.

  3. Ist der Vorgang abgeschlossen, klicken Sie auf die Schaltfläche Daten. Das Dialogfeld IGES-Daten wird angezeigt.


3D-Darstellung

Über die Schaltfläche CAD bearbeiten wird PC-DMIS angewiesen, eine 2D-CAD-Zeichnung dreidimensional so zu bearbeiten, dass die gewünschten 3D-Ebenen erstellt werden. Die Ausgangsdaten sollten in einer einzelnen Ebene parallel zur Z- (=0) Ebene definiert sein.

Vollständige Informationen zu dieser Option finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".


Importieren einer IGES- (Alternativ) Datei

PC-DMIS bietet neben der Standardmethode noch eine alternative Methode zum Importieren einer IGES-Datei. Die Dateien werden ähnlich wie bei der für GDX-, DXF- etc. Dateien angewandten Methode verarbeitet.

So importieren Sie eine IGES-Datei:

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | IGES (Alternativ)... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.

  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  4. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld IGES-Importierstatus eingeblendet.

IGES-Importierstatus (Dialogfeld)

  5. Klicken Sie auf OK, nachdem die IGES-Datei übertragen wurde. Wenn die Übertragung fehlschlägt, wird die Schaltfläche "OK" nicht verfügbar. Klicken Sie auf Abbrechen, um den Zugang der importierten Datei abzulehnen.


Importieren einer Pro/ENGINEER-Datei

PC-DMIS ermöglicht das Übertragen einer Pro/ENGINEER-Datei und das Importieren dieser Datei in ein PC-DMIS-Werkstückprogramm. Diese Art des Imports unterscheidet sich von der Verwendung einer direkten Schnittstelle mit der Pro/ENGINEER-CAD-Datei, wie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für Pro/ENGINEER" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei" beschrieben wird.

So importieren Sie eine Pro/ENGINEER-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die Pro/ENGINEER-Programmdatei importiert werden soll.

  2. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | Pro-Engineer... aus.Es erscheint das Dialogfeld Öffnen.

  3. Wählen Sie den Eintrag Pro/ENGINEER-Dateien aus der Liste Dateityp unten im Dialogfeld aus. PC-DMIS listet alle Programmdateien mit den folgenden Erweiterungen auf: .prt und .asm.

  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten Pro/ENGINEER-Datei finden und wählen Sie diese Datei aus der Liste aus.

  5. Klicken Sie auf die Schaltfläche Import . Das Dialogfeld Pro/ENGINEER-Import erscheint.

Pro/ENGINEER-Import (Dialogfeld)

  6. Wählen Sie die gewünschten Optionen im Dialogfeld Pro/ENGINEER-Import aus. Beschreibungen dieser Optionen finden Sie unter den nachfolgenden Überschriften.

  7. Klicken Sie auf OK. PC-DMIS importiert nun die Datei.

Siehe auch:

Einstellungen


Verarbeitungsoptionen

Im Bereich Einstellungen können Sie die Elementtypen für den Import auswählen.

Schattierte Oberflächen verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um Elemente mit schattierten Oberflächen zu importieren.

Alle Bezüge verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um alle Bezugselemente zu importieren. Um zu filtern, welche speziellen Bezugselemente importiert werden, deaktivieren Sie dieses Kontrollkästchen und wählen Sie dann die gewünschten Bezug-Elementtypen in der Liste aus.


Importieren einer STEP-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | STEP... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.

  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  4. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld STEP-Importierstatus eingeblendet.

STEP-Importierstatus (Dialogfeld)

  5. Klicken Sie auf OK, nachdem die GDX-Datei übertragen wurde. Wenn die Übertragung fehlschlägt, wird die Schaltfläche "OK" nicht verfügbar. Klicken Sie auf Abbrechen, um den Zugang der importierten Datei abzulehnen.


Importieren einer STL-Datei

Das Stereolithographie-Format (STL), eine in der Produktion verwendete ASCII- oder Binärdatei, enthält eine Liste der dreieckigen Facetten, die ein am Computer erzeugtes physisches Modell beschreiben. Dieses Format ist das Standardeingabeformat für die meisten Rapid Prototyping-Maschinen.

Beispiel einer importierten STL-Datei

So importieren Sie eine STL-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die DMIS-Programmdatei importiert werden soll.

  2. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | STL... aus.Es erscheint das Dialogfeld Open.

  3. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten STL-Datei finden und wählen Sie diese Datei aus der Liste aus. Die STL-Datei kann im ASCII- oder Binärformat vorliegen.

  4. Klicken Sie auf die Schaltfläche Import. PC-DMIS importiert die Daten als eine Liste von Facetten, die ein physisches Modell bilden.


Importieren einer Unigraphics- oder Parasolid-Datei

PC-DMIS ermöglicht das Übertragen einer Unigraphics- oder Parasolid-Datei und das Importieren dieser Dateien in ein PC-DMIS-Werkstückprogramm. Diese Art des Imports unterscheidet sich von der Verwendung einer direkten Schnittstelle mit der Unigraphics-CAD-Datei, wie unter "Direkte Schnittstellen mit einer CAD-Datei" beschrieben wird.

Importieren einer Unigraphics- oder Parasolid-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die Unigraphics- oder Parasolid-Datei importiert werden soll. Ihre Hardware-Schlüssel (Anschlusssperre) muss mit der Option Unigraphics programmiert sein, um Parasolid-Dateien zu importieren.

  2. Menü-Übersicht anzeigen Wählen Sie entweder Datei | Import | Unigraphics oder Datei | Import | Parasolid... aus. Das Dialogfeld Öffnen wird eingeblendet.

  3. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten Unigraphics- oder Parasolid-Datei finden und wählen Sie diese Datei aus der Liste aus.

  4. Klicken Sie auf die Schaltfläche Import. Je nach Dateityp erscheint das Dialogfeld Unigraphics-Import oder Parasolid-Import. Die Dialogfelder für die verschiedenen Dateitypen gleichen im Wesentlichen dem hier abgebildeten Dialogfeld:

Unigraphics-Import (Dialogfeld)

  5. Wählen Sie im Bereich Einstellungen die Elementtypen aus, die Sie importieren möchten. Die folgenden Elementtypen können importiert werden: Massivkörper, Blechkörper und verborgene Elemente.

  6. Klicken Sie auf OK. PC-DMIS importiert nun die Datei.


Importieren von STEP-, VDAFS- und DXF/DWG-Dateien

1. Wählen Sie die Menüoption Datei | Import aus und wählen Sie dann STEP, VDAFS, DXF oder DWG. Nun erscheint das Dialogfeld Öffnen.

2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.

3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

4. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld STEP-Import eingeblendet.

STEP-Import (Dialogfeld)

Hinweis: Die Import-Dialogfelder für die in diesem Abschnitt behandelten Dateitypen weisen keine wesentlichen Unterschiede zum Dialogfeld STEP-Import auf.

Siehe auch:

Unabhängige Elemente verarbeiten

Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren


Importieren einer VDAFS-Datei

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | VDAFS... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.

  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  4. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld VDAFS-Importierstatus eingeblendet.

VDAFS-Importierstatus (Dialogfeld)

  5. Klicken Sie auf OK, nachdem die VDAFS-Datei übertragen wurde. Wenn die Übertragung fehlschlägt, wird die Schaltfläche "OK" nicht verfügbar. Klicken Sie auf Abbrechen, um den Zugang der importierten Datei abzulehnen.


Importieren einer XYZIJK-Datei

XYZIJK XYZIJK-Dateitypen sind einfache Dateien mit Elementdaten in Form von xyz-Koordinaten mit oder ohne Vektor.

So importieren Sie eine XYZIJK-Datei:

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | XYZ... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.

  3. Klicken Sie auf Import, wenn Sie zum Importieren der Datei bereit sind. PC-DMIS interpretiert und importiert die ausgewählte XYZIJK-Datei.

Die Anzahl der Zahlen in den einzelnen Zeilen legt fest, welches Element erstellt wird. PC-DMIS liest die Zeilen der XYZ-Datendatei und konvertiert die Punkte je nach Anzahl der Zahlen pro Zeile in das folgende Element:

Zahlen pro Zeile

Beschreibung

Erstelltes CAD-Element

3

1. Zahl=X-Wert
2. Zahl=Y-Wert
3. Zahl=Z-Wert

Punkt ohne Vektor

4

1. Zahl=X-Wert
2. Zahl=Y-Wert
3. Zahl=Z-Wert
4. Zahl=Durchmesser

CAD-Kreis mit Vektor, der auf einer Arbeitsebene beruht

5

1. Zahl=X-Wert
2. Zahl=Y-Wert
3. Zahl=Z-Wert
4. Zahl=Nichts
5. Zahl=Nichts

Punkt ohne Vektor

6

1. Zahl=X-Wert
2. Zahl=Y-Wert
3. Zahl=Z-Wert
4. Zahl=I-Wert
5. Zahl=J-Wert
6. Zahl=K-Wert

Punkt mit Vektor

7

1. Zahl=X-Wert
2. Zahl=Y-Wert
3. Zahl=Z-Wert
4. Zahl=I-Wert
5. Zahl=J-Wert
6. Zahl=K-Wert
7. Zahl=Durchmesser

Kreis mit Vektor

8+

1. Zahl=X-Wert
2. Zahl=Y-Wert
3. Zahl=Z-Wert
4. Zahl=I-Wert
5. Zahl=J-Wert
6. Zahl=K-Wert
7. Zahl=Nichts
8. Zahl=Nichts

Punkt mit Vektor

Beispiel: Befindet sich in der XYZ-Datei eine Zeile mit den Angaben 25,280,750,25 erstellt PC-DMIS einen Kreis mit dem Flächenmittelpunkt bei X=25, Y=280 und Z=750 mit einem Durchmesser von 25.

Nach der Auswahl der Datei für den Import zeigt PC-DMIS die aus der XYZ-Datei erstellten Elemente im Dialogfeld XYZ-Datei an.

XYZ-Datei (Dialogfeld)

Hinweis: Beachten Sie, dass die Reihenfolge, in der die Elemente in der XYZ-Datei erstellt werden, möglicherweise nicht mit der Reihenfolge übereinstimmt, in der diese in PC-DMIS generiert werden.

Nachdem Sie auf OK geklickt haben, zeigt PC-DMIS die erstellten CAD-Elemente im Grafikfenster an.

Siehe auch:

Hinweise zu XYZIJK-Dateien


Hinweise zu XYZIJK-Dateien

PC-DMIS liest jede Textdatei ein, die XYZ (und möglicherweise IJK)-Daten enthält. Die Datei sollte die (theoretischen) Sollprüfpunkte enthalten, die gemessen werden müssen. Die Datei muss folgenden Regeln entsprechen:

  1. Die Spalten 1 bis 6 in der ersten Zeile der Datei müssen die Zeichen "XYZIJK" enthalten. Dies ist das Schlüsselwort, anhand dessen PC-DMIS diesen Dateityp von DES-und IGES-Dateien unterscheidet. Die Zeichen müssen groß geschrieben sein.

In der ersten Zeile der Datei:
Spalte 1 = X
Spalte 2 = Y
Spalte 3 = Z
Spalte 4 = I
Spalte 5 = J
Spalte 6 = K

  2. Wenn die Datei metrische Daten enthält, müssen Spalte 11 bis 16 der ersten Zeile das Wort METRIC enthalten. Das heißt:

Spalte 11 = M
Spalte 12 = E
Spalte 13 = T
Spalte 14 = R
Spalte 15 = I
Spalte 16 = C

Wird das Schlüsselwort METRIC nicht angegeben, ist der Standardwert INCH (Zoll).
Der restliche Teil der ersten Zeile sollte leer sein.

  3. Jede Zeile muss 3 bis 8 durch Kommata abgetrennte Gleitpunktzahlen enthalten.

Angenommen, Ihre XYZIJK-Datei sieht wie in diesem Beispiel aus:

XYZIJK-Beispieldatei in einem Texteditor

  • Zeile 1 enthält das Schlüsselwort XYZIJK, und da das Schlüsselwort METRIC nicht in den Zeilen 11 bis 16 enthalten ist, lautet der Standardwert INCH (Zoll).

  • Zeile 2 erstellt einen Punkt mit einem Vektor.

  • Zeile 3 erstellt einen Punkt mit einem Vektor.

  • Zeile 4 erstellt einen Punkt mit einem Vektor.

  • Zeile 5 erstellt einen Kreis mit einem Vektor und einem Durchmesser.

Nach dem Importieren wird dieses Ergebnis im Grafikfenster angezeigt.

Grafikfenster mit der XYZIJK-Beispieldatei, die in PC-DMIS importiert wurde


Importieren eines ChorusNT-Programms

The migration path from ChorusNT to PC-DMIS is based on PC-DMIS's ability to import a Chorus DMIS part program , converting the original DMIS program into equivalent PC-DMIS commands that make up a PC-DMIS part program file, a file with a .prg filename extension.

PC-DMIS already converts most DMIS commands into PC-DMIS commands, and Wilcox Associates, Inc. is working to fully support the many Chorus extensions, to maximize the automatic conversion and minimize the manual modifications needed after the automatic import.

In PC-DMIS 3.6 und höher beginnen den Importvorgang von ChorusNT-Erweiterungen auf folgende Weise:

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | Chorus DMIS... aus. Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie die entsprechende DMIS-Datei aus und klicken Sie auf Öffnen.

  3. Daraufhin wird das Dialogfeld DMIS Import einrichten eingeblendet.

In diesem Dialogfeld können Sie die folgenden benötigten Informationen während der Importphase festlegen:

  • Bestimmen Sie den Tasterdateinamen für jeden Arm.

  • Aktivieren Sie den Warn-Dialog am Ende der Importphase.

  • Aktivieren Sie Optionen, die sich auf bestimmte Kunden- und Hardwarekonfigurationen beziehen.

In den nachfolgenden Themen werden die grundlegenden Schritte behandelt, die Sie beim korrekten Ablauf des Imports und der Übersetzung der DMIS-Datei in eine PC-DMIS Werkstückprogrammdatei unterstützen werden:

Siehe auch:

Schritt 1: Konfigurieren von PC-DMIS

Schritt 2: Erstellen und Kalibrieren der Tasterdatei innerhalb von PC-DMIS

Schritt 3: Erstellen Sie die PC-DMIS-Programmdatei und importieren Sie die DMIS-Datei

Schritt 4: Ende der automatischen Importphase

Schritt 5: Manuelle Verifizierung des PC-DMIS-Programms

Worauf man achten sollte und einige hilfreiche Tipps und Anregungen


Schritt 1: Konfigurieren von PC-DMIS

Überprüfen Sie die Einstellungen von PC-DMIS und stellen Sie sicher, dass die Standardeinstellungen mit denen von ChorusNT übereinstimmen. Prüfen Sie beispielsweise, ob die KMG-Achsen-Konventionen und die Tastkopfausrichtung sowie die "Top Speed" (die maximale Bewegungsgeschwindigkeit des KMGs) richtig eingestellt sind.

Folgende Optionen können im Abschnitt DMIS des Einstellungseditors eingestellt werden:

  • DMISMaxMeasurementVelocityMMPS = maximale Messgeschwindigkeit

  • DMISFedratPcntOfMaxMachineSpeed = 0


Schritt 2: Erstellen und Kalibrieren der Tasterdatei innerhalb von PC-DMIS

  • Erstellen Sie ein neues Werkstückprogramm und definieren Sie, wenn Sie dazu aufgefordert werden, einen neuen Taster. Nennen Sie ihn MYPROBE.PRB und geben Sie im Dialogfeld Taster-Hilfsmittel die Komponenten entsprechend Ihren Bedürfnissen an.

  • Importieren Sie das Kalibrierungs-Messprogramm von Chorus und benutzen Sie als Taster die von Ihnen erstellte Tasterdatei MYPROBE.PRB. PC-DMIS importiert jede SNSDEF-Anweisung und fügt die ensprechenden Tastspitzenwinkel hinzu. Beachten Sie, dass Chorus jede Tastspitze anhand des DMIS-Etiketts erkennt, das etwa so aussieht: Eine Tastspitze mit einem Rollwinkel = 0 und einem Nickwinkel = 0 wird S(R000N000T1) genannt. PC-DMIS bezeichnet dies als T1A0B0 .

  • Wenn Sie in ChorusNT einen selbst-kalibrierten Taster verwendet haben, importieren Sie ein einfaches DMIS-Werkstückprogramm nach PC-DMIS, das als Haupttaster die Definition "Chief" enthält und das richtige Etikett hat (dasselbe, das auch für SNSLCT/S(Etikett),90, 90 verwendet wurde, zum Beispiel) und dessen Roll- und Nickwinkel dem Wert "0" entspricht.

  • Nachdem Sie die DMIS-Datei importiert haben, enthält die MYPROBE.PRB-Tasterdatei alle benötigten Tastspitzen. In PC-DMIS werden diese AB-Tastspitzenwinkel mit einem Sternchen (*) angezeigt, das darauf hinweist, dass sie noch nicht kalibriert wurden.

  • Kalibrieren Sie die Tastspitzen. Dafür gibt es zwei Möglichkeiten: 1) Führen Sie das Werkstückprogramm aus. 2) Klicken Sie im Dialogfeld Taster-Hilfsprogramme auf die Schaltfläche Messen und verwenden Sie den Standardvorgang.


Schritt 3: Erstellen Sie die PC-DMIS-Programmdatei und importieren Sie die DMIS-Datei

  • Erstellen Sie ein neues PC-DMIS Werkstückprogramm.

  • Importieren Sie das ChorusNT-Mess-Werkstückprogramm unter Angabe der im vorherigen Schritt erstellten Tasterdatei MYPROBE.PRB.

  • Normalerweise enthalten Chorus-Messprogramme SNSLCT/ S(Etikett)- oder SNSLCT/SA(Etikett)-Anweisungen. Bei einem selbst-kalibrierten DSE können Sie explizit die Roll- und Nickwinkel in das SNSLCT-Etikett angeben.

Nachdem PC-DMIS die DMIS-Datei importiert hat, steht am Anfang des resultierenden PC-DMIS Werkstückprogramms der Befehl TASTERLADEN/MYPROBE.PRB und für jede SNSLCT-Anweisung erscheint mit den zutreffenden A- und B-Winkeln der entsprechende Befehl TASTSPITZE


Schritt 4: Ende der automatischen Importphase

Wenn PC-DMIS die Importphase abschließt, wird ein Protokoll im Fenster Achtung eingeblendet.

Dies könnte zum Beispiel folgendermaßen aussehen:

L42: ---: DECL/CHAR,O_D_L[11]

L56: ---: DECL/REAL,TX,TY,TZ,MISX,MISY,MISZ,CXT,CYT,CZT,VX,VY,VZ

L57: ---: DECL/REAL,INVCXT,INVCYT,INVCZT

L112: !MAJOR :MMEDIA/ON,’C:\myfile.exe’

L150: !MAJOR :MRRPCS/D(MRR),0,1,0

L213: FEHLER: !EINHEITEN

L253: FEHLER: !SNSLCT/S(S_103)

Diese Felder werden im Folgenden erläutert:

  • L## - Diese Anweisung gibt die Zeilennummer für die Anweisung im ursprünglichen DMIS-Programm an (## steht für die Zahl). Zum Beispiel L42 deutet an, dass sich auf Zeile 42 des DMIS-Programms diese DMIS-Anweisung befindet.

  • ---: - Dieses Zeichen deutet an, dass die Anweisung ignoriert wurde, d.h. sie wurde nicht in die entsprechende PC-DMIS-Befehl konvertiert, da es keinen äquivalenten PC-DMIS-Befehl gibt. Sie werden beispielsweise feststellen, dass PC-DMIS stets die DECL-Anweisung ignoriert, da PC-DMIS Variablen nicht explizit deklariert.

  • !MAJOR - Dies bedeutet, dass die angegebene DMIS-Anweisung (DMIS Hauptwort) nicht unterstützt wird.

  • FEHLER- Gibt an, dass der angegebene Befehl nicht richtig importiert wurde.


Schritt 5: Manuelle Verifizierung des PC-DMIS-Programms

Stellen Sie manuell sicher, dass die Übersetzung in PC-DMIS ordnungsgemäß funktioniert. Sehen Sie das Werkstückprogramm im Befehlsmodus durch. Fehler werden in rotem Text dargestellt.

Versuchen Sie, das Programm im OFFLINE-Modus auszuführen. Versuchen Sie dann, das KMG im ONLINE-Modus bei niedriger Geschwindigkeit zu verwenden, um zu überprüfen, ob das Programm ohne Probleme importiert wurde.


Worauf man achten sollte und einige hilfreiche Tipps und Anregungen

ChorusNT und PC-DMIS sind unterschiedliche Messsysteme und einige wesentliche Eigenschaften müssen sorgfältig beachtet werden. Die folgende Liste enthält einige Tipps und Anregungen:

Automatischer Messzyklus

Der DMIS-Standard schreibt vor, dass in einem MODE/AUTO-Abschnitt die Elemente mit dem automatischen Zyklus gemessen werden sollen, wobei alle nachfolgenden PTMEAS ignoriert werden sollen.

Da ChorusNT automatische Zyklen für POINT, CIRCLE, SPHERE und SLOT (CPARLN) bietet, werden all diese Fälle in die entsprechenden AUTO-Elemente übersetzt. In Anbetracht der wesentlichen Unterschiede von Chorus und PC-DMIS sollten Sie jedoch ihre Ausführungen sorgsam verifizieren.

Beispiel: Beim automatischen Zyklus von SLOT (Langloch) nimmt ChorusNT zuerst zwei Punkte auf einer der geraden Seiten auf. PC-DMIS nimmt die Punkte jedoch auf den kreisförmigen Enden des Langlochs auf.

STERN-Taster

PC-DMIS erkennt die ChorusNT SNSDEF-Erweiterung, die einen Sterntaster definiert. Stellen Sie sicher, dass die PC-DMIS-Einstellung der Tasterkopfausrichtung der ChorusNT SNSMNT-Vorgabe entspricht.

CW43-, CW43L- und IW42-DSE-Einbaukonventionen

ChorusNT- und PC-DMIS-Konventionen für den Rollwinkel sind verschieden. Obwohl PC-DMIS in der Lage ist, den Rollwinkel während des Imports des Chorus-DMIS-Programms korrekt anzupassen, ist Vorsicht geboten, wenn das importierte Programm zum ersten Mal ausgeführt wird.

Theoretische Werte in ELEM-Anweisungen

PC-DMIS verwendet immer sowohl theoretische als auch Ist-Werte, die richtig sein sollten (d.h., die theoretischen Werte sollten nicht allzu sehr von den Ist-Werten abweichen). Wenn die Abweichung groß ist, könnten insbesondere bei Elementen, die mit Ausrichtungen verwendet werden, Probleme auftreten. Der Grund dafür ist, dass PC-DMIS zwei Matrizen für jede Ausrichtung definiert:

  • Erstens die CADZUWERKSTÜCK-Matrix. Basierend auf den theoretischen Werten konvertiert diese Matrix die "NENN"-Werte der Elemente.

  • Zweitens die MASCHINEZUWERKSTÜCK-Matrix. Basierend auf den Ist-Werten konvertiert diese Matrix die "MESS"-Werte der Elemente.

Da ChorusNT nicht mit einer CADZUWERKSTÜCK-Matrix ausgestattet ist, verwendet es die tatsächlich gemessenen Werte. Wenn die falschen Nennwerte vorliegen, werden Sie darüber nur in Kenntnis gesetzt, wenn Sie die Anweisung AUSGABE für dieses Element ausführen.

Um die Richtigkeit zu überprüfen, sollten Sie daher AUSGABE-Anweisungen für die Elemente, insbesondere für die Ausrichtungselemente, zu dem ursprünglichen DMIS-Werkstückprogramm hinzufügen.

FILNAM

FILNAM in ChorusNT gibt den Namen der Ausgabedatei bei der Verwendung des DISPLY/STOR-Befehls an. PC-DMIS erkennt dies zwar, aber dieser Befehl muss nach dem DISPLY-Befehl im DMIS-Werkstückprogramm erscheinen. Ausführliche Informationen finden Sie in Ihrem DMIS-Handbuch.

VFORM

Die ChorusNT-Anbieter-Formatanweisung lautet V(Etikett)=VFORM/ALL. Diese wird in einen PC-DMIS FORMAT/TEXT-Befehl mit folgender Information übertragen:

  • MESSWERT

  • NENNWERT

  • ABWEICHUNG

  • UP_TOL

  • LO_TOL

  • CRIT/OOT

Der endgültige PC-DMIS-FORMAT-Befehl sieht so aus:

FORMAT/TEXT,OPTIONEN,ID ,ÜBERSCHRIFTEN,SYMBOLE,STDABW;MESS,NENNW,ABW,TOL,AUS_TOL, ,

DEFGRF

Bei der DEFGRF-Anweisung handelt es sich um eine Chorus-Erweiterung, mit der Sie Dialogfelder mit Schalftflächen und Eingabefelder definieren können. PC-DMIS importiert diesen Befehl und erstellt mit Hilfe der BASIC-Programmiersprache ein Skript (Cxpress Enable). Aufgrund der unterschiedlichen Bildschirmauflösung könnte ein Anpassen des daraus resultierenden Dialogfelds erforderlich sein. Sie können mit Hilfe des BASIC-Skripteditors von PC-DMIS die BASIC-Skriptdatei verändern.

FROM und GOHOME

Nach den Konventionen von ChorusNT wird die Mitte des Tastkopfs bewegt, und nicht die Mitte der Tastspitzenkugel. Obwohl beim PC-DMIS-Import die erforderlichen Versätze vorgenommen werden können, sollten Sie bei der ersten Ausführung des importierten Werkstückprogramms innerhalb von PC-DMIS mit einer langsamen Einspeisung beginnen.

MRRPCS

In ChorusNT definiert dieser Befehl das in einem Werkstückprogramm zu verwendende Bezugssystem, das zusammen mit dem MIRROR-Hilfsprogramm von ChorusNT erstellt wird. PC-DMIS unterstützt nicht den Import eines gespiegelten Chorus-Programms. Sie sollten stattdessen das leistungsfähigere und vollständige Hilfsprogramm "Spiegeln" von PC-DMIS auf der .prg-Datei, die Sie beim Importieren der "linken Seite" des Chorus-Programms erstellt haben, verwenden.

GAUGE

In ChorusNT definiert und misst diese Anweisung eine Messkugel, wobei folgender Name spezifiziert wird: G(Etikett), der Durchmesser und die Schaftrichtung. Ebenso werden optional die Position des Mittelpunkts, der Einfallswinkel und die Anzahl der Punkte, die zur Messung verwendet werden, angegeben.

GAUGE/SPHERE,G(Etikett), Durchm, i , j, k, [Winkel, x, y, z, AnzPunkte]

Wegen der verschiedenen Parameter übersetzt PC-DMIS diesen Befehl als zwei Befehle. AUTO/KUGEL und AKTIVE TASTSPITZE KALIBRIEREN:

F(Etikett)= AUTO/KUGEL

Der Befehl AUTO/KUGEL verwendet den selben Namen, Durchmesser und Richtung wie die GAUGE-Anweisung. Wenn keine Position des Mittelpunkts angegeben wurde und Sie während der Ausführung den ersten Punkt manuell oben am Pol auswählen, dann sind Anfangs. = 1 und Perm. = 1, andernfalls sind Anfangs. = 0 und Perm. = 0.

PC-DMIS ist außerdem in der Lage, auch die Ausrichtung, den Winkelvektor und den vertikalen Vektor entsprechend anzupassen.

AKTIVE TASTSPITZE KALIBRIEREN MIT ELEMENT_ID=F(Etikett), KALIB_NORMAL_ID=Etikett, BEWEGT=JA

CALIB

In ChorusNT wird durch diese Anweisung der angegebene Taster unter Verwendung der angegebenen Messkugel G(Etikett) kalibriert.

CALIB/SENS, S(Taster),G(Etikett), [Winkel]

PC-DMIS übersetzt diese Anweisung in die drei folgenden Befehle:

TASTSPITZE/ T1A..B..

Der Tastspitzenbefehl hat dieselben AB-Winkel wie die S(Taster)-Anweisung.

F(Etikett) = AUTO/KUGEL

AKTIVE TASTSPITZE KALIBRIEREN MIT ELEMENT_ID=F(Etikett), KALIB_NORMAL_ID=Etikett, BEWEGT=NEIN


Importieren von DMIS-Dateien

PC-DMIS kann allgemeine DMIS-Dateien und DMIS-Programme importieren, die mit Erweiterungen besonderer anbieterspezifischer Umgebungen erstellt worden sind.

So importieren Sie eine DMIS-Programmdatei:

  1. Öffnen Sie das PC-DMIS-Werkstückprogramm, in das die DMIS-Programmdatei importiert werden soll.

  2. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | DMIS... aus. Nun erscheint das Dialogfeld Öffnen.

  3. Wählen Sie unten im Dialogfeld in der Liste Dateityp den Eintrag Chorus DMIS-Dateien oder DMIS-Dateien aus. PC-DMIS führt alle Programmdateien auf, die mit den Dateierweiterungen ".dmi" oder ".dms" enden.

Hinweis: Die Erweiterungen der Chorus NT-Programme entsprechen dem DMIS 3.0-Standard und verfügen über eine bessere Verwaltungsstruktur. In den meisten Fällen sollten Sie Chorus DMIS-Dateien den Vorrang gegenüber gewöhnlichen DMIS-Dateien geben. Anmerkungen zum Konvertieren eines ChorusNT-Programms in ein PC-DMIS-Werkstückprogramm finden Sie unter "Anmerkungen zum Konvertieren eines ChorusNT-Programms in ein PC-DMIS-Werkstückprogramm".

  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten DMIS-Programmdatei finden und wählen Sie diese Datei aus der Liste aus.

  5. Klicken Sie auf die Schaltfläche Import.

  6. PC-DMIS führt die First-Pass-Übertragung der Eingabedatei durch. Das Dialogfeld DMIS Import einrichten wird angezeigt. In diesem Dialogfeld können Sie während des tatsächlichen Importvorgangs viele nützliche Optionen auswählen.

  7. Markieren Sie die gewünschten Optionen im Dialogfeld DMIS Import einrichten. Weitere Informationen über das Verwenden dieses Dialogfelds finden Sie unter den folgenden Themen.

  8. Klicken Sie auf OK. PC-DMIS beendet den Importvorgang.

Siehe auch:

DMIS-Import einrichten - Registerkarte "Allgemein"

DMIS Import einrichten - Registerkarte "Module"

DMIS Import einrichten – Registerkarte "Fehlerprotokoll"

DMIS Import einrichten - Registerkarte "Erweitert"


DMIS-Import einrichten - Registerkarte "Allgemein"

DMIS-Import einrichten - Registerkarte "Allgemein"

Über die Registerkarte Allgemein können Sie die Übertragung der Taster-Datei für das importierte DMIS-Programm steuern. Die verwendeten Steuerelemente sind in der folgenden Tabelle beschrieben:

Name des Steuerelements

Beschreibung

DMIS-Datei

In diesem Feld wird die zu importierende DMIS-Datei angegeben. Hier steht automatisch der Pfad zu der Datei, die in dem unter DMIS Importvorgang beschriebenen Dialogfeld "Öffnen" ausgewählt wurde.

Zusammenführen/Ersetzen

Mit diesen Optionen wird festgelegt, ob PC-DMIS die bestehenden Befehle durch die importierten DMIS-Befehle ersetzt oder die neuen Befehle mit den bestehenden Befehlen zusammenführt.

Wählen Sie Ersetzen, wenn die in dem aktuell geladenen Werkstückprogramm bestehenden Befehle während des Importvorgangs durch neue PC-DMIS-Befehle ersetzt werden sollen.

Wählen Sie Zusammenführen, wenn die während des Importvorgangs erzeugten PC-DMIS-Befehle am Ende der aktuell geladenen .PRG-Datei angehängt werden sollen.

Arm

In dieser Liste wird der im Mehrarmsystem zu verwendende Arm vorgegeben.

Tasterdatei

In dieser Liste ist die vorhandene Tasterdatei aufgeführt.

Ausgewählte Tasterdatei(en) verwenden

Über diese Option wird eine aus der Liste Tasterdatei ausgewählte vorhandene Tasterdatei verwendet.

  1. Wählen Sie den Arm, der die angezeigte Tasterdatei nutzen wird, aus dem Dropdown-Fenster.

  2. Wählen Sie die Tasterdatei aus der Liste aus.

  3. Klicken Sie auf Übernehmen. PC-DMIS ergänzt die Tasterdatei um alle Tastspitzen (Sensoren), auf die in den DMIS-Programmen verwiesen wird und die noch nicht in der Tasterdatei aufgeführt sind.

So erstellen Sie eine neue Standard-Tasterdatei

Mit dieser Option wird eine neue Tasterdatei auf Basis der SNSDEF-Anweisungen in der DMIS-Programmdatei erzeugt. PC-DMIS erzeugt eine neue Tasterdatei mit demselben Namen wie der Dateiname des DMIS-Programms und der Erweiterung ".prb". Die erstellte Tasterkonfiguration enthält standardmäßig einen Dreh-/Schwenkkopf (DSE) mit einer TP2-Verbindung und einer TIP2BY20MM-Tastspitze. Werden im DMIS-Programm jedoch keine SNSDEF-Anweisungen ermittelt, wird keine Tasterkonfiguration erstellt.

Ignoriere SCSLCT/ Anweisungen

Bei Wahl dieser Option werden die SCSLCT-Anweisungen im DMIS-Programm während der Übertragung ignoriert.

Hinweis: Sollte die Standardtasterkonfiguration nicht mit der Tasterkonfiguration Ihres Messgeräts übereinstimmen, wird empfohlen, mit PC-DMIS vor dem Importieren einer DMIS-Programmdatei eine Tasterdatei mit der aktuellen Tasterkonfiguration zu erstellen. Wählen Sie danach die erstellte Tasterdatei innerhalb dieser Registerkarte aus, klicken Sie auf Übernehmen und dann auf OK. Auf diese Weise kann der Umsetzer bei der Umsetzung der SNSDEF-Anweisungen die passende(n) Tastspitze(n) auswählen.


DMIS-Import einrichten - Registerkarte "Allgemein"

DMIS Import einrichten - Registerkarte "Module"

Die Registerkarte Module ist zurzeit nicht verfügbar.


DMIS Import einrichten – Registerkarte "Fehlerprotokoll"

DMIS Import einrichten - Registerkarte "Fehlerprotokoll"

Über die Registerkarte Fehlerprotokoll können Sie festlegen, ob PC-DMIS am Ende des Importvorgangs Warnungen oder Fehlermeldungen in einer Textdatei Ihrer Wahl speichern soll. Klicken Sie einfach auf Suchen und wählen Sie eine Textdatei aus.

Wenn Sie eine automatische Anzeige dieses Fehlerprotokolls am Ende des Importvorgangs wünschen, aktivieren Sie das Kontrollkästchen Anzeigen der Log-Datei nach dem Übersetzen. Die Textdatei wird in dem Dialogfeld DMIS Import-/Exportergebnisse geöffnet.


DMIS Import einrichten - Registerkarte "Erweitert"

DMIS-Import einrichten - Registerkarte "Erweitert"

Über die Registerkarte Erweitert können Sie besondere Kundenanforderungen und Konfigurationen importieren. Bei diesen Anforderungen kann es sich beispielsweise um nicht-standardmäßige Befehle oder ergänzte / modifizierte Parameter der DMIS-Standardbefehle handeln. PC-DMIS deaktiviert überflüssige Optionen (und aktiviert die Erforderlichen), wenn Chorus DMIS-Dateien importiert werden. Weitere Informationen zu den in dieser Registerkarte verwendeten Steuerelementen gibt die folgende Tabelle:

Name des Steuerelements

Beschreibung

Kundenunterstützung

Dieser Bereich enthält bestimmte Kontrollkästchen für DMIS-Anbieter. Wenn Ihre DMIS-Dateien mit einer Software dieser Unternehmen erstellt worden sind, markieren Sie das entsprechende Kontrollkästchen. Damit aktivieren Sie den Support für die jeweiligen Erweiterungen dieser Anbieter. Dazu gehören:

  • Volvo

  • Volkswagen

Konfiguration

Dieser Bereich bietet Kontrollkästchen, über die Sie verschiedene DMIS-Konfigurationen auswählen können. Dazu gehören:

FEDRAT/ Werte sind prozentual zur maximalen Maschinengeschwindigkeit

Bei DMIS-Befehlen wird nicht automatisch angegeben, ob sich die importierten FEDRAT/ Befehle (Befehle, welche die Maschinengeschwindigkeit kontrollieren) auf die maximale Maschinengeschwindigkeit oder die maximale Messgeschwindigkeit der Maschine beziehen.

  • Bei Auswahl dieses Kontrollkästchens sind die importierten FEDRAT/ Statements ein prozentualer Anteil der maximalen Maschinengeschwindigkeit.

  • Wenn Sie dieses Kontrollkästchen deaktivieren, sind die importierten FEDRAT/ Statements ein prozentualer Anteil der maximalen Messgeschwindigkeit.

DEA-DSE eingebaut und drehend wie Chorus

Wenn Sie ein mit einer IW42, CW43 oder CW43L-DSE ausgestattetes DEA KMG verwenden und Sie dieses Kontrollkästchen markieren, befolgt PC-DMIS die Chorus-Konventionen und passt den B-Drehwinkel während des Imports der SCSLCT-Anweisung an.

Bei einem ChorusDMIS-Import wird diese Option automatisch verwendet.

Standard

Mit dieser Schaltfläche werden Ihre Einstellungen als Standard für den Import von DMIS-Dateien vorgegeben.


Importieren eines AVAIL- oder MMIV-Programms

Die AVAIL- und MMIV-Dateitypen werden vom Messprogramm Micro Measure IV verwendet. PC-DMIS ermöglicht das Importieren dieses Dateityps in PC-DMIS-Werkstückprogramme.

So importieren Sie eine AVAIL- oder MMIV-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die MMIV-Programmdatei importiert werden soll.

  2. Wählen Sie die Menüoption Datei | Import aus und wählen Sie dann entweder Menü-Übersicht anzeigen AVAIL... oder Menü-Übersicht anzeigen MMIV... aus dem Untermenü aus. Das Dialogfeld Öffnen wird eingeblendet.

  3. PC-DMIS listet alle Programmdateien auf, die mit dem AVAIL- und MMIV-Präfix "llf" beginnen.

  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten AVAIL- oder MMIV-Datei finden und wählen Sie diese Datei aus der Liste aus.

  5. Klicken Sie auf die Schaltfläche Import. PC-DMIS blendet das Dialogfeld Übertragungsmethode wählen ein, in dem Sie nach der gewünschten Methode zum Importieren der Daten in das Werkstückprogramm gefragt werden.

Dialogfeld "Übertragungsmethode wählen"

  6. Wählen Sie eine der Übertragungsoptionen aus, und klicken Sie auf OK. PC-DMIS verarbeitet die Anforderung.

  7. Bei jedem TOOLCHANGE (TASTERWECHSEL)-Befehl, der in der MMIV-Datei gefunden wird, fordert PC-DMIS Sie zur Auswahl einer PC-DMIS-Tasterdatei auf.

  8. Bei jedem TIPCHANGE (TASTSPITZENWECHSEL) -Befehl, der in der MMIV-Datei gefunden wird, fordert PC-DMIS Sie zur Auswahl einer PC-DMIS-Tastspitze aus der Liste Zu verwendende Tastspitze im Dialogfeld Tastspitze auswählen auf.

Tastspitze auswählen (Dialogfeld)

  9. Klicken Sie auf OK (oder auf OK zu Allem), und wiederholen Sie den vorhergehenden Schritt gemäß der Bildschirmaufforderung. Beim Schließen des Dialogfelds Tastspitze auswählen wird das Dialogfeld Wählt die Arbeitsebene aus eingeblendet.

Wählt die Arbeitsebene aus (Dialogfeld)

  10. Wählen Sie die Arbeitsebene aus, die dem aktuellen Setup entspricht und klicken Sie auf OK. PC-DMIS importiert nun die Daten in das Werkstückprogramm.

Achtung: Bei MMIV-Werkstückprogrammen, bei denen das Schlüsselwort BRANCH (VERZWEIGEN) /TEST oder der Befehl BRANCH (VERZWEIGEN) /LABEL (SPRUNGMARKE) innerhalb eines Elementblocks steht, werden die entsprechenden PC-DMIS-Befehle (IF und GOTO) beim Importieren in PC-DMIS vor den Elementblock verschoben. Dies wird bei zukünftigen Versionen von PC-DMIS korrigiert werden.

Ein Hinweis zum Import von automatischen Elementen

Beachten Sie, dass PC-DMIS keine DONE/ (FERTIG) oder MEASURE/ (MESSEN) Befehle in importierten Auto MMIV- oder AVAIL-Elementen unterstützt. Bereits während die Übertragung stattfindet, werden alle MEASURE/; X,Y,Z,I,J,K-Befehle in Bedienerkommentare umgewandelt und DONE/-Befehle werden ignoriert.
Beispielsweise wollen Sie dieses Auto-Element aus einer AVAIL- oder MMIV-Datei übertragen:

CIR2= AUTO/CIR; YZPL,OC,4,12.0,6.0,-12.0,103.0,295,330
MOVE/BY; 12,5,0
MOVE/BY; 0,0,20
MEASURE/; 12.0,56.0,-22.0,0.0,-1.0,0.0039
MEASURE/; 12.0,57.85,-16.0,0.0,-1.0,0.0
MEASURE/; 12.0,58.4,-6.0,0.0,-1.0,-0.0039
DONE/;

PC-DMIS würde dies in einen AUTO KREIS- und zwei anschließende BEWEGEN-Befehle umwandeln sowie drei Kommentare, die besagen, dass PC-DMIS den MEASURE-Befehl ignoriert.


Importieren eines Tutor-Programms

Sie können Werkstückprogramme importieren, die durch die Tutor-Anwendung erstellt wurden.

So importieren Sie eine Tutor-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die Tutor-Programmdatei importiert werden soll.

  2. Menü-Übersicht anzeigen Wählen Sie die Menüoption Datei | Import | TUTOR... aus.Es erscheint das Dialogfeld Öffnen.

  3. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten Tutor-Datei finden und wählen Sie diese Datei aus der Liste aus.

  4. Klicken Sie auf die Schaltfläche Import. Der Tutor-Übersetzer beginnt mit dem Übertragungsprozess und es erscheint das Dialogfeld TutorPCDMIS-Übertragungsoptionen . In diesem Dialogfeld können Sie angeben, wie die Einträge in der Tutordatei in PC-DMIS interpretiert oder angezeigt werden sollen.

TutorPCDMIS-Übertragungsoptionen (Dialogfeld)

  6. Nehmen Sie die erforderlichen Eingaben im Dialogfeld vor. Es sind folgende Optionen verfügbar:

Bereich "PC-DMIS-Werkstückprogramm-Einstellungen"

Diese Optionen stammen von PC-DMIS und können nicht verändert werden.

Einheiten- Hier werden die Maßeinheiten (Zoll oder Metrisch) des PC-DMIS-Werkstückprogramms, das zum Importieren der Tutor-Datei verwendet wird, eingeblendet. Im Gegensatz zu Tutor for Windows ist die Änderung von Maßeinheiten im Verlauf der Ausführung in PC-DMIS nicht zulässig.

Winkelmodus - Hier wird die aktuelle Winkeldarstellung (entweder Grad oder DMS) im PC-DMIS-Werkstückprogramm eingeblendet.

Bereich "Tutor for Windows"-Einstellungen

Mit Hilfe dieser Optionen können Sie die Tutor for Windows-Einstellungen vornehmen, die für eine korrekte 'Tutor zu PC-DMIS'-Übertragung erforderlich sind.

Wtutor.Ini lesen - Klicken Sie auf diese Schaltfläche, wenn angegeben werden muss, wo sich die Tutor-Konfiguration (.ini) befindet. Standardmäßig, wenn mit dem Übertragungsvorgang begonnen wird, durchsucht PC-DMIS das Verzeichnis C:\Winnt nach dieser Konfigurationsdatei. In dieser Datei befinden sich die für den Übersetzer notwendigen Tutor for Windows-Konfigurationen.

Positionsfehler - Wählen Sie Radius, wenn das importierende Werkstückprogramm die Auswertung des Positionsfehlers als Radius erforderlich macht. Andernfalls wählen Sie Durchmesser.

Formfehler - Wählen Sie Doppelt, wenn das importierende Werkstückprogramm den doppelten Formfehler benötigt. Andernfalls wählen Sie die Option Einzeln.

Linearitätsfehler - Wählen Sie Radius, wenn das importierende Werkstückprogramm die Auswertung des Linearitätsfehlers als Radius erforderlich macht. Andernfalls wählen Sie Durchmesser.

Bereich "Zuordnen von TutorPCDMIS-Tastern"

In diesem Bereich können Sie einem PC-DMIS-Taster einen Tutor-Taster zuordnen.

Tastspitzen-Durchmesser - Geben Sie hier den Standard für den Tastspitzendurchmesser des Tasters ein, den PC-DMIS in dem Werkstückprogramm einsetzen wird.

Tasterdatei - Mit der Schaltfläche … können Sie die zu verwendende PC-DMIS-Tasterdatei (.PRB) auswählen.

TasterMapfile - Mit der Schaltfläche … können Sie ein vorhandenes 'Tutor zu PC-DMIS' - Taster-Mapfile (.TP2) auswählen. Wenn kein Taster-Mapfile zur Verfügung steht, kann dieses durch Klicken auf die Schaltfläche Neu erstellt werden. Mit der Schaltfläche Bearbeiten können Sie das aktuell in diesem Dialogfeld ausgewählte Taster-Mapfile ändern. Durch dieses Mapfile können Sie dem Umsetzer mitteilen, welche Tastspitzenwinkel PC-DMIS verwenden soll, wenn die Tasterbefehle von der Tutordatei in PC-DMIS übertragen werden.

Kommentare überspringen - Aktivieren Sie dieses Kontrollkästchen, wenn die in der Tutor-Datei vorgefundenen Programmiererkommentare nicht importiert werden sollen.

  7. Klicken Sie zum Fortfahren auf die Schaltfläche OK. PC-DMIS zeigt den Importvorgang im Fenster "Übertragung läuft" an, wobei Warnmeldungen in der Liste Übertragungsmeldungen angezeigt werden.

  8. Befolgen Sie die Bildschirmanweisungen.

  9. Am Ende der Übertragung können Sie mit Hilfe des Fensters "Übertragung läuft" die Meldungen in der Liste Übertragungsmeldungen überprüfen. Sie können dann entscheiden, ob Sie den Importiervorgang fortfahren (klicken Sie hierfür auf Fortfahren) oder abbrechen möchten (klicken Sie hierfür auf Abbrechen) möchten. Unabhängig von Ihrer Entscheidung werden die Übertragungsmeldungen in beiden Fällen in einer Protokolldatei mit demselben Namen wie das Tutor-Werkstückprogramm mit einer .log-Erweiterung im selben Verzeichnis wie das Tutor-Werkstückprogramm gespeichert.

Hinweis: Das Dialogfeld TutorPCDMIS-Übertragungsoptionen erscheint immer dann, wenn PC-DMIS auf einen TASTERLADEN-Befehl aus der Tutor-Datei stößt. Wenn Sie das Taster-Mapfile vorschriftsmäßig eingerichtet haben, können Sie beruhigt die Übertragung des aktuellen Tasterladen-Befehls überspringen, indem Sie auf Ignorieren klicken.

Siehe auch:

Erstellen und Bearbeiten von "Tutor zu PC-DMIS"-Tasterabbildungsdateien


Erstellen und Bearbeiten von "Tutor zu PC-DMIS-Taster-Mapfiles"

Um Programme ordnungsgemäß von Tutor nach PC-DMIS übertragen zu können, benötigen Sie eine Taster-Mapfile, die den Bezug der Tutor-Tasterdateien zu den PC-DMIS-Tastern herstellt. In Tutor wird ein Tasterbefehl durch zwei Zahlen identifiziert, die sich auf einen bestimmten Tastkopf beziehungsweise eine bestimmte Tastspitze beziehen.

So erstellen Sie eine neue "Tutor zu PC-DMIS-Taster-Mapfile":

  1. Beginnen Sie mit dem Importvorgang wie unter "Importieren einer Tutor-Datei" beschrieben.

  2. Wenn das Dialogfeld TutorPCDMIS-Übertragungsoptionen angezeigt wird, klicken Sie auf die Schaltfläche Neu. Das Dialogfeld T2P-Datei wird eingeblendet.

Dialogfeld "T2P-Datei"

  3. Wenn Sie genauere Angaben machen wollen, klicken Sie auf Hinzufügen, um neue Zeilen hinzuzufügen.

  4. In der Kopfspalte wird für jede Reihe ein Wert von 1 bis 100 eingegeben, um den Tastkopf in Tutor zu identifizieren.

  5. In der Spalte Tastspitze wird für jede Reihe ein Wert von eins bis fünf eingegeben, um die Tastspitze in Tutor zu identifizieren.

  6. In der Spalte PRB Name wird für jede Reihe der PC-DMIS-Tastspitzenwinkel eingegeben, der für den Tastkopf und die Tastspitze dieser Reihe verwendet werden soll. Beispielsweise erhält der Tutor-Übersetzer in der folgenden Tabelle die Taster-Map-Information, dass er den Tastspitzenwinkel T5A30B30 von PC-DMIS verwenden soll, wenn er einen Tasterbefehl von 2,2 in der Tutordatei vorfindet.

Kopf | Tastspitze | PRB Name
2 | 2 | T5A30B30

  7. Wenn Sie einen Fehler gemacht haben, klicken Sie auf Alles löschen. Mit dieser Schaltfläche können Sie alle Angaben im Dialogfeld löschen und neu beginnen.

  8. Mit der Schaltfläche … können Sie diese "Tutor zu PC-DMIS-Taster-Mapfile" auf dem Computer abspeichern.

  9. Klicken Sie auf OK, um zum Dialogfeld TutorPCDMIS-Übertragungsoptionen zurückzukehren.

So bearbeiten Sie eine vorhandene Tutor zu PC-DMIS-Taster-Mapfile:

  1. Beginnen Sie mit dem Importvorgang wie unter "Importieren einer Tutor-Datei" beschrieben.

  2. Wenn das Dialogfeld TutorPCDMIS-Übertragungsoptionen angezeigt wird, klicken Sie auf die Schaltfläche ..., um das Feld Taster-Mapfile zu öffnen, und wählen Sie eine vorhandene T2P-Datei aus.

  3. Klicken Sie auf die Schaltfläche Bearbeiten. Das Dialogfeld T2P-Datei wird eingeblendet.

  4. Bearbeiten Sie die erforderlichen Werte.

  5. Klicken Sie auf OK, um zum Dialogfeld TutorPCDMIS-Übertragungsoptionen zurückzukehren.


Importieren einer Direct CAD-Datei

Anstatt CAD-Daten in das interne CAD-Format von PC-DMIS zu übertragen, kann direkt auf die Direct CAD-Dateitypen zugegriffen werden. Das heißt, die CAD-Daten dieser Dateitypen bleiben nach dem Import in ihrem eigenen Format gespeichert. Bei allen mit den CAD-Daten vorgenommenen Berechnungen werden für den CAD-Typ native Routinen verwendet. Durch den direkten Zugriff auf die CAD-Daten werden Probleme vermieden, die aufgrund von Ungenauigkeiten oder Einschränkungen bei der Übertragung auftreten können.

Im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei" wird das Importieren von Direct CAD-Dateien ausführlich beschrieben.

Siehe auch:

Parkettieren eines Werkstücks ohne CAD-Lizenz


Parkettieren eines Werkstücks ohne CAD-Lizenz

In Version 3.5 und höher kann nun das Bild eines Direct CAD-Schnittstellenwerkstücks parkettiert werden, selbst wenn dessen CAD-Lizenz derzeit nicht verfügbar ist. Die Methode für den Zugriff auf diese Funktion ist je nach Direct CAD-Schnittstelle verschieden. Im Allgemeinen brauchen Sie jedoch einfach nur auf das Werkstückprogramm Ihrer Direct CAD-Schnittstelle zuzugreifen. PC-DMIS zeigt dann das Werkstück an, einige Funktionen werden jedoch nicht verfügbar sein. Sie können beispielsweise keinen gemessenen Vektorpunkt auf dem Werkstück erstellen.


Exportieren von CAD- oder Programmdaten

Exportieren von CAD-Daten oder Programmdaten

Neben der Möglichkeit, Daten zu importieren, können mit PC-DMIS auch Werkstückprogramme in eines der folgenden unterstützten Dateiformate exportiert werden:

· DATAVIEW-Dateien (*.AS3)

· BASIC-Dateien (*.BAS)

· DES-Dateien (*.DES)

· DMIS-Dateien (*.DMI or *.DMS)

· BENUTZERDEFINIERTE Dateien (*.TXT)

· I-DEAS-Dateien

· IGES-Dateien (*.IGS)

· STEP AP203 (*.STP oder *.STEP)

· STEP AP214 (*.STP oder *.STEP)

· VDAFS (*.VDA)

· DXF /DWG (*DXF oder *DXG)

Hinweis: Wenn Ihr Programm in Form von CAD-Daten exportiert wird, werden die zuvor importierten CAD-Werkstückmodelle nicht exportiert. Statt dessen wird eine CAD-Datei aus den vorhandenen Elementbefehlen in Ihrem Werkstückprogramm erzeugt.

So exportieren Sie Daten aus dem aktuellen Werkstückprogramm:

  1. Wählen Sie die Menüoption Datei | Export und wählen Sie dann die zu exportierenden Daten aus dem Untermenü aus (oder klicken Sie im Windows Explorer mit der rechten Maustaste auf den Namen des Werkstückprogramms und wählen Sie dann Export). In den meisten Fällen erscheint daraufhin das Dialogfeld Öffnen.

    Öffnen (Dialogfeld)

  2. Wählen Sie den gewünschten Datentyp im Listenfeld Dateityp aus. PC-DMIS zeigt die für den angegebenen Datentyp verfügbaren Dateien an.

  3. Geben Sie den Namen der zu erstellenden Datei in das Feld Dateiname ein oder wählen Sie eine vorhandene Datei aus der Liste aus. Bei Auswahl einer vorhandenen Datei ersetzt PC-DMIS die aktuellen Daten in dieser Datei durch die aus dem Export resultierenden Informationen.

  4. Klicken Sie auf Export. Das Dialogfeld wird geschlossen. Je nach Dateityp zeigt PC-DMIS ein anderes Dialogfeld an und Sie werden zu zusätzlichen Eingaben aufgefordert. Weitere Informationen hierzu finden Sie unter den unten stehenden Themen.

  5. Klicken Sie auf Export. PC-DMIS erzeugt die exportierte Datendatei im ausgewählten Verzeichnis und gibt ihr die im Feld Dateityp definierte Erweiterung.

Siehe auch:

Exportieren einer IGES-Datei

Exportieren einer DES-Datei

Exportieren einer STEP-Datei

Exportieren einer VDAFS-Datei

Exportieren in eine I-DEAS DCI-Modelldatei

Export als eine BASIC-Datei

Export als eine DMIS-Datei


Exportieren einer IGES-Datei

Wenn Sie die Schaltfläche Export während des IGES-Exportvorgangs anklicken, wird das Dialogfeld IGES-Export eingeblendet.

Dialogfeld "IGES-Datei"

Das Dialogfeld IGES-Datei zeigt Informationen zu dem von Ihnen in den Bereichen Kopfzeile und Gobale Parameter ausgewählten IGES-Export. Hier können Sie außerdem weitere Optionen für den IGES-Export auswählen.

  1. Wählen Sie aus der Liste Ausrichtung eine Ausrichtung aus.

  2. Klicken Sie auf die Schaltfläche Einrichten, um die Anzeige des exportierten Bildes nach Wunsch zu ändern. (Informationen hierzu finden Sie unter "Ändern der Anzeige importierter/exportierter Bilder".

  3. Wenn das Kontrollkästchen Nur markierte Elemente aktiviert ist, exportiert PC-DMIS nur die markierten Elemente.

  4. Klicken Sie im Dialogfeld IGES-Datei auf die Schaltfläche Verarbeiten, um die IGES-Daten aus dem ausgewählten Werkstückprogramm auszugeben. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.

  5. Klicken Sie auf OK, um den Export der IGES-Datei abzuschließen.


Exportieren einer DES-Datei

Wenn Sie die Schaltfläche Export während des DES-Exportvorgangs anklicken, wird das Dialogfeld DES-Datei eingeblendet.

Dialogfeld "DES-Datei"

Das Dialogfeld DES-Datei zeigt Informationen zu dem von Ihnen im Bereich Kopfzeile ausgewählten DES-Export. Hier können Sie außerdem weitere Optionen für den DES-Export auswählen.

  1. Wählen Sie aus der Liste Ausrichtung eine Ausrichtung aus.

  2. Wählen Sie ein Koordinatensystem aus dem Bereich Koordinatensystem aus.

  3. Wenn das Kontrollkästchen Nur markierte Elemente aktiviert ist, exportiert PC-DMIS nur die markierten Elemente.

  4. Wenn das Kontrollkästchen Dezimalkomma zeigen aktiviert ist, wird das Dezimalkomma in den exportierten Daten gezeigt.

  5. Wenn das Kontrollkästchen Nennwerte ausgeben aktiviert ist, wird PC-DMIS angewiesen, die DES-Exportdatei aus den Nennwerten Ihres Werkstückprogramms zu erzeugen.

  6. Klicken Sie im Dialogfeld DES-Datei auf die Schaltfläche Verarbeiten, um die DES-Daten aus dem ausgewählten Werkstückprogramm auszugeben. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.

  7. Klicken Sie auf OK, um den Export der DES-Datei abzuschließen.


Exportieren einer STEP-Datei

Wenn Sie die Schaltfläche Export während des STEP-Exportvorgangs anklicken, wird das Dialogfeld STEP-Export eingeblendet.

Dialogfeld "STEP-Export"

Im Dialogfeld STEP-Export können Sie weitere Optionen für den STEP-Export auswählen.

  1. Wählen Sie aus der Liste Ausrichtung eine Ausrichtung aus.

  2. Wenn das Kontrollkästchen Nur markierte Elemente aktiviert ist, exportiert PC-DMIS nur die markierten Elemente.

  3. Wenn das Kontrollkästchen Scans als Punkte aktiviert ist, werden Scan-Daten in Messpunkte konvertiert.

  4. Klicken Sie auf die Schaltfläche Exportieren, um den Export der STEP-Datei abzuschließen.


Exportieren einer VDAFS-Datei

Wenn Sie die Schaltfläche Export während des VDAFS-Exportvorgangs anklicken, wird das Dialogfeld VDAFS-Export eingeblendet.

Dialogfeld "VDAFS-Export"

Im Dialogfeld VDAFS-Export können Sie weitere Optionen für den VDAFS-Export auswählen. Dieses Dialogfeld bietet genau dieselben Optionen wie das Dialogfeld STEP-Export. Siehe auch "Exportieren einer STEP-Datei".


Exportieren in eine I-DEAS DCI-Modelldatei

Gehen Sie beim Exportieren eines I-DEAS-Werkstücks wie folgt vor:

  1. Wählen Sie die Menüoption Datei | Export aus dem Hauptmenü und wählen Sie dann den Datentyp I-DEAS aus dem Untermenü. Das Dialogfeld I-DEAS-Werkstückauswahl wird angezeigt.

I-DEAS-Werkstückauswahl (Dialogfeld)

  2. Klicken Sie auf die Schaltfläche Verbindung zu Server herstellen.... Das Dialogfeld I-DEAS-Server-Verbindung wird eingeblendet. Verwenden Sie dieses Dialogfeld, um eine Verbindung zu einem I-DEAS-Server herzustellen. Informationen zur Verwendung des Dialogfelds I-DEAS-Server-Verbindung finden Sie unter "Verwenden des Dialogfelds I-DEAS-Server-Verbindung" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei". Wenn die Verbindung zum I-DEAS-Server hergestellt ist, wird das Dialogfeld I-DEAS-Werkstückauswahl verfügbar. Alle Projekte in der aktiven I-DEAS-Dateninstallation werden aufgelistet.

  3. Klicken Sie auf Verbindung aufbauen, um die Verbindung zum Server herzustellen. Das Dialogfeld I-DEAS-Werkstückauswahl wird angezeigt.

  4. Wählen Sie ein Projekt und die zu exportierende Modelldatei aus. Wählen Sie hierfür ein vorhandenes Werkstück in der Liste Werkstücke in ausgewählter Modelldatei: aus. Sie können jedoch auch ein neues Werkstück erstellen, indem Sie Werte in die Felder Fach, Name und Werkstücknummer eingeben.

Hinweis: Flächengeometrie (Zylinder-, Kegel- oder Kugelelemente) kann in einem vorhandenen Werkstück nicht erstellt werden. Wenn Sie Daten in ein vorhandenes Werkstück exportieren, werden diese Elementtypen ignoriert. Zum Exportieren von FlächenElementtypen müssen Sie bestimmen, dass ein neues Werkstück erstellt wird.

Hinweis: Die folgenden Zeichen sind nicht zulässig und können in den Feldern Fach, Werkstückname und Werkstücknummer nicht verwendet werden:
:
;
,
"
*
?

  5. Klicken Sie auf die Schaltfläche Zu Werkstück exportieren, nachdem Sie ein Werkstück angegeben haben. Ist das Werkstück neu, werden Sie in einem Meldungsfeld gefragt, ob Sie ein Werkstück erstellen möchten.

  6. Klicken Sie auf Ja, um das I-DEAS-Werkstück zu erstellen. Das Dialogfeld I-DEAS-Export wird angezeigt.

I-DEAS-Export (Dialogfeld)

  7. Wählen Sie im Feld Ausrichtung eine Ausrichtung aus.

  8. Wählen Sie weitere Exportoptionen aus.

  9. Klicken Sie auf die Schaltfläche Exportieren, um den Export in das I-DEAS-Werkstück abzuschließen. Nach Abschluss des Exportvorgangs weist PC-DMIS den I-DEAS-Server automatisch zum Speichern der Modelldatei des Werkstücks an.


Export als eine BASIC-Datei

PC-DMIS bietet besondere Tools zur Automatisierung von PC-DMIS. Über Werkstückprogramm als BASIC-Skript (*.BAS file) ausgeben, können Sie das Werkstückprogramm mit Hilfe einer externen Anwendung, die BASIC unterstützt, automatisieren. Weitere Informationen zur Automatisierung von PC-DMIS finden Sie unter folgenden Dokumentationsthemen:

  • PC-DMIS BASIC-Sprachverzeichnis Hilfedatei.

  • "Siehe auch "Einfügen von BASIC-Skripts" im Abschnitt "Hinzufügen externer Elemente".


Export als eine DMIS-Datei

Export als DMIS

Mit PC-DMIS können Sie die Werkstückprogramm-Datei von PC-DMIS als eine DMIS-Datei exportieren. DMIS-Dateien halten den DMIS-Standard für DMIS-Befehle ein und können auf anderen Computern von Anwendungen, die die DMIS-Sprache verwenden, ausgeführt werden.

Nach Wahl eines Dateinamens und Klicken auf die Option Export im Dialogfeld Datei öffnen, wird von PC-DMIS das Dialogfeld DMIS Export einrichten eingeblendet. Dieses Dialogfeld enthält die beiden Registerkarten Allgemein und Fehlerprotokoll.

Klicken Sie nach Auswahl der Optionen auf diesen Registerkarten auf OK, um den Exportvorgang abzuschließen.

Registerkarte "Allgemein"

Dialogfeld "DMIS Export einrichten" - Registerkarte "Allgemein"

Dialogfeld "DMIS Export einrichten" - Registerkarte "Allgemein"

Auf der Registerkarte Allgemein können Sie eine von drei verschiedenen Methoden auswählen, um das PC-DMIS-Werkstückprogramm in eine DMIS-Datei zu konvertieren.

  • Bearbeitungsfenster PC-DMIS (DMIS-Modus) - Mit dieser Methode wird eine DMIS-Datei exportiert, die das gleiche Layout des Bearbeitungsfensters enthält, wenn das Werkstückprogramm im DMIS-Modus angezeigt wird.

  • Flexible DMIS - Mit dieser Methode können Sie die exportierte Datei den spezifischen DMIS-Versionen anpassen oder nur die in einer Charakterisierungsdatei angegebenen Anweisungen verwenden. Bei Auswahl dieser Option wird ein Datei-Auswahlfeld aktiviert, mit dem Sie eine bestimmte BASIC-Skriptdatei durchsuchen und auswählen können (*.bas-Erweiterung). Sie können ihre eigene Skriptdatei erstellen oder eine vorhandene Skriptdatei ändern, um den Export von PC-DMIS genau zu steuern.

    PC-DMIS bietet drei zur Verwendung bereite .bas-Dateien, die sich im PC-DMIS-Installationsverzeichnis befinden. Mit diesen Dateien können Sie den Export so anpassen, dass eine definierte Untermenge von unterstützten PC-DMIS-Befehlen für eine bestimmte DMIS-Version verwendet wird. Bei den Dateien handelt es sich um PCD2DMIS030.BAS, PCD2DMIS040.BAS und PCD2DMIS050.BAS (für DMIS 3.0, 4.0 bzw. 5.0). Befehle, die nicht in der .bas-Datei angepasst werden, werden so, wie sie sind, im Bearbeitungsfenster von PC-DMIS (DMIS-Modus) angezeigt.

Hinweis: Wenn eine Funktion des BASIC-Skripts unter Verwendung dieser Option einen Fehler verursacht, werden die exportierten Dateien so geschrieben, als hätten Sie die oben stehende Option Bearbeitungsfenster von PC-DMIS (DMIS-Modus) ausgewählt.

  • Legacy-Export - Mit dieser Methode können Sie die Datei so exportieren, wie sie in früheren Versionen von PC-DMIS exportiert wurde. Bei früheren Versionen als 4.0 musste der Eintrag DMISUsePostoutCode im PC-DMIS-Einstellungseditor auf TRUE eingestellt werden, um diese Aufgabe durchzuführen. Jetzt können Sie diese Option einfach auswählen.

Registerkarte "Fehlerprotokoll"

DMIS Export einrichten - Registerkarte "Fehlerprotokoll"

DMIS Export einrichten - Registerkarte "Fehlerprotokoll"

Mit der Registerkarte Fehlerprotokoll können Sie solche Fehler anzeigen und speichern, die während einer Exportphase aufgetreten sind. Dadurch können Sie diese Fehler in der Skriptdatei korrigieren oder auf entsprechende andere Weise vorgehen. In folgenden Fällen erhalten Sie Fehler oder Warnmeldungen:

  • Wenn eine Funktion im BASIC-Skript einen logischen Fehler zurückmeldet, dann befindet sich das Problem irgendwo im Skript, wodurch ein automatisches Fehlerprotokoll erstellt wird. In diesem Fall wird von der BASIC-Skript-Funktion eine Zeichenfolge mit folgender Kopfzeile zurückgegeben: $$ LOGERR |.

  • Wenn ein Parameter in einem PC-DMIS-Befehl nicht in den DMIS-Code konvertiert werden kann. In diesem Fall wird von der BASIC-Skript-Funktion eine Zeichenfolge mit folgender Kopfzeile zurückgegeben:
    $$ DMISERR |

Klicken Sie auf die Schaltfläche ..., um eine vorhandene Textdatei ausfindig zu machen und auszuwählen, an die PC-DMIS die Fehlermeldungen senden soll.

Klicken Sie auf die Schaltfläche Protokoll nach dem Exportieren anzeigen, um die Textdatei in einem Texteditor anzuzeigen, nachdem PC-DMIS den Exportvorgang beendet hat.


Ändern der Anzeige importierter/exportierter Bilder

Wenn Sie beim Importieren oder Exportieren im Dialogfeld IGES-Datei auf die Schaltfläche Einrichten klicken, wird das Dialogfeld IGES EINRICHTEN (beim Importieren) oder das Dialogfeld IGES-SCHREIBVORGANG EINRICHTEN (beim Exportieren) eingeblendet. In diesen Dialogfeldern können Sie ändern, wie das IGES/DMIS-Bild angezeigt wird.

Siehe auch:

Ändern der Anzeige importierter CAD-Bilder

Ändern der Anzeige exportierter CAD-Bilder


Ändern der Anzeige importierter CAD-Bilder

Dialogfeld "IGES EINRICHTEN"

So greifen Sie auf das Dialogfeld IGES einrichten zu und ändern, wie das IGES/DMIS-Bild angezeigt wird:

  1. Beginnen Sie mit dem Importieren der CAD-Datei. (Informationen hierzu finden Sie unter "Importieren einer IGES-Datei".)

  2. Wenn das Dialogfeld IGES-Datei angezeigt wird, klicken Sie auf die Schaltfläche Einricht..

  3. Aktivieren Sie im Dialogfeld IGES EINRICHTEN die Kontrollkästchen der gewünschten Optionen.

  4. Klicken Sie auf OK.

PC-DMIS zeichnet das ausgewählte CAD-Bild mit den angeforderten Elementen.

Siehe auch:

Verfügbare Optionen


Verfügbare Optionen

Das Kontrollkästchen Rotationsfläche ist verfügbar, wenn beschnittene Flächen verwendet werden, die als Grundfläche eine Rotationsfläche besitzen und nicht richtig eingelesen werden. Markieren Sie in diesem Fall einfach die entsprechenden Optionen im Bereich Beschnittene Flächen des Dialogfelds.

Wenn das Kontrollkästchen Standard markiert ist, verarbeitet PC-DMIS alle zukünftigen Elemente unter Verwendung der aktuellen Einstellung.

Der Bereich "Objekte bei Einsatz verarbeiten"

Der Bereich Objekte bei Einsatz verarbeiten besteht aus den folgenden sechs Kontrollkästchen, über die Sie die möglichen CAD-Bildeinrichtungsoptionen auswählen können. Diese sind in der folgenden Tabelle beschrieben:

Kontrollkästchen | Beschreibung
Geometrie | Bestimmt, ob sonstige Elemente der Datei importiert werden oder nicht. Geometrische Elemente sind die Kurven und Flächen, die das Modell definieren.
Anmerkung | Bestimmt, ob die Anmerkungselemente der Datei importiert werden oder nicht. Diese Elemente dienen zum Hinzufügen einer Anmerkung oder Beschreibung zur Datei. Verfügbare Elemente: Winkelabmessung, Durchmesserabmessung, Attributhinweis, allgemeine Sprungmarke, lineare Abmessung, Ordinatenabmessung, Punktabmessung, Radiusabmessung, allgemeines Symbol und Abschnitt.
Definition | Bestimmt, ob die Definitionselemente der Datei importiert werden oder nicht. Diese Elemente werden in Definitionsstrukturen der Datei verwendet. Verfügbare Elemente: allgemeiner Hinweis, Führungslinie, assoziative Definition, Linienschriftartdefinition, Makrodefinition, Unterfigurdefinition, Textschriftartdefinition, Textanzeigevorlage und Netzwerkunterfigurdefinition.
Sonstige | Bestimmt, ob sonstige Elemente der Datei importiert werden oder nicht. Diese Elemente werden für andere Zwecke wie zum Beispiel das Definieren von Elementen in der Datei verwendet. Derzeit verfügbare Elemente: Farbdefinition und die assoziative gemessene Geometrie.
Logisch/Positionell | Bestimmt, ob die logischen/positionellen Elemente der Datei importiert werden oder nicht. Diese Elemente dienen als logische oder positionelle Verweise für andere Elemente. Derzeit verarbeitet PC-DMIS keine Elemente dieses Typs.
2D-Parameter | Bestimmt, ob die 2D-Parameter-Elemente der Datei importiert werden oder nicht. Diese Elemente sind im zweidimensionalen XY-Parameterraum positioniert und gelten als Untermenge des dreidimensionalen XYZ-Raums, wobei die Z-Koordinate ignoriert wird. Dieser Elementtyp ist für die Definition von Beschnittkurven auf Flächen gedacht. Derzeit ignoriert PC-DMIS dieses Kontrollkästchen. Weitere Informationen finden Sie unter "Bereich 'Beschnittene Flächen'".

Wenn Sie alle sechs Kontrollkästchen aktivieren, werden alle IGES-Elemente in der IGES-Datei importiert.

Bereich "Objekte verarbeiten, wenn"

The Der Bereich Objekte verarbeiten, wenn enthält Kontrollkästchen, mit deren Hilfe Sie bestimmte Elemente verarbeiten können, wenn diese bestimmte Bedingungen erfüllen. Die folgende Tabelle enthält die zu erfüllenden verfügbaren Bedingungen sowie eine Beschreibung jedes Kontrollkästchens:

Bedingung | Beschreibung
Objekte verarbeiten, wenn Physikalisch abhängig | Bestimmt, ob die Grundfläche einer Kurve auf einer Parameter-Fläche angezeigt wird oder nicht.
Objekte verarbeiten, wennLogisch abhängig | Bestimmt, ob logisch abhängige Elemente aus der IGES-Datei importiert werden oder nicht.
Objekte verarbeiten, wennUnsichtbar | Bestimmt, ob unsichtbare Elemente importiert werden oder nicht.

Der Bereich "Beschnittene Flächen"

Der Bereich Beschnittene Flächen enthält Kontrollkästchen, die zur korrekten Verarbeitung von beschnittenen Flächen verwendet werden können.

Kontrollkästchen | Beschreibung
Beschnitt zeigen | Zeigt die beschnittene Fläche an.
Grundfläche zeigen | Zeigt die nicht beschnittene Fläche (Grundfläche) an.
'B'-Kurven verwenden | Wenn in der IGES-Datei 'B'-Kurven vorhanden sind, aktivieren Sie dieses Kontrollkästchen, um diese als Beschnittdefinition zu verwenden. Evtl. müssen Sie dieses Kontrollkästchen auch aktivieren, wenn das Modell schlecht definierte 'C'-Beschnittkurven aufweist. Bei Aktivierung dieses Kontrollkästchens werden die 'C'-Beschnittkurven aus den 'B'-Beschnittkurven neu erstellt.
'C'-Kurven verwenden | Wenn in der IGES-Datei 'C'-Kurven vorhanden sind, aktivieren Sie dieses Kontrollkästchen, um diese als Beschnittdefinition zu verwenden. Evtl. müssen Sie diese Option verwenden, wenn das Modell schlecht definierte 'B'-Beschnittkurven aufweist. Bei Aktivierung dieses Kontrollkästchens werden die 'B'-Beschnittkurven aus den 'C'-Beschnittkurven neu erstellt.

Wenn Sie das Kontrollkästchen Beschnitt zeigen aktivieren, werden die anderen Kontrollkästchen zur Auswahl verfügbar. Abhängig von den Attributen der beschnittenen Fläche können Sie 'B'- oder 'C'-Kurven als Beschnittdefinition verwenden.

Hinweis: Beachten Sie, dass PC-DMIS bei Verwendung von 'C'-Kurven als Beschnittdefinition die 'B'-Kurven berechnen muss, was sehr viel Zeit in Anspruch nehmen kann.

Wenn die IGES-Datei beschnittene Flächen enthält, die eine Rotationsfläche als Grundfläche haben, werden die folgenden Kontrollkästchen ebenfalls zur Auswahl verfügbar:

Kontrollkästchen | Beschreibung
Parameter umkehren | Bestimmt, ob 'B'-Beschnittkurven fixiert werden sollen, welche die U- und V-Parameter umkehren.
V-Parameter 0 bis 1 | Bestimmt, ob der 'V'-Parameter fixiert werden soll, der anstatt in Radiant im Bereich 0 bis 1 definiert wird.
U-Parameter 0 bis 1 | Bestimmt, ob der 'U'-Parameter fixiert werden soll, der anstatt in Radiant im Bereich 0 bis 1 definiert wird, wenn der Ursprung der Rotationsfläche ein Bogen ist.
Grundfläche zeigen | Bestimmt, ob die nicht beschnittene Fläche angezeigt wird oder nicht.

Definieren von Beschnittkurven

Beschnittkurven können auf zwei Arten definiert werden:

  • Mit Hilfe dreidimensionaler Koordinaten im Modellraum (die Koordinaten, in denen die Fläche definiert ist): Diese werden als 'C'-Beschnittkurven bezeichnet, da jede Koordinate zur Positionierung im Modellraum drei Werte benötigt (1,2,3; A,B,C). Die Kurve muss per Definition so festgelegt sein, dass sie geometrisch mit der Fläche übereinstimmt. Das heißt, dass die Kurve auf der Fläche liegen muss. Eine schlecht definierte 'C'-Beschnittkurve kann diese Regel verletzen.

  • Durch Definition der Kurvenposition mit Hilfe von relativen Positionen auf der Fläche: Diese Kurven werden als 'B'-Beschnittkurven bezeichnet, da jede Koordinate zur Positionierung im Modellraum zwei Werte benötigt. Angenommen, die parametrische Position (0,0) einer rechteckigen Fläche liegt in einer Ecke und (1,1) in der gegenüberliegenden Ecke. In diesem Fall könnte jede Position auf der Fläche durch 2-Werte-Paare zwischen diesen beiden Extremen dargestellt werden. Die parametrische Position (0.5,0.5) liegt in der Mitte der Fläche. Die parametrisch definierte Kurve wird mit Hilfe dieser Punkte im zweidimensionalen Parameterraum dargestellt. Die Kurve muss per Definition so festgelegt sein, dass sie nicht aus dem Parameterraum der Fläche, auf der sie liegt, hinausreicht. Eine schlecht definierte Beschnittkurve kann diese Regel jedoch verletzen.

Beispiel für das Anzeigen des Beschnitts

IGES-Datei mit aktiviertem Kontrollkästchen Beschnitt zeigen

Beispiel für das Ausblenden des Beschnitts

Wenn Sie das Kontrollkästchen Beschnitt zeigen bei Verwendung einer IGES-Datei wie unter "Beispiel für das Anzeigen des Beschnitts" weiter oben beschrieben deaktivieren, erhalten Sie ein leeres Modell. Dies ist der Fall, da diese spezielle IGES-Datei nur beschnittene Flächen enthält. Wenn Sie jedoch das Kontrollkästchen Beschnitt zeigen deaktivieren und das Kontrollkästchen Grundfläche zeigen aktivieren, wird folgendes angezeigt:

IGES-Datei mit deaktiviertem Kontrollkästchen Beschnitt zeigen

Beachten Sie, dass alle Löcher in der Fläche verschwunden sind und die Außenränder der Flächen nicht beschnitten sind.


Ändern der Anzeige exportierter CAD-Bilder

Im Dialogfeld IGES-Schreibvorgang einrichten können Sie bestimmen, wie das IGES/DMIS-Bild angezeigt wird.

Dialogfeld "IGES-SCHREIBVORGANG EINRICHTEN"

So greifen Sie auf dieses Dialogfeld zu und ändern, wie das IGES/DMIS-Bild angezeigt wird:

  1. Beginnen Sie mit dem Exportieren der CAD-Datei. ( Informationen hierzu finden Sie unter "Exportieren einer IGES-Datei".)

  2. Wenn das Dialogfeld IGES-Datei angezeigt wird, klicken Sie auf die Schaltfläche Einricht..

  3. Aktivieren Sie im Dialogfeld IGES-Schreibvorgang einrichten die Kontrollkästchen der gewünschten Optionen.

  4. Klicken Sie auf OK.

PC-DMIS zeichnet das ausgewählte CAD-Bild mit den angeforderten Elementen.

Siehe auch:

Verfügbare Ausgabeoptionen


Verfügbare Ausgabeoptionen

Die verschiedenen Ausgabeoptionen steuern, wie die IGES-Elemente exportiert werden.

Flächen als Rotationsflächen – Durch die Aktivierung dieses Kontrollkästchens werden Kegel, Zylinder und Kugeln als Rotationsflächen-Elemente exportiert.

Flächen als Bögen – Durch die Aktivierung dieses Kontrollkästchens werden Kegel, Zylinder und Kugeln als Bögen exportiert. Ein Kegel wird mit einem Kreis als Grundfläche und einem Punkt an der Spitze exportiert. Ein Zylinder wird als zwei Kreise exportiert: ein Kreis oben und ein Kreis unten am Zylinder. Eine Kugel wird mit einem Kreis an ihrem Äquator exportiert.

Flächen als Rotationsflächen und Flächen als Bögen – Sie können auch beide Kontrollkästchen gleichzeitig auswählen. In diesem Fall exportiert PC-DMIS Kegel, Zylinder und Kugeln als Rotationsoberflächen und als Bögen. Wenn beide Kontrollkästchen deaktiviert sind, werden Kegel, Zylinder und Kugeln nicht exportiert.

Scans als Volldatenform 2 – Dieses Kontrollkästchen veranlasst, dass Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist Punkte ohne Vektoren.

Scans als Volldatenform 3 – Dieses Kontrollkästchen veranlasst, dass Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist Punkte mit Vektoren. Die unterschiedlichen Formen steuern das Format des Volldatenelements.

Scans als Volldatenform 12 – Dieses Kontrollkästchen veranlasst, dass Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist stückweise lineare Kurve ohne Vektoren. Die unterschiedlichen Formen steuern das Format des Volldatenelements.

Scans als Volldatenform 13 – Dieses Kontrollkästchen veranlasst, dass Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist stückweise lineare Kurve mit Vektoren. Die unterschiedlichen Formen steuern das Format des Volldatenelements.

Scans als Einzelpunkte – Dieses Kontrollkästchen veranlasst, dass Scans als mehrere Einzelpunktelemente exportiert werden.

Scans als Volldaten und Scans als Einzelpunkte – Sie können auch beide Kontrollkästchen gleichzeitig auswählen. Dann exportiert PC-DMIS Scans als Volldaten und als Punkte. Wenn Sie beide Kontrollkästchen deaktivieren, exportiert PC-DMIS keine Scans.


Importoptionen einstellen

Sie können auf einfache Weise Importoptionen einstellen, um Standardfarben für bestimmte Import-Elementtypen festzulegen, und um zu bestimmen, auf welche Art und Weise importierte Kurven angezeigt werden.

Menü-Übersicht anzeigen Zur Durchführung dieser Manipulationen wählen Sie die Menüoption Bearbeiten | Einstellungen | Import-Optionen aus. Daraufhin wird das Dialogfeld Import-Optionen angezeigt.

Dialogfeld "Import-Optionen"

Dieses Dialogfeld enthält sowohl den Bereich Standard-Farben als auch einige Kontrollkästchen.

Standard-Farben

In diesem Bereich können Sie die Standardfarben für die importierten Elementtypen Punkt, Kurve, Fläche und Bezug ändern. Wenn für den Elementtyp nicht bereits eine Farbe definiert wurde, wird diese Standardfarbe verwendet. Klicken Sie zum Ändern der Farbe auf eine Schaltfläche in diesem Bereich. Es erscheint das Standard-Dialogfeld Farbe, in dem Sie eine neue Farbe auswählen können.

Dialogfeld "Farbe"

Beim Import des nächsten Elements wird PC-DMIS die neu definierte Farbe verwenden.

Kontrollkästchen

Polylinien in Punkte umwandeln - Normalerweise erscheinen Kurvenelemente beim Import als individuelle Kurven. In der Realität jedoch ist jede Kurve eigentlich eine Polylinie, d.h., sie besteht aus mehreren Geraden, die durch eine Reihe von Punkten verbunden sind. Durch Auswahl dieses Kontrollkästchens erscheint das importierte Polylinien-Kurven-Element als eine Reihe von Punkten, wobei für jeden Eckpunkt der Polylinie ein Punkt gezeichnet wird. Wird dieses Kontrollkästchen nicht aktiviert, erscheinen die importierten Kurven normal.

Poly.-Linien beibehalten - Durch Auswahl dieses Kontrollkästchens wird mit der Anzeige des Bildes der Original-Polylinien zusammen mit den Punkten fortgefahren, wenn Sie das Kontrollkästchen Polylinien in Punkte umwandeln auswählen Bleibt das Kontrollkästchen deaktiviert, wird nur die Punktreihe angezeigt.

PC-DMIS wird diese Einstellungen dann auf alle zukünftigen Importvorgänge anwenden.


Beispiel der Ausführungsfarben im Befehlsmodus

Beispiel der Farben, die im Befehlsmodus während der Ausführung mit einem Haltepunkt verwendet werden.

Beispiel der Ausführungsfarben im Übersichtsmodus

Beispiel der Farben, die im Übersichtsmodus während der Ausführung mit einem Haltepunkt verwendet werden.

Ausführen von Werkstückprogrammen

Mit Hilfe von PC-DMIS können Sie ein Werkstückprogramm auf einfache Weise vollständig oder teilweise ausführen. In diesem Abschnitt wird beschrieben, wie Werkstückprogramme vollständig oder teilweise ausgeführt werden. Außerdem wird erläutert, wie Sie das Dialogfeld Ausführungsoptionen einsetzen können, um Werkstückprogramme auszuführen und wie Sie die Größe des Dialogfelds verändern können.

Wenn Sie die komplette oder teilweise Ausführung eines Werkstückprogramms durch Auswahl von Datei | Ausführen oder eines Menüeintrags aus dem Untermenü Datei | Teilw. Ausführung auswählen, und im Werkstückprogramm keine Haltepunkte vorhanden sind, zeigt PC-DMIS eine andere Bildschirmdarstellung, genannt Ausführungs-Layout. Das Bearbeitungsfenster wird ausgeblendet und die Grafikanzeige wird vergrößert, um eine vollständigere Ansicht des Werkstücks zu zeigen. Außerdem wird das Taster-Ergebnisanzeigefenster eingeblendet. Sie können während der Ausführung bestimmen, welches Fenster angezeigt werden soll, indem Sie die Ausführung unterbrechen und ein Fenster ein- bzw. ausblenden. Nachfolgende Ausführungen verwenden dann das aktualisierte Ausführungs-Layout.

Nach beendigter Ausführung kehrt die Bildschirmdarstellung wieder in ihren Ursprungszustand zurück Jedes Fenster, dass während der Lernzeit ein- oder ausgeblendet wird, wird Teil des Lernzeit-Layouts.

Hinweis: Wenn das Programm Haltepunkte verwendet und sich das Bearbeitungsfenster im Befehlsmodus befindet, und Sie die Ausführung auswählen, fährt PC-DMIS mit der Darstellung des Bearbeitungsfensters während der Ausführung fort, markiert aber die aktuellen, auszuführenden Befehle mit der Farbe rot. Befindet sich das Bearbeitungsfenster im Übersichtsmodus,, und ist ein Haltepunkt eingefügt, dann zeigt PC-DMIS eine grüne Markierung im Bearbeitungsfenster für bereits ausgeführte Befehle an. Elemente, die noch gemessen werden sollen, erscheinen in gelb und Elemente, die gerade gemessen werden, in blau. Nicht-ausgeführte Befehle werden in orange angezeigt.

Siehe auch:

Ausführen

Element ausführen

Ausführen ab

Ausführen ab Cursor

Block ausführen

Ausführen ab Startpunkt

Verwenden des Dialogfelds "Ausführungsoptionen"


Ausführen

Zum Ausführen aller markierten Befehle des gesamten Werkstückprogramms wählen Sie die Option Datei | Ausführen.


Element ausführen

Zum Ausführen eines einzelnen Elements, auf das der Cursor gerade zeigt, wählen Sie die Option Datei | Teilw. Ausführung | Element ausführen.

Ausführungsoptionen (Dialogfeld)

Daraufhin wird das Dialogfeld Ausführungsoptionen angezeigt. Wenn der manuelle Modus gewählt ist (Modus = MANUELL), fordert PC-DMIS Sie zur Aufnahme der benötigten Messpunkte auf. Wenn der CNC-Modus (Modus = CNC) gewählt ist, bewegt PC-DMIS den Taster automatisch anhand der im Dialogfeld festgelegten Parameter.


Ausführen ab

Um eine zuvor abgebrochene Ausführung fortzusetzen, verwenden Sie die Menüoption Datei | Teilw. Ausführung | Ausführen ab. Dieser Befehl führt das Element bis zum Ende des Werkstückprogramms aus. Diese Menüoption ist nur verfügbar, wenn Sie einen zuvor ausgeführten Befehl im Dialogfeld Ausführungsoptionen abgebrochen haben.

Beispiel: Angenommen, Sie klicken während der Programmausführung beim Messen des Elements KREIS1 auf die Schaltfläche Abbrechen. Nun wird die Menüoption Ausführen ab verfügbar, so dass Sie mit der Prüfung des Werkstücks ab KREIS1 fortfahren können.


Ausführen ab Cursor

Um das Werkstückprogramm ab der aktuellen Position des Cursors auszuführen, wählen Sie den Menübefehl Ausführen ab Cursor. Das Werkstückprogramm wird ab der aktuellen Position des Cursors ausgeführt.


Block ausführen

Um einen Befehlsblock auszuführen, markieren Sie die gewünschten Befehle und wählen Sie den Menübefehl Datei | Teilw. Ausführung | Block ausführen, während die Befehle weiterhin markiert sind. PC-DMIS führt nur den ausgewählten Befehlsblock aus.


Ausführen ab Startpunkt'

Hierzu setzen Sie zuerst den Anfangspunkt, indem Sie während des Befehlsmodus mit der rechten Maustaste in das Bearbeitungsfenster klicken und im Kontextmenü die Option Start Punkt einfügen auswählen. Dann wählen Sie den Menübefehl Ausführen ab Startpunkt.

Wichtig: Beachten Sie bitte, dass, wenn die aktuelle Tastspitze für diese Position im Programm nicht mit der aktuellen Ausrichtung des Tastkopfes übereinstimmt, PC-DMIS den obenstehenden Tastspitzenbefehl nicht ausführen wird, um die Tastspitzenausrichtung zu ändern.


Ausführung in beliebiger Reihenfolge

In Version PC-DMIS 4.0 und höher können Sie manuell gemessene Werkstückprogramm-Elemente in beliebiger Reihenfolge ausführen. Dies ist bei tragbaren Arm-Maschinen sinnvoll.

Diese Funktionsweise wird dann möglich, wenn die folgenden Bedingungen erfüllt sind:

  • Diese Funktion wird nur bei Elementen angewendet, die mit manuellen Messpunkten gemessen werden.

  • Die Werkstückprogramme dürfen keine Verzweigungen oder Schleifen aufweisen.

  • Die in beliebiger Reihenfolge zu messenden Elemente müssen dieselbe Ausrichtung und denselben Taster wie das ursprünglich zu messende Element verwenden (es wird nicht über die Befehle TASTERLADEN oder AUSRICHTUNG hinaus gesucht).

  • Ausführung in beliebiger Reihenfolge wird bei Elementen, die nach einer abgeschlossenen Ausrichtung gemessen wurden, angewandt. Die ursprüngliche Ausrichtung muss unter Einhaltung der Reihenfolge gemessen werden.

Funktionsweise:

Bei der Ausführung des Werkstückprogramms werden Sie von PC-DMIS dazu aufgefordert, den ersten Messpunkt auf dem ersten Element aufzunehmen. Sie können den ersten Messpunkt auf Wunsch auch auf einem anderen Element aufnehmen. In diesem Fall achtet PC-DMIS darauf, ob dieser Messpunktwert innerhalb der erwarteten Toleranz liegt. Wenn der Messpunkt außerhalb des Toleranzbereichs (normalerweise 10 mm) für das Element liegt, durchsucht PC-DMIS das Werkstückprogramm vorwärts und rückwärts nach dem nächstmöglichen Element, dessen Anfangsmesspunkt mit dem von Ihnen aufgenommenen Messpunkt übereinstimmt.

Wenn Sie einen Messpunkt aufnehmen, der keinem Toleranzbereich der Elemente im gesamten Werkstückprogramm entspricht, gibt der Arm ein Tonsignal, woraufhin PC-DMIS den Messpunkt ignoriert. Eine Fehlermeldung erscheint auch im Dialogfeld Ausführungsoptionen. Nehmen Sie zum fortfahren einfach einen anderen Messpunkt auf, der näher an einem Element des Werkstückprogramms liegt.

Wenn PC-DMIS das entsprechende Element gefunden hat, wird der erste Messpunkt in das Element eingegeben. Der Pfeil, der die Stelle angibt, an der der nächste Messpunkt aufgenommen werden soll, wird dann zum neuen Element verschoben. PC-DMIS überprüft nur die Toleranz des ersten Messpunkts des Elements. Von da an wird angenommen, dass Sie mit der Aufnahme von Messpunkten fortfahren, bis die Messung des Elements abgeschlossen ist.

Nachdem die Messung eines Elements in einer anderen Reihenfolge abgeschlossen wurde, versucht PC-DMIS, zur ursprünglichen Reihenfolge zurückzukehren. PC-DMIS wird Sie weiterhin nach jeder außerordentlichen Messung auffordern, das ursprüngliche Element zu messen, bis Sie entweder das ursprüngliche Element überspringen oder es messen. PC-DMIS behält die außerordentlich gemessenen Elemente, damit sie nicht nochmal gemessen werden, wenn PC-DMIS wieder die normale Ausführungsreihenfolge aufnimmt.

Wenn Sie ein Element neu messen, berechnet PC-DMIS alles, was das Element bis zur aktuellen Ausführungsstelle verwendet, neu.


Verwenden des Dialogfelds "Ausführungsoptionen"

Alle Ausführungsoperationen beginnen mit dem Einblenden des Dialogfelds Ausführungsoptionen.

Ausführungsoptionen (Dialogfeld)

PC-DMIS führt dann alle markierten Befehle des aktuellen Werkstückprogramms aus.

  • Im manuellen Modus fordert PC-DMIS Sie auf, die Messpunkte aufzunehmen.

  • Im CNC-Modus beginnt PC-DMIS automatisch mit dem Messvorgang.

Siehe auch:

KMG-Fehler

KMG-Befehle

Fortfahren

Anhalten

Messpunkt löschen

Überspringen

Nächster Schritt

Springen

Manuelle Steuerung der Messung eines Elements

Größe des Dialogfelds "Ausführungsoptionen" ändern


KMG-Fehler

In der Liste KMG-Fehler werden alle Fehler angezeigt, die unter Umständen während der Ausführung des Werkstückprogramms aufgetreten sind. Mögliche Fehler sind unerwartete vom Taster erfasste Messpunkte oder ein unerwartetes Ende der Bewegung. Sie können die Fehler anzeigen, indem Sie auf den Dropdown-Pfeil klicken.


KMG-Befehle

In der Liste KMG-Befehle werden alle Bewegungen und Messpunkte für das aktuelle Element (oder das zu messende Element) angezeigt. Diese Informationen sind nur verfügbar, wenn das Programm während der Ausführung durch einen Fehler oder durch den Bediener angehalten wird. Die Ausführung des Werkstückprogramms kann fortgesetzt werden, indem der gewünschte Messpunkt (oder die gewünschte Bewegung) im Listenfeld KMG-Befehle hervorgehoben und auf die Schaltfläche Fortfahren geklickt wird.

Beispiel: Wurde beispielsweise ein Sicherheitsebenenbewegungsbefehl mit einem falschen X-, Y- oder Z-Wert programmiert, tritt während der Ausführung dieser Bewegung wahrscheinlich ein Bewegungsfehler auf. So fahren Sie fort:
Durchsuchen Sie die Dropdown-Liste KMG-Befehle nach unten.
Wählen Sie den auf die unzulässige Bewegung folgenden Befehl.
Klicken Sie auf die Schaltfläche Fortfahren.


Fortfahren

Mit dem Befehl Fortfahren können Sie die Ausführung eines Werkstückprogramms, das durch einen KMG-Bewegungsfehler oder über die Schaltfläche Anhalten angehalten wurde, wieder fortsetzen. In PC-DMIS können Sie die betreffende Position innerhalb des aktuellen Elements auswählen, ab der der Taster die Werkstückmessung wiederaufnehmen soll. Die Standardposition wird in der Liste KMG-Befehle angezeigt. Um eine andere Position auszuwählen, klicken Sie auf den Pfeil des Dropdown-Menüs und wählen die gewünschte Zeile aus. PC-DMIS setzt den Messvorgang an der angezeigten Position fort, wenn auf die Schaltfläche Fortfahren betätigt wird.


Anhalten

Mit der Befehlsschaltfläche Anhalten wird der Taster an seiner aktuellen Position angehalten und die Ausführung des Werkstückprogramms unterbrochen.

Hinweis: Durch diese Option wird die Ausführung des Werkstückprogramms nicht angehalten, wenn die aktuelle Bewegung eine DSE-Ausrichtungsänderung ist. Das Programm wird erst nach Abschluss der DSE-Bewegung angehalten.

Unter "Manuelle Steuerung der Messung eines Elements" wird beschrieben, wie Sie mit Hilfe von Anhalten während der Ausführung in den manuellen Modus wechseln können.


Messpunkt löschen

Um den derzeit in der Liste KMG-Befehle hervorgehobenen Messpunkt zu entfernen, klicken Sie im Dialogfeld Ausführungsoptionen einfach auf die Schaltfläche Pkt löschen.

Den meisten KMG-Jogboxen ist eine Taste zum Löschen des letzten Messpunktes zugewiesen. Wenn Sie im Ausführungsmodus auf diese Taste der KMG-Jogbox drücken, geschieht dasselbe wie beim Klicken auf die Schaltfläche Pkt löschen im Dialogfeld.


Überspringen

Mit dem Befehl Überspringen wird der nächste Befehl in der Liste KMG-Befehle übersprungen. Alle von diesem übersprungenen Befehl abhängigen Befehle werden ebenfalls übersprungen.


Nächster Schritt

Die Befehlsschaltfläche Nächster Schritt setzt den Messvorgang schrittweise fort und legt dabei nach jedem ausgeführten Schritt eines Befehls, der eine Bewegung des KMGs bewirkt, eine Pause ein. Im Schrittmodus können Sie Messpunkte in Elemente einfügen oder neue Elemente zwischen bestehenden Elementen oder Befehlen einfügen. Wenn Sie ein neues Element einfügen, wird ein Dialogfeld angezeigt, mit dessen Hilfe Sie:

  • zu dem HIT/BASIC-Befehl des neuen Elements springen können.

  • das neue Element neu messen können oder

  • fortfahren können, das Werkstückprogramm schrittweise zu durchlaufen und dabei das neue Element komplett zu ignorieren.

Der Schrittmodus kann auch offline simuliert werden.

Nächster Schritt wird im Dialogfeld angezeigt, wenn PC-DMIS die Ausführung an einem Haltepunkt anhält. (Informationen zu Haltepunkten finden Sie unter "Verwenden von Halte- bzw. Unterbrechungspunkten" im Abschnitt "Bearbeiten eines Werkstückprogramms").


Springen

Bei Wahl der Schaltfläche Springen wird die Ausführung automatisch angehalten (bei Verwendung einer CNC-Maschine) und das Dialogfeld Zur Elementliste springen angezeigt. Durch Auswahl des nächsten auszuführenden Elements in dieser Liste weichen Sie je nach Bedarf vom automatisch erzeugten Ausführungspfad ab.

Dialogfeld "Zur Elementliste springen"

Dialogfeld "Zur Elementliste springen"

Nachdem Sie ein Element aus der Liste ausgewählt haben, klicken Sie auf OK. PC-DMIS wird das ausgewählte Element ausführen. Nachdem dieser Vorgang beendet ist, wird PC-DMIS zum vordefinierten Pfad zurückkehren, und versuchen, das Nächste, noch nicht gemessene Element auszuführen, bis Sie nochmals auf Springen klicken und ein neues Element auswählen.


Manuelle Steuerung der Messung eines Elements

So steuern Sie die Messung eines Elements manuell:

  1. Klicken Sie im Dialogfeld Ausführungsoptionen auf die Befehlsschaltfläche Anhalten.

  2. Klicken Sie auf das Symbol Manueller Modus. PC-DMIS lässt Sie nun den Messvorgang am aktuellen Messpunkt steuern. (Weitere Informationen finden Sie unter "Fortfahren".)

Nachdem das aktuelle Element im MANUELLEN Modus gemessen wurde, versetzt PC-DMIS das System automatisch wieder in den CNC-Modus und setzt die Messung des Werkstücks unter Computer-Steuerung fort. Sie können jederzeit durch Anklicken des Symbols CNC-Modus wieder in den CNC-Modus zurückkehren.

PC-DMIS ersetzt jedoch keine der ursprünglichen Messpunkte durch die neuen Messpunkte. Änderungen an Messwerten müssen im Bearbeitungsfenster vorgenommen werden.

Hinweis: Bei einigen autom. Elementen wird am Ende von manuellen Messungen gefragt, ob die neue Position des Elements als Ziel für zukünftige Ausführungen des Werkstückprogramms gespeichert werden soll. Wird daraufhin als Antwort auf Ja geklickt, wird die derzeit gemessene Position als das neue Ziel gespeichert.


Größe des Dialogfelds "Ausführungsoptionen" ändern

Die Größe des Dialogfeldes Ausführungsoptionen kann geändert werden. Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf den äußeren Rand des Dialogfelds. Anstelle des Pfeilsymbols erscheint nun ein Doppelpfeilsymbol.

  2. Halten Sie die linke Maustaste gedrückt.

  3. Während Sie die linke Maustaste gedrückt halten, ziehen Sie den Cursor an die gewünschte Stelle.

  4. Lassen Sie die Maustaste wieder los.

Das Dialogfeld hat nun eine andere Größe. Diese Funktion ist nützlich, wenn Ausführungsdaten aus größerer Entfernung gelesen werden müssen.


Voreinstellungen

Voreinstellungen: Einführung

Hinweis zum Speichern der Einstellungen mehrerer Benutzer

Auswählen der PC-DMIS-Setup-Optionen

Setup-Optionen: Registerkarte "Allgemein"

Warnmeldungen

Kennwort

Kontrollkästchen auf der Registerkarte "Allgemein"

Taste "Ende" drücken

Automatische Speicherung der Datei

Nennwertsuche

Nur-Punkt-Modus

Nur Kantenpunkt-Modus

Bewegungsfehler ignorieren

DSE für Tastkopf automatisch einstellen

CAD zu Werkstück ignorieren

Globale Einstellungen beim Verzweigen zurücksetzen

Elemente in Arbeitsebene verschieben

Erweiterte Blechoptionen einblenden

Festgesetzte Dialogfeldpositionen

Markierungsgruppen sperren

Größe automatisch anpassen

Messpunkt-Abweichungen einblenden

Bei runden Elementen Kreisbewegungen verwenden

Stärke für Nur-Punkt-Modus-Punkte

Feineinstellung der Ausrichtung zulassen

Für Elemente die CAD-IDs benutzen

Nennwerte während der Ausführung suchen

Auto. Fortfahren bei erfolgloser Bohrungssuche

Startdialogfeld einblenden

Etiketten autom. positionieren

Taster im Programmiermodus animieren

Symbol in Textfeldern einblenden

CAD bei 3D-Rotation durchstoßen

Werkstückprogramm bei jeder Ausführung speichern

DMIS-Schaltfläche im Bearbeitungsfenster verwenden

Flächen-Scans behalten das letzte Inkrement bei

Buchstaben für Automobil-Abweichungen verwenden

Nennwert suchen und ändern bei Scans

NUR Prioritäts-Flächen für die Nennwertsuche bei Scans verwenden

Ebenenumriss anzeigen

Nennwerte so behandeln, als wären sie in Werkstückkoordinaten gespeichert

Variablen Global Sichtbar machen

Werkstückausrichtung in Karosserie zwingen

Bearbeitungsfelder auf der Registerkarte "Allgemein"

Setup-Optionen: Registerkarte "Werkstück/Maschine"

Einbaulage des Tastkopfes

FLY-Modus

Delta-Mindestwert für DSE-Drehung

Tasterrückzug (mm oder Zoll)

Absolute Geschwindigkeit anzeigen

Höchstgeschwindigkeit (mm/Sek.)

CAD X+ Achse=

CAD Y+ Achse=

CAD Z+ Achse=

X-Versatz

Y-Versatz

Z-Versatz

Schaltfläche "Anpassen"

Schaltfläche "Übernehmen"

Schaltfläche "Auto. Position"

Sicherheitsebene für Messplatte

Schaltfläche "Standard"

Setup-Optionen: Registerkarte "Merkmal"

Auto Merkmal-Einstellung

Statistik immer in Datei speichern

Datenbank immer aktualisieren

Elemente in Merkmalsfarben

Minus-Tol. negativ anzeigen

Anzahl der Dezimalstellen

Positives Protokollieren

Standardtoleranzen: Standardwerte setzen

Standardtoleranzen: 0-5 Stellen

CAD-Nominalstellen =

Winkelgrade anzeigen

Winkelgrade

Schaltfläche "Standard" auf der Registerkarte "Merkmal"

Setup-Optionen: Registerkarte "ID-Setup"

Beschriftung für

Beschriftungsmethode

Anfangsbuchstaben

Anfangsnummer

Länge der Beschriftung

Klammern für Element-Arrays anzeigen

Übernehmen

Standardeinstellungen

Setup-Optionen: Registerkarte "NC-100-Setup"

NC-100-Optiksensor verwenden

TCP/IP-Adresse

Anschlussnummer

Computername

Ändern der Protokoll- und Bewegungsparameter

Parametereinstellungen: Registerkarte "Merkmal"

Ausgabeformat Merkmal

Merkmalstext

Merkmalsoptionen

Merkmalüberschriften

Abweichungssymbole

Standardabweichung

132-Spaltenausdruck

Parametereinstellungen: Registerkarte "Sicherheitsebene"

Aktive Ebene

Durchgangsebene

Sicherheitsebene aktiv

Sicherheitsebenen: Wichtige Hinweise

Parametereinstellungen: Registerkarte "Kompensation"

Aktueller Taster

Aktuelle Tastspitze

Tasterkompensation

Polarvektorkompensation

Taster in Garage Nr.

Parametereinstellungen: Registerkarte "Bewegung"

Vorhalteabstand

Rückfahrweg

Prüfabstand

Prüfprozentsatz

Bewegungsgeschwindigkeit %

Messgeschwindigkeit %

Klemmwert

Scangeschwindigkeit %

Parametereinstellungen: Registerkarte "Drehtisch"

Drehtischwinkel

Drehrichtung

Tisch drehen

Parametereinstellungen: Registerkarte "Beschleunigung"

KMG-Beschleunigung

Parametereinstellungen: Registerkarte "Optionaler Taster"

Max. Kraft

Niedrige Kraft

Hohe Kraft

Auslöser-Kraft

Anzahl Rückmeldungen

Rückfahrgeschwindigkeit

Positioniergenauigkeit

Tastgenauigkeit

Tastmodus

Manuelles analoges Messen

Punktdichte

Versatzkraft

Beschleunigung

Parametereinstellungen: Registerkarte "Taster-Trigger Optionen"

Bereich "Autom. Auslöser"

Bereich "Stützebene als autom. Auslöser"

Bereich "Triggertoleranz bei manuellen Punkten"

Parametereinstellungen: Registerkarte "NC-100-Parameter"

Zunahme

Versatz

ROI-Oben

ROI-Unten

ROI-Breite

Y-Nullpunkt

Y-Endpunkt

Langes Segment

X-Segment

Y-Segment

Optik einrichten

Parametereinstellungen: Registerkarte "I/O-Kanäle"

Kanal

Optionen zum Setzen und Rücksetzen

Einrichten des Bearbeitungsfensters

Definieren der Farben im Bearbeitungsfenster

So können Sie die verwendeten Textfarben ändern:

So können Sie die verwendeten Hintergrundfarben ändern:

So exportieren Sie ein Farbschema:

So importieren und verwenden Sie ein Farbschema:

Definieren des Layouts des Bearbeitungsfensters

Anzeigeoptionen für den Befehlsmodus

Einrichten des Ergebnisanzeigefensters

Anzeige in Maschinenkoordinaten

Tasterposition

Letzter Messpunkt

Aktuelle Tasterposition auf dem Bildschirm einblenden

Abstand zum Ziel

Abstand zum Ziel mit Auto-Zoom

Fehler des zuletzt gemessenen Elements anzeigen

Polare Koordinaten verwenden

Sichtfeldmitte (FOV) immer verfolgen

Zeigt Historie

Einrichten von Mehrarmsystemen

Definieren des Drehtisches

Drehtisch kalibrieren

Einrastbaren Drehtisch kalibrieren

Stufenlos verstellbaren Drehtisch kalibrieren

Einrichten der Tasterwechsler-Optionen

Typ

Aktueller Tasterwechsler

Anzahl der Tasterwechsler

Tasterwechslertyp

Kopplungsgeschwindigkeit

Kommunikation

Kalibrieren

Aktueller Tasterwechsler

Aktuelle Tasterdatei

Aktuelle Tastspitze

Volles Einmessen

Partielles Einmessen

Einzelne Garage Einmessen

Kalibrieren

Anfahrpunkt

Aktueller Tasterwechsler

DSE-Winkel für Tastkopf

Maschinen-Position

Tastergaragen

So definieren Sie die Tasterkonfiguration für jede Tastergarage

Manuelle Bearbeitung der Garagendaten

So setzen Sie einen bereits definierten Taster auf die Standardeinstellung "Kein Taster" zurück

Tastergaragen im Dialogfeld hinzufügen oder entfernen

Einen Taster ablegen ohne einen neuen Taster aufzunehmen

Laden des aktuellen Tasters

Einrichten der KMG-Schnittstelle

Die Werkseinstellungen der Steuereinheit wiederherstellen

Erzeugen einer Debug-Datei

Erzeugen einer neuen Debug-Datei

Temperaturkompensation

STP-Dateien verwenden

Lineare und Strukturelle Temperaturkompensation

Verfügbare Eingabeparameter

Sensorennummern-Felder

Materialkoeffizient-Felder

Aktuelle Temp.-Felder

Vorherige Temp.-Felder

Bezugstemp.-Felder

Felder "Oberer Grenzwert"

Felder "Unterer Grenzwert"

Nullpunkt-Felder

Temperaturen in Celsius einblenden

Temperaturkompensation aktiviert

Kompensationsmethode

Verbleibende Zeit

Verzögerung vor Lesen der Werkstücktemperatur

Auf Standardeinstellungen zurücksetzen

Aktuelle Temperaturen lesen

TEMPKOMP-Befehl im Bearbeitungsfenster

Unterstützung der Steuereinheit

Angeben externer Verzeichnisse für die Suche

Suchen nach

Aktuelles Verzeichnis durchsuchen

Aktuelles Verzeichnis zuerst durchsuchen

Angegebenes Verzeichnis durchsuchen

Schaltfläche "Suchen"

Ändern der OpenGL-Optionen

Desktop-Einstellungen

Optionen

Doppelpufferung

Z-Puffertiefe

Farbtiefe

Mosaik

Importoptionen einstellen


Voreinstellungen: Einführung

PC-DMIS ermöglicht Ihnen das Festlegen eigener Voreinstellungen, durch die Form und Funktionsweise von PC-DMIS Ihren speziellen Anforderungen angepasst wird. In diesem Abschnitt erfahren Sie, wie Sie das Ausgabeformat, die Bildschirmanzeige und andere Optionen steuern können.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Auswählen der PC-DMIS-Setup-Optionen

  • Ändern der Protokoll- und Bewegungsparameter

  • Einrichten des Bearbeitungsfensters

  • Einrichten des Ergebnisanzeigefensters

  • Einrichten von Mehrarmsystemen

  • Definieren des Drehtisches

  • Einrichten der Tasterwechsler-Optionen

  • Laden des aktuellen Tasters

  • Einrichten der KMG-Schnittstelle

  • Temperaturkompensation

  • Angeben externer Verzeichnisse für die Suche

  • Ändern der OpenGL-Optionen

In den nächsten Absätzen werden die verschiedenen Systemoptionen und ihre Funktionen beschrieben.

Siehe auch:

Hinweis zum Speichern der Einstellungen mehrerer Benutzer

Wechseln zwischen Maschinenprofilen


Hinweis zum Speichern der Einstellungen mehrerer Benutzer

Alle Änderungen an den Einstellungen, den Parametern oder an der Benutzeroberfläche von PC-DMIS werden nun für jeden Benutzer separat gespeichert. Dieser Vorgang wird mit Hilfe der Windows NT/Windows 2000-Benutzerberechtigungen intern gesteuert. Wenn Sie sich mit Ihrem Benutzernamen beim Betriebssystem anmelden, werden Ihre Einstellungen automatisch geladen. Ihre Einstellungen sind im Installationsverzeichnis von PC-DMIS in einem entsprechend benannten Unterverzeichnis gespeichert.


Wechseln zwischen Maschinenprofilen

Achtung: Ihre Anschlusssperre muss mit der Option IP Measure programmiert worden sein, damit die Menüeinträge Maschinenprofil speichern und Maschinenprofil zurückrufen erscheinen.

Mit diesen beiden Menüeinträgen können Sie auf einfache Weise bei der Erstellung von Werkstückprogrammen im Offline-Betrieb zwischen Maschinenprofilen wechseln.

Bearbeiten | Einstellungen | Maschinenprofil speichern - Dieser Menüeintrag zeigt ein Dialogfeld Speichern unter an, das nach einem Dateinamen fragt und alle aktuellen Einstellungen für die virtuelle Maschine in einer Datei mit der Dateinamen-Erweiterung "mpl" aufzeichnet. PC-DMIS speichert folgende Angaben in der Datei, die später abgerufen werden können:

  • Geladenes KMG-Modell

  • Geladenes Tasterwechsler-Modell

  • Drehtisch-Einstellungen

  • Fixierungsausrichtung des Tasters

  • Standard-Tasterkomponente beim Start (PH10, CW43 etc.)

  • Aktuelle Tasterdatei

  • Jede "eingestellte" Aufspannungs-Komponente

  • Die Einstellungen zur KMG-Geschwindigkeit und deren Beschränkungen

Bearbeiten | Einstellungen | Maschinenprofil zurückrufen - Über diesen Menüeintrag können Sie die KMG-Einstellungen, die in einer .mpl-Datei gespeichert wurden, wiederherstellen. PC-DMIS zeigt ein Dialogfeld Öffnen an. Nachdem Sie die zu öffnende Datei ausgewählt haben, stellt PC-DMIS die Einstellungen wieder her.


Auswählen der PC-DMIS-Setup-Optionen

Wählen Sie die Menüoption Bearbeiten | Einstellungen | Einrichten, um das Dialogfeld Setup-Optionen aufzurufen. Hier können Sie die Form und Funktion von PC-DMIS verändern. Klicken Sie einfach auf die entsprechende Registerkarte. Folgende Registerkarten sind verfügbar:

Siehe auch:

Setup-Optionen: Registerkarte "Allgemein"

Setup-Optionen: Registerkarte "Werkstück/Maschine"

Setup-Optionen: Registerkarte "Merkmal"

Setup-Optionen: Registerkarte "ID-Setup"

Setup-Optionen: Registerkarte "NC-100-Setup"


Setup-Optionen: Registerkarte "Allgemein"

Dialogfeld "Setup-Optionen" - Registerkarte "Allgemein"

Sie können auf die Option Allgemein zugreifen, indem Sie im Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten) auf die gleichnamige Registerkarte klicken. Hier können Sie eine Reihe von Funktionen zur Steuerung des Messvorgangs einstellen.

Siehe auch:

Bearbeitungsfelder auf der Registerkarte "Allgemein"

Kontrollkästchen auf der Registerkarte "Allgemein"

Warnmeldungen

Kennwort


Bearbeitungsfelder auf der Registerkarte "Allgemein"

Über die Bearbeitungsfelder auf der Registerkarte Allgemein können Sie folgende Optionen bearbeiten:

Maßstab

Die Option Maßstab vergrößert oder verkleinert die Messdaten um den jeweils angegebenen Faktor. Wenn ein Kreis mit einen Durchmesser von 1,0 cm gemessen wird, und der Maßstab 0,95 beträgt, dann wird als gemessener Wert 0,95 cm zurückgemeldet.

Zeit zwischen autom. Speichern (in Min)

Im Feld Zeit zwischen autom. Speichern (in Min.) können Sie angeben, in welchen Zeitabständen (in Minuten) PC-DMIS das Werkstückprogramm automatisch speichern soll. Der zulässige Mindestwert für dieses Feld lautet eins (1). Das Feld Zeit zwischen autom. Speichern (in Min.) ist nur dann verfügbar, wenn Sie das Kontrollkästchen Automatische Speicherung der Datei markiert haben.

Toleranz für Nennwertsuche

Dieses Feld ist nur dann verfügbar, wenn Sie das Kontrollkästchen Nennwertsuche markiert haben. Informationen hierzu finden Sie unter "Nennwertsuche".

Im Feld Toleranz für Nennwertsuche können Sie die Toleranzwerte angeben, die PC-DMIS bei der Suche nach Nennwerten verwenden soll. Der Standardwert ist 10 mm.

Wenn Sie diesen Wert zum ersten Mal festlegen und auf OK klicken (und bei jeder Durchführung eines Nennwertsuchvorgangs im Lernmodus) überprüft PC-DMIS den Wert am Radius der aktuellen Tastspitze. Wenn dieser Wert kleiner ist als der Radius der Tastspitze, wird PC-DMIS ihn auf die Länge des Durchmessers der aktuellen Tastspitze ändern.

Abweichungstoleranz einblenden

Im Feld Abweichungstoleranz einblenden können Sie die Toleranzwerte angeben, die PC-DMIS bei der Anzeige von Messpunktabweichungen verwenden soll. Diese Option ist nur verfügbar, wenn Sie das Kontrollkästchen Messpunkt-Abweichungen einblenden markiert haben.

Multiplikator für Abweichungspfeil

Die Option Multiplikator für Abweichungspfeil ist nur verfügbar, wenn Sie das Kontrollkästchen Messpunkt-Abweichungen einblenden markiert haben. Im Grafikfenster wird ein Pfeil eingeblendet, der jeden aufgenommenen Messpunkt markiert und die Abweichung angibt. Je größer der Wert, der in dieses Feld eingegeben wird, desto größer der Pfeil.

Toleranz bei Ausführung in beliebiger Reihenfolge:

Im Feld Toleranz bei Ausführung in beliebiger Reihenfolge: können Sie den Toleranzbereich definieren, in der sich der Messpunkt befinden muss, damit PC-DMIS das Werksktückprogramm in beliebiger Reihenfolge ausführen kann.

Wenn der Anfangsmesspunkt außerhalb des Toleranzbereichs für das Element liegt, durchsucht PC-DMIS das Werkstückprogramm vorwärts und rückwärts nach dem nächstmöglichen Element, dessen Anfangsmesspunkt mit dem von Ihnen aufgenommenen Messpunkt übereinstimmt. Siehe auch Ausführung in beliebiger Reihenfolge im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".

Stärke

Die Option Stärke wird in Verbindung mit dem Kontrollkästchen Stärke für Nur-Punkt-Modus-Punkte eingesetzt. Ist das Kontrollkästchen Stärke für Nur-Punkt-Modus-Punkte markiert, wird die in diesem Feld eingegebene Stärke auf jeden Punkt angewendet, der im Nur-Punkt-Modus erstellt wird.

Weitere Informationen finden Sie unter "Nur-Punkt-Modus" und "Stärke für Nur-Punkt-Modus-Punkte".

Toleranz für Nennwertsuche bei Ausführung

Durch Aktivieren des Kontrollkästchens Toleranz für Nennwertsuche bei Ausführung ist es möglich, den Toleranzwert einzugeben, den PC-DMIS bei der Suche nach Nennwerten während der Werkstückprogrammausführung verwenden soll.

Dieses Kontrollkästchen ist nur verfügbar, wenn das Kontrollkästchen Nennwerte während der Ausführung suchen aktiviert ist.

Siehe "Nennwerte während der Ausführung suchen".

Auto Kreispunkte

Mit Hilfe des Feldes Auto Kreispunkte können Sie einen Standardwert für die Anzahl der Messpunkte angeben, die PC-DMIS aufnehmen soll, während es unter Verwendung von CAD-Daten Kreise erlernt. Hier muss ein Mindestwert von drei eingegeben werden. Dieser Parameter ändert nur die Einstellung für Kreise, die noch programmiert werden sollen, jedoch nicht für bereits programmierte Kreise.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoKreisMesspunkte= [Anzahl der Messpunkte]. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Auto Geradenpunkte

Mit Hilfe des Feldes Auto Geradenpunkte können Sie einen Standardwert für die Anzahl der Messpunkte angeben, die PC-DMIS aufnehmen soll, während es unter Verwendung von CAD-Daten Kreise erlernt. Hier muss ein Mindestwert von zwei eingegeben werden. Dieser Parameter ändert nur die Einstellung für Geraden, die noch programmiert werden sollen, jedoch nicht für bereits programmierte Geraden.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoGeradeMesspunkte= [Anzahl der Messpunkte]. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Punkte in U

Die Option Punkte in U gibt die Mindestanzahl der Zeilen vor, die während des Scans aufgenommen werden müssen.

Hinweis: Diese Scanoption ist nur bei gleichzeitiger Verwendung mit den Optionen "Kurven" und "Flächen" aktiv.

Punkte in V

Die Option Punkte in V gibt die Mindestanzahl der Messpunkte pro Zeile an, die während des Scans aufgenommen werden müssen.

Hinweis: Diese Scanoption ist nur bei gleichzeitiger Verwendung mit den Optionen "Kurven" und "Flächen" aktiv.


Warnmeldungen

Über die Schaltfläche Warnmeldungen wird das Dialogfeld Anzeigeoptionen für Warnmeldungen aufgerufen.

Dialogfeld "Anzeigeoptionen für Warnmeldungen"

In diesem Dialogfeld können Sie PC-DMIS anweisen, Warnmeldungen, die Sie bereits ausgeschaltet haben, nochmals anzuzeigen. Sie können außerdem die Standardaktionen für ausgeschaltete Warnmeldungen ändern. Standardmäßig ist dieses Dialogfeld leer. Wenn eine Warnmeldung erscheint, bietet PC-DMIS Ihnen die Möglichkeit, selbst zu entscheiden, ob diese nochmals eingeblendet werden soll oder nicht. Wenn Sie diese Warnmeldung nicht noch einmal erhalten möchten, wird sie in diesem Dialogfeld nicht mehr erscheinen.

So gehen Sie vor, wenn Warnmeldungen wieder angezeigt werden sollen:

  1. Öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten). Menü-Übersicht anzeigen

  2. Öffnen Sie die Registerkarte Allgemein.

  3. Klicken Sie auf die Schaltfläche Warnmeldungen. Es erscheint das Dialogfeld Anzeigeoptionen für Warnmeldungen. Die zuvor von Ihnen ausgeschalteten Warnmeldungen werden nun wieder eingeblendet.

  4. Wählen Sie die Warnmeldung im Dialogfeld aus.

  5. Deaktivieren Sie das Kontrollkästchen.

  6. Klicken Sie auf OK. Die Warnmeldung wird aus dem Dialogfeld entfernt und kann von nun an wieder empfangen werden.

Mit Hilfe der Schaltfläche Ausw. aufheben werden alle Einträge in den Kontrollkästchen dieses Dialogfelds gelöscht, wobei PC-DMIS wieder zum Standardmodus zurückkehrt und alle Warnmeldungen angezeigt werden.

So ändern Sie die Standardaktion für eine Warnmeldung:

  1. Stellen Sie sicher, dass das Kontrollkästchen Nicht wieder fragen aktiviert ist, wenn die Warnmeldung erscheint. Dadurch werden Sie zum Dialogfeld Anzeigeoptionen für Warnmeldungen geleitet.

  2. Öffnen Sie das Dialogfeld Setup-Optionen.

  3. Öffnen Sie die Registerkarte Allgemein.

  4. Klicken Sie auf die Schaltfläche Warnmeldungen. Es erscheint das Dialogfeld Anzeigeoptionen für Warnmeldungen. Alle Warnmeldungen, die nicht angezeigt werden sollen, sind nun eingeblendet.

  5. Doppelklicken Sie auf die Warnmeldung, deren Standardaktion geändert werden soll. PC-DMIS zeigt die Warnmeldung an und gibt Ihnen die Möglichkeit, die neue Standardaktion auswählen.

  6. Wählen Sie die neue Standardaktion. Die Liste wird nun mit der neuen Aktion aktualisiert.

  7. Klicken Sie auf OK, um Ihre Einstellung zu speichern.


Kennwort

Mit der Schaltfläche Kennwort können Sie den Zugriff auf das Dialogfeld Setup-Optionen mit einem Kennwortschutz belegen.

So schützen Sie Ihre Setup-Optionen mit einem Kennwort:

  1. Öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten). Menü-Übersicht anzeigen

  2. Öffnen Sie die Registerkarte Allgemein.

  3. Klicken Sie auf die Schaltfläche Kennwort.... Es erscheint das Dialogfeld Kennwort-Optionen.

    Dialogfeld "Kennwort-Optionen"

  4. Geben Sie in das Feld Neu - Kennwort das gewünschte Kennwort ein.

  5. Geben Sie in das Feld Eingabe wiederholen dasselbe Kennwort erneut ein, um Ihre Eingabe zu bestätigen.

  6. Markieren Sie das Kontrollkästchen Kennwort verwenden.

  7. Klicken Sie auf OK.

Wenn Sie das nächste Mal das Dialogfeld Setup-Optionen öffnen, werden Sie zur Eingabe des Kennworts aufgefordert, bevor Sie fortfahren können.

Wird auf diese Aufforderung hin auf Abbrechen geklickt, können die derzeit ausgewählten Optionen angezeigt, jedoch nicht geändert werden.


Kontrollkästchen auf der Registerkarte "Allgemein"

Mit Hilfe der Kontrollkästchen in diesem Bereich des Dialogfelds können Sie zahlreiche verschiedene Optionen ein- und ausschalten. Das ist sehr nützlich, da Sie damit die Art und Weise, wie PC-DMIS abläuft, ganz individuell an Ihre Erfordernisse anpassen können.

Siehe auch:

Taste "Ende" drücken

Automatische Speicherung der Datei

Nennwertsuche

Nur-Punkt-Modus

Nur-Kantenpunkt-Modus

Bewegungsfehler ignorieren

DSE für Tastkopf automatisch einstellen

CAD zu Werkstück ignorieren

Globale Einstellungen beim Verzweigen zurücksetzen

Element auf Bezugsebene verlagern

Erweiterte Blechoptionen einblenden

Feste Dialogfeldpositionen

Markierungsgruppen sperren

Größe automatisch anpassen

Messpunkt-Abweichungen einblenden

Bei runden Elementen Kreisbewegungen verwenden

Stärke für Nur-Punkt-Modus-Punkte

Feineinstellung der Ausrichtung zulassen

Die durch CAD bereitgestellten IDs für Elemente verwenden

Nennwerte während der Ausführung suchen

Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen.

Startdialogfeld einblenden

Etiketten autom. positionieren

Taster im Programmiermodus animieren

Symbol in Textfeldern einblenden

CAD bei 3D-Rotation durchstoßen

Werkstückprogramm bei jeder Ausführung speichern

DMIS-Schaltfläche im Bearbeitungsfenster verwenden

Flächen-Scans behalten das letzte Inkrement bei

Buchstaben für Automobil-Abweichungen verwenden

Nennwert suchen und ändern bei Scans

NUR Prioritäts-Flächen für die Nennwertsuche bei Scans verwenden

Ebenenumriss anzeigen

Nennwerte so behandeln, als wären sie in Werkstückkoordinaten gespeichert

Variablen Global Sichtbar machen

Werkstückausrichtung in Karosserie zwingen


"Ende-Taste" drücken

Über das Kontrollkästchen Ende-Taste wird angegeben, ob PC-DMIS auf ihre Eingabe über die ENDE-Taste warten soll oder nicht, bevor der zuletzt aufgenommene Messpunkt akzeptiert wird. Mit der Aktivierung dieses Kontrollkästchens erhalten Sie eine Voransicht des letzten Messpunkts, bevor Sie ihn akzeptieren. Wird dieses Kontrollkästchen nicht aktiviert, wird der aktuelle Messpunkt, den Sie mit der Jogbox aufgenommen haben, nicht im Messpunktepuffer gespeichert, sondern automatisch als letzter Messpunkt für das Element geführt, selbst wenn der Messpunkt an der falschen Stelle aufgenommen wurde.


Automatische Speicherung der Datei

Wenn die Option Automatische Speicherung der Datei aktiviert ist, können Sie das Werkstückprogramm automatisch in bestimmten voreinstellbaren Zeitintervallen speichern. Wenn dieses Kontrollkästchen markiert ist, wird das Programm jede Minute gespeichert (dies ist die Standardeinstellung). Dieses Intervall kann jedoch leicht durch Eingabe eines anderen Werts in das Feld Zeit zwischen autom Speichern (in Min.) geändert werden.

PC-DMIS legt die automatisch gespeicherte Datei unter dem Namen "AutoSave-Kopie von", gefolgt vom Originaldateinamen, ab. Diese Kopie kann genau wie eine reguläre Werkstückprogrammdatei geöffnet werden, sollte die Originaldatei aus irgendeinem Grund beschädigt worden sein. Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: Autom.Speichern = 0 oder 1.

Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Nennwertsuche

Über das Kontrollkästchen Nennwerte wird gesteuert, wie PC-DMIS Messpunkte handhabt. Ist es markiert, berücksichtigt PC-DMIS automatisch jede Tasterberührung und sucht nach dem nächstgelegenen CAD-Nennwert für diesen Punkt. Es erfasst dann so lange Messpunkte, bis die Taste ENDE gedrückt wird. Anschließend wird der Elementtyp berechnet und die CAD-Nennwerte werden übernommen.

Wenn Sie das Kontrollkästchen aktivieren, wird das Feld Toleranz für Nennwertsuche verfügbar. Informationen hierzu finden Sie unter "Toleranz für Nennwertsuche".


Nur-Punkt-Modus

Über das Kontrollkästchen Nur-Punkt-Modus wird gesteuert, wie PC-DMIS auf jeden der vom Taster erfassten Messpunkte reagiert. Ist es markiert, behandelt PC-DMIS jeden vom Taster erfassten Messpunkt als Einzelpunktmessung und erstellt einen Auto-Vektorpunkt. Ist das Kästchen nicht markiert, erfasst PC-DMIS so lange Messpunkte, bis die Taste ENDE gedrückt wird. Erst dann wird der Typ des soeben gemessenen Elements bestimmt.

Wenn dieses Kontrollkästchen ausgewählt ist, steht das Kontrollkästchen Stärke für Nur-Punkt-Modus-Punkte zur Verfügung. Siehe "Stärke für Nur-Punkt-Modus-Punkte".


Nur Kantenpunkt-Modus

Über das Kontrollkästchen Nur Kantenpunkt Modus wird gesteuert, wie PC-DMIS auf jeden Tastermesspunktsatz reagiert. Hierbei wird ein Satz als zwei einzelne Tastermesspunkte definiert. Der erste Messpunkt sollte immer auf der Oberfläche aufgenommen werden. Der zweite Messpunkt sollte immer auf der Kante aufgenommen werden. Ist dieses Kontrollkästchen markiert, behandelt PC-DMIS automatisch jeden Satz Tastermesspunkte als Einzelpunktmessung und erstellt automatisch einen Auto-Kantenpunkt. Ist das Kontrollkästchen nicht markiert, erfasst PC-DMIS so lange Messpunkte, bis die Taste ENDE gedrückt wird. Erst dann wird der Typ des soeben gemessenen Elements bestimmt.

PD-DMIS verwendet zur Erstellung des Kantenpunkts jene Optionen, die im Bereich Messpunkte, Auto und Verschiedenes des Dialogfelds Kantenpunkt bei der Erstellung des Kantenpunkts angezeigt werden (Informationen hierzu finden Sie unter "Erstellen eines Auto-Kantenpunkts" im Abschnitt "Erstellen von Auto-Elementen").

CAD-Nennwerte werden übernommen, wenn die Option Nennwerte suchen aktiviert ist.


Bewegungsfehler ignorieren

Diese Option trifft nicht auf alle KMG-Typen zu. Einige KMGs können sie nutzen, während sie auf andere keine Auswirkung hat.

Durch Auswahl des Kontrollkästchens Bewegungsfehler ignorieren wird PC-DMIS angewiesen, Bewegungsfehler zu ignorieren. Wird nach Auswahl dieses Kontrollkästchens auf OK geklickt, wird im Bearbeitungsfenster der Befehl BEWEG_FEHLER_IGNORIEREN/EIN eingefügt. Stößt der Taster bei Antreffen dieses Befehls gegen ein Hindernis, wird er nicht automatisch angehalten. Diese Option ist nützlich bei der Messung von Materialien wie Ton oder Kunststoff, bei denen eine gewisse Flexibilität erforderlich ist.

Wird dieser Befehl im Bearbeitungsfenster auf AUS gesetzt, werden Kollisionsfehler wieder angezeigt.


DSE für Tastkopf automatisch einstellen

Bei markierter Option DSE für Tastkopf automatisch einstellen wählt PC-DMIS während des gesamten Werkstückprogramms für alle nachfolgenden Elemente automatisch für jeden Messpunkt eine Position, die der optimalen Antastrichtung am besten entspricht.

Achtung: Diese DSE-Änderungen gelten nur für Elemente, die nach Auswahl dieses Kontrollkästchens erstellt worden sind. Bereits vor Auswahl dieses Kontrollkästchens existierende Elemente werden ignoriert.

Wenn PC-DMIS kalibrierte Tastspitzen finden kann, die innerhalb jenes Winkeltoleranzbereichs liegen, der auf der Registerkarte Werkstück/Maschine im Feld Delta-Mindeswert für DSE-Drehung vorgegeben wurde, werden diese Tastspitzen anstelle von nicht kalibrierten Tastspitzen verwendet, deren Winkelabweichung geringer ist. (Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte "Werkstück/Maschine".)

Diese Option kann mit Hilfe des Kontrollkästchens Auto DSE auch für einzelne Messpunkte von Auto-Elementen aktiviert werden. (Informationen hierzu finden Sie im Abschnitt "Erstellen von Auto-Elementen".)

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoAnpassenDSE = 0 oder 1. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Hinweis: Beachten Sie bitte, dass bei der PC-DMIS möglicherweise nicht alle Tastspitzen zur Kalibrierung auswählt, wenn Sie die Schaltfläche Verwendete markieren im Dialogfeld Taster-Hilfsprogramme verwenden (siehe auch "Verwendete markieren" unter "Definiren von Hardware"). Menü-Übersicht anzeigen


CAD zu Werkstück ignorieren

Jedesmal, wenn Sie eine Ausrichtung erstellen (gespeichert oder anders), erstellt PC-DMIS zwei Umwandlungsmatrizen.

  • Matrix für Maschinendaten in Werkstückkoordinaten

  • Matrix für CAD-Daten in Werkstückdaten

Maschinendaten in Werkstückkoordinaten: PC-DMIS legt der Berechnung die gemessenen Werte der Eingabeelemente zugrunde, die intern in Maschinenkoordinaten gespeichert sind.

CAD-Daten in Werkstückdaten: PC-DMIS führt die Berechnung unter Beachtung derselben Anleitungen wie bei der Matrix für Maschinendaten in Werkstückdaten durch. Der einzige Unterschied besteht darin, dass in diesem Fall anstatt der gemessenen Werte die theoretischen Werte der Eingabeelemente verwendet werden. Theoretische Werte werden intern in CAD-Koordinaten gespeichert.

Sind keine CAD-Daten verfügbar, stammen theoretische Daten in der Regel von den gemessenen Werten der "erlernten" Elemente. Anhand theoretischer Werte lassen sich nur schwer gleichbleibende Ergebnisse erzielen. Dies kann vorkommen, wenn einige dieser Werte bearbeitet werden und andere wiederum nicht.

Wenn die Option CAD zu Werkstück ignorieren beim Speichern einer Ausrichtung markiert ist, speichert PC-DMIS nur die Ausrichtung von KMG zu Werkstück und erstellt nicht die Umwandlungsmatrix von CAD-Daten in Werkstückdaten. Alle theoretischen Werte sind nun unabhängig voneinander.

In der Regel gilt, dass dieses Kontrollkästchen zu markieren ist, wenn nicht mit CAD-Daten gearbeitet wird.

Auswirkungen auf "CAD gleich Werkstück"

Möglicherweise möchten Sie eine Ausrichtung mit Elementen ausführen, die ohne CAD-Daten im CNC-Modus gemessen wurden. Wenn Sie die Menüoption CAD gleich Werkstück (oder die Schaltfläche CAD = Werkstück) verwenden, sollten Sie das Kontrollkästchen CAD zu Werkstück ignorieren aktivieren, bevor Sie das CAD dem Werkstück gleichsetzen. Weitere Informationen darüber, wie das CAD dem Werkstück gleichgesetzt wird, finden Sie unter "CAD gleich Werkstück" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Theoretische Werte für kopierte Elemente

Wenn Sie dieses Kontrollkästchen deaktivieren und ein Element an eine neue Position im Bearbeitungsfenster kopieren, werden die theoretischen Werte des Elements mit der Ausrichtung an der Ausgangsposition des Elements verknüpft und scheinbar geändert.

Wenn Sie dieses Kontrollkästchen aktivieren und ein Element an eine neue Position im Bearbeitungsfenster kopieren, werden die theoretischen Werte des Elements mit der Ausrichtung an der neuen Position des Elements verknüpft. Sie bleiben scheinbar unverändert.

Siehe "Ändern von Ausrichtungs-Nennwerten" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Globale Einstellungen beim Verzweigen zurücksetzen

Wenn Sie das Kontrollkästchen Globale Einstellungen beim Verzweigen zurücksetzen markieren, setzt PC-DMIS die globalen Werte für Statusbefehle (siehe nachstehende Befehlsliste) nach Antreffen einer Verzweigungsanweisung zurück. (Informationen zum Verzweigen finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".) Alle aufgrund einer Verzweigungsanweisung übersprungenen Statusbefehle werden nicht ausgeführt. Auf diese Weise lassen sich Programmabschnitte überspringen, ohne eine Änderung dieser Einstellungen zu bewirken.

Angenommen, Ihr Werkstückprogramm sieht folgendermaßen aus:

TASTSPITZE /T1A0B0
MEINESPRUNGMARKE=SPRUNGMARKE/

Messungen etc...

TASTSPITZE/T1A90B90
GOTO/MEINESPRUNGMARKE

Wird das Kontrollkästchen markiert,
wird die Ausführung bei MEINESPRUNGMARKE fortgesetzt, wenn PC-DMIS die GOTO-Anweisung liest. Von dort ab startet der Suchlauf, unter Zugrundelegung des ersten vorgefundenen TASTSPITZE/-Befehls: TASTSPITZE/T1A0B0

Wird das Kontrollkästchen nicht markiert,
wird die Ausführung bei MEINESPRUNGMARKE fortgesetzt, wenn PC-DMIS die GOTO-Anweisung liest. Bei Antreffen einer Verzweigungsanweisung werden die globalen Einstellungen nicht zurückgesetzt. Statt dessen wird der zuletzt ausgeführte TASTSPITZE/-Befehl verwendet. TASTSPITZE/T1A90B90

Das Kontrollkästchen ist standardmäßig markiert. In Versionen vor Version 3.25 werden die globalen Werte von Statusbefehlen automatisch zurückgesetzt. Nun bietet PC-DMIS Ihnen die Möglichkeit, diese Option ein- oder auszuschalten.

Befehle, die nach einer Verzweigung zurückgesetzt werden:

  • Start/ausrichten

  • Aufrufen/ausrichten

  • Modus/

  • RMess/

  • Arbeitsebene/

  • Tastspitze/

  • Tasterladen/

  • Rückfahrweg/

  • Prüf/

  • Messgeschw/

  • Beweg_Geschw/

  • Polarvektorkomp/

  • Auto_Auslöser/

  • Auslöserebene/

  • Auslösertoleranz/

  • Optikeinstellung/

  • Anzeigegenauigkeit/

  • Tasterrückzug/

  • Scangeschw/

  • Anfahrweg/

  • Klemmwert/

  • Sicherheitsebene/

  • Format/

  • 132Spalte/

  • Spaltmaß/

  • NurBund//

  • Tasterkomp/

  • Array_Indizes/

  • Fly/

  • PositivesProtokollieren/

  • Beweg_Fehler_ignorieren/


Elemente in Arbeitsebene verschieben

Bei Auswahl der Option Elemente in Arbeitsebene verschieben, projiziert PC-DMIS das gemessene Element automatisch auf die Arbeitsebene. Die Option ist nur verfügbar, wenn Kreise, Ellipsen, Geraden und Punkte gemessen werden.


Erweiterte Blechoptionen einblenden

Bei Auswahl der Option Erweiterte Blechoptionen einblenden zeigt PC-DMIS alle verfügbaren Blechoptionen im Dialogfeld Auto Elemente an. (Informationen zu den verschiedenen erweiterten Blechoptionen finden Sie unter “Erstellen von Auto-Elementen".)

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: ErweiterteBlechEinblenden = 0 oder 1. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Festgesetzte Dialogfeldpositionen

Bei Auswahl der Option Festgesetzte Dialogfeldpositionen zeigt PC-DMIS die Dialogfelder in ihren Standardpositionen an. Ist die Option nicht ausgewählt, zeigt PC-DMIS jedes Dialogfeld an der Stelle an, an der es stand, als es das letzte Mal positioniert wurde. Diese Option ist ganz besonders nützlich, wenn Sie mit Makros arbeiten.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: FestgesetzteDialogfeldpositionen = 0 oder 1. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Markierungsgruppen sperren

Bei markierter Option Markierungsgruppen sperren hindert PC-DMIS die Benutzer daran, die aktuelle Konfiguration der Markierungsgruppe versehentlich zu löschen oder anderweitig zu ändern. PC-DMIS lässt dann die Ausführung und Aktivierung von Markierungsgruppen zu. Sie müssen dieses Kontrollkästchens deaktivieren, um Elemente in einer Markierungsgruppe hinzuzufügen oder daraus zu entfernen.


Größe automatisch anpassen

Bei Auswahl der Option Größe automatisch anpassen passt PC-DMIS die Bildschirmgröße jedes Mal, wenn ein Element gemessen wird, automatisch an.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: GrößeAutomatischAnpassen = 0 oder 1. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Messpunkt-Abweichungen einblenden

Bei markierter Option Messpunkt-Abweichungen einblenden zeigt PC-DMIS jedes Mal, wenn ein Messpunkt aufgenommen wird, einen Pfeil an, der den Messwert abzüglich der Nennabweichung anzeigt.


Bei runden Elementen Kreisbewegungen verwenden

Wenn das Kontrollkästchen Bei runden Elementen Kreisbewegungen verwenden markiert ist und Sie ein Werkstückprogramm "erlernen", indem Sie Messpunkte am Werkstück aufnehmen, setzt PC-DMIS automatisch Kreisbewegungsbefehle innen in die kreisförmigen Elemente und außen um diese herum. Dies gilt für Kreise, Zylinder, Kegel und Kugeln. Dieser Status ist jedoch nur während des Lernmodus relevant. Wenn die Kreisbewegungsbefehle einmal in den Elementen vorhanden sind, verbleiben sie dort, bis sie direkt vom Benutzer entfernt werden.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: KreisbewegungenVerwenden = 0 oder 1. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Stärke für Nur-Punkt-Modus-Punkte

Wenn Sie dieses Kontrollkästchen markieren, können Sie die Stärkefunktion auf Punkte anwenden, die mit dem Nur-Punkt-Modus erstellt wurden. Wurde dieses Kästchen markiert, steht auch das Feld Stärke im selben Dialogfeld zum Bearbeiten zur Verfügung. Sie können dann einen Wert für die Stärke eingeben und diesen Wert auf Punkte anwenden, die mit dem Nur-Punkt-Modus erstellt wurden.

Weitere Informationen hierzu finden Sie unter "Nur-Punkt-Modus" und "Stärke".


Feineinstellung der Ausrichtung zulassen

Bei jeder Änderung einer Ausrichtung werden Sie von PC-DMIS gefragt, ob die unten stehenden Befehle mit der geänderten Ausrichtung aktualisiert werden sollen. Wenn dieses Kontrollkästchen aktiviert ist und Sie bei der Eingabeaufforderung auf die Schaltfläche NEIN klicken, ändert PC-DMIS, falls erforderlich, die MASCHINE_IN_WERKST-Transformation. Wird das Kontrollkästchen deaktiviert, wird die MASCHINE_IN_WERKST-Transformation nicht geändert.


Für Elemente die CAD-IDs benutzen

Bei Auswahl der Option Für Elemente die CAD IDs benutzen können Sie Element-IDs aus einer CAD-Datei importieren. Bei Auswahl dieser Option gibt PC-DMIS die vorgegebene CAD-ID automatisch in das Dialogfeld Auto Element ein, wenn das CAD-Element mit der linken Maustaste gewählt wird. Wenn Sie den Wert beibehalten, wird dem erstellten Element die vorgegebene ID zugeordnet.


Nennwerte während der Ausführung suchen

Bei Auswahl der Option Nennwerte während der Ausführung suchen werden sowohl für Oberflächen- als auch für Vektorpunkte neue Nennwerte während der Ausführung des Werkstückprogramms gesucht. Schlagen Sie zur Definition der von PC-DMIS verwendeten Toleranzwerte unter Toleranz für Nennwertsuche bei Ausführung nach. Siehe auch Toleranz für Nennwertsuche.


Auto. Fortfahren bei erfolgloser Bohrungssuche

Bei Auswahl der Option Auto. Fortfahren bei erfolgloser Bohrungssuche kann die Ausführung eines Werkstücks automatisch fortgesetzt werden, sollte die Elementsuche bei Auswahl der Option "Elementsuche" im Dialogfeld Auto Element fehlschlagen.

In Vorgängerversionen von PC-DMIS wurden Sie bei Fehlschlagen der Option "Bohrung suchen" (Elementsuche) dazu aufgefordert, den Taster in die Mitte der Bohrung zu platzieren, um die Ausführung des Werkstückprogramms fortzusetzen. Wenn die Option Auto Fortfahren bei erfolgloser Bohrungssuche markiert ist, gibt PC-DMIS jedoch automatisch eine Fehlermeldung ins Protokoll aus und setzt die Ausführung des restlichen Werkstückprogramms fort.

Weitere Informationen zu "Kontrollkästchen "Elementsuche"" im Abschnitt "Erstellen von Auto-Elementen".


Startdialogfeld einblenden

Mit dem Kontrollkästchen Startdialogfeld einblenden können Sie festlegen, ob PC-DMIS bei jedem Start des Programms das Dialogfeld Datei öffnen anzeigen soll. Dieses Dialogfeld zeigt eine Liste verfügbarer Werkstückprogramme, die geöffnet werden können.

Wenn Sie die Auswahl dieses Kontrollkästchens aufheben, deaktiviert PC-DMIS das Dialogfeld "Datei öffnen".

Weitere Informationen zum Dialogfeld Datei öffnen finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Etiketten autom. positionieren

Das Kontrollkästchen Etiketten autom. positionieren weist PC-DMIS an, automatisch Element-Etiketten um das Werkstück herum zu positionieren.


Taster im Programmiermodus animieren

Mit dem Kontrollkästchen Taster im Programmiermodus animieren wird die Tasteranimation im Programmiermodus aktiviert. Bei Auswahl dieses Kontrollkästchens animiert der Taster die Aufnahme von Messpunkten im Grafikfenster, während die Messpunkte vom CAD generiert werden.


Symbol in Textfeldern einblenden

Mit dem Kontrollkästchen Symbol in Textfeldern einblenden können Sie bestimmen, ob Symbole, durch die der Element- oder Merkmalsstyp dargestellt werden, in Textfeldern oder innerhalb von Element-ID-Etiketten angezeigt werden sollen. Es gibt Textfelder für Element-IDs, Merkmal- und Punkt-Infos.

Weiter Informationen zu Textfeldern finden Sie unter "Etikettenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".


CAD bei 3D-Rotation durchstoßen

Mit dem Kontrollkästchen CAD bei 3D-Rotation durchstoßen können Sie den genauen Punkt bestimmen, um den herum PC-DMIS eine 3D-Rotation durchführt, indem Sie einfach mit der rechten Maustaste in das Grafikfenster klicken.

· Wenn Sie dieses Kontrollkästchen aktivieren und durch Klicken der rechten Maustaste im Grafikfenster eine 3D-Rotation durchführen, erfolgt die Rotation um den angeklickten Punkt.

· Wird bei deaktiviertem Kontrollkästchen zur Durchführung einer 3D-Rotation mit der rechten Maustaste geklickt, dann wird das CAD nicht durchstoßen.

Hinweis: Ermittelt PC-DMIS in der Nähe des Mauszeigers jedoch ein Drahtmodellelement oder eine Oberflächenkante, erfolgt die Rotation wie üblich um den Punkt auf dem Element oder der Kante, die am nächsten zum Mauszeiger liegt.

Informationen zur 3D-Rotation finden Sie unter "3D-Rotationsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".


Werkstückprogramm vor dem Ausführen speichern

Werkstückprogramm nach dem Ausführen speichern

Über das Kontrollkästchen Messprogramm vor dem Ausführen speichern wird PC-DMIS angewiesen, das Werkstückprogramm bei jeder Ausführung automatisch zu speichern.


DMIS-Schaltfläche im Bearbeitungsfenster verwenden

Über das Kontrollkästchen DMIS-Schaltfläche anzeigen wird bestimmt, ob das Symbol DMIS-Modus auf der Symbolleiste des Bearbeitungsfensters angezeigt wird oder nicht.


Flächen-Scans behalten das letzte Inkrement bei

Das Kontrollkästchen Flächen-Scans behalten das letzte Inkrement bei erzwingt, dass jede neue Zeile des Flächen-Scans das letzte Inkrement aus der vorhergehenden Zeile verwendet. Deaktivieren Sie dieses Kontrollkästchen, kehrt der Scan zum kleinsten Scan-Inkrement zurück, wenn der erste Messpunkt in einer neuen Zeile aufgenommen wird.


Buchstaben für Automobil-Abweichungen verwenden

Das Kontrollkästchen Buchstaben für Automobil-Abweichungen verwenden bewirkt, dass PC-DMIS einen Buchstaben an die Abweichungsnummer in den Elementprotokollen Lage und Position anhängt. PC-DMIS fügt die folgenden Buchstaben hinzu:

· F, wenn das Element in Richtung Vorderseite des Autos abweicht.

· B, wenn das Element in Richtung Rückseite des Autos abweicht.

· I, wenn das Element in Richtung Mittellinie des Autos abweicht (Auto ist zu schmal).

· O, wenn das Element entgegen der Mittellinie des Autos abweicht (Auto ist zu breit).

· H, wenn das Element in Richtung Oberseite des Autos abweicht.

· L, wenn das Element in Richtung Unterseite des Autos abweicht.

Abbildung der Automobil-Abweichungen

Diese Buchstaben werden bei den Merkmalen "Lage" und "Position" an die protokollierten Abweichungsnummern angehängt.


Nennwert suchen und ändern bei Scans

Durch die Aktivierung des Kontrollkästchens Nennwert suchen und ändern bei Scans können Sie die bei der Suche nach Nennwerten für die Messpunkte eines Scans vorgefundenen Nennwerte während der Ausführung ändern.

Hinweis: Bei der Ausführung muss mindestens einer der gemessenen Nennwerte der Punkte erfolglos gesucht worden sein, damit die gefundenen Nennwerte abgelehnt werden können.

Informationen hierzu finden Sie unter "Ändern gefundener Nennwerte" im Abschnitt "Bearbeiten eines Werkstückprogramms".


NUR Prioritäts-Flächen für die Nennwertsuche bei Scans verwenden

Durch die Aktivierung des Kontrollkästchens Nur Prioritäts-Flächen für die NW-Suche bei Scans wird PC-DMIS (während der Programmausführung) aufgefordert, die Nennwertsuche für die Messpunkte eines Scans nur auf den Prioritäs-Flächen, die im Dialogfeld CAD-Elemente bearbeiten definiert wurden, durchzuführen.

Siehe auch "CAD bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".


Ebenenumriss anzeigen

Mit dem Kontrollkästchen Ebenenumriss anzeigen wird festgelegt, ob PC-DMIS anstelle des üblicherweise verwendeten kleinen Dreiecksymbols die tatsächlichen Ebenenumrisse im Grafikfenster darstellen soll oder nicht.

Wenn Sie dieses Kontrollkästchen aktiviert und drei Punkte zur Bildung einer Ebene gemessen haben, wird beispielsweise die Größe des Dreiecks, das die Ebene symbolisiert, so geändert, dass dessen Spitzen genau auf den gemessenen Punkten liegen.

Beispiel einer erstellten Ebene, angezeigt bei Auswahl dieses Kontrollkästchens

Hinweis: Unabhängig davon, ob Sie dieses Kontrollkästchen aktivieren oder deaktivieren, werden vorhandene Umrisse nicht neu gezeichnet; es gilt nur für Ebenen, die von diesem Punkt an erstellt worden sind. Vorhandene Ebenen müssen manuell geändert werden.

So ändern Sie die Anzeige vorhandener Ebenen:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Versetzen Sie PC-DMIS in den Befehlsmodus.

  3. Wählen Sie die Einstellung für die Ebenenanzeige aus, die geändert werden soll. Beispiel:

EBENE1 = ELEM/EBENE,KART ,DREIECK

  4. Drücken Sie die TABULATORTASTE, bis das Feld DREIECK oder UMRISS hervorgehoben wird.

  5. Schalten Sie mit der Taste F7 oder F8 zwischen den verfügbaren Werten für dieses Feld hin und her.

  • Mit DREIECK wird das kleine symbolische Dreieck für die Ebene angezeigt.

  • Mit UMRISS wird der tatsächliche Umriss der die Ebene bildenden Punkte angezeigt.

  6. 6. Drücken Sie die TABULATORTASTE, um das Ergebnis im Grafikfenster anzuzeigen.


Nennwerte so behandeln, als wären sie in Werkstückkoordinaten gespeichert

Durch die Aktivierung des Kontrollkästchens Nennwerte in WS-Koordinaten speichern, werden theoretische Werte von PC-DMIS so behandelt, als wären sie in den Werkstückkoordinaten gespeichert. Dies ist nur dann hilfreich, wenn Programmablauf-Verzweigungen im Falle geänderter Ausrichtungen ausgeführt werden.

Bei der Ausführung eines Werkstückprogramms erinnert PC-DMIS das KMG, die Werkstückausrichtung zur ursprünglichen Ausrichtung vorzunehmen. Erfolgt allerdings eine Verzweigung zu einer neuen Ausrichtung, ermittelt PC-DMIS den Unterschied zwischen den Ausrichtungen und aktualisiert die Elemente so, dass sie um diesen Versatz verschoben werden.


Variablen Global Sichtbar machen

Wenn ein Unterprogramm aufgerufen wird, geraten alle Variablen normalerweise "außerhalb des Gültigkeitsbereichs" und sind nicht verfügbar. Durch das Kontrollkästchen Variablen Global Sichtbar machen werden alle Variablen während des gesamten Werkstückprogramms global "sichtbar" oder "verwendbar".

Standardmäßig ist dieses Kontrollkästchen nicht markiert, damit Variablen in einem Unterprogramm nicht Daten, die in gleichnamigen Variablen im Haupt-Werkstückprogramm gespeichert sind, ersetzen.

Beispiel:

ZUWEISEN/V1 = 1

C1 = AUFR_UNTERPROG,MEIN_UNTERPROG

.

.

.

UNTERPROGRAMM/MEIN_UNTERPROG

KOMMENTAR/BEDIENER,V1

ENDE_UNTERPROG

Wenn Sie dieses Kontrollkästchen deaktivieren, sind die Variablen nicht global sichtbar. Der BEDIENER-Kommentar zeigt einen Wert von 0 an, da das Unterprogramm nicht im Gültigkeitsbereich von V1 liegt.

Bei Auswahl dieses Kontrollkästchens sind Variablen global sichtbar und der BEDIENER-Kommentar zeigt einen Wert von 1 an, da das Unterprogramm im Gültigkeitsbereich von V1 liegt.

Informationen zu Variablen finden Sie unter "Verwenden von Ausdrücken und Variablen".


Werkstückausrichtung in Karosserie zwingen

Mit dem Kontrollkästchen Werkstückausrichtung in Karosserie zwingen wird die Ausrichtung in eine Karosserie-Ausrichtung gezwungen. Wenn Sie dieses Kontrollkästchen auswählen, unabhängig davon, welche Ausrichtungsmethode Sie wählen, wird die Ausrichtung immer mit der des CAD übereinstimmen. Die Auswahl dieses Kontrollkästchens dient als sekundäre Transformation nach der ursprünglichen Ausrichtung.

Wenn Sie beispielsweise eine Übertragung auf das zentrale Loch auf dem Hexagon Metrology-Prüfblock durchführen und dieses Kontrollkästchen auswählen, wird sich der Ursprung noch immer in der Ecke befinden. Wenn Sie aber dieses Loch protokollieren, wird es dadurch, dass Sie es zur Festlegung des Ursprungs verwendet haben, perfekt sein.

Ausrichtung vor der Verwendung dieses Kontrollkästchens

Ausrichtung nach der Verwendung dieses Kontrollkästchens


Setup-Optionen: Registerkarte "Werkstück/Maschine"

Dialogfeld "Setup-Optionen" - Registerkarte "Werkstück/Maschine"

Auf der Registerkarte Werkstück/Maschine können Sie die Werkstück-Einrichtung auf dem KMG (oder der Maschine) definieren, indem Sie die Relation der CAD-Achsen zu den Maschinenachsen ändern. Sie können auf diese Option zugreifen, indem Sie im Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten) auf die Registerkarte Werkstück/Maschine klicken.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.

Beispiel: Ein Werkstück wird auf der Maschine eingerichtet und seine "X+"-CAD-Achse weist in dieselbe Richtung wie die "Z+"-Achse des KMGs. Die "Z+"-CAD-Achse weist in dieselbe Richtung wie die "X-" -Achse des KMGs. Diese Funktion kann zur Erstellung der korrekten Relationen eingesetzt werden.

Wenn Sie die CAD-Einrichtung an die Einrichtung des Werkstücks anpassen wollen, wählen Sie einfach die entsprechenden Achsen in den Auswahllistenfeldern. Nach Herstellen einer solchen Relation ist es einfacher, das Werkstück zu programmieren, da PC-DMIS den Taster im Verhältnis zum Werkstück richtig anzeigt.

Siehe auch:

Einbaulage des Tastkopfes

FLY-Modus

Delta-Mindestwert für DSE-Drehung

Tasterrückzug (mm oder Zoll)

Absolute Geschwindigkeit anzeigen

Höchstgeschwindigkeit (mm/Sek.)

CAD X+ Achse

CAD Y+ Achse

CAD Z+ Achse

X-Versatz

Y-Versatz

Z-Versatz

Schaltfläche "Anpassen"

Schaltfläche "Übernehmen"

Schaltfläche "Auto. Position"

Sicherheitsebene für Messplatte

Schaltfläche "Standard"


Einbaulage des Tastkopfes

Mit der Schaltfläche Einbaulage des Tastkopfes können Sie die AB-Winkel der Tastkopf-DSE sowohl für den Master- als auch den Slave-Arm konfigurieren.

So konfigurieren Sie die AB-DSE-Winkel für den Master- und Slave-Arm:

  1. Öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten).

  2. Wählen Sie die Registerkarte Werkstück/Maschine.

  3. Klicken Sie auf die Schaltfläche Einbaulage des Tastkopfes. Das Dialogfeld Einbaulage der Tastköpfe erscheint.

  4. Wählen Sie sowohl für den Master- als auch für den Slave-Arm (sofern erforderlich) die entsprechenden Achsen für die AB-Winkel.

  5. Klicken Sie auf OK.


FLY-Modus

Der FLY-Modus ermöglicht eine ununterbrochene, gleichmäßige Bewegung des Tasters um das Werkstück herum. Diese Option steht jedoch erst dann zur Verfügung, wenn ein Bewegungspunkt in das Werkstückprogramm eingefügt wurde. Um einen Bewegungspunkt einzufügen, sollten Sie sich vergewissern, dass das Bearbeitungsfenster aktiv ist, und dann im Hauptmenü die Option Bewegungspunkt auswählen. (Weitere Informationen hierzu finden Sie unter "Einfügen eines Bewegungspunktbefehls" im Abschnitt "Einfügen von Bewegungsbefehlen".) Der Befehl zum Aufruf des FLY-Modus kann nur vor oder nach einem Element in das Werkstückprogramm eingefügt werden.

So arbeiten Sie mit dem FLY-Modus:

  1. Gehen Sie mit dem Cursor zu der Stelle im Bearbeitungsfenster, an der der Befehl FLY stehen soll.

  2. Markieren Sie das Kontrollkästchen Aktiviert [image] .

  3. Geben Sie einen Radiuswert ein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

  5. Der FLY-Modus wird automatisch an der angegebenen Stelle in das aktuelle Werkstückprogramm eingefügt. Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

FLY/TOG1,TOG2

TOG1
Dieses Umschaltfeld kann zwischen EIN und AUS umgeschaltet werden. Lautet die Einstellung EIN, dann wird der Befehl aktiviert. Lautet sie AUS, wird er übersprungen.

TOG2
Dieses Feld gibt den Wert für den Radius an.

Wenn Sie eine ungültige Position angegeben haben, wird Ihnen in einer Meldung mitgeteilt, dass in der aktuellen Zeile nichts eingefügt werden kann. PC-DMIS fragt dann, ob der Befehl an der nächstmöglichen Position eingefügt werden soll.

  • Wenn Sie die Frage mit Ja beantworten, wird der FLY-Befehl im Bearbeitungsfenster an das Ende des aktuellen Elements gesetzt.

  • Wenn Sie die Frage mit Nein beantworten, wird der FLY-Befehl deaktiviert, und Sie kehren zur Registerkarte Werkstück/Maschine zurück.

Bei Ausführung des Werkstückprogramms bewegt PC-DMIS den Taster ohne Verzögerung um eine vorbestimmte Entfernung vom Bewegungspunkt fort. Diese Entfernung, um die der Taster versetzt wird, entspricht dem Wert, der in das Feld Radius eingegeben wurde.


Delta-Mindestwert für DSE-Drehung

Hierbei handelt es sich um einen numerischen Wert, der angibt, um wieviel sich der DSE-Winkel mindestens verändern muss, bevor PC-DMIS Sie auffordert, die aktuelle DSE-Position zu ändern. Dies betrifft nur Benutzer, die ein CNC-KMG mit einem DSE-Gelenk verwenden.


Tasterrückzug (mm oder Zoll)

Diese Option ist nur bei bestimmten CNC-KMG-Typen (wie LK und Mitutoyo) verfügbar.

Im Feld Tasterrückzug (mm oder Zoll) können Sie den Rückfahrweg angeben, den das KMG automatisch zurücklegt, nachdem ein manueller Messpunkt aufgenommen wurde.

Wenn für Tasterrückzug (mm oder Zoll) ein anderer Wert als der Standardwert oder der zuletzt verwendete Wert verwendet wird, fügt PC-DMIS im Bearbeitungsfenster des aktuellen Werkstückprogramms an der Cursorposition einen Rückzugsbefehl ein (der als "TASTERRÜCKZUG/" mit darauffolgendem Wert dargestellt wird). Wenn manuelle Messpunkte aufgenommen werden, wird das KMG um den neuen Wert zurückgefahren, der in diesem Befehl angegeben wird.

Wird der Wert für den Tasterrückzug von der Standardeinstellung 0,1 in 0,003 geändert, erscheint der Befehl "TASTERRÜCKZUG/0,003" im Bearbeitungsfenster.


Absolute Geschwindigkeit anzeigen

Wenn die Option Absol. Geschwind. anzeigen aktiviert ist, zeigt PC-DMIS die Bewegungsgeschwindigkeit als Absolutwert und nicht als Prozentualwert an. Dieser Wert entspricht der für das Werkstückprogramm eingestellten Maßeinheit (Zoll oder Millimeter).


Höchstgeschwindigkeit (mm/Sek.)

Über das Feld Höchstgeschwindigkeit (mm/Sek.) können Sie die Höchstgeschwindigkeit für das KMG einstellen. Der hier angegebene Wert darf die maximale Nenngeschwindigkeit der Maschine nicht übersteigen. Der hier eingestellte Wert wird in Verbindung mit der Option "Bewegungsgeschwindigkeit" eingesetzt.


CAD X+ Achse=

Aus der Dropdown-Liste CAD X+ Achse= können Sie die Relation zwischen der CAD X+-Achse und der Maschinenachse festlegen.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.


CAD Y+ Achse=

Aus der Dropdown-Liste CAD Y+ Achse= können Sie die Relation zwischen der CAD Y+-Achse und der Maschinenachse festlegen.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.


CAD Z+ Achse=

Über die Auswahlliste können Sie die Relation zwischen der CAD Z+-Achse und der Maschinenachse festlegen.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.


X-Versatz

Im Feld X Versatz können Sie festlegen, um welchen Abstand PC-DMIS die CAD-Zeichnung entlang der X-Achse versetzen soll. PC-DMIS versetzt die CAD-Zeichnung auf der X-Achse um den hier angegebenen Wert. Wenn Sie in dieses Feld beispielsweise 0,5 eingeben, wird die gesamte CAD-Anzeige im Grafikfenster um 0,5 in die X-Richtung versetzt.

Hinweis: Alle im Werkstückprogramm erstellten Elemente werden nicht zusammen mit der CAD-Zeichnung auf der Achse versetzt.


Y-Versatz

Im Feld Y Versatz können Sie festlegen, um welchen Abstand PC-DMIS die CAD-Zeichnung entlang der Y-Achse versetzen soll. PC-DMIS versetzt die CAD-Zeichnung auf der Y-Achse um den hier angegebenen Wert. Wenn Sie in dieses Feld beispielsweise 0,5 eingeben, wird die gesamte CAD-Anzeige im Grafikfenster um 0,5 in die Y-Richtung versetzt.

Hinweis: Alle im Werkstückprogramm erstellten Elemente werden nicht zusammen mit der CAD-Zeichnung auf der Achse versetzt.


Z-Versatz

Im Feld Z Versatz können Sie festlegen, um welchen Abstand PC-DMIS die CAD-Zeichnung entlang der Z-Achse versetzen soll. PC-DMIS versetzt die CAD-Zeichnung auf der Z-Achse um den hier angegebenen Wert. Wenn Sie in dieses Feld beispielsweise 0,5 eingeben, wird die gesamte CAD-Anzeige im Grafikfenster um 0,5 in die Z-Richtung versetzt.

Hinweis: Alle im Werkstückprogramm erstellten Elemente werden nicht zusammen mit der CAD-Zeichnung auf der Achse versetzt.


Schaltfläche "Anpassen"

Die Schaltfläche Anpassen öffnet das Dialogfeld Werkstück Lage.

Dialogfeld "Werkstück Lage"

Mit Hilfe dieses Dialogfelds können Sie das CAD in Inkrementen um die XYZ-Achsen des Geräts drehen oder daran entlang verschieben.

  • Wenn Sie das CAD drehen, werden die Werte in Winkelgraden angegeben. Der Wert 360 hat dieselbe Auswirkung wie der Wert 0.

  • Wenn Sie das CAD verschieben, entsprechen die Werte der Maßeinheit des Werkstückprogramms. Der Wert 2 bedeutet in diesem Fall entsprechend der vom Werkstückprogramm verwendeten Maßeinheit entweder 2 Millimeter oder 2 Zoll.

So passen Sie das CAD entlang einer Achse oder um eine Achse herum an:

  1. Klicken Sie auf das entsprechende Feld.

  2. Geben Sie einen neuen Wert ein. PC-DMIS zeigt die Anpassung im Grafikfenster dynamisch an.

  3. Klicken Sie auf OK, um die Werte zu akzeptieren und das Dialogfeld zu schließen.

PC-DMIS behält diese Anpassung bei, es sei denn, Sie importieren das CAD-Modell des Werkstücks neu.


Schaltfläche "Übernehmen"

Bei Wahl der Schaltfläche Übernehmen werden alle Änderungen, die Sie in den Feldern X-, Y- und Z-Versatz gemacht haben, sofort wirksam. Die Zeichnung wird auf der entsprechenden Achse ( bzw. den entsprechenden Achsen ) versetzt, das Dialogfeld bleibt geöffnet.


Schaltfläche "Auto. Position"

Mit Hilfe der Schaltfläche Auto. Position wird das Werkstück in der grafischen Darstellung der Maschine automatisch positioniert. Diese Option schätzt ab, wo das Werkstück in der grafischen Darstellung am besten zu positionieren ist. Sie können es PC-DMIS überlassen, zu bestimmen, wo das Werkstück im Verhältnis zum KMG positioniert werden soll (indem Sie diese Funktion aufrufen), oder Sie können eine eigene Positionsangabe machen, indem Sie die Felder X-, Y- und Z-Versatz ausfüllen. (Weitere Informationen zum Einrichten der grafischen Darstellung des KMG finden Sie unter "Definieren von Maschinen" im Abschnitt "Definieren von Hardware".)


Sicherheitsebene für Messplatte

Anhand des Bereichs Sicherheitsebene für Messplatte der Registerkarte Werkstück/Maschine kann PC-DMIS ersehen, ob der Taster während des CNC-Modus mit dem Tisch (oder der eingestellten Ebene) in Kontakt kommen wird.

Wählen Sie die Schaltfläche Messen. PC-DMIS fordert Sie auf, einen Messpunkt an der Stelle aufzunehmen, an der die Tischoberfläche definiert werden soll. Diese Stelle legt den Schwellenwert für die Z-Achse fest. Das Feld "Toleranz" definiert, relativ zur eingestellten Ebene, eine Lage in der positiven Z-Richtung für positive Werte und eine Lage in der negativen Z-Richtung für negative Werte.

  • Wenn eine Bewegung über die angegebene Toleranz hinausgeht, zeigt PC-DMIS eine Fehlermeldung an, die auf die potentielle Gefahr hinweist.

  • Ist eine Wristdrehung erforderlich, die durch die definierte Zone hindurchgeht, zeigt PC-DMIS eine entsprechende Meldung an, die Sie über den Fehler informiert.

Klicken Sie auf Abbrechen bzw. Fortfahren, um den Vorgang abzubrechen bzw. zu beenden.

Beispiel: Ein Toleranzwert von 0,25 gibt PC-DMIS die Anweisung, den angegebenen Schwellenwert zuzüglich des Toleranzwerts zu vermeiden. Befindet sich die Schwelle auf der Tischoberfläche, gibt PC-DMIS eine Meldung aus, wenn die Tasterspitze auf eine Entfernung von sechs Millimetern (bzw. einem Viertel Zoll, je nach eingestellter Maßeinheit) an den Tisch herankommt.

Hinweis: Die Option "Sicherheitsebene für Messplatte" ist nur in Verbindung mit bestimmten Schnittstellentypen und nur im CNC-Modus verfügbar.


Schaltfläche "Standard"

Über die Schaltfläche Standard können Sie die Standardeinstellungen mehrerer allgemeiner Einrichtungsparameter für das Werkstück/KMG ändern. Beim Erstellen eines neuen Werkstückprogramms werden die Änderungen an den dem Benutzer zugänglichen Parametern nur dann berücksichtigt, wenn vorher die Schaltfläche Standard gewählt wurde. Bei Anklicken von OK (ohne dass die Schaltfläche Standard gewählt wurde) gelten die definierten Parameter nur für das aktive Werkstückprogramm und wirken sich nicht auf die Registrierungseinträge von PC-DMIS aus. Die Standardwerte werden in der Registrierung abgelegt. Diese Parameter können im entsprechenden Dialogfeld oder im PC-DMIS-Einstellungseditor aktualisiert werden. Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Wenn Parameter geändert wurden und auf die Schaltfläche Standard geklickt wird, aktualisiert PC-DMIS die Registrierungsdatei und die neuen Einstellungen werden als Standardwerte übernommen.


 Always Update Database check box Setup Options General Part Machine ID Setup NC-100 Setup Always Save Stats to Fire check box Features Use Dimension Colors Minus Tols Show Negative check box CAD Nominal Places box Number of Decimal Places options 0 to 5 Places Set Defaults check box Positive Reporting area Display Angle Degrees area Angle Degrees area OK button Cancel button Default button Help button

Setup-Optionen: Registerkarte "Merkmal"

Dialogfeld "Setup-Optionen" - Registerkarte "Merkmal"

Auf der Registerkarte Merkmal können Sie die dimensionalen Parameter für den Ausdruck einstellen.

So rufen Sie die Registerkarte Merkmal auf:

  1. Öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten).

  2. Klicken Sie auf die Registerkarte Merkmal.

Siehe auch:

Auto Merkmal-Einstellung

Statistik immer in Datei speichern

Datenbank immer aktualisieren

Elemente in Merkmalsfarben

Minus-Tol. negativ anzeigen

Anzahl der Dezimalstellen

Positives Protokollieren

Standardtoleranzen: Standardwerte setzen

Standardtoleranzen: 0-5 Stellen

CAD-Nominalstellen

Winkelgrade anzeigen

Winkelgrade

Schaltfläche "Standard" auf der Registerkarte "Merkmal"


Auto Merkmal-Einstellung

Durch Auswahl der Option Auto Merkmal-Einstellung wird das Dialogfeld Auto Merkmal geöffnet.

Dialogfeld "Auto Merkmal"

Dialogfeld "Auto Merkmal"

Dieses Dialogfeld bietet verschiedene Optionen, mit denen Sie bestimmen können, ob PC-DMIS direkt nach dem Erstellen von Elementen automatisch Merkmale erzeugt und auf welche Weise diese Merkmale erstellt werden sollen.

Um die automatische Erstellung von Merkmalen zu aktivieren, klicken Sie auf Auto-Formmerkmale und/oder Auto-Lage/Positionsmerkmale. Nachdem Sie auf OK geklickt haben, wird PC-DMIS automatisch mit der Erstellung des ausgewählten Merkmaltyps beginnen, wenn Sie die Elemente erstellen.

In der folgenden Tabelle finden Sie weitere Informationen zu den verfügbaren Optionen:

Dialogfeldoptionen

Beschreibung

Auto-Formmerkmale

Über dieses Kontrollkästchen wird festgelegt, ob PC-DMIS Formmerkmale für Elementtypen, die ein Formmerkmal aufweisen, automatisch erstellen soll oder nicht.

Element | Zugewiesenes Formmerkmal
Kreis | Rundheit
Zylinder | Rundheit
Kegel | Rundheit
Kugel | Rundheit
Ebene | Ebenheit
Gerade | Geradheit

Auto-Lage/Positionsmerkmale

Über dieses Kontrollkästchen wird festgelegt, ob PC-DMIS Lage- oder Positionsmerkmale für Elementtypen, die ein Lage- oder Positionsmerkmal aufweisen, automatisch erstellen soll oder nicht.

Lagemerkmale erstellen

Bei Auswahl von Auto-Lage/Positionsmerkmale wird PC-DMIS durch diese Option angewiesen, solche Merkmale als Lagemerkmale zu erstellen.

Positionsmerkmale erstellen

Bei Auswahl von Auto-Lage/Positionsmerkmale wird PC-DMIS durch diese Option angewiesen, solche Merkmale als Positionsmerkmale zu erstellen.

Auto-Textanalyse EIN

Über das Kontrollkästchen Auto Textanalyse wird gesteuert, ob PC-DMIS automatisch eine Textanalyse des Merkmals erstellt oder nicht. Bei markiertem Kästchen ist die Option aktiviert (eingeschaltet). Siehe auch "Analyse-Einstellungen" unter "Merkmale für Elemente erstellen" und "Analyse" unter "Einfügen von Protokollbefehlen".

Auto-Grafikanalyse EIN

Über das Kontrollkästchen Auto Grafikanalyse wird gesteuert, ob PC-DMIS automatisch eine Grafikanalyse des Merkmals, das mit der Option Auto Merkmale erstellen oder Auto Rundheit erstellt wurde, durchführen soll oder nicht Siehe auch "Analyse-Einstellungen" unter "Merkmale für Elemente erstellen" und "Analyse" unter "Einfügen von Protokollbefehlen".

Auto-Merkmal-Info

Über das Kontrollkästchen Auto-Merkmal-Info wird gesteuert, ob PC-DMIS für ein Merkmal, das mit der Option Auto Merkmale erstellen oder Auto Rundheit erstellt wurde, automatisch das Kontrollkästchen Merkmal Info erstellt. Informationen zum Festlegen der Standardformate für die Merkmal-Info-Felder finden Sie unter "Einfügen von Merkmal-Info-Feldern" im Abschnitt "Einfügen von Protokollbefehlen".

Multiplizieren

Bei dem für Multiplizieren angegebenen Wert handelt es sich um den Skalierungsfaktor, um den der Abweichungspfeil und Toleranzbereich im Grafikanalysemodus vergrößert wird. Wird hier beispielsweise ein Wert von 2,0 eingegeben, vergrößert PC-DMIS den Pfeil auf das Doppelte des Grafikbildes.

Die Größe der Pfeile wird nur für Anzeigezwecke geändert und wirkt sich nicht auf die Abweichungsgröße im ausgedruckten Protokolltext aus.

Hinweis: PC-DMIS erstellt Merkmale entweder als V37-kompatible Merkmale oder als Toleranzrahmen-Merkmale, je nachdem, ob die Menüoption V37 kompatible Merkmale im Untermenü Einfügen | Merkmal markiert wurde oder nicht.


Statistik immer in Datei speichern

Durch Auswahl des Kontrollkästchens Stat. IMMER in Datei speichern können Sie die Aufforderung zum Speichern der Statistikdaten umgehen, wenn die Ausführung eines Werkstückprogramms mit einem gültigen STAT/EIN-Befehl beginnt. Wenn diese Option aktiv (markiert) ist und das Werkstückprogramm zum Zeitpunkt der Ausführung einen STAT/EIN-Befehl enthält, werden die Statistikdaten automatisch in der Datei XSTATS11.tmp gespeichert Weitere Informationen hierzu finden Sie im Abschnitt "Nachverfolgen statistischer Daten".


Datenbank immer aktualisieren

Bei Wahl der Option Datenbank IMMER aktualisieren kann PC-DMIS Ihre statistische Datenbank-Software mit den Informationen in der Datei XSTATS11.tmp aktualisieren, ohne dass jedes Mal, wenn das Werkstückprogramm ausgeführt wird und Statistikdaten erfasst und gespeichert werden, die Aufforderung zur sofortigen Aktualisierung der Datenbank erscheint. Ist diese Option nicht markiert, zeigt PC-DMIS diese Aufforderung jedes Mal an, bevor es die Datenbank-Software aktualisiert Weitere Informationen hierzu finden Sie im Abschnitt "Nachverfolgen statistischer Daten".


Elemente in Merkmalsfarben

Das Kontrollkästchen Elemente in Merkmalfarben weist PC-DMIS an, Elemente, die mit Merkmalen verknüpft sind, farblich zu kennzeichnen. Im Grafikfenster werden Elemente in denselben Farben gezeichnet, die vom dazugehörigen Merkmal dazu verwendet werden, Abweichungen von den theoretischen Werten anzuzeigen.


Minus-Tol. negativ anzeigen

Über das Kontrollkästchen Minus-Tol. negativ anzeigen können Sie festlegen, ob Minus-Toleranzen von Merkmalen mit einem Minuszeichen angezeigt werden sollen. Wenn für das Merkmal beispielsweise 5,0000 +0,3 (obere Toleranz), -0,2 (untere Toleranz) angegeben wird, sieht die Merkmalszeile bei Markierung dieses Kontrollkästchens u. U. wie folgt aus:

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
Y | 5.0000 | 0.3000 | -0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Bei nicht markiertem Kontrollkästchen würde die gleiche Merkmalszeile wie folgt aussehen:

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
Y | 5.0000 | 0.3000 | 0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Diese Kontrollkästchen hat keinen Einfluss darauf, wie Werte gespeichert oder in Berechnungen verwendet werden. Es steuert lediglich die Anzeige von Werten gemäß den Benutzervorgaben. Dieses Kontrollkästchen ist standardmäßig nicht markiert.

Achtung: Auch wenn dieses Kontrollkästchen deaktiviert ist, können Toleranzen immernoch mit einem Minuszeichen angezeigt werden. Unter normalen Umständen stehen die oberen und unteren Grenzwerte auf beiden Seiten des Nennwerts und werden, wenn dieses Kontrollkästchen nicht ausgewählt wird, als positive Werte angezeigt. Wenn beide Grenzwerte jedoch größer als der Nennwert sind - wenn beispielsweise ein oberer Toleranzwert von 0,03 und ein unterer Toleranzwert von -0,02 angezeigt werden bevor dieses Kontrollkästchen verwendet wurde - zeigt der negative Toleranzwert einen positiven Wert an, wenn dieses Kontrollkästchen aktiviert wird.


Anzahl der Dezimalstellen

Über die Option Anzahl der Dezimalstellen wird die Anzahl der Dezimalstellen gesteuert, die PC-DMIS im Prüfprotokoll ausdruckt, wenn das System mit dem englischen Maßsystem (Zoll) arbeitet. Die zulässigen Einstellwerte sind eins bis fünf (1-5). Geben Sie durch Auswahl der gewünschten Option die Anzahl der auszudruckenden Dezimalstellen an.

Bei Einstellung des metrischen Maßsystems (mm) zeigt PC-DMIS null bis vier (0-4) Dezimalstellen als zulässige Einstellwerte an.

Jedes Mal, wenn diese Einstellung in einem Programm geändert wird, fügt PC-DMIS den Befehl ANZEIGEGENAUIGKEIT/ # in das Werkstückprogramm ein. Damit wird die Genauigkeit angegeben, die in diesem Programmsegment angezeigt werden soll. Wenn Sie hier keine Angabe machen, wird automatisch die Standardeinstellung verwendet. Bei Anwendung dieses Befehls bleibt die Genauigkeitseinstellung so lange erhalten, bis sie durch eine weitere Instanz dieses Befehls geändert wird.


Positives Protokollieren

Die zum Bereich Positives Protokollieren gehörenden Kontrollkästchen bieten die Möglichkeit, Elemente links des Nullpunkts, die normalerweise einen negativen Wert hätten, mit positiven Werten auszudrucken.

  • Mit den Kontrollkästchen X, Y und Z wird bestimmt, auf welcher Achse (oder auf welchen Achsen) PC-DMIS positive Zahlen anzeigt.

  • Über die Option Alle Daten wird PC-DMIS angewiesen, die Mess- und Nennwerte der ausgewählten Achse (oder Achsen) als positive Zahlen anzuzeigen.

  • Über die Option Nur Abweichungen wird PC-DMIS angewiesen, nur die Abweichungen der ausgewählten Achse (oder der ausgewählten Achsen) als positive Zahlen anzuzeigen.

Bei Auswahl dieser Kontrollkästchen wird der Befehl POSITIVESPROTOKOLLIEREN an der aktuellen Cursorposition in das Werkstückprogramm eingefügt. Dieser Befehl wird im Bearbeitungsfenster im folgenden Format angezeigt:

POSITIVESPROTOKOLLIEREN/ a, b, c, TOG1

wobei:

a = X, wenn das Kontrollkästchen X gewählt ist, oder leer, wenn das Kontrollkästchens X deaktiviert ist.

b = Y, wenn das Kontrollkästchen Y gewählt ist, oder leer, wenn das Kontrollkästchens Y deaktiviert ist.

c = Z, wenn das Kontrollkästchen Z gewählt ist, oder leer, wenn die Auswahl des Kontrollkästchens Z aufgehoben ist.

TOG1 = ALLE_DATEN oder NUR_ABW, abhängig davon, ob die Option Alle Daten oder Nur Abweichungen markiert wurde.

Für die Richtungen X, Y und Z kann das positive Protokollieren in einer beliebigen Kombination dieser drei Richtungen aktiviert werden. In demselben Werkstückprogramm können mehrere POSITIVESPROTOKOLLIEREN-Befehle verwendet werden. Alle Merkmale im Werkstückprogramm werden mit der Einstellung des POSITIVESPROTOKOLLIEREN-Befehls angezeigt, der vor diesen Merkmalen steht. Ist im Werkstückprogramm kein POSITIVESPROTOKOLLIEREN-Befehl vorhanden, ist diese Option für die Angabe aller Merkmale in den X-, Y- und Z-Richtungen deaktiviert.

Folgendes Diagramm veranschaulicht, wie sich die Optionen für das positive Protokollieren auch auf die Toleranzen auswirken:

Auswirkung des positiven Protokollierens auf Toleranzen

Zweck des positiven Protokollierens

Durch positives Protokollieren lassen sich Elemente auf symmetrische Weise protokollieren. Dies bedeutet, dass, egal auf welcher Seite des Nullpunkts sich das Element befindet, Abweichungen,

  • die vom Nullpunkt entfernt liegen, als positiv angesehen werden.

  • die Richtung Nullpunkt liegen, als negativ angesehen werden.

So zeigen Punkt1 und Punkt2 im Diagramm oben im Falle des positiven Protokollierens positive Abweichungen auf der X-Achse an. Dies bedeuted jedoch auch, dass:

  • Plustoleranzen vom Nullpunkt entfernt übernommen werden.

  • Minustoleranzen in Richtung Nullpunkt übernommen werden.


Standardtoleranzen: Standardwerte setzen

Über das Kontrollkästchen Standardwerte setzen setzen werden die Standardtoleranzen während des Lernmodus eingestellt. Die Einstellung basiert auf der Genauigkeit der Nennwerte. Gegebenenfalls können diese Werte geändert werden. Geben Sie die Toleranzwerte dazu einzeln in das Feld "Seitenansicht" ein. Diese Option wirkt sich nur dann auf die Toleranzwerte aus, wenn der Nennwert eines Merkmals bearbeitet wird.


Standardtoleranzen: 0-5 Stellen

Mit den Feldern des Bereichs Standardtoleranzen können Sie die Toleranzen festlegen, die PC-DMIS auf die Nennwerte anwendet. (Die angezeigte Zahl hat null bis fünf Stellen rechts vom Dezimalzeichen.) Wenn Sie beispielsweise einen Nennwert von 6,250 eingeben, stellt PC-DMIS die Plus- und Minus-Toleranzen im Bereich STANDARDTOLERANZ auf 3 Stellen. Geben Sie dagegen 6,25 ein, würde PC-DMIS die Plus- und Minus-Toleranzen im Bereich STANDARDTOLERANZ auf 2 Stellen einstellen.


CAD-Nominalstellen =

In das Feld CAD-Nominalstellen = können Sie einen numerischen Wert eingeben, der bestimmt, wie viele Dezimalstellen PC-DMIS bei der Verwendung von CAD-Daten berechnen soll, bevor gerundet wird. Ein Beispiel: Wenn ein CAD-Kreis einen Durchmesser von 3,9995 hat und diese Einstellung 3 lautet, rundet PC-DMIS auf 4,000 auf. Diese Option wirkt sich nur auf die Art und Weise aus, wie PC-DMIS CAD-Daten im BLECHMESSMODUS interpretiert. Ist dieser Wert auf 0 gesetzt, findet keine Rundung statt.


Winkelgrade anzeigen

Im Bereich Winkelgrade anzeigen können Sie Winkelmaße in Dezimalgraden oder Grad/Minute/Sekunde anzeigen. Wählen Sie einfach die gewünschte Option aus. Die Anzeige aller Achsen in PA-Lage und Winkelmaße wird der Einstellung entsprechend abgeändert.


Winkelgrade

Im Bereich Winkelgrade können Sie außerdem das Winkelmaß von 0° -360° oder von 0° bis +/- 180° anzeigen. Die Anzeige aller Achsen in PA-Lage und Winkelmaße wird so abgeändert, dass sie in den eingestellten Winkelgradbereich fällt.


Schaltfläche "Standard" auf der Registerkarte "Merkmal"

Über die Schaltfläche Standard können Sie die im Dialogfeld Setup-Optionen vorgenommenen Änderungen auf alle neuen Werkstückprogramme, die später erstellt werden, anwenden.

Außerdem lassen sich über diese Schaltfläche die Standardeinstellungen mehrerer Parameter für die Merkmalseinrichtung ändern. Beim Erstellen eines neuen Werkstückprogramms werden die Änderungen an den dem Benutzer zugänglichen Parametern nur dann berücksichtigt, wenn vorher die Schaltfläche Standard gewählt wurde.

Weitere Informationen zur Schaltfläche Standard finden Sie unter "Standard" im Abschnitt "Navigation durch die Benutzeroberfläche".


 Dimension Part Machine General NC-100 Setup Labels For OK button Cancel button Default button Help button Labeling Method list Starting Letters box Starting Number box Label Length check box Display Brackets for Feature Arrays check box Apply button

Setup-Optionen: Registerkarte "ID-Setup"

Dialogfeld "Setup-Optionen" - Registerkarte "ID-Setup"

Beim Ändern einer ID ist es wichtig, sich die bereits festgelegten IDs zu notieren. Mehrfache Änderungen an dieser Option können zu doppelten IDs führen.

Über die Registerkarte ID-Setup können Sie das Format ändern, das zur Erkennung von Ausrichtungen, Merkmalen, Elementen, Kommentaren, Beschriftungen und Variablen verwendet wird.

So greifen Sie auf diese Option zu:

1. Öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten).

2. Klicken Sie auf die Registerkarte ID-Setup.

Die Standardoption für "ID-Setup" lautet Allgemein. Wenn ein Element erstellt wird, weist PC-DMIS ihm eine ID zu, die mit dem Buchstaben F beginnt, gefolgt von einer Nummer (die ausgehend von Nummer Eins aufsteigend durchnumeriert wird). Sie können diese Einstellung mit Hilfe der folgenden Optionen übergehen:

Siehe auch:

Beschriftung für

Beschriftungsmethode

Anfangsbuchstaben

Anfangsnummer

Länge der Beschriftung

Klammern für Element-Arrays anzeigen

Übernehmen

Standardeinstellungen


Beschriftung für

Im Auswahllistenfeld Beschriftung für können Sie bestimmen, welche Kennungen (IDs) für Ausrichtungen, Merkmale und Elemente verwendet werden sollen (Siehe "Beschriftungsmethode")

Ausrichtungs-IDs

Zur Kennzeichnung von Ausrichtungen steht nur die Methode Allgemein zur Verfügung.

Kommentar-IDs

Zur Kennzeichnung von Kommentaren steht nur die Methode Allgemein zur Verfügung.

Merkmal-IDs

Zur Kennzeichnung von Merkmalen steht entweder die Methode Allgemein oder Nach Typ zur Verfügung. Wird Nach Typ verwendet, können die Kennungen für die einzelnen Merkmalstypen gleich oder, je nach Erfordernis, unterschiedlich gestaltet werden.

Element-IDs

Zur Kennzeichnung von Elementen steht entweder die Methode Allgemein oder Nach Typ zur Verfügung.

Wird Nach Typ gewählt, kann auch die Farbe eingestellt werden, in der die Element-ID angezeigt wird.

Wenn das Kontrollkästchen Alle IDs einblenden aktiviert ist und Sie auf Übernehmen klicken, zeigt PC-DMIS im Grafikfenster die Beschriftung aller Element-IDs für alle Elemente von der aktuellen Cursorposition bis hin zum Ende des Werkstückprogramms an. Auch die ID neu ersteller Elemente wird eingeblendet. Ist das Kontrollkästchen deaktiviert, wenn Sie auf Übernehmen klicken, werden alle Element-IDs von der aktuellen Cursorposition bis hin zum Ende des Werkstückprogramms ausgeblendet. Neu erstellte Elemente werden weiterhin im Bearbeitungsfenster erzeugt, die ID-Beschriftung erscheint jedoch nicht im Grafikfenster.

Wird die Option Farbe gewählt (markiert), wirkt sich diese Einstellung auf alle Elemente aus, die nach Betätigung der Schaltfläche Übernehmen erstellt werden. (Elemente, die vor der Änderung der Farbeinstellung erstellt wurden, sind nicht betroffen.)

Etiketten-IDs

Zur Kennzeichnung von Etiketten steht nur die Methode Allgemein zur Verfügung.

Variablen-IDs

Zur Kennzeichnung von Variablen steht nur die Methode Allgemein zur Verfügung.

IDs für den Aufruf von Unterprogrammen

Zur Kennzeichnung von aufgerufenen Unterprogrammen steht nur die Methode Allgemein zur Verfügung.


Beschriftungsmethode

In dieser Auswahlliste können Sie zwischen dem Kennzeichnungssystem Nach Typ und Allgemein wählen.

Nach Typ

Mit der Option Nach Typ können Sie die Kennung für jeden einzelnen Elementtyp festlegen (Kreis, Kegel, Zylinder, Gerade, Ebene, Punkt, Kugel).

Allgemein

Bei der Option Allgemein wird unabhängig vom Typ des Elements (bzw. des Merkmals) dasselbe Kennzeichnungssystem angewendet.

Es bestehen keine Einschränkungen hinsichtlich der Anzahl von Buchstaben, die zur Kennzeichnung verwendet werden können. Im Grafikfenster und im Editor gibt es jedoch Einschränkungen in Bezug auf die Länge der IDs. Selbst wenn die vollständige ID nicht im Bearbeitungsfenster angezeigt wird, verfolgt PC-DMIS die komplette Kennung intern.


Anfangsbuchstaben

Im Feld Anfangsbuchstaben wird der erste Buchstabe (oder die ersten Buchstaben) angegeben, der(die) für die Kennung verwendet werden soll(en). PC-DMIS zeigt die ID immer in Großbuchstaben an. Sie können bis zu 15 Zeichen eingeben.

Hinweis: In verschiedenen Dialogfeldern, in denen die ID angezeigt wird, können Sie den Standardtext für die ID festlegen, indem Sie nur den Textteil der ID ändern.


Anfangsnummer

Im Feld Anfangsnummer wird festgelegt, welche Zahl als Erste für die Kennung verwendet werden soll. Sie können hier eine beliebige Zahl zwischen 1 und 9999 angeben.

Hinweis: In verschiedenen Dialogfeldern, in denen die ID angezeigt wird, kann der Zähler auf eine beliebige Zahl zurückgesetzt werden, indem Sie nur den numerischen Teil der ID ändern.


Länge der Beschriftung

Mit dem Kontrollkästchen Länge der Beschriftung können Sie die Länge der ID bestimmen. Es können bis zu 15 Stellen eingegeben werden. Das Kontrollkästchen muss markiert sein, andernfalls ist diese Option nicht aktiv. Wird eine Länge eingestellt, füllt PC-DMIS die ID auf die erforderliche Länge auf, indem es Nullen an die Buchstaben anhängt.

Beispiel:
ID-Länge = 10, ID-Buchstaben = KREIS
PC-DMIS generiert die ID = KREIS0001 usw. Dies geschieht allerdings nur, wenn die Länge eingestellt wurde.


Klammern für Element-Arrays anzeigen

Über das Kontrollkästchen Klammern für Element-Arrays anzeigen können Sie festlegen, ob für mehr als einmal ausgeführte Befehle Array-Klammern mit IDs angezeigt werden sollen.

Bei Auswahl dieser Option zeigt das Prüfprotokoll an, auf welche Instanz der Befehlsausführung es sich jeweils bezieht.

Beispiel:
E1[3]=PUNKT GEMESSEN VON 1 MESSPKT

Zeigt an, dass das Element, E1, hier zum dritten Mal (Zahl 3 in Klammern), gemessen wurde.

Das Format des umklammerten Ausdrucks kann über das Array-Indizes-Objekt gesteuert werden. Siehe "Array-Index-Objekt" unter "Verwenden von Ausdrücken und Variablen".


Übernehmen

Über die Schaltfläche Übernehmen werden die unter "Beschriftungsmethode" erläuterten Änderungen für die Element-IDs übernommen. Diese Änderungen gelten nur für die Element-IDs.

Wird die Schaltfläche Übernehmen nicht gewählt, weist PC-DMIS auch weiterhin Element-IDs zu, wobei es nach der zuvor aufgeführten Methode verfährt.

Hinweis: Bei der Zuweisung doppelter IDs wird PC-DMIS Ihnen mitteilen, dass jedes Element, jedes Merkmal etc. eine eindeutige ID haben muss.


Standardeinstellungen

Über die Schaltfläche Standard können Sie die Standardeinstellungen für alle ID-Setup-Parameter ändern. Beim Erstellen eines neuen Werkstückprogramms werden die Änderungen an den Parametern nur dann berücksichtigt, wenn vorher die Schaltfläche Standard gewählt wurde.

Weitere Informationen zur Schaltfläche Standard finden Sie unter "Standard" im Abschnitt "Navigation durch die Benutzeroberfläche".

Hinweis: Wenn Sie Änderungen vorgenommen haben, müssen Sie die Schaltfläche Übernehmen wählen (bevor Sie OK oder Standard anklicken).


Setup-Optionen: Registerkarte "NC-100-Setup"

Dialogfeld "Setup-Optionen" - Registerkarte "NC-100-Setup"

Mit der Registerkarte NC-100-Setup (Bearbeiten | Einstellungen | Einrichten) können Sie den Optiksensor "NC-100" verwenden. Bei Auswahl des Kontrollkästchens NC-100 verwenden werden die Kontrollkästchen TCP/IP-Adresse, Anschlussnummer und Computername verfügbar. Über diese Kontrollkästchen können Sie dem NC-100-Computersystem die gewünschten Kommunikationseinstellungen einrichten. Diese Werte werden in den Registrierungseinstellungen gespeichert und bei jedem Start von PC-DMIS abgerufen. Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Informationen zum Erstellen von automatischen Elementen mit Hilfe des NC-100-Optiksensors finden Sie im Abschnitt "Messen von Auto-Elementen mit dem NC-100-Optiksensor".

Hinweis: Die Registerkarte NC-100-Setup erscheint in PC-DMIS nur, wenn Ihre Anschlusssperre so programmiert ist, dass sie die CMT-Funktionalität akzeptieren kann.

Siehe auch:

NC-100-Optiksensor verwenden

TCP/IP-Adresse

Anschlussnummer

Computername


NC-100-Optiksensor verwenden

Mit dem Kontrollkästchen NC-100 verwenden wird bestimmt, ob PC-DMIS vom NC-100-Videotaster Gebrauch macht. Bei Auswahl dieses Kontrollkästchens geht PC-DMIS davon aus, dass der NC-100-Optiksensor aktiv ist.


TCP/IP-Adresse

Verwenden Sie das Kontrollkästchen TCP/IP-Adresse, um die Adresse für das NC-100-Computersystem einzugeben. Dieser Wert ist für eine Kommunikation zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem erforderlich.


Anschlussnummer

Verwenden Sie das Kontrollkästchen Anschlussnummer, um die Anschlussnummer des NC-100-Computersystems einzugeben. Dieser Wert ist für eine Kommunikation zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem erforderlich.


Computername

Verwenden Sie das Kontrollkästchen Computername, um den Namen des NC-100-Computersystems einzugeben. Dieser Wert ist für eine Kommunikation zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem erforderlich.


Ändern der Protokoll- und Bewegungsparameter

Mit der Menüoption Bearbeiten | Einstellungen | Parameter können Sie Inhalt, Form und Methode der in den Protokollen verwendeten Berechnungen ändern. Außerdem lassen sich damit die KMG-Bewegungsparameter eines CNC-KMGs modifizieren. Durch Auswahl dieser Menüoption wird das Dialogfeld Parametereinstellungen geöffnet.

Sie können jedoch nicht nur auf das Dialogfeld Parametereinstellungen zugreifen, sondern auch die Befehle aus diesem Dialogfeld direkt in das Werkstückprogramm einfügen, indem Sie diese im Untermenü Einfügen | Parameteränderung auswählen.

Im Dialogfeld Parametereinstellungen sind folgende Registerkarten verfügbar:

  • Parametereinstellungen: Registerkarte "Merkmal"

  • Parametereinstellungen: Registerkarte "Sicherheitsebene"

  • Parametereinstellungen: Registerkarte "Kompensation"

  • Parametereinstellungen: Registerkarte "Bewegung"

  • Parametereinstellungen: Registerkarte "Drehtisch"

  • Parametereinstellungen: Registerkarte "Beschleunigung"

  • Parametereinstellungen: Registerkarte "Optionaler Taster"

  • Parametereinstellungen: Registerkarte "Taster-Trigger Optionen"

  • Parametereinstellungen: Registerkarte "NC-100-Parameter"

  • Parametereinstellungen: Registerkarte "I/O-Kanäle"


 Default Output Format area 132 Column Printout Standard Deviation check box Deviation Symbols check box Dimension Headings check box Dmension Options check box OK button Cancel button I/O Channels NC-100 Parameters Probe Trigger Options Opt. Probe ClearPlane Acceleration Probing Motion Dimension Text check box RoTable Apply button Help button Default button Recall button Clear button

Parametereinstellungen: Registerkarte "Merkmal"

Parametereinstellungen (Dialogfeld) - Registerkarte "Merkmal"

Auf der Registerkarte Merkmal können Sie das Format der Merkmalsausgabe verändern. Sie können damit außerdem das Erscheinungsbild des ausgedruckten Protokolls gestalten.

So rufen Sie die Registerkarte Merkmal auf:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Klicken Sie auf die Registerkarte Merkmal.

Siehe auch:

A usgabeformat Merkmal

Merkmaltext

Merkmalsoptionen

Merkmalüberschriften

Abweichungssymbole

Standardabweichung

132-Spaltenausdruck


Ausgabeformat Merkmal

Über diesen Befehl wird das Merkmalsausgabeformat von PC-DMIS gesteuert. Wenn Sie das Format ändern möchten, wählen Sie das (die) entsprechende(n) Format-Kontrollkästchen.

Verfügbare Formate: | Beschreibung
Nennwert | Zeigt den Nennwert aller Merkmale an.
Toleranz | Zeigt die Toleranzwerte aller Merkmale an.
Messwert | Zeigt den Messwert aller Merkmale an.
Min./Max. | Zeigt die Min.- und Max.-Werte aller Merkmale an.
Abweich. | Zeigt den Wert der Abweichung aller Merkmale an.
Außerhalb Toleranz | Zeigt den Wert außerhalb des Toleranzbereichs aller Merkmale an.
Abweichungswinkel | Zeigt den Abweichungswinkel aller Positionsmerkmale an.

Beim Wechseln von der Kästchentoleranzauswahl zur Position (und zurück) muss das Format unbedingt auf seine Richtigkeit überprüft werden.

PC-DMIS verwendet für die Kästchentoleranzauswahl und die Positionstoleranzauswahl dasselbe Druckformat, obwohl die Spalten aufgrund der zusätzlichen Spalten für die Positionsmerkmale unterschiedlich aussehen.

Beispiel: Wenn eine Toleranzauswahl für den Abstand zwischen zwei Geraden vorgenommen wird und das Kontrollkästchen Min./Max. markiert ist, berechnet PC-DMIS den Abstand zwischen den beiden Punkten, die am weitesten auseinander liegen oder den beiden Punkten, die am nächsten beieinander liegen. Dann wählt es den schlechteren der beiden Fälle (die größte Abweichung vom Toleranzwert). Ist das Kontrollkästchen Min./Max. nicht markiert, berechnet PC-DMIS das Merkmal ohne Anzeige des Maximal- oder Minimalwerts.

PC-DMIS zeigt die Reihenfolge der Ausgabe durch eine Zahl rechts neben dem Kontrollkästchen an. Damit lässt sich die Reihenfolge des Formats an Ihre spezifischen Erfordernisse anpassen. Sie können die Markierung aus einem Kontrollkästchen entfernen, indem Sie es einfach noch einmal anklicken.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

FORMAT/TEXT,OPTIONEN,ÜBERSCHRIFTEN,SYMBOLE, STDABW; "MERKMAL AUSGABE"

MERKMALSAUSGABE = Das Ausgabeformat basiert auf der Auswahlreihenfolge. Als Standardausgabe wird der gesamte ausgewählte Bereich in der angegebenen Reihenfolge angezeigt.


Merkmalstext

Anhand des Kontrollkästchens Merkmalstext können Sie festlegen, ob der Merkmalstext im Bearbeitungsfenster für Merkmale angezeigt wird, die auf diesen Befehl folgen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

FORMAT/TEXT, , , , ;NENNW,TOL,MESS,MAXMIN,ABW,AUS_TOL, ABWWINKEL

Eine Beschreibung der Optionen in diesem Befehl finden Sie unter "Ausgabeformat Merkmal".


Merkmalsoptionen

Über das Kontrollkästchen Merkmalsoptionen können Sie steuern, ob die Merkmalsoptionen im Bearbeitungsfenster für alle Merkmale angezeigt werden, die auf diesen Befehl folgen.

Zu diesen Optionen gehören:

· Einheiten (Informationen hierzu finden Sie unter "Einheiten" im Abschnitt "Merkmale für Elemente erstellen")

· Grafikanalyse (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen")

· Textanalyse (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen")

· Pfeilmultiplikator (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen")

· Ausgabeoptionen (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen")

Die für diese Option im Bearbeitungsfenster angezeigte Befehlszeile lautet:

FORMAT/OPTIONEN, , , , ;NENNW,TOL,MESS,MAXMIN,ABW,AUS_TOL


Merkmalüberschriften

Über das Kontrollkästchen Merkmalüberschriften werden die Spaltenüberschriften im Prüfprotokoll gesteuert. Wenn es nicht markiert ist, druckt PC-DMIS keine Merkmalüberschriften aus.


Abweichungssymbole

Über das Kontrollkästchen Abweichungssymbole lässt sich die Abweichung innerhalb des eingestellten Bereichs anzeigen. Ist der außerhalb der Toleranzwerte liegende Bereich groß, zeigt PC-DMIS die Abweichung durch ein rechts in der Zeile stehendes "Größer als"-Symbol (>) an. Ist der außerhalb der Toleranzwerte liegende Bereich klein, zeigt PC-DMIS die Abweichung durch das Symbol "kleiner als" (<) an.

Beispiel:
Nennwert = 0,00
Messwert = 0,02
Positive Toleranz = 0,10
Negative Toleranz = 0,20
Gesamttoleranzbereich = (0,10 - (-0,20)) = 0,30
Prozentsatz = 100*(0,02 - (0,20))/0,3 = 73,3 %
- - - - - - # - - berücksichtigt den %-Wert und wird auf der Basis des prozentualen Werts verlagert

MERKMAL D1= LAGE VON KREIS F5 GRAF=AUS TEXT=AUS MULT=1,00

ACH | NENNW | OTOL | UTOL | MESS | ABW | AUSTOL |
x | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | ----#----
y | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | ----#----
z | -0.2500 | 0.0100 | 0.0100 | -0.2500 | 0.0000 | 0.0000 | ----#----
d | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 |
v | i | j | k |  |  |  |

ENDE VON MERKMAL D1


Standardabweichung

Über das Kontrollkästchen Standardabweichung wird die Standardabweichung der Elemente angezeigt.


132-Spaltenausdruck

Über das Kontrollkästchen 132-Spaltenausdruck wird das Druckformat der Elementlagen im Prüfprotokoll gesteuert. Wenn es markiert ist, druckt PC-DMIS alle Elementlagen in einem 132 Spalten umfassenden Format aus.

Die 132 Spalten dieses Ausdruckformats werden im folgenden näher erläutert:

Spalte 1 bis 10: X-Nennwert
Spalte 11 bis 20: X-Messwert
Spalte 21 bis 28: X-Abweichung
Spalte 31 bis 40: Y-Nennwert
Spalte 41 bis 50: Y-Messwert
Spalte 51 bis 58: Y-Abweichung
Spalte 61 bis 70: Z-Nennwert
Spalte 71 bis 80: Z-Messwert
Spalte 81 bis 88: Z-Abweichung
Spalte 91 bis 100: T-Fehler (Fehler vertikal zur Oberfläche)
Spalte 101 bis 101: Kennzeichen für außerhalb des Toleranzbereichs liegende Werte "*"
Spalte 104 bis 105: Elementtyp
Spalte 108 bis 117: Element-ID
Spalte 118 bis 127: Gemessener Durchmesser, falls vorhanden

Hinweis: Das 132-Spaltenformat gilt nur für Merkamle des Typs LAGE. Alle anderen Merkmale (wie ABSTAND, WINKEL ZWISCHEN usw.) werden im normalen Format ausgedruckt.


 OK button Cancel button I/O Channels NC-100 Parameters Probe Trigger Options Opt. Probe Dimension Acceleration Probing Motion Active Plane area Pass Through Plane Clearance Plane Active check box RoTable Apply button Help button

Parametereinstellungen: Registerkarte "Sicherheitsebene"

Parametereinstellungen (Dialogfeld) - Registerkarte "Sich.-Ebene"

Auf der Registerkarte Sich.-Ebene finden Sie ein Kontrollkästchen, über das der Einsatz von Sicherheitsebenen gesteuert werden kann. Mit dieser Option lässt sich die Programmierzeit verkürzen, da weniger Zwischenbewegungen programmiert werden müssen. Durch Sicherheitsebenen wird eine Art "Schutzhülle" um das Werkstück gebildet, in der sich der Taster immer bewegt, wenn er von einem Element zum anderen vorrückt. PC-DMIS bewegt den Taster um einen bestimmten Abstand vom Werkstück fort. Dieser Abstand ist relativ zum Koordinatensystem, in dem er definiert wurde. Nachdem der letzte Messpunkt auf dem Element gemessen wurde, verbleibt der Taster auf Tastertiefe, bis er zum nächsten Element geschickt wird.

So geben Sie einen SICHERHEITSEBENE-Befehl ein:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Klicken Sie auf die Registerkarte Sich.-Ebene.

  3. Wählen Sie im Auswahllistenfeld Achse die Achse für die aktive Ebene.

  4. Geben Sie in das Feld Wert den Sicherheitsabstand zum Werkstück ein.

  5. Wählen Sie im Auswahllistenfeld Achse die Achse für die Durchgangsebene.

  6. Geben Sie in das Feld Wert den Abstand der Durchgangsebene ein.

  7. Markieren Sie das Kontrollkästchen Sicherheitsebenen aktiv (EIN).

  8. Klicken Sie auf Übernehmen.

  9. Klicken Sie auf OK.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
SICHERHEITSEBENE/AKTIVE_EBENE, .n, DURCHGANGSEBENE, .n

Siehe auch:

A ktive Ebene

Durchgangsebene

Sicherheitsebene aktiv

Sicherheitsebenen: Wichtige Hinweise


Aktive Ebene

In diesem Teil des Dialogfelds können Sie angeben, auf welcher Ebene sich das Element befindet, wenn es gemessen wird. Die Aktive Ebene wird auch in der Auswahlliste Anzeige auf der Symbolleiste eingeblendet.

Mit PC-DMIS können Sie einen numerischen Wert für die aktive Hauptebene (X Plus, X Minus, Y Plus, Y Minus, Z Plus und Z Minus) definieren. Das gewählte aktive Fenster wird in der Richtung X, Y, Z PLUS oder X, Y, Z MINUS im Bearbeitungsfenster angezeigt. Wenn Sie eine Sicherheitsebene definieren möchten, klicken Sie zunächst im Dropdown-Menü auf die Aktive Ebene und wählen Sie dann die gewünschte Ebene, die geändert werden soll. Geben Sie dann in das Feld Wert einen neuen Wert ein.


Durchgangsebene

In diesem Teil des Dialogfelds können Sie angeben, durch welche Ebene der Taster geführt wird, um zur nächsten Elementebene zu gelangen.

In PC-DMIS können Sie numerische Werte für jede der sechs Sicherheitsebenen definieren:

  1. X Plus

  2. X Minus

  3. Y Plus

  4. Y Minus

  5. Z Plus

  6. Z Minus

Das gewählte aktive Fenster wird in der Richtung X, Y, Z PLUS oder X, Y, Z MINUS im Bearbeitungsfenster angezeigt.

So definieren Sie eine Sicherheitsebene:

  1. Wählen Sie die Auswahlliste im Bereich Durchgangsebene.

  2. Wählen Sie die Ebene aus, die Sie ändern möchten.

  3. Geben Sie den entsprechenden Wert in das Feld Wert ein.

  4. Klicken Sie auf Übernehmen.

  5. Klicken Sie auf OK.


Sicherheitsebene aktiv

Über das Kontrollkästchen Sicherheitsebenen aktiv (EIN) wird die definierte Sicherheitsebene aktiviert.


Sicherheitsebenen: Wichtige Hinweise

Eine Bewegung von einer Sicherheitsebene in eine andere wirkt sich auf die Position des Tasters aus. Vergewissern Sie sich, dass die festgelegte Sicherheitsebene ausreichend Abstand zum Werkstück bietet.

Wenn Sie den Wert einer Sicherheitsebene eingeben, müssen Sie auf das Vorzeichen achten. Das Vorzeichen muss dem positiven oder negativen Ende der normalen Achse entsprechen, die die Ebene definiert. Wenn Sie beispielsweise eine obere Sicherheitsebene definieren wollen, geben Sie einen positiven Wert ein; wenn Sie eine untere Sicherheitsebene definieren wollen, geben Sie einen negativen Wert ein.

Beispiel einer Sicherheitsebene

Eine Sicherheitsebene wird relativ zum aktuellen Koordinatensystem und Nullpunkt des Werkstücks definiert. Daher müssen Sie bei der Definition einer Sicherheitsebene sorgfältig vorgehen, damit um das Werkstück herum ein ausreichender Sicherheitsabstand gewährleistet ist.

Beispiel: Ein Werkstück ist 250 mm lang und liegt nahe an den KMG-Achsen, mit dem X-Nullpunkt in der linken unteren Ecke. Sie können einen 25 mm großen Sicherheitsabstand von der rechten Seite des Werkstücks einstellen, indem Sie die rechte Sicherheitsebene auf 275 mm einstellen.

Sicherheitsebenen müssen immer relativ zum aktuellen Koordinatensystem definiert werden. Beim Erstellen eines neuen Koordinatensystems beziehen sich die Sicherheitsebenen immer noch auf die alte (erste) Ausrichtung. Wenn Sie die Sicherheitsebenen mit dem neuen Koordinatensystem verknüpfen möchten, müssen diese neu definiert werden.

Bei der Aufnahme von Stützpunkten werden keine Sicherheitsebenen verwendet. Daher ist es beim Messen von Bolzen wichtig, den Abstandswert auf eine Entfernung einzustellen, die es dem Taster ermöglicht, sich um den Bolzen herum zu bewegen.


 Polar Vector Compensation area Probe Compensation Active check box Active Tip Active Probe OK button Cancel button Dimension NC-100 Parameters Probe Trigger Options Opt. Probe ClearPlane Acceleration Motion IO Channels RoTable Apply button Help button

Parametereinstellungen: Registerkarte "Kompensation"

Parametereinstellungen (Dialogfeld) - Registerkarte "Kompensation"

Auf der Registerkarte Kompensation werden die aktuelle Tasterdatei, die aktive Tastspitze (und Tastergarage, wenn eine verwendet wird) angezeigt. Auf dieser Registerkarte können Sie außerdem das Kontrollkästchen Tasterkompensation aktiv (EIN) und die Option Polarvektor-Kompensation aus der Auswahlliste wählen.

So rufen Sie die Registerkarte Kompensation auf:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Öffnen Sie die Registerkarte Kompensation.

Siehe auch:

Aktueller Taster

Aktuelle Tastspitze

Tasterkompensation

Polarvektor-Kompensation

Taster in Garage Nr.


Aktueller Taster

Diese Zeile auf der Registerkarte Kompensation zeigt die aktuelle Tasterdatei an. Weitere Informationen zur Auswahl einer anderen Tasterdatei oder zur Angabe eines neuen Namens für eine Tasterdatei finden Sie unter "Taster-Dateiname" im Abschnitt "Definieren von Hardware".


Aktuelle Tastspitze

Diese Zeile auf der Registerkarte Kompensation zeigt die aktuelle Tastspitze an. Weitere Informationen zu den angezeigten Werten sowie zu Auswahl, Erstellung und zum Löschen von Tastspitzen finden Sie unter "Liste aktiver Tastspitzen" im Abschnitt "Definieren von Hardware".

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
TASTSPITZE/Name_der_aktiven_Tastspitze


Tasterkompensation

Diese Option ist nur im CNC-Modus verfügbar.

Über das Kontrollkästchen Tasterkompensation aktiv (EIN) wird bestimmt, ob PC-DMIS den Tasterradius kompensieren soll. Bei aktivierter Option kompensiert PC-DMIS den Tasterradius bei jedem gemessenen Element.

Befehlszeile im Bearbeitungsfenster:
TASTERKOMP/ EIN


Polarvektorkompensation

Über die Dropdown-Liste Polarvektorkompensation können Vektor- und Oberflächenpunkte gemessen und stets entlang eines Polarvektors kompensiert werden. Es sind folgende Optionen verfügbar:

  • AUS – Vektor- und Oberflächenpunkte verhalten sich normal.

  • XYPL – Die Vektorkompensationen für jeden Vektor- und Oberflächenpunkt werden 2D in der XY-Ebene entlang eines Vektors vom Punkt bis zum aktuellen Nullpunkt vorgenommen.

  • YZPL – Die Vektorkompensationen für jeden Vektor- und Oberflächenpunkt werden 2D in der YZ-Ebene entlang eines Vektors vom Punkt bis zum aktuellen Nullpunkt vorgenommen.

  • ZXPL – Die Vektorkompensationen für jeden Vektor- und Oberflächenpunkt werden 2D in der ZX-Ebene entlang eines Vektors vom Punkt bis zum aktuellen Nullpunkt vorgenommen.

  • 3D – Bewirkt eine Polarvektorkompensation entlang eines 3D-Vektors vom Punkt bis zum aktuellen Nullpunkt.

Die für diese Optionen im Bearbeitungsfenster angezeigte Befehlszeile lautet:
POLARVEKTORKOMP/ AUS
POLARVEKTORKOMP/ XYPL
POLARVEKTORKOMP/ YZPL
POLARVEKTORKOMP/ ZXPL
POLARVEKTORKOMP/ 3D


Taster in Garage Nr.

Diese Option gibt die Nummer der Tastergarage am Tasterwechsler der gerade verwendeten Tastspitze oder des Tasters an. Diese Option ist nur verfügbar, wenn ein Tasterwechsler eingerichtet wurde.

Wenn Sie keinen Tasterwechsler verwenden, oder sich der aktuelle Taster nicht in einem Tasterwechsler befindet, informiert Sie PC-DMIS in einer Textmeldung darüber, dass sich der aktuelle Taster nicht im Tasterwechsler befindet oder kein Tasterwechsler verwendet wird.

Informationen zum Hinzufügen von Tastern zu einem Tasterwechsler finden Sie unter "Garagen" im Thema "Einrichten der Tasterwechsler-Optionen".


 Scan Speed Clamping Value Touch Speed Move Speed Check Percent Check Distance Retract Distance Prehit Distance OK button Cancel button Dimension NC-100 Parameters Probe Trigger Options Opt. Probe ClearPlane Acceleration Probing IO Channels RoTable Apply button Help button Default button Recall button Clear button

Parametereinstellungen: Registerkarte "Bewegung"

Parametereinstellungen (Dialogfeld) - Registerkarte "Bewegung"

Auf der Registerkarte Bewegung können Sie bestimmen, über welche Entfernungen der Taster bei der Aufnahme von Messpunkten geführt werden soll. Hier lässt sich auch die Geschwindigkeit angeben, mit der PC-DMIS einen Messpunkt aufnimmt und von Punkt zu Punkt weiterrückt.

Hinweis: Sie können bestimmen, ob die Werte in den Feldern für die Geschwindigkeitsangabe (Bewegungsgeschwindigkeit, Messgeschwindigkeit und Scangeschwindigkeit) entweder in mm/Sek. oder in Prozent der zulässigen Gesamtgeschwindigkeit angezeigt werden. Hierzu aktivieren oder deaktivieren Sie das Kontrollkästchen der zulässigen Gesamtgeschwindigkeit angezeigt werden. Hierzu aktivieren oder deaktivieren Sie das Kontrollkästchen Absol. Geschwind. anzeigen auf der Registerkarte Werkstück / Maschine des Dialogfelds Setup-Optionen.

So verändern Sie die Einstellungen auf der Registerkarte Bewegung:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Klicken Sie auf die Registerkarte Bewegung. Mehrere Felder werden angezeigt.

  3. Markieren Sie den Wert, der geändert werden soll.

  4. Geben Sie einen neuen Wert ein.

  5. Klicken Sie auf Übernehmen oder OK.

Wenn Sie die Bewegungswerte wieder auf die ursprünglichen Werkseinstellungen zurücksetzen möchten, klicken Sie auf die Schaltfläche Standard holen. Über diese Schaltfläche werden die angezeigten Bewegungswerte wieder auf die Werte zurückgesetzt, die im PC-DMIS-Einstellungseditor gespeichert sind. Wenn Sie die Schaltfläche Standard wählen, werden die angezeigten Werte als die neuen Standardeinstellungen im Einstellungseditor gespeichert.

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Regiestrierungseinträgen".

Siehe auch:

Vorhalteabstand

Rückfahrabstand

Prüfabstand

Prüfprozentsatz

Bewegungsgeschwindigkeit %

Messgeschwindigkeit %

Klemmwert

Scangeschwindigkeit %


Vorhalteabstand

Im Feld Vorhalteabstand können Sie einen Wert für den Vorhalteabstand des KMGs angeben.Hierbei handelt es sich um den Abstand zur Oberfläche, an der PC-DMIS mit der Suche nach dem Werkstück beginnt. Sofern erforderlich, kann dieser Abstand automatisch von PC-DMIS geändert werden, wenn Messpunkte innerhalb eines Bogens oder Kreises aufgenommen werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ANFAHRWEG/ nnn.nnnn


Rückfahrweg

Im Feld Rückfahrweg können Sie den Abstand eingeben, um den der Taster nach der Aufnahme eines Messpunkts zurückgezogen wird. Gegebenenfalls kann dieser Abstand automatisch von PC-DMIS geändert werden, wenn Messpunkte auf einem Bogen oder Kreis aufgenommen werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
RÜCKFAHRWEG/ nnn.nnnn


Prüfabstand

Im Feld Prüfabstand können Sie den über die theoretische Lage des Messpunkts hinausgehenden Abstand (in Zoll oder Millimetern, je nachdem, welches Maßsystem für das Werkstück verwendet wird) angeben, in dem die Maschine nach der Oberfläche des Werkstücks sucht, bevor sie zu dem Schluss kommt, dass dort keine Oberfläche mehr vorhanden ist.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
PRÜFEN/ Abstand,Prozentsatz

Prozentuale Bewegung während der Elementsuche

Bei der Definition des Prüfabstands für die Elementsuche kann PC-DMIS angewiesen werden, Bewegungsschritte in Prozent des Prüfabstands vorzunehmen.

Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus.

  2. Klicken Sie im Bearbeitungsfenster auf den Befehl PRÜFEN.

  3. Drücken Sie die TABULATOR-Taste, um zur zweiten Zahl vorzurücken.

  4. Geben Sie einen neuen Prozentsatz ein. Der Standardwert 1 entspricht 100% des Prüfabstands. Es gilt also: 0,1=10%, 0,2=20%, 0,3=30% etc.

So beispielsweise im folgenden Code:
Bei PRÜFEN/20,0,3 steht der Wert 0,3 für 30% des zwanzig Einheiten umfassenden Gesamtprüfabstands.

Weitere Informationen zu "Kontrollkästchen "Elementsuche"" im Abschnitt "Erstellen von Auto-Elementen".


Prüfprozentsatz

Der Prüfprozentsatz bestimmt den Prozentsatz des Gesamtabstands der bei einer Elementsuche durchgeführten Bewegung. Wenn Sie 1 eingeben, entspricht der Wert 100 Prozent. 100% wird also als 1 eingegeben, 25% als 0,25 und 10% als 0,10.


Bewegungsgeschwindigkeit %

Mit der Option Bewegungsgeschw. können Sie die Punkt-zu-Punkt-Positioniergeschwindigkeit des KMGs ändern. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit. Hier kann ein Wert im Bereich von 1 bis 100% der KMG-Geschwindigkeit eingestellt werden. (Informationen zur Bewegungsgeschwindigkeit und zum Kalibrieren des Tasters finden Sie unter "Messen" unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".)

The Edit window command line for this option reads:
BEWEG_GESCHW/ nnn.nnnn


Messgeschwindigkeit %

Im Feld Messgeschwind. können Sie die Geschwindigkeit einstellen, mit der das KMG Messpunkte aufnimmt. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit und darf nicht mehr als zwanzig Prozent betragen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
MESSGESCHW/ nnn.nnnn

Zum Verständnis der Auswirkungen einer Änderung des VORHALTABSTANDS oder des RÜCKFAHRWEGS und der BEWEGUNGS- bzw. MESSGESCHWINDIGKEIT ist es wichtig, zu wissen, wie die Optionen sich während der CNC-Messung eines Elements aufeinander auswirken. Der Ablauf ist wie folgt: Das KMG bewegt sich mit der BEWEGUNGSGESCHWINDIGKEIT auf das Element zu. Wenn es den VORHALTEABSTAND erreicht, bewegt es sich mit der MESSGESCHWINDIGKEIT auf das Element zu, um den Messpunkt aufzunehmen. Wenn der Messpunkt aufgenommen worden ist, wird das KMG mit der MESSESCHWINDIGKEIT vom Element zurückgezogen, bis der RÜCKFAHRWEG erreicht ist. Von da ab bewegt es sich in BEWEGUNGSGESCHWINDIGKEIT zum nächsten Punkt.


Klemmwert

Der Klemmwert funktioniert nur mit der Leitz-Steuereinheit und dem Leitz-TTP. Dieser Wert teilt der Steuereinheit mit, wie fest der Taster auf dem Leitz-KMG eingespannt werden soll.

Je nach Gewicht der Tastspitzen müssen Sie den Klemmwert gegebenenfalls vergrößern oder verkleinern.

  • Im Falle eines hohen Tastspitzengewichts muss der Klemmwert u.U. vergrößert werden.

  • Im Falle eines niedrigen Tastspitzengewichts muss der Klemmwert u.U. verkleinert werden.


Scangeschwindigkeit %

Im Feld Scangeschwindigkeit können Sie die Geschwindigkeit ändern, mit der das KMG das Werkstück scannen soll. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
SCANGESCHW/ nnn.nnnn

Bei Scans im Modus DEFINIERT (siehe "Bereich "Ausführ-Optionen"" im Abschnitt "Scannen Ihres Werkstücks"), hat die Scangeschwindigkeit einen entscheidenden Einfluss darauf, ob die Daten in den von Ihnen festgelegten Inkrementen zurückgemeldet werden. Wenn Sie eine sehr hohe Scangeschwindigkeit angeben, wird das KMG den Scan u.U. mit der angegebenen Geschwindigkeit ausführen, aber die vom KMG zurückgemeldeten Daten können evtl. nicht in den von Ihnen festgelegten Inkrementen angeordnet werden.

Beispiel: Angenommen, das KMG erfasst Daten im Modus DEFINIERT mit einer Geschwindigkeit von einem Messpunkt /20 Millisekunden. Wenn Sie als Inkrement (Mindestabstand zwischen Messpunkten) 0.5 mm und als Scangeschwindigkeit 75 mm/s festlegen, würde das KMG alle 1,5 mm Punkte zurückmelden. Um dies zu vermeiden, könnten Sie die Scangeschwindigkeit auf 15 mm/s oder 20 mm/s reduzieren, was Ihren Anforderungen mit einer Übertragungsrate von 1 Messpunkt/20 ms entsprechen würde.

PC-DMIS teilt Ihnen in solchen Fällen in einer entsprechenden Warnmeldung mit, dass das angegebene Inkrement nicht mit der vorgegebenen Scangeschwindigkeit gemessen werden konnte. Sie müssen dann entweder die Scangeschwindigkeit reduzieren oder das Inkrement erhöhen.

Sie können dazu die Einstellung Scangeschwindigkeit wählen und auf einen angemessenen Wert ändern.


 Rotate the Table check box Rotation Direction list Rotary Table Angle box OK button Cancel button Dimension NC-100 Parameters Probe Trigger Options Opt. Probe ClearPlane Acceleration Motion IO Channels RoTable Apply button Help button

Parametereinstellungen: Registerkarte "Drehtisch"

Parametereinstellungen (Dialogfeld) - Registerkarte "Drehtisch"

Auf der Registerkarte Drehtisch können Sie Winkel und Richtung des Drehtisches einstellen.

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von (Bearbeiten | Einstellungen | Parameter).

  2. Klicken Sie auf die Registerkarte Drehtisch.

  3. Geben Sie in das Feld Drehtischwinkel den gewünschten Winkel ein.

  4. Wählen Sie die gewünschte Drehrichtung in der gleichnamigen Auswahlliste aus.

  5. Markieren Sie das Kontrollkästchen Tisch drehen.

  6. Klicken Sie auf Übernehmen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
BEWEGEN/ DREHTISCH, Winkel, RICHTUNG

Die Registerkarte Drehtisch ist nur bei Auswahl von Einzelner Drehtisch oder Doppelter Drehtisch im Dialogfeld Drehtisch einrichten verfügbar. Informationen hierzu finden Sie unter "Definieren des Drehtisches".

Zudem ist die Menüoption Drehtisch einrichten nur dann verfügbar, wenn Ihre Anschlusssperre für Drehtische programmiert ist.

Siehe auch:

Drehtischwinkel

Drehrichtung

Tisch drehen


Drehtischwinkel

Im Feld Drehtischwinkel können Sie den Winkel für die Tischdrehung eingeben.


Drehrichtung

In der Auswahlliste Drehrichtung können Sie die Richtung auswählen, in die der Tisch gedreht werden soll. Zur Auswahl stehen folgende Optionen:

Nach rechts: | Dreht den Tisch nach rechts, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Nach links: | Dreht den Tisch nach links, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Kürzest(e Drehung): | Damit wird der Tisch nach rechts oder links gedreht (je nachdem, welche Entfernung kürzer ist), bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.


Tisch drehen

Über das Kontrollkästchen Tisch drehen wird die Drehung des Tisches aktiviert, sobald die Schaltfläche Übernehmen oder OK gewählt wird.


Parametereinstellungen: Registerkarte “Beschleunigung”

Parametereinstellungen (Dialogfeld) - Registerkarte "Beschleunigung"

Die Registerkarte Beschleunigung enthält zusätzliche Bearbeitungsfunktionen sowohl für die KMG- als auch für die Tischbewegung.

So rufen Sie die Registerkarte Beschleunigung auf:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Öffnen Sie die Registerkarte Beschleunigung.

Siehe auch:

KMG-Beschleunigung


KMG-Beschleunigung

Im Bereich KMG-Beschleunigung der Registerkarte Beschleunigung können Sie die maximale Beschleunigung (in mm/Sek2) entlang der X-, Y-oder Z-Achse des KMGs ändern. Zur Auswahl stehen folgende Optionen:

Max. Beschleunigung entlang der X-Achse: | Der Wert in diesem Feld gibt an, wie stark das KMG maximal beschleunigt werden darf, wenn es entlang der X-Achse verfährt.
Max. Beschleunigung entlang der Y-Achse: | Der Wert in diesem Feld gibt an, wie stark das KMG maximal beschleunigt werden darf, wenn es entlang der Y-Achse verfährt.
Max. Beschleunigung entlang der Z-Achse: | Der Wert in diesem Feld gibt an, wie stark das KMG maximal beschleunigt werden darf, wenn es entlang der Z-Achse verfährt.


 Check Percent Clear button Recall button Default button Manual Fine Probing check box Probing Mode box Upper Force box Low Force box Positioning Accuracy box Trigger Force box Probing Accuracy Max Force box # Return Data box Return Speed box OK button Cancel button Dimension Probe Trigger Options NC-100 Parameters ClearPlane Acceleration Probing IO Channels RoTable Apply button Help button Motion

Parametereinstellungen: Registerkarte "Analoge Taster"

Parametereinstellungen (Dialogfeld) = Registerkarte "Analoge Taster"

Die Registerkarte Analoge Taster bietet Ihnen zusätzliche Bearbeitungsoptionen zur Steuerung analoger Taster. Dazu gehören folgende kompensationsspezifische Werte:

  • Max. Kraft

  • Niedrige Kraft

  • Hohe Kraft

  • Auslöser-Kraft

  • Anzahl Rückmeldungen

  • Rückfahrgeschwindigkeit

  • Positioniergenauigkeit

  • Tastgenauigkeit

  • Tastmodus

  • Manuelles analoges Messen

Dazu gehören außerdem die folgenden, auf das Scannen bezogenen Werte und Schaltflächen für allgemeine Zwecke:

  • Punktdichte

  • Versatzkraft

  • Beschleunigung

  • Schaltfläche "Standard"

  • Schaltfläche "Standard holen"

  • Schaltfläche "Ausw. aufheben"

Diese Felder werden im folgenden näher erläutert.

So rufen Sie die Registerkarte Analoge Taster:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Wählen Sie die Registerkarte Analoge Taster.

Vorsicht: Die Werte auf der Registerkarte Analoge Taster variieren je nach eingesetztem KMG. Mit Ausnahme der Kontrollkästchen Manuelles analoges Messen und Punktdichte sollten sie allgemein nicht geändert werden. Vor jedweden Änderungen ist Rücksprache mit dem KMG-Hersteller zu halten.

Klicken Sie auf Übernehmen oder OK. Auf der Registerkarte Analoge Taster wird der Befehl OPTION_TASTER in das Bearbeitungsfenster eingefügt.

Weitere Informationen zur Verwendung des OPTION_TASTER-Befehls bei analogen Tastern während der Kalibrierung finden Sie unter "Hinweise zur SP600-Oberschichtmatrix (Reguläre Kallibrierung):" im Abschnitt "Definieren von Hardware".

Siehe auch:

Max. Kraft

Niedrige Kraft

Hohe Kraft

Auslöser-Kraft

Anzahl Rückmeldungen

Rückfahrgeschwindigkeit

Positioniergenauigkeit

Tastgenauigkeit

Tastmodus

Manuelles analoges Messen

Punktdichte

Versatzkraft

Beschleunigung


Max. Kraft

Im Feld Max. Kraft können Sie die maximale Kraft bestimmen, die ein Taster aushalten muss, bevor ein Fehler eintritt und die Messung angehalten wird.

Newton ist die Einheit der Kraft. Ein Newton ist die Kraft, die erforderlich ist, um die Masse von einem Kilogramm in einer Sekunde auf die Geschwindigkeit von einem Meter pro Sekunde zu beschleunigen.

Wenn der Taster während des analogen Tastzyklus das Werkstück zum ersten Mal berührt, bewegt er sich in das Werkstück hinein, bis der Wert für die maximale Kraft erreicht wird. Der Taster ändert dann die Richtung und bewegt sich vom Werkstück weg. Das Hineinbewegen in das Werkstück nach dem Berühren des Werkstücks wird auch als Kontaktkraft bezeichnet. Dieser Wert wird in Newton angegeben. Im normalen Tastmodus (DFL) des Tastzyklus ermittelt die Steuereinheit Daten, wenn sich der Taster vom Werkstück wegbewegt.


Niedrige Kraft

Im Feld Niedrige Kraft können Sie die Mindestkraft angeben, die erforderlich ist, um festzustellen, wann das KMG in Kontakt mit dem zu messenden Objekt ist.

Im normalen Tastmodus (DFL) des Tastzyklus ist dies der Grenzwert, an dem die Steuereinheit die Datenerfassung einstellt. Dieser Wert wird in Newton angegeben.


Hohe Kraft

Im Feld Hohe Kraft wird der obere Grenzwert für eine Messung eingestellt. Wenn dieser Grenzwert erreicht ist, wird das KMG vom zu messenden Objekt zurückgezogen.

Im normalen Tastmodus (DFL) des Tastzyklus ist dies der Grenzwert, an dem die Steuereinheit die Datenerfassung beginnt. Dieser Wert wird in Newton angegeben.


Auslöser-Kraft

In das Feld Auslöser-Kraft können Sie die Kraft eingeben, bei der eine Messung gelesen wird.

Im normalen Ableitungsmodus (DFL) des Tastzyklus ist dies der Grenzwert, bei dem der tatsächliche Punkt (APT) berechnet und an PC-DMIS zurückgegeben wird. Dieser Wert wird in Newton angegeben. Nicht alle analogen Taster/Steuereinheiten verwenden diese Eingabe.


Anzahl Rückmeldungen

Im Feld Anzahl Rückmeldungen können Sie die Anzahl der Ablesungen festlegen, die vorgenommen werden, wenn das KMG sich vom zu messenden Objekt entfernt.

Über diesen Wert wird die Mindestmenge der Daten definiert, die innerhalb des durch die Werte Hohe Kraft und Niedrige Kraft definierten Tasterbereichs erfasst werden sollen.


Rückfahrgeschwindigkeit

Über den Wert im Feld Rückfahrgeschwindigkeit können Sie bestimmen, mit welcher Geschwindigkeit der Taster vom zu messenden Objekt zurückgezogen wird. Dieser Wert wird in mm/Sek. angegeben.


Positioniergenauigkeit

Das Feld Positioniergenauigkeit definiert einen für die Leitz-Schnittstelle spezifischen Parameter. Der übermittelte Wert gibt vor, wie exakt sich das KMG an den Antastvektor halten soll, wenn der Taster zur Messung in das Werkstück hineingeführt wird.

Bei kleineren Werten ist es für das Gerät schwieriger, die gewünschten Lageveränderungen zu ermitteln. Ein kleinerer Wert sorgt jedoch auch für eine genauere Messung. Dieser Wert wird stets in Millimetern angegeben.

Für diesen Wert sollte normalerweise der Standardwert belassen werden.


Tastgenauigkeit

Im Feld Tastgenauigkeit können Sie bestimmen, welche Genauigkeit erforderlich ist, um eine Messung aufzunehmen. Wird dieser Wert nicht erreicht, wird keine Messung aufgenommen und es erscheint eine Fehlermeldung. Der Wert wird in mm angegeben. Es sollte normalerweise der Standardwert belassen werden.


Tastmodus

Der Tastmodus gibt an, welcher Tastzyklus verwendet wird. Der Tastmodus (DFL) ist der Modus, der am häufigsten verwendet wird. Andere Modi, wie z. B. Messpunktaufnahme bei weichem Material ("Soft Probing", SFT), werden u.U. von einigen analogen Tastern/Steuereinheiten unterstützt. In einigen Fällen verfügt der Taster/die Steuereinheit u.U. nicht über mehrere Modi; dann wird dieser Wert ignoriert.


Manuelles analoges Messen

Wenn das Kontrollkästchen Manuelles analoges Messen gewählt ist, wechselt die Steuereinheit bei der Aufnahme eines manuellen Tastpunkts automatisch in den CNC-Modus und bewegt sich vom Werkstück weg, um den normalen Ableitungs-Tastzyklus zu verwenden. Die manuelle Messpunktaufnahme wird dadurch möglicherweise verlangsamt, die Genauigkeit jedoch verbessert.

Auch wenn die neuesten KMG-Modelle mit analogen Tastersystemen möglicherweise das Manuelle analoge Messen unterstützen, wird diese Art der manuellen Messung nicht von allen analogen Tastern/Steuereinheiten unterstützt. In solchen Fällen ignoriert PC-DMIS dieses Kontrollkästchen. Der Hersteller Ihrer KMG-Steuereinheit wird Ihnen darüber Bescheid geben können, ob diese Option von Ihrer Steuereinheit unterstützt wird.


Punktdichte

Im Feld Punktdichte können Sie die Anzahl der Ablesungen während eines Scans festlegen, die pro Millimeter der Messung durchgeführt werden sollen.

Wenn Sie ein Scan-Inkrement angeben, das kleiner ist als die in der INI-Datei festgelegte Punktdichte, teilt PC-DMIS in einer Warnmeldung mit, dass das Scan-Inkrement unter der für Scans zulässigen Punktdichte liegt. Sie werden dazu aufgefordert, die Inkrementeinstellungen im Dialogfeld zu überprüfen.

Sie können den Wert für die Scanpunktdichte wie erforderlich abändern.


Versatzkraft

Hier können Sie festlegen, welches Maß an Kraft während des Scanvorgangs aufrechterhalten werden soll. Dieser Wert wird in Newton angegeben.


Beschleunigung

Hier können Sie die Beschleunigung während des Scanvorgangs festlegen. Dieser Wert wird in mm/Sek/Sek angegeben.


 Manual Point Trigger Tolerance area Sample Plan Auto Trigger area Auto Trigger area OK button Cancel button Dimension Opt. Probe NC-100 Parameters ClearPlane Acceleration Probing IO Channels RoTable Apply button Help button Motion

Parametereinstellungen: Registerkarte "Taster-Trigger-Optionen"

Parametereinstellungen (Dialogfeld) - Registerkarte "Taster-Trigger Optionen"

Auf der Registerkarte Taster-Trigger Optionen können Sie Toleranzbereiche festlegen und dann die Befehle AUTO_AUSLÖSER, AUSLÖSERTOLERANZ und AUSLÖSEREBENE in das Bearbeitungsfenster einfügen.

Hinweis: Nur mit bestimmten Schnittstellen ausgestattete manuelle KMGs unterstützen diese Taster-Trigger-Optionen. Zu diesen Schnittstellen gehören: BackTalk, Faro, Romer, Garda, GOM (Krypton), Axila, Leica, Polar und SMXLaser.

So greifen Sie auf diese Registerkarte zu:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Wählen Sie die Registerkarte Taster-Trigger Optionen.

Achtung: Der Befehl AUTO_AUSLÖSER funktioniert nur bei Messpunkten und Auto-Vektorpunkten.

Siehe auch:

Bereich "Autom. Trigger"

Bereich "Stützebene als autom. Trigger"

Bereich "Triggertoleranz bei manuellen Punkten"


Bereich "Autom. Trigger"

Über den Bereich Autom. Trigger können Sie AUTO_AUSLÖSER/-Befehle mit einem Toleranzbereich in das Bearbeitungsfenster einfügen.

Der Befehl AUTO_AUSLÖSER/ weist PC-DMIS an, automatisch einen Messpunkt aufzunehmen, wenn der Taster in einem angegebenen Abstand von der Original-Messpunktposition in einen Toleranzbereich eintritt. Wenn der Toleranzbereich beispielsweise mit 2 mm festgelegt wird, wird der Messpunkt dann aufgenommen, wenn sich der Taster in einem Bereich von 2 mm von der Messpunktposition befindet.

Sie können diese Option bei manuellen Geräten verwenden. Anstatt zur Aufnahme eines Messpunktes auf eine Taste zu drücken, können Sie an beliebigen Standardpositionen im Bearbeitungsfenster AUTO_AUSLÖSER/-Befehle einfügen.

Autom. Trigger ein

Durch Auswahl des Kontrollkästchens Autom. Trigger ein wird der Auto_Auslöser-Befehl aktiviert. Bei den Befehlen im Bearbeitungsfenster, die auf den eingefügten AUTO_AUSLÖSER/-Befehl folgen und die Aufnahme eines Messpunktes erfordern, wird der Messpunkt automatisch aufgenommen, wenn der Taster in den definierten Toleranzbereich eintritt.

Wenn Sie dieses Kontrollkästchen nicht markieren und auf die Schaltfläche Befehl einfügen klicken, fügt PC-DMIS die Befehlszeile zwar in das Bearbeitungsfenster ein, aktiviert den Befehl jedoch nicht.

Tonsignal ein

Durch Markieren des Kontrollkästchens Tonsignal ein wird ein mit dem Befehl AUTO_AUSLÖSER/ verknüpftes Tonsignal aktiviert. Je näher Sie an das Ziel rücken, desto häufiger ertönt das Tonsignal.

Auto-Trigger-Radius

Im Feld Auto. Trigger Radius können Sie einen Wert für den Toleranzbereich eingeben. Wenn der Taster in den Toleranzbereich eintritt, nimmt er automatisch einen Messpunkt auf.

Befehl einfügen

Durch Klicken auf die Schaltfläche Befehl einfügen wird der AUTO_AUSLÖSER/-Befehl in das Bearbeitungsfenster für das aktuelle Werkstückprogramm eingefügt. Die Befehlszeile lautet:

AUTO_AUSLÖSER/ TOG1, TOG2, RAD

TOG1 Dieses Umschaltfeld entspricht dem Kontrollkästchen Autom. Trigger ein. Es zeigt entweder EIN oder AUS an.

TOG1 Dieses Umschaltfeld entspricht dem Kontrollkästchen Tonsignal ein. Es zeigt entweder EIN oder AUS an.

RAD Das Feld Radius zeigt den Wert für den Toleranzbereich. Dieser Wert ist der Abstand von dem tatsächlichen Punkt, an dem PC-DMIS den Messpunkt aufnimmt.


Bereich "Stützebene als autom. Trigger"

Über den Bereich Stützebene als autom. Trigger können Sie einen AUSLÖSEREBENE/-Befehl in das Bearbeitungsfenster einfügen.

Der Befehl AUSLÖSEREBENE/ funktioniert nur bei Auto-Kreisen, Auto-Ellipsen, Auto-Langlöchern und Auto-Kantenpunkten.

Der Befehl AUSLÖSEREBENE/ veranlasst, dass PC-DMIS automatisch einen Messpunkt aufnimmt, wenn der Taster die durch den vertikalen Oberflächenvektor eines Auto-Elements definierte Ebene auf der festgelegten Tiefe durchschreitet. Diese festgelegte Position wird basierend auf Optionen wie Stützpunkte oder RMESS-Elemente korrigiert. Wenn die Tastermitte die Ebene von einer Seite zur anderen durchschreitet, wird der Taster ausgelöst und ein Messpunkt aufgenommen.

Sie können diesen Befehl bei manuellen Geräten verwenden. Anstatt zur Aufnahme eines Messpunktes auf eine Taste zu drücken, können Sie an beliebigen Standardpositionen im Bearbeitungsfenster AUSLÖSEREBENE/-Befehle einfügen.

Dieser Befehl funktioniert nur im Online-Modus. Wird der Befehl AUTO_AUSLÖSER verwendet, hat er Vorrang vor dem Befehl AUSLÖSEREBENE/.

Hinweis zu Faro- und Romer-Maschinen: Wie oben festgelegt, nimmt PC-DMIS automatisch einen Messpunkt auf, wenn der Taster die Ebene durchschreitet. Bei Faro- oder Romer-Maschinen jedoch wird der Taster danach erst dann wieder ausgelöst, wenn die Taste Akzeptieren (oder die Taste Freigabe) gedrückt wurde. Zum Fortfahren muss diese Taste nach jedem registrierten Messpunkt gedrückt werden.

Ebenen-Trigger ein

Durch Auswahl des Kontrollkästchens Ebenen Trigger ein wird der Befehl AUSLÖSEREBENE/ aktiviert. Bei den Befehlen im Bearbeitungsfenster, die auf den eingefügten AUSLÖSEREBENE/-Befehl folgen und die Aufnahme eines Messpunktes erfordern, wird der Messpunkt automatisch aufgenommen, wenn der Taster die durch den vertikalen Oberflächenvektor und die Tiefe des Elements definierte Ebene durchschreitet.

Wenn Sie dieses Kontrollkästchen nicht markieren und auf die Schaltfläche Befehl einfügen klicken, fügt PC-DMIS die Befehlszeile zwar in das Bearbeitungsfenster ein, aktiviert den Befehl jedoch nicht. Der Befehl AUSLÖSEREBENE/ funktkioniert nur, wenn die Option aktiviert ist.

Befehl einfügen

Durch Klicken auf die Schaltfläche Befehl einfügen wird der Auslöserebenen-Befehl in das Bearbeitungsfenster für das aktuelle Werkstückprogramm eingefügt.

AUSLÖSEREBENE/ TOG1

TOG1 Dieses Umschaltfeld entspricht dem Kontrollkästchen Ebenen-Trigger ein. Es zeigt entweder EIN oder AUS an.


Bereich "Triggertoleranz bei manuellen Punkten"

Über den Bereich Triggertoleranz bei manuellen Punkten können Sie einen AUSLÖSERTOLERANZ/-Befehl in das Bearbeitungsfenster einfügen.

Dieser Befehl funktioniert nur in Verbindung mit Auto-Elementen des Typs Punkt: Vektorpunkt, Oberflächenpunkt, Winkelpunkt, Eckpunkt und Messpunkt. Er funktioniert nicht bei einzelnen Messpunkten von Elementen.

Der Befehl AUSLÖSERTOLERANZ/ weist PC-DMIS an, nur manuelle Messpunkte zu akzeptieren, die in der angegebenen Toleranzzone liegen.

Diese Option kann bei manuellen Maschinen verwendet werden. Wenn PC-DMIS Sie auffordert, einen Messpunkt aufzunehmen, lösen Sie den Taster ganz nach Wunsch aus. Jeder Auslöser wird daraufhin ausgewertet, ob er innerhalb des zylindrischen Auslösertoleranzbereichs liegt. Ist dies nicht der Fall, wird in der Liste KMG-Fehler des Dialogfelds Ausführungsoptionen ein Fehler ausgegeben. PC-DMIS bittet Sie dann, den Messpunkt erneut aufzunehmen. AUSLÖSERTOLERANZ/-Befehle sind an allen Standardpositionen innerhalb des Bearbeitungsfensters zulässig.

Diese Option funktioniert nur im Online-Modus.

Trigger Toleranz verwenden

Durch Auswahl des Kontrollkästchens Trigger Toleranz verwenden wird der Befehl AUSLÖSERTOLERANZ/ aktiviert. Bei den Befehlen im Bearbeitungsfenster, die auf den eingefügten AUSLÖSERTOLERANZ/-Befehl folgen und die Aufnahme eines Messpunktes erfordern, wird der Messpunkt nur dann akzeptiert, wenn der Taster in den definierten Toleranzbereich eintritt.

Wenn Sie dieses Kontrollkästchen nicht markieren und auf die Schaltfläche Befehl einfügen klicken, fügt PC-DMIS die Befehlszeile zwar in das Bearbeitungsfenster ein, aktiviert den Befehl jedoch nicht. Die Trigger-Toleranzfunktion ist nur aktiviert, wenn die Option aktiviert ist.

Befehl einfügen

Durch Klicken auf die Schaltfläche Befehl einfügen wird der Befehl AUSLÖSERTOLERANZ/ in das Bearbeitungsfenster für das aktuelle Werkstückprogramm mit den folgenden Optionen eingefügt:

AUSLÖSERTOLERANZ/ TOG1, RAD

TOG1 Dieses Umschaltfeld entspricht dem Kontrollkästchen Trigger Toleranz verwenden. Es zeigt entweder EIN oder AUS an.

RAD Das Feld Radius zeigt den Wert für den Toleranzbereich. Dieser Wert ist der Abstand von dem tatsächlichen Punkt, an dem PC-DMIS den Messpunkt akzeptiert.

Toleranzradius

Im Feld Toleranzradius können Sie einen Wert für den Toleranzradius eingeben. Wenn der Taster ausgelöst wird, wird überprüft, ob er sich innerhalb dieses Toleranzbereichs befindet. Ist dies der Fall, wird der Messpunkt akzeptiert. Andernfalls wird er verworfen, und Sie werden zur Aufnahme eines anderen Messpunkts aufgefordert.


 Video Setup button Y Segment box X Segment box ROI Top box Offset box Y End box ROI Bottom box Long Segment box Gain box ROI Width box Y Origin box OK button Cancel button Dimension Probe Trigger Options Opt. Probe ClearPlane Acceleration Probing IO Channels RoTable Apply button Help button Motion

Parametereinstellungen: Registerkarte "NC-100-Parameter"

Parametereinstellungen (Dialogfeld) - Registerkarte "NC-100-Parameter"

Die Registerkarte NC-100-Parameter wird nur dann im Dialogfeld Parametereinstellungen angezeigt, wenn Sie einen NC-100-Videotaster als aktiven Taster ausgewählt haben.

Auf der Registerkarte NC-100-Parameter können Sie die Parameter für den NC-100-Optiksensor ändern. Über diese Parameter wird die Ausleuchtung, Größe etc. des NC-100-Sichtbereichs gesteuert. Wenn die Werte auf der Registerkarte NC-100-Parameter geändert werden, fügt PC-DMIS einen neuen OPTIKEINSTELLUNG-Befehl in das Werkstückprogramm ein und zeigt die Cursorposition im Bearbeitungsfenster an. Die Befehlzeile im Bearbeitungsfenster für den Befehl OPTIKEINSTELLUNG lautet:

OPTIKEINSTELLUNG/ZUNAHME = n, VERSATZ = n, OBEN = n, UNTEN = n, BREITE = n,Y_NULLPUNKT = n,
Y_ENDPUNKT = n, L_SEG = n, X_SEG = n, Y_SEG = n

So bearbeiten Sie die Informationen auf der Registerkarte NC-100-Parameter:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Klicken Sie auf die Registerkarte NC-100-Parameter.

  3. Wählen Sie den Wert, der geändert werden soll.

  4. Geben Sie einen neuen Wert ein.

  5. Klicken Sie auf Übernehmen oder OK.

In den Feldern auf der Registerkarte NC-100-Parameter können Sie Angaben machen, die den Einstellungen des NC-100-Computersystems entsprechen. Weitere Einzelheiten über diese Einstellungen können Sie der Dokumentation zu dem NC-100-Computersystem entnehmen.

Siehe auch:

Zunahme

Versatz

RO I Oben

ROI-Oben

ROI-Breite

Y-Nullpunkt

Y-Endpunkt

Langes Segment

X-Segment

Y-Segment

Optik einrichten


Zunahme

Der Wert Zunahme entspricht dem Zunahmewert des NC-100-Computersystems und ist eine optische Sensor-Einstellung.


Versatz

Der Wert Versatz entspricht dem Versatzwert des NC-100-Computersystems und ist eine Lichtsensor-Einstellung. Weitere Informationen finden Sie in der Dokumentation für das NC-100-Computersystem.


ROI-Oben

Der Wert ROI-Oben entspricht dem Wert für ROI-Oben des NC-100-Computersystems und ist die oberste Position des ROI.


ROI-Unten

Der Wert ROI-Unten entspricht dem Wert für ROI-Unten des NC-100-Computersystems und ist die unterste Position des ROI.


ROI-Breite

Der Wert ROI-Breite entspricht dem ROI-Breiten-Wert des NC-100-Computersystems und ist das horizontale Merkmal des ROI.


Y-Nullpunkt

Der Wert Y-Nullpunkt entspricht dem Y-Nullpunkt des NC-100-Computersystems.


Y-Endpunkt

Der Wert Y-Endpunkt entspricht dem Y-Endpunkt des NC-100-Computersystems.


Langes Segment

Der Wert Langes Segment entspricht dem Wert Langes Segment des NC-100-Computersystems.


X-Segment

Der Wert X-Segment entspricht dem X-Segment-Wert des NC-100-Computersystems.


Y-Segment

Der Wert Y-Segment entspricht dem Y-Segment-Wert des NC-100-Computersystems.


Optik einrichten

Mit der Schaltfläche Optik einrichten können Sie die Optik-Parameter auf dem NC-100-Computersystem aufrufen. Diese Option wird durch Klicken auf diese Schaltfläche geöffnet bzw. geschlossen.

Es müssen zuerst die Kommunikationseinstellungen zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem konfiguriert werden, damit diese Option ordnungsgemäß funktioniert. Informationen hierzu finden Sie unter "Registerkarte "NC-100 einrichten"" im Dialogfeld Setup-Optionen.


Parametereinstellungen: Registerkarte "I/O-Kanäle"

Parametereinstellungen (Dialogfeld) – Registerkarte "I/O-Kanäle"

Derzeit funktionieren die Optionen auf der Registerkarte I/O-Kanäle nur bei DEA-Maschinen. Zukünftig könnten weitere Maschinen hinzukommen.

Auf der Registerkarte I/O-Kanäle können Sie Optionen auswählen, die sich auf die I/O-Kanäle der Steuereinheit beziehen und den Befehl IO_KANAL/ in das Bearbeitungsfenster einfügen, über den der Status der Steuereinheit definiert wird.

Einige Maschinen-Steuereinheiten verfügen über I/O-Kanäle, die mit EINSTELLEN aktiviert (Wert gleich 1) oder mit RÜCKSETZEN deaktiviert (Wert gleich 0) werden können. Der Befehl IO_KANAL/ weist PC-DMIS an, den Status wie angegeben festzulegen.

So bearbeiten Sie Informationen in der Registerkarte I/O-Kanäle:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter.

  2. Klicken Sie auf die Registerkarte I/O-Kanäle.

  3. Nehmen Sie die gewünschten Änderungen vor.

  4. Klicken Sie auf Übernehmen oder OK.

Siehe auch:

Kanal

Optionen zum Einstellen und Rücksetzen


Kanal

Hier wird die Kanalnummer mit Hilfe der Optionen EINSTELLEN oder RÜCKSETZEN angegeben.


Optionen zum Einstellen und Rücksetzen

Option | Beschreibung
Einstellen | Diese Option fügt den Befehl IO_KANAL/EINSTELLEN in das Werkstückprogramm ein. Wenn PC-DMIS diesen Befehl ausführt, wird der angegebene Kanal auf 1 gesetzt.
Rücksetzen | Diese Option fügt den Befehl IO_KANAL/RÜCKSETZEN im Werkstückprogramm ein. Wenn PC-DMIS diesen Befehl ausführt, wird der angegebene Kanal auf 0 gesetzt.


Einrichten des Bearbeitungsfensters

In PC-DMIS können Sie den Aufbau des Bearbeitungsfensters bestimmen und festlegen, welche Informationen in den verschiedenen Modi des Bearbeitungsfensters angezeigt werden.

Siehe auch:

Definieren der Farben im Bearbeitungsfenster

Definieren des Layouts des Bearbeitungsfensters


Definieren der Farben im Bearbeitungsfenster

Dialogfeld "Farben des Bearbeitungsfensters"

Im Dialogfeld "Farben des Bearbeitungsfensters" können lediglich die Farben für Textmodi des Bearbeitungsfensters, wie beispielsweise "Befehlsmodus" und "DMIS-Modus" festgelegt werden.

Über die Menüoption Bearbeiten | Einstellungen | Farben des Bearbeitungsfensters wird das Dialogfeld Farben des Bearbeitungsfensters geöffnet. Diese Menüoption kann nur im Befehlsmodus aufgerufen werden.

Mit Hilfe des Dialogfelds Farben des Bearbeitungsfensters können Sie die Textfarben für das Bearbeitungsfenster und dessen Hintergrund definieren, wenn sich dieses im Befehlsmodus befindet. Außerdem können Sie das Farbschema exportieren, um es in anderen Computersystemen zu verwenden oder aber externe Farbschemata importieren.

Es gibt vier Hauptfarben, die entweder für alle oder aber für einzelne Befehle konfiguriert werden können. Sie sind in den vier Feldern im Bereich Farben der Befehle aufgelistet.

  • Markiert

  • Nicht Markiert

  • Schrittbetrieb

  • Fehler

Hauptfarben

Farbe für "Markiert": | Farbe für "Markiert" Diese Farbe kennzeichnet Elemente, die zur Ausführung markiert sind. Bestimmte Elemente, wie beispielsweise "Ausrichtungen", werden immer ausgeführt und daher immer in dieser Farbe angezeigt.
Nicht Markiert: | Farbe für "Nicht Markiert" ist die Standardfarbe. Wenn keine andere Bedingung erfüllt ist, wird die Standardfarbe verwendet.
Schrittbetrieb: | Schrittbetrieb Wenn Sie ein Werkstückprogramm ausführen und Unterbrechungspunkte verwenden, wird die Zeile, die als Nächste ausgeführt wird, mit dieser Farbe hervorgehoben.
Fehler: | Fehlerfarbe zeigt fehlerhafte Befehle oder Messungen, die außerhalb ihres geltenden Toleranzbereichs liegen. Wenn beispielsweise eine Tastspitze wieder aufgerufen wird, die nicht in der Tasterdatenbank enthalten ist, wird diese Tastspitze in der (Fehler-) Farbe für "Außerhalb des Toleranzbereichs" angezeigt.

Außerdem können Sie die Hintergrundfarben für das Bearbeitungsfenster und die Merkmale ändern.

Hintergrundfarbe: | Auch die Hintergrundfarbe des Bearbeitungsfensters kann in diesem Dialogfeld geändert werden.
Hintergrundfarbe der Merkmale | Hintergrundfarbe der Merkmale legt die Hintergrundfarbe der im Protokollmodus angezeigten Merkmalsprotokollfelder fest.

Siehe auch:

So können Sie die verwendeten Textfarben ändern:

So können Sie die verwendeten Hintergrundfarben ändern:

So exportieren Sie ein Farbschema:

So importieren und verwenden Sie ein Farbschema:


So können Sie die verwendeten Textfarben ändern:

  1. Wählen Sie in der Menüleiste die Option Bearbeiten | Einstellungen | Farben des Bearbeitungsfensters aus. Das Dialogfeld Farben des Bearbeitungsfensters wird eingeblendet.

  2. Markieren Sie das Kontrollkästchen Auto. Voransicht. Hier können Sie Ihre Änderungen im Bearbeitungsfenster anzeigen, während Sie die Eingaben vornehmen.

  3. SeleGeben Sie einen spezifischen Befehl oder einen übergeordneten Befehl aus der Befehlsliste in den BereichFarben der Befehle ein. Klicken Sie auf das Pluszeichen, um die Liste so zu vergrößern, dass zusätzliche Unterbefehle sichtbar werden. Jetzt können Sie die Hauptfarben Markiert, Nicht Markiert, Schrittbetrieb und Fehler) für bestimmte Befehle oder übergeordnete Befehle festlegen. Wählen Sie oben in der Liste Standard aus, um die Änderungen für den gesamten Befehlstext festzulegen.

  4. Klicken Sie für den Text einfach auf Bearbeiten. Es erscheint ein Farbauswahlfeld.

  5. Wählen Sie die neue Farbe aus, oder passen Sie eine Farbe an, indem Sie auf die Schaltfläche Farben definieren klicken.

  6. Klicken Sie auf OK. Das Farbauswahlfeld wird geschlossen. Wenn Sie einen übergeordneten Befehl ausgewählt haben, blendet PC-DMIS eine Option ein, in der Sie allen untergeordneten Befehlen dieselbe Farbe zuordnen können. Wählen Sie bei dieser Aufforderung entweder Ja oder Nein aus.

  7. Nachdem Sie die Farben definiert haben, klicken Sie auf die Schaltfläche Übernehmen, um die Änderungen anzuzeigen, ohne jedoch das Dialogfeld Farben des Bearbeitungsfensters zu schließen.

  8. Klicken Sie auf OK, um die Änderungen zu übernehmen und das Dialogfeld Farben des Bearbeitungsfensters zu schließen.

Die Farbänderungen werden sofort wirksam.


So können Sie die verwendeten Hintergrundfarben ändern:

  1. Wählen Sie in der Menüleiste die Option Bearbeiten | Einstellungen | Farben des Bearbeitungsfensters. Das Dialogfeld Farben des Bearbeitungsfensters wird eingeblendet.

  2. Markieren Sie das Kontrollkästchen Auto. Voransicht. Hier können Sie Ihre Änderungen im Bearbeitungsfenster anzeigen, während Sie die Eingaben vornehmen.

  3. Klicken Sie einfach auf die Schaltfläche Bearbeiten, um auf die Hintergrund- bzw. Markierungsfarben im Bereich Hintergrundfarbe zuzugreifen. Es erscheint ein Farbauswahlfeld.

  4. Wählen Sie die neue Farbe aus, oder passen Sie eine Farbe an, indem Sie auf die Schaltfläche Farben definieren klicken.

  5. Klicken Sie auf OK. Das Farbauswahlfeld wird geschlossen.

  6. Nachdem Sie die Farben definiert haben, klicken Sie auf die Schaltfläche Übernehmen, um die Änderungen anzuzeigen, ohne jedoch das Dialogfeld Farben des Bearbeitunsfensters zu schließen.

  7. Klicken Sie auf OK, um die Änderungen zu übernehmen und das Dialogfeld Farben des Bearbeitungsfensters zu schließen.

Die Farbänderungen werden sofort wirksam.


So exportieren Sie ein Farbschema:

  1. Wählen Sie in der Menüleiste die Option Bearbeiten | Einstellungen | Farben des Bearbeitungsfensters. Das Dialogfeld Farben des Bearbeitungsfensters wird eingeblendet.

  2. Nehmen Sie die erforderlichen Änderungen an Ihrem Farbschema vor.

  3. Klicken Sie auf die Schaltfläche Exportieren. Das Dialogfeld Speichern unter wird angezeigt. In diesem Dialogfeld können Sie das Farbschema des Bearbeitungsfensters als eine Farbdatei (eine Datei mit der Erweiterung clr) speichern.

Dialogfeld "Speichern unter"

  4. Navigieren Sie zu dem Verzeichnis, in das Sie diese Datei abspeichern möchten.

  5. Geben Sie im Feld Dateiname einen Namen für die gespeicherte Farbdatei ein.

  6. Klicken Sie auf Speichern.


So importieren und verwenden Sie ein Farbschema:

  1. Wählen Sie in der Menüleiste die Option Bearbeiten | Einstellungen | Farben des Bearbeitungsfensters. Das Dialogfeld Farben des Bearbeitungsfensters wird eingeblendet. Markieren Sie das Kontrollkästchen Auto. Voransicht. Hiermit können Sie die vorgenommenen Änderung im Bearbeitungsfenster anzeigen, nachdem Sie das Farbschema ausgewählt haben.

  2. Klicken Sie auf die Schaltfläche Import. Nun erscheint das Dialogfeld Öffnen.

  3. Navigieren Sie zur Farbschema-Datei (eine Datei mit der Erweiterung .clr).

  4. Wählen Sie die Datei aus und klicken Sie auf Öffnen. Das Dialogfeld wird geschlossen.

  5. Klicken Sie auf Übernehmen und dann auf OK, um das gerade importierte Farbschema anzuwenden.


Definieren des Layouts des Bearbeitungsfensters

Über die Menüoption Bearbeiten | Einstellungen | Layout des Bearbeitungsfensters wird das Dialogfeld Layout des Bearbeitungsfensters geöffnet. Das Dialogfeld enthält die Registerkarte Befehl. Mit dieser Registerkarte können Sie bestimmte Befehle im Bearbeitungsfenster ein- bzw. ausblenden.

Siehe auch:

Anzeigeoptionen für den Befehlsmodus


Anzeigeoptionen für den Befehlsmodus

Dialogfeld "Layout des Bearbeitungsfensters"

Dialogfeld "Layout des Bearbeitungsfensters" - Registerkarte "Befehl"

Auf der Registerkarte Befehl können Sie festlegen, welche der folgenden Anzeigeoptionen im Befehlsmodus verfügbar sind.

Elemente zeigen | Diese Option zeigt die vom Werkstückprogramm gemessenen Elemente an.
Ausrichtungen zeigen | Diese Option zeigt Ausrichtungsänderungen während des Werkstückprogramms an. Es werden alle Ausrichtungsänderungen angezeigt, die in der Liste der Merkmale oder in der Liste der Elemente auftreten.
Bewegungen zeigen | Diese Option zeigt alle Bewegungen an, die zum Werkstückprogramm hinzugefügt wurden.
Kommentare einblenden | Diese Option zeigt alle Kommentare an, die zum Werkstückprogramm hinzugefügt wurden. (Weitere Informationen finden Sie unter "Einfügen von Programmierkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".
Merkmale zeigen | Diese Option zeigt das angegebene Merkmal für das von PC-DMIS geprüfte Element an. Das Merkmal wird über den Befehl FORMAT im ausgewählten Format angezeigt. Dieser Befehl ist unter "Merkmalsformat" im Abschnitt "Verwenden des Bearbeitungsfensters".
Messpunkte anz. | Diese Option zeigt alle Messpunkte an.
Kopfzeile/Fußzeile zeigen | Diese Option zeigt die Kopf-/Fußzeilen der Dateien LOGO.DAT, HEADER.DAT und ELOGO.DAT an. (Informationen zur Änderung dieser Dateien finden Sie unter "Ändern von Kopf- und Fußzeilen" im Abschnitt "Verwenden des Bearbeitungsfensters".)
Tastspitzen zeigen | Diese Option zeigt die Dateinamen der Tastspitzen an, die bei der Prüfung des Werkstücks verwendet wurden.

Informationen zur Verwendung des Befehlsmodus finden Sie unter "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


 Machine Coordinate System check box Probe Position check box Last Hit check box Show Curret Probe Position on Screen check box Distance to Target with Auto Zoom check box Distance to Target check box Display Error of Last Measured Feature check box Use Polar Coordination check box Prompt History area OK button Cancel button Default button

Einrichten des Ergebnisanzeigefensters

Dialogfeld "Taster-Anzeige einrichten".

Einfaches Öffnen des Dialogfelds Taster-Anzeige einrichten durch einen Rechtsklick auf das Taster-Anzeigefenster und das Anklicken von Einrichten.

Im Dialogfeld Taster-Anzeige einrichten (Bearbeiten | Einstellungen | Taster-Anzeige einrichten) können Sie das gewünschte Format des Ergebnisanzeigefensters auswählen. Markieren Sie die Kontrollkästchen, die Ihren Erfordernissen in Bezug auf die Taster-Anzeige entsprechen. Wenn die Taster-Ergebnisanzeige dann über die dazugehörige Option wieder aufgerufen wird, erscheint sie im gewählten Format.

Informationen zur Verwendung des Taster-Anzeigefensters finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".

Siehe auch:

Anzeige in Maschinenkoordinaten

Tasterposition

Letzter Messpunkt

Aktuelle Tasterposition auf dem Bildschirm einblenden

Abstand zum Ziel

Abstand zum Ziel mit Auto-Zoom

Fehler des zuletzt gemessenen Elements anzeigen

Polare Koordinaten verwenden

Sichtfeldmitte (FOV) immer verfolgen

Zeigt Historie


Anzeige in Maschinenkoordinaten

Bei Auswahl des Kontrollkästchens Anzeige in Maschinenkoordinaten zeigt PC-DMIS die Informationen im Koordinatensystem der Maschine an, und nicht im Werstück-Koordinatensystem. In diesem Kontrollkästchen kann zwischen den beiden Koordinatensystemen umgeschaltet werden. Die Informationen werden durch deaktivieren des Kontrollkästchens wieder im Werkstück-Koordinatensystem angezeigt.


Tasterposition

Bei Auswahl des Kontrollkästchens Tasterposition zeigt PC-DMIS die aktuelle Position des Tasters an. Das Taster-Anzeigefenster zeigt die Tasterposition im aktiven Koordinatensysem an.


Letzter Messpunkt

Bei Wahl der Option Letzter Messpunkt zeigt PC-DMIS die Lage des letzten mit dem Taster aufgenommenen Messpunkts an.


Aktuelle Tasterposition auf dem Bildschirm einblenden

Das Kontrollkästchen Aktuelle Tasterposition auf dem Bildschirm einblenden unterscheidet sich von dem Kontrollkästchen Taster position dadurch, dass es eine grafische Darstellung des Tasters relativ zum KMG auf dem Bildschirm anzeigt. Das ist hilfreich, wenn Sie online arbeiten. Wenn Sie den Taster mit Hilfe der Jogbox bewegen, wird die grafische Darstellung des Tasters auf dem PC-DMIS-Bildschirm ebenfalls bewegt.


Abstand zum Ziel

Bei Auswahl der Option Abstand zum Ziel zeigt PC-DMIS den Abstand des Tasters zum Zielpunkt. Die Tasterposition wird im aktiven Koordinatensystem angezeigt. Bewegen Sie den Taster manuell zu der über die Tastatur eingegebenen Position. Wenn der Zielpunkt erreicht ist, erscheint die Angabe "0,0,0" im Taster-Anzeigefenster.


Abstand zum Ziel mit Auto-Zoom

Bei Auswahl der beiden Kontrollkästchen Abstand zum Ziel und Mit Auto-Zoom zeigt PC-DMIS den Tasterabstand um Zielpunkt an. Die Tasterposition wird im aktiven Koordinatensystem angezeigt. Wenn der Taster manuell zu der über die Tastatur eingegebenen Position bewegt wird, wird der Zielpunkt zum Mittelpunkt des Bildschirms und PC-DMIS vergrößert im Grafikfenster automatisch die entsprechende Punktdarstellung.


Fehler des zuletzt gemessenen Elements anzeigen

Bei Auswahl der Option Fehler des zuletzt gemessenen Elements anzeigen zeigt PC-DMIS mögliche Abweichungen entlang der XYZ-Koordinaten (und D bei kreisförmigen Elementen) für das zuletzt gemessene Element im Taster-Anzeigefenster an. Auch wenn keine Abweichung besteht, erscheint ein Wert für die Abweichung (in diesem Fall 0).


Polare Koordinaten verwenden

Bei Auswahl des Kontrollkästchens Polare Koordinaten verwenden schaltet PC-DMIS zwischen rechtwinkligen Koordinaten und Polarkoordinaten hin und her. Wenn Polare Koordinaten verwendet werden, wird auch die Normalrichtung der Arbeitsebene angezeigt.


Sichtfeldmitte (FOV) immer verfolgen

Wenn dieser Menüeintrag gewählt ist, zeigt PC-DMIS die Sichtfeldmitte eines berührungslosen Optiksensors. Dieser Eintrag erscheint nur dann, wenn ein berührungsloser Optiksensor definiert wurde.


Zeigt Historie

Bei Auswahl des Kontrollkästchens Bildschirm zeigt Historie zeigt PC-DMIS den neuen Kommentartyp der TasterErgebnisanzeige im Taster-Anzeigefenster an.

  • Über das Feld Anzeige Zeilen können Sie bestimmen, wie viele Zeilen PC-DMIS im Taster-Anzeigefenster selbst für diese Kommentare reservieren soll.

  • Über das Feld Zeichensatz wählen können Sie zudem die Schriftart und –größe bestimmen, die im Taster-Anzeigefenster für diese Kommentare verwendet werden soll.

Weitere Informationen hierzu finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".

Informationen zur Verwendung des Taster-Anzeigefensters finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".


Einrichten von Mehrarmsystemen

Weitere Einzelheiten zu den Einrichtungsverfahren finden Sie unter "Arbeiten im Mehrarmbetrieb".


Definieren des Drehtisches

Durch Auswahls der Menüoption Bearbeiten | Einstellungen | Drehtisch einrichten... wird das Dialogfeld Drehtisch einrichten angezeigt. In diesem Dialogfeld können Sie den Drehtisch definieren. Es ist jeweils nur eine Option pro Kategorie zulässig.

  1. Wählen Sie den Typ des verwendeten Tisches. Wird ein doppelter Drehtisch eingerichtet, geben Sie an, ob Tisch 1 oder 2 aktiv ist. Bei Auswahl von Doppelter Drehtisch wird außerdem die Symbolleiste Aktueller Drehtisch angezeigt, wenn Sie auf die Schaltfläche OK drücken. Diese Symbolleiste enthält zwei Symbole, mit denen Sie den aktiven Drehtisch festlegen können.

    Hinweis für einrastbare Drehtische:
    Einrastbare Drehtische verfügen über eine begrenzte Anzahl bestimmter Winkel, an denen sie positioniert werden können. Im Allgemeinen bewegen sie sich von einer bestimmten Position in festen Inkrementen (Drehgraden) zur nächsten verfügbaren Position. Der Inkrementalwert variiert allerdings je nach dem verwendeten Tisch. Ziehen Sie ggf. die zum Drehtisch gehörige Dokumentation zu Rate. Stufenlos einstellbare Drehtische können auf jede beliebige Position (in Grad) eingestellt werden.

  2. Stellen Sie fest, ob es sich um einen manuell- oder CNC-gesteuerten Drehtisch handelt, und markieren Sie die entsprechende Option.

Dialogfeld "Drehtisch einrichten"

  3. Wählen Sie aus der Liste Achse für Tisch die Maschinenachse aus, die der Drehachse für den Tisch am Nächsten liegt.

  4. Bestimmen Sie durch Auswahl der Liste Positive Drehungsrichtung eine positive Drehungsrichtung um die gewählte Achse entweder NACH RECHTS oder NACH LINKS.

  5. Geben Sie die XYZ- und IJK-Werte ein, falls bekannt.

  6. Klicken Sie auf Kalibrieren, um mit der Kalibrierung zu beginnen.

Hinweis: Die Menüoption Drehtisch einrichten... ist nur dann verfügbar, wenn die Anschlusssperre für Drehtische konfiguriert ist.

Siehe auch:

Drehtisch kalibrieren


Drehtisch kalibrieren

Je nachdem, welche Optionen im Dialogfeld Drehtisch einrichten ausgewählt sind (siehe " Definieren des Drehtisches" ), wird eines von zwei Dialogfelder geöffnet, wenn Sie auf die Schalftfläche Kalibrieren klicken.

  • Durch Auswahl der Option Tisch ist stufenlos verstellbar und der Schaltfläche Kalibrieren wird das Dialogfeld Stufenlos verstellbaren Drehtisch kalibrieren geöffnet.

  • Durch Auswahl der Option Tisch ist einrastbar und der Schaltfläche Kalibrieren wird das Dialogfeld Einrastbaren Drehtisch kalibrieren geöffnet.

Siehe auch:

E inrastbaren Drehtisch kalibrieren

Stufenlos verstellbaren Drehtisch kalibrieren


Einrastbaren Drehtisch kalibrieren

Einrastbaren Drehtisch kalibrieren

Im Dialogfeld Einrastbaren Drehtisch kalibrieren können Sie Optionen für die Kalibrierung des ausgewählten Tisches auswählen. Nach der Auswahl der Optionen im Dialogfeld klicken Sie auf die Schaltfläche Kalibrieren, um mit der Kalibrierung des Drehtisches zu beginnen.

Verwendungshinweis: Der einrastbare Drehtisch muss die Position 0 einschließen. Zusätzlich müssen alle Winkel, die tatsächlich im Werkstückprogramm verwendet werden, ebenfalls kalibriert werden. Bei diesem Kalibrierverfahren wird die Transformation aller anderen Winkel, die relativ zur 0-Position stehen, berechnet und gespeichert.

Kalibrierhinweis: Die Kalibrierung des einrastbaren Drehtisches erfordert gültige XYZ- und IJK-Werte für den Tisch, damit sie ordnungsgemäß ausgeführt werden kann. Diese können auf zwei Arten bereitgestellt werden:

1.) Wenn die Werte bekannt sind, können sie manuell in das Dialogfeld Drehtisch einrichten eingegeben werden. Dies ist normalerweise jedoch nicht der Fall.

2) Wählen Sie zuerst die Option Tisch ist stufenlos verstellbar und schließen Sie die Kalibrierung des stufenlos verstellbaren Drehtisches ab, der die XYZ- und IJK-Werte berechnet und speichert. Wählen Sie dann Tisch ist einrastbar und führen Sie die Kalibrierung des einrastbaren Drehtisches durch. Dieses Verfahren muss nur dann durchgeführt werden, wenn die Software erstmalig installiert/eingerichtet wird oder wenn der Drehtisch verlagert wurde oder wenn der Nullpunkt des KMG-Koordinatensystems geändert wurde. Wenn die XYZ- und IJK-Werte soweit eingestellt sind, dass die Kalibrierung des einrastbaren Drehtisches erfolgreich durchgeführt werden kann, ist es nicht erforderlich, die Kalibrierung für den stufenlos verstellbaren Drehtisch erneut aufzurufen, um die Kalibrierung des einrastbaren Drehtisches durchzuführen.

Drehtischwinkel hinzufügen

Im Bereich Drehtischwinkel hinzufügen können Sie die Liste der Drehtischwinkel definieren, die bei der Kalibrierung berücksichtigt werden sollen. Sie können entweder jeweils einen Winkel oder einen inkrementierten Winkelbereich definieren. Die definierten Winkel werden anschließend in der Liste Zu kalibrierende Winkel gespeichert. Beim Klicken auf Kalibrieren kalibriert PC-DMIS den Drehtisch unter Verwendung der definierten Winkel.

Beispiel: Um beispielsweise alle Winkel zwischen 5 und 95 Grad mit einer Gradzunahme von 10 zwischen jedem Winkel zu kalibrieren, geben Sie für die Felder Startwinkel, Endwinkel und Inkrement 5, 95 bzw. 10 ein und klicken dann auf die Schaltfläche Gleicher Abstand.

Liste "Zu kalibrierende Winkel"

Diese Liste enthält alle Tischwinkel für die Kalibrierung. Sie können dieser Liste Winkel aus dem Bereich Drehtischwinkel hinzufügen hinzufügen. In der Liste Zu kalibrierende Winkel muss der Nullwinkel verwendet werden.

Andere Dialogfeldparameter

Dieses Dialogfeld stellt viele der Optionen bereit, die auch im Abschnitt "Definieren von Hardware" beschrieben wurden.

  • Informationen zu den Optionen Anzahl der Messpunkte, Anfahr- / Rückfahrweg, Bewegungsgeschwindigkeit, Messgeschwindigkeit, Manuell / CNC , Liste der verfügbaren Kalibriernormale, Kalibriernormal hinzufügen und Kalibriernormal löschen finden Sie unter "Messen" im Abschnitt "Definieren von Hardware".

  • Siehe auch Aktive Tasterdatei und Aktive Tastspitze unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".


Stufenlos verstellbaren Drehtisch kalibrieren

Stufenlos verstellbaren Drehtisch kalibrieren

Das Dialogfeld Stufenlos verstellbaren Drehtisch kalibrieren unterscheidet sich vom Dialogfeld Einrastbaren Drehtisch kalibrieren in den folgenden Bereichen:

  • Anstelle der Liste Zu kalibrierende Winkel wird im Dialogfeld die Liste Tischwinkel angezeigt.

  • Sie müssen den Nullwinkel (0,0) in der Liste Tischwinkel nicht verwenden.

  • Anstelle der drei Kalibrierungstaster zeigt das Dialogfeld jetzt nur einen Kalibrierungstaster an.

Weitere Informationen zu anderen Optionen dieses Dialogfeldes finden Sie unter “Einrastbaren Drehtisch kalibrieren”.


Einrichten der Tasterwechsler-Optionen

Durch Auswahl der Menüoption Bearbeiten | Einstellungen | Tasterwechsler wird das Dialogfeld Tasterwechsler angezeigt.

Tasterwechsler (Dialogfeld)

In diesem Dialogfeld können Sie die verschiedenen Optionen für den Tasterwechsler einstellen. Bis Sie einen Tasterwechsler definieren, wird in diesem Dialogfeld nur die Registerkarte Typ angezeigt. Die anderen Registerkarten werden nach Auswahl des Tasterwechslertyps verfügbar.

Typ | Hier können Sie den Tasterwechslertyp bestimmen.
Kalibrieren | In diesem Register können Sie festlegen, welche aktiven Tastspitzen kalibriert werden sollen.
Anfahrpunkt | Hier können Sie die AB-Winkel der DSE ändern und eine sichere Position definieren, in die das KMG sich nach jedem Zyklus zurückziehen kann.
Tastergaragen | Hier können Sie die Tasterkonfiguration für vorhandene Tastergaragen im Tasterwechslermagazin definieren.
Kommunikation | Hier können Sie die Verbindung zwischen dem seriellen Anschluss des Computers und dem Tasterwechsler einstellen.

Diese Optionen werden im folgenden näher erläutert.

Eine detaillierte Beschreibung zum Einrichten und Kalibrieren eines Tasterwechslers finden Sie unter "Definieren von Tasterwechslern" im Abschnitt "Definieren von Hardware". Sie finden dort auch Informationen darüber, wie ein vorhandener Tasterwechsler im Grafikfenster angezeigt wird.

Siehe auch:

Typ

Kommunikation

Kalibrieren

Anfahrpunkt

Tastergaragen


Typ

Dialogfeld "Tasterwechsler" - Registerkarte "Typ"

Vor der Kalibrierung muss der Typ des Tasterwechslers bestimmt werden. Wählen Sie den Tasterwechslertyp in der Auswahlliste Tasterwechsler aus. Nach einer Änderung des Tasterwechslertyps muss PC-DMIS neu gestartet werden.

Die Kopplungsgeschwindigkeit kann geändert werden, um den Betrieb des Wechslerzyklus' optimal anzupassen. Geben Sie einfach einen neuen Prozentsatz zur Einstellung der Kopplungsgeschwindigkeit ein.

Siehe auch:

Aktueller Tasterwechsler

Anzahl der Tasterwechsler

Tasterwechslertyp

Kopplungsgeschwindigkeit


Aktueller Tasterwechsler

Je nach dem im Feld Anzahl der Tasterwechsler eingegebenen Wert werden in der Liste Aktueller Tasterwechsler numerierte Einträge (Tasterwechsler1, Tasterwechsler2, Tasterwechsler3 usw.) aufgeführt, denen Sie einen Tasterwechsler und die zugehörigen Werte zuordnen können.

Anfänglich zeigt PC-DMIS nur einen Eintrag in der Liste, in der Regel "Tasterwechsler1", an. Sie können der Liste weitere Einträge hinzufügen, indem Sie den Wert im Feld Anzahl der Tasterwechsler erhöhen.

In der Liste Aktueller Tasterwechsler speichert PC-DMIS den von Ihnen gewählten Tasterwechslertyp sowie andere Werte für den numerierten Eintrag.


Anzahl der Tasterwechsler

Im Feld Anzahl der Tasterwechsler können Sie die Anzahl der zu verwendenden Tasterwechsler festlegen. Der in dieses Feld eingegebene Wert entspricht der Anzahl der verfügbaren Tasterwechsler in der Liste Aktueller Tasterwechsler.


Tasterwechslertyp

Die verschiedenen Tasterwechslertypen sind in der Dropdown-Liste Tasterwechslertyp aufgeführt.


Kopplungsgeschwindigkeit

Im Feld Kopplungsgeschwindigkeit können Sie die Kopplungsgeschwindigkeit des Wechslerzyklus' festlegen.


Kommunikation

 Type Mount Point Calibrate Slots Ok button Cancel button Apply button Help button

Kommunikation Menü-Übersicht anzeigen

Dialogfeld "Tasterwechsler" - Registerkarte "Kommunikation"

Einige Tasterwechslertypen werden über den seriellen Anschluss (den Kommunikationsanschluss) an den Computer angeschlossen. In diesem Dialogfeld können Sie den COM-Anschluss bestimmen und die Anschlusseinstellungen festlegen. Weitere Informationen zu den COM-Anschlusseinstellungen finden Sie in der Dokumentation, die zusammen mit Ihrer Computer-Hardware geliefert wurde.

Die Registerkarte Kommunikation erscheint nur dann, wenn Ihr Tasterwechsler über den seriellen Anschluss an den Computer angeschlossen wird.


Kalibrieren

Dialogfeld "Tasterwechsler" - Registerkarte "Kalibrieren"

Bevor die Tasterkonfigurationen geladen werden, beachten Sie folgende Hinweise:

  • Der Taster muss auf der Registerkarte Typ ausgewählt und kalibriert sein.

  • Der Wechsler sollte im rechten Winkel zu einer der Achsen des KMGs stehen.

  • Der Tasterwechsler muss mit dem von Renishaw gelieferten Taster PS35R kalibriert werden.

  • Vergewissern Sie sich, dass der Taster kalibriert wurde, bevor Sie dieses Verfahren beginnen. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

ACHTUNG: Das optoelektronische IR-Erkennungssystem ist immer aktiv. Sollte es versehentlich ausgelöst werden, deaktiviert die PI200 (die Steuereinheit des Tasters) den TP200.

Siehe auch:

Aktueller Tasterwechsler

Aktuelle Tasterdatei

Aktuelle Tastspitze

Volles Einmessen

Partielles Einmessen

Einzelne Garage Einmessen

Kalibrieren


Aktueller Tasterwechsler

In der Liste Aktiver Tasterwechsler können Sie den zu kalibrierenden Tasterwechsler auswählen.

Weitere Informationen zu dieser Liste finden Sie unter "Aktueller Tasterwechsler" auf der Registerkarte Typ.


Aktuelle Tasterdatei

Im Dropdown-Listenfeld Aktive Tasterdatei können Sie einen Taster für das Kalibrierungsverfahren auswählen.


Aktuelle Tastspitze

In der Dropdown-Liste Aktive Tastspitze können Sie eine Tastspitzenkonfiguration für den ausgewählten Taster festlegen.


Volles Einmessen

Bei Auswahl der Option Volles Einmessen misst PC-DMIS den gesamten Tasterwechsler. Dies ist die am häufigsten verwendete Kalibrierungsmethode und für einige Wechslertypen die einzig verfügbare Methode. Es wird dringend empfohlen, eine volle Kalibrierung auszuführen.


Partielles Einmessen

Mit der Option Partielles Einmessen wird nur ein Teil des Tasterwechslers kalibriert. Beim ACR1 wird nur die Bezugselementkugel auf dem Tasterwechsler gemessen.


Einzelne Garage Einmessen

Bei einigen Tasterwechslern ist nach einer erfolgreichen vollen Kalibrierung auch die Messung einer einzelnen Tastergarage zulässig.

Die Option Einzelne Garage Einmessen ist nur verfügbar, wenn Sie mit einem ACR2- oder Zeiss-Tasterwechsler arbeiten.


Kalibrieren

Mit der Schaltfläche Kalibrieren können Sie das Kalibrierungsverfahren starten. Über diese Schaltfläche wird das Dialogfeld Tasterwechsler aufgerufen. Im Folgenden wird die Kalibrierung des Tasterwechslers näher erläutert.

So kalibrieren Sie den SCR200-Tasterwechsler:

  1. Vergewissern Sie sich, dass auf dem SCR200 der B-Modus eingestellt ist.

  2. Laden Sie den kalibrierten Taster PS35R.

  3. Nehmen Sie an der Vorderseite des Tasterwechslers einen Messpunkt auf.

  4. Nehmen Sie oben auf dem Tasterwechsler einen Messpunkt auf.

  5. Heben Sie die Abdeckung von Tastergarage Nr. 1 an. Während die Abdeckung sich in einer senkrechten Stellung befindet, schieben Sie sie zur Mitte hin, bis sie in dieser geöffneten Stellung einrastet. PC-DMIS fordert Sie dann auf, einen Messpunkt an jeder Seite der Tastergarage aufzunehmen.

  6. Nehmen Sie jeden Messpunkt auf dem unteren Gestell der Tastergarage im Tastermagazin auf (siehe Grafik). Es spielt keine Rolle, welche Seite der Tastergarage zuerst gemessen wird. Vergessen Sie nicht, nach jedem Messpunkt die Schaltfläche Fertig anzuklicken.

  7. Schließen Sie die Abdeckung von Tastergarage Nr. 1.

  8. Wiederholen Sie das Verfahren (Schritt 4 bis 6) an der letzten Tastergarage im Wechsler. Vergewissern Sie sich, dass die Abdeckung von Tastergarage Nr. 1 geschlossen ist, bevor Sie die Abdeckung der letzten Tastergarage öffnen. Die PI200 deaktiviert den TP200, wenn mehrere Abdeckungen gleichzeitig geöffnet sind.

Wenn Sie das oben beschriebene Verfahren abgeschlossen haben, klicken Sie im Dialogfeld Tasterwechsler auf OK.


Anfahrpunkt

Dialogfeld "Tasterwechsler" - Registerkarte "Anfahrpunkt"

Auf der Registerkarte Anfahrpunkt können Sie die AB-Winkel des DSE ändern und eine sichere Position definieren, in die das KMG sich vor jedem Wechslerzyklus zurückziehen kann.

Sie können dies für jeden Tasterwechsler durchführen, der anhand der Registerkarte Typ definiert wird. Wählen Sie den Tasterwechsler aus der Liste Aktueller Tasterwechsler aus und geben Sie die gewünschten AB-Winkel und die KMG-Position ein.

Siehe auch:

Aktueller Tasterwechsler

DSE-Winkel für Tastkopf

Maschinen-Position


Aktueller Tasterwechsler

In der Liste Aktueller Tasterwechsler können Sie den Tasterwechsler auswählen, für den die Winkel des AB-DSE und die KMG-Position definiert werden müssen.

Weitere Informationen zu dieser Liste finden Sie unter "Aktueller Tasterwechsler" auf der Registerkarte Typ.


DSE-Winkel für Tastkopf

Die Felder Winkel A und Winkel B geben die Position auf dem DSE-Arm an, während die Tasterkonfigurationen in Position geschoben werden. In praktisch allen Fällen sollte der Winkel eine gerade nach unten gerichtete Position angeben.

So ändern Sie die AB-Winkel aus einer Geraden nach unten gerichteten Position:

  1. Setzen Sie den Cursor in das Feld Winkel A bzw. Winkel B.

  2. Geben Sie den gewünschten Winkel ein.


Maschinen-Position

Im Bereich Maschinen-Position dieses Dialogfelds können Sie einen sicheren Ort für das KMG angeben, an den es sich vor jedem Wechslerzyklus zurückziehen kann. Im allgemeinen befindet sich dieser sichere Ort ca. 5 cm über und vor dem Tasterwechslermagazin. Je nach Typ des verwendeten Tasterwechslers könnte es jedoch erforderlich sein, eine andere Position zu definieren.

So ändern Sie die Werte für die Maschinen-Position:

  1. Markieren Sie den im Feld X, Y oder Z stehenden Wert, den Sie ändern wollen.

  2. Geben Sie den gewünschten Wert in das entsprechende Feld ein, oder wählen Sie die Schaltfläche KMG lesen, wenn die aktuelle Position des KMG eingefügt werden soll.


Tastergaragen

Dialogfeld "Tasterwechsler" - Registerkarte "Tastergaragen"

Bei einem Tasterwechsler handelt es sich um ein Gestell mit Steckplätzen, den sogenannten "Garagen", für verschiedene Tasterkonfigurationen. Auf der Registerkarte Tastergaragen können Sie die Tasterkonfiguration für jede zu verwendende Garage definieren. Die Standardeinstellung für jede Garage lautet "kein Taster". Sie können für jede Tastergarage des ausgewählten Tasterwechslers eine gesonderte Tasterkonfiguration definieren.

Siehe auch:

So definieren Sie die Tasterkonfiguration für jede Tastergarage

Manuelle Bearbeitung der Garagendaten

So setzen Sie einen bereits definierten Taster auf die Standardeinstellung "Kein Taster" zurück

Tastergaragen im Dialogfeld hinzufügen oder entfernen

Einen Taster ablegen ohne einen neuen Taster aufzunehmen


So definieren Sie die Tasterkonfiguration für jede Tastergarage

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Aktueller Tasterwechsler aus.

  2. Klicken Sie auf das Pluszeichen (+) links neben der Tastergaragennummer. Beachten Sie, dass PC-DMIS standardmäßig den Eintrag "Kein Taster" anzeigt.

  3. Doppelklicken Sie oder klicken Sie mit der rechten Maustaste auf den Eintrag "Kein Taster". Jetzt erscheint eine Liste.

  4. Weisen Sie jeder Tastergarage die entsprechende Tasterdatei zu. Jede Tasterkonfiguration muss mit dem KMG-Arm und der Option Aktuellen Taster laden in das Tastermagazin geladen werden. (Setzen Sie den Taster nicht von Hand in das Magazin ein!)


Manuelle Bearbeitung der Garagendaten

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Aktueller Tasterwechsler aus.

  2. Klicken Sie auf die Schaltfläche Bearbeite Garagen. Das Dialogfeld Tasterwechsler Garagendaten wird angezeigt. Über dieses Dialogfeld können Sie den Garagentyp oder die XYZ-Position ändern.

    Dialogfeld "Tasterwechsler Garagendaten"

  3. Wählen Sie den gewünschten Objekttyp, falls dieser dort verfügbar ist, im Listenfeld Art der Garagen aus. Diese Liste wird nur dann zur Auswahl eingeblendet, wenn Sie den FCR25-Tasterwechsler verwenden (der mit dem Taster SP25 eingesetzt wird). Mit dieser Liste haben Sie drei Möglichkeiten zur Konfiguration jeder Tastergarage.

    • Sie kann für einen Modulwechsel geöffnet sein.

    • Sie kann über eine Einsatzhalterung für ScanTastspitzen verfügen.

    • Sie kann über einen Einsatz für die Umschaltung zwischen Tastspitzen haben.

In der Liste Art der Garagensind Renishaw-Modellnummern für die Garageneinsätze etc. aufgeführt. Nähere Informationen zur Verwendung des FCR25-Tasterwechslers, zu dessen Einrichtung und der Verwendung von Garageneinsätzen entnehmen Sie bitte der entsprechenden Renishaw-Dokumentation.

  4. Definieren Sie die Position dieser Garage, indem Sie die Werte X, Y und Z (in Millimetern) in die Felder X, Y und Z eingeben.

  5. Klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und zeigt die XYZ-Werte für diese Garage im Dialogfeld Tasterwechsler. Direkt neben der Garage wird "Anstehende Änderungen" angezeigt.

  6. Wenn eine Garage auf ihren vorherigen Wert zurückgesetzt werden soll, wählen Sie diese Garage aus und klicken auf Bearbeite Garagen. Danach klicken Sie im Dialogfeld Tasterwechsler Garagendaten je nach Anwendungsfall entweder auf Wiederherstellen XYZ oder Ersetze Typ. Diese Schaltflächen stehen nur dann zur Auswahl bereit, wenn Sie im Dialogfeld Tasterwechsler bereits auf OK oder Übernehmen geklickt haben.

  7. Wenn Ihre Änderungen akzeptiert werden sollen, klicken Sie im Dialogfeld Tasterwechsler entweder auf OK oder Übernehmen.


So setzen Sie einen bereits definierten Taster auf die Standardeinstellung "Kein Taster" zurück:

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Aktiver Tasterwechsler aus.

  2. Doppelklicken Sie auf die Garage, die Sie ändern wollen. Jetzt erscheint eine Liste.

  3. Wählen Sie "Kein Taster" aus der verfügbaren Liste.


Tastergaragen im Dialogfeld hinzufügen oder entfernen

Einige Tasterwechslertypen lassen die Definition der Tastergaragenanzahl zu.

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Aktueller Tasterwechsler aus.

  2. Ändern Sie den Wert im Feld Anzahl der Garagen.

  3. Klicken Sie auf Übernehmen, um die Änderungen sofort zu übernehmen.

Wenn Ihr Tasterwechsler keine Änderung der Tastergaragenanzahl zulässt, ist das Feld Anzahl der Garagen deaktiviert.


Einen Taster ablegen ohne einen neuen Taster aufzunehmen

Gegebenenfalls soll der aktuelle Taster im Tasterwechsler abgelegt werden, ohne dass ein neuer Taster aus dem Wechsler geladen wird.

Vorgehensweise:

  1. Erzeugen Sie über das Dialogfeld Taster-Hilfsprogramme eine Pseudo-Tasterdatei für einen nicht vorhandenen Taster. Der Dateiname könnte etwa "entladen" lauten. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

  2. Klicken Sie auf die Schaltfläche Einrichten. Das Dialogfeld Taster einrichten wird angezeigt.

  3. Wählen Sie die besagte Tasterdatei aus der Liste Tasterdatei für das 'Nur Entladen' im Tasterwechsler aus.

  4. Klicken Sie auf OK, um das Dialogfeld Taster einrichten zu schließen.

  5. Öffnen Sie die Registerkarte Tastergaragen im Dialogfeld Tasterwechsler und vergewissern Sie sich, dass der Taster KEINER Tastergarage im Tasterwechsler zugewiesen ist.

  6. Klicken Sie auf OK, um das Dialogfeld Tasterwechsler zu schließen.


Verwalten von mehreren Tasterwechslern

Die folgenden Themen beschreiben die gängigeren Tastsysteme von heute (den TP2, ACR1, TP20 und TP200 und den SP600). Die dann folgenden Themen "Konfigurieren mehrerer Tasterwechsler" und "SP25 Taster/Taster-Wechselsystem" liefern detaillierte Beispiele darüber, wie mit mehreren Tasterwechslern gearbeitet werden soll.

Siehe auch:

Hintergrundinformation zum TP2

Hintergrundinformation zum ACR1

Hintergrundinformationen zum TP20 und TP200

Hintergrundinformationen zum analogen Taster SP600

Konfigurieren mehrerer Tasterwechsler

SP25 Taster/Taster-Wechselsystem


Hintergrundinformation zum TP2

Als Renishaw den kleinen schaltenden Taster (TP2) entwickelte, wurde er mit der KMG-Pinole mittels eines Tastkopfes, der mit einer M8-Verschraubung ausgestattet wurde, in einer Linie mit dem Taster angeschlossen. Die Konzeption erforderte jedoch eine Neukalibrierung des Tasters, jedes Mal, wenn dieser entfernt oder wieder befestigt wurde.

Um diese Vorgangsweise zu erleichtern, hat Renishaw einen Schnellverbindungsadapter ("QuickConnect" genannt) entwickelt, der eine Vierteldrehung des Schlüssels zur Sicherung und Entsicherung des Adapters vom KMG erforderte. Der TP2 schraubte sich in diesen Adapter. Dieser Adapter konnte sehr schnell und wiederholt abgenommen und wieder befestigt werden, ohne dass jedes Mal eine Neukalibrierung vorgenommen werden musste.


Hintergrundinformation zum ACR1

Der ACR1 war der erste Tasterwechsler, der von Renishaw eingesetzt wurde. Er konnte mit bis zu acht Schnellverbindungserweiterungen versehen werden, jede davon mit einem separaten TP2-Taster. Nachdem die Tasterkollektion einmal kalibriert und in den Wechsler platziert wurde, konnte sie automatisch durch einfache Bewegungsbefehle des KMGs abgelegt und aufgenommen und mit dem Mechanismus des Wechslers zum Sichern und Entsichern koordiniert werden. Ein Solftware-Modul zur Steuerung der Wechslervorgänge wurde schließlich entwickelt.


Hintergrundinformationen zum TP20 und TP200

Mit der Zeit haben Evolution und Entwicklung von Design und Elektronik den Weg für Alternativen zur TP2-Tasterkonzeption geebnet. Zudem war der Kauf von bis zu acht Tastern für manch einen Kunden unerschwinglich. Es wurden neue Taster entwickelt, an die neue Tasteradapter befestigt oder entfernt werden konnten. Daraus wurden die sogenannten Schnellverbindungsadapter entwickelt. Individuelle Tastergruppen konnten nun wiederholt und mit nur geringem Kostenaufwand entfernt oder befestigt werden.

Zu den zwei bekannteren Tastertypen dieser Konzeption von Renishaw gehören der TP20 und der TP200. Diese Tastertypen sind dem TP2 in Größe und Form in etwa gleich. Allerdings gibt es zwei wichtige Unterschiede:

  • Augrund der verbesserten Elektronik können sie trotz größerer Belastungen genauere und wiederholbare Ergebnisse erzielen.

  • Sie sind mit einer magnetischen 'Trennvorrichtung' zwischen dem oberen Teil des Tasters und dem unteren Teil des Tasterhalters ausgestattet. Dadurch können Sie zusammen mit dem eigenen Tasterwechsler-Magazin verwendet werden, dem MCR20 bzw. SCR200.


Hintergrundinformationen zum analogen Taster SP600

Ein weiterer Fortschritt ist der populäre analoge Taster SP600. Mit diesem Taster können Sie sowohl analoge Scans als auch Messungen mit schaltenden Tastsystemen durchführen. Obwohl der SP600 sehr viel größer ist als die übrigen Modelle schaltender Taster, kann ein magnetischer Tasterhalter vom Gerät getrennt werden. Dementsprechend ist der SP600 mit einem eigenen Wechsler ausgestattet, dem SCR600 Tasterwechsler.


Konfigurieren mehrerer Tasterwechsler

Obwohl auch andere Tastsysteme auf dem Markt verfügbar sind, handelt es sich bei den vier wichtigsten Tastsystemen, wie bereits besprochen, um das TP2-, TP20-, TP200- und SP600-System. Jedes dieser Systeme ist mit einem eigenen Wechsler ausgestattet und ist in der Lage, als ein einziger Tasterwechsler zu funktionieren. Sie können aber auch mehr als einen Wechsler mit einem KMG verwenden. Die Software von PC-DMIS ermöglicht ein hin- und herbewegen zwischen den Wechslern, um Taster und Tasterhalter je nach Bedarf abzusetzen oder aufzunehmen.

Achtung:

  • Jeder Wechsler hat eine eigene Kalibriermethode in PC-DMIS. Obwohl es viele Übereinstimmungen gibt, sind die Wechsler, was Kalibrierzwecke angeht, völlig unabhängig voneinander.

  • Der Sicherheits-Bewegungspunkt für jeden Wechsler ist nur dem Magazin zugehörig, obwohl dem nächsten Anfahrort einige Beachtung geschenkt werden sollte. Aus diesem Grund sollte die Sicherheitsebenenbewegung an einer Stelle stattfinden, an der ein freier Zugang zu anderen involvierten Wechslern gesichert ist. Auch bei der Verwendung eines einzigen Wechslers muss die Sicherheitsebenenbewegung ausreichend sein, um zu den Vorgängen der Werkstückinspektion zu gelangen und wieder zurückzukehren.

  • Das Definieren der Garageninhalte für mehrere Tasterwechsler ist der schwierigste Teil der Konfiguration mehrerer Tasterwechsler für die simultane Anwendung. Da jede Garage Taster mit mehreren Verweisen enthalten könnte (der Inhalt der Garage kann mit mehreren Tastern verwendet werden), muss jede Garage in der Lage sein, jeden der Taster, der sie verwenden könnte, zu identifizieren.

Siehe auch:


Beispiel mit mehreren Tasterverweisen

Angenommen, Sie haben die folgenden drei Tasterkonfigurationen:

TASTER_01 | TASTER_02 | TASTER_03
Auto-Schnellverbindungsadapter | Auto-Schnellverbindungsadapter | Auto-Schnellverbindungsadapter
TP2 | TP20 | TP20
3mm x 10mm -Taster | 2mm x 10mm -Taster | 4mm x 20mm -Taster

Der ACR1 schaltet zwischen den Tastern TP2 und TP20 hin und her. Der MCR20 schaltet zwischen den Tastern, die dem(den) TP20-Tastsystem(en) zugeordnet sind, hin und her.

Eine typische Garagendefinition würde folgendermaßen aussehen:

ACR1 |  | MCR20
Garage 1 | Garage 2 | Garage 1 | Garage 2
Taster_01 | Taster_02 | Taster_02 | Taster_03
 | Taster_03 |  |

Bei der Durchführung verwendet das System beispielsweise den TASTER_01 und muss auf TASTER_02 umschalten. Das System geht so vor:

  • Halten Sie das Messprogramm an.

  • Navigieren Sie zum Sicherheitsbereich für den ACR1.

  • Geben Sie den derzeitig geladenen Taster an Garage 1 des ACR1 zurück.

  • Gehen Sie zur Garabe 2 des ACR1 und nehmen Sie den TP20 für TASTER_02 auf.

  • Verwenden Sie die entsprechenden Sicherheitspunkte und gehen Sie zum MCR20.

  • Gehen Sie in die Garage 1 des MCR20, um den Tasteradapter mit dem gewünschten Taster zu befestigen.

  • Gehen Sie zum Sicherheitspunkt des MCR20 zurück.

  • Fahren Sie mit dem Messprogramm fort.

Angenommen, das System benötigt nach der Messung einiger Elemente den Einsatz von TASTER_03. In diesem Fall wird so vorgegangen:

  • Halten Sie das Messprogramm an.

  • Navigieren Sie zum Sicherheitsbereich für den MCR20.

  • Gehen Sie in die Garage 1, um den TASTER-02 abzusetzen.

  • Navigieren Sie aus der Garage heraus, dann in die Garage 3 und nehmen Sie den angeforderten TASTER_03 auf.

  • Navigieren Sie zum Sicherheitsbereich.

  • Fahren Sie mit dem Messprogramm fort.

Nehmen Sie nun an, das System muss vom TASTER-03 (dem TP20 mit dem 4mm x 20mm - Taster) zurück auf den Taster_01 wechseln (dem TP2 mit dem 3mm x 10mm - Taster). Folgendes geschieht:

  • Halten Sie das Messprogramm an.

  • Navigieren Sie zum Sicherheitsbereich für den MCR20.

  • Gehen Sie in die Garage 2 und setzen Sie die Tasterbaugruppe ab.

  • Gehen Sie zum Sicherheitsbereich des MCR20 zurück.

  • Navigieren Sie zum Sicherheitsbereich des ACR1.

  • Gehen Sie in die Garage 2 und setzen Sie die TP20-Baugruppe ab.

  • Navigieren Sie aus der Garage heraus und kehren Sie zur Garage 1 zurück, um die TP2-Baugruppe (der TP2 ist bereits mit dem Tasterwechsler verbunden) aufzunehmen.

  • Navigieren Sie zum Sicherheitsbereich für den ACR1.

  • Fahren Sie mit dem Messprogramm fort.

Beachten Sie, dass Sie bei diesem Beispiel nur einen TP20-Taster benötigen. Sie verwenden den MCR20, um zwischen den verschiedenen Tasterwechsler-Baugruppen für unterschiedliche Messanforderungen hin- und herzuschalten.


SP25 Taster/Tasterwechsler-System

Der Taster SP25 ist eine Erweiterung der üblicherweise verwendeten Tasterwechsler. Erläutert werden zunächst die Taster ARC1 und TP20 und dann der Tasterwechsler SP25.

Siehe auch:

I nformationen zum Tasterwechsler ARC1

Informationen zum ARC1 mit einem TP20-Tasterwechsler

Informationen zum Tasterwechsler SP25


Informationen zum Tasterwechsler ARC1

Wenn mit dem ACR1 gearbeitet wird, verwendet das System den Schnellverbindungsadapter für die Verbindung zwischen dem Tastkopf und dem Taster selbst. Alle Garagen im ACR1 sind identisch. Wenn sich also ein SP600 in Garage1 befindet, würde die Verbindung zum Tastkopf direkt hergestellt. Wenn Sie einen TP2 in Garage2 ablegen, muss ein Adapter an den TP2 angeschlossen werden (wie bei den Tastsystemen TP20 und TP200).

Unter Berücksichtigung dieser Konfiguration muss nur ein Tastername für jede Garage definiert werden. Technisch gesehen ist der ACR1 ein Tasterwechsler. Jeder Taster ist bereits mit einem Wechsler befestigt, wenn er sich im Magazin befindet.

Angenommen, folgende Taster sollen dem ARC1-Magazin zugeordnet werden: "SP600", "TP2", "TP20" und "TP200". Die Garagendefinitionen im ARC1-Magazin würden wie folgt aussehen:

GARAGE 1 | GARAGE 2 | GARAGE 3 | GARAGE 4
SP600 | TP2 | TP20 | TP200


Informationen zum ARC1 mit einem TP20-Tasterwechsler

Wenn Sie nun den ACR1 mit einem TP20 (einem Tasterwechsler) kombinieren möchten, werden die Dinge etwas komplizierter: Der ACR1 schaltet zwischen den Tastern SP600 und TP20 hin und her. Nachdem der TP20 vom System aufgenommen wurde, bewegt er sich zum Magazin MCR20, um einen entsprechenden Taster aufzunehmen.

Angenommen, Sie möchten drei verschiedene Tasterwechsler mit dem TP20 verwenden, und angenommen, der SP600 wird als einziger Taster verwendet (kein Tasterwechsel).

Beim Definieren der Garagen empfiehlt es sich, den SP600-Taster "SP600_1" und den Taster TP20 mit unterschiedlichen Wechslern, und den "TP20_1", den "TP20_2" und den "TP20_3" aufzurufen.

Die Garagen im Tasterwechsler ACR1 würden folgendermaßen definiert:

GARAGE 1 | GARAGE 2 | GARAGE 3 | GARAGE 4
SP600 | TP2 | TP20_1 | TP200
 |  | TP20_2 |
 |  | TP20_3 |

Die Garagen im Tasterwechsler TP20 würden folgendermaßen definiert:

GARAGE 1 | GARAGE 2 | GARAGE 3 | GARAGE 4
TP20_1 | TP20_2 | TP20_3 | leer


Informationen zum Tasterwechsler-System SP25

Die Logik der oben behandelten Themen kann auf des Tasterwechsler-System SP25 ausgeweitet werden. Dieser Wechsler weist zwei verschiedene Arten von Tasterkomponenten aus. Für den einen Typ wird die Garage in 'leer' kalibriert und für den zweiten Typ wird eine Garage mit einem Einsatz kalibriert.

In den folgenden Erläuterungen geht es nicht mehr um die zuvor beschriebene Bezugnahme auf den SP600, TP2, TP20 und TP200, da das Tasterwechslersystem SP25 stattdessen folgende Komponenten verwendet:

q SP25M

q SM25-x

q SH25-x

Weitere Informationen zu den SP25M- und FCR-25-Systemen finden Sie im Internet durch klicken auf folgende Symbole:

  • SP25M

  • FCR-25

Das SP25M-System kann sich sowohl an jede der drei verschiedenen SM25-Module mit unterschiedlichen Längen und Gewichten, als auch an ein viertes Modul, das mit dem TP20 Verwendung findet, anpassen. Sie alle verwenden den gleichen SP25M-Taster.

  1. SM25-1-Modul - Dieses Modul kann nur den SH25-1-Tasterhalter akzeptieren und wird für Taster mit einer Länge von 20-50mm verwendet.

  2. SM25-2-Modul - Dieses Modul kann nur den SH25-2-Tasterhalter akzeptieren und wird für Taster mit einer Länge von 50-105mm verwendet.

  3. SM25-3-Modul - Dieses Modul kann nur den SH25-3-Tasterhalter akzeptieren und wird für Taster mit einer Länge von 120-200mm verwendet. Jedes der SM25-x-Module ist in der Lage, mit einem schaltenden Taster zu arbeiten und kann auch beim Scannen eingesetzt werden.

  4. TM25-20-Modul - Dieses Modul kann nur den TP20-Tasterhalter akzeptieren und wird nur bei schaltenden Tastsystemen eingesetzt.

Siehe auch:


Beispiel eines SP25 mit mehreren Tastern

Angenommen, Ihr SP25-Wechsler ist mit folgenden sechs Taster-Baugruppen ausgestattet, die fest im Tastkopf eingebaut sind:

P1 | P2 | P3 | P4 | P5 | P6
SP25M | SP25M | SP25M | SP25M | SP25M | SP25M
SM25-1 | SM25-1 | SM25-2 | SM25-3 | TM25-20 | TM25-20
SH25-1 | SH25-1 | SH25-2 | SH25-3 | TP20 | TP20
2mm x 20mm - Taster | 4mm x 30mm - Taster | 6mm x 80mm - Taster | 8mm x 100mm - Taster | 2mm x 20mm - Taster | 4mm x 20mm - Taster

Definieren Sie die Garagen des FCR25-Magazins mit Komponenten, aus denen sich die diversen Tasterkonfigurationen zusammensetzen. Die erste Tabelle zeigt die Garagen mit den Komponenten für die oben stehenden Tasterkonfigurationen an.

GARAGE 1 | GARAGE 2 | GARAGE 3 | GARAGE 4 | GARAGE 5 | GARAGE 6
P1 | P1 | P2 | P3 | P4 | P5*
P2 |  |  |  |  |

Im Einzelnen weisen die Garagen folgende Komponenten auf:

GARAGE 1 | GARAGE 2 | GARAGE 3 | GARAGE 4 | GARAGE 5 | GARAGE 6
SM25-1 | SH25-1 | SH25-1 | SH25-2 | SM35-3 | TM25-20
 | 2mm x 20mm - Taster | 4mm x 20 mm - Taster | 6mm x 80mm - Taster | SH25-3 | TP20*
 |  |  |  | 8mm x 100 mm - Taster | 2mm x 20mm - Taster*

Garage 1 enthält nur das Modul SM25-1. Dafür wird kein Einsatz verwendet. Diese Komponente ist direkt mit dem SP25 befestigt, der den Zusatz des SH25-1 mit dem 2mm-Taster aus Garage 2 oder dem 4mm-Taster aus Garage 3 erfordert.

Garage 2 enthält den Tasterhalter SH25-1 mit einem befestigten 2mm x 20mm - Taster. Dies erfordert einen Einsatz in der Garage, um die physikalischen Charakteristika der Garage für diese Komponente zu adaptieren. Diese Komponente benötigt ein SM25-1-Modul (in Garage 1 gefunden). Nachdem das SM25-1 aufgnommen wurde, ist die Tasterbaugruppe vollständig.

Garage 3 enthält den Tasterhalter SH25-1 mit einem befestigten 4mm x 30mm - Taster. Dies erfordert einen Einsatz in der Garage, um die physikalischen Charakteristika der Garage für diese Komponente zu adaptieren. Diese Komponente bnötigt ein SM25-1-Modul (in Garage 1 gefunden). Nachdem das SM25-1 aufgnommen wurde, ist die Tasterbaugruppe vollständig.

Garage 4 enthält den Tasterhalter SH25-2 mit einem befestigten 6mm x 80mm - Taster. Dafür wird kein Einsatz verwendet. Nachdem das SH25-2 aufgnommen wurde, ist die Tasterbaugruppe vollständig.

Garage 5 enthält den SM25-3 mit dem Tasterhalter SH25-3 und einem befestigten 8mm mal 100mm - Taster. Dafür wird kein Einsatz verwendet. Nachdem dies aufgnommen wurde, ist die Tasterbaugruppe vollständig.

Garage 6 enthält nur das TM25-20-Modul. Dafür wird kein Einsatz verwendet. Diese Komponente ist direkt mit dem SP25M verbunden.

* Bei der Verwendung mit einem einzigen Taster kann das Tastermodul und Taster TP20 noch in der Garage mit dem TM25-20-Modul befestigt werden. Ein zusätzlicher Tasterwechsler ist somit nicht erforderlich. Bei der Verwendung mit mehreren Tastern jedoch (wie in diesem Beispiel) hat das TM25-20-Modul keine anderen Komponenten während des Aufenthalts in der Garage, erfordert aber zusätzliche FCR25-Garagen, die mit Adaptern ausgestattet sind, die speziell für TP20-Modul/Taster-Kombinationen konzipiert wurden. Für dieses Beispiel würden die 3 zusätzlichen Anschlüsse etwa folgendermaßen aussehen:

GARAGE 7 | GARAGE 8 | GARAGE 9
P5 | P6 | leer

GARAGE 7 | GARAGE 8 | GARAGE 9
TP20 | TP20 | leer
2mm x 20mm - Taster | 4mm x 20mm - Taster |

Bei Verwendung von P1 legt das KMG jede vorhandene Komponente ab. Dann nimmt das KMG den SM25-1 aus Garage 1 des FCR25 und fährt dann mit der Aufnahme des SH25-1 aus Garage 2 desselben Magazins fort.

Bei Verwendung von P2 legt das KMG jede vorhandene Komponente ab. Dann nimmt das KMG den SM25-1 aus Garage 1 des FCR25 auf und fährt dann mit der Aufnahme des SH25-1 aus Garage 3 desselben Magazins fort.

Bei Verwendung von P3 legt das KMG jede vorhandene Komponente ab. Dann nimmt das KMG die Kombination aus SM25-2 und SH25-2 aus Garage 4 auf. Damit wäre die Tasterbaugruppe komplett.

Bei Verwendung von P4 legt das KMG jede vorhandene Komponente ab. Dann nimmt das KMG die Kombination aus SM25-3 und SH25-3 aus Garage 5 auf. Damit wäre die Tasterbaugruppe komplett.

Bei Verwendung von P5 legt das KMG jede vorhandene Komponente ab. Daraufhin nimmt das KMG den TM25-20 aus Garage 6 des FCR25 auf und fährt dann mit der Aufnahme der Kombination aus TP20-Modul/Taster aus Garage 7 des FCR25 fort.

Bei Verwendung von P6 legt das KMG jede vorhandene Komponente ab. Daraufhin nimmt das KMG den TM25-20 aus Garage 6 des FCR25 auf und fährt dann mit der Aufnahme der Kombination aus TP20-Modul/Taster aus Garage 8 des FCR25 fort.

Wie auch bei anderen Tasterwechslern und Taster-Baugruppen werden Komponenten in umgekehrter Reihenfolge abgelegt, wie sie zuvor aufgenommen wurden.


Laden des aktuellen Tasters

Über den Menübefehl Bearbeiten | Einstellungen | Aktuellen Taster laden wird der für das Werkstückprogramm erforderliche aktuelle Taster geladen. Während das Programm im Lernmodus läuft, können Sie die geladene(n) Tasterdatei(en) im Dialogfeld Taster-Hilfsprogramme ändern (Einfügen | Hardwaredefinition | Taster). Im Dialogfeld Taster wechsler einrichten (Bearbeiten | Einstellungen | Tasterwechsler) können Sie die entsprechenden Tasterkonfigurationen für jede zu verwendende Tastergarage definieren. Mit Hilfe der Option Aktuellen Taster laden können Sie die Maschine dann anweissen, die erforderliche(n) Tasterkonfiguration(en) zu wechseln.


Einrichten der KMG-Schnittstelle

Diese Option ist nur im Online-Modus verfügbar.

Mit der Menüoption Bearbeiten | Einstellungen | KMG-Schnittstelle einrichten wird das Dialogfeld KMG-Optionen für die jeweils verwendete Maschinenschnittstelle aufgerufen. Obgleich der Inhalt der Registerkarten für die Schnittstellen im Dialogfeld, je nach verwendeter Schnittstelle, stark variieren kann, enthalten die Registerkarten gewöhnlich folgende Setup-Informationen:

  • KMG- und Tastkopf-Kommunikation

  • Mechanische Versätze

  • Achsenausrichtung

  • Debug-Informationen

Die Option KMG-Schnittstelle einrichten ist nur im Online-Modus verfügbar.

Vorsicht: In den meisten Fällen sollten Sie keinen der Werte in diesem Dialogfeld ändern. Im Falle einiger Einträge in diesem Dialogfeld, wie beispielsweise im Bereich Mechanische Versätze, werden die Werte für Ihr KMG, die auf dem Festplattenlaufwerk der Steuereinheit gespeichert sind, dauerhaft überschrieben. Im Falle von Fragen, wie und wann das Dialogfeld KMG-Optionen zu verwenden ist, wird empfohlen, sich an Ihren Kundendienstbetreuer vor Ort zu wenden.

Die Parameter des Dialogfelds KMG-Optionen werden für die folgenden KMG-Schnittstellen erläutert:

Axila

Backtalk (B&S)*

Bright

DEA

Elm

Embboard (B&S)*

Faro

Federal

GOM

Johansson

Leitz

LK-Treiber

LKRS232

Manmiti

Manmora

Metrocom/Metromec

Metrolog

Mitutoyo

Mora

MZeizz

Numerex

Omnitech

Reflex

Renishaw

Romer

Sharpe

Sheffield

Tech80

Theodole

Wenzel

Zeiss

ZssGPIB

*B&S = Brown & Sharpe

Die Installation und Einrichtung der verschiedenen Schnittstellen werden in der Installationsdokumentation (Machine_Interface_Installation_Manual.doc) beschrieben.

Siehe auch:

Zuweisung der Maschinenachsen

Erzeugen einer Debug-Datei

OIT-Kommunikation

DSE-Kommunikation

Drehtisch-Einstellungen

Einrichten des Kommunikationsprotokolls

Einstellen des Achsen-Maßstabs

DSE-Konfiguration


Zuweisung der Maschinenachsen

Dialogfeld "KMG-Optionen" - Registerkarte "Achse"

Die Registerkarte Achse enthält Listen für die X-, Y- und Z-Achsen. Wählen Sie aus diesen Auswahllisten die systemeigenen Maschinenachsen, die den PC-DMIS-Achsen zugewiesen werden. ACHTUNG: die von Ihnen definierte Achsenrichtung MUSS ein rechthändiges Koordinatensystem bilden.

Vorsicht: Eine Änderung der Standardeinstellungen in der Registerkarte Achse kann die volumetrische Kompensation des KMGs ungültig machen (je nach Art der verwendeten Steuereinheit und des volumetrischen Kompensationsverfahrens).


Erzeugen einer Debug-Datei

PC-DMIS bietet die Möglichkeit, eine besondere Textdatei zu erstellen. Sie enthält die gesamte Kommunikation, die während der Ausführung des Werkstückprogramms zwischen PC-DMIS und dem KMG stattfindet. Diese Datei wird als Debug-Datei bezeichnet und vom technischen Kundendienst genutzt, um bestimmte Probleme in Zusammenhang mit dem KMG zu lösen.

Die Debug-Datei führt alle Befehle, die PC-DMIS an das KMG sendet, alle erhaltenen Reaktionen und alle durch die Steuereinheit erzeugten Fehlermeldungen auf.

Wenn Sie wiederholbare Probleme in Zusammenhang mit der KMG-Bewegung im Online-Modus feststellen, können Sie selbst eine Debug-Datei erstellen. Vorgehensweise:

1. Wählen Sie im Dialogfeld KMG-Optionen (Bearbeiten | Einstellungen | KMG Schnittstelle einrichten) die Registerkarte Fehler suchen aus.

KMG-Optionen - Registerkarte "Fehler suchen"

2. Aktivieren Sie das Kontrollkästchen Protokoll.

3. Geben Sie im Feld neben dem Kontrollkästchen Protokoll einen Namen für die Debug-Datei ein. Der Standarddateiname lautet debug.txt. Wenn Sie möchten, können Sie auch den vollen Verzeichnispfad vor den Dateinamen setzen, um das Laufwerk und Verzeichnis zu bestimmen, in das die Debug-Datei gesendet werden soll. Standardmäßig schreibt PC-DMIS die Debug-Datei in das Verzeichnis, in dem PC-DMIS installiert ist.

4. Klicken Sie auf Übernehmen und dann auf OK. Das Dialogfeld wird geschlossen.

5. Führen Sie das Werkstückprogramm aus und beenden Sie PC-DMIS sofort, wenn Sie auf den Fehler stoßen.

6. Navigieren Sie zum Verzeichnis, das Ihre Debug-Datei enthält und benennen Sie die Debug-Datei um. Wenn Sie die Debug-Datei nicht umbenennen, wird PC-DMIS beim nächsten Programmstart automatisch alle in der Debug-Datei gespeicherten Daten überschreiben.

Es wird empfohlen, die Debug-Datei, die Werkstückprogrammdatei (.prg), die Taster datei (.prb) und alle anderen erforderlichen Dateien an Ihren Technischen Kundendienstbetreuer zu senden.

Siehe auch:

Erzeugen einer neuen Debug-Datei

Zusätzliche Debug-Optionen einstellen


Erzeugen einer neuen Debug-Datei

Aktivieren Sie in der Registerkarte Fehler suchen das Kontrollkästchen Protokoll bei Ausführungsbeginn zurücksetzen, um eine neue Debug-Datei zu erstellen und alle vorhandenen Daten zu entfernen. PC-DMIS wird die Inhalte der vorhandenen Debug-Datei dann jedesmal, wenn die Ausführung eines Werkstückprogramms gestartet wird, zurücksetzen.

Wenn Sie Protokoll bei Ausführungsbeginn zurücksetzen deaktivieren, ergänzt PC-DMIS die vorhandene Protokolldatei durch einen Anhang anstatt die Inhalte zu löschen.


Zusätzlichen Optionen zur Fehlersuche

Zusätzliche Debug-Optionen einstellen

Sie können bestimmen, welche Art von Debug-Informationen protokolliert werden und wohin diese gesendet werden sollen.

  • Klicken Sie auf das Kontrollkästchen Fenster und geben Sie im Feld rechts einen Namen für das Fenster an. Debug-Informationen werden in diesem Fenster zum Überprüfen angezeigt.

  • Geben Sie Keine, Beide, Protokoll oder Fenster neben Positionsprotokolle an, um Positionsprotokolle von PC-DMIS aufzuzeichnen.

  • Geben Sie Keine, Beide, Protokoll oder Fenster neben Von KMG an, um Debug-Informationen, die vom KMG an den Computer gesendet werden, aufzuzeichnen. Nicht alle Schnittstellen unterstützen diese Option.

  • Geben Sie Keine, Beide, Protokoll oder Fenster neben Von CPU an, um Debug-Informationen, die vom Computer an das KMG gesendet werden, aufzuzeichnen. Nicht alle Schnittstellen unterstützen diese Option.


OIT-Kommunikation

Dialogfeld "KMG-Optionen" - Registerkarte "Oit"

Über die Registerkarte Oit können Sie den seriellen Anschluss an das OIT-Gerät konfigurieren. Sie können den Kommunikationsanschluss (COM-Anschluss) wählen und dessen Einstellungen ändern. Weitere Informationen zu den COM-Anschlusseinstellungen finden Sie in der Dokumentation, die zusammen mit Ihrer Computer-Hardware geliefert wurde. Verfügbare OIT-Typen sind TESA, VORNE und GE.


DSE-Kommunikation

Dialogfeld "KMG-Optionen" - Registerkarte "DSE"

Über die Registerkarte DSE können Sie den seriellen Anschluss an die Dreh-Schwenk-Einheit (DSE) konfigurieren. Sie können den Kommunikationsanschluss (COM-Anschluss) wählen und dessen Einstellungen ändern. Weitere Informationen zu den COM-Anschlusseinstellungen finden Sie in der Dokumentation, die zusammen mit Ihrer Computer-Hardware geliefert wurde.


Drehtisch-Einstellungen

Dialogfeld "KMG-Optionen" - Registerkarte "Drehtisch"

Über die Registerkarte Drehtisch können Sie die Drehtischoptionen für die Schnittstelle konfigurieren.

Beschleunigung - Dies ist die maximale Beschleunigung für den Drehtisch. Normalerweise wird dieser Wert aus den Einstellungen der Steuereinheit gelesen.

Geschwindigkeit - Dies ist die maximale Geschwindigkeit für den Drehtisch. Normalerweise wird dieser Wert aus den Einstellungen der Steuereinheit gelesen.

Auflösung - Hiermit wird der Maßstab für den Drehtisch festgelegt.

Versatz - Der Drehtischnullpunkt stimmt möglicherweise nicht mit dem Maschinennullpunkt überein. Wenn sich der Drehtisch nach der Nullpunktfahrt in der Nullposition befinden soll, dann entspricht dieser Wert dem Winkel, dem sich der Tisch nach der Nullpunktfahrt entgegendrehen soll. Das zweite Feld neben dem Feld "Versatz" ist für einen zweiten Drehtisch vorgesehen.

Min. Delta - Dies ist die minimale Differenz zwischen der aktuellen und der angeforderten Tischposition. Wenn sich die Differenz unter diesem Wert befindet, wird die angeforderte Tischdrehung ignoriert.

Tisch - Wählen Sie diese Option, wenn Ihre Maschine mit einem Drehtisch ausgestattet ist.

Doppeltisch - Wählen Sie diese Option, wenn Ihre Maschine mit einem doppelten Drehtisch ausgestattet ist.

Hinweis: Beachten Sie, dass der Anschluss für den Drehtisch programmiert sein muss.


Einrichten des Kommunikationsprotokolls

Dialogfeld "KMG-Optionen" - Registerkarte "Steuerung"

Über die Registerkarten Kommunikation oder Steuerung können Sie den seriellen Anschluss an die Steuereinheit der Schnittstelle konfigurieren. Sie können den Kommunikationsanschluss (COM-Anschluss) wählen und dessen Einstellungen ändern. Weitere Informationen zu den COM-Anschlusseinstellungen finden Sie in der Dokumentation, die zusammen mit Ihrer Computer-Hardware geliefert wurde.


Einstellen des Achsen-Maßstabs

Dialogfeld "KMG-Optionen" - Registerkarte "Auflösung"

Über die Registerkarte Auflösung können Sie den Maßstab für jede Maschinenachse angeben. Der Maßstab wird aus folgenden Gründen verwendet:

  • Einige Steuereinheiten geben den Maßstab nicht als reelle Zahl zurück (z.B. 637,24319876), sondern als Ganzzahl (z.B. 63724319876). In diesem Fall muss die von der Steuereinheit zurückgegebene Ganzzahl durch den Maßstab von 1.000.000 geteilt werden, um eine reelle Zahl zu erhalten.

  • Diese Werte können auch zur Durchführung als Volumenkompensation verwendet werden. Bei einem kleinen, linearen Fehler würden Sie beispielsweise einen Maßstab von 9.998 anstelle von 10.000 verwenden.

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


DSE-Konfiguration

Dialogfeld "KMG-Optionen" - Registerkarte "DSE"

Mit der Registerkarte DSE können Sie den Maßstab für die A- und B-Achsen Ihrer Dreh-Schwenk-Einheit in den Feldern Auflösung A bzw. Auflösung B angeben. Der Maßstab wird dazu verwendet, Werte Ihres DSE in einheitliche Werte in PC-DMIS zu konvertieren.

Mit Hilfe der A- und B-Versatzwerte wird die stufenlos verstellbare Bewegungs-DSE beim Einfahren des Nullpunkts "ausgerichtet".

Im Feld Max. Geschw. können Sie die zulässige Höchstgeschwindigkeit (in Prozent) für die Bewegung der stufenlosen Bewegungs-DSE entnehmen.

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "Axila"

Die Schnittstelle Axila wird zusammen mit einer Axila-Armmaschine verwendet. Bevor Sie mit der Installation des Treibers und den mit Ihrem Gerät mitgelieferten armspezifischen Daten fortfahren, sollte PC-DMIS installiert werden. Der GDS-Treiber für die Axila-Maschine wird durch eine HASP-Anschlusssperre (Dongle) geschützt, die an Ihren Computer angeschlossen werden muss. Die GTech/ROMER CD-ROM bietet nützliche Extras zur Verwendung Ihrer Maschine.

Bevor Sie PC-DMIS starten, benennen Sie "axila.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Axila-Schnittstelle:

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Registerkarte "GDS einrichten"

Auf dieser Registerkarte befindet sich eine Schaltfläche (SETUP STARTEN), über die die Einrichtungs-Software, die Sie zusammen mit der Axila-Schnittstelle installiert haben, initiiert wird.

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle 1 "Backstalk"

Schnittstelle "Backtalk"

Die Schnittstelle Backtalk wird mit manuellen Brown & Sharpe-Maschinen mit einer Man 3 (externe serielle Schnittstelle) verwendet. Wenn Ihr Computer mit einem Leuchtstift ausgestattet ist, müssen die Steuereinstellungen für die MM2-Steuerung im Einstellungs-Editor geändert werden. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Ein Monitor muss an die Steuereinheit angeschlossen werden, um die Backtalk-Steuerung zu konfigurieren. Bevor Sie PC-DMIS starten, benennen Sie "backtalk.dll" in "interfac.dll" um.

Hinweis: Wenn der Computer mit einem Man3-Feld ausgestattet ist und eine Z-Arm-Maus verwendet, ist ein Leuchtstift zur Deaktivierung der Z-Arm-Maus notwendig.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Backtalk-Schnittstelle:

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 4800 Baud, Gerade Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=1,0, Y=1,0, Z=1,0.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Bright"

Die Schnittstelle Bright wird mit der Maschine Mitutoyo Euro C (Bright) verwendet. Diese Schnittstelle kommuniziert über eine markengeschützte Karte mit der Steuereinheit, die von Mitutoyo entwickelt wurde. Wenn diese Installation auf einem neuen Computer verwendet wird, muss die Karte aus der ursprünglichen Maschine entfernt und in die Neue eingesteckt werden. Wenn aber die alte Software immernoch zusammen mit PC-DMIS verwendet werden soll, müssen beide Programme auf derselben Maschine installiert sein.

Bevor Sie PC-DMIS starten, benennen Sie "bright.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält zwei Registerkarten für die Bright-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "DEA"

Die Schnittstelle DEA wird mit DEA GAMMA- und neueren DEA-Maschinen (mit Tutor P & B3P Seriensteuerungen), manuellen Mistral-Maschinen (mit M Inside Card-Steuerung) und mit manuellen Swift-Maschinen (mit "White Box" (AKA CPM3)-Steuerungen) verwendet.

Wenn auf Ihrem Rechner bereits "Tutor for Windows" installiert wurde, wird PC-DMIS die WTUTOR.INI-Datei lokalisieren und die wichtigen Informationen bezüglich der Kompensationsmatrix, mechanischen Versätze, etc. extrahieren und die entsprechenden Optionen in der Registrierung vornehmen. Wenn Sie auf einem Rechner installieren, der nicht bereits mit "Tutor" ausgestattet ist, dann müssen Sie selbst die wichtigen Änderungen in der Registrierung vornehmen.

Bevor Sie PC-DMIS starten, benennen Sie "dea.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält sieben Registerkarten für die DEA-Schnittstelle:

Registerkarte "DEA"

Siehe unter "Verwenden der Registerkarte "DEA"".

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Gerade Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "DSE"

Siehe unter "DSE-Kommunikation". Standardwerte sind Kommunikationsanschluss 2, 4800 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "DSE"

Siehe unter "DSE-Konfiguration". Standardwerte sind: A-Auflösung = 3600, B-Auflösung = 3600, A-Versatz - 0,0, B-Versatz 0,0, und Höchstgeschwindigkeit = 100.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=10000,0, Y=10000,0, Z=10000,0.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Verwenden der Registerkarte "DEA"

Dialogfeld "KMG-Optionen" - Registerkarte "DEA"

Mit der Registerkarte DEA können Sie die folgenden für die DEA-Schnittstelle gültigen Einstellungen konfigurieren:

Puffergröße - Die Anzahl der Bewegungen, die auf einmal an den Puffer der Steuereinheit gesendet wird. Einige Maschinen melden Fehler, wenn zu viele Bewegungen im Voraus gesendet werden, sodass eine Reduzierung hilfreich wäre. Eine Verringerung dieses Werts wird jedoch eine Reduzierung der Systemleistung zur Folge haben, wenn beispielsweise die Einstellung auf 1 gesetzt wird. Nach Beendigung des letzten Bewegungsbefehls wird dann nur der nächste Bewegungsbefehl gesendet, wodurch die Maschine zwischen jedem Bewegungsbefehl eine Pause einlegt.

Mechanische XYZ-Versätze - Mit diesen Werten können Sie den mechanischen Versatz für die Maschine festlegen. Diese Werte sollten nur von einem geschulten Techniker eingestellt werden.

Tastenzuweisungen - Sie können angeben, ob die Schaltfläche Aufzeichnen als Löscht den letzten Messpunkt oder als Ende/Fertig-Taste fungiert.

Controller Commport abfragen - Bei Auswahl dieses Kontrollkästchens wird PC-DMIS regelmäßig den seriellen Kommunikationsanschluss abfragen, um einen Kommunikationsverlust zu verhindern. Wählen Sie diese Option nur bei Verdacht auf Kommunikationsprobleme.

Antriebe auskuppeln - Dieses Kontrollkästchen sollte für CNC-Maschinen, die mit auskuppelbaren Antrieben ausgestattet sind und manuell bedient werden, ausgewählt werden.

Kompensationstyp - Wählen Sie eine der folgenden Volcomp-Methoden: KEINE, DEA-Standard, DEA-DLL (wcompens32), ASI oder Brown & Sharpe.

Kompensationsmodus - Wählen Sie eine der folgenden Kompensationsmodi: Standard-KMG, Doppelantrieb, Horizontaler Arm (Arm 1) oder Horizontaler Arm (Arm 2).

Strukturelle Wärmekompensation OCX von DEA verwenden - Wählen Sie diese Option zur Verwendung struktureller Wärmekompensation OCX von DEA.

OCX-Pfad - Hiermit wird der Pfad für die "Strukturelle Wärmekompensation OCX von DEA"-Datei angegeben.

Machinentyp - Geben Sie den Maschinentyp an: ARM oder ROBOT

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "Elm"

Die Schnittstelle Elm wird mit einer Elm- oder Starrett-Schnittstellenmaschine verwendet. Diese Schnittstelle kommuniziert mit einer Platine im PC, die von API (Automated Precision, Inc.) hergestellt wurde. Die gesamte Kommunikation mit der Steuereinheit läuft über diese Platine ab. Die PC-DMIS interfac.dll kommuniziert mit der API dll (dccsim32.dll), die sich im Verzeichnis von PC-DMIS befinden muss.

Das Setup-Programm "elmsetup.exe" ist in der Lage, die von PC-DMIS verwendeten Maschinenparameter zu konfigurieren. Diese Datei finden Sie auf dem FTP-Server von Wilcox Associates unter der Datei "elmsetup.zip", die auch die Daten und Ressourcendatei, die für die Setup-Hilfsprogramme benötigt werden.

Bevor Sie PC-DMIS starten, benennen Sie "elm.dll" in "interfac.dll" um.

Hinweis: Die API.INI-Datei kann auf Starrett-Maschinen zur Konfiguration verwendet werden. Fügen Sie einfach einen geeigneten Dateinamen zum INI-Eintrag hinzu - INI_Dateiname.

Das Dialogfeld KMG-Optionen enthält die folgenden zwei Registerkarten für die Elm-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "BSEmbed"

Schnittstelle "Embboard"

Die Schnittstelle Embboard wird mit manuellen Brown & Sharpe-Maschinen mit eingebetteter, interner Steuerungskarte verwendet. Hierbei handelt es sich um eine Karte in voller Länge, die sich im Computer befindet und mit einer Adresse, die auf 300h eingestellt ist, versehen ist. Sie müssen sicher stellen, dass diese Adresse nicht von einer anderen Platine im System verwendet wird (einige Netzwerkkarten verwenden diese Adresse).

Bevor Sie PC-DMIS starten, benennen Sie "embboard.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält drei Registerkarten für die Embboard-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=1,0, Y=1,0, Z=1,0.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Faro"

Die Schnittstelle Faro wird zusammen mit einer Faro-Armmaschine verwendet. Die Software für Ihren Faro-Arm ist auf dem FTP-Server von Wilcox Associates, unter ftp://ftp.wilcoxassoc.com/3rdParty/Faro/ verfügbar.

Bevor Sie PC-DMIS starten, benennen Sie "faro.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält fünf Registerkarten für die Faro-Schnittstelle:

Registerkarte "Kommunikation"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 38400 Baud, Keine Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Registerkarte "Maschine als Maus"

Siehe unter ""Maschine als Maus"-Einstellungen".

Registerkarte "Platinum"

Diese Registerkarte enthält die Schaltflächen Diagnostik und Hardware Konfiguration. Durch diese Schaltflächen werden Faro-Programme gestartet, um den Faro-Arm zu testen und zu konfigurieren.

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).

Faro verhaltener Messpunkt

Bei Arm-KMGs entspricht der Vektor des Messpunkts der Richtung der letzten Verbindungsstelle des Arms. Der verhaltene Messpunkt überschreibt den Vektor der letzten Verbindungsstelle. Bei der Aufnahme von Messpunkten kommt es gelegentlich vor, dass diese letzte Verbindungsstelle den Vektor, der an PC-DMIS gesandt werden soll, nicht exakt bestimmt oder bestimmen kann. So nehmen Sie diesen Messpunkt mit dem erforderlichen Vektor auf:

  1. Drücken Sie die Messpunkt-Schaltfläche wie gewohnt, aber halten Sie sie gedrückt.

  2. Bewegen Sie die Tastspitze in die Richtung des Vektors, den Sie an PC-DMIS senden möchten, wenigstens eine Vektorlänge entfernt von dem Punkt, an dem der Messpunkt aufgenommen wurde.

  3. Lassen Sie die Schaltfläche wieder los.


Maschine als Maus

Dialogfeld "KMG-Optionen" - Registerkarte "Maschine als Maus"

Mit der Registerkarte Maschine als Maus können Sie die Funktionen der Faro Arm-Bewegung und -Klickfunktion zur Steuerung der Zeigerbewegung sowie die Funktion der Maustasten konfigurieren.

Taste "Zurück" - Sie können die Taste "Zurück" des Faro-Arms so einstellen: Zur Zentrierung der Maus (bewegt den Mauszeiger in die Mitte des Bildschirms), Als rechte Maustaste oder Als mittlere Maustaste.

Maschine als Maus-Status - Setzen Sie den "Maschine als Maus-Status" auf Ein oder Aus.

Verfolgungsgeschwindigkeit - Steuert die Geschwindigkeit der Mausbewegung relativ zur Faro Arm-Bewegung.

Aktivieren und Deaktivieren des Maus-Modus

  • Um den Maus-Modus zu aktivieren, drücken Sie gleichzeitig die vordere und hintere Taste.

  • Der Maus-Modus wird deaktiviert, während der Bildschirm auf maximale Größe eingestellt ist (beachten Sie, dass dafür das Fenster auf maximale Größe eingestellt werden MUSS). Bewegen Sie den Mauszeiger nun ganz oben auf die Titelleiste (die gleichzeitig das obere Ende des Bildschirms darstellt, da das Fenster maximiert ist) und klicken Sie dann die Taste, die der linken Maustaste zugeordnet ist.


Schnittstelle "Federal"

Die Schnittstelle Federal wird mit Federal/Renault-Maschinen verwendet. Diese Schnittstelle erfordert lediglich einen einzigen RS-232-Kommunikationsanschluss.

Bevor Sie PC-DMIS starten, benennen Sie "federal.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält drei Registerkarten für die Federal-Schnittstelle:

Registerkarte "Kommunikation"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Gerade Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "GOM"

Die Schnittstelle GOM wird mit den Maschinen CTR, GOM und Krypton verwendet. Diese Schnittstelle arbeitet über einen seriellen Anschluss. Ein allgemeiner Parser kann zum Adaptieren der Schnittstelle verwendet werden, wenn mit anderen manuellen Maschinen gearbeitet werden soll, bei denen das jeweilige Datenformat bekannt ist. Die Maschinen Traconsa, Layout und Manual Mitutoyo können auf diese Weise mit zusätzlichen Registrierungswerten verwendet werden (siehe die Dokumentation zur Installation der KMG-Schnittstellte).

Bevor Sie PC-DMIS starten, benennen Sie "GOM.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält drei Registerkarten für die GOM-Schnittstelle:

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Johansson"

Die Schnittstelle Johansson wird mit Johansson-Maschinen verwendet. Diese Schnittstelle arbeitet mit Proto-Software, die zusammen mit dem JoWin-Installationspaket installiert wurde. Beim Start von PC-DMIS wird auch die Proto-Software gestartet. Beim Beenden von PC-DMIS wird auch Proto beendet. Proto schützt die Kommunikationseinstellung für die Kommunikation mit der Steuereinheit.

Bevor Sie PC-DMIS starten, benennen Sie "johansson.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält zwei Registerkarten für die Johansson-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Leitz"

Die Schnittstelle Leitz ist zur Verwendung auf allen Steuereinheiten, die das Leitz-Protokoll benutzen, gedacht. Dazu gehören Steuereinheiten von Brown & Sharpe (wie den Sharpe 32Z im Leitzmodus) sowie aktuelle Leitz-Maschinen und auch allgemeine Firmware-Steuereinheiten von Brown & Sharpe. Eine Maschinenparameter-Datei vom Originalsystem ist nicht erforderlich, um diese Schnittstelle auszuführen.

Einige der neueren Steuereinheiten lassen die Verwendung von TCP/IP-Kommunikation als Alternative zu einem seriellen Anschluss zu. Diese Schnittstelle unterstützt beide Methoden. Prüfen und/oder Ändern der Konfiguration der Steuerungskommunikation wird normalerweise unter Verwendung der Service-Leistungen für die Maschine durchgeführt. PC-DMIS sollte dann konfiguriert werden, um mit der Konfiguration der Steuereinheit übereinzustimmen.

Bevor Sie PC-DMIS starten, benennen Sie "leitz.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden acht Registerkarten für die Leitz-Schnittstelle:

Registerkarte "Leitz-Protokoll einrichten"

Siehe unter "Registerkarte "Leitz-Protokoll einrichten"".

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "DSE"

Siehe unter "DSE-Konfiguration". Standardwerte sind: A-Auflösung = 3600, B-Auflösung = 3600, A-Versatz - 0,0, B-Versatz 0,0, und Höchstgeschwindigkeit = 100.

Registerkarte "Drehtisch"

Siehe unter "Drehtisch-Einstellungen" . Standardwerte sind: Beschleunigung = 0,0, Geschwindigkeit = 20, Auflösung = k. A. , Versatz = 0,0, Min. Delta = 0,5, Tisch = Nicht markiert und doppelter Tisch = k. A.

Registerkarte "Oit"

Siehe unter "OIT-Kommunikation". Standardwerte sind Kommunikationsanschluss 0, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Einstellen des Achsen-Maßstabs".

Registerkarte "Param."

Siehe unter "Registerkarte "Leitz-Param."".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Leitz-Protokoll einrichten"

Dialogfeld "KMG-Optionen" - Registerkarte "Leitz-Protokoll einrichten"

Mit der Registerkarte DEA können Sie die folgenden für die DEA-Schnittstelle gültigen Einstellungen konfigurieren:

KMG-Standardeinstellungen bei Programmstart lesen - Bei Auswahl dieses Kontrollkästchens wird PC-DMIS angewiesen, die Steuereinheit des KMGs beim nächsten Programmstart nach KMG-Standardeinstellungen zu durchsuchen. Bei der nächsten Ausführung von PC-DMIS werden die im PC-DMIS-Einstellungseditor gespeicherten Werte durch die ursprünglichen KMG-Werkseinstellungen ersetzt, die in der Steuereinheit gespeichert sind. Hinweis: Die ursprünglichen Werkseinstellungen können mit diesem Verfahren nicht wiederhergestellt werden, wenn sie auf dem Festplattenlaufwerk der Steuereinheit überschrieben wurden.

KMG mit TCP/IP-Verbindung betreiben - Wählen Sie diese Option, wenn Sie eine TCP/IP-Verbindung zur Steuereinheit verwenden.

TCP/IP-Adresse - Geben Sie die TCP/IP-Adresse für die Steuereinheit an.

TCP/IP-Anschluss-Nr. - Geben Sie die Anschlussnummer ein. Üblicherweise handelt es sich hierbei um den Anschluss 2001.

Schaltfläche "Terminal" - Durch Klicken auf diese Schaltfläche wird eine Terminal-Sitzung mit der Steuereinheit geöffnet, die auf den TCP/IP-Einstellungen basiert.

Antriebe auskuppeln - Dieses Kontrollkästchen sollte für CNC-Maschinen, die mit auskuppelbaren Antrieben ausgestattet sind und manuell bedient werden, ausgewählt werden.

Kompensationstyp - Wählen Sie eine der folgenden Volcomp-Methoden: KEINE, DEA-Standard, DEA-DLL (wcompens32), ASI oder Brown & Sharpe.

Kompensationsmodus - Wählen Sie eine der folgenden Kompensationsmodi: Standard-KMG, Doppelantrieb, Horizontaler Arm (Arm 1) oder Horizontaler Arm (Arm 2).

Strukturelle Wärmekompensation OCX von DEA verwenden - Wählen Sie diese Option zur Verwendung struktureller Wärmekompensation OCX von DEA.

OCX-Pfad - Hiermit wird der Pfad für die "Strukturelle Wärmekompensation OCX von DEA"-Datei angegeben.

Machinentyp - Geben Sie den Maschinentyp an: ARM oder ROBOT

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Registerkarte "Leitz - Parameter"

Dialogfeld "KMG-Optionen" - Registerkarte "Param."

Höchstgeschwindigkeiten - Bei diesen Werten handelt es sich um die Höchstgeschwindigkeiten für die X-, Y- und Z-Achsen. Normalerweise wird dieser Wert aus den Einstellungen der Steuereinheit gelesen.

Mechanische Versätze - Mit diesen Werten können Sie die mechanischen Versatzwerte für die X-, Y- und Z-Werte festlegen. Mit dieser Schnittstelle wird die Volumenkompensation gewöhnlich in der Steuerung selbst durchgeführt. Falls sie aus irgendwelchen Gründen konfiguriert wurde, um einen anderen Bezugspunkt als 0,0,0 zu benutzen, können die Werte in diese Versätze eingegeben werden.

Max. Scangeschwindigkeit - Dieser Wert stellt die maximal zulässige Scangeschwindigkeit ein. Dieser Wert wird nur für analoge Scans verwendet, wie den mit dem Taster SP600 oder mit dem optischen Taster WAB.

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "LK-Treiber"

Die Schnittstelle LK-Treiber wird mit denLK-Machinen mit LK3000- oder LK2000-Steuereinheiten verwendet. Die übliche Treibersoftware muss direkt von LK stammen. Sie muss installiert und konfiguriert werden, bevor versucht wird, die Schnittstelle von PC-DMIS zu installieren/zu verwenden, die diese Software verwendet. Die übliche Treiber-DLL selbst wird ungefähr so genannt: LKCMMDRV53.DLL. Je nach Version des Treibers. Es gibt verschiedene andere DLLs, die LK mit dem Treiber anbietet und die der Treiber benötigt, um ordnungsgemäß zu arbeiten. Die früheste Version, die mit der Schnittstelle von PC-DMIS verwendet werden kann, ist die LKCMM21.DLL. Noch ältere Versionen sind nicht kompatibel.

Bevor Sie PC-DMIS starten, benennen Sie "lkdriver.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält drei Registerkarten für die LK-Treiber-Schnittstelle:

Registerkarte "LK-Treiber"

Siehe unter "Registerkarte "LK-Treiber"".

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "LK-Treiber"

Dialogfeld "KMG-Optionen" - Registerkarte "LK-Treiber"

Über die Registerkarte "LK-Treiber" können Sie LK-Treiber-spezifische Parameter ändern.

Intervall (mSec) lesen - Über diese Option wird die Frequenz, mit der die Positionsanzeige im Ergebnisanzeigen-Modus aktualisiert wird, bestimmt. Der Wert wird als Ganzzahl in Millisekunden angezeigt. Der Standardwert beträgt 500 Millisekunden (eine halbe Sekunde).

LK-Treiber-DLL - Hierdurch wird der Name der allgemeinen Treiber-DLL-Datei, die von PC-DMIS verwendet wird, identifiziert. Dies könnte sich mit der Zeit ändern, da LK neuere Versionen des Treibers herausgibt.

Mechanische Versätze XYZ - Mit diesen Werten können Sie die mechanischen Versatzwerte für die X-, Y- und Z-Achsen der Maschine festlegen. Diese Werte können nur dann bearbeitet werden, wenn die Option VolComp-Methode auf ASI eingestellt ist.

Manuelle Messpunkttoleranz - Mit diesem Wert können Sie zwischen einem reellen manuellen Messpunkt und dem Drücken auf die "Man.Druck-Taste" unterscheiden. Wenn das Drücken auf die Man.Druck-Taste häufig als manueller Messpunkt fehlinterpretiert wird, können Sie versuchen, diesen Wert zu erhöhen. Wenn manuelle Messpunkte häufig als Drücken auf die Man.Druck-Taste fehlinterpretiert wird (genauso wie das Drücken der END-Taste), können Sie versuchen, diesen Wert zu verringern. HINWEIS: Um die Man.Druck-Taste als END-Taste zu verwenden, darf sich das KMG nicht bewegen, während die Taste gedrückt ist. Wenn es sich dennoch bewegt, wird mit großer Wahrscheinlichkeit ein manueller Messpunkt interpretiert.

Min. Drehtischbewegung - Über diese Option wird eine Abschaltung der Drehtischbewegung definiert. Wenn der angeforderte Tischwinkel nicht um diesen Betrag größer ist als der aktuelle Winkel, wird die Bewegungsanfrage ignoriert.

Man.Druck-Taste - Über diese Option können Sie, falls erwünscht, der manuellen Druck-Taste auf dem Bedienelement eine PC-DMIS-Funktion zuordnen. Die verfügbaren Optionen sind FERTIG (End-Taste), Bewegungspunkt (eine Bewegung speichern) und Messpunkt löschen (Löscht den letzten Messpunkt).

Hinweis: Für diese Schnittstelle ist die Tastenzuweisung nur im Messpunktmodus anwendbar. Wenn die Taste gedrückt wird, während die Schnittstelle in den Ergebnisanzeigen-Modus geschaltet wird, wird eine unzulässige Berührung interpretiert, ohne die Einstellungen für die Man.Druck-Taste zu berücksichtigen.

VolComp-Methode - Wählen Sie LK (via Treiber), um die Volumenkompensation des Treibers zu verwenden oder wählen Sie die Option ASI, um diese Kompensationswerte den Feldern Mechanische Versätze XYZ zuzuordnen.

Schaltfläche "Treiberkonfiguration" - Über diese Schaltfläche wir die Konfigurationsanwendung des LK-Treibers gestartet.

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "LKRS232"

Die Schnittstelle LKRS232 wird mit acht verschiedenen LK-Steuerungen verwendet: Cupe Serial, Cupe GPIB, Micron Drive, LK3000, LK2000/2002/2000+, LK4000, die ACT und die AIM. Die LK-3000 ist älter als die beiden Typen LK-2000 und LK-4000. Die ACT ersetzt den Typ "2000" und die AIM wird vom Typ "4000" ersetzt.

Bevor Sie PC-DMIS starten, benennen Sie "lkrs232.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält sieben Registerkarten für die LKRS232-Schnittstelle:

Registerkarte "LK-Direkt"

Siehe unter "Registerkarte "LK-Direkt"".

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=10000,000000, Y=10000,000000, Z=10000,000000.

Registerkarte "Drehtisch"

Siehe unter "Drehtisch-Einstellungen" . Standardwerte sind: Beschleunigung = 0,0, Geschwindigkeit = 0,0, Auflösung = 10000, Versatz = 0,000000, Versatz 2 = 0,000000, Min. Delta = 0,5, Tisch = Nicht markiert und doppelter Tisch = Nicht markiert.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "LK-Direkt"

Dialogfeld "KMG-Optionen" - Registerkarte "LK-Direkt"

Die Registerkarte LK-Direkt enthält spezifische Einstellungen für Ihre LKRS232-Schnittstelle.

LK 2000 - Wenn es sich bei der Steuereinheit um den Typ LK2000 handelt, muss diese Option ausgewählt werden.

LK 3000 - Wenn es sich bei der Steuereinheit um den Typ LK3000 handelt, muss diese Option ausgewählt werden. Bei Auswahl der Option "LK3000" muss auch die Option "LK2000" ausgewählt werden.

Micron-Laufwerk - Wenn es sich bei der Steuereinheit um ein Micron-Laufwerk handelt, muss diese Option ausgewählt werden. Hinweis: Die Steuereinheit Micron Drive (Micron-Laufwerk) verwendet keine GPIB-Kommunikation.

GPIB - Wählen Sie diese Option, wenn Ihre Steuereinheit das GPIB-Protokoll zur Kommunikation verwendet.

DSE - Wählen Sie diese Option, wenn Sie eine Dreh-Schwenk-Einheit (DSE) verwenden.

SETPT - Wählen Sie diese Option, wenn Sie bemerken, dass die Maschine keine Messpunkte registriert.

Geschwindikgeit der Rückkehr zum Maschinennullpunkt - Dieser Wert stellt die Geschwindigkeit der Nullpunktfahrt ein. Wenn die Maschine ihre Höchstgeschwindigkeit erreicht, bevor sie am Nullpunkt ankommt, sollten Sie diesen Wert verringern, die Steuerung ausschalten und es erneut versuchen. Sie sollte zuerst die Höchstgeschwindigkeit erreichen und dann den Nullpunkt für jede Achse suchen, wenn dieser Wert richtig eingestellt ist. Standardwert ist 1.

Bewegungsgeschwindikgeit - Dieser Wert stellt die Gesamt-Bewegungsgeschwindigkeit ein. Wenn Sie die Bewegungsgeschwindigkeit für zu hoch halten, auch wenn sie innerhalb von PC-DMIS auf einen geringen Wert eingestellt ist, dann verringern Sie diesen Wert. Standardwert ist 1,00000.

Auf Anfahrweg warten - Dieser Wert sollte auf "0" eingestellt bleiben.

Bewegungspuffer - Die Anzahl der Bewegungen, die auf einmal an den Puffer der Steuereinheit gesendet wird. Einige Maschinen melden Fehler, wenn zuviele Bewegungen im Voraus gesendet werden, sodass eine Reduzierung hilfreich wäre. Eine Verringerung dieses Werts wird jedoch eine Reduzierung der Systemleistung zur Folge haben, wenn beispielsweise die Einstellung auf 1 gesetzt wird. Nach Beendigung des letzten Bewegungsbefehls wird dann nur der nächste Bewegungsbefehl gesendet, wodurch die Maschine zwischen jedem Bewegungsbefehl eine Pause einlegt.

Keine Starttaste - Wenn die Steuereinheit (oder das Bedienelement) nicht über eine Haupt-Starttaste verfügt, wählen Sie diese Option aus.

Autom. Geschwindigkeitsoptimierung - Bestimmte LK-Steuereinheiten unterstützen die autom. Geschwindigkeitsoptimierung, eine Option der Steuereinheit, wobei bei jeder Bewegung jede Achse mit ihrer unabhängigen, maximalen Geschwindigkeit betrieben wird. Wählen Sie diese Option, wenn Ihre Steuereinheit die autom. Geschwindigkeitsoptimierung unterstützt.

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "Manmiti"

Die Schnittstelle Manmiti wird mit manuellen Mitutoyo-Maschinen mit MAG-1, MAG-2 oder MAG-3 Steuereinheiten verwendet, die eine Verbindung zu den Skalen herstellen. Dies ist eine GPIB-Schnittstelle.

Bevor Sie PC-DMIS starten, benennen Sie "manmiti.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält zwei Registerkarten für die Manmiti-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Manmora"

Die Schnittstelle Manmora wird mit manuellen Mora-Maschinen verwendet. Diese Maschine hat ein MR01 Zählerfeld vom Typ GEMODEK mit XYZ-Ergebnisanzeige, die über einige Steuerungs-/Einstellungs-und Versendungsoptionen verfügt. Weitere Informationen zur Konfiguration und zum Testen finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).

Bevor Sie PC-DMIS starten, benennen Sie "Manmora.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Manmora-Schnittstelle:

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Keine Parität, 8 Datenbits und 2 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=1,0, Y=1,0, Z=1,0.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Metrocom"

Schnittstelle "Metrocom/Metromec"

Die Schnittstelle Metrocom wird mit Metrocom-, Metromec- (mit Metrocom S V2 & V3), und mit älteren Wenzel- (Wenzel 2000 mit Metromec Emulator) Maschinen verwendet. Damit PC-DMIS vorschriftsmäßig durchgeführt werden kann, muss die Programmstart-Datei (METROCON.DAT) aus der Metrocom-Software in das PC-DMIS-Verzeichnis kopiert werden.

Bei älteren Wenzel-Maschinen (beispielsweise mit einer Metrocom S-Steuereinheit) muss die METROCON.DAT-Datei lediglich in Betrieb genommen werden. Wenn Sie jedoch eine der neueren Wenzel WP-Steuereinheiten verwenden, müssen auch die folgenden vier Dateien aus den MetroSoft-Softwareverzeichnissen kopiert werden: WPMACH.PMC, WPSW.PMC, WPDAT.PMC und WPGO.PMC

Bevor Sie PC-DMIS starten, benennen Sie "METROcom.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält fünf Registerkarten für die Metrocom-Schnittstelle:

Registerkarte "Metromec"

Siehe unter "Registerkarte "Metromec"".

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 38400 Baud, Keine Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "DSE"

Siehe unter "DSE-Kommunikation". Standardwerte sind Kommunikationsanschluss 1, 38400 Baud, Keine Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Metromec"

Dialogfeld "KMG-Optionen" [image] - Registerkarte "Metromec"

Über die Registerkarte Metromec können Sie folgende Einstellungen für die Metromec-Schnittstelle konfigurieren.

DSE - Wählen Sie diese Option, wenn Sie eine Dreh-Schwenk-Einheit (DSE) verwenden.

Höchstgeschwindigkeit - Hier können Sie die Höchstgeschwindigkeit für das KMG einstellen.

Beschleunigung - Hier können Sie die maximale Beschleunigung für das KMG einstellen.

Mechanische XYZ-Versätze - Mit diesen Werten können Sie den mechanischen Versatz für die Maschine festlegen. Diese Werte sollten nur von einem geschulten Techniker eingestellt werden.

Kompensationsdatendatei - In diesem Feld wird die Kompensationsdatei (normalerweise compens.dat) angegeben, wenn Sie einen der DEA-Kompensationstypen verwenden. Bei Verwendung der neuen DEA-Kompensation werden Sie folgende drei Textdateien im PC-DMIS-Verzeichnis vorfinden: FZYFILE.TXT, RCXFILE.TXT & RMXFILE.TXT.

Kompensationstyp - Wählen Sie eine der folgenden Volcomp-Methoden: KEINE, DEA-Standard oder DEA-DLL (wcompens32).

Kompensationsmodus - Wählen Sie aus den folgenden Kompensationsmodi, die den Kompensationstyp DEA-DLL (wcompens32) unterstützen: Standard-KMG, Horizontaler Arm (Arm 1) oder Horizontaler Arm (Arm 2).

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "Metrolog"

Die Schnittstelle Metrolog wird mit Metrologic-Steuereinheiten verwendet. PC-DMIS kann die Metrologic-Steuereinheiten in zwei Modi ausführen.

  • Der erste Modus wird durch eine mit Metrologic gelieferte MTDIAL.DLL-Datei ausgeführt. Diese "DLL" erfordert eine separate Anschlusssperre, die nur über Metrologic verfügbar ist. In diesem Modus werden von PC-DMIS Funktionen aus der MTDIAL.DLL aufgerufen, um das KMG zu steuern. Ebenso werden alle Vol.-Kompensations-Dateien innerhalb der DLL verwendet. Die DLL kommuniziert mit der festgelegten Anschlusssperre und kommuniziert direkt mit dem KMG.

  • Der zweite Modus zum Ausführen der Metrologic-Steuereinheit funktioniert direkt über die Anschlusssperre und umgeht dabei die ganze MTDIAL.DLL. In diesem Modus wird keine separate Anschlusssperre von Metrologic benötigt. PC-DMIS kommuniziert direkt über den ausgewiesenen Kommunikationsanschluss mit der Steuereinheit. Vol.-Kompensation wird in drei Formaten angeboten: 1) das DEA Tutor-Format, 2) das Wcompens32.dll-Format, 3) das BNS comp.dat-Format. Optionen eins und zwei werden normalerweise auf einer DEA-Steuermaschine verwendet. Option drei wird normalerweise auf einem Excel-KMG verwendet. Der einzige Grund, warum der erste Modus verwendet werden sollte, ist der, die Vorteile der mitgelieferten Metrologic-Vol. Kompensation zu nutzen, die möglicherweise schon auf dem KMG vorhanden ist.

Bevor Sie PC-DMIS starten, benennen Sie "metrolog.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält drei Registerkarten für die Metrolog-Schnittstelle:

Registerkarte "Kommunikation"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Gerade Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Mitutoyo"

Die Schnittstelle Mitutoyo wird mit Mitutoyo-Maschinen verwendet. Hierbei handelt es sich um eine GPIB-Schnittstelle, die keine Maschinenparameter-Datei vom Original-Mitutoyo-System benötigt. Mitutoyo geht davon aus, dass diese Maschinen mechanisch einwandfrei arbeiten und bietet deshalb keine eigene Softwarekompensation. Allerdings werden mehrere Kompensationsmethoden unterstützt.

Zur Aufnahme von manuellen Messpunten mit diesen Maschinen müssen Sie die Schaltfläche 'MEAS' auf dem Bedienelement runter drücken.

Hinweis: Bei Maschinen, die mit einer motorischen DSE ausgestattet sind, beinhaltet die normale Programmstartfolge die Verwendung der manuellen Steuerung, um die Position des Tastkopfes spezifisch zu steuern (normalerweise auf 0,0). Damit wird sichergestellt, dass die Kommunikation zwischen der motorischen Steuereinheit und dem Kopf selbst initiiert wurden und korrekt arbeiten. Dies sollte selbst dann vorgenommen werden, wenn die Anfangsposition bereits auf 0,0 eingestellt ist und Sie die den gleichen Wert eingeben möchten. Ein Versäumnis der manuellen Initiierung des Kopfes kann zum Fehlschlagen einer CNC-Rotation führen (die Drehung erfolgt unter Umständen überhaupt nicht oder, in manchen Fällen, treten Fehler auf, wenn die Rotation beendet scheint).

Bevor Sie PC-DMIS starten, benennen Sie "mitutoyo.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Mitutoyo-Schnittstelle:

Registerkarte "Schnittstelle"

Siehe unter "Registerkarte "Schnittstelle Mitutoyo"".

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=10000,00, Y=10000,00, Z=10000,00.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Schnittstelle Mitutoyo"

Dialogfeld "KMG-Optionen" - Registerkarte "Schnittstelle"

Über die Registerkarte Schnittstelle können Sie folgende Einstellungen für die Mitutoyo-Schnittstelle konfigurieren.

DSE - Wählen Sie diese Option, wenn Sie eine Dreh-Schwenk-Einheit (DSE) verwenden.

Alter Joystick - Wenn es sich beim Bedienelement um ein älteres Modell handelt, muss diese Option auf "1" eingestellt werden. (Wenn die Funktionen des Bedienelements nicht nach den unten stehenden Einstellungen durchgeführt werden können, handelt es sich bei Ihrem Bedienelement um einen "alten Joystick").

BHN 706 - Wählen Sie diese Option, wenn Sie eine Verbindung zum BHN 706-KMG herstellen möchten.

Höchstgeschwindigkeit - Über diese Option wird die Gesamt-Höchstgeschwindigkeit der Maschine eingestellt. Wenn dieser Wert zu hoch ist, werden während der CNC-Bewegungen sporadisch "Überdrehzahl" -Fehlermeldungen von der Steuereinheit eingeblendet. Standardwert ist 60.

Innerhalb Positionstoleranz- Dies ist der Wert, der darüber bestimmt, wie nahe die Maschine der Befehlsposition kommen muss, bevor sie akzeptiert, dass sie da ist. Sollte die Maschine zwischen den Bewegungen übermäßig lange pausieren, können Sie versuchen, diesen Wert zu erhöhen.

Vorsicht: Diese Werte sollten nur von einem geschulten Techniker geändert werden. Das Ändern dieser Werte könnte zu einem unerwünschten Ergebnis führen.


Schnittstelle "Mora"

Die Schnittstelle Mora wird mit Mora CNC-Maschinen verwendet. Diese Schnittstelle erfordert lediglich einen einzigen RS232-Kommunikationsanschluss. Eine Maschinen-Parameterdatei vom Originalsystem ist nicht erforderlich.

Bevor Sie PC-DMIS starten, benennen Sie "mora.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält drei Registerkarten für die Mora-Schnittstelle:

Registerkarte "Kommunikation"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Mzeizz"

Die Schnittstelle MZeiss wird mit manuellen Zeiss-Maschinen verwendet.

Bevor Sie PC-DMIS starten, benennen Sie "Mzeiss.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die MZeiss-Schnittstelle:

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Gerade Parität, 8 Datenbits und 2 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Standardwerte sind X=1,0, Y=1,0, Z=1,0.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Numerex"

Die Schnittstelle Numerex wird mit Numerex-Maschinen verwendet. Es stehen zwei verschiedene Arten von Numerex-Schnittstellen zur Verfügung. Eine mit einer digitalen Ergebnisanzeige (DRO) und eins ohne DRO. Die DRO-Version kann auf einfache Weise installiert werden. Ist Ihr KMG jedoch nicht mit einer digitalen Ergebnisanzeige ausgestattet, wird eine Tech80-Karte erforderlich (um die Skalen zu lesen) sowie eine spezielle Vorrichtung zur Verbindung der Tech80 mit der Numerex Steuereinheit. Weitere Informationen zur Installation dieser beiden Schnittstellen finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).

Eine Maschinenparameter-Datei vom Originalsystem ist nicht erforderlich, um diese Schnittstelle auszuführen.

Bevor Sie PC-DMIS starten, benennen Sie "Numerex.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Numerex-Schnittstelle:

Registerkarte "Numerex"

Siehe unter "Registerkarte "Schnittstelle Mitutoyo"".

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=1,0, Y=1,0, Z=1,0. Dieser Maßstab wird verwendet, wenn eine digitale Ergebnisanzeige vorhanden ist.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Numerex"

Dialogfeld "KMG-Optionen" - Registerkarte "Numerex"

Über die Registerkarte Numerex können Sie folgende Einstellungen für die Numerex-Schnittstelle konfigurieren.

Digitale Ergebnisanzeige - Wählen Sie diese Option, wenn Ihr System eine digitale Ergebnisanzeige zum Lesen der Skalen verwendet.

Kommunikation - Geben Sie den Kommunikationsanschluss für die digitale Ergebnisanzeige-Einheit an.

DSE - Wählen Sie diese Option, wenn Sie eine Dreh-Schwenk-Einheit (DSE) verwenden.

4800 N 8 1 - Wählen Sie diese Option anstelle des Standards von '4800 Baud KEINE Parität 7 Bits 2 Stoppbits (48007N2)', wenn die DSE-Einheit die Verwendung dieser Kommunikationseinstellungen erforderlich macht. Normalerweise müssen Sie diese Option auswählen, wenn es sich bei Ihrer Maschine um ein Keramik-KMG (ein neueres KMG) handelt. Wenn das KMG älter ist, muss diese Option deaktiviert werden.

Kommunikation - Geben Sie den Kommunikationsanschluss für die DSE-Einheit an.

CNC-Steuerung - Geben Sie den Kommunikationsanschluss für die CNC-Steuereinheit an.

Tastatur - Geben Sie den Kommunikationsanschluss für die Tastatur an.

Tech80 verwenden - Wählen Sie diese Option, wenn Ihr System ein Tech80-Platine zum Lesen der Skalen verwendet.

IRQ - Dieser Wert stellt die Unterbrechungsebene für die Tech80-Platine ein. Stellen Sie sicher, dass dieser Wert mit dem der Brücke und dem Wert der WNS27-Registrierungseinstellungen übereinstimmt.

Tech80 X-,Y- und Z-Skala - Über die Option X-, Y- und Z-Skala können Sie den Maßstab für jede Achse angeben, wenn ein Tech80 verwendet wird. Normalerweise wird dieser Wert auf 200,0 eingestellt. Sie können auf einfache Weise testen, ob dieser Wert richtig ist, indem Sie den Abstand zwischen zwei bekannten Punkten messen und einen Korrekturfaktor aus der Differenz zwischen gemessenen und tatsächlichen Ablesungen berechnen. Dieser Wert ergibt fast immer eine runde Zahl wie beispielsweise 100, 1000, 500 etc. Eine rudimentäre Form der Kompensationen linearer Fehler (lineare Ausdehnung) kann durch eine geringfügige Abänderung dieses Werts herbeigeführt werden.

Innerhalb Positionstoleranz- Dies ist der Wert, der darüber bestimmt, wie nahe die Maschine der Befehlsposition kommen muss, bevor sie akzeptiert, dass sie da ist. Sollte die Maschine zwischen den Bewegungen übermäßig lange pausieren, können Sie versuchen, diesen Wert zu erhöhen.

Beschleunigung - Über diese Option wird die Beschleunigung des KMGs während der CNC-Bewegungen eingestellt. Der Standardwert beträgt 1500. Wenn sich das KMG beim Starten und Anhalten ein wenig zu ruckartig bewegt, verringern Sie den Beschleunigungswert.

Höchstgeschwindigkeit - Bei dieser Option handelt es sich einfach um einen Multiplikator der Maschinengeschwindigkeit, mit dem Sie die Höchstgeschwindigkeit kontrollieren können. Sie sollte so angepasst werden, dass 100% Geschwindigkeit in PC-DMIS mit der Maschinenhöchstgeschwindigkeit übereinstimmt.

CNC-Maschine - Der einzige Fall, in dem diese Option NICHT ausgewählt werden sollte, ist der zur Fehlersuche und -bereinigung, wenn Sie die digitale Ergebnisanzeige testen möchten, ohne diese Einstellung auf "CNC-Maschine". Wenn es sich bei dieser Maschine um eine manuelle Maschine handelt, sollte die direkte Tech80-Schnittstelle verwendet werden.

Maschinennullpunkt vorhanden - Wählen Sie diese Option, wenn die Maschine einen Nullpunkt aufweist. Wenn Sie eine Kompensationsmatrix verwenden, muss diese Option ausgewählt werden.


Schnittstelle "Omnitech"

Die Schnittstelle Omnitech wird mit Omnitech-Maschinen verwendet. Diese Schnittstelle kommuniziert durch eine Standard RS-232-Schnittstelle mit der Steuereinheit.

Bevor Sie PC-DMIS starten, benennen Sie "omnitech.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält zwei Registerkarten für die Omnitech-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Reflex"

Die Schnittstelle Reflex wird zusammen mit einer Reflex-Steuereinheit verwendet. Diese Schnittstelle ist für den Gebrauch auf einer manuellen Gage 2000-Maschine mit dem Reflex-Feld im Durchgangsmodus gedacht. Zwei "Chipkarten" werden in die Steuerung eingefügt. Die obere Chipkarte ist die Speicherkarte, auf der die Programme gespeichert sind. Nachdem die Reflex-Steuerung eingeschaltet ist, werden folgende Bildschirme beobachtet:

Bevor Sie PC-DMIS starten, benennen Sie "Reflex.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Reflex-Schnittstelle:

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Renishaw"

Die Schnittstelle Renishaw kommuniziert mit der installierten Software (Version 4.0 und höher) von Renishaw. Es gibt außerdem eine spezielle Schnittstellenkarte (oder USB-Modul), das zur Kommunikation mittels optischer Verbindung mit der Steuereinheit UCC1 verwendet wird. Die Software und die Schnittstellenkarte müssen von Renishaw bezogen werden.

Bevor Sie PC-DMIS starten, benennen Sie "Renishaw.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält zwei Registerkarten für die Renishaw-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Romer"

Die Schnittstelle Romer wird zusammen mit einer Romer-Armmaschine verwendet. PC-DMIS Version 3.7 und höher unterstützt USB-Arme.

  • Für PC-DMIS Version 3.5 oder niedriger können Sie diese Datei vom FTP-Server von Wilcox Associates, Inc. herunterladen: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer22.zip.

  • Für andere Versionen (einschließlich "Beta") können Sie diese Datei vom FTP-Server von Wilcox Associates, Inc. herunterladen: ftp://ftp.wilcoxassoc.com/3rdParty/Romer/Romer31.zip.

Entpacken Sie die Datei(en) und führen Sie Setup aus.

So stellen Sie Umgebungsparameter ein, um den Zugriff von PC-DMIS auf die DLLs von Romer zu ermöglichen:

  • Gehen Sie zum Systemsteuerung

  • Wählen Sie System und klicken Sie dann auf die Registerkarte Erweitert und dann auf die Schaltfläche Umgebungsvariablen.

  • Bearbeiten Sie die Pfadvariable im Listenfeld Systemvariablen.. Fügen Sie ein Semikolon hinzu, gefolgt vom WinRDS-Installationsverzeichnis. Normalerweise bedeutet dies das Hinzufügen von ";C:\Program Files\cimcore\winrds" (ohne Anführungszeichen) am Ende der Pfad-Zeichenfolge.

Bevor Sie PC-DMIS starten, benennen Sie "romer.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält fünf Registerkarten für die Romer-Schnittstelle:

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Registerkarte "Platinum"

Diese Registerkarte enthält die Schaltfläche Diagnostik. Über diese Schaltfläche wird die Romer-Software zur Konfiguration und zum Testen des Romer-Arms gestartet. Weitere Informationen hierzu finden Sie im WinRDS-Benutzerhandbuch des Installationsverzeichnisses. Das WinRDS-Benutzerhandbuch ist eine PDF-Datei, die zusammen mit WinRDS installiert wird.

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Sharpe"

Die Schnittstelle "Sharpe" enthält die Schnittstellen "Sharpe", "Sharpe 32" und "Excel". Um PC-DMIS auszuführen, muss es mit der DOWNL.OAD-Datei des Original-Softwarepakets ausgestattet sein. Bei der Verwendung von Software-Kompensation ist ausßerdem die COMP.DAT-Datei erforderlich. Weitere Informationen zur Schnittstelle "Sharpe" und zur Erstellung der DOWNL.OAD-Datei finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).

Für Systeme, die mit einem doppelten Drehtisch konfiguriert wurden, wird eine zweite Steuerung eingesetzt, die nur den zweiten Tisch steuert. In diesem Fall muss PC-DMIS über eine DOWNL2.OAD-Datei verfügen, die angemessen für den Gebrauch einer Steuereinheit, die nur die W-Achse verwendet, konfiguriert ist. Derzeitig gibt es keine Kompensation nur für den Tisch. Deshalb besteht für eine COMP2.DAT-Datei keine Notwendigkeit.

Bevor Sie PC-DMIS starten, benennen Sie "sharpe.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält sieben Registerkarten für die Sharpe-Schnittstelle:

Registerkarte "Sharpe32"

Siehe unter "Registerkarte "Sharpe32"".

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 4800 Baud, Gerade Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "Steuerung2"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 0, 4800 Baud, Gerade Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "Oit"

Siehe unter "OIT-Kommunikation". Standardwerte sind Kommunikationsanschluss 0, 9600 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Standard ist X=0,0, Y=0,0, Z=0,0.

Registerkarte "Drehtisch"

Siehe unter "Drehtisch-Einstellungen" . Standardwerte sind: Beschleunigung = 46500,0, Geschwindigkeit = 46500,0, Auflösung = 5000,0, Versatz = 0,0, Min. Delta = 0,5, Tisch = Nicht markiert und doppelter Tisch = Nicht markiert.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Sharpe32"

Dialogfeld "KMG-Optionen" - Registerkarte "Sharpe"

Über die Registerkarte Sharpe32 können Sie folgende Einstellungen für die Sharpe-Schnittstelle konfigurieren.

Tastenzuweisungen - Sie können angeben, ob die Schaltfläche Aufzeichnen als (den zuletzt aufgenommenen) Messpunkt löschen, Eine Bewegung speichern oder als Ende/Fertig-Taste fungiert.

Manuell - Wählen Sie diese Option, wenn Sie mit einer manuellen Maschine arbeiten (ohne CNC-Tauglichkeit).

DSE überprüfen - Manche Steuereinheiten positionieren die DSE nicht zuverlässig in die gewünschte Winkelstellung. Bei Auswahl dieser Option wird die DSE-Position nach der gewünschten Rotation überprüft und die DSE-Bewegung, falls erforderlich, wiederholt.

Einzelne Notstopp-Meldung - Wenn Sie diese Option auswählen, wenn 'Notstopp' gedrückt ist, wird die Notstopp-Warnmeldung nicht fortlaufend wiederholt, sondern nur einmal eingeblendet, solange der Notstopp-Status nicht aufgehoben wird. Dadurch hat der Benutzer die Möglichkeit, die Maschine durch Notstopp anzuhalten und dann den Taster manuell zu bewegen (beispielsweise zum Anreißen), wobei der Zugriff zur normalen Schnittstellen-Funktionalität von PC-DMIS für den Benutzer erhalten bleibt.

Kreisbewegungen - Wählen Sie diese Option, wenn Ihre Steuereinheit die Verwendung von Kreisbewegungen unterstützt.

Kommunikationsanschluss der Steuerung abfragen - Bei Auswahl dieser Option läßt sich PC-DMIS die Kommunikation durch regelmäßiges Abfragen der Steuerung des seriellen Anschlusses bestätigen. Diese Option ist nützlich, wenn Sie Probleme mit dem RS232-Anschluss Ihres Rechners vermuten.

Autom. Abbruch deaktivieren - Einige Fehlertypen (beispielsweise DSE-Fehler) können sofort zurückgesetzt werden, aber weiterhin auftreten. Daraus ergibt sich die Situation, in der das Fenster mit den Fehlermeldungen unaufhörlich so schnell blinkt, dass man die Fehlermeldung nicht lesen kann. Durch Auswahl dieser Option wird verhindert, dass die Fehlermeldung "automatisch abgebrochen" wird, damit genügend Zeit bleibt, die Fehlermeldung zu lesen. Beachten Sie, dass während der Nullpunktfahrt der Maschine einige Dialoge ungeachtet dieser Einstellung weiterhin "automatisch abgebrochen" werden.


Schnittstelle "Sheffield"

Die Schnittstelle Sheffield wird mit Sheffield-Maschinen verwendet. Eine Maschinenparameter-Datei vom Originalsystem ist nicht erforderlich, um diese Schnittstelle auszuführen. Das Sheffield-KMG wird nicht von PC-DMIS gesteuert, wenn sich das KMG im manuellen Modus oder im CNC-Modus befindet. Die Steuerungs-Schaltflächen hierzu befinden sich auf dem Bedienelement. Wenn das KMG mit einerm Drehtisch ausgestattet ist, ist eine separate Tech80-Karte für den Drehtisch-Kodierer erforderlich.

Bevor Sie PC-DMIS starten, benennen Sie "sheffield.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Sheffield-Schnittstelle:

Registerkarte "Schnittstelle"

Siehe unter "Registerkarte "Schnittstelle Sheffield"".

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Die Standardwerte sind X=1000, Y=1000, Z=1000.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Schnittstelle Sheffield"

Dialogfeld "KMG-Optionen" - Registerkarte "Schnittstelle"

Über die Registerkarte Schnittstelle können Sie folgende Einstellungen für die Sheffield-Schnittstelle konfigurieren.

RS232 - Wählen Sie diese Option, wenn Sie lieber den RS232 anstelle des GPIB verwenden möchten. Alle neueren Sheffield-Steuerungen, SMP3xx und SMP400, verwenden serielle Kommunikationsanschlüsse.

LPT2 - Wählen Sie diese Option, wenn Ihr System die MSI-Platine zum Lesen der Skalen verwendet.

Tech80 - Wählen Sie diese Option, wenn Ihr System die Tech80-Platine zum Lesen der Skalen verwendet.

Manuelle Maschine - Wählen Sie diese Option, wenn es sich um eine manuelle Maschine handelt. Hinweis: Verwenden Sie diese Option nur zum Testen. Wenn es sich hierbei um eine zweckorientierte, manuelle Maschine handelt, dann sollte die Tech80-Schnittstelle installiert werden.

RS50 - Wählen Sie diese Option bei der Verwendung eines RS50.

KMG-Anschluss - Dieser Wert stellt den Kommunikationsanschluss RS32 für die Steuereinheit ein.

Tech80-IRQ - Diese Option stellt den Unterbrechungswert für die XYZ-Platine Tech80 ein. Wenn Sie diesen Wert ändern, stellen Sie sicher, dass es sich bei der Brücke auf der Tech80-Karte um die gleiche Brücke handelt. Standardwert ist 5.Hinweis: Dies trifft nicht auf die Drehtisch-Platine Tech80 zu. Eine Unterbrechung ist nicht erforderlich.

Messpunktverzögerung - Hierbei handelt es sich um den Verzögerungszeitraum, bevor der Messpunkt von der MSI-Platine gelesen wird. Standardwert ist 0,3. Wenn dieser Wert zu niedrig ist, wird die Platine zu schnell und somit fehlerhaft gelesen. Wenn Ungenauigkeiten auftreten, können Sie versuchen, diesen Wert geringfügig zu erhöhen. Hinweis: Bei der Verwendung der Option MP-Messpunkte hat eine Änderung dieses Wertes keine Auswirkung.

Rücksetzungsverzögerung - Einige MP-Einheiten hängen sich auf, wenn Befehle zu schnell gesendet werden. Sie können diesen Wert erhöhen, wenn Sie ein solches Problem vermuten. Eine Erhöhung dieses Werts wird jedoch eine Reduzierung der Systemleistung zur Folge haben. Hinweis: Wenn die Ausführung mit einem SMP400 erfolgt, muss dieser Wert auf 1,0 gestellt sein.

DSE - Wählen Sie diese Option, wenn Sie eine Dreh-Schwenk-Einheit (DSE) verwenden.

Fernbedienung (DSED) - Wenn das 'hängende' Handbedienpult für die DSE vorhanden ist, wählen Sie diese Option.

Baud - Dieser Wert stellt die Baud-Rate für die DSE ein. Gültige Werte sind 300, 1200, 4800 und 9600. Standardwerte für das verwendete serielle Protokoll sind: keine Stoppbits, 8 Datenbits und 1 Paritätsbit (N81).

Anschluss - Dieser Wert stellt den Kommunikationsanschluss RS32 für die DSE ein.

MP-Messpunkte - Bei Auswahl dieser Option erhält PC-DMIS die Messpunktdaten von der Seffield MP-Einheit anstatt von der Tech80-Platine. Dies hat den Vorteil, dass die MP-Einheit kompensierte Daten erstellt und somit keine ASI-Kompensationsmatrix erstellt werden muss. Der Nachteil liegt darin, dass diese Option die Funktionalität der Makrotasten des Bedienelements (Ende, Messpunkt löschen, Bewegung speichern etc.) während des Messpunkt-Aufnahme-Modus (siehe unten stehenden Bedienelement-Schalter) deaktiviert. Hinweis: Solange Sie die MSI-Platine verwenden, ist diese Option nicht notwendig, da die Platine bereits kompensierte Daten zurückgibt. Stellen Sie bei der Verwendung einer Tech80-Platine sicher, dass das Tasterkabel NICHT mit dem Tastersignal der MP-Einheit verbunden ist.

MP-Vektoren - Ist diese Option nicht ausgewählt, wird PC-DMIS die Vektoren der Messpunkte aufspüren, indem die Position des Tasters gelesen wird, bevor ein Messpunkt aufgenommen wird. Durch Auswahl dieser Option wird PC-DMIS die Vektoren direkt über die MP-Einheit erhalten. Der Nachteil liegt darin, dass diese Option die Funktionalität der Makrotasten des Bedienelements (Ende, Messpunkt löschen, Bewegung speichern etc.) während des Messpunkt-Aufnahme-Modus (siehe unten stehenden Bedienelement-Schalter) deaktiviert. Hinweis: Einige der älteren Systeme unterstützen diese Funktion nicht. Wenn Sie eine "Ungültiger Parameter 21"-Fehlermeldung bei der Initialisierung mit dieser Option erhalten, wird diese Funktion von Ihrem System nicht unterstützt. Bei der Verwendung von MP-Messpunkten sollten Sie diese Option (falls unterstützt) aktivieren.


Schnittstelle "Tech80"

Die Schnittstelle Tech80 unterstützt die manuellen Schnittstellenkarten Tech80 und Scazon. Einen Maschinenparameter-Datei vom Originalsystem ist nicht erforderlich, um diese Schnittstelle auszuführen.

Bevor Sie PC-DMIS starten, benennen Sie "TECH80.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Tech80-Schnittstelle:

Registerkarte "Verbindung"

Siehe unter "Verwenden der Tech80-Registerkarte "Verbindung"".

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Auflösung"

Siehe unter "Einstellen des Achsen-Maßstabs". Standardwerte sind X=10000,0, Y=10000,0, Z=10000,0.

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Tech80-Registerkarte "Verbindung"

Dialogfeld "KMG-Optionen" - Registerkarte "Verbindung"

Über die Registerkarte Verbindung können Sie folgende Einstellungen für die Tech80-Schnittstelle konfigurieren.

Unterbrechung - Dieser Wert legt die Unterbrechungsebene für die Tech80-Karte fest. Stellen Sie bei einer Änderung sicher, dass die Brücke auf der Karte auf die gleiche Ebene eingestellt ist.

Abstand angefordert - Dieser Wert steuert die Geschwindigkeit, mit der PC-DMIS der Position des Tasters folgt. Dieser Wert wird in Millisekunden (300 Millisekunden sind beispielsweise 0,3 Sekunden) eingegeben. Ein Standardwert von 300 fragt die Tasterposition ca. 3 Mal in der Sekunde ab.

Abstand zw. Messpunkten - Dieser Wert steuert den Zeitraum zwischen zwei Messpunkten. Es ist sinnvoll, 'doppelte Messpunkte' zu vermeiden, da sich der Taster vom Werkstück zurückzieht. Der Wert wird in Millisekunden eingegeben (500 Millisekunden sind beispielsweise 0,5 Sekunden).

Nullzähler bei Start - Wählen Sie diese Option, um die Zähler beim Start von PC-DMIS auf Null zu stellen.

Schaltfläche Nullzähler - Klicken Sie diese Schaltfläche, um die Zähler auf Null zu stellen.


Schnittstelle "Theodole"

Die Schnittstelle Theodole wird zusammen mit einer Theodolite-Maschine verwendet.

Bevor Sie PC-DMIS starten, benennen Sie "theodole.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Theodole-Schnittstelle:

Registerkarte "Steuerung"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 1, 19200 Baud, Gerade Parität, 7 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "Wenzel"

Die Schnittstelle Wenzel wird mit Wenzel-Maschinen mit einer Wenzel 2010-Steuereinheit (Native Wenzel-Protokoll) verwendet. Diese Schnittstelle erfordert lediglich einen einzigen RS232-Kommunikationsanschluss. Eine Maschinen-Parameterdatei vom Originalsystem ist nicht erforderlich.

Bevor Sie PC-DMIS starten, benennen Sie "wenzel.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält zwei Registerkarten für die Wenzel-Schnittstelle:

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Zeiss-Schnittstelle

Die Zeiss-Schnittstelle wird zusammen mit IP-basierten Maschinen mit Zeiss-Steuereinheiten verwendet. Diese neue Schnittstelle unterstützt TCP- und UDP-Protokolle. Aufgrund von geringfügigen Unterschieden, die unter diesen Steuereinheiten beobachtet wurden, wurde diese Schnittstelle so konzipiert, dass Änderungen zur Anpassung an einer Konfigurationsdatei vorgenommen werden dürfen, ohne eine neue interfac.dll erforderlich zu machen. Darüber hinaus wurden die meisten Konfigurationsoptionen für die Steuereinheit in diese Konfigurationsdatei verschoben, um auch für zukünftige WAI-Hilfsprogramme Kommunikation mit dem KMG zu ermöglichen, ohne PC-DMIS ausführen zu müssen.

Unterstützte Taster umfassen den Standardtaster von Zeiss, RDS, DSE und Vast. Die alten Bedienelemente werden unterstützt (sowohl das Kleinere mit dem numerischen Block als auch das Größere mit Tastatur) und die neueren Bedienelemente (womit Laptops gemeint sind) können mit einem IP-basierten Hilfsmittel unterstützt werden, dass die Verwendung von elementaren Funktionstasten erlaubt.

Bevor Sie PC-DMIS starten, benennen Sie "Zeiss.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Zeiss-Schnittstelle:

Registerkarte "DSE"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwertwerte sind Kommunikationsanschluss 0, 4800 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Schnittstelle "ZssGPIB"

Die Schnittstelle ZssGPIB wird mit Zeiss-Maschinen mit einer RS232- oder GPIB-basierten Steuereinheit verwendet. Diese Schnittstelle unterstützt die Steuereinheit "GPIB Zeiss" (graue, ca. 60cm x 60 cm Box). Die DSE wird über einen RS232-Anschluss gesteuert.

Die Schnittstelle unterstützt auch eine systemeigene RS232-Verbindung (Steuereinheit "Zeiss C99"), wobei das ZEISS-KMG über das ZEISS UMESS/COMET-Softwarepaket von der ZSSRS232.DLL gesteuert wird. Ob PC-DMIS über GPIB oder über RS232 kommuniziert, hängt von der Option "RS232KMG" im Abschnitt ZEISS des Einstellungseditors ab. Für den systemeigenen Anschluss RS232 sollte diese Einstellung auf "1" gesetzt werden. Weitere Informationen über die Änderung von Registrierungseinträgen finden Sie unter "Ändern von Registrierungseinträgen".

Bevor Sie PC-DMIS starten, benennen Sie "zssgpib.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden drei Registerkarten für die ZssGPIB-Schnittstelle:

Registerkarte "DSE"

Siehe unter "Einrichten des Kommunikationsprotokolls". Standardwerte sind Kommunikationsanschluss 0, 4800 Baud, Keine Parität, 8 Datenbits und 1 Stoppbit.

Registerkarte "Achse"

Siehe unter "Zuweisen der Maschinenachsen".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


 Sensor Numbers boxes Material Coefficient boxes boxes Current Temp boxes Prev Temp boxes Ref Temp boxes High Threshold boxes Low Threshold boxes Origin boxes Qual Tool check box Show Temperatures in Celsius Temperature Compensation Enabled check box Compensation Method list Time Remaining Delay Before Reading Part Reset to Defaults button Get Current Temps button OK button Cancel button Default button

Temperaturkompensation

Dialogfeld "Temperaturkompensation einrichten"

Durch Auswahls der Menüoption Bearbeiten | Einstellungen | Temperaturkompensation wird das Dialogfeld Temperaturkompensation einrichten angezeigt. In diesem Dialogfeld können Sie die Kompensationswerte für die Raum- und Werkstücktemperatur einstellen und so die Genauigkeit des Prüfverfahrens erhöhen.

Informationen zur Temperaturkompensation während der Mehrarm-Kalibrierung finden Sie unter "Temperaturkompensation bei Mehrarm-Kalibrierung" im Abschnitt "Arbeiten im Mehrarmbetrieb".

Siehe auch:

STP-Dateien verwenden

Verfügbare Eingabeparameter

TEMPKOMP-Befehl im Bearbeitungsfenster

Unterstützung der Steuereinheit


STP-Dateien verwenden

Jedes KMG verwendet maschinenspezifische Parameter zur Temperaturkompensation jeder Achse, wie beispielsweise Wärmekoeffizienten und Sensorzuweisungen. Zusammen mit einem eingebetteten Code, der PC-DMIS mitteilt, ob die Datei eine strukturelle oder lineare Kompensationsdatei ist, werden diese Parameter in gesonderten (die nach der Erweiterung .stp benannten) STP-Dateien gespeichert. Diese wurden durch Ihren KMG-Anbieter erstellt.

PC-DMIS benötigt diese STP-Dateien zur Temperaturkompensation.

Bevor die Temperaturkompensation durchgeführt ist, ist sicherzustellen, dass sich diese STP-Dateien an den richtigen Stellen auf Ihrem Festplattenlaufwerk befinden:

  • Das Strukturelle Temperaturkompensationsverfahren von DEA erwartet, die Serv1.stp file im Verzeichnis C:\Thermal_OCX vorzufinden.

  • Das Lineare Temperaturkompensationsverfahren von DEA erwartet, die Serv1.stp-Datei im Verzeichnis C:\Program Files\Thermal_OCX vorzufinden.

Siehe auch:

Lineare und Strukturelle Temperaturkompensation


Lineare und Strukturelle Temperaturkompensation

Lineare Kompensation = (Thermischer Ausdehnungskoeffizient) X (Verschiebung + Veränderung der Temperatur jeder Achse und dem Werkstück). Wenn eine Achse mit mehreren Temperatursensoren ausgestattet ist, ermittelt PC-DMIS den Ergebnisdurchschnitt, um die Temperaturveränderung festzustellen.

Die Strukturelle Kompensation erkennt, dass die verschiedenen Materialkomponenten eines KMGs unterschiedliche Temperaturen aufweisen können. (Eine einzige Maschinenachse kann beispielsweise verschiedene Temperaturen aufweisen. Die Folge sind gewisse Durchbiegungen, Krümmungen oder Verformungen der Maschine.) Die strukturelle Kompensation nimmt dann die Temperaturkorrekturen für bestimmte Bereiche des KMGs vor. Wird der Menüeintrag Bearbeiten | Einstellungen | Temperaturkompensation gewählt, wird das Verzeichnis Structural Thermal_OCX aufgerufen und PC-DMIS berechnet eine neue temporäre volumetrische Kompensationsmatrix.


Verfügbare Eingabeparameter

Im Folgenden werden die verfügbaren Eingabeparameter des Dialogfelds Temperaturkompensation einrichten (Bearbeiten | Parameteränderung | Temperaturkompensation) erläutert.

Siehe auch:

Sensorennummern-Felder

Materialkoeffizient-Felder

Aktuelle Temp.-Felder

"Vorherige Temp."-Felder

Bezugstemp.-Felder

Felder "Oberer Grenzwert"

Felder "Unterer Grenzwert"

Nullpunkt-Felder

Temperaturen in Celsius einblenden

Temperaturkompensation aktiviert

Kompe nsationsmethode

Verbleibende Zeit

Verzögerung vor Lesen der Werkstücktemperatur

Auf Standardeinstellungen zurücksetzen

Aktuelle Temperaturen lesen


Sensorennummern-Felder

Die Sensorennummern-Felder enthalten eine Liste mit einer oder mehreren Sensorennummern, die für eine bestimmte Achse bzw. ein bestimmtes Werkstück verwendet werden sollen. Diese Werte sind sehr wichtig für das Ablesen der Temperaturen von der Steuereinheit, denn sie müssen der tatsächlichen Konfiguration der Sensoren entsprechen.

  • Jeder Sensor entspricht einer Nummer im Bereich von 1 bis 32.

  • Bei den Einträgen in der Liste kann es sich entweder um eine einzelne Nummer oder einen Nummernbereich von der ersten bis zur letzten Nummer handeln.

  • Die einzelnen Einträge werden durch Kommata oder Leerstellen voneinander getrennt.

  • Für jede Achse oder das Werkstück können maximal 32 Werte eingegeben werden.

Für den "manuellen" Modus sind diese Nummern relativ bedeutungslos, doch jeder Achse und dem Werkstück muss mindestens eine Sensorennummer zugeordnet werden.


Materialkoeffizient-Felder

Die Materialkoeffizient-Felder enthalten Nummern, die die Materialeigenschaft beschreiben und die Längenänderung pro Einheitsänderung der Temperatur als Bruch anzeigen.

  • Die Werte variieren und hängen davon ab, welches Material für die Skalen auf den Achsen des Geräts und für das Werkstück verwendet wurden.

  • Als Maßeinheit wird Grad Celsius oder Grad Fahrenheit verwendet, abhängig davon, ob das Kontrollkästchen für die Anzeige in Grad Celsius gewählt wurde oder nicht.

  • Die Anzeige kann in Metern/Meter/Grad C oder in Zölle/Zoll/Grad F erfolgen, doch da die Längen im Zähler und im Nenner in derselben Einheit eingegeben werden, ergibt die Division das gleiche Ergebnis.

Beispiel: Ein Maßstab mit einem Koeffizienten von 11.5 Mikron/Meter/Grad C ergibt 0.0000115 Meter/Meter/Grad C oder einfach 0.0000115/Grad C.

Kalibriernormal

In diesem Feld können Sie den Materialkoeffizienten für das Kalibriernormal des Tasters gesondert vom Werkstück festlegen.


Aktuelle Temp.-Felder

Die Aktuelle Temp.-Felder zeigen die aktuellen Temperaturen in den jeweiligen Maßeinheiten an. Sie können diese entweder eingeben oder von der Steuereinheit einlesen lassen, abhängig davon, welcher Gerätetyp verwendet und welche Optionen gewählt wurden.


"Vorherige Temp."-Felder

Die Vorherige Temp.-Felder zeigen stets die zuvor gelesenen Temperaturen. Wenn zuvor keine Temperaturen gelesen wurden, stehen diese Werte entweder auf Null oder die Felder sind leer.


Bezugstemp.-Felder

Die Bezugstemp.-Felder zeigen die Bezugstemperatur. Von dieser Temperatur ausgehend sind Temperaturkompensationsanpassungen vorzunehmen.

  • Der anzuwendende Korrekturbetrag wird errechnet, indem der Materialkoeffizient mit der Differenz zwischen der aktuellen Temperatur und der Bezugstemperatur multipliziert wird.
    Korrekturbetrag = Materialkoeffizient x (Aktuelle Temp. – Bezugstemp.)

  • Wenn die aktuelle Temperatur mit der Bezugstemperatur übereinstimmt, erfolgt keine Anpassung der Wärmekompensation.

  • Der Wert in diesen Feldern beträgt fast immer 20 Grad C oder den entsprechenden Wert in Fahrenheit.


Oberer Grenzwert-Felder

Die Oberer Grenzwert-Felder zeigen eine Obergrenze (in den jeweiligen Maßeinheiten) für die aktuelle Temperatur, oberhalb derer keine weitere Wärmekompensation vorgenommen wird. PC-DMIS erteilt keine Warn- oder Fehlermeldungen.

Beispiel: Bei einer Bezugstemperatur von 20 Grad C, einer aktuellen Temperatur von 35 Grad C und einem oberen Grenzwert von 30 Grad C würde für den tatsächlich angewendeten Korrekturbetrag die Differenz (30 - 20) anstelle von (35 – 20) herangezogen, da die aktuelle Temperatur über der Obergrenze liegt.


Felder "Unterer Grenzwert"

Das Konzept der Unterer Grenzwert-Felder ist mit dem für den oberen Grenzwert identisch, mit dem Unterschied, dass eine Untergrenze für die aktuelle Temperatur vorgegeben wird, unterhalb derer keine weitere Wärmekompensation durchgeführt wird.


Nullpunkt-Felder

Anhand der Nullpunkt-Felder können Sie die Länge des Elements festlegen, auf das die Wärmekompensation angewendet wird.

Länge = Aktueller Positionswert – Nullpunktwert

  • Die X-, Y- und Z-Werte der Nullpunkt-Felder betragen meist Null. Einige Gerätetypen verwenden jedoch nicht Null für den Nullpunkt ihrer Skalen.

  • Der Wert Werkstück beträgt meist ebenfalls Null, sofern keine besonderen Beschränkungen für das Aufspannsystem bestehen.


Temperaturen in Celsius einblenden

Das Kontrollkästchen Temperaturen in Celsius einblenden wirkt sich sowohl auf die Temperaturen als auch auf den Materialkoeffizienten aus.

  • Bei Auswahl dieses Kontrollkästchens erfolgt die Anzeige in Grad Celsius.

  • Wird dieses Kontrollkästchens deaktiviert, verwendet PC-DMIS Grad Fahrenheit.


Temperaturkompensation aktiviert

Bei Auswahl des Kontrollkästchens Temperaturkompensation aktiviert wird PC-DMIS angewiesen, die Temperaturkompensation zu verwenden.

  • Wird diese Option nicht gewählt, führt PC-DMIS keine Temperaturkompensation durch und der Befehl TEMPKOMP (falls er im Werkstückprogramm enthalten ist) hat keine Auswirkungen.

  • Bei Auswahl dieser Option verhält sich PC-DMIS gemäß der Eingabeparameter.


Kompensationsmethode

Im folgenden werden die verfügbaren Kompensationsmethoden und die entsprechenden Abläufe in PC-DMIS aufgeführt.

Methode

Ablauf

Manuell

ü Die Kompensation wird manuell (durch Ihre Eingabe gesteuert) vorgenommen, ohne Beteiligung der KMG-Steuereinheit.

ü PC-DMIS führt alle Kompensationsberechnungen durch.

ü Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten geöffnet, in dem die aktuellen Einstellungen vor dem Fortfahren des restlichen Programms bearbeitet werden können.

Temperaturen von Steuereinheit einlesen

ü Bei Verwendung eines Geräts, das diese Option unterstützt, liest PC-DMIS die aktuellen Temperaturen von der Steuereinheit ein, d. h., Sie selbst müssen keine Daten bereitstellen.

ü PC-DMIS führt alle Kompensationsberechnungen durch. Die Steuereinheit liefert nur die aktuellen Temperaturen.

ü Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten nicht geöffnet.

ü Das Werkstückprogramm wird nicht zur Eingabe einer Bestätigung unterbrochen.

Steuerung kompensiert nur Achsen

ü Die Kompensation wird von der Steuereinheit auf den Geräteachsen durchgeführt.

ü Die Eingaben für die Achsen werden nicht verwendet.

ü Die Eingabeparameter für das Werkstück gelten noch, da die Werkstückkompensation nach wie vor von PC-DMIS durchgeführt wird.

ü Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten nicht geöffnet.

ü Das Werkstückprogramm wird nicht zur Eingabe einer Bestätigung unterbrochen.

Steuereinheit kompensiert Achsen und Werkstück

ü Die Kompensation wird von der Steuereinheit für die Geräteachsen und das Werkstück durchgeführt.

ü Die Eingaben für die Achsen werden nicht verwendet.

ü PC-DMIS führt keine Kompensationsberechnungen durch.

ü Die Eingaben für den Materialkoeffizienten des Werkstücks, die Bezugstemperatur und der Nullpunkt müssen nach wie vor zugewiesen werden, denn PC-DMIS muss diese Informationen an die Steuereinheit weiterleiten.

ü Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten nicht geöffnet.

ü Das Werkstückprogramm wird nicht zur Eingabe einer Bestätigung unterbrochen.


Verbleibende Zeit

Die Anzeige Verbleibende Zeit gibt die verbleibende Zeit vor der Temperaturlesung an. Diese Anzeige erfolgt nur dann, wenn Sie eine Verzögerung für die Ausführung festgelegt haben Siehe “Verzögerung vor Lesen der Werkstücktemperatur”.


Verzögerung vor Lesen der Werkstücktemperatur

Im Feld Verzögerung vor Lesen der Werkstücktemperatur können Sie die Zeitspanne angeben, die PC-DMIS während der Ausführung des Werkstückprogramms warten muss, bevor die Sensoren zur Ermittlung der aktuellen Temperaturen gelesen werden. Bei Eingabe von Null tritt keine Pause ein.


Auf Standardeinstellungen zurücksetzen

Über die Schaltfläche Zurücksetzen werden zuvor geänderte Werte mit den zuvor gespeicherten Werten aktualisiert. Wenn es sich um ein DEA-Gerät handelt und serv1.stp verfügbar ist, dann liest PC-DMIS diese Datei.


Aktuelle Temperaturen lesen

Wenn Sie die Methode Temperatur von Steuerung einlesen aus der Liste Kompensationsmethode wählen und ein Gerät verwenden, das diese Option unterstützt, wird PC-DMIS über die Schaltfläche Aktuelle Temperaturen lesen dazu veranlasst, dieTemperaturen von der Steuereinheit einzulesen und im Dialogfeld Temperaturkompensation einrichten anzuzeigen.


TEMPKOMP-Befehl im Bearbeitungsfenster

Wenn Sie die Eingaben in das Dialogfeld Temperaturkompensation einrichten durch Klicken auf OK bestätigen, fügt PC-DMIS den Befehl TEMPKOMP in das Werkstückprogramm ein.

Beispiel eines eingefügten TEMPKOMP-Befehls

Das Werkstückprogramm verwendet normalerweise nur einen TEMPKOMP-Befehl. Der TEMPKOMP-Befehl sollte vor der Durchführung von Messungen im oberen Teil des Programms platziert werden. Bei Ausführung des Programms erfolgt der Ablauf gemäß den verschiedenen Eingabeparametern.


Unterstützung der Steuereinheit

Nicht alle Kompensationsmethoden werden von allen Steuereinheiten unterstützt. Im folgenden werden die unterstützten Steuereinheiten für die einzelnen Kompensationsmethoden aufgeführt. Siehe “Kompensationsmethode”.

Kompensationsmethoden | Unterstützte Steuereinheiten
Manuell | Alle. Bei dieser Methode sind keine Steuereinheiten beteiligt
Temperaturen von der Steuereinheit einlesen | DEA (nur mit DEAC-Steuerungssystemen), Sharpe32z unter Verwendung des Leitz-Protokolls
Steuereinheit kompensiert nur Achsen | Sharpe32z unter Verwendung des Leitz-Protokolls
Steuereinheit kompensiert Achsen und Werkstück | Sharpe32z unter Verwendung des Leitz-Protokolls


Angeben externer Verzeichnisse für die Suche

Dialogfeld "Suchpfad"

Die Menüoption Bearbeiten | Einstellungen | Suchpfad festlegen zeigt das Dialogfeld Suchpfad an. In diesem Dialogfeld können Sie bestimmen, welche Verzeichnisse PC-DMIS beim:

  • Importieren von CAD-Dateien,

  • Exportieren von CAD-Dateien,

  • Laden von Werkstückprogrammdateien (.prg),

  • Laden von Protokoll- (.rtp) oder Etikettvorlagendateien (.lbl) und Formdateien (.frm),

  • Laden von Tasterdateien (.prb),

  • Aufrufen von Ausrichtungen (.aln)

  • und beim Aufrufen von Unterprogrammen verwenden soll.

So bestimmen Sie, welches Standardverzeichnis verwenden werden soll:

  1. Öffnen Sie das Dialogfeld Suchpfad.

  2. Wählen Sie einen Eintrag aus der Liste Suchen nach.

  3. Geben Sie in das Feld den Verzeichnispfad ein (oder verwenden Sie die Schaltfläche Suchen, um das gewünschte Verzeichnis auszuwählen).

  4. Klicken Sie auf OK. Die Änderungen werden durchgeführt und das Dialogfeld wird geschlossen.

Hinweis: Wenn Sie TASTERLADEN, AUFRUFEN oder UNTERPROGRAMM in der Liste Suchen nach ausgewählt haben, werden zusätzliche Kontrollkästchen zur Auswahl verfügbar. Diese Methoden werden nachfolgend beschrieben.

Das Dialogfeld Suchpfad enthält folgende Optionen:

Siehe auch:

Suchen nach

Aktuelles Verzeichnis durchsuchen

Aktuelles Verzeichnis zuerst durchsuchen

Angegebenes Verzeichnis durchsuchen

Schaltfläche "Suchen"


Suchen nach

In der Auswahlliste Suchen nach steht eine dieser Optionen zur Auswahl:

  • Standard Verzeichnis Export

  • Standard Verzeichnis Import

  • Standard Verzeichnis Werkstückprogramme

  • Standard-Verzeichnis Protokollerstattung

  • TASTERLADEN

  • AUFRUFEN

  • UNTERPROGRAMM

Für jede dieser Optionen können Sie dann ein Verzeichnis angeben, das PC-DMIS durchsuchen soll, wenn der Befehl für die ausgewählte Option im Bearbeitungsfenster auftritt.


Aktuelles Verzeichnis durchsuchen

Mit dem Kontrollkästchen Aktuelles Verzeichnis durchsuchen wird die Suche im aktuellen Verzeichnis aktiviert oder deaktiviert.


Aktuelles Verzeichnis zuerst durchsuchen

Wenn dieses Kontrollkästchen markiert ist (und wenn beide Kontrollkästchen, sowohl Aktuelles Verzeichnis durchsuchen als auch Angegebenes Verzeichnis durchsuchen, aktiviert sind), können Sie die Suche sowohl im aktuellen Verzeichnis als auch in dem benutzerseitig angegebenen Verzeichnis durchführen. Die Suchreihenfolge hängt dabei davon ab, ob dieses Kontrollkästchen markiert ist:

  • Ist es markiert, durchsucht PC-DMIS zuerst das aktuelle Verzeichnis, dann das vom Benutzer angegebene.

  • Ist es nicht markiert, wird die Suchreihenfolge umgekehrt, und das vom Benutzer angegebene Verzeichnis wird zuerst durchsucht, dann das aktuelle.


Angegebenes Verzeichnis durchsuchen

Mit dem Kontrollkästchen Angegebenes Verzeichnis durchsuchen wird eine Suche in dem von Ihnen angegebenen Verzeichnis aktiviert oder deaktiviert. Der Verzeichnispfad für das gewünschte Verzeichnis wird in das Feld eingegeben, das sich genau unter dem Kontrollkästchen befindet.


Schaltfläche "Suchen"

Mit der Schaltfläche Suchen können Sie nach einem vom Benutzer angegebenen Verzeichnis suchen. Bei Wahl dieser Schaltfläche erscheint die Verzeichnisstruktur des Systems.

Beispiel einer Verzeichnisstruktur des Systems innerhalb des Dialogfelds "Verzeichnis wählen".

Im Dialogfeld Verzeichnis wählen werden die Ordner und Ordnerebenen, auf die Sie Zugriff haben, angezeigt. Markieren Sie einfach das Verzeichnis, in dem PC-DMIS suchen soll, und klicken Sie dann auf OK. PC-DMIS blendet wieder das Dialogfeld Suchpfad ein. Beachten Sie, dass der Verzeichnispfad jetzt in dem Feld Angegebenes Verzeichnis durchsuchen erscheint.

Hinweis: Die Verzeichnisstruktur im Dialogfeld Verzeichnis wählen ist von Rechner zu Rechner unterschiedlich. Oben wurde nur ein Beispiel einer möglichen Darstellung gezeigt.


Ändern der OpenGL-Optionen

Dialogfeld "OpenGL-Optionen"

Damit diese Menüoption verfügbar ist, muss das Grafikfenster aktiv sein.

Die Menüoption Bearbeiten | Einstellungen | OpenGL blendet das Dialogfeld OpenGL-Optionen ein. In diesem Dialogfeld können Sie die OpenGL-Optionen ändern, die sich auf die Anzeige des Modells als schattierte Ansicht auswirken. Informationen zum Einstellen des Werkstücks auf die schattierte Ansicht finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".

Siehe auch:

Desktop-Einstellungen

Optionen

Mosaik


Desktop-Einstellungen

Für jede Einstellung der Desktop-Anzeige kann es unterschiedliche OpenGL-Optionen geben. Der Bereich Desktop-Einstellungen zeigt die aktuellen Desktop-Einstellungen an.


Optionen

Der Bereich Optionen steuert die darstellbaren Charakteristika des Modells in schattierter Ansicht. Einige Kombinationen dieser Optionen könnten aufgrund von Einschränkungen Ihrer Grafikkarte nicht zur Auswahl stehen. Außerdem könnten einige Kombinationen dieser Optionen zu einer verminderten Grafikleistung führen, abhängig davon, wie Ihre Grafikkarte die Hardwarebeschleunigung unterstützt. In diesem Fall wird eine entsprechende Warnmeldung im unteren Dialogfeldbereich angezeigt.


Doppelpufferung

Ein Anzeigepuffer ist Grafikspeicher, der zum Speichern der auf dem Bildschirm dargestellten Bilder verwendet wird.

Bei Auswahl des Kontrollkästchens Doppelpufferung werden tatsächlich zwei Anzeigepuffer eingesetzt: ein "vorderer" und ein "hinterer" Puffer. Der vordere Puffer ist für das verantwortlich, was auf dem Bildschirm zu sehen ist. Wenn der Bildschirm aktualisiert werden muss, wie z. B. bei einer Drehung des Modells, muss das Bild auf dem Bildschirm gelöscht und in seinem neuen Zustand neu gezeichnet werden. Löschen und Neuzeichnen erfolgt im hinteren Puffer. Es ist nicht tatsächlich sichtbar, wie die Grafik gelöscht und neu gezeichnet wird. Wenn die Grafiken im hinteren Puffer gezeichnet worden sind, wird der hintere Puffer gegen den vorderen Puffer ausgetauscht. Dieser Austausch geht so schnell vor sich, dass er praktisch nicht wahrgenommen wird.

Wenn die Auswahl des Kontrollkästchens Doppelpufferung aufgehoben ist, oder, anders ausgedrückt, wenn nur ein Anzeigepuffer vorhanden ist, ist das Löschen und Neuzeichnen des Bildschirms sichtbar (wird jedoch sehr schnell vollzogen). Hierbei ist ein Flickern des Bildschirms zu beobachten.

Insgesamt sorgt die Doppelpufferung also für eine angenehmere grafische Anzeige als die Einzelpufferung.


Z-Puffertiefe

Über die Liste Z-Puffertiefe wird gesteuert, wieviel Grafikspeicher für den Z-Puffer eingeräumt wird. Der Z-Puffer legt fest, welche Teile des 3D-Modells vor anderen Teilen des Modells liegen. Wird keine ausreichende Anzahl von Bits für den Z-Puffer verwendet, werden visuelle Artefakte im Modell u.U. in schattierter Ansicht dargestellt. Bei diesen Artefakten handelt es sich um Bereiche des Modells, die im Vordergrund vor anderen Teilen des Modells gezeichnet werden und eigentlich verdeckt sein sollten. Diese Artefakte wirken sich nicht auf die Genauigkeit von PC-DMIS aus, sondern sind lediglich Ungenauigkeiten in der Anzeige des Modells.


Farbtiefe

Über die Liste Farbtiefe wird festgelegt, wieviel Grafikspeicher vom System für die Farbinformationen der einzelnen Pixel eingeräumt wird. Dieser Wert hängt in der Regel von der Farbtiefe der Desktop-Einstellungen ab.


Mosaik

Der Mosaikwert ist der Standardwert, der bei der Unterteilung von Oberflächen in Teilflächen zu Schattierungszwecken zugrunde gelegt wird.

Im Bereich Mosaik befindet sich das Feld Multiplikator, in dem ein Mosaik-Multiplikator zur Steuerung des gezeichneten Bildes festgelegt werden kann. PC-DMIS multipliziert den Multiplikator mit dem Mosaik-Wert des betreffenden CAD-Systems. Diese Werte werden dann zur Erstellung der schattierten Ansicht verwendet.


Bearbeiten der CAD-Anzeige

Bearbeiten der CAD-Anzeige: Einführung

Einrichten der Bildschirmanzeige

Ändern von Layout und Ansichten

Ändern der Ansichtsgröße

Anzeigen von Linealen

Konturlinien sichtbar

Hinzufügen eines 3D-Rasters

Anzeigen, Erzeugen und Bearbeiten von Layern

Erzeugen von Layern

Löschen von Layern

Ändern von Layern

Verwalten und Positionieren von Bildschirm-Elementen

Wechseln zwischen Kontur- und Flächenmodus

Zeichnen von Oberflächen

Markieren von Flächen oder Kurven mit der Maus

Neuzeichnen des Bildschirms

Ändern der Bildschirmmodi

Übertragungsmodus

Verkleinern des Werkstückbildes im Grafikfenster

Vergrößern des Werkstückbildes im Grafikfenster

Vergrößern eines Ausschnitts des Werkstückbildes im Grafikfenster

Neupositionierung des Werkstückbildes im Grafikfenster

2D-Rotationsmodus

2D-Rotation durch Ziehen

2D-Rotation an ein Element (Ausrichten der Zeichnung)

2D-Rotation mit Hilfe eines Faktors

3D-Rotationsmodus

3D-Rotation über das Dialogfeld "Drehen"

3D-Rotation durch Ziehen

3D-Rotation an ein Element (Ausrichten der Zeichnung)

Programmiermodus

Textfeldmodus

Ändern der Bildschirmfarben

So ändern Sie eine Farbe:

Hintergrund

Markieren

3D-Raster

Anpassen der Zeichnung

Anpassen des Modells an eine Ansicht

Anpassen des Modells mit Hilfe eines Faktors

Drehen der Zeichnung

Verändern von Rotations- und anderen Bewegungsoptionen

Zweiseitige Beleuchtung und Hintergrundflächen ausschalten

Materialien, Texturen und Transparenz ausschalten

Diese Objekte nicht berücksichtigen

Darstellung der Objekte

Art der Darstellung - Wie definiert

Art der Darstellung - Drahtmodell

Art der Darstellung - Als Punkte

Ein- und Ausblenden von Grafiken

A rbeiten mit Werkstückbaugruppen

Spiegeln von CAD

Einstellen von CAD auf 3D unter Verwendung des Dialogfelds "Layer erstellen"

So stellen Sie CAD auf 3D ein

Layer erstellen – Menü "Datei"

Layer erstellen – Menü "Ansicht"

Ansicht | Voransicht ändern

Ansicht | Größe anpassen

Ansicht | Drehen

Ansicht | CAD-Info

Ansicht | Bildschirmfarbe

Layer erstellen – Menü "Layer"

Neuer Layer

So erstellen Sie einen neuen Layer:

Layer auswählen

Layer | Auswahl aufheben

Layer erstellen

Positionsebene

So positionieren Sie einen Layer neu:

Bereich "Ausrichtung"

Schaltfläche "Positionieren"

Bereich "Element(e) zur Definition des Nullpunkts"

Bereich "Element zur Definition des Versatzes"

Feld "Maßstab"

Zusätzliche Ebenenmanipulationen

Anzeigen von CAD-Angaben

Arbeiten mit Bildschirmkopien des Grafikfensters

Ablegen von Bildschirmkopien in der Zwischenablage

Einfügen von Bildschirmkopien in das Protokoll

Übertragen von Bildschirmkopien in eine Datei

Bearbeiten von Bildschirmkopien

Bearbeiten von CAD

Elementtypen

Anzahl ausgewählter Elemente

Farbe bearbeiten

Namen ändern

Farbe ändern

Priorität setzen

So speichern Sie einen neuen Oberflächensatz:

Namen einblenden

So blenden Sie vorgegebene Elementnamen ein oder aus:

Auswahl aufheben

Namensfeld für CAD-Elemente

Beleuchtung und Materialien auf die CAD-Anzeige anwenden

Registerkarte "Archiv"

Registerkarte "Beleuchtung"

Registerkarte "Material"

Texturen auf das gesamte CAD-Modell anwenden

Texturen auf ausgewählte CAD-Objekte anwenden

Texturen aus ausgewählten CAD-Objekten entfernen

Registerkarte "Schnittebenen"

Definieren einer Schnittebene

Anpassen einer Schnittebene

Bearbeiten von Elementen

Bereich "Elementoptionen"

Bereich "Optionen Textmarkierung"

Markieren von Elementen im Grafikfenster

Auswählen von Elementen anhand der ID(s)

Auswählen von Elementen durch Metazeichen-Entsprechung

Das Metazeichen Sternchen (*)

Das Metazeichen Fragezeichen (?)

Auswählen der letzten ID(s)

Kästchenauswahl der ID(s)

Überblick über die Kästchenauswahl von Blechelement-IDs

Auswählen von Elementen online

Bearbeiten einer Element-ID

Bearbeiten von Merkmalsfarben

Anzeigen und Animieren von Bahngeraden

Animieren der Tasterbahn

Neuzeichnen der Tasterbahn

Kollisionserkennung

So aktivieren Sie die Kollisionserkennungs-Funktionalität:

So konfigurieren Sie eine Ansicht für den OpenGL-Modus:

Optionen des Dialogfelds "Kollisionserkennung"

Löschen von CAD

Elementtypen

Anzahl ausgewählter Elemente

Anzahl gelöschter Elemente

CAD löschen

Wiederherstellen von gelöschtem CAD

Auswahl aufheben

Löschen von Elementen

Löschen mit Hilfe des Dialogfelds "Elemente löschen"

Elemente löschen

Wiederherstellen gelöschter Elemente

Auswahl aufheben

Löschen mit Hilfe der Menüoption "[Element] Löschen"

Löschen von Merkmalen

Löschen von Merkmalen

Wiederherstellen gelöschter Merkmale

Auswahl aufheben

Transformieren eines CAD-Modells

Arbeiten mit CAD-Koordinatensystemen


Bearbeiten der CAD-Anzeige: Einführung

In PC-DMIS können Sie die CAD-Anzeige im Grafikfenster bearbeiten.

In den Hauptthemen dieses Abschnitts wird beschrieben, wie Sie die CAD-Anzeige bearbeiten können. Dazu gehören:

  • Einrichten der Bildschirmanzeige

  • Verwalten und Positionieren von Bildschirm-Elementen

  • Wechseln zwischen Kontur- und Flächenmodus

  • Zeichnen von Oberflächen

  • Markieren von Flächen oder Kurven mit der Maus

  • Neuzeichnen des Bildschirms

  • Ändern der Bildschirmmodi

  • Ändern der Bildschirmfarben

  • Anpassen der Zeichnung

  • Drehen der Zeichnung

  • Verändern von Rotations- und anderen Bewegungsoptionen

  • Ein- und Ausblenden von Grafiken

  • Ein- und Ausblenden von Werkstückbaugruppen

  • Spiegeln von CAD

  • Einstellen von CAD auf 3D unter Verwendung des Dialogfelds "Layer erstellen"

  • Anzeigen von CAD-Angaben

  • Arbeiten mit Bildschirmkopien des Grafikfensters

  • Bearbeiten von CAD

  • Beleuchtung und Materialien auf die CAD-Anzeige anwenden

  • Bearbeiten von Elementen

  • Markieren von Elementen im Grafikfenster

  • Bearbeiten von Merkmalsfarben

  • Anzeigen und Animieren von Bahngeraden

  • Löschen von CAD

  • Löschen von Elementen

  • Löschen von Merkmalen

  • Transformieren eines CAD-Modells

  • Arbeiten mit CAD-Koordinatensystemen


Einrichten der Bildschirmanzeige

Durch Auswahl der Menüoption Bearbeiten | Grafikfenster | Layout der Ansicht wird das Dialogfeld Ansicht einrichten eingeblendet. In diesem Dialogfeld können Sie die Anzahl der Ansichten (maximal vier) des Werkstücks angeben, die PC-DMIS im Grafikfenster anzeigen wird. Darüber hinaus können Sie für jede Ansicht die Ausrichtung und den Typ (Drahtmodell oder Schattierte Fläche) festlegen.

Dialogfeld "Ansicht einrichten".

Tipp: Um schnell in die 'blaue' Ansicht des Werkstücks zu wechseln, klicken Sie auf die verfügbaren Symbole aus der Symbolleiste Grafikansicht..

Siehe auch:

Ändern von Layout und Ansichten

Konturlinien sichtbar

Anzeigen von Linealen

Anzeigen, Erzeugen und Bearbeiten von Layern


Ändern von Layout und Ansichten

So ändern Sie die Bildschirmdarstellung und die Ausrichtung der Ansichten:

  1. Öffnen Sie das Dialogfeld Ansicht einrichten (Bearbeiten | Grafikfenster | Layout der Ansicht). Menü-Übersicht anzeigen

  2. Wählen Sie im Bereich Layout den gewünschten Bildschirmstil aus. Um den Bildschirm beispielsweise in zwei verschiedene Ansichten des Werkstückbildes zu teilen, klicken Sie auf die zweite oder dritte Schaltfläche (in der ersten Reihe). Das Fenster wird je nach gewählter Schaltfläche horizontal oder vertikal geteilt.

  3. Wählen Sie im Auswahllistenfeld die gewünschte Ansichtsausrichtung für jedes Fenster aus, das angezeigt wird. Um das Werkstückbild beispielsweise von der Z+-Richtung aus anzuzeigen, wählen Sie aus dem Auswahllistenfeld einfach Z+ aus. Um dasselbe Bild von der Y-Achse aus anzuzeigen, wählen Sie Y-. Alle Anzeigeoptionen wirken sich lediglich auf die Art und Weise aus, wie PC-DMIS das Bild des Werkstücks anzeigt. Sie haben keinerlei Auswirkungen auf die gemessenen Daten oder Prüfergebnisse.

  4. Wählen Sie das Kontrollkästchen Schattiert, wenn das Werkstück in der ausgewählten Ansicht als Schattierte Fläche angezeigt werden soll. Wenn Sie das Kontrollkästchen nicht aktivieren, wird die Ansicht des Werkstücks als Drahtmodell angezeigt.

  5. Klicken Sie entweder auf die Schaltfläche Übernehmen oder auf OK.

  6. Wenn auf die Schaltfläche OK geklickt wird, schließt PC-DMIS das Dialogfeld Ansicht einrichten und übernimmt die Änderungen für das Grafikfenster.

  7. Liegen beim Klicken auf die Schaltfläche Übernehmen keine korrekten Ansichtsausrichtungen vor, wird der Benutzer in einer entsprechenden Meldung zur Eingabe der erforderlichen Ansichten aufgefordert. Nachdem die gewünschte Bildschirmdarstellung festgelegt und auf die Schaltfläche Übernehmen geklickt wurde, zeichnet PC-DMIS das Grafikfenster mit den aktuellen Einstellungen neu.

Siehe auch:

Ändern der Ansichtsgröße


Ändern der Ansichtsgröße

In PC-DMIS können Sie die Größen der Ansichten im Grafikfenster neu definieren.

Vorgehensweise:

  1. Setzen Sie den Zeiger auf die Trennlinie zwischen den Fenstern. Der Cursor verwandelt sich von einem Einzelpfeil in einen Doppelpfeil.

  2. Halten Sie die linke Maustaste gedrückt.

  3. Ziehen Sie die Linie an die gewünschte Stelle. Daraufhin ändert sich die Ansichtsgröße.

Dieses Verfahren kann sowohl in horizontaler als auch in vertikaler Richtung angewandt werden. Mit der Option Größe anpassen kann die Größe der Zeichnung dann so geändert werden, dass sie in das neue Fenster passt. Siehe auch "Anpassen der Zeichnung".

Hinweis: PC-DMIS kann sich beim Ändern der Ansichtsgröße in einem beliebigen Modus befinden.


Hinzufügen eines 3D-Rasters

Durch Markieren eines 3D-Raster-Kontrollkästchens können Sie das 3D-Raster für die ausgewählte Ansicht aktivieren. Anders als bei den Linealen befindet sich der Nullpunkt des 3D-Rasters immer an der aktuellen Werkstückausrichtung.

Über die Schaltfläche Einrichten wird das Dialogfeld 3D-Raster einrichten aufgerufen. Hier können Sie den Rasterabstand ändern.

Dialogfeld "3D-Raster einrichten"

Geben Sie hierzu einen Wert in die Felder X-Achse, Y-Achse und Z-Achse ein, oder markieren Sie die Auto-Kontrollkästchen, wenn PC-DMIS automatisch einen angemessenen Abstand berechnen soll.

Rasterlinien-Beschriftungen werden außen um das Fenster herum angeordnet. Für diese Linien gilt die im Bearbeitungsfenster definierte aktuelle Ausrichtung. Sie können um den im Feld Beschriftungsabstand angezeigten Wert eingerückt werden. Dieser Wert bestimmt die Größe des Pixelpuffers, den PC-DMIS zwischen der Außenkante des Grafikfensters und den 3D-Raster-Beschriftungen setzt.

Klicken Sie auf OK. PC-DMIS zeigt das 3D-Raster im Grafikfenster an.

Beispiel eines 3D-Rasters mit einem Beschriftungsabstand von 10 in der X-Y-Ebene

Es gibt drei mögliche Raster, die gezeichnet werden können:

X-Y

Y-Z

Z-X

PC-DMIS zeichnet immer nur jeweils ein Raster. Welches Raster gezeichnet wird, hängt davon ab, welche Achse am nächsten zum Bildschirm gedreht wird (wird durch den Achsenanzeiger bestimmt). So zeigt beispielsweise folgender Achsenanzeiger aus dem Grafikfenster die zum Benutzer weisende X-Y-Achsenebene; PC-DMIS zeichnet das X-Y-Achsenraster.

Auf die X-Y-Ebene weisender Achsenanzeiger.

Hinweis: Die Farbe des 3D-Rasters kann über das Dialogfeld Bildschirmfarbe geändert werden. Siehe auch "Ändern der Bildschirmfarben".


Konturlinien sichtbar

Dieses Kontrollkästchen trifft nur auf schattierte Ansichten zu. Sie können dieses Kontrollkästchen markieren, um hinter Oberflächen verborgene Punkte und Linien sichtbar zu machen. Diese Option ist nützlich, um gemessene Elemente, die hinter Oberflächen liegen, anzusehen. Angenommen, eine am Werkstück gemessene Gerade liegt etwas unterhalb der CAD-Oberfläche. Durch Auswahl dieses Kontrollkästchens wird die gemessene Gerade sichtbar gemacht.


Anzeigen von Linealen

Durch Markieren des Kontrollkästchens Lineale können Sie in allen Ansichten Lineale aktivieren. Der Nullpunkt der Lineale befindet sich immer am CAD-Nullpunkt (nicht an lokalen Werkstückausrichtungen).


Anzeigen, Erzeugen und Bearbeiten von Layern

Ein CAD-Layer besteht aus einer Gruppe verwandter CAD-Geometrien, die durch eine Layer-Nummer identifiziert werden. Die Ebenenangaben in diesen Dateien werden beim 'Importieren' der Dateien in PC-DMIS importiert. Sie können dann im Dialogfeld Ansicht einrichten (Bearbeiten | Grafikfenster | Ansicht einrichten) auswählen, welche Layer in jeder Grafikfenster-"Ansicht" angezeigt werden.

In Anbetracht der Größe und Komplexität vieler CAD-Dateien ist diese Option ungemein nützlich, da Sie mit ihr einschränken können, welche Teile des CAD-Modells bei der Ausführung verschiedener PC-DMIS-Aufgaben sichtbar sind. (Weitere Informationen finden Sie unter "Einstellen von CAD auf 3D".)

Hinweis: Diese Option ist nur dann verfügbar, wenn die Layer zuvor in die IGES-Zeichnungsdatei aufgenommen worden sind.

So zeigen Sie ein Layer im Grafikfenster an:

Wählen Sie die gewünschte Ansicht (blau, rot, gelb oder grün) aus.

Wählen Sie den betreffenden Layer aus der Liste aus.

Klicken Sie auf Übernehmen.

PC-DMIS zeichnet das Grafikfenster mit der aktuellen Einstellung neu. Um diese Änderungen zu speichern, muss auf die Schaltfläche OK geklickt werden.

Über das Kontrollkästchen Erzeugen im Dialogfeld Ansicht einrichten können Sie das Dialogfeld Layer öffnen.

Layer (Dialogfeld)

Im Dialogfeld Layer können Sie Layer erzeugen, löschen oder bearbeiten.

Siehe auch:

Erzeugen von Layern

Löschen von Layern

Ändern von Layern


Erzeugen von Layern

Ein Layer wird in drei Arbeitsschritten erstellt:

  1. Geben Sie im Dialogfeld Layer die neue Layer-Nummer in das Feld unterhalb der Schaltfläche Erzeugen ein.

  2. Wählen Sie die Elemente aus, die in dem neuen Layer enthalten sein sollen, indem Sie die Kontrollkästchen für die gewünschten Elementtyp markieren.

  3. Klicken Sie zum Abschluss des Vorgangs auf die Schaltfläche Fertig stellen.


Löschen von Layern

Ein Layer wird in drei Arbeitsschritten gelöscht:

  1. Wählen Sie im Dialogfeld Layer in der Auswahlliste einen vorhandenen Layer aus.

  2. Klicken Sie auf Löschen.

  3. Klicken Sie zum Abschluss des Verfahrens auf die Schaltfläche Fertig stellen. Alle Elementtypen, die dem gelöschten Layer zugewiesen waren, werden nun Layer "0" zugewiesen.


Ändern von Layern

Ein Layer wird in fünf Arbeitsschritten geändert:

  1. Wählen Sie im Dialogfeld Layer in der Auswahlliste einen vorhandenen Layer aus.

  2. Klicken Sie auf die Schaltfläche Ändern.

  3. Klicken Sie auf die Schaltfläche Zuweisen, um CAD zum ausgewählten Layer hinzuzufügen, oder klicken Sie auf die Schaltfläche Rückgängig, um CAD aus dem ausgewählten Layer zu entfernen.

  4. Bestimmen Sie anhand der entsprechenden Kontrollkästchen unter Elementtyp die Elementtypen, die zum angezeigten Layer "hinzugefügt" oder daraus "entfernt" werden sollen.

  5. Klicken Sie auf Fertigstellen, um den Vorgang der Layeränderung abzuschließen.

Zum Hinzufügen und Ändern von Layern müssen CAD-Daten ausgewählt werden. Sie können die Auswahl genauso auf verschiedene Geometriearten einschränken, wie sie in den Dialogfeldern CAD bearbeiten und CAD löschen eingeschränkt wird. Zudem kann die Auswahl auf in einer bestimmten Farbe vorliegende CAD-Daten eingeschränkt werden, indem das Kontrollkästchen 'Farbe' markiert und eine Geometrie der gewünschten Farbe ausgewählt wird. Die ausgewählte Farbe erscheint dann neben dem Kontrollkästchen 'Farbe'. Um die Farbe zu ändern, heben Sie die Markierung des Kontrollkästchens 'Farbe' auf, markieren Sie es erneut, und wählen Sie die Geometrie mit der neuen Farbe aus.

Sie können das Dialogfeld Layer schließen, indem Sie auf OK oder Abbrechen klicken. Wenn auf die Schaltfläche Abbrechen geklickt wird, werden die Ergebnisse der aktuell laufenden Vorgänge nicht gespeichert.


Verwalten und Positionieren von Bildschirm-Elementen

Das Grafikfenster enthält mehr als nur die CAD-Zeichnung des Werkstücks. Im Grafikfenster können auch die Element-ID, Bezugsdefinitions-Etiketten, Merkmalinfo- und Punktinfo-Textfelder sowie Toleranzrahmen (TRs) angezeigt werden. All diese Elemente helfen dabei, das Protokoll zu organisieren. Zu viele Anzeigen auf dem Bildschirm können jedoch dazu führen, dass das Werkstück überdeckt wird oder die Werkstückzeichnung überladen wirkt.

Erfreulicherweise können Sie diese Elemente auf einfache Weise neu anordnen, indem Sie die Maus über ein Element bewegen. Aus dem Mauszeiger wird ein Fadenkreuz. Klicken Sie auf ein Element und ziehen Sie es an die gewünschte Stelle. PC-DMIS zeichnet dann eine Führungslinie von dem ID-Etikett oder dem Textfeld zum entsprechenden Elements.

Sie können PC-DMIS auch veranlassen, alle Etiketten und Textfelder um die Werkstückzeichnung herum dynamisch neu anzuordnen, selbst wenn das Zoom-Level für die Werkstückanzeige geändert wird. Wählen Sie das Kontrollkästchen Etiketten autom. positionieren aus der Registerkarte Allgemein im Dialogfeld Setup-Optionen aus. Siehe "Etiketten automatisch positionieren" unter "Voreinstellungen".

Sollte der Bildschirm immernoch überladen wirken, können Sie auch noch die Sichtbarkeit der verschiedenen Elemente beeinflussen, indem Sie Kontextmenüs verwenden. Siehe "Kontextmenü "Element"" und "Auswahl eines Kontextmenüs über ein Feld" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".

Hinweis: Die Positionierung von Elementen erfolgt nur in der aktiven Ansicht. Bei einem geteilten Bildschirm mit weiteren Ansichten des Werkstücks bleiben die IDs wie in den anderen Ansichten zuvor.


Wechseln zwischen Kontur- und Flächenmodus

Vorgang | Grafikfenster | Umschalten Flächen-/Konturmodus

Ihr System kann nur dann auf diese Modi zugreifen, wenn das zusätzlich erhältliche Paket "Kurven und Flächen" erworben wurde.

  • Mit der Option Drahtmodus Menü-Übersicht einblenden können Sie die Kurven und Linien eines Drahtmodells auswählen, wenn Sie im Grafikfenster auf die CAD-Daten klicken. Sie müssen jedoch ein Drahtmodell importieren, um diese Option verfügbar zu machen.

  • Mit der Option Flächenmodell Menü-Übersicht einblenden können Sie die Flächen eines schattierten Modells auswählen, wenn Sie im Grafikfenster auf die CAD-Daten klicken. Sie müssen jedoch ein schattiertes Modell importiert haben, um diese Option verfügbar zu machen.

Weitere Informationen zum Verwenden dieser Modi bei Scanvorgängen finden Sie im Abschnitt "Scannen Ihres Werkstücks".


Zeichnen von Oberflächen

Mit der Option Vorgang | Grafikfenster | Oberflächen zeichnen ein/aus können Sie Oberflächen auf dem Bildschirm anzeigen. Sie müssen hierzu zuerst das Kontrollkästchen Schattiert im Dialogfeld Ansicht einrichten aktivieren. Weitere Informationen zum Dialogfeld Ansicht einrichten finden Sie unter "Einrichten der Bildschirmarnzeige".

Um die Oberflächen wieder auszublenden, klicken Sie erneut auf diese Option.


Markieren von Flächen oder Kurven mit der Maus

In PC-DMIS 3.6 und höher haben Sie die Möglichkeit, auf einfache und schnelle Weise CAD-Flächen und Drahtmodell-Elemente zu markieren, indem Sie einfach den Cursor darüber setzen. Dadurch erhalten Sie einen schnellen Überblick über die verfügbaren Flächen und Kurven auf dem Werkstückmodell. Dieser Vorgang wird als "Maus über Markieren" (MOHL) bezeichnet.

Beispiel eines "Maus über Markieren"-Vorgangs

Halten Sie die SHIFT-Taste gedrückt und bewegen Sie den Cursor über das Werkstück, um die MOHL-Funktionalität zu verwenden.

Wenn Sie den Flächenmodus ausgewählt haben, markiert PC-DMIS die aktuelle Fläche unter dem Cursor in gelb.

Wenn Sie den Drahtmodellmodus ausgewählt haben, markiert PC-DMIS das aktuelle Kurven- oder Drahtmodell-Element unter dem Cursor.

Wenn Sie MOHL in Zusammenhang mit dem Auftragen einer Bitmap-Textur auf die Oberflächen Ihres Werkstücks verwenden, sollten Sie die Z-Puffertiefe auf einen Wert unter 32 bits sitzen. Einen Einstellung von 32 oder höher könnte zur Folge haben, dass gezackte Markierungslinien auf dem Bild bleiben, bis das Grafikfenster aktualisiert wird. Informationen hierzu finden Sie unter "Ändern der OpenGL-Optionen" im Abschnitt "Voreinstellungen".


Neuzeichnen des Bildschirms

Das Grafikfenster wird jedesmal aktualisiert, wenn die Option Vorgang | Grafikfenster | Bildschirm neu zeichnen ausgewählt wird.


Ändern der Bildschirmmodi

In PC-DMIS können Sie zwischen den Bildschirmmodi wechseln. Über die verschiedenen Modi erkennt PC-DMIS, wie Mausklicks zu interpretieren sind.

Siehe auch:

Übertragungsmodus

2D-Rotationsmodus

3D-Rotationsmodus

Programmmodus

Textfeldmodus


Translation

Durch die Option Vorgang | Grafikfenster | Bildschirmbereich ändern | Verschieben wird PC-DMIS in den Translationsmodus versetzt. In diesem Modus können Sie das im Grafikfenster angezeigte Werkstück verschieben und Ausschnitte davon vergrößern oder verkleinern. Im Translationsmodus sind die folgenden Funktionen verfügbar:

  • Verkleinern der Werkstückgröße im Grafikfenster

  • Vergrößern der Werkstückgröße im Grafikfenster

  • Auswahl eines Werkstückausschnitts im Grafikfenster

  • Neupositionierung des Werkstücks im Grafikfenster

Siehe auch:

Verkleinern des Werkstückbildes im Grafikfenster

Vergrößern des Werkstückbildes im Grafikfenster

Vergrößern eines Ausschnitts des Werkstückbildes im Grafikfenster

Neupositionierung des Werkstückbildes im Grafikfenster


Verkleinern des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger an eine Stelle oberhalb der imaginären horizontalen Mittellinie der Werkstückgrafik.

  2. Klicken Sie mit der rechten Maustaste.

Je weiter entfernt sich der Cursor von der Mittellinie befindet, desto mehr verkleinert sich die Zeichnung.

Wenn Ihre Maus mit einem Tastenrad ausgestattet ist, scrollen Sie das Tastenrad in entgegengesetzter Richtung zu Ihnen, um die Zeichnung zu verkleinern.


Vergrößern des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger an eine Stelle unterhalb der imaginären horizontalen Mittellinie der Werkstückgrafik.

  2. Klicken Sie mit der rechten Maustaste.

Je weiter entfernt sich der Cursor von der Mittellinie befindet, desto mehr vergrößert sich die Zeichnung.

Wenn Ihre Maus mit einem Tastenrad ausgestattet ist, scrollen Sie das Tastenrad in Ihre Richtung, um die Zeichnung zu vergrößern.


Vergrößern eines Ausschnitts des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf eine Ecke des ausgewählten Bereichs.

  2. Drücken und halten Sie gleichzeitig beide Maustasten (die Linke und die Rechte).

  3. Bewegen (ziehen) Sie das Pfeilsymbol über den Ausschnitt des auszuwählenden Grafikfensters. PC-DMIS beginnt, ein Kästchen zu zeichnen.

  4. Lassen Sie beide Maustasten wieder los, sobald das Kästchen die gewünschte geometrische Form enthält. PC-DMIS vergrößert den ausgewählten Ausschnitt.

Hinweis: Ab einem gewissen Punkt kann das Bild nicht weiter vergrößert werden.


Neupositionierung des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf das Werkstückbild.

  2. Halten Sie die rechte Maustaste gedrückt und ziehen Sie den Mauszeiger an eine neue Position.

  3. Lassen Sie die Maustaste wieder los.


2D-Rotationsmodus

Durch Drehen einer Zeichnung in zwei Dimensionen ändert sich lediglich die Anzeige. Der Nullpunkt oder die Bezugsmerkmale des eigentlichen Werkstücks bleiben davon unberührt.

Mit der Option Vorgang | Grafikfenster | Bildschirmbereich ändern | 2D-rotieren können Sie das Werkstück in zwei Dimensionen drehen. Es kann um volle 360 Grad oder einen beliebigen Bruchteil davon gedreht werden.

In den folgenden Abschnitten werden die verschiedenen Möglichkeiten, eine Zeichnung in zwei Dimensionen zu drehen, beschrieben.

Siehe auch:

2D-Rotation durch Ziehen

2D-Rotation an ein Element (Ausrichten der Zeichnung)

2D-Rotation um einen Faktor


2D-Rotation durch Ziehen

Bei Verschieben der Maus wird das Bild in PC-DMIS dynamisch neu gezeichnet.

Eine Zeichnung kann in zwei Dimensionen gedreht werden, indem sie um den imaginären Mittelpunkt des Grafikfensters gezogen wird.

Vorgehensweise:

  1. Klicken Sie in der Symbolleiste Grafikmodi auf das Symbol 2D-rotieren.

  2. Setzen Sie den Mauszeiger auf eine beliebige Stelle des Grafikfensters (jeden Bereich außer den Mittelpunkt).

  3. Drücken und halten Sie die rechte Maustaste.

  4. Bewegen Sie den Zeiger um den imaginären Mittelpunkt des Grafikfensters herum. Beim Bewegen der Maus wird das Bild in PC-DMIS dynamisch neu gezeichnet.

  5. Lassen Sie die Maustaste wieder los. PC-DMIS behält die aktuelle Drehung bei.


2D-Rotation an ein Element (Ausrichten der Zeichnung)

Um das Werkstück am Bildschirm "auszurichten", wählen Sie aus der Symbolleiste Grafikmodi das Symbol 2D-rotieren und klicken Sie dann mit der rechten Maustaste auf ein Element. (Halten Sie die Maustaste nicht gedrückt.) PC-DMIS dreht die Zeichnung so, dass das ausgewählte Element nun parallel zur nächsten Bildschirmachse (vertikal oder horizontal) liegt.


2D-Rotation mit Hilfe eines Faktors

Zur Rotation um einen bestimmten Faktor wird folgendermaßen vorgegangen (siehe auch "Das Modell um einen Faktor skalieren"):

  1. Klicken Sie auf das Symbol 2D-rotieren in der Symbolleiste Grafikmodi.

  2. Drücken Sie die UMSCHALTTASTE und klicken Sie mit der rechten Maustaste in das Grafikfenster. Daraufhin wird ein kleines Dialogfeld eingeblendet.

  3. Geben Sie den Winkel (in Grad) in das Feld Winkel der Werkstückkoordinaten X (in Grad) ein.

  4. Klicken Sie auf OK. PC-DMIS schließt das Feld und führt eine 2D-Rotation des Werkstücks im Grafikfenster durch.


3D-Rotationsmodus

Mit der Option Vorgang | Grafikfenster | Bildschirmbereich ändern | 3D-rotieren können Sie die Werkstückzeichnung in drei Dimensionen drehen. Das Werkstück kann pro Drehung bis zu 45 Grad gedreht werden. Bei Auswahl dieser Option wird das Dialogfeld Drehen geöffnet.

Drehen (Dialogfeld)

Unter "3D-Rotation über das Dialogfeld "Drehen"", "3D-Rotation durch Ziehen" und "3D-Rotation an ein Element" werden drei verschiedene Methoden zum Drehen einer Zeichnung in drei Dimensionen beschrieben.

Weitere Informationen zum Drehen der Zeichnung finden Sie unter "Drehen der Zeichnung".

Siehe auch:

3D-Rotation über das Dialogfeld "Drehen"

3D-Rotation durch Ziehen

3D-Rotation an ein Element (Ausrichten der Zeichnung)


3D-Rotation über das Dialogfeld "Drehen"

So drehen Sie die Zeichnung mit Hilfe des Dialogfelds:

  1. Wählen Sie die zu ändernde Ansicht aus (mit 1-4 numerierte Optionsfelder).

  2. Bestimmen Sie das Ausmaß der Drehung, indem Sie Inkrement (1, 5, 10 oder 45) wählen.

  3. Klicken Sie auf die Schaltfläche für die gewünschte Achse, um die Zeichnung zu drehen.

  4. Klicken Sie auf die Schaltfläche Schließen. PC-DMIS zeigt die Änderungen an der CAD-Anzeige im Grafikfenster an.

Durch Klicken auf die Schaltfläche Rücksetzen rastet die Drehung der Zeichnung im Dialogfeld Drehen und im Grafikfenster an der nächsten Achse ein.

Wenn das Kontrollkästchen Animieren markiert ist, wird das Werkstück bei jeder Drehung im Grafikfenster dynamisch neu gezeichnet.


3D-Rotation durch Ziehen

Die Werkstückrotation kann auch durch Ziehen der Maus erfolgen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld 3D-rotieren.

  2. Klicken und halten Sie die rechte Maustaste.

  3. Ziehen Sie die Maus.

Tipp: Um das Werkstück auf schnelle Weise zu drehen, unabhängig davon, ob das Dialogfeld Drehen geöffnet ist, drücken Sie auf STRG und gleichzeitig die rechte Maustaste und ziehen Sie dann die Maus. Wenn Ihre Maus mit einer mittleren Maustaste oder einem Tastenrad ausgestattet ist, halten Sie diese Maustaste oder dieses Tastenrad gedrückt und ziehen Sie dann die Maus.

Bestimmen des Drehpunkts

Es gibt zwei Möglichkeiten, den Drehpunkt zu bestimmen, je nachdem, an welcher Stelle sich die Maus befindet, wenn erstmalig mit der rechten Maustaste geklickt wird. Entweder befindet sich die Maus über dem Hintergrund des Grafikfensters oder über dem Werkstück.

1.) Befindet sich die Maus über dem Hindergrund des Grafikfensters, wird das Werkstück um den Nullpunkt des Werkstücks gedreht.

2.) Befindet sich die Maus über dem Werkstück, wird das Werkstück um den Werkstückpunkt direkt unter dem Mauszeiger gedreht.


3D-Rotation an ein Element (Ausrichten der Zeichnung)

Um das Werkstück am Bildschirm "auszurichten", wählen Sie aus der Symbolleiste Grafikmodi das Symbol 3D-rotieren und klicken Sie dann mit der rechten Maustaste auf ein Element. (Halten Sie die Maustaste nicht gedrückt.) PC-DMIS dreht die Zeichnung so, dass das ausgewählte Element nun parallel zur nächsten Bildschirmachse (vertikal, horizontal oder rechtwinklig zum Bildschirm) liegt.


Programmiermodus

Mit der Menüoption Vorgang | Grafikfenster | Bildschirmbereich ändern | Programm können Sie Werkstückprogramme anhand von CAD-Daten aus IGES-Dateien "erlernen" und bearbeiten. Dieses Funktionselement ist sowohl in der Offline- als auch in der Online-Version von PC-DMIS verfügbar.

Weitere Informationen über die Programmierung unter Verwendung von Grafiken finden Sie im Abschnitt "Arbeiten im Offline-Modus".


Textfeldmodus

Über die Menüoption Vorgang | Grafikfenster | Bildschirmbereich ändern | Textfeld wird PC-DMIS in einen Modus versetzt, in dem Sie Element-IDs und Toleranzrahmen manipulieren und Merkmalsangaben- und Punktangaben-Textfelder auf schnelle Weise erstellen und verändern können.

Diese Textfelder können Sie mit Hilfe von Kontextmenüs erstellen, die durch einen Klick mit der rechten Maustaste oder durch die Auswahl von Element-ID- oder Elementfeldern eingeblendet werden. Weitere Informationen finden Sie unter "Einfügen von Merkmal-Infofeldern" und "Einfügen von Punkt-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

Hinweis: Wird die Maus im Grafikfenster über einem Element oder der ID-Beschriftung eines Elements positioniert, hebt PC-DMIS das Element in der CAD-Zeichnung hervor. Dadurch können Sie schnell feststellen, welches Element mit einer bestimmten Beschriftung verknüpft ist.

Im Textfeldmodus stehen folgende Kontextmenüs zur Auswahl:

  • Wenn Sie mit der rechten Maustaste auf ein Element, die ID-Beschriftung eines Elements oder ein Textfeld klicken, zeigt PC-DMIS ein Kontextmenü für das betreffende Element an. Siehe auch "Kontextmenü 'Element'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".

  • Wenn Sie mit der rechten Maustaste auf ein Merkmal- oder Punkt-Infofeld klicken, zeigt PC-DMIS ein Kontextmenü für das betreffende Textfeld an. Siehe auch "Kontextmenü 'Element'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".

  • Wenn Sie ein oder mehrere Elemente über ein Feld auswählen, zeigt PC-DMIS ein Kontextmenü an. Siehe auch "Kontextmenü 'Kästchenauswahl'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".

Hinweis: Wenn sich die Maus nicht über einem Element oder einem Textfeld befindet, sind die normalen Vorgänge des Übertragungsmodus verfügbar. Das Werkstük kann durch Klicken mit der rechten Maustaste vergrößert und gedreht werden. Siehe auch "Übertragungsmodus"

Tipp: Eine schnelle Methode zur Erstellung eines MERKMALINFO- oder eines PUNKTINFO-Felds ist der einfache Doppelklick auf ein Element oder eine Element-ID-Beschriftung. PC-DMIS kann sich in jedem beliebigen Modus befinden. PC-DMIS erstellt automatisch ein Infofeld, das auf den aktuellen Einstellungen des Dialogfelds Merkmal Info bearbeiten oder Punktangaben bearbeiten basiert.

Beispiel: Angenommen, für ein Element wurde ein MERKMALINFO-Feld erstellt. Durch einen Doppelklick auf die folgenden Elementbeschriftungen werden weitere MERKMALINFO-Felder für diese Elemente erstellt und dieselben Einstellungen zugrundegelegt, die bei der letzten Verwendung des Dialogfeldes Merkmal-Info bearbeiten ausgewählt wurden.


Ändern der Bildschirmfarben

Dialogfeld "Bildschirmfarbe"

Im Dialogfeld Bildschirmfarbe (Bearbeiten | Grafikfenster | Layout des Bildschirmes) können Sie die Farben für die Darstellung im Grafikfenster bestimmen. Dazu gehören die Hintergrundfarbe, ein Farbverlauf, Farben zum Markieren und für 'Maus über Markieren', die 3D-Raster-Farbe und die Farbe für das Optik-Modul Ansichtsfeld (FOV).

Siehe auch:

So ändern Sie eine Farbe:

Hintergrund

Markieren

Maus über Markieren

3D-Raster

Optik FOV


So ändern Sie eine Farbe:

Vorgehensweise:

  1. Greifen Sie auf das Dialogfeld Bildschirmfarbe zu (Bearbeiten | Grafikfenster | Bildschirmfarbe). Menü-Übersicht anzeigen

  2. Für Hintergrund, Farbverlauf, Markieren, Maus über Markieren, 3D-Raster oderOptik FOV klicken Sie auf die Schaltfläche Bearbeiten. Das Dialogfeld Farbe wird angezeigt.

  3. Legen Sie für die ausgewählte Option eine neue Farbe fest.

  4. Klicken Sie auf OK. Das Programm schließt das Dialogfeld Farbe und kehrt ins Dialogfeld Bildschirmfarbe zurück.

  5. Klicken Sie auf Übernehmen, um die Änderungen zu speichern und die Arbeit im Dialogfeld Bildschirmfarbe fortzusetzen.

  6. Klicken Sie auf OK, wenn Sie fertig sind.


Hintergrund

Im Bereich Hintergrund können Sie die Farbe für den Bildschirmhintergrund ändern. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.

Im Bereich Farbverlauf können Sie eine sekundäre Hintergrundfarbe für den Farbverlauf definieren. Wenn Sie den Farbverlauf in der Liste nicht auf Keine einstellen, erscheint eine zusätzliche Bearbeitungsschaltfläche. Die können auf diese Schaltfläche klicken, um eine sekundäre Farbe für den Farbverlauf zu definieren. Bei der Einstellung des Bildschirmhintergrunds beginnt PC-DMIS bei der Einstellungsposition (beispielsweise unten) und zeigt die sekundäre Farbverlauffarbe an. PC-DMIS schreitet dann allmählich zur Farbe des primären Farbverlaufs ans andere Ende des Bildschirms.

Eine untere Farbverlaufseinstellung sieht beispielsweise so aus:

Beispiel für den Farbverlauf

Verfügbare Einträge in der Liste Farbverlauf sind:

  • Keine - Kein sekundärer Farbverlauf. Die solide primäre Farbe stellt den Bildschirmhintergrund dar.

  • Unten - Die Farbe für den sekundären Farbverlauf beginnt am unteren Ende des Bildschirms und wechselt allmählich zur primären Farbe bei gleichzeitiger Annäherung an das obere Ende des Bildschirms.

  • Rechts - Die Farbe für den sekundären Farbverlauf beginnt an der rechten Seite des Bildschirms und wechselt allmählich zur primären Farbe bei gleichzeitiger Annäherung an die linke Seite des Bildschirms.

  • Unten rechts - Die Farbe für den sekundären Farbverlauf beginnt an der unteren rechten Seite des Bildschirms und wechselt allmählich zur primären Farbe bei gleichzeitiger Annäherung an die linke obere Seite des Bildschirms.

  • Unten links - Die Farbe für den sekundären Farbverlauf beginnt an der unteren linken Seite des Bildschirms und wechselt allmählich zur primären Farbe bei gleichzeitiger Annäherung an die rechte obere Seite des Bildschirms.

  • Oben rechts - Die Farbe für den sekundären Farbverlauf beginnt an der oberen rechten Seite des Bildschirms und wechselt allmählich zur primären Farbe bei gleichzeitiger Annäherung an die linke untere Seite des Bildschirms.

  • Oben links - Die Farbe für den sekundären Farbverlauf beginnt an der oberen linken Seite des Bildschirms und wechselt allmählich zur primären Farbe bei gleichzeitiger Annäherung an die rechte untere Seite des Bildschirms.


Markieren

Im Bereich Markieren können Sie die im Grafikfenster von PC-DMIS zum Markieren/Hervorheben verwendete Farbe ändern. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.


Maus über Markieren

Breich "Maus über Markieren"

Mit der Option Maus über Markieren können Sie die Farbe, die PC-DMIS verwendet, sowie die Form des Mauszeigers, wenn Flächen oder Kurven durch "Maus über Markieren" (MOHL) hervorgehoben werden, verändern. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.

Im Bereich Art des Zeigers können Sie den Mauszeiger im MOHL-Modus entweder als Pfeil oder als Kreuz anzeigen lassen:

Mauszeiger als Pfeil

Mauszeiger als Pfeil

Mauszeiger als Kreuz

Mauszeiger als Kreuz

Siehe auch "Markieren von Flächen oder Kurven mit der Maus".


3D-Raster

Im Bereich 3D-Raster können Sie die Farbe ändern, die im Grafikfenster für das 3D-Raster verwendet wird. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.

Weitere Informationen zum 3D-Raster finden Sie unter "Hinzufügen eines 3D-Rasters".


Optik FOV

Im Bereich Optik FOV können Sie die Farben für das Ansichtsfeld (FOV) bei der Verwendung von PC-DMIS-Vision ändern. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen. Ausführliche Informationen zum Ansichtsfeld (FOV) und zum Visionmodul finden Sie in Ihrer PC-DMIS-Vision-Dokumentation.


Anpassen der Zeichnung

Sie können die Größe einer CAD-Zeichnung an die Größe der ausgewählten Ansichten im Grafikfenster oder mit Hilfe eines Faktors anpassen.

Siehe auch:

Anpassen des Modells an eine Ansicht

Anpassen des Modells mit Hilfe eines Faktors


Anpassen des Modells an eine Ansicht

Mit dem Menübefehl Vorgang | Grafikfenster | Größe anpassen wird die Darstellung des Werkstücks neu gezeichnet, so dass sie ganz in das Grafikfenster hineinpasst. Diese Option ist immer dann nützlich, wenn das Bild für das Fenster, in dem es angezeigt wird, zu groß oder zu klein wird. Sie können einfach auf die Menüoption Größe anpassen klicken, um das Werkstückbild so zu ändern, dass alle Elemente und CAD-Elemente sichtbar sind.


Anpassen des Modells mit Hilfe eines Faktors

Größe der Zeichnung anpassen (Dialogfeld)

Die Option zur Skalierung der Zeichnung funktioniert nur, wenn sich PC-DMIS im Übertragungsmodus befindet. Informationen hierzu finden Sie unter "Ändern der Bildschirmmodi".

Die Option Größe der Zeichnung anpassen steht nicht in der Menüleiste zur Verfügung. Mit der Option Größe der Zeichnung anpassen können Sie die Abbildung des Werkstücks im Grafikfenster ändern. Die CAD-Daten selbst bleiben dabei unverändert.

So verwenden Sie diese Option:

  1. Klicken Sie auf das Symbol Übertragen in der Symbolleiste Grafikmodi.

  2. Drücken Sie die UMSCHALTTASTE, halten Sie die Taste gedrückt und klicken Sie mit der rechten Maustaste. Es erscheint das Dialogfeld Größe der Zeichnung anpassen.

  3. Geben Sie die X-, Y-, Z-Werkstückkoordinaten an, die in der Mitte des Bildschirms angezeigt werden sollen.

  4. Geben Sie den gewünschten Maßstab ein.

Beispiel: Wenn Sie die Größe der Zeichnungselemente um 50% reduzieren möchten, geben Sie 0,5 ein. Wenn Sie die Größe der Zeichnungselemente verdoppeln möchten, geben Sie 2,0 ein. Wird als Maßstab ein Faktor von 1,0 angegeben, ändert sich die Größe der Zeichnung nicht.

Sie können die Größe des grafischen Bilds innerhalb des Grafikfensters auch anpassen, indem Sie mit der rechten Maustaste über oder unter die imaginäre, horizontale Linie klicken, die das Grafikfenster unterteilt.


Drehen der Zeichnung

Durch Auswahl der Menüoption Vorgang | Grafikfenster | Drehen wird das Dialogfeld Drehen geöffnet.

Drehen (Dialogfeld)

Über dieses Dialogfeld können Sie eine Werkstückzeichnung in drei Dimensionen drehen. Jede Ansicht des Werkstücks kann pro Drehung bis zu 45 Grad gedreht werden. Sie können diese Option aktivieren, indem Sie auf das Symbol 3D-rotieren auf der Symbolleiste Grafikmodi klicken.

So drehen Sie die Zeichnung mit Hilfe des Dialogfelds:

  1. Wählen Sie die zu ändernde Ansicht aus (1-4).

  2. Bestimmen Sie das Ausmaß der Drehung, indem Sie die Gradschritte (1, 5, 10 oder 45) eingeben.

  3. Klicken Sie auf die Schaltfläche für die gewünschte Achse, um die Zeichnung in der angegebenen Richtung zu drehen.

Durch Klicken auf die Schaltfläche Rücksetzen rastet die Drehung der Zeichnung im Dialogfeld Drehen und im Grafikfenster an der nächsten Achse ein.

Wenn das Kontrollkästchen Animieren markiert ist, wird das Werkstück bei jeder Drehung im Grafikfenster dynamisch neu gezeichnet.

Weitere Informationen finden Sie unter "3D-Rotationsmodus".

Tipp: Um das Werkstück auf schnelle Weise zu drehen, unabhängig davon, ob das Dialogfeld Drehen geöffnet ist, drücken Sie auf STRG und gleichzeitig die rechte Maustaste und ziehen Sie dann die Maus. Wenn Ihre Maus mit einer mittleren Maustaste oder einem Tastenrad ausgestattet ist, halten Sie diese Maustaste oder dieses Tastenrad gedrückt und ziehen Sie dann die Maus. Doppelklicken auf das Tastenrad zu jeder Zeit hat die gleiche Funktion wie die Schaltfläche Rücksetzen im Dialogfeld Drehen: die Drehung rastet an der nächsten Achse ein.


Verändern von Rotations- und anderen Bewegungsoptionen

Sie können die Anzeige eines CAD-Modells während der Drehung ändern, indem Sie auf den Menüeintrag Bearbeiten | Grafikfenster | Einstellungen 2D/3D Drehen zugreifen. Es erscheint das Dialogfeld Einstellungen drehen.

Symbol "Einstellungen Drehen"

Sie können das Dialogfeld auch durch Auswahl des Symbols Einstellungen Drehen in der Symbolleiste Grafikmodi öffnen.

Einstellungen Drehen (Dialogfeld)

Dieses Dialogfeld steuert, ob gewisse Elemente gezeichnet werden und auf welche Weise sie im Grafikfenster gezeichnet werden, wenn das Werkstückmodell unter Verwendung der rechten Maustaste gedreht wird. Die Optionen in diesem Dialogfeld können die Anzeige der Drehung beschleunigen.

Achtung: Bei der Verwendung eines SpaceBall- oder SpaceMouse-Eingabegeräts verhält sich dieses Dialogfeld genau wie das Dialogfeld Pan-, Zoom- und Drehoptionen. Nur der Titel des Dialogfelds ist anders. SpaceBall- oder SpaceMouse-Eingabegeräte erweitern die Funktionalität, die für das Drehen beim Zoomen und auch bei der Pan-Funktion beschrieben wird. Siehe den Abschnitt "Konfigurieren eines SpaceBall- oder SpaceMouse-Eingabegeräts" unter "Erste Schritte: Überblick". Wenn Sie als Zeigegerät eine Standardmaus verwenden, werden die Funktionen des Dialogfelds Darstellung nur auf das Drehen angewendet.

Siehe auch:

Zweiseitige Beleuchtung und Hintergrundflächen ausschalten

Materialien, Texturen und Transparenz ausschalten

Diese Objekte nicht berücksichtigen

Prozentsatz der verbleibenden, darzustellenden Objekte

Art der Darstellung - Wie definiert

Art der Darstell ung - Drahtmodell

Art der Darstellung - Als Punkte


Zweiseitige Beleuchtung und Hintergrundflächen ausschalten

Durch Auswahl dieses Kontrollkästchens wird die zweiseitige Beleuchtung ausgeschaltet und die Hintergrundflächen während der Rotation aktiviert. Die daraus resultierenden Lichteffekte zeigen kaum die Hälfte der CAD-Elemente an. Siehe nachstehende Beispiele:

Vor der Rotation

Während der Rotation - Zweiseitige Beleuchtung und Hintergrundflächen ausschalten

Siehe auch:

Materialien, Texturen und Transparenz ausschalten

Diese Objekte nicht berücksichtigen

Darstellung der Objekte

Art der Darstellung - Wie definiert

Art der Darstellung - Drahtmodell

Art der Darstellung - Als Punkte


Materialien, Texturen und Transparenz ausschalten

Durch Auswahl dieses Kontrollkästchens wird die Anzeige der während der Rotation angewandten Materialien, Texturen und Transparenzen deaktiviert. Siehe nachstehende Beispiele:

Vor der Rotation mit Transparenz

Während der Rotation - Keine Transparenzen


Diese Objekte nicht berücksichtigen

Durch Auswahl dieses Kontrollkästchens wird die Anzeige bestimmter Objekte deaktiviert. Die während der Rotation ignorierten Objekte gelten für solche Objekttypen, die für die Verwendung der zugehörigen Kontrollkästchen ausgewählt wurden. Sie können Taster, KMGs, Wechsler oder Vorrichtungen zum "Ignorieren" auswählen. In dem unten stehenden Beispiel wird ein Taster während der Rotation ausgeblendet.

Vor der Rotation

Während der Rotation - Taster ignorieren


Darstellung der Objekte

In diesem Bereich wird der Prozentsatz an CAD-Einheiten, die die noch verbleibenden, angezeigten Objekte im Grafikfenster ausmachen, bestimmt. Zur Auswahl stehen 100, 50, 20 und 10 Prozent. Wenn Sie beispielsweise 10% ausgewählt haben, zeichnet PC-DMIS nur 10% der CAD-Einheiten, die das gesamte Modell ausmachen. Im unten stehenden Beispiel werden nur 10% der Objekte während der Rotation angezeigt.

Vor der Rotation

Während der Rotation - Anzeige nur 10%


Art der Darstellung - Wie definiert

Durch Auswahl dieser Option werden Objekte während der Rotation wie ursprünglich definiert dargestellt.


Art der Darstellung - Drahtmodell

Durch Auswahl dieser Option werden Objekte während der Rotation wie Drahtmodelle dargestellt. Siehe nachstehenden Vergleich:

Vor der Rotation

Während der Rotation - Drahtmodell zeichnen


Art der Darstellung - Als Punkte

Durch Auswahl dieser Option werden Objekte als Punkte gezeichnet. Die Option Als Punkte bietet eine Darstellung von den Objekten unter Verwendung von Punkten. Siehe nachstehenden Vergleich:

Vor der Rotation w/ Transparenz

Während der Rotation - Punkte zeichnen


Ein- und Ausblenden von Grafiken

Sie können verschiedene Arten von Grafikobjekten innerhalb des Grafikfensters durch Auswahl der Menüoption Bearbeiten | Grafikfenster | Grafik Ein-/Ausblenden ein- oder ausblenden. Daraufhin erscheint das Dialogfeld Ein- und Ausblenden von Grafik.

Symbol "CAD Objekte Ein/Aus"

Sie können das Dialogfeld auch durch Auswahl des Symbols CAD Objekte Ein/Aus in der Symbolleiste Grafikmodi öffnen.

Ein- und Ausblenden von Grafik

Durch Auswahl der Kontrollkästchen in diesem Dialogfeld können Sie die Anzeige folgender Objekte im Grafikfenster bestimmen:

  • CAD Modelle

  • Taster

  • KMG

  • Tasterwechsler

  • Spannvorrichtung

Sie werden feststellen, dass zeitweises Ausblenden einiger dieser Objekte die Verwendung des Grafikfensters vereinfacht.

Kontrollkästchen sind für noch nicht eingefügte Modelle oder Hardwaredefinitionen nicht verfügbar.


Arbeiten mit Werkstückbaugruppen

Das Dialogfeld CAD-Baugruppen enthält eine Liste aller importierter und zusammengeführter Werkstücke oder Baugruppen, die im Grafikfenster Verwendung finden. Über dieses Dialogfeld können Sie Werkstückbaugruppen anzeigen und bearbeiten. Durch Auswahl des Symbols Baugruppe oder Bearbeiten | Grafikfenster | CAD-Baugruppen wird das Dialogfeld CAD-Baugruppen angezeigt.

CAD-Baugruppen (Dialogfeld)

Dieses Dialogfeld enthält die folgenden Optionen:

Werkstückpfad

Das graue Feld oben im Dialogfeld zeigt an, wo auf Ihrem Computer das ausgewählte Werkstück abgelegt ist.

Baugruppenstrukturansicht (Baum1)

Auf der linken Seite des Dialogfelds wird die Baugruppenstruktur in der Strukturansicht angezeigt. In der Strukturansicht wird jede Werkstückkomponente von der Baugruppe angezeigt.

Wenn Sie eine Komponente aus der Baugruppe auswählen, markiert PC-DMIS diese Komponente im Grafikfenster. Im umgekehrten Fall, wenn Sie ein CAD-Objekt in der Grafikansicht auswählen, wählt PC-DMIS die entsprechende Komponente in der Strukturansicht aus. Dies macht es einfacher zu bestimmen, welche der einzelnen CAD-Objekte zur jeweiligen Baugruppenkomponente gehören.

Durch Auswahl des Werkstücks werden außerdem Angaben zum Pfad im grauen Feld über der Liste angezeigt, aus denen Sie entnehmen können, wo das Werkstück auf Ihrem Computer abgelegt wurde.

Neben jeder Komponente in der Strukturansicht befindet sich zudem ein Kontrollkästchen. Durch Auswahl dieses Kontrollkästchens können Sie die betreffende Komponente im Grafikfenster ein- bzw. ausblenden. Die betreffende Komponente erscheint (oder verschwindet) sofort im Grafikfenster.

Diese Kontrollkästchen haben die gleichen Funktionen wie die Schaltflächen Einblenden oder Ausblenden im Bereich Sicht.

Nachkommen auffächern

Die Schaltfläche Nachkommen auffächern fächert eine Baugruppe auf und zeigt eine Liste der Werkstücke an, aus denen diese Baugruppe zusammengesetzt ist.

Bereich "Sicht"

Der Bereich Sicht ist mit zweckmäßigen Schaltflächen ausgestattet, mit denen Sie den Ausblend-Status der Baugruppen-Teilgruppen verändern können. Wählen Sie die Schaltfläche "Ausblenden", um ausgewählte Komponenten auszublenden.

  • Geschwister ausblenden - Über diese Option werden alle Komponenten mit Ausnahme der ausgewählten Komponenten der gleichen Ebene des Strukturbaums ausgeblendet.

  • Einblenden - Blendet die ausgewählte Komponente ein.

  • Ausblenden - Blendet die ausgewählte Komponente aus.

  • Geschwister einblenden - Über diese Option werden alle Komponenten mit Ausnahme der ausgewählten Komponenten der gleichen Ebene des Strukturbaums eingeblendet.

  • Alle anzeigen - Zeigt alle Komponenten des Strukturbaums an.

Bereich "Bearbeitung"

Der Bereich Bearbeitung bietet Schaltflächen, über die Sie einfache Änderungen an der Baugruppe vornehmen können.

  • Löschen - Löscht die ausgewählte Komponente aus der Baugruppe und entfernt sie aus dem Grafikfenster.

  • Transformieren - Zeigt das Dialogfeld CAD transformieren an. Mit diesem Dialogfeld haben Sie die Möglichkeit, eine einzelne Komponente der Baugruppe zu transformieren. Weitere Informationen hierzu finden Sie unter "Transformieren eines CAD-Modells".

  • Koordinatensystem - Zeigt das Dialogfeld "CAD Koordinatensystem" an. Über dieses Dialogfeld können Sie verschiedene Koordinatensysteme erstellen und verwalten. Weitere Informationen hierzu finden Sie unter "Arbeiten mit CAD-Koordinatensystemen".

Es ist nicht möglich, die Komponenten auf Wurzelebene oder die DCI-Komponenten zu bearbeiten (normalerweise handelt es sich hierbei um den Werkstücknamen, der für Ihr Werkstückprogramm verwendet wird). Durch Auswahl dieser Komponenttypen werden die Schaltflächen des Bereichs "Bearbeitung" deaktiviert.


Spiegeln von CAD

Über die Menüoption Vorgang | Grafikfenster | Spiegeln können Sie die CAD-Ansicht eines Werkstücks spiegeln. Dies ist besonders beim Messen von Automobil-Werkstücken mit symmetrischen Teilen nützlich. Wenn CAD-Angaben für die rechte Seite eines Werkstücks vorhanden sind, können Sie diese an der entsprechenden Achse spiegeln und eine CAD-Ansicht der linken Seite des Werkstücks erstellen.

Über diese Menüoption wird das Dialogfeld CAD spiegeln eingeblendet.

CAD spiegeln (Dialogfeld)

Markieren Sie die Achse, an der gespiegelt werden soll. Wenn Sie Ihre alten CAD-Daten beibehalten möchten, so dass nach dem Spiegeln für beide symmetrischen Hälften CAD-Daten zur Verfügung stehen, aktivieren Sie das Kontrollkästchen Original beibehalten.

Wenn Sie auf OK klicken, spiegelt PC-DMIS die CAD-Zeichnung an der angegebenen Achse und zeigt das Bild im Grafikfenster an.

Die Option Spiegeln erstellt kein neues Werkstückprogramm im gespiegelten Bild. Wenn Sie stattdessen Ihr Werkstückprogramm spiegeln möchten, befolgen Sie die Anweisungen unter "Spiegeln" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Einstellen von CAD auf 3D unter Verwendung des Dialogfelds "Layer erstellen"

Mit der Menüoption Vorgang | Grafikfenster | CAD bearbeiten (oder der Schaltfläche CAD bearbeiten im Dialogfeld IGES-Datei) können Sie eine 2D-CAD-Zeichnung dreidimensional manipulieren. Diese Option kann auch während der Import-Phase beim Laden einer CAD-Zeichnung verwendet werden.

Nachdem Sie die Menüoption CAD bearbeiten gewählt haben, zeigt PC-DMIS das Fenster Layer erstellen an. In der Titelleiste dieses Fensters wird zunächst "Layer erstellen - ALTE DATEI" angezeigt.

Fenster "Layer erstellen"

Hinweis: Alle an der Zeichnung vorgenommenen Änderungen sind temporär. Wenn der Hauptbildschirm von PC-DMIS für Windows neu aktiviert wird, haben die vorgenommenen Änderungen keine Gültigkeit mehr.

Mit Hilfe des Fensters Layer erstellen-ALTE DATEI können Sie neue Ebenen oder Ansichten der verschiedenen geometrischen Elemente erstellen, aus denen sich die CAD-Darstellung zusammensetzt. Alle an der Grafik vorgenommenen Änderungen sind temporär, bis Sie Datei | Mit Speichern beenden auswählen.

Zu diesem Fenster gehören drei Menüs, über die die verschiedenen Ebenen erstellt werden:

  • Datei. Hier können Sie die Änderungen speichern, abbrechen und zwischen den Fernstern ALTE DATEI und NEUE DATEI hin- und herschalten. Unter "Layer erstellen – Menü "Datei"" finden Sie eine genauere Beschreibung der Optionen im Menü Datei.

  • Ansicht. Dieses Menü bietet mehrere Optionen zur Bearbeitung der Ansichten der verschiedenen Ebenen. Unter "Layer erstellen – Menü "Ansicht"" finden Sie eine genauere Beschreibung der Optionen im Menü Ansicht.

  • Layer. Über dieses Menü können Sie Layer erstellen, auswählen und positionieren. Unter "Layer erstellen – Menü "Layer"" finden Sie eine genauere Beschreibung der Optionen im Menü Layer.

Siehe auch:

So stellen Sie CAD auf 3D ein

Ebenen erstellen – Menü "Datei"

Layer erstellen – Menü "Ansicht"

Layer erstellen – Menü "Layer"


So stellen Sie CAD auf 3D ein

Zum besseren Verständnis der in den nachfolgenden Schritten verwendeten Ausrichtungsoptionen ist es möglicherweise erforderlich, ein wenig mit dieser Programmfunktion zu experimentieren.

  1. Erstellen Sie ein Werkstückprogramm (siehe auch "Erstellen neuer Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen").

  2. Importieren Sie das CAD-Modell in das Werkstückprogramm (siehe auch "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen").

  3. Überprüfen Sie das Koordinatensystem des Modells.

  4. Erstellen Sie die Ausrichtung (siehe auch "Erstellen und Verwenden von Ausrichtungen").

  5. Wählen Sie die Menüoption Vorgang | Grafikfenster | CAD bearbeiten. Das Fenster Ebenen erstellen wird mit dem Text "ALTE DATEI" in der Titelleiste angezeigt. In diesem Fenster werden Ihre importierten CAD-Daten als Drahtmodell angezeigt. Menü-Übersicht anzeigen

  6. Halten Sie die linke Maustaste gedrückt, und ziehen Sie ein Feld um das gesamte Modell. PC-DMIS hebt das ausgewählte CAD-Modell hervor.

  7. Wählen Sie Layer | Erzeugen. PC-DMIS zeichnet das Modell neu.

  8. Wählen Sie Layer | Position. Das Dialogfeld Positionsebene wird mit der Nummer 1 in der Titelleiste angezeigt. Dieses Dialogfeld zeigt an, wie Sie das Modell für die erste Ebene positionieren werden.

  9. Wählen Sie im Bereich Ausrichtung eine Ansicht aus, von der aus das Modell neu ausgerichtet werden soll. Die restlichen Optionen des Dialogfelds stehen nun zur Auswahl zur Verfügung.

  10. Wählen Sie gegebenenfalls weitere Optionen aus:

  • Klicken Sie auf Position, um das Modell um die von Ihnen gewählte Ausrichtung zu drehen.

  • Möchten Sie die Ausrichtung des Modells um einen bestimmten Wert in horizontaler oder vertikaler Richtung versetzen, geben Sie den Versatzwert in die Felder Versatz (Horizontal) oder Versatz (Vertikal) ein.

  • Möchten Sie die Ausrichtung auf ein bestimmtes Element verschieben, klicken Sie auf die Option Element 1 und anschließend im Fenster Layer erstellen auf das gewünschte CAD-Element. PC-DMIS verlagert die Ausrichtung auf das angegebene Element. Wenn Sie ein zweites Element verwenden möchten, führen Sie denselben Vorgang mit der Option Element 2 durch.

  • Möchten Sie die Ausrichtung von einem definierenden Element versetzen, wählen Sie die Option Element im Bereich Element zur Definition des Versatzes und geben Sie im Feld Versatz einen Versatzwert ein.

  11. Nachdem Sie die Änderungen abgeschlossen haben, klicken Sie auf Übernehmen und anschließend auf OK. Das Dialogfeld Positionsebene wird geschlossen, und PC-DMIS zeichnet das Fenster Layer erstellen mit allen Änderungen neu.

  12. Verwenden Sie die Optionen des Menüs Ansicht, um Ihre Änderungen zu überprüfen. Mit den Optionen Ansicht | Ändern können Sie das Dialogfeld Ansicht einrichten aufrufen, um eine Ansicht für das Fenster Layer erstellen anzugeben.

  13. Möchten Sie die neue Ausrichtung beibehalten, wählen Sie Datei | Mit Speichern beenden. Anderenfalls wählen Sie Beenden.


Ebenen erstellen – Menü "Datei"

Über das Menü Datei im Fenster Layer erstellen können Sie auf die in "ALTE DATEI" eingelesene Originaldatei sowie auf die neu erstellte Datei "NEUE DATEI" zugreifen. Zudem haben Sie die Möglichkeit, alle vorgenommenen Änderungen zu speichern, bevor Sie diese Option beenden.

  • Die "ALTE DATEI" enthält immer die unveränderten Daten aus der Originaldatei.

  • Für die Datei "NEUE DATEI" können Sie das Dialogfeld Positionieren öffnen und den Layer dreidimensional anordnen.

Es kann jeweils immer nur auf ein Fenster zugegriffen werden. In PC-DMIS können Sie mit dem Menü Datei zwischen den geöffneten Fenstern hin- und herschalten. PC-DMIS schaltet automatisch auf das richtige Fenster um, wenn dies für eine bestimmte Funktion (wie z. B. Erstellen eines neuen Layers) erforderlich ist.

Wenn Sie nach dem Erstellen oder Bearbeiten von Ebenen Ihre Änderungen speichern möchten, wählen Sie unbedingt die Option Mit Speichern beenden, da PC-DMIS das Werkstückprogramm vor dem Beenden nicht automatisch speichert.


Layer erstellen – Menü "Ansicht"

Über die Menüoption Ansicht im Fenster Layer erstellen können Sie die im Dialogfeld angezeigte Grafik vorübergehend ändern. Auf diese Weise können Sie die Ansicht drehen, skalieren oder ändern und so leicht auf die benötigten CAD-Elemente zugreifen.

Siehe auch:

Ansicht | Voransicht ändern

Ansicht | Größe anpassen

Ansicht | Drehen

Ansicht | CAD-Info

Ansicht | Bildschirmfarbe


Ansicht | Voransicht ändern

Mit der Menüoption Ansicht | Ändern können Sie neue Ansichten aus einer CAD-Datei erstellen. Diese Funktion ist besonders nützlich, wenn Sie mit einer 2D IGES-Datei arbeiten, die mehrere Ansichten eines Werkstücks in einer Ebene enthält, und wenn die Ansichten im Grafikfenster der korrekten Ausrichtung zugewiesen werden müssen.


Ansicht | Größe anpassen

Mit der Menüoption Größe anpassen wird das Werkstückbild neu gezeichnet, so dass es ganz in das Grafikfenster hineinpasst. Diese Funktion ist immer dann nützlich, wenn ein Bild zu groß oder zu klein wird.


Ansicht | Drehen

Die Menüoption Drehen zeigt das Dialogfeld Drehen an, durch das Sie das Werkstückbild in drei Dimensionen drehen können. Siehe auch "Anpassen der Zeichnung".


Ansicht | CAD-Info

Über die Menüoption CAD-Info wird das Dialogfeld CAD-Angaben eingeblendet. In diesem Dialogfeld können Sie Informationen über eine bestimmte CAD-Geometrie einsehen. Jedesmal, wenn eine einzelne CAD-Geometrie ausgewählt und das Dialogfeld CAD-Angaben geöffnet ist, erscheinen darin die Angaben zur betreffenden CAD-Geometrie.

CAD-Angaben (Dialogfeld)

Zudem blinkt das ausgewählte Element auf dem Bildschirm. Zumindest wird die Art der Geometrie dargestellt (Kreis, Gerade etc.). Wurde die CAD-Geometrie mit PC-DMIS, Version 3.2 oder höher, importiert, werden zudem Informationen über die CAD-Datei (zum Zeitpunkt des Imports) angezeigt. Hierzu gehören der vollständige Pfad zur Datei, der letzte Änderungszeitpunkt und die Dateigröße (in Byte). Sofern verfügbar, ist auch die Folgenummer des Elements in der IGES-, XYZ- etc. Datei zu sehen. In der Regel werden Angaben zur Geometrie gemacht, wie beispielsweise Durchmesser, Vektor oder Lage. Bei komplexen Elementen (z. B. bei beschnittenen Oberflächen) werden zudem Angaben zu anderen Geometrien (Grundfläche, begrenzende Kurven) angezeigt. Wenn auf die Schaltfläche Ansicht geklickt wird, fängt die beschriebene Geometrie an, auf dem Bildschirm zu blinken. Nach Auswahl der Menüoption CAD-Info können Sie auf dieses Dialogfeld zugreifen.


Ansicht | Bildschirmfarbe

Die Menüoption Bildschirmfarbe zeigt das Dialogfeld Bildschirmfarbe an. Mit dieser Option können Sie die Farben für das Fenster "Layer erstellen" verändern, ähnlich wie mit dem Dialogfeld Bildschirmfarbe (siehe Ändern der Bildschirmfarben).


Layer erstellen – Menü "Layer"

Mit der Menüoption Layer im Fenster Layer erstellen können Sie die gewünschten CAD-Elemente auswählen und bis zu 18 verschiedene Ebenen erstellen. Jeder erstellte Layer wird ans Ende der Menüliste angehängt, so dass diese erneut von Ihnen ausgewählt werden kann.

Eine CAD-Ebene besteht aus einer Gruppe verwandter CAD-Geometrien, die durch eine Ebenennummer identifiziert werden. Ebenen werden entweder in einer IGES- oder XYZ-CAD-Datei vordefiniert. Die Ebenenangaben in diesen Dateien werden beim 'Importieren' der Dateien in PC-DMIS importiert. Im Dialogfeld Ansicht einrichten können Sie angeben, welche Ebenen in den einzelnen Ansichten angezeigt werden sollen. In Anbetracht der Größe und Komplexität vieler CAD-Dateien ist diese Option besonders nützlich, da Sie mit ihr bestimmen können, welche Teile des CAD-Modells bei der Ausführung verschiedener PC-DMIS-Aufgaben sichtbar sind.

Eine CAD-Geometrie kann nur jeweils einem Layer angehören. Geometrie "A" kann beispielsweise nur Layer "x" oder Layer "y" angehören, jedoch nicht beiden. Dies beeinträchtigt nicht die Anzeigefähigkeiten, da mehrere Ebenen gleichzeitig angezeigt werden können.

Siehe auch:

Neuer Layer

Layer auswählen

Layer | Auswahl aufheben

Layer erstellen

Positionsebene

Zusätzliche Ebenenmanipulationen


Neuer Layer

Mit der Menüoption Neu können Sie einen neuen Layer erstellen, sofern bereits Layer vorhanden sind. (Diese Option muss zum Erstellen des ersten Layers nicht verwendet werden, da automatisch PC-DMIS einen neuen Layer erstellt, sobald das Fenster "Layer erstellen" – ALTE DATEI geöffnet wird.)

Siehe auch:

So erstellen Sie einen neuen Layer:


So erstellen Sie einen neuen Layer:

  1. Öffnen Sie das Fenster Layer erstellen.

  2. Klicken Sie auf die Menüoption Neu. Ist die Menüoption Neu abgeblendet, dann wurde sie bereits automatisch beim Öffnen des Fensters Layer erstellen – ALTE Datei ausgewählt.

  3. Wählen Sie die gewünschten CAD-Elemente aus. (CAD-Elemente können mit den in PC-DMIS verfügbaren Methoden ausgewählt werden. Dazu gehören Auswahl mit der Maus und Kästchenauswahl.) Nachdem ein CAD-Element ausgewählt wurde, wird es in der aktuellen Markierungsfarbe hervorgehoben.

  4. Wählen Sie Layer | Erzeugen im Dropdown-Menü.

PC-DMIS erstellt den neuen Layer und schaltet automatisch auf das Fenster Layer erstellen – NEUE Datei um, in dem die ausgewählten Elemente angezeigt werden.

Neue Ebenen können Sie auch mit dem Dialogfeld Ansicht einrichten erstellen. Weitere Informationen zu diesem Dialogfeld finden Sie unter "Einrichten der Bildschirmanzeige".


Layer auswählen

Diese Option ist erst verfügbar, nachdem die Menüoption NEU gewählt wurde.

Mit der Menüoption Auswählen können Sie bestimmen, welche CAD-Elemente in der neuen Ebene angezeigt werden. Die ausgewählten Daten werden in der aktuellen Markierungsfarbe dargestellt. Elemente können nur ausgewählt werden, wenn die Menüoption Auswählen aktiviert ist.

Hinweis: Vergewissern Sie sich, dass die markierten Daten genauso wie benötigt angezeigt werden. Nachdem die Menüoption Erzeugen gewählt wurde, können die CAD-Elemente nicht mehr geändert werden. Wenn ein Layer (vor Auswahl der Menüoption Erzeugen) geändert werden soll, wählen Sie die Option Auswahl aufheben. Auf diese Weise wird die Auswahl aller hervorgehobenen Daten aufgehoben.


Layer | Auswahl aufheben

Diese Option ist erst verfügbar, nachdem die Menüoption NEU gewählt wurde.

Mit der Menüoption Auswahl aufheben können Sie die Auswahl aller CAD-Elemente aufheben, die zur Anzeige markiert waren.


Layer erstellen

Die Menüoption Erzeugen erstellt eine neue Ebene basierend auf den ausgewählten CAD-Elementen.

Nach Markierung der gewünschten CAD-Elemente und Auswahl dieser Option überträgt PC-DMIS die ausgewählten Elemente aus der "ALTEN Datei" in die "NEUE Datei". Der Bildschirm wird automatisch auf die Anzeige der "NEUEN Datei" umgeschaltet. Das Fenster zeigt außerdem alle anderen zuvor erstellten Ebenen an. Die für den neuen Layer ausgewählten Elemente werden schwarz dargestellt. Daten aus vorherigen Layern werden grau dargestellt.

Um einen anderen Layer zu erstellen, wählen Sie die Menüoption Neu (siehe auch "So erstellen Sie eine neue Ebene"). Die "ALTE DATEI" wird automatisch angezeigt, und der Auswahlvorgang kann wiederholt werden.


Positionsebene

Positionsebene (Dialogfeld)

Nachdem der Layer erstellt wurde, wird mit der Menüoption Positionieren das Dialogfeld Positionsebene angezeigt. In diesem Dialogfeld können Sie die Achsen positionieren und die Ausrichtung des betreffenden Layers ändern.

Siehe auch:

So positionieren Sie einen Layer neu:

Bereich "Richtung"

Schaltfläche "Position"

Bereich "Element(e) zur Definition des Nullpunkts"

Bereich "Element zur Definition des Versatzes"

Feld "Maßstab"


So positionieren Sie einen Layer neu:

  1. Wählen Sie den Layer im Menü Layer aus.

  2. Wählen Sie Layer | Position.

  3. Wählen Sie im Bereich Ausrichtung des Dialogfelds eine Ausrichtungsoption (Oben, Unten, Rechts etc.).

  4. Klicken Sie auf die Befehlsschaltfläche Position. Das Dialogfeld Ansicht aus Lage erscheint. In diesem Dialogfeld können Sie den Layer relativ zur Ausrichtung positionieren.

  5. Bewegen Sie den Layer im Dialogfeld Ansicht aus Lage in drei Dimensionen, so dass sie sich im Verhältnis zu den anderen Layern in der richtigen Lage befindet.

  6. Klicken Sie auf OK.

Layer können in jeder beliebigen Reihenfolge und so oft wie nötig neu angeordnet werden.


Bereich "Richtung"

Derzeit werden nur Ausrichtungen unterstützt, die den sechs Seiten eines Würfels entsprechen. Wählen Sie die Ausrichtung, die dem gewünschten Ausschnitt der 2D-Daten entspricht. Wenn die 2D-Daten das Werkstück aus der rechten Seitenansicht darstellen, wählen Sie als Ausrichtung RECHTS.

Beispiel: Zeigen die Daten die linke Seite eines Autos, wählen Sie als Ausrichtung LINKS. Die Daten müssen die linke Seite des Autos so zeigen, wie sie sich darstellt, wenn man direkt neben dem Auto steht. Erscheint das Auto auf dem Kopf oder einem Ende stehend, klicken Sie nach Wahl der Ausrichtung auf die Schaltfläche Position.


Schaltfläche "Position"

Die Schaltfläche Position zeigt das Dialogfeld Ansicht aus Lage an.

Ansicht aus Lage (Dialogfeld)

Diese Option zeigt nur die 2D-Daten für den aktuellen Layer an. Zudem zeigt es ein Kästchen an, das die ausgewählte Ausrichtung darstellt. Mit den Optionsfeldern Drehen und den Kontrollkästchen spiegeln können Sie die Daten bei Bedarf ändern. Dieser Vorgang kann jederzeit während des Positionierverfahrens durchgeführt werden.


Bereich "Element(e) zur Definition des Nullpunkts"

Um Daten innerhalb des Layers zu verschieben, kann im Bereich Element(e) zur Definition des Nullpunkts im Dialogfeld Ansicht aus Lage ein "Nullpunkt" festgelegt werden. Als Methode kommen die Auswahl einer oder mehrerer Geometrien in den Layer-Daten oder die Angabe eines oder mehrerer numerischer Versätze oder beides in Frage.

  • So wählen Sie eine Geometrie aus:

  1. Klicken Sie auf die Option Element 1.

  2. Wählen Sie im Fenster Layer erstellen – NEUE DATEI ein geometrisches Element (z. B. eine Gerade) aus. Wenn nun auf die Schaltfläche Übernehmen geklickt wird, wird einer der Endpunkte der Geraden zum 'Nullpunkt'.

  3. Um den anderen Endpunkt zum Nullpunkt zu machen, markieren Sie das Kontrollkästchen Punkt 2.

  • So machen Sie den Schnittpunkt zweier Geraden zum Nullpunkt:

  1. Klicken Sie auf die Option Element 1.

  2. Wählen Sie im Fenster Ebenen erstellen – NEUE DATEI eine Gerade aus.

  3. Als nächstes klicken Sie auf die Option Element 2.

  4. Wählen Sie im Fenster Ebenen erstellen – NEUE DATEI eine zweite Gerade aus.

  5. Klicken Sie auf die Schaltfläche Übernehmen, um die Ebenendaten an den neuen Nullpunkt zu verschieben. (Zur Wahl eines Nullpunktes ist jede Kombination aus Geraden, Bögen, Kreisen und Punkten zulässig.)

  • Um den Nullpunkt in der horizontalen und vertikalen Richtung (relativ zur Ausrichtung gesehen) zu verschieben, können zudem numerische Versätze eingegeben werden.


Bereich "Element zur Definition des Versatzes"

Nach Wahl eines Nullpunktes muss die Ebene u. U. in eine im Verhältnis zu ihr vertikale Richtung verschoben werden, um sie relativ zu den anderen Ebenen richtig zu positionieren. Dies kann durch Auswahl einer Geometrie in einem Layer geschehen.

Beispiel: Es kann eine Gerade in der Ausrichtung Oben gewählt werden. Die Layer in der Ausrichtung Rechts werden dann so verschoben, dass sie sich in derselben Ebene wie die Gerade in der Ausrichtung Oben befinden. Im Idealfall sollte die ausgewählte Gerade parallel zur Rechten Ausrichtungsebene liegen.


Feld "Maßstab"

Im Feld Maßstab können Sie die Größe des Werkstückbildes im Grafikfenster an die CAD-Zeichnung anpassen. Diese Option unterscheidet sich darin von den Optionen Größe anpassen und Größe der Zeichnung anpassen insofern, als dass die CAD-Daten im Werkstückprogramm die Änderungen tatsächlich berücksichtigen. Geben Sie den gewünschten Maßstab ein.

  • Um die Größe der Zeichnungselemente um 50% zu verkleinern, geben Sie 0,5 in das Feld Maßstab ein.

  • Wenn Sie die Größe der Zeichnungselemente verdoppeln möchten, geben Sie 2,0 ein.

  • Um die Größe der Zeichnung unverändert beizubehalten, geben Sie 1,0 ein. (Es kann für jeden beliebigen Layer ein Maßstab eingegeben werden.)

Um alle Änderungen zu übernehmen, klicken Sie auf die Schaltfläche Übernehmen. Mit der Schaltfläche Rücksetzen können Sie alle an dem aktuellen Layer vorgenommenen Änderungen wieder rückgängig machen. Die Schaltfläche Abbrechen macht alle Änderungen rückgängig, die seit dem Öffnen des Dialogfensters Positionsebene vorgenommen wurden.

Hinweis: Alle oben beschriebenen Positioniervorgänge können in beliebiger Reihenfolge durchgeführt werden. Sie können beliebig oft wiederholt werden. In den meisten Fällen werden die Änderungen erst nach Anklicken der Befehlsschaltfläche Übernehmen ersichtlich.


Zusätzliche Ebenenmanipulationen

In PC-DMIS können Sie mit Hilfe des Dialogfelds Ansicht einrichten folgende zusätzliche Ebenenmanipulationen durchführen:

  • Erstellen eines neuen Layers. Siehe auch "Erstellen von Ebenen".

  • Löschen eines vorhandenen Layers. Siehe auch "Löschen von Ebenen".

  • Ändern eines vorhandenen Layers. Siehe auch "Ändern von Ebenen".

Zum Hinzufügen und Ändern von Layern müssen CAD-Daten markiert sein. Sie können die Auswahl genauso auf verschiedene Geometriearten einschränken, wie sie in den Dialogfeldern CAD bearbeiten und CAD löschen eingeschränkt wird. Die Auswahl kann auch auf einen vorhandenen markierten Layer eingeschränkt werden.

Weitere Informationen zum Arbeiten mit Layern unter Verwendung des Dialogfelds Ansicht einrichten finden Sie unter "Anzeigen, Erstellen und Bearbeiten von Layern" im Abschnitt "Bearbeiten der CAD-Anzeige".

Sie können Layer außerdem mit Hilfe der Menüoption CAD bearbeiten erstellen. Siehe auch "Einstellen von CAD auf 3D".


Anzeigen von CAD-Angaben

CAD-Angaben (Dialogfeld)

Über die Menüoption Ansicht | CAD-Info wird das Dialogfeld CAD-Angaben eingeblendet. Mit diesem Dialogfeld können Sie CAD-Angaben auf einfache Art abrufen, indem Sie im Grafikfenster das gewünschte CAD-Element markieren. Sobald das CAD-Element ausgewählt ist, zeigt PC-DMIS alle verfügbaren CAD-Angaben an.

Mit der Schaltfläche Ansicht lässt sich die Auswahl eines Elements bestätigen, indem das im Grafikfenster ausgewählte grafische Bild zu blinken beginnt.


Arbeiten mit Bildschirmkopien des Grafikfensters

Mit PC-DMIS können Sie Bildschirmkopien vom Grafikfenster erstellen und diese in Ihr Protokoll einfügen oder in der Zwischenablage ablegen.

Siehe auch:

Ablegen von Bildschirmkopien in der Zwischenablage

Einfügen von Bildschirmkopien in das Protokoll

Übertragen von Bildschirmkopien in eine Datei

Bearbeiten von Bildschirmkopien


Ablegen von Bildschirmkopien in der Zwischenablage

Das Bild bleibt bis zur Erfassung eines anderen Bildschirms oder bis zum Schließen des Werkstückprogramms in der Zwischenablage.

Mit der Menüoption Vorgang | Grafikfenster | Bildschirmkopie in | Zwischenablage können Sie das Grafikfenster aufzeichnen und den Bildschirm in die Zwischenablage kopieren.

Wenn Sie eine in die Zwischenablage kopierte Abbildung ansehen möchten, fügen Sie diese in eine beliebige Windows-Anwendung ein, welche die Funktion Einfügen unterstützt (z.B. Microsoft Word).


Einfügen von Bildschirmkopien in das Protokoll

Mit der Menüoption Vorgang | Grafikfenster | Bildschirmkopie in | Protokoll können Sie Bildschirmkopien im Protokoll anzeigen lassen. Diese Menüoption aktiviert den Befehl ANZEIGE/METADATEI im Bearbeitungsfenster. Wenn dieser Befehl markiert und ausgeführt wird, aktualisiert PC-DMIS den Bildschirm automatisch und zeigt ihn an, wenn sich das Bearbeitungsfenster im Protokollmodus befindet.

Um die Bildschirmkopie im Protokollfenster erscheinen zu lassen, klicken Sie mit der rechten Maustaste auf eine beliebige Textstelle des Protokollfensters, wählen Bearbeiten aus, und markieren dann, nach Erscheinen des Dialogfelds Protokoll, das Kontrollkästchen Bildschirmkopien zeigen.

Dieser Befehl gleicht den Befehlen ANALYSEANSICHT und ANZEIGE/METADATEI, die im Analysefenster erstellt werden. Weitere Informationen zum Analysefenster finden Sie unter "Analyse" im Abschnitt "Einfügen von Protokollbefehlen".

Hinweis: Um optimale Ergebnisse für die Bildschirmkopien zu erhalten, sollten Sie für Texte im Grafikfenster True Type-Schriftarten verwenden.


Übertragen von Bildschirmkopien in eine Datei

Mit der Menüoption Vorgang | Grafikfenster | Bildschirmkopie in | Datei können Sie das Grafikfenster aufzeichnen und den Bildschirminhalt als Bitmap-Datei auf Ihrem Computer speichern.


Bearbeiten von Bildschirmkopien

PC-DMIS selbst verfügt über keine Funktionalität zum Bearbeiten und Formatieren der aufgezeichneten Abbildungen. Sie können Ihre Bildschirmkopien jedoch mit jedem beliebigen Bildbearbeitungsprogramm bearbeiten oder formatieren. Hierfür verwenden Sie den Befehl Einfügen | Protokollbefehl | Externes Objekt und fügen ein Objekt in das Bearbeitungsfenster ein (beispielsweise eine Bitmap-Datei).

Fügen Sie dann in dem mit Bitmap-Datei verknüpften Mal- oder Zeichnungsprogramm die unmittelbar zuvor aufgezeichnete Bildschirmkopie ein. Zur Bearbeitung sollten Sie die Zeichen- und Maloptionen verwenden können, die das Programm des externen Objekts zur Verfügung stellt.

Weitere Informationen zum Befehl "Externes Objekt" finden Sie unter “Einfügen externer Objekte” im Abschnitt “Hinzufügen externer Objekte”.


 Feature Types area Number Selected area Deselect button OK button Close button Apply button Set as Priority check box Show Name check box Change Name check box Change Color check box Edit Color Name box

Bearbeiten von CAD

CAD-Elemente bearbeiten (Dialogfeld)

Im Dialogfeld CAD-Elemente bearbeiten (Bearbeiten | Grafikfenster | CAD-Elemente) können Sie die Farben der importierten CAD-Datei verändern.

Wählen Sie die Elemente aus, die Sie ändern möchten. Bewegen Sie dazu den Mauszeiger im Grafikfenster über das gewünschte Element und drücken Sie die linke Maustaste.

Wenn Sie mehrere Elemente auswählen möchten, führen Sie für die gewünschten CAD-Elemente eine Kästchenauswahl durch. Wenn Sie die Maustaste loslassen, hebt PC-DMIS die aktuell ausgewählten Elemente hervor und zeigt die Anzahl der Elemente im Feld Ausgewählt an. Weitere Elemente können auf dieselbe Weise ausgewählt werden. Mit der Schaltfläche Auswahl aufheben wird die Auswahl aller markierten Elemente auf dem Bildschirm aufgehoben.

Wenn die gewünschten Elemente ausgewählt sind, klicken Sie auf Farbe und wählen die gewünschte Farbe aus. Klicken Sie auf Übernehmen, um die Farbänderung im Grafikfenster sichtbar zu machen.

Hinweis: Bevor Sie diese Option einsetzen können, müssen Sie zuerst CAD-Ebenen erstellen. Weitere Informationen finden Sie unter "Einrichten der Bildschirmanzeige".

Siehe auch:

Elementtypen

Anzahl ausgewählter Elemente

Farbe bearbeiten

Namen ändern

Farbe ändern

Priorität setzen

Namen einblenden

Auswahl aufheben

Namensfeld für CAD-Elemente


Elementtypen

Diese Option teilt PC-DMIS mit, welche Art(en) von Element(en) zu ändern ist/sind. Zur Auswahl stehen:

  • Punkte

  • Geraden

  • Kreise

  • Bögen

  • Kurven

  • Flächen

Hinweis: Bei der Wahl von Flächen wird zuerst das Symbol Flächenmodus ausgewählt. Siehe auch "Wechseln zwischen Kontur- und Flächenmodus".


Anzahl ausgewählter Elemente

Die Felder Ausgewählt zeigen die Anzahl der zu löschenden Elemente an. Die Zahlen in den einzelnen Feldern ändern sich je nach den im Bereich Elementtypen des Dialogfelds ausgewählten Elementen.


Farbe bearbeiten

Mit der Schaltfläche Farbe können Sie die Farbe für ein bestimmtes CAD-Element festlegen. Vorgehensweise:

  1. Wählen Sie die Schaltfläche Farbe. PC-DMIS blendet daraufhin das gleichnamige Dialogfeld ein.

    Dialogfeld "Farbe"

  2. Wählen Sie die gewünschte Farbe aus.

  3. Klicken Sie auf OK. PC-DMIS aktualisiert daraufhin das Dialogfeld CAD-Elemente bearbeiten und zeigt die gewählte Farbe an.


Namen ändern

Im Feld Namen ändern können Sie den Namen des ausgewählten CAD-Elements ändern. Vorgehensweise:

  1. Greifen Sie auf das Dialogfeld CAD-Elemente bearbeiten zu (Bearbeiten | Grafikfenster | CAD-Elemente). Menü-Übersicht anzeigen

  2. Aktivieren Sie das entsprechende Kontrollkästchen Elementtyp. Siehe "Elementtypen".

  3. Klicken Sie im Grafikfenster auf das/die gewünschte(n) CAD-Element(e). PC-DMIS markiert Ihre Auswahl.

  4. Aktivieren Sie das Kontrollkästchen Name ändern .

  5. Geben Sie den neuen Dateinamen für das/die ausgewählte(n) CAD-Element(e) in das Feld Name ein. Siehe "Namensfeld für CAD-Elemente".

  6. Klicken Sie auf Übernehmen. PC-DMIS ändert den Namen. Mit Hilfe des Kontrollkästchens Namen zeigen können Sie die Namensänderung überprüfen (siehe Namen einblenden).


Farbe ändern

Das Kontrollkästchen Farbe ändern zeichnet die ausgewählten CAD-Daten in der Farbe, die im Feld Farbe unten im Dialogfeld angezeigt wird. Dieser Vorgang muss über die Schaltfläche Übernehmen aktiviert werden. Die aktuelle Farbe läßt sich über die Schaltfläche Farbe ändern.


Priorität setzen

Mit dem Kontrollkästchen Priorität setzen können Sie einen Satz von CAD-Flächen zur Durchführung von Nennwertsuchen auswählen und speichern. Auf diese Weise wird die Berechnung von Nennwerten beschleunigt, da PC-DMIS dadurch bestimmen kann, welche Flächen zuerst geprüft werden sollen. Sie können beliebig viele Flächen auswählen. Die Reihenfolge, in der Sie die Flächen auswählen, entspricht der Reihenfolge, in der die Flächen gesucht/geprüft werden.

Jedesmal, wenn das Dialogfeld CAD-Elemente bearbeiten geöffnet und darin das Kontrollkästchen Priorität setzen aktiviert wird, wird der zuvor gespeicherte Flächensatz automatisch ausgewählt.

Siehe auch:

So speichern Sie einen neuen Flächensatz:


So speichern Sie einen neuen Flächensatz:

  1. Greifen Sie auf das Dialogfeld CAD-Elemente bearbeiten zu (Bearbeiten | Grafikfenster | CAD-Elemente). Menü-Übersicht anzeigen

  2. Markieren Sie das Kontrollkästchen Priorität setzen. Wurde zuvor ein Flächensatz definiert, wählt PC-DMIS diesen Satz im Grafikfenster aus.

  3. Klicken Sie bei aktiviertem Kontrollkästchen Priorität setzen auf die Schaltfläche Auswahl aufheben und klicken Sie dann auf die Schaltfläche Übernehmen. Hierdurch wird PC-DMIS angewiesen, alle gespeicherten Flächen zu löschen.

  4. Heben Sie die Markierung des Kontrollkästchen Priorität setzen wieder auf.

  5. Wählen Sie den neuen Satz zu speichernder Flächen aus.

  6. Markieren Sie das Kontrollkästchen Priorität setzen.

  7. Klicken Sie auf Übernehmen.

  8. Klicken Sie auf OK.


Namen einblenden

Mit dem Kontrollkästchen Namen zeigen können Sie die mit den ausgewählten CAD-Elementen verbundenen Element-IDs anzeigen oder ausblenden.

Ist das Kontrollkästchen aktiviert, zeigt PC-DMIS die Elementnamen (falls durch den CAD-Designer eingerichtet) oder Elementtypen vorgegebener Elemente an.

Ist das Kontrollkästchen deaktiviert, blendet PC-DMIS die Elementnamen aus.

Siehe auch:

So blenden Sie vorgegebene Elementnamen ein oder aus:


So blenden Sie vorgegebene Elementnamen ein oder aus:

  1. Greifen Sie auf das Dialogfeld CAD-Elemente bearbeiten zu (Bearbeiten | Grafikfenster | CAD-Elemente). Menü-Übersicht anzeigen

  2. Klicken Sie auf das gewünschte Element in der CAD-Anzeige (oder führen Sie eine Kästchenauswahl für mehrere Elemente durch). PC-DMIS markiert die gewählten CAD-Elemente auf dem CAD-Modell.

  3. Aktivieren oder Deaktivieren Sie das Kontrollkästchen Namen zeigen.

  4. Klicken Sie auf OK.


Auswahl aufheben

Die Befehlsschaltfläche Auswahl aufheben bewirkt, dass PC-DMIS alle vor Betätigen von OK mit der Schaltfläche Übernehmen durchgeführten Änderungen rückgängig macht.


Namensfeld für CAD-Elemente

Im Feld Name können Sie den Namen des ausgewählten CAD-Elements oder mehrerer Elemente ändern. Hierzu wählen Sie das/die CAD-Element(e) aus, geben den Namen in dieses Feld ein und klicken auf Übernehmen.


Beleuchtung und Materialien auf die CAD-Anzeige anwenden

Symbol "CAD-Beleuchtung" aus der Symbolleiste Ansicht | Symbolleisten | Grafikmodi

Durch Auswahl des Symbols CAD-Beleuchtung oder der Menüoption Beleuchtung und Materialien wird das Dialogfeld Beleuchtung und Materialien angezeigt.

Dialogfeld "Beleuchtung und Materialien"

Mit dem Dialogfeld Beleuchtung und Materialien stehen eine Reihe von Optionen zur Verfügung, mit denen die Darstellung des CAD-Modells - dazu gehören Werkstückmodell, Tastermodell, KMG-Modell und andere Vorrichtungsmodelle - innerhalb des Grafikfensters von PC-DMIS bearbeitet werden kann.

Das Dialogfeld enthält folgende Optionen:

Archiv: Mit dieser Registerkarte können Sie diese CAD-Konfigurationen speichern und für spätere Verwendungszwecke wieder aufrufen.

Beleuchtung: Mit dieser Registerkarte können Sie Lichtquellen und deren Farben und Richtungen, Lichtmodelle und CAD-Transparenz definieren und aktivieren.

Material: Mit dieser Registerkarte können Sie Texturen den Oberflächen des CAD-Modells hinzufügen. Sie können auch die Farben und die Helligkeit der Materialien, die die Texturen ausmachen, ändern.

Schnittebenen: Mit dieser Registerkarte können Sie bis zu vier Schnittebenen, die alle angezeigten Objekte im Schnittbereich ausblenden, definieren. Damit können Sie unerwünschte Displayobjekte ausblenden oder das Werkstückmodell so schneiden, dass Querschnitte und Ausschnitt-Ansichten angezeigt werden.

Am unteren Ende des Dialogfeldes befinden sich vier Schaltflächen:

OK - Hiermit werden die Änderungen akzeptiert und das Dialogfeld wird geschlossen.

Abbrechen - Hiermit werden die Änderungen abgelehnt und das Dialogfeld wird geschlossen.

Standard setzen - Mit dieser Option werden die Änderungen als neue Standardeinstellungen für Beleuchtung und Materialien gespeichert. Die Standardeinstellungen von PC-DMIS werden hiermit überschrieben.

Standard holen - Mit dieser Option werden die Beleuchtungs- und Materialeinstellungen wieder auf die ursprünglichen Standardeinstellungen, die mit PC-DMIS geliefert wurden, zurückgesetzt.

Hinweis: Alle Änderungen, die im Dialogfeld Beleuchtung und Materialien vorgenommen werden, finden im Grafikfenster in Echtzeit statt. Dadurch können Sie die Auswirkungen sofort am Bildschirm verfolgen. Die vorgenommenen Änderungen sind jedoch solange temporär, bis Sie auf OK klicken.

Siehe auch:

Registerkarte "Archiv"

Registerkarte "Beleuchtung"

Registerkarte "Material"

Registerkarte "Schnittebenen"


Registerkarte "Archiv"

Diese Registerkarte enthält zwei Bereiche: den Bereich Systemdefinierte Einstellungen und den Bereich Benutzerdefinierte Einstellungen.

Im Bereich Systemdefinierte Einstellungen stehen systemdefinierte Beleuchtungs- und Materialeinstellungen zur Auswahl. Diese Einstellungen sind in der Konfigurationsdatei LightingMaterials.dat im Installationsverzeichnis von PC-DMIS gespeichert.

Im Bereich Benutzerdefinierte Einstellungen können Sie Ihre individuellen Beleuchtungs- und Materialkonfigurationen speichern. Diese werden im Unterverzeichnis \Models\LightingMaterials des Installationsverzeichnisses von PC-DMIS gespeichert.

So speichern Sie eine benutzerdefinierte Konfiguration:

  1. Nehmen Sie die gewünschten Änderungen in den anderen Registerkarten des Dialogfelds Beleuchtung und Materialien vor.

  2. Klicken Sie in das Feld Speichern unter. Es erscheint die Schaltfläche Jetzt speichern.

  3. Geben Sie einen Namen für die gespeicherte Konfiguration ein.

  4. Klicken Sie auf die Schaltfläche Jetzt speichern.

Um eine benutzerdefinierte Konfiguration aufzurufen, wählen Sie die gespeicherte Konfiguration aus der Liste Laden aus.


Registerkarte "Beleuchtung"

Die Registerkarte Beleuchtung besteht aus drei Bereichen, in denen Sie Lichtquellen, Lichtmodell und Transparenzen definieren können.

Lichtquellen:

Im Bereich Lichtquellen können Sie bis zu vier Lichtquellen definieren, wobei Sie für jede Lichtquelle die entsprechende Lichtrichtung und die Lichtfarben angeben können. Sie können eine neue Lichtquelle erstellen, indem Sie die entsprechende Zahl auswählen und auf das Kontrollkästchen Aktiviert klicken.

Mit Ausnahme der ersten Lichtquelle, die immer aktiviert bleibt, haben Sie mit dem Kontrollkästchen Aktiviert die Möglichkeit, die aktuelle Lichtquelle ein- bzw. auszuschalten.

Beleuchtungsrichtung:

Nachdem eine Lichtquelle aktiviert wurde, wird eine Schaltfläche für die aktive Beleuchtungsrichtung mit einem roten Umriss ausgewählt. Diese Schaltflächen definieren die Richtung, aus der das Licht ausgestrahlt wird.

Die Schaltfläche für die Beleuchtungsrichtung im Zentrum strahlt so, als ob das Licht aus Ihrer Richtung kommt und von außen durch den Bildschirm auf das CAD-Werkstück strahlt. Die anderen Richtungs-Schaltflächen definieren Licht, dass aus anderen Winkeln kommt.

Lichtfarben:

Mit Hilfe der Optionen Umgebungslicht, Diffus und Spiegeleffekt können Sie die aktuelle Lichtquelle verändern, indem Sie einfach auf das farbige Rechteck unterhalb des jeweiligen Lichttyps klicken und eine neue Farbe im Dialogfeld Farbe auswählen, das daraufhin eingeblendet wird.

Hinweis: Beachten Sie, dass die Standardfarbe von Lichtquelle 1 für Diffus und Spiegeleffekt weiß ist, während die anderen drei Lichtquellen standardmäßig die Farbe schwarz verwenden.

Umgebungslicht ist Licht, dass durch die Umwelt so sehr gestreut wurde, dass es nicht möglich ist, eine ursprüngliche Richtung zu bestimmen. Es scheint aus allen Richtungen zu kommen. Die Hintergrundbeleuchtung eines Raums enthält viel Umgebungslicht, da der größte Teil des Lichts, dass Ihr Auge erreicht, schon von vielen Oberflächen reflektiert wurde. Ein Außenspot hat eine nur geringe Umgebungslicht-Komponente; der größte Teil des Lichts strahlt in dieselbe Richtung und da Sie sich draußen aufhalten, gelangt nur sehr wenig Licht in Ihr Auge, das von anderen Objekten reflektiert wurde. Wenn Umgebungslicht auf eine Oberfläche trifft, wird es gleichmäßig in alle Richtungen gestreut.

Diffuses Licht kommt aus einer Richtung. Deshalb ist es heller, wenn es direkt auf die Oberfläche herunterstrahlt, als wenn es schräg auf eine Oberfläche trifft Nachdem es auf eine Oberfläche auftrifft, wird es jedoch gleichmäßig in alle Richtungen gestreut und erscheint somit überall gleichmäßig hell. Jedes Licht, das aus einer bestimmten Richtung oder Position ausstrahlt, hat vermutlich eine diffuse Komponente.

Spiegeleffekt-Licht kommt aus einer bestimmten Richtung und neigt dazu, von einer Oberfläche in eine bevorzugte Richtung zurückzustrahlen. Ein Laserstrahl, der auf einen Spiegel trifft, gibt fast 100 Prozent des Lichts durch Spiegelreflektion zurück. Glänzendes Metall oder glänzender Kunststoff weist einen großen Spiegeleffekt auf, während Kreide oder ein Teppich fast keinen aufweist. Den Spiegeleffekt kann man als 'Glanz' verstehen.

Wenn Sie eine Lichtquelle deaktivieren, stehen die Schaltflächen Beleuchtungsrichtung sowie Lichtfarben nicht mehr zur Auswahl zur Verfügung.

Lichtmodell:

Im Bereich Lichtmodell werden Angaben zur gesamten Szene, unabhängig von der Lichtquelle, definiert.

Zweiseitige Beleuchtung - Über dieses Kontrollkästchen wird festgelegt, ob der vordere und der hintere Teil der Fläche beleuchtet werden soll oder nicht. Dieses Kontrollkästchen sollte für importierte IGES-Dateien und einige andere CAD-Formate ausgewählt werden, bei denen die Oberflächennormale nicht korrekt sind.

Hintergrundflächen – Über dieses Kontrollkästchen wird festgelegt, ob PC-DMIS den Hintergrund von Flächen ein - oder ausblendet. Dieses Kontrollkästchen sollte für IGES-Dateien und einige andere CAD-Formate ausgewählt werden, bei denen die Oberflächennormale nicht korrekt sind.

Ambient - In diesem Feld wird die Farbe für das Umgebungslicht, das insgesamt angewandt wird, definiert. Klicken Sie auf das Feld, um die Farbe zu ändern.

Transparenz:

Im Bereich Transparenz können Sie folgende Anzeigeobjekte im Grafikfenster transparent darstellen lassen:

  • Werkstückmodell

  • Taster

  • KMG

Nachdem die Option Aktiviere Transparenz gewählt wurde, können Sie die anderen Einträge in diesem Bereich markieren. Wenn für ein Objekt Transparenz aktiviert wurde, steuern die anderen Einstellungen in diesem Bereich, auf welche Weise die Transparenz angezeigt werden soll.

Nur bis Puffertiefe – (Derzeit nicht verfügbar).

Hintergrundflächen - Durch dieses Kontrollkästchen wird PC-DMIS angewiesen, den hinteren Teil der Fläche für das ausgewählte Transparenzobjekt nicht zu zeichnen.

% Transparenz - Mit diesem Regler wird der prozentuale Anteil der Transparenz für das ausgewählte Objekt festgelegt. Durch Schieben des Reglers nach links wird das Objekt undurchsichtiger. Durch Schieben des Reglers nach rechts wird es transparenter.


Registerkarte "Material"

Die Registerkarte Material enthält Einstellungen, die auf CAD-Objekte angewendet werden, aus denen sich das importierte CAD-Werkstückmodell zusammensetzt oder die das gesamte Werkstückmodell bilden.

Im ersten Bereich dieser Registerkarte befinden sich zwei Optionsschaltflächen, über die Sie eine "aktuelle Auswahl" entweder des vollständigen CAD Modells oder aber einzelner CAD Objekte bestimmen können.

CAD Modell - Bei Auswahl dieser Option werden die Einstellungen auf das gesamte CAD-Modell angewandt.

CAD Objekte - Durch Auswahl dieser Option werden die Einstellungen zu spezifisch ausgewählten CAD-Objekten, aus denen das gesamte Modell besteht, angewendet.

Texturen

Im Bereich Texturen wird die Textur, die auf die aktuelle Auswahl angewendet werden soll, definiert. PC-DMIS wendet das Texturbild automatisch so oft wie nötig an, um die gesamte aktuelle Auswahl zu erfassen.

Das Kontrollkästchen zeigt den aktuellen Bitmap-Namen an, nachdem Sie eine Bitmap-Datei zur Verwendung der Textur ausgewählt haben. Dieses Kontrollkästchen ist immer dann, wenn es sich bei der aktuellen Auswahl um ein CAD-Objekt handelt, markiert.

Der große, graue, viereckige Bereich unterhalb des Kontrollkästchens zeigt die aktuelle Textur an.

So wenden Sie eine Textur auf das Werkstück an:

  1. Wählen Sie den viereckigen grauen Bereich aus, indem Sie darauf klicken. Nun erscheint das Standard-Dialogfeld Öffnen.

  2. Verwenden Sie das Dialogfeld Öffnen, um zu einer gültigen Bitmap-Datei zu navigieren und diese auszuwählen. Die Breite und Höhe müssen Zweierpotenzen sein. 25 ergibt beispielsweise 32 und 24 ergibt 16. Eine Bitmap-Datei, die 32 X 16 Pixel aufweist, wäre also eine gültige Bitmap-Datei. Bei einer Pixelanzahl von 32 x 20 würde PC-DMIS jedoch eine Fehlermeldung einblenden.

  3. PC-DMIS zeigt eine Voransicht der ausgewählten Textur im grauen, viereckigen Bereich an.

  4. Klicken Sie auf Öffnen, um die Textur zu akzeptieren.

Um das Kontrollkästchen auf die aktuelle Auswahl anzuwenden, klicken Sie, falls erforderlich, auf das Kontrollkästchen Aktivieren.

Die anderen Einträge im Bereich Texturen bestimmen, auf welche Art und Weise PC-DMIS die Textur und die Flächenfarben anwendet:

Durch die Option Aufkleben wird jede der Flächenfarben daran gehindert, auszustrahlen. Nur die Farbe der Textur wird sichtbar.

Modulieren und Vermischen verwenden OpenGL-Algorithmen, um die endgültige Anzeige der Farben zu bestimmen.

Zoom steuert den "Zoom"-Faktor, der auf die aktuellen Texturwerte angewendet wird. Werte, die größer sind als 1,0, zoomen in die Textur, sodass sie weniger oft wiederholt wird. Werte, die kleiner sind als 1,0, zoomen aus der Textur heraus, sodass sie öfter wiederholt wird. Ein Wert von 2,0 macht beispielsweise die Bitmap doppelt so groß, wobei sie sich halb so oft wiederholt, und ein Wert von 0,5 macht die Bitmap halb so groß, wobei sie sich doppelt so oft wiederholt.

Die Schaltflächen Umk. T, Umk. S und Austauschen bestimmen die Ausrichtung der Textur. Die Textur ist ein zweidimensionales Bild; die Ausrichtung wird in Form von S und T beschrieben. Eine Textur, auf der sich ein Pfeil befindet, veranschaulicht, was geschieht:

Die Originaltextur sieht so aus - ein Pfeil, der nach rechts zeigt, wobei die obere Hälfte des Pfeils rot und die untere Hälfte grün ist:

Durch Klicken auf Austauschen auf dem Original wird die Ausrichtung so umgeschaltet, dass aus S Twird und aus T S wird. Dadurch zeigt der Pfeil nicht nur nach oben, sondern oben und unten werden auch vertauscht.

(Beispiel "Austauschen")

Durch Klilcken auf Umk. S auf das Original wird die Richtung von S geändert. Dadurch zeigt der Pfeil nach links.

(Beispiel "Umk. S")

Durch Klilcken auf Umk. T auf das Original wird die Richtung von T geändert. Dadurch zeigt der Pfeil in die umgekehrte Richtung, sodass der obere Teil und der untere Teil sich vertauschen.

(Beispiel "Umk. T")

Sie können auf diese Schaltflächen in verschiedenen Kombinationen klicken, um eine größere Vielfalt von Ausrichtungen für die Textur zu erhalten.

Klicken Sie auf Übern., um die Änderungen, die Sie an den Texturausrichtungen oder anderen Materialfarben vorgenommen haben, zu betrachten.

Materialfarben

Der Bereich Materialfarben definiert die Farbangaben, die auf das gesamte CAD-Modell angewendet werden.

Die Optionen Umgebungslicht, Diffus und Spiegeleffekt funktionieren ähnlich wie die, die bereits im Bereich Lichtfarben der Registerkarte Beleuchtung erklärt wurden. Siehe "Registerkarte "Beleuchtung"".

Emission - Materialien können eine aussendende Farbe aufweisen, die Licht, das von einem Objekt ausstrahlt, simuliert. Im OpenGL-Beleuchtungsmodell verstärkt die aussendende Farbe einer Fläche die Intensität des Objekts, wird aber nicht durch irgendeine Lichtquelle beeinflusst. Die aussendende Farbe brindt außerdem kein zusätzliches Licht in das Gesamtbild ein.

Helligkeit - Dieser Schieberegler steuert die Intensität der Helligkeit beim Anblick einer gekrümmten Oberfläche.

Siehe auch:

Texturen auf das gesamte CAD-Modell anwenden

Texturen auf ausgewählte CAD-Objekte anwenden

Texturen aus ausgewählten CAD-Objekten entfernen


Texturen auf das gesamte CAD-Modell anwenden

  1. Klicken Sie auf die Option CAD Modell.

  2. Wählen Sie den viereckigen grauen Bereich aus. Nun erscheint das Dialogfeld Öffnen.

  3. Wählen Sie eine gültige Bitmap-Datei.

  4. Klicken Sie auf Öffnen. Die Textur erscheint im Dialogfeld.

  5. Aktivieren Sie das Kontrollkästchen für die Bitmap-Dateien im Bereich Texturen. Die Textur deckt das ganze CAD-Modell ab.

  6. Passen Sie die Texturen je nach Bedarf mit Hilfe weiterer Optionen im Dialogfeld an.

  7. Klicken Sie auf OK, um die Änderungen zu akzeptieren.


Texturen auf ausgewählte CAD-Objekte anwenden

  1. Wählen Sie die Option CAD Objekte aus. Es erscheint eine leere Liste zusammen mit den Schaltflächen AW-aufh. und Entfernen.

  2. Wählen Sie den viereckigen grauen Bereich aus. Nun erscheint das Dialogfeld Öffnen.

  3. Wählen Sie eine gültige Bitmap-Datei.

  4. Klicken Sie auf Öffnen. Die Textur erscheint im Dialogfeld.

  5. Klicken Sie auf dem CAD-Modell auf Oberflächen. PC-DMIS wendet die aktuelle Textur auf diese Oberflächen an. Die vormals leere Liste zeigt nun die individuellen CAD-Elemente, auf denen Texturen angewandt wurden, an.


Texturen aus ausgewählten CAD-Objekten entfernen

Nachdem eine Textur auf ein CAD-Objekt angewendet worden ist, erscheint die Zahl, die dieses CAD-Objekt repräsentiert, in einer Liste.

Klicken Sie auf die Schaltfläche AW-aufh.(Auswahl aufheben), um Texturen aus allen CAD-Objekten zu entfernen.

Wenn Sie eine Textur aus einem bestimmten CAD-Objekt entfernen möchten, wählen Sie dieses Objekt aus der Liste aus und klicken Sie auf Entfernen.


Registerkarte "Schnittebenen"

Registerkarte "Schnittebenen"

Mit der Registerkarte Schnittebenen können Sie bis zu vier Ebenen definieren, die "Schnittebenen" genannt werden. Mit diesen Schnittebenen können Sie jedes Anzeigeobjekt auf einer Seite der Ebene ausblenden. Objekte auf der anderen Seite der Ebene bleiben sichtbar. Mit diesen Ebenen können Sie Querschnitte des Werkstückmodells erstellen.

Bei geöffnetem Dialogfeld "Beleuchtung und Materialien" erscheinen Schnittebenen im Grafikfenster als ein rundes Säge-ähnliches Symbol.

Beispiel einer Schnittebene, die einen Querschnitt des Hexagon-Prüfblocks erstellt

Siehe auch:

Definieren einer Schnittebene

Anpassen einer Schnittebene


Definieren einer Schnittebene

Zum Definieren einer Schnittebene sind nur zwei Informationen erforderlich: Eine XYZ-Position und einen IJK-Vektor. Der IJK-Vektor zeigt in die Richtung, in der etwas gesehen werden kann.

Diese Information kann auf zwei verschiedene Arten definiert werden:

  • Durch Klicken auf das Werkstück im Grafikfenster. Der Punkt, auf den Sie geklickt haben, wird dann von PC-DMIS als Schnittebenenposition bestimmt. Nachdem Sie auf eine Stelle geklickt haben, aktiviert PC-DMIS automatisch die Schnittebene und bestimmt einen Standardvektor. Der IJK-Vektor kann dann je nach Wunsch verändert werden.

  • Durch Klicken auf das Kontrollkästchen Aktiviert können die XYZ-Position und der IJK-Vektor manuell eingegeben werden.

Hinweis: In Version 4.0 und höher sind die XYZ- und IJK-Werte im Koordinatensystem der aktuellen Werkstückausrichtung und nicht im CAD-Koordinatensystem, wie es in früheren Versionen der Fall war.

Mit der Schaltfläche Umkehren können Sie den Vektor umkehren, so dass er in die entgegengesetzte Richtung zeigt.

Nachdem sich die Schnittebene an der gewünschten Stelle befindet, klicken Sie auf die Schaltfläche Übernehmen, um die Änderungen anzuzeigen. PC-DMIS blendet alle CAD-Anzeigeobjekte aus, die in die entgegengesetzte Richtung vom gewählten Schnittebenenvektor zeigen.

Durch deaktivieren des Kontrollkästchens Aktiviert wird die aktuelle Schnittebene deaktiviert. Deaktivierte Schnittebenen werden in gelber Farbe angezeigt. Eine Verschiebung und Platzierung der Schnittebene ist so auch nicht mehr möglich. Aktivierte Schnittebenen werden in roter Farbe angezeigt.

Sie können mehrere Schnittebenen durch Auswahl der Optionsschaltfläche einer neuen Schnittebene definieren. Folgen Sie dann den oben stehenden Anweisungen.


Anpassen einer Schnittebene

Nachdem die Schnittebene eingefügt wurde, kann sie auf folgende Weise angepasst werden:

  • Klicken Sie auf die Schaltfläche Umkehren, um die IJK-Ebene umzukehren. Dies ist hilfreich, wenn die Oberflächenvektoren einer CAD-Auswahl unzulässig waren, was bei IGES-Dateien relativ häufig vorkommt.

  • Manuelle Bearbeitung der XYZ-Position und IJK-Vektorinformation durch Eingabe neuer Werte.

  • Arbeiten im Bereich Schnittebene entlang IJK verschieben.

Der Bereich Schnittebene entlang IJK verschieben enthält zwei Reihen von Feldern und rechte und linke Pfeiltasten. Die Felder definieren Inkremente, in denen sich die Schnittebene entlang des definierten Vektors bewegt, wenn Sie die rechte oder linke Pfeiltaste für dieses Feld drücken.

In der oberen Reihe können Sie die Schnittebene entlang des IJK-Vektors in kleinen Inkrementen verschieben.

In der unteren Reihe können Sie auch die Schnittebene entlang des IJK-Vektors in größeren Inkrementen verschieben.


Markieren von Elementen im Grafikfenster

PC-DMIS erkennt gewählte Elemente, indem diese in der aktuell gewählten Markierungsfarbe hervorgehoben werden.

In PC-DMIS können Sie im Grafikfenster Funktionen/Elemente auswählen (d. h. zum Drucken, Erstellen von Koordinatensystemen, Erstellen neuer Elemente, Berechnen von Merkmalen etc.). Es gibt fünf grundlegende Methoden zur Auswahl von Elementen:

  1. Auswählen von Elementen anhand der ID(s)

  2. Auswählen von Elementen durch Metazeichen-Entsprechung

  3. Auswählen der letzten ID(s)

  4. Kästchenauswahl der ID(s)

  5. Auswählen von Elementen online

Siehe auch:

Auswählen von Elementen anhand der ID(s)

Auswählen von Elementen durch Metazeichen-Entsprechung

Auswählen der letzten ID(s)

Kästchenauswahl der ID(s)

Auswählen von Elementen online

Bearbeiten einer Element-ID


Auswählen von Elementen anhand der ID(s)

Wählen Sie das gewünschte Element anhand der ID aus. Es gibt mehrere verschiedene Methoden zur Auswahl von Elementen im Elementlistenfeld, das in zahlreichen Dialogfeldern vorkommt.

  1. Geben Sie die dem/den betreffenden Element(en) zugewiesene(n) ID(s) in das Feld ID suchen ein.

  2. Klicken Sie in der Liste der Elemente auf die gewünschte ID. PC-DMIS weist den einzelnen Elementen in der Reihenfolge, in der sie gewählt werden, automatisch eine Nummer zu, die rechts neben der Element-ID angegeben wird.

  3. Bewegen Sie im Grafikfenster den Cursor über das gewünschte Element und klicken Sie die linke Maustaste. (Beachten Sie, dass das ausgewählte Element im Grafikfenster nun im Elementfenster hervorgehoben (oder ausgewählt) ist.


Auswählen von Elementen durch Metazeichen-Entsprechung

Elemente können auch mit Hilfe eines Metazeichens ausgewählt werden. Metazeichen sind Zeichen, die als Platzhalter für andere alphanumerische Zeichen fungieren. In PC-DMIS stehen zwei Metazeichen zur Verfügung und zwar:

  1. Sternchen (*)

  2. Fragezeichen (?)

Beide werden im folgenden näher erläutert.

Siehe auch:

Das Metazeichen Sternchen (*)

Das Metazeichen Fragezeichen (?)


Das Metazeichen Sternchen (*)

* Das Sternchen (*) Metazeichen findet bei einer Suche Übereinstimmungen mit einem oder mehreren beliebigen Zeichen bzw. dient als Platzhalter dafür. Angenommen, in der Elementliste sind folgende Elemente verfügbar:

EBENE1
GERADE1
GERADE2
KREIS1
KREIS2

Sternchen- (*) Metazeichen

Wenn Sie nun alle Geradenelemente (GERADE1 und GERADE2) auswählen möchten: würden Sie in das Feld ID suchen den Ausdruck "L*" (ohne Anführungszeichen) eingeben und dann die TABULATORTASTE drücken. PC-DMIS würde in diesem Fall alle Elemente auswählen, die mit "L" beginne. Das Sternchen (*) bewirkt, dass PC-DMIS nur nach Zeichen sucht, die entweder vor oder nach dem Sternchen (*) stehen. Da in diesem Beispiel das Sternchen nach dem "L" steht, ignoriert PC-DMIS alle Einträge, die in der Elementliste nach dem "L" stehen.

So verwenden Sie das Sternchen-Metazeichen (*) bei der Elementauswahl:

  1. Setzen Sie den Cursor auf das Feld ID suchen.

  2. Geben Sie das Suchkriterium unter Verwendung des Sternchens (*) ein.

  3. Drücken Sie die TABULATORTASTE.

PC-DMIS wählt die Elemente aus, die dem Suchkriterium entsprechen.

Hinweis: Das Sternchen-Metazeichen (*) kann in jedem Suchvorgang mehrmals verwendet werden. Es kann auch in Verbindung mit dem Fragezeichen-Metazeichen (?) eingesetzt werden.


Das Metazeichen Fragezeichen (?)

? Das Fragezeichen-Metazeichen (?) übt im Prinzip dieselbe Funktion aus wie das Sternchen-Metazeichen (*), mit dem Unterschied, dass das Fragezeichen-Metazeichen an die Stelle nur eines alphanumerischen Zeichens tritt. Angenommen, in Ihrer Liste der Elemente sind die folgenden Elemente verfügbar:

EBENE1
GERADE1
GERADE2
KREIS1
KREIS2

Fragezeichen- (?) Metazeichen

Sollen alle Kreiselemente (KREIS1 und KREIS2) unter Verwendung des Fragezeichen-Metazeichens (?) ausgewählt werden, würden Sie in das Feld ID suchen den Ausdruck "KREIS?" eingeben. PC-DMIS würde in diesem Fall nach allen Elementen suchen, die dem Suchkriterium entsprechen, bei dem es sich um ein Element mit einer sechs Zeichen langen ID handelt, deren erste fünf Zeichen "KREIS" lauten.

So verwenden Sie das Fragezeichen-Metazeichen (?):

  1. Setzen Sie den Cursor auf das Feld ID suchen.

  2. Geben Sie das Suchkriterium unter Verwendung des Fragezeichens (?) ein.

  3. Drücken Sie die TABULATORTASTE.

PC-DMIS wählt die Elemente aus, die dem Suchkriterium entsprechen.

Hinweis: Das Fragezeichen-Metazeichen (?) kann in jedem Suchvorgang mehrmals verwendet werden. Es kann auch in Verbindung mit dem Sternchen-Metazeichen (*) eingesetzt werden.


Auswählen der letzten ID(s)

PC-DMIS wird angewiesen, eine bestimmte Anzahl der zuletzt im aktuellen Vorgang gewählten Elemente zu verwenden.

Vorgehensweise:

  1. Setzen Sie den Cursor im Dialogfeld auf das Feld Letzte Listeneinträge ausw..

  2. Geben Sie die gewünschte Anzahl der zuletzt gewählten Elemente ein, die verwendet werden sollen. Um beispielsweise eine Gerade aus den letzten vier gemessenen Elementen zu erstellen, geben Sie in das Feld eine 4 ein.

Letzte ID auswählen


Kästchenauswahl der ID(s)

Als weitere Möglichkeit zur Auswahl von Elementen kann mit der linken Maustaste auch ein "Kästchen" um die gewünschten Elemente gezogen werden. Dieser Vorgang wird als "Kästchenauswahl" bezeichnet. Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf die Stelle, an der sich eine Ecke des zu zeichnenden Kästchens befinden soll und drücken bzw. halten Sie die linke Maustaste.

  2. Ziehen Sie den Mauszeiger danach zur gegenüberliegenden Ecke des "Kästchens". PC-DMIS zeichnet den Rahmenumriss auf den Bildschirm, während Sie die Maus bewegen.

  3. Lassen Sie die linke Maustaste wieder los, wenn das "Kästchen" Ihren Vorstellungen entspricht. PC-DMIS hebt alle Elemente im Kästchen hervor, und führt sie im Feld "Elementliste" auf.

Kästchenauswahl KREIS1 und KREIS2

Auf diese Weise kann auch der in der Liste angegebene Inhalt des Kästchens geändert werden. Um ein Element aus der Gruppe hinzuzufügen oder zu entfernen, klicken Sie einfach auf das zu ändernde Element (entweder im Grafikfenster oder in der Liste der Elemente des Dialogfelds).

Siehe auch:

Überblick über die Kästchenauswahl von Blechelement-IDs


Überblick über die Kästchenauswahl von Blechelement-IDs

Die PC-DMIS-Funktion der 'Kästchenauswahl' von Element-IDs ermöglicht nun die Verbindung von Blechelementen aus zwei ausgewählten Gruppen. Diese Funktion erleichtert die Auswahl von mehrfachen dreidimensionalen Objekten erheblich. Wurden außerdem einige CAD-Objekte durch Kästchenauswahl ausgewählt und wird danach ein weiteres CAD-Objekt mit einer anderen Methode gewählt, werden die in der Kästchenauswahl enthaltenen Objekte zusätzlich zur Einzelauswahl zu permanent ausgewählten Objekten.

Weitere Funktionen zur Verwendung dieser Funktion finden Sie unter "Kästchenauswahl für Auto-Element-IDs" im Abschnitt "Erstellen von Auto-Elementen"


Auswählen von Elementen online

Im Online-Modus verwenden Sie die aktive Tastspitze als Zeiger und lösen den Taster aus, wenn sich die Tastspitze in der Nähe des gewünschten Elements befindet.


Bearbeiten einer Element-ID

Um die ID eines Elements zu ändern, doppelklicken Sie in der Elementliste auf die gewünschte Element-ID. PC-DMIS zeigt das Dialogfeld ID bearbeiten an. In diesem Dialogfeld können Sie die ID des ausgewählten Elements umbenennen.


Bearbeiten von Merkmalsfarben

Durch Auswahl der Menüoption Bearbeiten | Grafikfenster | Layout der Merkmale wird das Dialogfeld Merkmalsfarbe bearbeiten eingeblendet.

Merkmalsfarbe bearbeiten (Dialogfeld)

In diesem Dialogfeld können Sie die Anzahl der Toleranzbereiche und deren Farben einstellen. Vorgehensweise:

  1. Stellen Sie sicher, dass das Dialogfeld geöffnet ist.

  2. Geben Sie die Anzahl der gewünschten Toleranzbereiche ein.

  3. Wählen Sie aus der Auswahlliste Merkmalsfarben der Bereiche einen Toleranzbereich aus.

  4. Klicken Sie auf die Schaltfläche Farbe bearbeiten, um die Farbe des gerade ausgewählten Toleranzbereichs zu ändern.

Alternative Vorgehensweise:

  1. Wählen Sie mit der linken Maustaste eine Anfangsfarbe und Endfarbe direkt im Farbrad des Dialogfelds.

  2. Klicken Sie auf Farben anwenden.

Diese beiden Farben werden als Farben des ersten und des letzten Toleranzbereichs festgelegt. Den restlichen Toleranzbereichen werden Farben zugewiesen, die gestaffelt zwischen der Anfangs- und der Endfarbe liegen. Die Ausrichtung der Abstände hängt von der gewählten Option ab:

  • Die Option Nach rechts weist der Endfarbe die gleiche Helligkeit zu wie der Anfangsfarbe und staffelt die Farben rechtsherum.

  • Die Option Nach links weist der Endfarbe ebenfalls die gleiche Helligkeit zu wie der Anfangsfarbe, doch die Farben sind linksherum gestaffelt.

  • Die Option Gradlinig staffelt die Farben von der Anfangsfarbe zur Endfarbe in einer geraden Linie, ohne die Helligkeit zu berücksichtigen.

Sie können die vorherigen Standard-Toleranzfarben mit diesen Änderungen überschreiben, wenn Sie auf die Schaltfläche Standard klicken. Die Schaltfläche Standard holen setzt die Farben wieder auf die ursprüngliche Standardeinstellung zurück.


Bearbeiten von Elementen

Elementlayout bearbeiten (Dialogfeld)

Elementlayout bearbeiten (Dialogfeld)

Durch Auswahl der Menüoption Bearbeiten | Grafikfenster | Layout der Elemente erscheint das Dialogfeld Elementlayout bearbeiten. Hier können Sie die Element-IDs (benannte Element-IDs) innerhalb eines Werkstückprogramms, Elementfarben und Element-ID-Etiketten ändern.

Im folgenden Beispiel werden ein Element-ID-Etikett und ein Element dargestellt, die im Dialogfeld Elementlayout bearbeiten verändert wurden. Verschieden Farben demonstrieren die verschiedenen Teile des Etiketts. Rot - die Elementfarbe. Beachten Sie, dass der farbige Balken unten auf dem ID-Etikett sich auch ändert, um zur Farbe des Kreises zu passen. Grau - Hintergrundfarbe. Grün - die Linienfarbe.

Vergrößerter Screenshot eines Element-ID-Etiketts und Elements mit verändertem Layout

Ein zuvor zugewiesener Elementname kann durch einen einfachen Doppelklick auf das betreffende Element im Listenfeld bearbeitet werden. Es wird das Dialogfeld ID bearbeiten angezeigt, in dem Sie eine neue ID eingeben können.

ID bearbeiten (Dialogfeld)

Element-IDs können auch im Bearbeitungsfenster verändert werden. Markieren Sie einfach die gewünschte ID und geben Sie eine neue Kennung ein.

Im Bearbeitungsfenster führt PC-DMIS keine Überwachung der Element-IDs durch und warnt Sie daher auch nicht, wenn IDs mehrfach zugewiesen werden. Seien Sie bei Änderungen vorsichtig, wenn Sie keine doppelten IDs wünschen.

Dieses Dialogfeld enthält zwei Hauptbereiche:

  • Den Bereich Elementoptionen - Hier wird die Anzeige der Werkstückelemente selbst verändert.

  • Den Bereich Optionen Textmarkierung - Hier wird die Beschriftung der Element-IDs im Grafikfenster verändert.

Wenn Sie die Grafikoptionen für Elemente oder Element-ID-Etiketten ändern möchten, wählen Sie die gewünschte Option im Dialogfeld aus und klicken Sie dann auf Übernehmen und dann auf OK.

Siehe auch:

Bereich "Elementoptionen"

Bereich "Optionen Textmarkierung"


Bereich "Elementoptionen"

So ändern Sie die Farbe eines Elements:

    1. Geben Sie das zu verändernde Element im Feld Liste der Elemente an.

    2. Wählen Sie die Option Elementfarbe. PC-DMIS blendet daraufhin das Dialogfeld Farbe ein.

    3. Klicken Sie auf die gewünschte Farbe oder definieren Sie über das Feld Benutzerdefinierte Farben eine neue Farbe.

    4. Klicken Sie auf OK. PC-DMIS kehrt in das Dialogfeld Elementlayout bearbeiten zurück. Die neue Farbe wird im Feld Elementfarbe angezeigt.

    5. Klicken Sie auf Übernehmen, damit PC-DMIS die Farbe des Elements (der Elemente) automatisch im Grafikfenster aktualisiert. Die obere Grenze des Element-ID-Etiketts ändert sich auch, um zur Farbe des Elements zu passen.

So bestimmen Sie die Anzeige von ausgewählten Elementen:

    1. Wählen Sie das Element (die Elemente) aus, die Sie ein- bzw. ausschalten möchten.

    2. Markieren Sie im Dialogfeld unter Anzeige das Optionsfeld EIN bzw. AUS.

    3. Klicken Sie auf Übernehmen. PC-DMIS blendet die Elemente ein bzw. aus.

    4. Wenn Sie mit den Änderungen zufrieden sind, klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und speichert die Änderungen.

So bestimmen Sie die Anzeige von ausgewählten Element-ID-Etiketten:

    1. Wählen Sie die Elementbeschriftung(en) aus, die Sie ein- bzw. ausschalten möchten.

    2. Markieren Sie im Dialogfeld unter Etikett das Optionsfeld EIN bzw. AUS.

    3. Klicken Sie auf Übernehmen. PC-DMIS blendet die Elementbeschriftungen ein (oder aus).

    4. Wenn Sie mit den Änderungen zufrieden sind, klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und speichert die Änderungen.

Bereich "Elementoptionen"

Im Bereich Elementoptionen können Sie die Farbe von ausgewählten Werkstückelementen verändern und bestimmen, ob ausgewählte Element oder Element-ID-Etiketten im Grafikfenster angezeigt werden sollen oder nicht. Um die Optionen in diesem Bereich zu verwenden, müssen zuerst ein oder mehrere Einträge aus der Liste der Elemente ausgewählt werden. Klicken Sie dann auf die Option Aus der Liste ausgewählt. Dadurch werden die anderen Optionen in diesem Bereich aktiviert.

Die Optionen ID suchen: und Letzten Eintr. ausw.: werden unter "ID suchen" und "Letzten Eintr. ausw." im Abschnitt Navigation durch die Benutzeroberfläche behandelt.

Mit der Option Elementfarbe können Sie die Farbe für eine bestimmte Element-ID festlegen. Diese Option funktioniert genauso wie die Option Farbe bearbeiten (siehe Dialogfeld CAD bearbeiten unter "Bearbeiten von CAD").

So ändern Sie die Farbe eines Elements:

Der Bereich Anzeige enthält die Option EIN/AUS, durch die die Anzeige der Elemente im Grafikfenster gesteuert wird. Diese Option ist nützlich, wenn Sie sich nur jeweils einen Ausschnitt der im Werkstück enthaltenen geometrischen Elemente konzentrieren möchten.

So bestimmen Sie die Anzeige von ausgewählten Elementen:

Der Bereich Label enthält die Option EIN/AUS, durch die die Anzeige von Element-IDs im Grafikfenster gesteuert wird. Diese Option ist nützlich, wenn ein Teil der Werkstückzeichnung überladen wirkt. Sie können bestimmte IDs ausblenden, so dass andere einfacher gelesen werden können.

So bestimmen Sie die Anzeige von ausgewählten Element-ID-Etiketten:


Bereich "Optionen Textmarkierung"

Im Bereich Optionen Textmarkierung können Sie die Hintergrund- und Linienfarbe für alle Element-ID-Beschriftungen bestimmen. Außerdem können Sie festlegen, ob eine Schattenkante erscheinen soll oder nicht. Bevor Sie die Elemente in diesem Bereich verwenden, wählen Sie die Option Alle Elemente und Textetiketten aus. PC-DMIS wählt alle Elemente automatisch aus der Liste der Elemente aus.

Hintergrundfarbe - Durch Auswahl dieser Schaltfläche wird ein Dialogfeld Farbe angezeigt, in dem Sie die Hintergrundfarbe für die Beschriftungen der Element-IDs auswählen können.

Linienfarbe - Durch Auswahl dieser Schaltfläche wird ein Dialogfeld Farbe angezeigt, in dem Sie die Linienfarbe für die Beschriftungen der Element-IDs auswählen können. Wenn die Linienfarbe verändert wird, ändert sich auch die Farbe des rechten und des unteren Randes der Element-ID-Beschriftung.

Durch Klicken auf die Schaltfläche Standard verwenden alle Element-ID-Etiketten, die danach erstellt werden, die Linien-, Farb, und Schatteneinstellungen, die bei Auswahl der Schaltfläche Default angezeigt wurden.

Tipp: Diese Änderungen können auch vorgenommen werden, indem Sie mit der rechten Maustaste auf ein Element-ID-Etikett klicken und den entsprechenden Eintrag im Kontextmenü auswählen. Siehe auch "Kontextmenü 'Element'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".


Anzeigen und Animieren von Bahngeraden

Mit PC-DMIS können Sie im Grafikfenster auf dem CAD-Modell farbige Linien erzeugen, die den Pfad des Tasters auf dem Werkstück anzeigen, während der Taster eine Messung der markierten Elemente durchführt. Diese Linien werden als Bahngeraden bezeichnet. Anhand der Bahngeraden erhalten Sie eine Voransicht des Weges, den der Taster beschreibt, und können auf diese Weise mögliche Kollisionen erkennen und vermeiden.

Zeigt den ins Grafikbild gezeichneten Verlauf des Tasters auf dem Werkstück an

Hinweis: Sie können Größe und Farbe der Bahngeraden ändern, indem Sie die Werte dieser Registrierungseinträge im Einstellungseditor von PC-DMIS ändern: DrawPathLinesRadiusInMM und PathLinesColorRGB. Weitere Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Siehe auch:

Animieren der Tasterbahn

Neuzeichnen der Tasterbahn

Kollisionserkennung


Animieren der Tasterbahn

Die Option "Bahn animieren" simuliert lediglich die Bewegung des Tasters. Sie bewirkt keine Ausführung des Werkstückprogramms.

Die Menüoption Vorgang | Grafikfenster | Bahn animieren veranschaulicht die Bahn des Tasters am Werkstück als Simulation der Bewegung des Tasters.

So aktivieren Sie die Funktion Bahn animieren:

  1. Markieren Sie die gewünschten Elemente.

  2. Wählen Sie den Menübefehl Bahngeraden. Die Option Bahn animieren steht daraufhin zur Auswahl. Menü-Übersicht anzeigen

  3. Wählen Sie den Menübefehl Bahn animieren. PC-DMIS blendet das Fenster Ausführungsoptionen ein und beginnt automatisch mit der Animation der Bahn mit einer simulierten Tastspitze.

Die Bahnanimation kann im Fenster Ausführungsoptionen jederzeit durch Drücken der Taste ESC oder über die Schaltfläche Anhalten angehalten werden. (Wenn die Befehlsschaltfläche Anhalten gewählt ist, kann die Animation der Bahn auch durch Drücken der EINGABETASTE angehalten werden.)

Wenn Sie die Ausführung des Werkstückprogramms fortsetzen möchten, klicken Sie auf Fortfahren.

Wenn Sie die Bahnanimation anhalten möchten, klicken Sie auf Anhalten.

Mit der Schaltfläche Abbrechen wird das Fenster Ausführungsoptionen geschlossen, ohne dass das Werkstückprogramm abgeschlossen wird.

Wenn Sie die Bahngerade mit Hilfe des Pfeilsymbols und der linken Maustaste auswählen und anklicken, wird der Cursor im Bearbeitungsfenster auf die entsprechende Befehlszeile gesetzt. Das nächste verfügbare Element auf der Bahngeraden wird angegeben.


Neuzeichnen der Tasterbahn

Wenn ein Bewegungspunkt vor einem DSE-Wechsel eingefügt wird, bewegt sich die Position des DSE-Wechsels erst dann, wenn BAHN NEU ZEICHNEN gewählt wird.

Mit der Menüoption Vorgang | Grafikfenster | Bahn neu zeichnen können Sie die Bahngeraden des Werkstückprogramms neu zeichnen. PC-DMIS löscht daraufhin die aktuellen Bahngeraden auf dem Bildschirm und zeichnet sie neu. Diese Option ist besonders nützlich, wenn Änderungen an einem Werkstückprogramm vorgenommen wurden und eine Bestätigung benötigt wird, dass die Bahngeraden den aktuellen Zustand des Werkstückprogramms korrekt wiedergeben.

Hinweis: Die Option Bahn neu zeichnen ist nur dann verfügbar, nachdem im Bearbeitungsfenster Elemente ausgewählt wurden und die Option Bahngeraden einblenden aktiviert wurde.


Kollisionserkennung

Die Menüoption Vorgang | Grafikfenster | Kollisionserkennung (KE) öffnet das Dialogfeld Kollisionserkennung. Das KE-Modul wurde zur Kollisionserkennung zwischen dem Taster und den CAD-Flächen konzipiert. Alle CAD-Kurven, -Geraden und -Punkte werden ignoriert. Demzufolge eignen sich für die Kollisionserkennung nur solche CAD-Dateien, die das Werkstück vollständig mit Flächen beschreiben. (Der Kollisionserkennungs-Algorithmus verwendet nicht die eigentlichen Flächendefinitionen, sondern Flächen-Mosaike [oder grafische Näherungen], die auch zur Wiedergabe schattierter Ansichten mit Hilfe der OpenGL-Grafiksprache verwendet werden.)

Siehe auch:

So aktivieren Sie die Kollisionserkennungs-Funktionalität:

So konfigurieren Sie eine Ansicht für den OpenGL-Modus:

Optionen des Dialogfelds "Kollisionserkennung"


So aktivieren Sie die Kollisionserkennungs-Funktionalität:

  1. Importieren Sie ein Werkstückmodell mit Flächendaten.

  2. Stellen Sie sicher, dass das Grafikfenster das Werkstückmodell im Flächenmodus anzeigt. Es wird nicht funktionieren, wenn nur Kanten des Modells angezeigt werden (Drahtmodelldarstellung). Siehe auch "So konfigurieren Sie eine Ansicht für den OpenGL-Modus:".

  3. Wählen Sie die Menüoption Vorgang | Grafikfenster | Bahngeraden einblenden. PC-DMIS wird diesen Vorgang durchführen und die Bahngeraden des Tasters im Grafikfenster anzeigen. Siehe "Anzeigen und animieren von Bahngeraden". Menü-Übersicht anzeigen

  4. Wählen Sie die Menüoption Vorgang | Grafikfenster | Kollisionserkennung. PC-DMIS blendet das Dialogfeld Kollisionserkennung ein. Siehe auch "Optionen des Dialogfelds "Kollisionserkennung"". Menü-Übersicht anzeigen


So konfigurieren Sie eine Ansicht für den OpenGL-Modus:

Vorgehensweise:

  1. Klicken Sie auf das Symbol Layout der Ansicht. Das Dialogfeld Ansicht einrichten wird angezeigt. Menü-Übersicht anzeigen

  2. Aktivieren Sie das Kontrollkästchen schattiert.

  3. Betätigen Sie die Schaltfläche Übernehmen.

  4. Betätigen Sie die Schaltfläche OK.

  5. Klicken Sie auf das Symbol Flächenmodus in der Symbolleiste Grafikmodi.


Optionen des Dialogfelds "Kollisionserkennung"

Kollisionen werden im Dialogfeld Kollisionserkennung angezeigt.

Dialogfeld "Kollisionserkennung"

  • Sie können das Kontrollkästchen Bei Kollision anhalten aktivieren, woraufhin die Taster-animierte Kollisionserkennung beim Auftreten einer Kollision angehalten wird.

  • Die anderen Optionen des Dialogfelds gleichen den Optionen des Dialogfelds Ausführungsoptionen. (Siehe "Ausführen von Werkstückprogrammen" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen")

Wenn die Kollisionserkennung abgeschlossen ist, werden die Bahngeraden im Grafikfenster neu gezeichnet. PC-DMIS gibt in roter Farbe an, wo Kollisionen aufgetreten sind.

Taster-Anzeigebereich

Der Taster wird im Taster-Anzeigebereich in einer grünen Farbe angezeigt. Wenn Kollisionen auftreten, wird der Teil des Tasters, der kollidiert, rot hervorgehoben. Der Taster wird sowohl auf dem Bildschirm als auch im Dialogfeld Kollisionserkennung mit demselben Farbschema gezeichnet.

  • Sie können die Zeichnung des Tasters mit dem gleichen Verfahren vergrößern und verkleinern, mit dem Sie das Werkstück im Grafikfenster vergrößern und verkleinern: Klicken Sie mit der rechten Maustaste oberhalb oder unterhalb einer imaginären horizontalen Linie, die den grafischen Anzeigebereich aufteilt.

  • Sie können das Werkstückbild auch im 3D-Rotationsmodus bewegen, indem Sie die STRG-Taste gedrückt halten und die Maus bei gedrückter rechter Maustaste bewegen.

Die Schaltfläche Größe anpassen verkleinert bzw. vergrößert die Werkstückzeichnung so, dass sie wieder in den Taster-Anzeigebereich des Dialogfelds Kollisionserkennung passt.


Löschen von CAD

CAD löschen (Dialogfeld)

Die Menüoption Bearbeiten | Löschen | Lösche CAD-Elemente öffnet das Dialogfeld CAD löschen.

In diesem Dialogfeld können Sie die Nennbilder von Elementen dauerhaft aus dem Grafikfenster entfernen. Diese Funktion ist z. B. nützlich, wenn Sie eine importierte CAD-Datei vor Erstellen eines Prüfprogramms vereinfachen möchten. Eine solche CAD-Datei enthält möglicherweise Text und andere beschreibende Informationen, die auf die Prüfung des Werkstücks keinen Einfluss haben. Mit der Funktion CAD löschen können Sie diese nicht benötigten, belanglosen Daten löschen.

Siehe auch:

Elementtypen

Anzahl ausgewählter Elemente

Anzahl gelöschter Elemente

CAD löschen

Wiederherstellen von gelöschtem CAD

Auswahl aufheben


Elementtypen

Der Bereich Elementtypen des Dialogfelds enthält verschiedene Kontrollkästchen, die PC-DMIS darüber informieren, welche Art(en) von Element(en) zu löschen ist (sind). Zur Auswahl stehen:

  • Punkte

  • Geraden

  • Kreise

  • Bögen

  • Kurven

  • Flächen


Ausgewählt

Diese Option zeigt die Anzahl der Elemente an, die von PC-DMIS geändert werden.


Anzahl gelöschter Elemente

Die Felder Gelöscht zeigen die Anzahl der Elemente an, die gelöscht wurden. Die Zahlen in den einzelnen Feldern ändern sich je nach den im Bereich Elementtypen des Dialogfelds ausgewählten Elementen.


CAD löschen

Die Befehlsschaltfläche Löschen im Dialogfeld CAD löschen weist PC-DMIS an, alle ausgewählten Nennelemente zu löschen.


Wiederherstellen von gelöschtem CAD

Die Befehlsschaltfläche Rückgängig bewirkt, dass PC-DMIS alle Nennelemente wiederherstellt, die gerade gelöscht wurden.


Auswahl aufheben

Über die Befehlsschaltfläche Auswahl aufheben wird PC-DMIS angewiesen, die Auswahl von allen zuvor markierten Elementen aufzuheben.


Löschen von Elementen

In PC-DMIS stehen drei Möglichkeiten für die Auswahl von vorhandenen Elementen zur Verfügung:

  • Sie können die Elemente im Bearbeitungsfenster auswählen und auf Ihrer Tastatur die ENTF-Taste drücken.

  • Sie können das Dialogfeld Element(e) löschen verwenden. Diese Option wird nachfolgend beschrieben.

  • Sie können Ihren Cursor auf das Bearbeitungsfenster setzen und die Menüoption [Element] Löschen wählen. Diese Option wird nachfolgend beschrieben.

Siehe auch:

Löschen mit Hilfe des Dialogfelds "Elemente löschen"

Löschen mit Hilfe der Menüoption "[Element] Löschen"


Löschen mit Hilfe des Dialogfelds "Elemente löschen"

Element(e) löschen (Dialogfeld)

Die Menüoption Bearbeiten | Löschen | Lösche Elemente blendet das Dialogfeld Element(e) löschen ein. Hier können Sie die gemessenen oder erstellten Elemente dauerhaft aus dem Werkstückprogramm entfernen. Diese Option sollte verwendet werden, wenn eine Anzahl unnötiger Elemente gelöscht werden muss.

Im Dialogfeld Element(e) löschen können Sie die Nummer der ID eingeben, auf das Element klicken oder das zuletzt erstellte Element durch Angabe einer Nummer auswählen. PC-DMIS bietet zudem die Möglichkeit, gerade gelöschte Elemente wiederherzustellen. Bei Betätigen der Schaltfläche OK werden die angegebenen Elemente gelöscht.

Hinweis: Wenn gemessene Elemente aus dem Grafikfenster entfernt werden, löscht PC-DMIS automatisch auch alle damit verbundenen Merkmale oder Bezugselemente aus dem Werkstückprogramm.

Siehe auch:

Elemente löschen

Wiederherstellen gelöschter Elemente

Auswahl aufheben


Elemente löschen

Mit der Befehlsschaltfläche Löschen werden alle Elemente gelöscht, die zu diesem Zweck markiert wurden. Dieser Löschbefehl ist erst dann dauerhaft, wenn Sie auf OK klicken.


Wiederherstellen gelöschter Elemente

Mit der Schaltfläche Rückgängig können Sie alle mit der Schaltfläche Löschen (oder "Entfernen") entfernten Elemente wiederherstellen. Dies ist jedoch nur möglich, solange die Schaltfläche OK noch nicht betätigt wurde.


Auswahl aufheben

Mit der Befehlsschaltfläche Ausw. aufheben werden alle zum Löschen markierten Elemente aus dem Listenfeld entfernt.


Löschen mit Hilfe der Menüoption "[Element] Löschen"

Mit der Menüoption Bearbeiten | Löschen | [Element] Löschen können Sie das an der Cursorposition befindliche Element im Bearbeitungsfenster löschen. [Element] gibt die ID des zu löschenden Elements an (z. B. PKT1 löschen). In der Regel befindet sich der Cursor beim Erstellen eines Werkstückprogramms am Ende des Werkstückprogramms. Bei Auswahl der Menüoption [Element] Löschen wird daher das letzte Element im Werkstückprogramm gelöscht.


Löschen von Merkmalen

Merkmal(e) löschen (Dialogfeld)

Im Dialogfeld Merkmal(e) löschen (Bearbeiten | Löschen | Lösche Merkmale) können Sie alle Merkmale aus dem Werkstückprogramm dauerhaft entfernen. Diese Option sollte verwendet werden, wenn eine Anzahl überflüssiger Merkmale gelöscht werden muss.

Im Dialogfeld Merkmal(e) löschen können Sie die Nummer der ID eingeben, auf das Merkmal klicken, alle Merkmale auswählen oder das zuletzt erstellte Merkmal durch Angabe einer Nummer im Feld Letzte Nr. ausw. auswählen. PC-DMIS bietet zudem die Möglichkeit, ein gelöschtes Merkmal durch Klicken auf Rückgängig wiederherzustellen, bevor Sie auf OK klicken. Bei Klicken auf OK werden die angegebenen Merkmale unwiederbringlich gelöscht.

Siehe auch:

Löschen von Merkmalen

Wiederherstellen gelöschter Merkmale

Auswahl aufheben


Löschen von Merkmalen

Mit der Befehlsschaltfläche Löschen wird ein Textstück "lösch." hinter jedes Merkmal eingefügt, das beim Klicken auf Löschen in der Liste ausgewählt wird. Sie können alle Merkmale in der Liste auswählen, indem Sie auf Alles auswählen klicken. Dieser Löschbefehl ist erst dann dauerhaft, wenn Sie auf OK klicken.


Wiederherstellen gelöschter Merkmale

Mit der Schaltfläche Rückgängig können Sie alle Merkmale wiederherstellen, die mit der Schaltfläche Löschen (oder "Entfernen") für den Löschvorgang markiert wurden. Dies ist jedoch nur möglich, solange die Schaltfläche OK noch nicht betätigt wurde.


Auswahl aufheben

Mit der Befehlsschaltfläche Ausw. aufheben werden alle zum Löschen markierten Merkmale aus dem Listenfeld entfernt.


Rechte-Hand-Regel: Wenn Sie den Daumen Ihrer rechten Hand in Richtung des Geradenvektors strecken, und die anderen Finger in die Handfläche drehen, dann geben Ihre Finger die Richtung der positiven Winkeldrehung an.

Wenn Sie die Werte für die Rotationsmatrix manuell eingeben möchten, wählen Sie das Kontrollkästchen Rotationsmatrix spezifizieren aus. Die Spalten geben die Achsen für die Rotation an. Folgende Einschränkungen gelten:

  • Jede Achse der Matrix muss orthogonal zu den anderen beiden Achsen liegen. Also muss jedes Achsenpaar einen Winkel von 90 Grad bilden.

  • Jede Achse muss eine Einheitslänge aufweisen. Das bedeutet, dass die Länge der Achse eins betragen muss.

Wenn Sie die Transformation anwenden und eine von diesen Einschränkungen nicht erfüllt wird, erscheint eine Meldung, die über das Problem informiert. PC-DMIS korrigiert dann automatisch die Rotationsmatrix.

Transformieren eines CAD-Modells

Mit PC-DMIS 4.0 und höher können Sie Ihr CAD-Modell transformieren (übertragen, skalieren und drehen) und, falls erwünscht, eine Kopie des ursprünglichen, nicht veränderten CAD-Modells beibehalten. Außerdem haben Sie die Möglichkeit, eine neues Koordinatensystem für das transformierte Modell zu erstellen.

Um das CAD-Modell zu transformieren, greifen Sie auf das Dialogfeld "CAD transformieren" zu, indem Sie Vorgang | Grafikfenster | Transformieren auswählen. Nachdem das Dialogfeld erscheint, verwenden Sie dessen Optionen wie benötigt und klicken Sie dann auf OK oder Übernehmen.

CAD transformieren (Dialogfeld)

CAD transformieren (Dialogfeld)

Dialogfeldeintrag

Beschreibung

Original beibehalten

Über dieses Kontrollkästchen können Sie eine Kopie des ursprünglichen, unveränderten CAD-Modells 'beibehalten'.

Neues Koordinatensystem erstellen

Über dieses Kontrollkästchen können Sie ein neues Koordinatensystem aus dem neu übertragenen CAD-Modell erstellen. Weitere Informationen hierzu finden Sie unter "Arbeiten mit CAD-Koordinatensystemen".

Übertragen

In diesem Bereich werden die XYZ-Versätze zur Übertragung des Modells definiert.

Maßstab

In diesem Bereich wird definiert, wie das CAD-Modell skaliert wird. Diese Funktion ist bei der Richtigstellung von Modellen, die aufgrund von unsachgemäßer Angabe der Einheiten nicht richtig skaliert wurden, von Nutzen. Wenn das Modell beispielsweise auf Millimeter-Einheiten eingestellt wurde, die korrekte Einstellung aber "Zoll" wäre, würden Sie das Modell um 25,4 skalieren.

Über das Kontrollkästchen Einheitlich können Sie das Modell einheitlich skalieren. Wenn Sie eine ausgewählte Achse des Modells skalieren möchten, heben Sie die Auswahl des Kontrollkästchens Einheitlich auf. Lassen Sie den Wert für Achsen, die nicht skaliert werden sollen, auf 1 stehen und ändern Sie die Achse, die skaliert werden soll. Sie können Achsen auch um negative Werte skalieren. Dies ist nützlich, wenn Sie vorhaben, eine Achse zu spiegeln. In diesem Fall würden Sie für diese Achse "-1" eingeben.

Spiegeln

In diesem Bereich können Sie das CAD-Modell spiegeln. Die Option "Spiegeln" bietet dieselben Funktionen wie die Option "Maßstab", wenn "-1" für die zu spiegelnde Achse eingegeben wird.

Rotieren

Dieser Bereich steuert, auf welche Weise das CAD-Modell rotiert wird. Geben Sie den Winkel, um den das Modell gedreht werden soll, im Feld Winkel ein.

Rotationsachse

Dieser Bereich definiert die Gerade, um die das CAD-Modell gedreht werden soll. Das Modell wird um den angegebenen Winkel um diese Gerade gedreht. Die Drehrichtung folgt der Rechte-Hand-Regel.

Sie können eine der Achsen des Koordinatensystems als Gerade verwenden, um die gedreht werden soll. Wählen Sie dafür die entsprechende Option X,Y oder Z.

Wenn Sie nicht um eine der Koordinatenachsen drehen möchten, können Sie um eine beliebige Gerade drehen. Wählen Sie hierfür die Option Gerade. Dadurch werden die Bereiche Geradenvektor und Geradenpunkt aktiviert. Nehmen Sie die nötigen Eingaben in diesen Bereichen vor, um den Punkt und den Vektor zu bestimmen, die eine beliebige Gerade bestimmen.

Rotationsmatrix

Während Sie die neue Transformation Ihres CAD-Modells bestimmen, werden in diesem Bereich automatisch die Werte angezeigt, die in der zugehörigen 3x3-Matrix verwendet werden. Diese 3x3-Matrix dreht das CAD-Modell.

Normalerweise muss in diesem Bereich nichts eingegeben werden, da er im Allgemeinen nur für Informationszwecke gedacht ist.

Für den fortgeschrittenen Benutzer:


Arbeiten mit CAD-Koordinatensystemen

CAD Koordinatensystem (Dialogfeld)

CAD Koordinatensystem (Dialogfeld)

Über die Menüoption Bearbeiten | Grafikfenster | CAD-Koordinatensystem wird das Dialogfeld CAD Koordinatensystem angezeigt. Im Dialogfeld CAD Koordinatensystem können Sie neue Koordinatensysteme für das CAD-Modell erstellen oder auswählen.

Die Liste Koordinatensystem auf der linken Seite des Dialogfelds zeigt alle Koordinatensysteme im CAD-Modell an. Die zuerst aufgeführten Koordinatensysteme sind die globalen Koordinatensysteme. Das Standard-Koordinatensystem ist stets aufgelistet.

Wenn das CAD-Modell eine Baugruppe aus Bauelementen darstellt, dann werden nach dem globalen Koordinatensystem alle lokalen Koordinatensysteme, die in der Baugruppe enthalten sind, aufgelistet. Diese sind in einer Strukturansicht in Form eines Baums aufgelistet. Um diese 'Baumansicht' zu vergrößern, klicken Sie auf ein Plussymbol (+). PC-DMIS zeigt die Koordinatensysteme der Bauelemente an. Für jedes Bauelement der Baugruppe wird stets ein Standard-Koordinatensystem aufgelistet. Dieses Koordinatensystem definiert das Standard-Lokalkoordinatensystem des Werkstücks.

Wenn Sie das Dialogfeld CAD Koordinatensystem zum ersten Mal öffnen, überprüft PC-DMIS, ob das aktuelle aktive Koordinatensystem einem Koordinatensystem aus der Liste entspricht:

  • Wird ein übereinstimmendes Koordinatensystem gefunden, wählt PC-DMIS dieses aus der Liste aus.

  • Gibt es keine Übereinstimmung mit den Koordinatensystemen aus der Liste, verwendet PC-DMIS das Standard-Koordinatensystem ganz oben auf der Liste. Dies kommt vor, wenn Sie das CAD-Modell transformieren, ohne vorher ein Koordinatensystem erstellt zu haben (weitere Informationen hierzu finden Sie im Abschnitt über das Dialogfeld "CAD transformieren").

Auswählen und Verwenden von Koordinatensystemen

Verwenden eines vorhandenen Koordinatensystems

  1. Wählen Sie ein Koordinatensystem aus der Liste Koordinatensystem aus. PC-DMIS zeigt das Koordinatensystem im Grafikfenster an. Wenn Sie eine Baugruppen-Komponente auswählen, wählt PC-DMIS stattdessen das erste Koordinatensystem dieser Komponente.

  2. Klicken Sie auf Übernehmen oder OK. Das ausgewählte Koordinatensystem wird zum neuen, aktiven Koordinatensystem und PC-DMIS zeichnet das CAD-Modell neu, um die neue Position wiederzugeben.

Erstellen eines Koordinatensystems

Klicken Sie auf die Schaltfläche Erzeugen, um ein Koordinatensystem an der akutellen CAD-Modell-Position zu erstellen. Die Position des CAD-Modells kann mit Hilfe des Dialogfelds CAD transformieren verändert werden. Weitere Informationen zum Transformieren des CAD-Modells finden Sie unter "Transformieren eines CAD-Modells".

Umbenennen eines Koordinatensystems

Um ein Koordinatensystem umzubenennen, wählen Sie ein Koordinatensystem aus der Liste aus und klicken Sie auf die Schaltfläche Umbenennen. Geben Sie den neuen Namen ein.

Das Standard-Koordinatensystem kann nicht umbenannt werden.

Löschen eines Koordinatensystems

Um ein Koordinatensystem zu löschen, wählen Sie ein Koordinatensystem aus der Liste aus und klicken Sie auf die Schaltfläche Löschen. PC-DMIS löscht das ausgewählte Koordinatensystem.

Weder das Standard-Koordinatensystem noch Baugruppen-Koordinatensysteme können gelöscht werden.

Ersetzen eines Koordinatensystems

Um ein vorhandenes Koordinatensystem mit der aktuellen Position des CAD-Modells zu ersetzen oder zu überschreiben, wählen Sie ein Koordinatensystem aus der Liste aus und klicken Sie auf die Schaltfläche Ersetzen.

Weder das Standard-Koordinatensystem noch Baugruppen-Koordinatensysteme können ersetzt werden.


Bearbeiten eines Werkstückprogramms

Bearbeiten eines Werkstückprogramms: Einführung

Verwenden der Standardbearbeitungsbefehle

Rückgängig

Wiederholen

Ausschneiden

Kopieren

Einfügen

Löschen

Alles auswählen

Bearbeiten von Elementmustern

Muster

X-, Y-, Z-Versatz

Winkelversatz

Anzahl der Versätze

X, Y, Z umkehren

Mit Muster einfügen

Suchen und Ersetzen von Text

Suchen

Verwenden von Platzhaltern

Verwenden vordefinierter Zeichensätze

So suchen Sie nach bestimmten Worten oder Sätzen:

Ersetzen

Suchen nach

Ersetze durch

Nur ganzes Wort suchen

Groß-/Kleinschreibung berücksichtigen

Platzhalterzeichen verwenden

Schaltfläche "Weitersuchen"

Schaltfläche "Ersetzen"

Schaltfläche "Alle ersetzen"

Bearbeiten von Datenfeldern

Springen zu bestimmten Zeilennummern

Bearbeiten von Nennwerten

Springen zwischen referenzierten Befehlen

Ändern erkannter Elemente

Ändern gefundener Nennwerte

Das Dialogfeld "Nennwerte ändern"

Die Spalten "Vorzugsfläche, Durchstoß- und Lotpunkt"

Das Feld "Toleranz"

Das Kontrollkästchen "Vorherige Fläche verwenden"

Die Schaltfläche "Ändern"

So verwenden Sie das Dialogfeld "Nennwerte ändern" im Lernmodus:

Verfahren 1: Nennpunkte auf der vorherigen Fläche finden

Verfahren 2: Nennpunkte auf Prioritäts-Flächen finden

Verfahren 3: Nennpunkte auf allen CAD-Flächen finden

Verfahren 4: Einen Nennpunkt später auswählen

Nach dem Auswählen des besten Nennpunkts

So verwenden Sie das Dialogfeld "Nennwerte ändern" im Ausführmodus:

So verwenden Sie das Dialogfeld "Nennwerte ändern" vom Bearbeitungsfenster aus:

Markieren von Befehlen für die Ausführung

Markieren

So heben Sie die Markierung für bestimmte Linien innerhalb eines Elements auf:

Alles markieren

Alles löschen

Übergeordneter Modus

Untergeordneter Modus

Modus "Neue Ausrichtung"

Erstellen und Ausführen von Markierungsgruppen

Beispiel für ein Markierungsgruppenfenster

So erstellen Sie neue Markierungsgruppen

So fügen Sie vorhandenen Markierungsgruppen Elemente hinzu

So entfernen Sie Elemente aus vorhandenen Markierungsgruppen

So passen Sie die Symbole für Markierungsgruppen an

So ordnen Sie Markierungsgruppen neu an

So führen Sie Markierungsgruppen aus

So sperren Sie Markierungsgruppen

So löschen Sie Markierungsgruppen

Verwenden von Haltepunkten

Haltepunkt ein/aus

Standard-Haltepunkt einfügen

Standard-Haltepunkt löschen

Alle löschen

Anfangspunkte setzen

Verwenden von Lesezeichen

Lesezeichen ein/aus

Nächstes Lesezeichen

Alle Lesezeichen löschen

Ändern von Schriftarten und Farben

Bearbeiten externer Objekte


Bearbeiten eines Werkstückprogramms: Einführung

Die Hauptaufgabe von PC-DMIS besteht darin, Ihnen das Erstellen, Bearbeiten und Ausführen von Werkstückprogrammen zu erleichtern. In diesem Abschnitt wird beschrieben, wie Sie das Menü Bearbeiten (zusammen mit anderen Menüoptionen) zum Bearbeiten Ihrer Werkstückprogramme einsetzen können. Das Menü Bearbeiten verwendet die Befehle, die im Bearbeitungsfenster angezeigt werden. Eine Beschreibung des gesamten Bearbeitungsfensters würde jedoch über den Umfang dieses Abschnitts hinausgehen. Eine genauere Beschreibung des Bearbeitungsfensters finden Sie im Abschnitt "Verwenden des Bearbeitungsfensters".

Dieser Abschnitt enthält die folgenden Themen:

  • Verwenden der Standardbearbeitungsbefehle

  • Bearbeiten von Elementmustern

  • Suchen und Ersetzen von Text

  • Bearbeiten von Datenfeldern

  • Springen zu bestimmten Zeilennummern

  • Springen zwischen referenzierten Befehlen

  • Ändern erkannter Elemente

  • Ändern gefundener Nennwerte

  • Markieren von Befehlen für die Ausführung

  • Erstellen und Ausführen von Markierungsgruppen

  • Verwenden von Lesezeichen

  • Verwenden von Haltepunkten

  • Ändern von Schriftarten und Farben

  • Bearbeiten externer Objekte


Verwenden der Standardbearbeitungsbefehle

Wie in den meisten Windows-Anwendungen können Sie in PC-DMIS Standardbearbeitungsbefehle in Ihrem Werkstückprogramm verwenden. Folgende Standardmenüoptionen sind verfügbar:

  • Rückgängig

  • Wiederholen

  • Ausschneiden

  • Kopieren

  • Einfügen

  • Löschen

  • Alles auswählen


Rückgängig

Mit der Menüoption Bearbeiten | Rückgängig können Sie die letzte im Bearbeitungsfenster vorgenommene Änderung rückgängig machen. Die Option Rückgängig kann wiederholt gewählt werden, um mehrere Änderungen im Bearbeitungsfenster nacheinander rückgängig zu machen.

Hinweis: Beachten Sie bitte, dass alle Änderungen aus dem Speicher gelöscht werden, wenn Sie in einen anderen Modus wechseln.


Wiederholen

Mit der Menüoption Bearbeiten | Wiederholen können Sie die letzten Änderungen, die bei Auswahl der Menüoption Rückgängig vorgenommen wurden, wieder rückgängig machen. Die Option Wiederholen kann genauso wie die Option Rückgängig mehrmals gewählt werden, um mehrere Änderungen hintereinander rückgängig zu machen.

Hinweis: Beachten Sie bitte, dass alle Änderungen aus dem Speicher gelöscht werden, wenn Sie in einen anderen Modus wechseln.


Ausschneiden

Mit der Menüoption Bearbeiten | Ausschneiden können Sie Text "ausschneiden" oder über die Zwischenablage von einem Bereich in einen anderen verschieben.

So schneiden Sie Text aus:

  1. Markieren Sie die Elemente, die an eine andere Position verschoben werden sollen.

  2. Wählen Sie die Option Ausschneiden aus. Der Text wird aus dem Bearbeitungsfenster entfernt und in der Zwischenablage gespeichert.

  3. Verwenden Sie den Befehl Einfügen, um den kopierten Text an anderer Stelle einzufügen. (Weitere Informationen hierzu finden Sie unter "Einfügen").

Hinweis: Wenn Sie den Befehl Ausschneiden auswählen, wird der gesamte Inhalt der Zwischenablage durch die mit dem Befehl ausgeschnittenen Elemente ersetzt.


Kopieren

Mit der Menüoption Bearbeiten | Kopieren können Sie Text in die Zwischenablage kopieren und an anderer Stelle einfügen. Der einzige Unterschied zur Option Ausschneiden besteht darin, dass der Text beim Kopieren an der ursprünglichen Position im Bearbeitungsfenster nicht entfernt wird.

So kopieren Sie Text:

  1. Markieren Sie den gewünschten Text.

  2. Wählen Sie den Befehl Kopieren aus. Der Text wird in die Zwischenablage kopiert, bleibt jedoch an der aktuellen Position erhalten.

  3. Verwenden Sie den Befehl Einfügen, um den kopierten Text an anderer Stelle einzufügen. (Weitere Informationen hierzu finden Sie unter "Einfügen").

Hinweis: Wenn Sie den Befehl Kopieren auswählen, wird der gesamte Inhalt der Zwischenablage durch die mit dem Befehl kopierten Elemente ersetzt.


Einfügen

Über die Menüoption Bearbeiten | Einfügen können Sie kopierten Text aus der Zwischenablage an der Position des Cursors in das Bearbeitungsfenster einfügen.


Löschen

Die Menüoption Bearbeiten | Löschen löscht die aktuell hervorgehobene Auswahl aus dem Bearbeitungsfenster. Die gelöschte Auswahl wird nicht in die Zwischenablage gestellt.


Alles auswählen

Über die Menüoption Bearbeiten | Alles auswählen können Sie den gesamten Inhalt des Bearbeitungsfensters zur Bearbeitung auswählen.


Bearbeiten von Elementmustern

Elementmuster kommen in Werkstücken häufig vor. In PC-DMIS haben Sie die Möglichkeit, Musterelemente zu erstellen. Informationen hierzu finden Sie unter den folgenden Menüoptionen:

  • Muster

  • Mit Muster einfügen


Muster

Die Menüoption Bearbeiten | Muster blendet das Dialogfeld Muster-Versätze ein.

Muster-Versätze (Dialogfeld)

In diesem Dialogfeld können Sie die Versätze definieren, die bei Auswahl der Option Bearbeiten | Mit Muster einfügen verwendet werden.

So erstellen Sie ein Muster:

  1. Öffnen Sie das Dialogfeld Muster-Versätze.

  2. Geben Sie die gewünschten Versatzwerte ein.

  3. Wählen Sie die gewünschte Spiegelungsoption aus.

  4. Geben Sie im Feld Anzahl der Versätze an, wie oft der Versatz angewendet werden soll.

  5. Klicken Sie auf OK.

  6. Verwenden Sie bei Bedarf die Schaltfläche Abbrechen, um das Dialogfeld ohne Änderung der aktuellen Einstellungen zu schließen.

Siehe auch:

X-, Y-, Z-Versatz

Winkelversatz

Anzahl der Versätze

X, Y, Z umkehren


X-, Y-, Z-Versatz

In diesen Feldern können Sie den X-, Y- oder Z-Versatz zwischen dem Auftreten der Muster festlegen.

So ändern Sie die X-, Y- oder Z-Versatzwerte:

  1. Wählen Sie das gewünschte Feld für den X-, Y- oder Z-Versatz aus.

  2. Geben Sie die gewünschte Änderung ein.

PC-DMIS versetzt die X-, Y- und Z-Nenndaten des eingefügten Elements (oder der Gruppe von Elementen) um diese Versatzwerte.


Winkelversatz

Im Feld Winkelversatz können Sie angeben, um welchen Winkel die auftretenden Muster versetzt werden sollen.

Ein Winkelversatz empfiehlt sich beispielsweise beim Messen der Position einer Anzahl von Stanzlöchern in einem Bolzenlochmuster, bei dem das Bezugselement ein Stanzloch in der Mitte des Musters ist. PC-DMIS dreht den Versatz um den Nullpunkt.

Winkelversätze können in Verbindung mit X-, Y- und Z-Versätzen und -Umkehrungen verwendet werden. Die Reihenfolge, in der diese Versätze angewendet werden, lautet: Umkehrungen - Drehungen – und zu guter Letzt Verschiebungen.

So können Sie den Winkelversatz ändern:

  1. Wählen Sie im Dialogfeld das Feld Winkelversatz.

  2. Geben Sie den gewünschten Wert ein.


Anzahl der Versätze

Mit dieser Option können Sie festlegen, wie oft PC-DMIS ein Muster versetzen wird. Um den aktuellen Wert zu ändern, wählen Sie diese Option, und geben Sie einen neuen Wert ein. Der Standardwert ist 1.


X, Y, Z umkehren

Die Optionen X umkehren, Y umkehren oder Z umkehren spiegeln das Muster um die X-, Y- bzw. Z-Achse. Das ursprüngliche Muster wird vor einer Verschiebung oder Drehung an der X-, Y- bzw. Z-Achse "umgekehrt".


Mit Muster einfügen

Mit der Option Bearbeiten | Mit Muster einfügen wird ein beliebiges Element (oder eine Gruppe von Elementen), das in der Zwischenablage gespeichert ist, im Bearbeitungsfenster an der aktuellen Cursor-Position eingefügt. Wenn Sie so vorgehen, basieren neu erstellte Elemente auf den Elementen, die in die Zwischenablage kopiert wurden. Auf die neu erstellten Elemente werden jedoch die zuvor definierten Muster-Versätze angewendet. Weitere Informationen finden Sie unter "Muster".

So fügen Sie Elemente mit einem Muster ein:

  1. Vergewissern Sie sich, dass im Dialogfeld Muster-Versätze die passenden Versätze definiert wurden (wählen Sie die Menüoption Muster aus).

  2. Stellen Sie sicher, dass das Element (oder die Gruppe von Elementen), das Sie versetzen möchten, ausgewählt und in die Zwischenablage kopiert wurde.

  3. Gehen Sie mit dem Cursor im Werkstückprogramm an die Stelle, an der die neuen Elemente eingefügt werden sollen.

  4. Wählen Sie den Menübefehl Bearbeiten | Mit Muster einfügen aus.

PC-DMIS fügt den Inhalt der Zwischenablage so oft ein, wie es durch den Wert des Felds Anzahl der Versätze im Dialogfeld Muster-Versätze festgelegt wurde. Bei jedem Einfügen des Inhalts der Zwischenablage wird das neu erstellte Element (oder die Elemente) gegenüber dem zuvor eingefügten Element (oder den zuvor eingefügten Elementen) um die definierten Muster-Versätze versetzt. Die Kennungen für die neuen Elemente werden von der ursprünglichen Element-ID aus hochgezählt. Außerdem zeichnet PC-DMIS die neu erstellen Elemente im Grafikfenster.


Suchen und Ersetzen von Text

Mit Hilfe der standardmäßigen regulären Ausdrücke, die unter den folgenden Menüoptionen beschrieben sind, können Sie in den Feldern des Bearbeitungsfensters Text suchen und ersetzen:

  • Suchen

  • Ersetzen


Suchen

Die Menüoption Bearbeiten | Suchen öffnet das Dialogfeld Suchen, mit dem Sie im Bearbeitungsfenster nach einem bestimmten Stichwort suchen können.

Dialogfeld "Suchen"

Siehe auch:

Verwenden von Platzhaltern

Verwenden vordefinierter Zeichensätze

So suchen Sie nach bestimmten Worten oder Sätzen:


Verwenden von Platzhaltern

Um Platzhalter für die Suche nach Übereinstimmungen zu verwenden, aktivieren Sie das Kontrollkästchen Platzhalterzeichen verwenden.

Mit dieser Option können Sie auch Text finden, der verschiedenen Suchkriterien entspricht. Sehen Sie sich folgende Tabelle an:

Zu suchender Text

Zu verwendender Platzhalter

Beispiele

Ein beliebiges Zeichen

.

D.M entspricht "DIM" oder "D4M".

Zeichensatz

[ ]

D[MI]S findet "DIS" und "DMS", aber nicht "DMIS" oder "DUS".

Ein Zeichen aus einem Bereich

[-]

GERADE[2-6] findet "GERADE2" und "GERADE3", aber nicht "GERADE1" oder "GERADE7". Bereiche müssen in aufsteigender Reihenfolge angegeben werden.

Ein beliebiges Zeichen außer dem/den in Klammern angegebenen Zeichen

[^]

PUNKT[^32] findet "PUNKT1", "PUNKT5" und "PUNKT10", aber nicht "PUNKT3", "PUNKT2", "PUNKT21" oder "PUNKT30".

Ein beliebiges Zeichen außer dem in Klammern angegebenen Zeichenbereich

[^x-z]

GERADE[^2-5] findet "GERADE6" und "GERADEH", aber nicht "GERADE3"

In Zeichensätzen, die das Zeichen "-" einschließen, sollte das "-" als erstes oder letztes Zeichen im Bereich angegeben werden. Wenn der Bereich das "-" ausschließt, sollte "-" als zweites Zeichen angegeben werden.

[-]

GERADE[0-9-] findet "GERADE4" und "GERADE-". GERADE[^-0-9] findet "GERADEH", aber nicht "GERADE-".

0 oder ein häufigeres Vorkommen des voranstehenden Zeichens oder Ausdrucks, mit folgenden Ausnahmen:

"eine Zeichenfolge beginnt mit "*"

"*" folgt einem "^", das eine Zeichenfolge beginnt

"ein eingeklammerter Unterausdruck beginnt mit "*"

*

lo*p findet "lp" und "looooop".

^* findet "*", wenn es am Zeilenanfang steht.

Zeile, die mit einem bestimmten Ausdruck oder Zeichen beginnt. "^" ist nur am Anfang einer Zeichenfolge ein Platzhalter.

^

^KREIS findet alle Zeilen, die mit "KREIS" beginnen. Beachten Sie, dass eingerückte Zeilen im Bearbeitungsfenster von PC-DMIS mit Leerzeichen beginnen.

Zeile, die mit einem bestimmten Ausdruck oder Zeichen endet. "$" ist nur am Ende einer Zeichenfolge ein Platzhalter.

$

ENDEMESS/$ findet Zeilen, die mit "ENDEMESS/" enden, aber nicht Zeilen, die mit "MESS/" enden.

Klammern im Feld Suchen nach speichern deren Inhalt, um ihn später im Feld Ersetze durch wieder aufzurufen.

Ein umgekehrter Schrägstrich "\" im Feld Ersetze durch, gefolgt von einer Zahl, ruft eins der gespeicherten Muster in den zu ersetzenden Text wieder auf.

() und \

Suchen nach:
BO(BB)Y(RAY)

Ersetze durch:
DO\1YP\2

würde ergeben:
DOBBYPRAY

\1 benutzt die erste in Klammern gespeicherte Zeichenfolge, \2 die zweite, und so weiter.

Hinweis: Um Platzhalterzeichen zu verwenden, ist ein umgekehrter Schrägstrich (\) vor den Klammern nicht mehr nötig, wie in älteren Versionen von PC-DMIS.


Verwenden vordefinierter Zeichensätze

Um Übereinstimmungen für einen vordefinierten Zeichensatz zu finden, aktivieren Sie das Kontrollkästchen Platzhalterzeichen verwenden. Sie können den Text dann mit Hilfe der folgenden vordefinierten Zeichensätze suchen:

Zeichensatz | Zeichen im Satz
[[:alnum:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789
[[:alpha:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
[[:blank:]] | (Leerzeichen und Tabulatorzeichen)
[[:digit:]] | 0123456789
[[:graph:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:lower:]] | Abcdefghijklmnopqrstuvwxyz
[[:print:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:punct:]] | !"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:upper:]] | ABCDEFGHIJKLMNOPQRSTUVWXYZ
[[:xdigit:]] | 0123456789ABCDEFabcdef

Beispiel: Wenn Sie nach einer Zeichenfolge suchen, die aus einem Buchstaben, gefolgt von einigen Buchstaben oder Ziffern, gefolgt vom ersten Buchstaben besteht, sollten Sie einen Rückbezug einsetzen (siehe folgendes Beispiel): ([[:alpha:]])[[:alnum:]]\{1,\}\1.


So suchen Sie nach bestimmten Worten oder Sätzen:

  1. Wählen Sie in der Menüleiste Bearbeiten | Suchen aus.

  2. Geben Sie ein zu suchendes Stichwort oder einen Satz ein.

  3. Geben Sie die Suchrichtung (nach unten oder nach oben) an.

  4. Aktivieren Sie das Kontrollkästchen Nur ganzes Wort suchen, wenn PC-DMIS nur genau das Wort suchen soll. Wenn Sie beispielsweise "ABM" eingeben, findet PC-DMIS "ABM", aber nicht "ABMESSUNG".

  5. Aktivieren Sie das Kontrollkästchen Groß-/Kleinschreibung berücksichtigen, wenn PC-DMIS bei der Suche die Groß-/Kleinschreibung berücksichtigen soll.

  6. Klicken Sie auf Suchen (oder drücken Sie die EINGABETASTE).


Ersetzen

Die Option Bearbeiten | Ersetzen funktioniert ganz ähnlich wie die Option Suchen. (Weitere Informationen hierzu finden Sie unter "Suchen".) Im Dialogfeld Ersetzen haben Sie allerdings die Möglichkeit, gefundenen Text zu ersetzen.

Dialogfeld "Ersetzen"

In Versionen vor Version 3.6 konnten Sie nur in den editierbaren Feldern des Bearbeitungsfensters suchen und ersetzen. Beispielsweise konnte

ZEIGE_MESSP.=NEIN

nicht durch

ZEIGE_MESSP.=JA

ersetzt werden, da es sich bei dem Feld ZEIGE_MESSP.= um ein konstantes, nicht-editierbares Feld handelte. Nur der editierbare Teil des Befehls (von "NEIN" auf "JA") konnte ersetzt werden.

Mit den Versionen 3.6 und höher von PC-DMIS können Sie nun jedoch nach jeder übereinstimmenden Zeichenfolge suchen und diese ersetzen, solange der letzte Teil der Zeichenfolge einem editierbaren Feld entspricht und solange dieser editierbare Teil der Einzige in der Zeichenfolge ist, der geändert werden soll.

Ein funktionierendes Beispiel zu den Optionen 'Suchen' und 'Ersetzen':

=AUTO/KREIS,ALLEPARAMANZEIGEN = NEIN

wird ersetzt durch

=AUTO/KREIS,ALLEPARAMANZEIGEN = JA

Beachten Sie, dass das Ende der Zeichenfolge einem editierbaren Feld entspricht. Nur das letzte editierbare Feld der gesuchten Zeichenfolge kann geändert werden.

Ein Beispiel zu den Optionen 'Suchen' und 'Ersetzen', das NICHT funktioniert:

Sie können beispielsweise nicht zwei editierbare Felder gleichzeitig ersetzen wie folgt:

=AUTO/KREIS,ALLEPARAMANZEIGEN = NEIN

kann nicht ersetzt werden durch

=AUTO/GERADE,ALLEPARAMANZEIGEN = JA

da KREIS ein editierbares Feld ist, das durch GERADE ersetzt wird, und NEIN ein weiteres editierbares Feld ist, das durch JA ersetzt wird.

Auch das wird nicht funktionieren:

=AUTO/KREIS,ALLEPARAMANZEIGEN

kann nicht ersetzt werden durch

=AUTO/KREIS,MYALLEANZEIGEN

da es sich bei dem Teil, der ersetzt werden soll, um ein konstantes Feld handelt.

Siehe auch:

S uchen nach

Ersetze durch

Nur ganzes Wort suchen

Groß- /Kleinschreibung berücksichtigen

Platzhalterzeichen verwenden

Schaltfläche "Weiter suchen"

Schaltfläche "Ersetzen"

Schaltfläche "Alle ersetzen"


Suchen nach

In dieses Feld können Sie den zu suchenden Text eingeben. Hierbei können Sie die verschiedenen im Abschnitt "Suchen" beschriebenen Stellvertreterzeichen und Suchmuster einsetzen. Siehe "Suchen".


Ersetze durch

In dieses Feld können Sie den Text eingeben, durch den der gefundene Text ersetzt werden soll.


Nur ganzes Wort suchen

Wenn Sie dieses Kontrollkästchen aktivieren, sucht PC-DMIS nur nach ganzen Wörtern mit diesem Text. Wenn Sie beispielsweise im Feld Suchen nach "ABM" eingegeben haben und dieses Kontrollkästchen aktivieren, findet PC-DMIS nur "ABM". "ABMESSUNG" oder "ABM-ID" werden nicht gefunden.


Groß-/Kleinschreibung

Wenn dieses Kontrollkästchen aktiviert ist, sucht PC-DMIS nur nach Text, der in Groß-/Kleinschreibung mit dem Text im Feld Suchen nach übereinstimmt. Wenn Sie beispielsweise im Feld Suchen nach "Punkt" eingeben und das Kontrollkästchen Groß-/Kleinschreibung berücksichtigen aktivieren, findet PC-DMIS "Punkt" und "Punkte", aber nicht "PUNKT".


Platzhalterzeichen verwenden

Durch Auswahl dieses Kontrollkästchens wird PC-DMIS angewiesen, nach bestimmten Mustern zu suchen. Dieses Kontrollkästchen sollte markiert werden, wenn Sie mit Hilfe von Platzhaltern oder anderen bestimmten Zeichenentsprechungen nach Übereinstimmungen suchen.


Schaltfläche "Weitersuchen"

Wenn Sie auf die Schaltfläche Weitersuchen klicken, sucht PC-DMIS das nächste Vorkommen des gesuchten Texts.


Schaltfläche "Ersetzen"

Wenn Sie auf die Schaltfläche Ersetzen klicken, wird der gefundene Text durch die im Feld Ersetze durch eingegebene Zeichenfolge ersetzt. Auf diese Weise können Sie gefundenen Text nacheinander an mehreren Stellen ersetzen.


Schaltfläche "Alle ersetzen"

Wenn Sie auf die Schaltfläche Alle ersetzen klicken, werden alle Vorkommen des Textes im Feld Suchen nach durch den im Feld Ersetze durch eingegebenen Text ersetzt.


Bearbeiten von Datenfeldern

Assistent für das Bearbeiten von Datenfeldern

Der Assistent für das Bearbeiten von Datenfeldern ist ein externes Programm, das mit PC-DMIS zusammenarbeitet und mit dem Sie Daten innerhalb spezifischer Datenfelder gewisser Befehlstypen im Bearbeitungsfenster ändern können. Sie können auf diesen Assistenten durch Auswahl des Symbols DatenFeldBearbeiten in der Symbolleiste Assistenten zugreifen.

Dieser Assistent unterscheidet sich vom Dialogfeld Ersetzen. Sie können Dateneinträge global innerhalb eines jeden Modus' im Bearbeitungsfenster ändern, während das Dialogfeld Ersetzen nur im Befehlsmodus arbeitet. Zudem können Sie gewisse Werte, die mit Hilfe des Dialogfelds Ersetzen nicht veränderbar sind, ersetzen.

Das Dialogfeld Datenfeld bearbeiten enthält folgende Einträge:

Befehlstyp wählen - Diese Liste zeigt die verfügbaren Befehlstypen an.

Datentyp wählen – Diese Liste zeigt die Datentypen für den ausgewählten Befehltstyp an. Wenn alle Datentypen dieser Liste eingeblendet werden sollen, wählen sie die Option Alle Befehlstypen aus der Liste Befehlstyp wählen aus.

Datentyp - In diesem Feld können Sie durch Angabe des numerischen Index' ein Feld, das Sie ändern möchten, genau bestimmen. Dies ist besonders dann hilfreich, wenn Sie mehr als ein Feld des selben Datentyps verwenden, aber nur eines der Felder bearbeiten möchten. Durch Eingabe eines Indexwertes können Sie das zu bearbeitende Feld bestimmen. Der Befehl SICHERHEITSEBENE beispielsweise hat zwei Abstandsfelder. Eins für den Sicherheitsabstand; eins für den Durchgangsabstand. Die Eingabe eines Indexwertes von "1" würde den Sicherheitsabstand auswählen, wobei ein Wert von "2" den Durchgangsabstand auswählen würde.

Ändern von - Dieser Bereich enthält das Kontrollkästchen Verwenden und ein Feld, das einen Wert enthält. In dieses Kontrollkästchen können Sie den Wert eingeben, den Sie ändern möchten. Dies bedeutet, das PC-DMIS sich auf solche Felder beschränkt, die den eingegebenen Wert aufweisen.

Ändern auf - In diesem Feld können Sie einen neuen Wert für das Datenfeld, das Sie aktualisieren möchten, bestimmen.

Jede Änderung überprüfen - Bei Auswahl dieses Kontrollkästchens blendet PC-DMIS ein Meldungsfeld ein, das die ID des zu ändernden Eintrags, deren aktuellen Wert und die Anfrage, ob Sie das Datenfeld auf den neuen Wert ändern möchten, anzeigt.

Ändern - Über diese Schaltfläche wir der Vorgang der Datenfeldsuche und die Änderung auf den neuen Wert gestartet.

Status - Das Feld unten im Dialogfeld zeigt den jeweiligen Statur oder die Diagnosemeldung während des Änderungsprozesses an.


Springen zu bestimmten Zeilennummern

In PC-DMIS ist das Springen zu bestimmten Zeilennummern ganz einfach. Mit der Menüoption Bearbeiten | Gehe zu können Sie innerhalb des Bearbeitungsfensters zu einer bestimmten Zeile springen.

Gehen zu (Dialogfeld)

So bewegen Sie den Cursor im Befehlsmodus oder DMIS-Modus zu einer bestimmten Zeilennummer:

  1. Wählen Sie in der Menüleiste Bearbeiten | Gehe zu aus. Es erscheint das Dialogfeld Gehen zu.

  2. Im Feld Gehen Sie zu Zeile Nr. wird die Zeilennummer der Zeile angezeigt, in der sich der Cursor befindet.

  3. Geben Sie die gewünschte Zeilennummer ein.

  4. Klicken Sie auf OK (oder drücken Sie die EINGABETASTE). PC-DMIS zeigt die angegebene Zeile an.


Springen zwischen referenzierten Befehlen

Wenn sich ein Befehl im Bearbeitungsfenster während des Befehlsmodus auf einen anderen Befehl bezieht, können Sie zu diesem Befehl referenzierten Befehl springen, indem Sie die Sprungmarke zum referenzierten Befehl hervorheben und die Menüoption Bearbeiten | Springe zu auswählen. Menü-Übersicht anzeigen

Wenn Sie beim referenzierten Befehl ankommen, können Sie schnell zum vorherigen Element zurückspringen, indem Sie die Menüoption Bearbeiten | Springe zurück wählen. Menü-Übersicht anzeigen

Beispiel: Angenommen, ein Ausrichtungsblock weist folgende Befehle auf und Sie möchten zum in diesem Block referenzierten Element LIN2 springen:

A1 =AUSRICHTUNG/START,AUFRUFEN:START, LISTE= JA

AUSRICHTUNG/EBENE,ZPLUS,EBENE1

AUSRICHTUNG/DREHEN,XPLUS,ZU,LIN1,DREHEN UM,ZPLUS

AUSRICHTUNG/ÜBERTR,X_ACHSE,LIN2

AUSRICHTUNG/ÜBERTR,Y_ACHSE,LIN1

AUSRICHTUNG/ÜBERTR,Z_ACHSE,EBENE1

AUSRICHTUNG/ENDE

Markieren Sie LIN2 und wählen Sie die Menüoption Springe zu aus der Menüleiste oder klicken Sie mit der rechten Maustaste und wählen Sie diese Option aus dem Kontextmenü aus. Sie können dann mit Hilfe der Option Springe zurück zum Befehl, bei dem Sie waren, zurückkehren.

Diese Menüoptionen können auch über ein Kontextmenü aufgerufen werden, das durch Klicken der rechten Maustaste auf ein Element im Bearbeitungsfenster im Befehlsmodus erscheint.


Bearbeiten von Nenn- und Zielwerten

In den meisten Fällen können Elementmessungen problemlos durchgeführt werden. Aufgrund von Herstellerfehlern kommt es allerdings manchmal vor, dass sich ein Element nicht nahe an dessen theoretischer (Nenn-)Position befindet, sondern irgendwie verschoben wurde. In einem solchen Fall müssen bei gemessenen Elementen die theoretischen Werte angepasst werden. Wenn Sie jedoch die fortgeschritteneren Auto-Elemente verwenden, können Sie anstelle der theoretischen Werte das Ziel ändern. Dadurch wird der Pfad entsprechend angeglichen und die Merkmalserstellung findet relativ zu den ursprünglichen theoretischen Werten statt.

Ändern von Nennwerten (für gemessene sowie Auto-Elemente)

In PC-DMIS haben Sie die Möglichkeit, die Nennwerte auf einfache Weise zu ändern. Sie können das Feld selbst im Befehlsmodus auf einfache Weise ändern. Alternativ können Sie den Cursor über das Element platzieren und auf F9 drücken. Daraufhin erscheint ein Dialogfeld, das die Nennwertangaben enthält.

Bearbeiten Sie die Nennwertangaben und klicken Sie entweder auf OK oder auf Erzeugen. Das Dialogfeld wird geschlossen.

  • Bei der Bearbeitung eines gemessenen Elements werden Sie von PC-DMIS gefragt, ob die gemessenen Werte ebenfalls aktualisiert werden sollten. Wenn Sie mit Ja antworten, werden die gemessenen Werte so aktualisiert, dass Sie den eingegebenen Nennwerten entsprechen. Wenn Sie mit Nein antworten, bleiben die gemessenen Werte so, wie sie waren.

  • Bei der Bearbeitung eines Auto Elements werden Sie von PC-DMIS gefragt, ob die Zielwerte entsprechend den neuen theoretischen Werte geändert werden sollen. Wenn Sie mit Ja antworten, werden die Zielwerte so aktualisiert, dass Sie den neu eingegebenen Nennwerten entsprechen. Wenn Sie mit Nein antworten, bleiben die Zielwerte so, wie sie waren.

Ändern von Zielwerten (nur für Auto Elemente)

Wenn Sie ein Auto Element verwenden, können Sie die Zielwerte anstelle der theoretischen Werte verändern. Die Zielwerte bestimmen die Stelle, an der PC-DMIS versucht, das Auto Element zu messen. Dadurch können Sie die theoretischen Werte für die Merkmalserstellung behalten, obwohl die Position, an der die Software die Messung versucht, sich ändert. Verwenden Sie zur Bearbeitung der Zielwerte das Bearbeitungsfenster:

  • Bearbeiten der Zielwerte in der Übersicht: Wählen Sie das Feld aus, drücken Sie die EINGABEtaste, geben Sie einen neuen Wert ein und drücken Sie nochmals die EINGABEtaste, um die Änderung zu speichern.

  • Bearbeiten der Zielwerte im Befehlsmodus: Rücken Sie mit Hilfe der TABULATORtaste zum Feld, das Sie verändern möchten, vor, geben Sie einen neuen Wert ein und drücken Sie nochmals die TABULATORtaste, um die Änderung zu speichern.


Ändern erkannter Elemente

Mit Hilfe des Untermenüs Bearbeiten | Elementtyp ändern können Sie den Typ des zuletzt gemessenen Elements ändern.

War das zuletzt gemessene Element beispielsweise ein Kreis, während PC-DMIS davon ausging, dass es sich um eine Ebene handelte, dann können Sie das Element mit dieser Option in den richtigen Typ umwandeln. Diese Option muss jedoch genutzt werden, bevor andere Elemente gemessen oder erstellt werden.

Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor im Bearbeitungsfenster auf das Element, für das ein falscher Typ ausgewiesen wurde.

  3. Wählen Sie den richtigen Elementtyp aus dem Untermenü Elementtyp ändern.

Sie können nun beobachten, wie die Elementsänderungen im Bearbeitungsfenster vorgenommen werden.


Ändern gefundener Nennwerte

Nennwerte ändern (Dialogfeld)

Über das Dialogfeld Nennwerte ändern (Bearbeiten | Nennwerte ändern) können Sie den entsprechenden theoretischen Punkt aus den CAD-Flächen für Auto-Vektorpunkte, Auto-Flächenpunkte und Einzelmessungen innerhalb anderer Elemente (beispielsweise aus Scans) auswählen. Dadurch wird das standardmäßige Vorgehen von PC-DMIS bei der Nennwertsuche während des Lernmodus' und Ausführmodus' übergangen.

PC-DMIS wird bei dem Versuch, (innerhalb der Nennwertsuchtoleranz) einen gültigen theoretischen Punkt zu finden, größtenteils den richtigen Punkt bei Aufnahme eines manuellen Messpunktes wählen. Es gibt jedoch Ausnahmefälle, in denen PC-DMIS keinen richtigen Punkt finden kann und stattdessen einen nicht korrekten Punkt auf dem CAD-Modell wählt. In diesen Fällen können Sie das Dialogfeld Nennwerte ändern nutzen, um PC-DMIS bei der Suche nach dem richtigen Nennpunkt auf den CAD-Flächen zu helfen.

Die folgenden Themen beschreiben das Dialogfeld selbst und wie dieses Dialogfeld in den verschiedenen Modi verwendet wird:

Siehe auch:

Das Dialogfeld "Nennwerte ändern"

So verwenden Sie das Dialogfeld "Nennwerte ändern" im Lernmodus:

So verwenden Sie das Dialogfeld "Nennwerte ändern" im Ausführmodus:

So verwenden Sie das Dialogfeld "Nennwerte ändern" vom Bearbeitungsfenster aus:


Das Dialogfeld "Nennwerte ändern"

Nennwerte ändern (Dialogfeld)

Dieses Dialogfeld wird unter folgenden Themen beschrieben:

Siehe auch:

Die Spalten "Prioritäts-Fläche, Durchstoßpunkt- und Lotpunkt"

Das Feld "Toleranz"

Das Kontrollkästchen "Vorherige Fläche verwenden"

Die Schaltfläche "Ändern"


Die Spalten "Vorzugsfläche, Durchstoß- und Lotpunkt"

Dieser Bereich des Dialogfelds enthält die folgenden drei Spalten:

1.) Vorzugsfläche

2.) Druchstoßpunkt

3.) Lotpunkt

Ein "T-Wert" ist der Abstand des Messpunkts vom Nennpunkt entlang des theoretischen CAD-Oberflächenvektors.

Sie zeigen die maßgeblichen theoretischen Punktwerte and deren T-Werte (das heißt, den links neben den X-,Y- und Z-Werten in Klammern stehenden Wert) an.

Spalte Vorzugsflächen - Diese Spalte enthält eine Liste der Flächen, die Sie im Dialogfeld CAD-Elemente bearbeiten (Bearbeiten | Grafikfenster | Cad-Elemente) als Prioritätsflächen gespeichert haben. Menü-Übersicht anzeigen

Hier werden der Flächentyp und ein Kontrollkästchen eingeblendet. Über dieses Kontrollkästchen können Sie die Fläche der durch PC-DMIS geführten Liste der Vorzugs- bzw. Prioritätsflächen hinzufügen oder diese daraus entfernen. Wenn Sie dieses Kontrollkästchen markieren, wird die Fläche in die Prioritätsliste aufgenommen. Wenn Sie die Auswahl dieses Kontrollkästchen aufheben, wird die Fläche aus der Liste entfernt.

Spalte Durchstoßpunkt – Diese Spalte enthält die Nennpunktwerte, die mit Hilfe der Durchstoßpunkt-Operation von PC-DMIS gefunden wurden. Wenn der Text "Op fehlgeschlagen" in dieser Spalte erscheint, bedeutet dies, es war nicht möglich, den Nennpunkt mit Hilfe der Durchstoßpunkt-Operation auf dieser Fläche zu finden. Wird ein Punkt in Grün hervorgehoben, ist dieser Punkt der beste Nennpunkt, der durch einen Auswahlalgorithmus gefunden wurde. Natürlich können Sie diesen ausgewählten Punkt verändern.

Spalte Lotpunkt – Diese Spalte enthält die Nennpunktwerte, die mit Hilfe der Lotpunkt-Operation von PC-DMIS gefunden wurden.


Das Feld "Toleranz"

Über das Feld Toleranz können Sie den neuen Toleranzwert vorgeben, der bei der Suche der Sollpunkte über dieses Dialogfeld zu verwenden ist.


Das Kontrollkästchen "Vorherige Fläche verwenden"

Durch Aktivieren des Kontrollkästchens Vorherige Fläche verwenden wird PC-DMIS angewiesen, die letzte Fläche für die Suche nach Sollpunkten zu verwenden. Dieses Kontrollkästchen ist erst dann zur Auswahl verfügbar, wenn Sie einen Messpunkt auf einer Fläche mit geöffnetem Dialogfeld aufgenommen haben. Nachdem Sie einen Messpunkt aufgenommen haben, verfügt PC-DMIS über eine Fläche, um mit künftigen Messpunkten zu arbeiten.


Die Schaltfläche "Ändern"

Über die Schaltfläche Ändern wird ein nicht korrekter von PC-DMIS gefundener Nennpunkt durch die Nennpunktdaten aus der Liste geändert, die in die Spalten Prioritäts-Fläche, Durchstoßpunkt und Lotpunkt aufgeteilt ist.


So verwenden Sie das Dialogfeld "Nennwerte ändern" im Lernmodus:

So öffnen Sie dieses Dialogfeld im Lernmodus:

  1. Wählen Sie die Kontrollkästchen Nur-Punkt-Modus und Nennwertsuche auf der Registerkarte Allgemein des Dialogfelds Setup-Optionen aus (Bearbeiten | Einstellungen | Einrichten). Menü-Übersicht anzeigen

  2. Stellen Sie sicher, dass Sie ein schattiertes CAD-Modell importiert haben.

  3. Klicken Sie auf das Symbol Flächenmodus in der Symbolleiste Grafikmodi.

  4. Wählen Sie die Menüoption Nennwerte ändern aus. Nun erscheint das Dialogfeld Nennwerte ändern.

Mit dem geöffneten Dialogfeld Nennwerte ändern wird PC-DMIS der eigenen normalen Logik folgen, wenn Sie einen manuellen Messpunkt aufnehmen, und so genau wie möglich den Nennwert auswählen. Dabei werden die zuletzt gemessenen Messpunktkoordinaten und Antastvektoren zugrundegelegt.

Danach können Sie das Dialogfeld Nennwerte ändern nutzen, um weitere Verfahren zur Änderung des gefundenen Nennpunkts durchzuführen.

Siehe auch:

Verfahren 1: Nennpunkte auf der vorherigen Fläche finden

Verfahren 2: Nennpunkte auf Prioritäts-Flächen finden

Verfahren 3: Nennpunkte auf allen CAD-Flächen finden

Verfahren 4: Einen Nennpunkt später auswählen

Nach dem Auswählen des Besten Nennpunkts


Verfahren 1: Nennpunkte auf der vorherigen Fläche finden

Wenn Sie das Kontrollkästchen Vorherige Fläche verwenden aktivieren, wird über das Dialogfeld Nennwerte ändern versucht, einen Nennpunkt aus der zuletzt verwendeten Fläche zu finden. Wenn das Dialogfeld einen Punkt innerhalb der Nennwertsuchtoleranz auf der zuletzt verwendeten Fläche finden kann, wird dieser Nennpunkt ausgewählt und ein Auto-Vektorpunkt auf Basis der Nennwerte erzeugt.


Verfahren 2: Nennpunkte auf Prioritäts-Flächen finden

Wenn das Dialogfeld Nennwerte ändern keinen Nennpunkt auf der zuletzt verwendeten Fläche finden kann (siehe "Verfahren 1: Nennpunkte auf der vorherigen Fläche finden"), wird versucht, einen Nennpunkt auf einer Prioritäts-Fläche zu finden. Als Prioritäts-Flächen werden die Flächen bezeichnet, die der Benutzer als eine Untergruppe der CAD-Flächen zum Auffinden von Nennwerten ausgewählt hat. Prioritäts-Flächen können über das Kontrollkästchen Priorität setzen im Dialogfeld CAD-Elemente bearbeiten aktiviert oder deaktiviert werden. (Weitere Informationen finden Sie unter "Bearbeiten von CAD" im Abschnitt "Bearbeiten der CAD-Anzeige"). Wenn das Dialogfeld einen passenden Punkt in den Prioritäts-Flächen finden kann, wird dieser Punkt ausgewählt und ein Auto-Vektorpunkt auf Basis der Nennwerte erzeugt. Außerdem werden die innerhalb der Nennwertsuchtoleranz gültigen Nennpunkte aller Prioritäts-Flächen im Dialogfeld Nennwerte ändern angezeigt.


Verfahren 3: Nennpunkte auf allen CAD-Flächen finden

Wenn PC-DMIS immer noch keinen Nennpunkt unter Verwendung der oben beschriebenen Verfahren 1 und 2 finden konnte (siehe "Verfahren 1: Nennpunkte auf der vorherigen Fläche finden" und "Verfahren 2: Nennpunkte auf Prioritäts-Flächen finden"), wird folgendermaßen vorgegangen:

  • PC-DMIS sucht den besten Nennpunkt auf allen CAD-Flächen innerhalb der Nennwertsuchtoleranz

  • Es wird ein Auto-Vektorpunkt auf Basis des besten verfügbaren Nennpunkts erstellt.

  • Es werden alle CAD-Flächen angezeigt, deren Nennpunkte im Dialogfeld Nennwerte ändern erschienen sind.


Verfahren 4: Einen Nennpunkt später auswählen

Wenn PC-DMIS auf allen CAD-Flächen immer noch keinen passenden Punkt finden kann, erscheint die Frage, ob der Auto-Vektorpunkt jetzt erzeugt werden kann und Sie den Nennpunkt später auswählen wollen. Nach Ihrer Bestätigung erzeugt PC-DMIS im Bearbeitungsfenster einen Auto-Vektorpunkt und Sie können eine der folgenden Optionen wählen:

Option 1 Sie können einen neuen Messpunkt aufnehmen und PC-DMIS wird versuchen, einen Nennpunkt zu finden. Im Wesentlichen fangen Sie wieder von vorne an, wenn Sie diese Option wählen.

Option 2 Sie können einen anderen Nennpunkt aus dem Dialogfeld auswählen und die Schaltfläche Ändern anklicken. Daraufhin wird PC-DMIS den zuvor ausgewählten Nennpunkt mit dem neu ausgewählten Nennpunkt für den zuletzt erzeugten Auto-Vektorpunkt überschreiben.

Sie werden gewöhnlich diese Option wählen, wenn Sie nicht mit dem Nennpunkt einverstanden sind, den PC-DMIS mit den unter folgenden Themen beschriebenen Verfahren finden wollte:

  • "Verfahren 1: Nennpunkte auf der vorherigen Fläche finden"

  • "Verfahren 2: Nennpunkte auf Prioritäts-Flächen finden"

  • "Verfahren 3: Nennpunkte auf allen CAD-Flächen finden"

Option 3 Sie können eine CAD-Fläche auf dem Bildschirm auswählen. PC-DMIS wird daraufhin versuchen, Nennwerte auf der ausgewählten Fläche zu finden und diese Punkte im Dialogfeld Nennwerte ändern anzeigen.

Sie können den zuvor gefundenen Nennwert ändern, indem Sie einen Punkt aus dieser neuen Fläche auswählen und auf Ändern klicken.

Hinweis: Bei dieser Option ignoriert PC-DMIS die Nennwertsuchtoleranz. So werden diese Punkte auch noch im Dialogfeld angezeigt, wenn die ausgewählte CAD-Fläche außerhalb der Nennwertsuchtoleranz liegt.

Option 4 Sie können die Nennwertsuchtoleranz erhöhen, indem Sie den Wert im Feld Toleranz ändern und auf Übernehmen klicken. PC-DMIS wird dann wieder folgende Verfahren unter Zugrundelegung des höheren Toleranzwertes anwenden und passende Punkte anzeigen:

  • "Verfahren 1: Nennpunkte auf der vorherigen Fläche finden"

  • "Verfahren 2: Nennpunkte auf Prioritäts-Flächen finden"

  • "Verfahren 3: Nennpunkte auf allen CAD-Flächen finden"

Daraufhin können Sie einen gültigen Punkt auswählen und auf Ändern klicken, um einen Nennpunkt für den zuletzt erzeugten Auto-Vektorpunkt zu akzeptieren.

Das Erhöhen der Nennwertsuchtoleranz im Feld Toleranz hat dieselbe Wirkung, wie eine Änderung der NW-Suchtoleranz in der Registerkarte Allgemein des Dialogfelds Setup-Optionen.


Nach dem Auswählen des besten Nennpunkts

Nachdem der beste Nennpunkt ausgewählt wurde, wird PC-DMIS sich die ausgewählte Fläche für dieses Element merken.

Während der Ausführung im manuellen Modus wird PC-DMIS:

  1. Den im Feld Nennwerte während der Ausführung suchen enthaltenen Wert verwenden, der in der Registerkarte Allgemein des Dialogfelds Setup-Optionen (Bearbeiten | Einstellungen | Einrichten) aufrufbar ist. Menü-Übersicht anzeigen

  2. Für diese Funktion müssen Sie das Kontrollkästchen Nennwerte während der Ausführung suchen (das auch auf der Registerkarte Allgemein aufrufbar ist) aktivieren.

  3. Versuchen, dieselbe Fläche und dasselbe CAD-Verfahren (Durchstoßpunkt- oder Lotpunkt-Verfahren) zu verwenden, um die neuen Nennpunkte für den zuletzt ausgeführten Punkt zu finden.

Wenn kein Nennpunkt auf dieser CAD-Fläche gefunden werden kann, wird PC-DMIS wieder auf das Dialogfeld Nennwerte ändern zugreifen. Weitere Informationen zum Verhalten während des Ausführmodus finden Sie unter "So verwenden Sie das Dialogfeld "Nennwerte ändern" im Ausführmodus: ".


So verwenden Sie das Dialogfeld "Nennwerte ändern" im Ausführmodus:

Wie bereits unter "Nach dem Auswählen des besten Nennpunktes" im Hinblick auf das Dialogfeld Nennwerte ändern erwähnt wurde, wird dieses nur dann im Ausführmodus von PC-DMIS eingeblendet, wenn folgende Bedingungen erfüllt sind:

  • Sie müssen ein schattiertes Modell mit Oberflächen importieren und das Symbol Flächenmodus in der Symbolleiste Grafikmodi auswählen.

  • Sie müssen das Kontrollkästchen Nennwerte während der Ausführung suchen in der Registerkarte Allgemein des Dialogfelds Setup-Optionen aktivieren.

  • Der Auto-Vektorpunkt oder der Auto-Flächenpunkt muss einen gültigen Nennwert im Lernmodus aufweisen (siehe "So verwenden Sie das Dialogfeld "Nennwerte ändern" im Lernmodus:").

  • Die Ausführung muss im manuellen Modus erfolgen.

  • PC-DMIS muss das Auto-Vektorpunkt- oder Auto-Flächenpunkt-Element ausführen.

  • PC-DMIS darf keinen Nennpunkt für den ausgeführten Auto-Vektorpunkt- oder Auto-Flächenpunkt gefunden haben.

Wenn das Dialogfeld eingeblendet wird, wird die Ausführung angehalten und Sie können über das Dialogfeld in der Art und Weise eingreifen, wie sie bereits unter "So verwenden Sie das Dialogfeld "Nennwerte ändern" im Lernmodus:" beschrieben wurde.

Außerdem haben Sie die Wahl, das zuletzt gemessene Punktelement erneut zu messen. In diesem Fall wiederholt PC-DMIS die Ausführung und versucht, nochmals Nennwerte zu finden. Wenn immer noch keine Nennwerte für diesen Punkt gefunden werden konnten, blendet PC-DMIS wieder das Dialogfeld Nennwerte ändern ein.

Die folgenden Optionen sind daraufhin verfügbar:

  • Führen Sie die Funktion erneut aus.

  • Verwenden Sie die Schaltfläche Ändern wie unter "Verfahren 4: Einen Nennpunkt später auswählen" beschrieben.

  • Schließen Sie das Dialogfeld durch Klicken auf die Schaltlfläche Abbrechen. Wenn Sie das Dialogfeld schließen, ohne einen passenden Nennwert ausgewählt zu haben, wird PC-DMIS die gemessenen Daten durch die vorherigen Nennwerte ersetzen.


So verwenden Sie das Dialogfeld "Nennwerte ändern" vom Bearbeitungsfenster aus:

Sie können das Dialogfeld "Nennwerte ändern" öffnen, indem Sie mit der rechten Maustaste eins der folgenden Elemente anklicken und Nennwerte ändern aus dem Kontextmenü auswählen:

  • Vektorpunkt

  • Flächenpunkt

  • Einzelner Messpunkt

Das Dialogfeld wird dann die Messdaten (Punkt und Vektor) des Elements verwenden, um einen passenden Nennpunkt, wie unter So verwenden Sie das Dialogfeld "Nennwerte ändern" im Lernmodus:" beschrieben wurde, zu finden.


Markieren von Befehlen für die Ausführung

Damit PC-DMIS-Befehle ausgeführt werden, müssen Sie diese zuerst für die Ausführung markieren. Die folgenden Menüoptionen und Befehle steuern die Markierung von Befehlen:

Siehe auch:

Markieren

Alles markieren

Alles löschen

Übergeordneter Modus

Untergeordneter Modus

Modus "Neue Ausrichtung"


Markieren

Mit der Menüoption Bearbeiten | Markierungen | Markieren können Sie ein bestimmtes Element oder einen bestimmten Befehl zur Ausführung markieren. PC-DMIS markiert Befehle, die immer ausgeführt werden, automatisch, wie beispielsweise Ausrichtungs-, Tastspitzen-Befehle usw.

Es gibt mehrere Möglichkeiten für das Markieren von Elementen oder Befehlen. PC-DMIS kennzeichnet markierte Elemente im Bearbeitungsfenster mit Hilfe der Markierungsfarbe. (Informationen hierzu finden Sie unter "Definieren der Farben im Bearbeitungsfenster" im Abschnitt "Voreinstellungen". Das Programm blendet zudem im Grafikfenster neben der Element-ID ein Sternchen (*) ein. Möglichkeiten zur Markierung von Werkstückprogramm-Einträgen:

  • Markieren Sie das gewünschte Element oder den Befehl im Bearbeitungsfenster. Positionieren Sie den Cursor über dem zu markierenden Element und wählen Sie Markieren. Der markierte Befehl wird hervorgehoben.

  • Markieren Sie mehrere Befehle im Bearbeitungsfenster. Wählen Sie die zu markierenden Befehle im Bearbeitungsfenster aus und wählen Sie Markieren. Die markierten Befehle werden hervorgehoben.

  • Markieren Sie das gewünschte Element im Grafikfenster. Stellen Sie sicher, dass sich PC-DMIS im Übertragungsmodus befindet. Klicken Sie mit der linken Maustaste auf das gewünschte Element, während Sie die UMSCHALTTASTE gedrückt halten.

  • Markieren Sie mehrere Elemente im Grafikfenster. Stellen Sie sicher, dass sich PC-DMIS im Übertragungs- oder Textfeldmodus befindet. Halten Sie die UMSCHALTTASTE gedrückt, während Sie durch Klicken und Ziehen mit der Maus die gewünschten Elemente auswählen (siehe Kästchenauswahl).

Wenn Sie die Menüoption Bearbeiten | Markierungen | Übergeordneter Modus Menü-Übersicht anzeigen ausgewählt haben und ein erstelltes Element oder ein Merkmal markieren, markiert PC-DMIS auch alle zugehörigen Elemente, die beim entsprechenen Erstellungs- oder Merkmalsverfahren verwendet wurden.

Wenn Sie die Menüoption Bearbeiten | Markierungen | Untergeordneter Modus Menü-Übersicht anzeigen ausgewählt haben und ein Element markieren, das zur Erstellung eines Elements oder zum Erstellen eines Merkmals verwendet wird, markiert PC-DMIS auch alle zugehörigen untergeordneten Elemente.

Hinweis: Die Markierung von Elementen und Befehlen kann durch Wiederholen eines der obigen Verfahren wieder aufgehoben werden.

Wenn ein Eintrag markiert ist, kann die Markierung für bestimmte Linien innerhalb des Eintrags aufgehoben werden. Beispielsweise kann die Markierung einiger Element- und Merkmalslinien aufgehoben werden. Nicht mehr markierte Linien werden nicht ausgeführt.

Wenn Merkmale markiert sind, sendet PC-DMIS nach Ausführung des Programms die Ergebnisse, einschließlich der richtigen Ausgabekonfiguration, an den Drucker. (Informationen hierzu finden Sie unter "Ausgabe an" im Abschnitt "Merkmal für Elemente erstellen".)


So heben Sie die Markierung für bestimmte Linien innerhalb eines Elements auf:

  1. Bewegen Sie den Cursor zur gewünschten Linie innerhalb des markierten Elements (beispielsweise zur Linie MESSPKT/BASIS).

  2. Wählen Sie die Option Bearbeiten | Markierungen | Markieren erneut aus Menü-Übersicht anzeigen , um die Markierung der angegebenen Linie aufzuheben.


Alles markieren

Mit der Menüoption Bearbeiten | Markierungen | Alles markieren werden alle Elemente oder Befehle im Bearbeitungsfenster zur Ausführung markiert. PC-DMIS hebt die ausgewählten Elemente im Bearbeitungsfenster hervor, indem es sie in grünem Text anzeigt. PC-DMIS blendet darüber hinaus im Grafikfenster neben jeder Element-ID, die zur Ausführung markiert ist, ein Sternchen (*) ein.

Bei Wahl des Befehls Alles markieren werden Sie von PC-DMIS gefragt, ob manuelle Ausrichtungselemente ebenfalls markiert werden sollen.

  • Wenn Sie auf Ja klicken, markiert PC-DMIS das gesamte Werkstückprogramm, einschließlich der Ausrichtungselemente, zur Ausführung.

  • Wenn Sie auf Nein klicken, markiert PC-DMIS das gesamte Werkstückprogramm zur Ausführung, lässt jedoch die Ausrichtungselemente unberücksichtigt . Außerdem bleiben Bewegungsbefehle auch unmarkiert, da sie nicht im manuellen Modus ausgeführt werden können.


Alles löschen

Mit der Menüoption Bearbeiten | Markierungen | Alles löschen können Sie im Bearbeitungsfenster alle Einträge, die zuvor zur Ausführung markiert wurden, entfernen (oder deren Markierung aufheben).


Übergeordneter Modus

Bei Auswahl von Bearbeiten | Markierungen | Übergeordneter Modus wird der übergeordnete Befehl markiert (sofern diese Menüoption aktiviert und der zugehörige Befehl im Bearbeitungsfenster markiert ist). Ein übergeordneter Befehl ist ein Befehl (oder eine von einem Befehl stammende Information), der (die) in einem anderen Befehl verwendet wird. Wenn Sie diese Option beispielsweise nach dem Markieren eines Merkmals wählen, wird das in diesem Merkmal verwendete Element ebenfalls markiert. Dies war der Standardmodus in Versionen von PC-DMIS vor Version 3.25.

Hinweis: Wenn Sie die Markierung für einen untergeordneten Befehl aufheben, bleibt der übergeordnete Befehl weiterhin markiert.


Untergeordneter Modus

Bei Auswahl der Option Bearbeiten | Markierungen | Untergeordneter Modus werden alle untergeordneten Befehle markiert, solange der zugehörige übergeordnete Befehl ebenfalls markiert ist. Ein untergeordneter Befehl ist ein Befehl, dessen Ausführung von einem anderen Befehl abhängig ist. Wenn Sie bei Auswahl dieser Option z. B. ein Element markieren, zu dem ein Merkmal gehört, wird das Merkmal dieses Elements ebenfalls markiert.

Hinweis: Wird weder die Option Übergeordneter Modus noch die Option Untergeordneter Modus ausgewählt, werden nur die ausgewählten Einträge zur Ausführung markiert.

Hinweis: Wenn Sie die Markierung für einen übergeordneten Befehl aufheben, bleibt der untergeordnete Befehl weiterhin markiert.


Modus "Neue Ausrichtung"

Mit dem Modus Bearbeiten | Markierungen | Modus "Neue Ausrichtung" (angezeigt mit einem Häkchen neben der Menüoption) werden jedesmal, wenn ein Element oder Merkmal zur Ausführung markiert wird, übereinstimmende Ausrichtungsdaten markiert.


Erstellen und Ausführen von Markierungsgruppen

In PC-DMIS können Sie markierte Elemente zu "Sätzen", sogenannten "Gruppen", zusammenfassen. Anschließend können Sie die gespeicherten Gruppen über das Fenster Markierungsgruppen ausführen.

  • Es können bis zu dreißig (30) Markierungsgruppen für ein Werkstückprogramm definiert sein.

  • Mit jeder Markierungsgruppe können unbegrenzt viele Elemente verknüpft werden.

  • Beim Ausführen werden nur die Elemente berücksichtigt, die in der aktiven Markierungsgruppe geordnet sind.

  • Jede Markierungsgruppe, die innerhalb eines Werkstückprogramms erstellt wird, wird im "Fenster mit Markierungsgruppen" als Symbol angezeigt. Jedes Symbol ist eine grafische Darstellung aller Elemente, die mit der entsprechenden Markierungsgruppe verknüpft sind.

In den folgenden Themen wird beschrieben, wie Sie Markierungsgruppen erstellen, ändern, ausführen, neu anordnen, sperren und löschen können.

Siehe auch:

Beispiel für ein Markierungsgruppenfenster


Beispiel für ein Markierungsgruppenfenster

Markierungsgruppenfenster mit zwei erstellten Markierungssätzen (Satz1 und Satz2).

Hinweis: Wenn das Fenster mit Markierungsgruppen ausgeblendet ist, sind alle Markierungssätze deaktiviert und die Ausführung von Werkstückprogrammen folgt den Regeln des Standardmodus.

Verfügbare Schaltflächen

Öffnen – Über diese Schaltfläche wird das Standard-Dialogfeld Öffnen aufgerufen, in dem Sie Werkstückprogramme öffnen und andere untergeordnete Dateivorgänge durchführen können. Informationen hierzu finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Protokoll drucken – Diese Schaltfläche sendet das aktuelle Protokoll an die derzeit geöffnete Ausgabeoption. Siehe auch "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Kalibrieren – Diese Schaltfläche öffnet das Dialogfeld Taster-Hilfsprogramme, in dem Sie Ihre Tastspitzen kalibrieren können. PC-DMIS deaktiviert diese Schaltfläche für Gom (Krypton), Romer und Garda-Schnittstellen. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

Siehe auch:

So erstellen Sie neue Markierungsgruppen

So fügen Sie vorhandenen Markierungsgruppen Elemente hinzu

So entfernen Sie Elemente aus vorhandenen Markierungsgruppen

So passen Sie die Symbole für Markierungsgruppen an

So ordnen Sie Markierungsgruppen neu an

So führen Sie Markierungsgruppen aus

So sperren Sie Markierungsgruppen

So löschen Sie Markierungsgruppen


So erstellen Sie neue Markierungsgruppen

  1. Über die Option Bearbeiten | Markierungen | Neue Markierungsgruppe oder einen Doppelklick auf eine beliebige Stelle im Markierungsgruppenfenster wird das Dialogfeld Neue Markierungsgruppe geöffnet, in dem Sie zur Eingabe eines Namens für die neue Markierungsgruppe aufgefordert werden.

Neue Markierungsgruppe (Dialogfeld)

  2. Geben Sie einen Namen zur Beschreibung der Markierungsgruppe ein. Auch wenn Namen mit unbegrenzter Länge eingegeben werden können, verbessern kurze beschreibende Stichworte die Lesbarkeit.

  3. Klicken Sie auf OK. Die neue Markierungsgruppe wird im Markierungsgruppenfenster gespeichert. Nun müssen Sie die neue Markierungsgruppe öffnen und ihr Elemente hinzufügen.


So fügen Sie vorhandenen Markierungsgruppen Elemente hinzu

  1. Wählen Sie die Option Bearbeiten | Markierungen | Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

  2. Vergewissern Sie sich, dass die zu ändernde Markierungsgruppe aktiv ist (drücken Sie TAB, um durch die Markierungsgruppen zu blättern oder klicken Sie einmal auf die Markierungsgruppe, um diese auszuwählen).

  3. Öffnen Sie das Bearbeitungsfenster und markieren Sie die Elemente, die der Markierungsgruppe hinzugefügt werden sollen. Das Standardsymbol für die Markierungsgruppe ändert sich dynamisch und spiegelt die Änderungen wider.

  4. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So entfernen Sie Elemente aus vorhandenen Markierungsgruppen

  1. Wählen Sie die Option Bearbeiten | Markierungen | Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

  2. Vergewissern Sie sich, dass die zu ändernde Markierungsgruppe aktiv ist (drücken Sie TAB, um durch die Markierungsgruppen zu blättern oder klicken Sie einmal auf die Markierungsgruppe, um diese auszuwählen).

  3. Öffnen Sie das Bearbeitungsfenster und heben Sie die Markierung jener Elemente auf, die aus dem Markierungssatz entfernt werden sollen. Das Standardsymbol für die Markierungsgruppe ändert sich dynamisch und spiegelt die Änderungen wider.

  4. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So passen Sie die Symbole für Markierungsgruppen an

Markierungsgruppen können anstelle der Standardgrafiken, sofern erwünscht, auch mit benutzerdefinierten Bitmap-Bildern dargestellt werden. So verwenden Sie ein benutzerdefiniertes Bitmap-Bild:

  1. Erstellen Sie in "Paint" oder in einem anderen Bitmap-Editor ein farbiges Bitmap. Dieses Bild sollte nicht größer als 48 x 48 Pixel sein.

  2. Speichern Sie die Bitmap-Datei im selben Verzeichnis wie das Werkstückprogramm. Die Bitmap-Dateinamen müssen der folgenden Namenskonvention entsprechen, damit sie von PC-DMIS als solche erkannt werden:

MARKST00.BMP für die erste Markierungsgruppe

MARKST01.BMP für die zweite Markierungsgruppe

MARKST02.BMP für die dritte Markierungsgruppe

…

MARKST30.BMP für die einunddreißigste Markierungsgruppe

Beispiel: Wenn die Bitmap-Datei MARKST00.BMP beim Erstellen der ersten Markierungsgruppe im Werkstückprogramm-Verzeichnis abgelegt wird, wird das in der Datei MARKST00.BMP enthaltene Bitmap-Bild angezeigt. Besitzt eine Markierungsgruppe keine eigene Bitmap-Datei, wird die Standardgrafik verwendet. Die Liste der verwendeten Bitmap-Dateien darf Lücken aufweisen. So können Sie beispielsweise die Markierungssätze 1 und 5 mit Bitmap-Dateien versehen und für die Markierungssätze 2, 3 und 4 Standardbilder verwenden.


So ordnen Sie Markierungsgruppen neu an

Markierungsgruppen lassen sich auch neu positionieren. Vorgehensweise:

  1. Wählen Sie die Option Bearbeiten | Markierungen | Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

  2. Wählen Sie die gewünschte Markierungsgruppe mit der linken Maustaste aus, während Sie die UMSCHALTTASTE gedrückt halten.

  3. Ziehen Sie die Markierungsgruppe an die neue Position.

  4. Lassen Sie die UMSCHALTTASTE und die linke Maustaste los. Nun aktualisiert PC-DMIS das Markierungsgruppenfenster mit der Änderung.

  5. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So führen Sie Markierungsgruppen aus

  1. Wählen Sie die Option Bearbeiten | Markierungen | Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

  2. Doppelklicken Sie auf die Markierungsgruppe, die Sie ausführen möchten. PC-DMIS führt nun die Markierungsgruppe aus.

  3. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So sperren Sie Markierungsgruppen

Wenn ein Markierungssatz für ein Werkstückprogramm definiert wurde, lässt sich dieser sperren, damit niemand unbeabsichtigt die aktuelle Konfiguration löschen oder verändern kann. Weitere Informationen zu dieser Option finden Sie unter "Markierungsgruppen sperren" im Abschnitt "Voreinstellungen".


So löschen Sie Markierungsgruppen

Alle vorher erstellen Markierungsgruppen können auf einfache Weise gelöscht werden. Vorgehensweise:

  1. Wählen Sie die Option Bearbeiten | Markierungen | Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

  2. Vergewissern Sie sich, dass die zu löschende Markierungsgruppe aktiv ist (drücken Sie die TABULATORTASTE, um durch die Markierungsgruppen zu blättern, oder klicken Sie einmal auf die Markierungsgruppe, um diese auszuwählen).

  3. Drücken Sie die Taste ENTF. Daraufhin wird ein Bestätigungsfeld eingeblendet, das die Löschung der Markierungsgruppe bestätigt.

  4. Klicken Sie auf die Schaltfläche Ja. Die Markierungsgruppe wird gelöscht und das Symbol aus dem Markierungsgruppenfenster entfernt.

  5. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


Beispiel der Ausführungsfarben im Befehlsmodus

Beispiel der Farben, die im Befehlsmodus während der Ausführung mit einem Haltepunkt verwendet werden.

Beispiel der Ausführungsfarben im Übersichtsmodus

Beispiel der Farben, die im Übersichtsmodus während der Ausführung mit einem Haltepunkt verwendet werden.

Verwenden von Haltepunkten

Bearbeitungsfenster mit Haltepunkt (rotes Symbol)

Die Menüoption Bearbeiten | Haltepunkte ist ein nützliches Werkzeug zur Fehlersuche beim Erstellen, Testen und Ausführen von Werkstückprogrammen. Werkstückprogramme werden grundsätzlich sequentiell, zeilenweise, ausgeführt. Durch Setzen eines Haltepunkts in einer bestimmten Zeile wird die Programmausführung an der entsprechenden Stelle unterbrochen. Wenn das Werkstückprogramm variable Ausdrücke und eine Ablaufsteuerung verwendet, können Sie diese Variablen prüfen, um sicherzustellen, dass das Programm wie gewünscht funktioniert.

Wenn PC-DMIS die Ausführung an einem Haltepunkt anhält, können Sie die Schaltfläche Nächster Schritt verwenden. Die Schaltfläche setzt den Messvorgang schrittweise fort und legt dabei nach jedem ausgeführten Befehlsschritt, der eine Bewegung des KMG bewirkt, eine Pause ein. Im Schrittbetrieb können Sie Messpunkte in Elemente einfügen oder neue Elemente zwischen bestehenden Elementen oder Befehlen einfügen. Der Schrittbetrieb kann auch offline simuliert werden.

Wenn Sie an einen Punkt gelangen, an dem Sie mit der normalen Programmausführung fortfahren möchten, klicken Sie einfach auf die Schaltfläche Fortfahren des Dialogfelds Ausführung. Es stehen mehrere Menü- und Tastaturbefehle zum Ändern der Platzierung und zum Entfernen der Haltepunkte zur Verfügung. Haltepunkte werden zusammen mit dem Werkstückprogramm gespeichert und stehen daher wieder zur Verfügung, wenn das Werkstückprogramm das nächste Mal geöffnet wird.

Hinweis: Wenn das Programm Haltepunkte verwendet und sich das Bearbeitungsfenster imBefehlsmodus befindet, fährt PC-DMIS mit der Darstellung des Bearbeitungsfensters während der Ausführung fort, markiert aber die aktuellen, auszuführenden Befehle mit der Farbe rot. Befindet sich das Bearbeitungsfenster im Übersichtsmodus,, und ist ein Haltepunkt eingefügt, dann zeigt PC-DMIS eine grüne Markierung im Bearbeitungsfenster für bereits ausgeführte Befehle an. Elemente, die noch gemessen werden sollen, erscheinen in gelb und Elemente, die gerade gemessen werden, in blau. Nicht-ausgeführte Befehle werden in orange angezeigt.

Siehe auch:

Haltepunkt ein/aus

Standard-Haltepunkt einfügen

Standard-Haltepunkt löschen

Alle löschen


Haltepunkt ein/aus

Mit der Menüoption Bearbeiten | Haltepunkte | Haltepunkt ein/aus können Sie Lesezeichen setzen bzw. entfernen. Der Haltepunkt wird an der Position (Zeile) des Bearbeitungsfensters gesetzt bzw. entfernt, an der sich der Cursor befindet. Durch ein kleines rotes Kreissymbol am linken Rand des Bearbeitungsfensters wird das Vorhandensein eines Haltepunkts ausgewiesen.


Standard-Haltepunkt einfügen

Mit der Menüoption Bearbeiten | Haltepunkte | Standard-Haltepunkt einfügen können Sie Haltepunkte an Standardpositionen im ganzen Werkstückprogramm setzen. Standard-Haltepunkte sind definiert als Zeilen im Bearbeitungsfenster, die Befehle enthalten, die eine Bewegung des KMGs oder ein Verzweigen als Ergebnis eines Ablaufsteuerungsbefehls (z. B. IF-THEN-Anweisungen) bewirken. Weitere Informationen hierzu finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Standard-Haltepunkt löschen

Mit der Menüoption Bearbeiten | Haltepunkte | Standard-Haltepunkt löschen können Sie Haltepunkte an Standardpositionen im ganzen Werkstückprogramm löschen. Es werden nur die Haltepunkte an den Standardpositionen gelöscht (Siehe "Standardpunkte einfügen. Alle anderen Haltepunkte, die nicht in Standardpositionen gesetzt wurden, bleiben erhalten.


Alle löschen

Mit der Menüoption Bearbeiten | Haltepunkte | Alle löschen können Sie alle Haltepunkte aus dem Werkstückprogramm entfernen.


Anfangspunkte setzen

Bearbeitungsfenster mit Anfangspunkt (roter Pfeil)

Nur, wenn sich das Bearbeitungsfenster im Befehlsmodus befindet, können Anfangspunkte festgelegt werden (siehe "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters").

Wenn Sie einen Anfangspunkt in das Werkstückprogramm einfügen und dann die Option Datei | Teilw. Ausführung | Ausführen ab Startpunktauswählen, beginnt PC-DMIS mit der Ausführung des Werkstückprogramms am ersten Anfangspunkt anstatt den Programmablauf am Anfang des Werkstückprogramms zu starten.

Wichtig: Beachten Sie bitte, dass, wenn die aktuelle Tastspitze für diese Position im Programm nicht mit der aktuellen Ausrichtung des Tastkopfes übereinstimmt, PC-DMIS den obenstehenden Tastspitzenbefehl nicht ausführen wird, um die Tastspitzenausrichtung zu ändern.

Anfangspunkte sind besonders dann nützlich, wenn Sie im Mehrarmbetrieb arbeiten und ein Festlegen eines unterschiedlichen Anfangspunkts für jeden Arm erforderlich ist (siehe "Arbeiten im Mehrarmbetrieb").

Sie fügen einen Anfangspunkt in das Werkstückprogramm ein, indem Sie auf die Stelle im Bearbeitungsfenster klicken, auf der der Anfangspunkt erscheinen soll. Wählen Sie dann das Symbol Start Punkt einfügen/löschen aus der Symbolleiste Bearbeitungsfenster oder klicken Sie im Befehlsmodus mit der rechten Maustaste und wählen Sie aus dem Kontextmenü die Option Start Punkt einfügen/löschen aus.

Weitere Informationen finden Sie unter "Anfangspunkte für den Mehrarmbetrieb setzen" im Abschnitt "Arbeiten im Mehrarmbetrieb" und unter "Symbolleiste "Bearbeitungsfenster"" im Abschnitt "Verwenden von Symbolleisten".


Verwenden von Lesezeichen

Bearbeitungsfenster mit Lesezeichen (blaues Symbol)

Wenn sich das Bearbeitungsfenster im Befehlsmodus befindet, können Lesezeichen festgelegt werden. (Informationen hierzu finden Sie unter "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters") oder, falls aktiviert, unter DMIS-Modus. Lesezeichen markieren häufig verwendete Zeilen in einem Werkstückprogramm. Wenn eine Zeile mit einem Lesezeichen versehen ist, können Sie über Menü- oder Tastaturbefehle direkt zu dieser Zeile springen. Nicht mehr benötigte Lesezeichen lassen sich wieder entfernen. Die Lesezeichen werden zwischen den Bearbeitungssitzungen gespeichert und stehen daher wieder zur Verfügung, wenn das Werkstückprogramm das nächste Mal geöffnet wird.

Achtung: Beachten Sie bitte, dass die Leszeichen nicht den Befehlen, sondern den Zeilennummern zugewiesen werden. Es ist daher möglich, dass Lesezeichen, wenn diese in einem Modus gesetzt wurden und dann in einen anderen Modus gewechselt wird, bei unterschiedlichen Befehlen auftreten, selbst wenn sie sich in denselben Zeilennummern befinden.

Siehe auch:

Lesezeichen ein/aus

Nächstes Lesezeichen

Alle Lesezeichen löschen


Lesezeichen ein/aus

Mit der Menüoption Bearbeiten | Lesezeichen | Lesezeichen ein/aus können Sie Lesezeichen setzen bzw. entfernen. Das Lesezeichen wird an der Position (Zeile) des Bearbeitungsfensters gesetzt bzw. entfernt, an der sich der Cursor befindet. Durch ein kleines blaues Symbol am linken Rand wird das Vorhandensein eines Lesezeichens ausgewiesen.


Nächstes Lesezeichen

Mit der Menüoption Bearbeiten | Nächstes Lesezeichen können Sie zum nächsten Lesezeichen im Bearbeitungsfenster springen. Wenn PC-DMIS hinter der aktuellen Cursorposition kein weiteres Lesezeichen findet, wird die Suche am Anfang des Bearbeitungsfensters fortgesetzt.


Alle Lesezeichen löschen

Mit der Menüoption Bearbeiten | Lesezeichen | Alle Lesezeichen löschen können Sie alle Lesezeichen aus dem Bearbeitungsfenster entfernen.


Ändern von Schriftarten und Farben

Die Schriftarten und Farben, die im Bearbeitungsfenster verwendet werden, können auf einfache Weise geändert werden. Eine Anleitung hierzu finden Sie unter "Einrichten des Bearbeitungsfensters" im Abschnitt "Voreinstellungen".


Bearbeiten externer Objekte

In PC-DMIS können Sie nur im Befehlsmodus eingebettete externe Objekte bearbeiten. Hierzu wählen Sie das Objekt im Befehlsmodus aus und doppelklicken Sie auf das ausgewählte Objekt.

Informationen zum Erstellen und einfügen externer Objekte finden Sie unter "Einfügen externer Objekte" im Abschnitt "Hinzufügen externer Elemente".


Verwenden des Bearbeitungsfensters

Verwenden des Bearbeitungsfensters: Einführung

Basiskonzepte

Navigation durch das Bearbeitungsfenster

Verwenden des Grafikfensters, um zur Position eines bestimmten Elements zu wechseln

Die Standardfarben im Bearbeitungsfenster verstehen

Einfügen von Befehlen

Bearbeiten von Werten

Auswählen von Befehlen

Neuanordnen von Befehlen

Löschen von Befehlen

Zugreifen auf Dialogfelder

Ändern von Kopf- und Fußzeilen

Die Kopfzeile

Die Fußzeile

Formatierungsschlüsselwörter für Kopf- und Fußzeilen

Verwenden von Ausdrücken und Überwachungsfeldern zur Anpassung von Kopf- und Fußzeilen

Arbeiten im Übersichtsmodus

Layout

Befehle

Gruppen

Dateneinträge

Bearbeiten eines Werkstückprogramms im Übersichtsmodus

Auswählen von Befehlen

Hinzufügen von Befehlen

Entfernen von Befehlen

Kopieren, Ausschneiden und Einfügen von Befehlen

Befehle zur Ausführung markieren oder deren Markierung aufheben

Bearbeiten der Dateneinträge eines Befehls

Tastaturfunktionen des Übersichtsmodus

Arbeiten im Befehlsmodus

Erstellte Elemente

Merkmale

Merkmalsformat

Verfügbare Merkmale

Analyse

Statistikdaten

Ausrichtung

Ausrichtungsbefehle

CAD gleich Werkstück

Ausrichtung angleichen

Gemessene Elemente

Messpunkte

Basismesspunkt

Blechmesspunkte

Hinzufügen von Messpunktzeilen

Löschen von Leerzeilen

Bewegungsbefehle (Maschine)

Modus = MANUELL / CNC

Vorhalteabstand

Bewegungsgeschwindigkeit

Messgeschwindigkeit

Scangeschwindigkeit

Rückfahrabstand

Prüfabstand

Bewegungsbefehle (Taster)

Blechmessungen

Taster

Taster laden

Tasterkompensation

Lesepunkt

Tastspitze

Kommentare

Bediener

Protokoll

Eingabe

Dokumentation

Ja / Nein

Ergebnisanzeige

Überwachungsfelder

Ausdrücke

Bildschirmkopien

Globale Befehle

Tastaturfunktionen des Befehlsmodus

Arbeiten im DMIS-Modus


Verwenden des Bearbeitungsfensters: Einführung

Wählen Sie zum öffnen des Bearbeitungsfensters die Menüoption Ansicht | Bearbeitungsfenster.

Eines der Hauptwerkzeuge zur Bearbeitung von Werkstückprogrammen ist das Bearbeitungsfenster. Hier kann der Werkstückprogrammierer Bearbeitungsoperationen wie Ausschneiden, Kopieren und Einfügen vornehmen, Messbefehle hinzufügen und ausführen, Fehler suchen und Prüfergebnisse konfigurieren und anzeigen. Wenn Sie bereits frühere Versionen von PC-DMIS kennen, wird Ihnen das neue Aussehen des Bearbeitungsfensters auffallen.

  • Die Menüs des Bearbeitungsfensters wurden entfernt und in die neue Menüstruktur der aktualisierten Menüleiste integriert.

  • Die Symbolleiste Bearbeitungsfenster, die schnellen Zugriff auf zahlreiche häufig verwendete Funktionen des Bearbeitungsfensters bietet, wurde aus dem Bearbeitungsfenster entfernt. Sie ist nun über den PC-DMIS-Symbolleistenbereich zugänglich. Informationen zu dieser Symbolleiste finden Sie unter "Symbolleiste des Bearbeitungsfensters" im Abschnitt "Verwenden der Symbolleisten".

  • Das Bearbeitungsfenster kann nun an den Seitenrändern sowie am oberen oder unteren Rand des Bildschirms angekoppelt werden. Das bedeutet, dass Sie das Bearbeitungsfenster am Grafikfenster ankoppeln können.

  • Das Bearbeitungsfenster kann auch beweglich über dem Grafikfenster liegen. Dies war in früheren Versionen von PC-DMIS (Version 2.x bis 3.25) ebenfalls möglich. Um das Bearbeitungsfenster ungekoppelt zu lassen, klicken Sie mit der rechten Maustaste auf das Bearbeitungsfenster und deaktivieren die Option Kopplungsansicht. Dadurch wird ein neues Bearbeitungsfenster geöffnet, das sich genau wie das alte Bearbeitungsfenster verhält. In diesem Modus können Sie die Befehle im Menü Fenster verwenden.

Durch diese Verbesserungen erhalten Sie eine Reihe von Werkzeugen, mit denen sich der Inhalt des Bearbeitungsfensters einfach und intuitiv steuern lässt.

Bearbeitungsfenster

Unter den folgenden Themen dieses Abschnitts finden Sie allgemeine Informationen zum Bearbeitungsfenster sowie zum Bearbeiten von Werkstückprogrammen:

  • Basiskonzepte

  • Arbeiten im Übersichtsmodus

  • Arbeiten im Befehlsmodus

  • Arbeiten im DMIS-Modus


Basiskonzepte

Im Bearbeitungsfenster können Sie auf einfache Weise auf das aktuelle Programm des Werkstücks zugreifen. Änderungen am Werkstückprogramm lassen sich einfach über das Bearbeitungsfenster oder die Dialogfelder oder eine Kombination aus dem Bearbeitungsfenster und den entsprechenden Dialogfeldern vornehmen. Die nachfolgenden Abschnitte enthalten Basiskonzepte, die Sie beim Erlernen der Verwendung des Bearbeitungsfensters unterstützen.

Siehe auch:

Navigation durch das Bearbeitungsfenster

Die Standardfarben im Bearbeitungsfenster verstehen

Einfügen von Befehlen

Bearbeiten von Werten

Auswählen von Befehlen

Neuanordnen von Befehlen

Löschen von Befehlen

Zugreifen auf Dialogfelder

Ändern von Kopf- und Fußzeilen


Navigation durch das Bearbeitungsfenster

Das Bearbeitungsfenster enthält alle Befehle, aus denen Ihr Werkstückprogramm besteht. Jeder Befehl verfügt über editierbare und nicht editierbare Felder. Editierbare Felder sind Felder, deren Werte Sie ändern können.

Das Hinzufügen neuer Befehle oder das Bearbeiten vorhandener Befehle ist nur in den folgenden Modi möglich:

  • Im Befehlsmodus oder DMIS-Modus bewegen Sie den Cursor durch Drücken der TABULATORTASTE zum nächsten editierbaren Feld. Sie erkennen ein aktives editierbares Feld daran, dass der Wert in der Markierungsfarbe hervorgehoben ist (standardmäßig in Gelb).

  • Im Übersichtsmodus erweitern Sie den Befehl und klicken dann mit der rechten Maustaste auf ein editierbares Element. Dadurch wird der Befehl Bearbeiten eingeblendet. Wenn Sie diesen auswählen, können Sie einen neuen Wert eingeben oder einen vorhandenen Wert aus einer Liste auswählen.


Verwenden des Grafikfensters, um zur Position eines bestimmten Elements zu wechseln

Wenn Sie den Cursor im Bearbeitungsfenster an die Position eines bestimmten Elements setzen möchten, klicken Sie im Grafikfenster bei gedrückt gehaltener STRG-Taste auf das entsprechende Element.


Die Standardfarben im Bearbeitungsfenster verstehen

PC-DMIS Befehle werden in einer der folgenden Standardfarben aufgeführt:

  • Blau – Nicht markierte Befehle. Diese Befehle werden nicht ausgeführt.

  • Grün – Markierte Befehle. Diese Befehle werden ausgeführt.

  • Rot – Unzulässige Befehle, außerhalb der Toleranzgrößen oder fehlerhafte Ausdrücke. Ein rot markierter Befehl wird während der Programmausführung übersprungen.

  • Schwarz – Debug-Befehle. In dieser Farbe wird die Linie dargestellt, die bei der Ausführung eines Werkstückprogramms mit Hilfe von Haltepunkten als nächste ausgeführt wird.

Informationen zum Ändern dieser Farben finden Sie unter "Definition der Farben im Bearbeitungsfenster" im Abschnitt "Voreinstellungen".


Einfügen von Befehlen

In vielen Fällen werden automatisch Befehle eingefügt, wenn Sie Messungen vornehmen oder in Dialogfelder zur Dateneingabe verwenden. Befehle können jedoch auch direkt über das Bearbeitungsfenster hinzugefügt werden. Das Ergebnis ist je nach aktivem Modus unterschiedlich:

  • Im Befehlsmodus können Sie neue Befehle einfügen, indem Sie einfach die ersten Zeichen des Befehls eingeben, falls sie Ihnen bekannt sind.

  • Im Übersichtsmodus können Sie neue Befehle einfügen, indem Sie mit der rechten Maustaste klicken und im Kontextmenü die Option Befehl hinzufügen auswählen. PC-DMIS zeigt eine Liste der verfügbaren Befehle an.

  • Im DMIS-Modus können Sie neue Befehle einfügen, indem Sie in einer Zeile einfach die Eingabetaste drücken. Daraufhin wird eine Liste eingeblendet, aus der Sie den gewünschten DMIS-Befehl auswählen können.


Bearbeiten von Werten

Gelegentlich ist es sinnvoll, die Einstellungen eines Befehls direkt im Bearbeitungsfenster zu ändern.

  • Im Befehlsmodus oder DMIS-Modus drücken Sie die TABULATORTASTE, um zu dem editierbaren Feld zu wechseln, das Sie ändern möchten. Geben Sie einen neuen Wert ein, oder drücken Sie F7 oder F8, um vorwärts bzw. rückwärts durch eine Liste der verfügbaren Werte zu blättern.

  • In der Übersicht erweitern Sie zunächst den Befehl. Klicken Sie dann mit der rechten Maustaste auf die Zeile, die Sie bearbeiten möchten. PC-DMIS zeigt daraufhin entweder eine Liste an, in der Sie einen vorhandenen Wert auswählen können, oder ein Bearbeitungsfeld, in das Sie einen neuen Wert eingeben können.


Auswählen von Befehlen

Die meisten Befehle können in allen PC-DMIS-Modi ausgewählt werden. Bevor Sie einen Befehl neu anordnen oder kopieren können, muss dieser ausgewählt werden.

  • In der Übersicht klicken Sie auf einen ausgeblendeten Befehl, um den gesamten Befehlsblock auszuwählen. Alle Dateneinträge, die mit dem Befehl verknüpft sind, werden ebenfalls ausgewählt.

  • Im Befehlsmodus oder DMIS-Modus klicken Sie auf den Anfang des Befehls und halten die Maustaste gedrückt. Ziehen Sie dann die Maus, bis der gesamte Befehl markiert ist.

Mit der Menüoption Alles auswählen können Sie das gesamte Protokoll zu Bearbeitungszwecken auswählen.


Neuanordnen von Befehlen

Zahlreiche Befehle in PC-DMIS können neu angeordnet werden. Das Ändern der Position eines Befehls ist ganz einfach.

Im Übersichts-, Befehls- oder DMIS-Modus können Sie einen Befehl neu anordnen, indem Sie den gesamten Befehlsblock auswählen und dann die Menüoption Bearbeiten | Ausschneiden wählen, um den Befehl von seiner aktuellen Position zu entfernen. Anschließend wählen Sie die Menüoption Bearbeiten | Ausschneiden, um ihn an der neuen Position einzufügen. Sie können auch die Menüoption Bearbeiten | Kopieren verwenden, um eine Kopie des Befehls zu erstellen und diese in die Zwischenablage zu speichern, bis Sie die Kopie an einer anderen Position einfügen.

Informationen zu diesen und anderen Standardbearbeitungsbefehlen finden Sie unter "Verwenden von Standardbearbeitungsbefehlen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Löschen von Befehlen

Befehle können einfach aus dem Bearbeitungsfenster gelöscht werden, indem diese ausgewählt werden und auf ENTFERNEN geklickt wird. Sie können jeden gelöschten Befehl wiederherstellen, indem Sie sofort in der Symbolleiste Bearbeitungsfenster auf Rückgängig klicken.


Zugreifen auf Dialogfelder

Beim Bearbeiten von Elementen und Befehlen greifen Sie auf Dialogfelder zu, die mit einem bestimmten Element oder Befehl verbunden sind. Dies ist auf ganz einfache Weise möglich, indem Sie den Cursor in einem der Bearbeitungsmodi auf dem Element oder Befehlsblock plazieren und F9 drücken. Das mit dem Element verknüpfte Dialogfeld wird daraufhin eingeblendet. Darin können Sie Änderungen vornehmen, und nachdem Sie auf OK oder auf Übernehmen geklickt haben, wird das Bearbeitungsfenster automatisch mit den Änderungen aktualisiert.

Bei manchen Befehlen wird das Dialogfeld bei Betätigung der F9-Taste nur dann eingeblendet, wenn sich PC-DMIS im Befehlsmodus befindet.


Ändern von Kopf- und Fußzeilen

Es gibt drei Dateien, die zum Formatieren des Kopf-/Fußzeilentexts im Bearbeitungsfenster verwendet werden. Hierbei handelt es sich um die Dateien LOGO.DAT, HEADER.DAT und ELOGO.DAT . Diese Dateien befinden sich in Ihrem Installationsverzeichnis (beispielsweise C:\Pcdmisw).

Sie können die Kopf- und Fußzeile des Bearbeitungsfensters bearbeiten, indem Sie in einem Standard-Texteditor (wie beispielsweise Notepad) Änderungen an den entsprechenden Textdateien vornehmen und speichern.

Achtung: Aufgrund der von PC-DMIS verbesserten Protokollierung von Messergebnissen in Version 4.0 und höher, werden Protokolle nicht mehr im Bearbeitungsfenster verwendet. Stattdessen erscheinen Protokolle jetzt innerhalb ihres eigenen Protokollfensters. Dadurch wirkt sich die hier beschriebene Bearbeitung der .DAT-Dateien nur auf die Kopf- und Fußzeilen im Bearbeitungsfenster aus. Sie haben keinerlei Auswirkungen auf die Ausgabe im Protokollfenster.

Um die Kopfzeile im Protokollfenster zu bearbeiten, muss die Etikettvorlage für Kopfzeilen bearbeitet werden. Die standardmäßige Etikettvorlage zur Bearbeitung des Kopfzeileninhalts ist die file_header.lbl. Weitere Informationen zur Bearbeitung von Vorlagen für die Darstellung im Protokollfenster finden Sie unter Messergebnisse protokollieren.

Siehe auch:

Die Kopfzeile

Die Fußzeile

Formatierungsschlüsselwörter für Kopf- und Fußzeilen

Verwenden von Ausdrücken und Überwachungsfeldern zur Anpassung von Kopf- und Fußzeilen


Die Kopfzeile

Um die Kopfzeile zu definieren, können zwei Dateien bearbeitet werden. LOGO.DAT und HEADER.DAT .

LOGO.DAT– Diese Datei definiert die Kopfzeile für die erste Seite des Bearbeitungsfensters. Die können eine Bitmap mit dem Logo Ihrer Firma sowie spezifische Daten- und Zeitformate für die erste Seite definieren.

Beispiel für eine Kopfzeilenformatierung im Bearbeitungsfenster

Die entsprechende LOGO.DAT-Datei wird nachfolgend angezeigt:

LOGO.DAT-Beispiel im Editor

Hinweis: WERKSTÜCKSNAME, VERSIONSNR, SERIENNR und STAT ZÄHLER gehören zu den statistischen Feldern und können somit nicht in der LOGO.DAT-Datei geändert werden.

HEADER.DAT – Diese Datei dient der Formatierung von Kopfzeilen für alle weiteren Seiten.


Die Fußzeile

ELOGO.DAT wird zum Formatieren der Dokumentfußzeile (nur auf der letzten Seite) verwendet.

Beispiel für eine Fußzeilenformatierung im Bearbeitungsfenster

Die entsprechende ELOGO.DAT-Datei wird nachfolgend angezeigt:

ELOGO.DAT-Beispiel im Editor


Formatierungsschlüsselwörter für Kopf- und Fußzeilen

Es folgt eine Liste der verfügbaren Formatierungsschlüsselwörter und deren Funktionen. Sie können diese Schlüsselwörter in die DAT-Dateien einfügen, um sie in einer Kopf- oder Fußzeile anzuzeigen.

Hinweis: Bei Schlüsselwörtern wird zwischen Groß- und Kleinbuchstaben unterschieden.

#DATE | Fügt das aktuelle Datum ein.
#TIME | Fügt die aktuelle Uhrzeit ein.
#PAGE | Fügt die aktuelle Seitenzahl ein. Eignet sich sehr gut zum Gebrauch in der Datei HEADER.DAT.
#TRn | Fügt den Wert des Überwachungsfelds n ein, wobei n der Überwachungsfeldnummer entspricht.
#PARTN | Fügt den Namen des Werkstückprogramms ein.
#DRWN | Fügt die Versionsnummer ein.
#SERIALN | Fügt die Seriennummer ein.
#SEQUENCE | Fügt die Sequenznummer ein.
#SHRINK | Fügt den Maßstab ein.
#NMEAS | Fügt die Gesamtzahl von Merkmalen ein.
#NOUT | Fügt die Gesamtzahl von Merkmalen ein, die außerhalb der Toleranz liegen.
#ELAPSTIM | Fügt die zwischen Start und Ende der Ausführung verstrichene Zeit ein. Eignet sich sehr gut zur Verwendung in der Datei FOOTER.DAT.
#BMP=Bitmap-Pfad | Fügt ein Bitmap-Bild mit dem angegebenen Namen in die Bitmap-Pfad-Variable ein. Sie müssen den vollständigen Pfad zur Bitmap-Datei angeben (z. B. D:\Dateien\Bmp\Pcdhead.Bmp).


Verwenden von Ausdrücken und Überwachungsfeldern zur Anpassung von Kopf- und Fußzeilen

Sie werden feststellen, dass die Schlüsselwörter selbst nicht anpassbar sind. Das Schlüsselwort #DATE aus der logo.dat-Datei zum Beispiel bietet nur die Möglichkeit, das Datumsformat als TT-MM-JJJJ darzustellen. Der 5. Mai 2005 wird im Protokoll bespielsweise als "5-5-2005" angezeigt.

Im folgenden Beispiel wird gezeigt, wie Ausdrücke und Überwachungsfelder zur Bearbeitung des Datumsformats in Ihrem Protokoll verwendet werden können.

  1. Geben Sie folgende Befehle an einer beliebigen Stelle im Werkstückprogramm ein:

ZUWEISEN/V1 = SYSTEMDATE("dd MM , yyyy")

Dadurch wird V1 der Zeichenfolgenwert von "05. Mai, 2005" zugewiesen (bzw. das aktuelle Datum).

ÜBERWACHUNGSFELD/ANZEIGE,LIMIT=15 ; DATE : V1

Dadurch wird V1 dem ÜBERWACHUNGSFELD zugewiesen.

  2. Wenn es sich hierbei um das erste Überwachungsfeld in Ihrem Programm handelt, dann öffnen Sie die logo.dat-Datei in einem Texteditor und ändern Sie das DATE= (DATUM=)-Feld auf folgende Weise:

DATE=#TR1

Beachten Sie, dass sich das Feld DATE nun unter Verwendung von #TR1 auf das erste Überwachungsfeld bezieht.

  3. Speichern und schließen Sie die logo.dat-Datei.

  4. Führen Sie das Werkstückprogramm aus.

  5. Prüfen Sie das Protokoll. Wenn das Protokoll Kopf- und Fußzeilen einblendet, verwendet die Kopfzeile jetzt das formatierte Systemdatum, das unter "V1" gespeichert wurde und verwendet es anschließend im ersten Überwachungsfeld.

Mit Überwachungsfeldern und Ausdrücken haben Sie eine größere Kontrolle über das Bearbeitungsfenster und über Protokolle.

Weitere Informationen zu Überwachungsfeldern finden Sie unter "Verwenden von Überwachungsfeldern" im Abschnitt "Nachverfolgen statistischer Daten".

Informationen zu Ausdrücken finden Sie unter "Verwenden von Ausdrücken und Variablen".


Arbeiten im Übersichtsmodus

Wählen Sie für den Übersichtsmodus die Option Ansicht | Übersicht.

Im Übersichtsmodus können Sie das gesamte Layout des Werkstückprogramms und Werkstückprogrammbefehle mit unterschiedlicher Detailgenauigkeit anzeigen. Über die intuitiv leicht verständliche Benutzeroberfläche lassen sich Befehle schnell neu anordnen und bearbeiten.

Siehe auch:

Layout

Bearbeiten eines Werkstückprogramms im Übersichtsmodus

Tastaturfunktionen des Übersichtsmodus


Layout

Das Layout in der Übersicht in PC-DMIS erfolgt in Form von bestimmten ein- und ausblendbaren Datenelementen. Auf der obersten Ebene zeigt PC-DMIS Befehlsobjekte an. Sie können die zu diesen Objekten gehörenden Gruppen und Dateneinträge einblenden, indem Sie auf das Pluszeichen (+) links neben dem Befehl klicken. Um sie wieder auszublenden, klicken Sie auf das Minuszeichen (-). Zudem können Sie Befehle oder Gruppen ein- bzw. ausblenden, indem Sie auf die NACH RECHTS- bzw. NACH LINKS-Taste klicken.

Siehe auch:

Befehle

Gruppen

Dateneinträge


Befehle

Befehle in der Übersicht (nicht-erweiterte Einträge)

PC-DMIS zeigt die meisten Befehle des Werkstückprogramms auf der obersten Ebene an. Einige Befehle, wie Basismesspunkte, Lagemerkmale und bestimmte Ausrichtungsbefehle erscheinen unter dem ihnen übergeordneten Objekt. Zudem gilt folgendes:

  • Mit jedem Befehl ist ein eindeutiges Symbol verknüpft, durch das Sie benötigte Befehle leicht identifizieren können.

  • Besitzt der betreffende Befehl eine ID, zeigt PC-DMIS die ID vor der Befehlsbeschreibung an.

  • Zur Ausführung markierte Befehle werden grün dargestellt.

  • Befehle, die nicht zur Ausführung aktiviert sind, werden als blauer Text dargestellt.


Gruppen

Angezeigte Gruppen (Ordnersymbole) in der Übersicht

Gruppen werden durch ein Ordnersymbol dargestellt und setzen sich aus verwandten Dateneinträgen eines Befehls zusammen. So besitzt ein Messkreisobjekt z. B. die Gruppe Theoretische Werte, die Gruppe Ist-Werte und die Gruppe Einstellungen.

  • Die erste Gruppe enthält die theoretischen Werte des Messkreises, u.a. die theoretischen Werte für x, y, z, i, j, k und den Durchmesser.

  • Die zweite Gruppe enthält die zugehörigen Messwerte des Kreises.

  • Die dritte Gruppe enthält Angaben über den Messkreis, wie z. B. ID, Koordinatentyp, ob es sich um einen Innen- oder Außenkreis handelt, die Anzahl der Messpunkte etc.


Dateneinträge

Dateneinträge in der Übersicht (blaues Kreissymbol)

Dateneinträge sind die Parameter oder Einstellungen des Befehlsobjekts. Einige Dateneinträge sind editierbar, während andere lediglich Informationszwecken dienen und keine Änderungen zulassen. Dateneinträge werden durch ein blaues Kreissymbol dargestellt.


Bearbeiten eines Werkstückprogramms im Übersichtsmodus

In PC-DMIS ist es möglich, ein Werkstückprogramm im Übersichtsmodus zu bearbeiten. Im Übersichtsmodus können Sie Befehle auswählen, hinzufügen, entfernen, kopieren, ausschneiden, einfügen, markieren und deren Markierung aufheben sowie die Dateneinträge eines Befehls bearbeiten.

Siehe auch:

Auswählen von Befehlen

Hinzufügen von Befehlen

Entfernen von Befehlen

Kopieren, Ausschneiden und Einfügen von Befehlen

Befehle zur Ausführung markieren oder deren Markierung aufheben

Bearbeiten der Dateneinträge eines Befehls


Auswählen von Befehlen

Zur Auswahl von Befehlen können Sie diese mit der linken Maustaste anklicken oder mit der NACH-OBEN- und der NACH-UNTEN-Taste ansteuern.

  • Um mehrere Befehle auszuwählen, halten Sie die STRG-Taste gedrückt, während Sie mit der linken Maustaste nacheinander auf die gewünschten Befehle klicken.

  • Um eine Gruppe von Einträgen auf einmal auszuwählen, wählen Sie den ersten Eintrag im Objektblock aus, drücken und halten die UMSCHALT-Taste und wählen den letzten Eintrag im Block aus.

PC-DMIS hebt alle ausgewählten Einträge hervor.


Hinzufügen von Befehlen

Im Übersichtsmodus können Befehle mit Standardmenüoptionen von PC-DMIS oder über ein besonderes Kontextmenü zum Werkstückprogramm hinzugefügt werden.

  1. Klicken Sie mit der rechten Maustaste auf einen Werkstückprogrammbefehl, um das Kontextmenü zu öffnen. Weitere Informationen zu den verfügbaren Optionen finden Sie unter "Übersichtsmodus-Kontextmenü" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".

  2. Klicken Sie im Kontextmenü auf Befehl hinzufügen. Daraufhin wird eine blaue Liste mit einer Bildlaufleiste angezeigt.

  3. Wählen Sie den einzufügenden Befehl aus. Sobald Sie ihn angeklickt haben, wird die Popup-Liste ausgeblendet, und PC-DMIS fügt den Befehl in das Bearbeitungsfenster ein. Wenn Sie die Liste schließen möchten, ohne einen Befehl hinzuzufügen, drücken Sie solange auf ESC, bis sich das Fenster schließt.

Hinweis: PC-DMIS fügt den neuen Befehl in der Regel hinter dem derzeit in der ein-/ausblendbaren Liste ausgewählten Eintrag ein.


Entfernen von Befehlen

Befehle können leicht aus dem Werkstückprogramm entfernt werden, indem Sie den gewünschten Befehl auswählen und die ENTF-Taste drücken. Alle für den Befehl evtl. vorhandenen Unterbefehle werden ebenfalls gelöscht.


Kopieren, Ausschneiden und Einfügen von Befehlen

So gehen Sie zum Kopieren oder Ausschneiden eines Befehls vor:

  1. Wählen Sie den gewünschten Befehl in der ein- und ausblendbaren Ansicht aus.

  2. Wählen Sie den Befehl zum Kopieren bzw. zum Ausschneiden an einer dieser Stellen aus:

  • im Menü Bearbeiten des Bearbeitungsfensters,

  • auf der Tastatur (STRG+C für "Kopieren" und STRG+X für "Ausschneiden"),

  • aus dem Kontextmenü, das erscheint, wenn mit der rechten Maustaste auf einen Werkstückprogrammbefehl geklickt wird.

Hinweis: Alle für den Befehl evtl. vorhandenen Unterbefehle werden ebenfalls ausgeschnitten bzw. kopiert.

So fügen Sie einen ausgeschnittenen bzw. kopierten Befehl ein:

  1. Wählen Sie in der ein- bzw. ausblendbaren Ansicht den Befehl aus, hinter den der Befehl eingefügt werden soll.

  2. Wählen Sie den Befehl zum Einfügen an einer der folgenden Stellen aus:

  • im Menü Bearbeiten des Bearbeitungsfensters,

  • auf der Tastatur (STRG+V),

  • aus dem Kontextmenü, das erscheint, wenn mit der rechten Maustaste auf einen Werkstückprogrammbefehl geklickt wird.


Befehle zur Ausführung markieren oder deren Markierung aufheben

Vorgehensweise:

  1. Wählen Sie den Befehl im Bearbeitungsfenster aus.

  2. Drücken Sie F3 (oder klicken Sie mit der rechten Maustaste auf den gewünschten Befehl und wählen Sie im Kontextmenü Markieren).


Bearbeiten der Dateneinträge eines Befehls

Um die Dateneinträge eines Befehls zu bearbeiten, ergreifen Sie eine der folgenden Maßnahmen:

  • Wählen Sie den Dateneintrag aus und drücken Sie die EINGABETASTE. Bearbeiten Sie die Informationen und drücken Sie die EINGABETASTE.

  • Doppelklicken Sie mit der linken Maustaste auf den Dateneintrag. Bearbeiten Sie die Informationen und drücken Sie die EINGABETASTE.

  • Klicken Sie mit der rechten Maustaste auf das Datenelement, und wählen Sie Bearbeiten | Text für Wert/Ausdruck. Bearbeiten Sie die Informationen und drücken Sie die EINGABETASTE.

Ist der Dateneintrag ein Umschaltfeld, erscheint eine Liste möglicher Werte, aus der Sie die gewünschte Option auswählen können. Drücken Sie nach Auswahl der gewünschten Option die EINGABE-Taste oder doppelklicken Sie auf die gewünschte Option.

Wenn der Dateneintrag kein Umschaltfeld ist und bearbeitet werden kann, wird ein kleines Bearbeitungsfeld mit dem aktuellen Wert eingeblendet, der über die Tastatur geändert werden kann. Durch Drücken von ESC können Sie die Bearbeitung des Eintrags abbrechen.

So bearbeiten Sie einen Befehl über das dazugehörige Dialogfeld:

  1. Wählen Sie den Befehl in der ein- bzw. ausblendbaren Ansicht aus.

  2. Drücken Sie F9 (oder klicken Sie mit der rechten Maustaste auf den Befehl, und wählen Sie in dem nun eingeblendeten Popup-Menü Bearbeiten aus).

Das betreffende Dialogfeld für den Befehl erscheint. Beachten Sie jedoch bitte, dass einige Befehle nur bearbeitet werden können, wenn sich PC-DMIS im Befehlsmodus befindet.


Tastaturfunktionen des Übersichtsmodus

In der folgenden Tabelle werden die verschiedenen Tastaturfunktionen angeführt, die zur Auswahl stehen, wenn sich PC-DMIS im Übersichtsmodus befindet.

Taste(n) | Funktion
UMSCHALT + TAB | Bewegt den Cursor rückwärts zum nächsten Eintrag in der Übersichtsanzeige.
STRG | Klicken Sie mit der linken Maustaste auf das gewünschte Element. PC-DMIS bewegt den Cursor zum zugehörigen Werkstückbefehl in der Übersichtsanzeige.
STRG + A | Wählt alle Befehle des Werkstückprogramms aus.
STRG + C | Kopiert Text oder Objekte in die Zwischenablage.
STRG + ENDE | Bewegt den Cursor an das Ende des Werkstückprogramms.
STRG + POS1 | Bewegt den Cursor an den Anfang des Werkstückprogramms.
STRG + Q | Blendet das Dialogfeld Ausführen ein, in dem Sie das Werkstückprogramm ausführen können.
STRG + V | Fügt Text in ein Bearbeitungssteuerelement ein. Wurde ein Objekt ausgeschnitten oder kopiert, wird es nach dem derzeit ausgewählten Objekt eingefügt.
STRG + X | Schneidet das ausgewählte Objekt oder den ausgewählten Text in einem Bearbeitungssteuerelement aus.
STRG + Y | Blendet das Dialogfeld Ausführen ein, in dem Sie das Werkstückprogramm ab einer bestimmten Position ausführen können.
ENTF | Löscht alle hervorgehobenen Zeichen, wenn ein Wert in einem Bearbeitungssteuerelement bearbeitet wird. Wenn nichts markiert ist, funktionieren beide Tastaturbefehle wie in einem gewöhnlichen Editor.
Doppelklick | Durch Doppelklicken auf einen Befehl oder eine Gruppe werden die zugehörigen Elemente aufgefächert. Durch einen Doppelklick auf einen editierbaren Dateneintrag wird das Bearbeitungssteuerelement des betreffenden Dateneintrags aufgerufen.
PFEIL NACH-UNTEN | Bewegt den Cursor eine Zeile nach unten.
F2 | Ruft das Ausdruckerstellungsprogramm auf, wenn im derzeit ausgewählten Datenelement Ausdrücke zulässig sind.
F3 | Markiert ein Element zur Ausführung.
F9 | Ruft das Dialogfeld für den derzeit ausgewählten Befehl auf.
BILD-AB-Taste | Bewegt den Cursor eine Seite nach unten.
BILD-AUF-Taste | Bewegt den Cursor eine Seite nach oben.
UMSCHALTTASTE | Erleichtert in Verbindung mit der linken Maustaste nach Auswahl eines anfänglichen Objekts die Auswahl eines Blocks von Objekten.
TAB | Bewegt den Cursor vorwärts zum nächsten Eintrag in der Übersichtsanzeige.
PEIL NACH-OBEN-TASTE | Bewegt den Cursor eine Zeile nach oben.
PFEIL NACH LINKS | Blendet einen eingeblendeten Befehl oder Gruppe aus.
PFEIL NACH RECHTS | Blendet einen ausgeblendeten Befehl oder Gruppe ein.


Arbeiten im Befehlsmodus

Wählen Sie für den Befehlsmodus die Option Ansicht | Befehlsmodus.

Durch Auswahl des Symbols Befehlsmodus wird das Bearbeitungsfenster in den Befehlsmodus versetzt. In diesem Modus können Sie eine Vielzahl von PC-DMIS-Befehlen einfügen oder bearbeiten. Zu den Hauptfunktionen oder -befehlen, die Sie im Bearbeitungsfenster hinzufügen können, gehören:

  • Erstellte Elemente

  • Merkmale

  • Statistikdaten

  • Ausrichtung

  • Gemessene Elemente

  • Messpunkte

  • Bewegungsbefehle (Maschine)

  • Bewegungsbefehle (Taster)

  • Blechmessungen

  • Taster

  • Kommentare

  • Überwachungsfelder

  • Ausdrücke

  • Bildschirmkopien

  • Globale Befehle

  • Tastaturfunktionen des Befehlsmodus

PC-DMIS bietet außerdem einige Tastaturfunktionen, die Sie im Befehlsmodus des Bearbeitungsfensters einsetzen können. Diese sind unter "Tastaturfunktionen im Befehlsmodus".

Sie können auch bestimmen, welche Befehle im Befehlsmodus angezeigt werden. Weitere Informationen hierzu finden Sie unter "Anzeigeoptionen für den Befehlsmodus" im Abschnitt "Voreinstellungen".


Erstellte Elemente

In PC-DMIS können Sie bestimmte Elemente aus vorhandenen Elementen erstellen. Weitere Informationen sowie spezielle Regeln zur Erstellung von Elementen finden Sie im Abschnitt "Erstellen von neuen Elementen aus vorhandenen Elementen".

PC-DMIS unterstützt das Erstellen von folgenden Elementen:

· PUNKT

· KREIS

· ELLIPSE

· KUGEL

· GERADE

· KEGEL

· ZYLINDER

· EBENE

· LANGLOCH

· KURVE

· OBERFLÄCHE

· ELEMENTGRUPPE

· GAUSS'SCHER FILTERSATZ


Merkmale

Über Merkmalsbefehle können Sie Elemente erstellen oder das Verhältnis zwischen Elementen berechnen. Weitere Informationen zur Berechnung von Merkmalen finden Sie unter "Merkmale für Elemente erstellen".

Siehe auch:

Merkmalsformat

Verfügbare Merkmale

Analyse


Merkmalsformat

Die Druckfunktionalität von PC-DMIS ist eine der leistungsfähigsten Eigenschaften des Programms. Ein Merkmal lässt sich auf viele verschiedene Arten berechnen, bis die Ergebnisse zufriedenstellend sind. Die Daten erscheinen jedoch nur dann im Prüfprotokoll, wenn das Merkmal zum Drucken markiert ist.

Mit dem Befehl FORMAT können Sie mehr als ein Merkmalsformat innerhalb eines Werkstückprogramms erstellen. Bei einigen Merkmalen wollen Sie die Nennwerte möglicherweise nicht drucken.

Hinweis: Bestimmte Bereichstoleranzen haben immer den Nennwert 0, sodass sich das Drucken des Nennwerts erübrigt. Weiter unten im Werkstückprogramm möchten Sie die Nennwerte für eine andere Art von Merkmal (wie z. B. Lage oder Position) möglicherweise jedoch ausdrucken.

Mit dem Befehl FORMAT werden standardmäßig alle Spalten und Spaltenüberschriften gedruckt. Außerdem wird damit die Statistikdatei XSTATS11.TMP erstellt.

Befehlszeile im Bearbeitungsfenster:
FORMAT/ÜBERSCHRIFTEN,SYMBOL;NENNW,TOL,MESS,MAXMIN,
ABW,AUS_TOL

ÜBERSCHRIFTEN = Dieser Hauptbefehl bestimmt, ob für die Merkmale, die dem Befehl FORMAT folgen, über den Zahlen Spaltenüberschriften angegeben werden.

SYMBOL = Dieser Nebenbefehl bestimmt, ob die Abweichungssymbole ausgedruckt werden oder nicht. Dieses Feld kann zwischen EIN und AUS umgeschaltet werden. Ein leeres Feld zeigt an, dass dieser Befehl ausgeschaltet ist.

Wenn sich der Cursor in einem dieser Felder befindet, können diese mit den Funktionstasten F7 und F8 gewechselt bzw. aktiviert und deaktiviert werden.

NENNW,TOL,MESS,MAXMIN,ABW,AUS_TOL = Diese Nebenbefehle bestimmen, welche Spalten für die Merkmale gedruckt werden, die dem Befehl FORMAT folgen. Sie können jede Kombination dieser Spalten ein- bzw. ausschalten. Um ein Attribut auszuschalten, platzieren Sie eine Leerstelle im entsprechenden Feld. Sie können die Spalten auch in beliebiger Reihenfolge anzeigen. Geben Sie dazu den gewünschten Befehl einfach in der gewünschten Reihenfolge ein. (Die Reihenfolge wird im Dialogfeld Parameter der Merkmale numerisch angezeigt.)

Weitere Informationen finden Sie im Abschnitt "Merkmale für Elemente erstellen".


Verfügbare Merkmale

Für Informationen zum Bearbeiten dieser Merkmale sehen Sie die entsprechenden Einträge unter "Merkmale für Elemente erstellen" ein.


Analyse

Informationen zum Bearbeiten der Analyseinformationen finden Sie im Abschnitt "Einfügen von Protokollbefehlen".


Statistikdaten

Informationen zum Einfügen und Bearbeiten statistischer Daten finden Sie im Abschnitt "Sammeln statistischer Daten".


Ausrichtung

Mit der Option Ausrichtung können Sie ein neues Koordinatensystem erstellen oder abrufen.

Siehe auch:

Ausrichtungsbefehle

CAD gleich Werkstück

Ausrichtung angleichen


Ausrichtungsbefehle

Weitere Informationen zur Verwendung dieser Ausrichtungsbefehle im Bearbeitungsfenster finden Sie unter "Erstellen und Verwenden von Ausrichtungen".


CAD gleich Werkstück

Weitere Informationen zur Nutzung des Befehls CAD gleich Werkstück im Bearbeitungsfenster finden Sie unter "Angleichen von CAD an gemessene Werkstückdaten" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Ausrichtung angleichen

Weitere Informationen zur Nutzung des Befehls "Ausrichtung angleichen" im Bearbeitungsfenster finden Sie unter "Angleichen einer Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Gemessene Elemente

Sie können Befehle zur Erstellung der folgenden gemessenen Elemente einfügen:

  • Gemessener Punkt

  • Gemessene Gerade

  • Gemessene Ebene

  • Gemessene Kugel

  • Gemessener Zylinder

  • Gemessener Kegel

  • Gemessener Kreis

Informationen zu diesen Elementen und zu gemessenen Elementen im Allgemeinen finden Sie im Abschnitt "Erstellen von gemessenen Elementen".


Messpunkte

Dieser Befehl visiert die Lage für tatsächliche Berührungen durch den Taster an.

Siehe auch:

Basismesspunkt

Blechmesspunkte

Hinzufügen von Messpunktzeilen

Löschen von Leerzeilen


Basismesspunkt

MESSPKT/BASIS,x,y,z,i,j,k,x,y,z THEO VERW=JA/NEIN

Dies ist das einfachste Messpunktformat. Weitere Informationen finden Sie unter "Befehlsformat" im Abschnitt "Erstellen von gemessenen Elementen".


Blechmesspunkte

MESSPKT/Typ,x,y,z,i,j,k,x,y,z

Typ = VEKTOR, OBERFLÄCHE, KANTE, ECKE, WINKEL

Es stehen fünf Typen von Blechmesspunkten zur Auswahl. Diese Option steht nur dann zur Verfügung, wenn das Softwarepaket zur Blechteilmessung installiert ist (Siehe "Blechmessungen".)


Hinzufügen von Messpunktzeilen

Um eine Zeile hinzuzufügen, setzen Sie den Cursor an die gewünschte Stelle und drücken die EINGABETASTE. Beginnen Sie durch Eingabe des Befehls MESSPKT. Drücken Sie die TABULATORTASTE. PC-DMIS fügt die neue Zeile abhängig von der Cursorposition hinzu. Befindet sich der Cursor inmitten eines Befehls, wird eine neue Zeile unterhalb der aktuellen Zeile erstellt. Wenn der Cursor an einer beliebigen Position innerhalb der ersten vier Zeilen steht, erstellt PC-DMIS die neue Zeile unmittelbar nach der gemessenen Zeile.


Löschen von Leerzeilen

Um eine Leerzeile zu löschen, drücken Sie die NACH-UNTEN-TASTE oder die EINGABETASTE. Die Zeile kann auch markiert und dann gelöscht werden (Siehe "Tastaturfunktionen des Befehlsmodus".)


Bewegungsbefehle (Maschine)

Die verschiedenen Bewegungsbefehle steuern die Bewegung der Maschine. Informationen zu den verschiedenen Bewegungsbefehlen finden Sie unter "Parametereinstellungen: Registerkarte "Bewegung"" und unter "Parametereinstellungen: Registerkarte 'Optional Motion' (Optionale Bewegung)" im Abschnitt "Voreinstellungen".

Siehe auch:

Modus - MANUELL / CNC

Vorhalteabstand

Bewegungsgeschwindigkeit

Messgeschwindigkeit

Scangeschwindigkeit

Rückfahrabstand

Prüfabstand


Modus = MANUELL / CNC

MODUS/MANUELL(oder CNC)

Mit diesem Befehl können Sie zwischen manuellem und CNC-Modus hin- und herschalten.


Vorhalteabstand

ANFAHRWEG/nnn.nnnn

Dieser Befehl bestimmt den Abstand von der theoretischen Messpunktlage, den die Maschine in Messgeschwindigkeit zurücklegt.


Bewegungsgeschwindigkeit

BEWEG_GESCHW/nnn.nnnn

Dieser Befehl ändert die Punkt-zu-Punkt-Positionierungsgeschwindigkeit des KMGs. Der hier eingegebene Wert (1 bis 100) entspricht einem prozentualen Anteil der maximalen Maschinengeschwindigkeit.


Messgeschwindigkeit

MESSGESCHW/nnn.nnnn

Dieser Befehl ändert die Geschwindigkeit, mit der das KMG Messpunkte aufnimmt. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit und darf nicht mehr als zwanzig Prozent betragen.


Scangeschwindigkeit

SCANGESCHW/nnn.nnnn

Dieser Befehl ändert die Geschwindigkeit, mit der das KMG das Werkstück abtastet. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit.


Rückfahrabstand

RÜCKFAHRWEG/nnn.nnnn

Dieser Befehl bestimmt den Abstand, den die Maschine von der aktuellen Messpunktposition in Messgeschwindigkeit zurückfährt, bevor sie in die Bewegungsgeschwindigkeit wechselt.


Prüfabstand

PRÜF/nnn.nnnn,p.pp

Dieser Befehl bestimmt den Abstand hinter der theoretischen Messpunktposition in Zoll oder Millimeter (abhängig vom Maßsystem, das ursprünglich für das Werkstückprogramm eingerichtet wurde), in dem die Maschine nach der Oberfläche des Werkstücks weitersucht, bis sie feststellt, dass keine Oberfläche vorhanden ist.

nnn.nnnn:
Der Prüfabstand

p.pp:
Der Prozentsatz des gesamten Prüfabstands, um den sich PC-DMIS bei Durchführung einer Elementsuche bewegt. Der Standardwert 1 entspricht 100% des Prüfabstands. Folglich gilt: 0,1=10%, 0,2=20%, 0,3=30% etc. Dies funktioniert nur bei der Elementsuche.

  • Wenn PC-DMIS innerhalb des angegebenen Prüfabstands eine Oberfläche findet, wird ein Messpunkt aufgenommen.

  • Wird keine Oberfläche gefunden, zeigt PC-DMIS in einer Fehlermeldung an, dass ein unerwartetes Ende der Bewegung festgestellt wurde.

  • Beispiel: Wenn 7,5 mm als Prüfabstand eingegeben werden, fährt PC-DMIS 7,5 mm über die theoretische Oberfläche hinaus und sucht nach einer Oberfläche zum Aufnehmen des Messpunkts.

    Weitere Informationen finden Sie unter "Prüfabstand" im Abschnitt "Voreinstellungen".


Bewegungsbefehle (Taster)

Mit den unten aufgeführten Befehlen können Sie die Tasterbewegungen zwischen den Messpunkten ändern.

BEWEGEN/PUNKT

BEWEGEN/INKREMENT

BEWEGEN/SICHERHEITSEBENE

BEWEGEN/KREISFÖRMIG

BEWEGEN/SYNC

BEWEGEN/DURCHLAUF

BEWEGEN/DREHTISCH

BEWEGEN/EXKLUSIVE_ZONE

Diese Befehle sind im Abschnitt "Einfügen von Bewegungsbefehlen" beschrieben.


Blechmessungen

Blechmessungen, auch als "Auto Elemente" bezeichunet, sind nur als Zusatzoption zum Grundpaket der PC-DMIS-Software für geometrische Bemessungen verfügbar (Informationen hierzu finden Sie im Abschnitt "Erstellen von Auto-Elementen".) Diese Option bietet mehrere alternative Möglichkeiten zur Aufnahme von Messpunkten. Die verschiedenen Blechfunktionen sind unten aufgeführt. Die Werte Anzahl der Messpunkte, Reihenanzahl, Abstand und Einzug können ggf. aktualisiert werden. Die erforderliche Mindestanzahl wird als Standard angegeben.

Es stehen die folgenden Blechmessungen zur Verfügung:

  • Auto Vektorpunkt

  • Auto Gerade

  • Auto Ebene

  • Auto Kreis

  • Auto Ellipse

  • Auto Kerbe

  • Auto Langloch

  • Auto Winkelpunkt

  • Auto Eckpunkt

  • Auto Kantenpunkt

  • Auto Extrempunkt

  • Auto Flächenpunkt

  • Auto Rechteckloch

  • Auto Zylinder

  • Auto Kegel

  • Auto Kugel


Taster

Mit den folgenden Befehlen können Sie auf Optionen zugreifen, die sich auf den Taster auswirken. Sie können mit diesen Befehlen die aktive Tastspitze einer Tastergruppe oder die Position eines Dreh-/Schwenkkopfes ändern. Außerdem kann die Option "Tasterkompensation" je nach Bedarf ein- bzw. ausgeschaltet werden.

Siehe auch:

Taster laden

Tasterkompensation

Lesepunkt

Tastspitze


Taster laden

TASTERLADEN/probe_file_name

Der Befehl "Taster laden" ist ein vom Benutzer editierbares Feld, mit dem Sie eine Datei mit kalibrierten Tastspitzen, die innerhalb des Werkstückprogramms verwendet werden sollen, laden können.


Tasterkompensation

TASTERKOMP/EIN (oder AUS)

Mit dem Befehl Tasterkompensation können Sie die Tasterkompensation ein- bzw. ausschalten. Die Tasterkompensation ist dann EINgeschaltet, wenn der Befehl im Bearbeitungsfenster angezeigt wird.


Lesepunkt

E_ID= ELEM/ PUNKT, TOG1
NENN/ x, y, z, i, j, k
MESS/ x, y, z, i, j, k
LESEPUNKT

Der Befehl "Lesepunkt" erstellt ein Punktelement an der aktuellen Tasterposition. PC-DMIS speichert dann die Werte des gelesenen Punktes.

Weitere Informationen hierzu finden Sie unter "Erstellen eines Lesepunkts an der Tasterposition" im Abschnitt "Erstellen von allgemeinen Elementen".


Tastspitze

TASTSPITZE/T1A0B0, SCHAFTIJK=0, 0, 1, WINKEL=0

· SCHAFTIJK ist einfach eine andere Vektorform zur Angabe der A- und B-Winkel für die Tastspitze.

· WINKEL gibt den Winkel an, mit dem die Tastspitzenmatrix um den Schaftvektor gedreht wird.


Kommentare

Mit dieser Option können Sie Kommentare während der Ausführung des Werkstückprogramms anzeigen oder an das Prüfprotokoll senden. Diese Kommentare werden mit der Menüoption Protokollbefehl | Kommentar erstellt. Mit der Option Kommentare einblenden können Sie innerhalb des Bearbeitungsfensters Bedienerhinweise und Kommentare im Prüfprotokoll hinzufügen, bearbeiten oder löschen. Der Befehl KOMMENTAR kann zwischen den Optionen BEDIENER, PROT, JANEIN, $$, EINGABE und ANZEIGE wechseln.

Wenn Sie ein Werkstückprogramm öffnen, das von einer späteren Version in die aktuelle Version gespeichert wurde, werden alle Befehle, die nicht von der aktuellen Version unterstützt werden, als DOC-Kommentare angezeigt.

Informationen hierzu finden Sie unter "Einfügen von Programmierkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".

Siehe auch:

Bediener

Protokoll

Eingabe

$$

Ja / Nein

Ergebnisanzeige


Bediener

Diese Option zeigt während der Ausführung des Werkstückprogramms eine benutzerdefinierte Meldung an. Zur Verwendung dieser Option klicken Sie in der Menüleiste auf Protokollbefehl | Kommentar und schalten auf BEDIENER, oder geben Sie im Bearbeitungsfenster an der gewünschten Position den Befehl KOMMENTAR/BEDIENER ein. Geben Sie den gewünschten Text ein. (Der Text kann beliebig lang sein.) Klicken Sie auf OK (oder drücken Sie die EINGABETASTE), wenn Sie die Kommentare fertig erstellt haben. Wenn PC-DMIS das Werkstückprogramm ausführt, werden die zuvor eingegebenen Kommentare in einer Meldung angezeigt. Klicken Sie auf OK, um das Meldungsfeld zu schließen.

Wenn Sie die Taste F9 drücken, während sich der Cursor in einer KOMMENTAR/BEDIENER-Befehlszeile befindet, erscheint das Dialogfeld Kommentare, in dem Sie die angezeigte Meldung ändern können.

Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/BEDIENER, Kommentartext


Protokoll

Mit dieser Option können Sie Text an das Prüfprotokoll senden. Zur Verwendung dieser Option klicken Sie in der Menüleiste auf Protokollbefehl | Kommentar und schalten auf PROT, oder geben Sie im Bearbeitungsfenster an der gewünschten Position den Befehl KOMMENTAR/PROT ein. Geben Sie den gewünschten Text ein. (Der Text kann beliebig lang sein.) Klicken Sie auf OK (oder drücken Sie die EINGABETASTE), wenn Sie die Kommentare fertig erstellt haben. Während der Ausführung des Werkstückprogramms in PC-DMIS werden diese Meldungen nicht angezeigt. PC-DMIS sendet diese Kommentare jedoch an das Prüfprotokoll, wenn es gedruckt wird.

Wenn Sie die Taste F9 drücken, während sich der Cursor in einer KOMMENTAR/PROT-Befehlszeile befindet, erscheint das Dialogfeld Kommentare, in dem Sie die angezeigte Meldung ändern können.

Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/PROT, Kommentartext


Eingabe

Mit dieser Option können Sie, ähnlich wie mit der Option "BEDIENER", während der Ausführung eines Werkstückprogramms Text anzeigen. Zusätzlich zur Anzeige der Meldung mit dem zuvor eingegebenen Text blendet diese Option jedoch ein Kommentarfeld ein. Auf diese Weise können Sie numerische Daten eingeben, die in das Prüfprotokoll geschrieben werden. Durch Auswahl des Menüleisteneintrags Protokollbefehl | Kommentar und durch schalten auf EINGABE können Sie auf diese Option zugreifen. Oder geben Sie den Befehl KOMMENTAR/EINGABE in die gewünschte Stelle im Bearbeitungsfenster ein. Geben Sie den gewünschten Text ein. Der Eingabe des Bedieners wird die Kommentar-ID zugewiesen, sodass in Ausdrücken auf sie Bezug genommen werden kann (z. B. K1.EINGABE).

Wenn Sie die Taste F9 drücken, während sich der Cursor in einer KOMMENTAR/EINGABE-Befehlszeile befindet, erscheint das Dialogfeld Kommentare, in dem Sie die angezeigte Meldung ändern können.

Befehlszeile im Bearbeitungsfenster:
Kommentar_ID = KOMMENTAR/EINGABE, Kommentartext


$$ (Dokumentation)

Mit dieser Option können Sie Text (Programmierer-Kommentare) zum internen Programm hinzufügen. Dieser Text wird während der Ausführung des Werkstückprogramms nicht angezeigt. Bei diesem Befehl wird nicht die sonst übliche Voranstellung KOMMENTAR vorgenommen. Dies dient Sichtzwecken zum besseren Versetzen

Befehlszeile im Bearbeitungsfenster:
$$ NEIN, Bitte bearbeiten Sie den Kommentartext!

To type this a document comment directly into the Edit window:

  1. Geben Sie KOMMENTAR ein und drücken Sie die Tabulatortaste. PC-DMIS markiert das BEDIENERfeld.

  2. Geben Sie $$ ein und drücken Sie die TABULATOR- oder EINGABE-Taste.

Wenn Sie ein Werkstückprogramm öffnen, das von einer späteren Version in die aktuelle Version gespeichert wurde, werden alle Befehle, die nicht von der aktuellen Version unterstützt werden, als DOC-Kommentare angezeigt. Siehe auch "Speichern unter" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Ja / Nein

Mit dieser Option können Sie während der Ausführung des Werkstückprogramms Text anzeigen lassen. Das Meldungsfeld zeigt den zuvor eingegebenen Text zusammen mit den Schaltflächen JA / NEIN an. Die Antwort auf die JA / NEIN-Frage erscheint im Werkstückprogramm. Der Text "JA" bzw. "NEIN" wird der Kommentar-ID zugewiesen, auf die Sie in Ausdrücken Bezug nehmen können (z. B. K1.EINGABE).

Befehlszeile im Bearbeitungsfenster
Kommentar-ID = KOMMENTAR/JANEIN, Kommentartext


Ergebnisanzeige

Mit dieser Optionen können Sie Text im Taster-Anzeigefenster anzeigen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KOMMENTAR/ANZEIGE, Kommentartext

Weitere Informationen zum Einrichten dieser Option finden Sie unter "Ergebnisanzeige" im Abschnitt "Einfügen von Protokollbefehlen".


Überwachungsfelder

Mit der Option Überwachungsfeld können Sie im Bearbeitungsfenster Überwachungsfelder einrichten. Diese Informationen sind nützlich für die STATISTIK-Datenbank (siehe Datei XSTATS11.TMP). Der Name und der aktuelle Wert des Felds können im Bearbeitungsfenster geändert werden. Markieren Sie hierzu das zu ändernde Feld und geben Sie einen neuen Wert ein.

Um das Dialogfeld Überwachungsfeld einzublenden, wählen Sie die Menüoption Einfügen | Statistik-Befehl | Überwachungsfeld aus.

Die Befehlszeile im Bearbeitungsfenster:
ÜBERWACHUNGSFELD/Feldname : Wert

Feldname = Zeichenfolge, die den Namen des Überwachungsfelds darstellt. Der Feldname ist auf eine Länge von höchstens 15 Zeichen begrenzt.

Wert = der aktuelle Wert des Überwachungsfelds. Der Wert darf höchstens 15 Zeichen umfassen.


Ausdrücke

In die meisten editierbaren Felder von PC-DMIS können Ausdrücke eingefügt werden. Informationen hierzu finden Sie im Abschnitt "Verwenden von Ausdrücken und Variablen".


Bildschirmkopien

Über den Befehl ANZEIGE / METADATEI (Vorgang | Grafikfenster | Bildschirmkopie in | Protokoll) können Sie das aktive Grafikfenster erfassen und einen Befehl einfügen, um die "Bildschirmkopie" im Protokollfenster anzeigen zu lassen.

Um die Bildschirmkopie im Protokollfenster erscheinen zu lassen, klicken Sie mit der rechten Maustaste auf eine beliebige Textstelle des Protokollfensters, wählen Bearbeiten aus, und markieren dann, nach Erscheinen des Dialogfelds Protokoll, das Kontrollkästchen Bildschirmkopien zeigen.

Diese Anzeige wird bei jeder Ausführung des Werkstückprogramms aktualisiert.

Befehlszeile im Bearbeitungsfenster:
ANZEIGE / METADATEI, "___"

___ = In diesem Feld können Sie eine Beschreibung für die Bildschirmkopie eingeben. Der Text darf höchstens 255 Zeichen lang sein.


Globale Befehle

Die nachstehende Tabelle enthält die Liste der globalen Befehle, die im Bearbeitungsfenster zur Verfügung stehen. Sie können diese Befehle zwar nicht ändern, im Bearbeitungsfenster jedoch die Nebenbefehle zu diesen Hauptbefehlen auswählen.

So wählen Sie die Nebenbefehle aus:

  1. Setzen Sie den Cursor im Bearbeitungsfenster auf einen Nebenbefehl.

  2. Klicken Sie mit der linken Maustaste.

  3. Drücken Sie F7 oder F8. Dadurch können Sie zwischen den verfügbaren Optionen umschalten.

Diese Liste dient als umfassende Übersicht der Befehle, die einem Werkstückprogramm hinzugefügt werden können. Weitere Informationen entnehmen Sie bitte den einzelnen Abschnitten.

Hinweis: PC-DMIS unterstützt in den Zeilen des Bearbeitungsfensters maximal 280 Zeichen.

HAUPTBEFEHL | NEBENBEFEHL
2DWINKEL (siehe "Merkmale für Winkel erstellen") | A
2DABSTAND (siehe "Abstandsabmessung") | M
3DWINKEL (siehe "Merkmale für Winkel erstellen") | A
3DABSTAND (siehe "Abstandsabmessung") | M
AUSRICHTUNG (siehe "Erstellen und Verwenden von Ausrichtungen") | BE2D, BE3D, WIEDERH, EBENE, DREHEN, ÜBERTR, VERSATZ_DREHEN, ÜBERTRVERSATZ, AUFRUFEN, AUFRUFEN_EXTERN
NEIGUNG (siehe "Merkmal "Neigung" erstellen") | M
ANALYSEANSICHT (siehe "Analyse") |
ARRAY_INDIZES (siehe "Arrays") |
ZUWEISEN (siehe "Verwenden von Variablen mit Ausdrücken") |
ANHÄNGEN (siehe "IDs für Elemente innerhalb von Unterprogrammen, BASIC-Scripts oder externen Programmen") |
AUTO (siehe "Blechmessungen") | VEKTORPUNKT, OBERFLÄCHENPUNKT, KANTENPUNKT, ECKPUNKT, WINKELPUNKT, EXTREMPUNKT, KUGEL, KREIS, ZYLINDER, RECHTECKLOCH, LANGLOCH, KEGEL, ELLIPSE, KERBE
AUTO_AUSLÖSER (siehe "Parametereinstellungen: Registerkarte "Taster-Trigger Optionen"") |
CAD GLEICH WERKSTÜCK (siehe "CAD gleich Werkstück") |
BERECHNUNG |
AUFR_UNTERPROG (siehe "Aufrufen eines Unterprogramms |
CASE (siehe "Case / End Case") |
PRÜFEN (siehe "Prüfabstand") |
SICHERHEITSEBENE (siehe "Parametereinstellungen: Registerkarte "Sicherheitsebene"") | "ARBEITSEBENENWERT"
KLEMMWERT (siehe "Klemmwert") |
132SPALTE (siehe "Merkmale") |
KOMMENTAR (siehe "Kommentare") | BEDIENER, PROTOKOLL
KONZENTRIZITÄT (siehe "Merkmal "Konzentrizität" erstellen") | M
KONST (siehe "Abhängige Elemente") | KREIS, KEGEL, KURVE, ZYLINDER, ELLIPSE, LINIE, EBENE, PUNKT, GRUPPE, OBERFLÄCHE, KUGEL
RUNDHEIT (siehe "Merkmal "Rundheit" erstellen") |
ZYLINDRIZITÄT (siehe "Merkmal "Zylindrizität" erstellen") |
DEFAULT_CASE (siehe "Default Case / End Default Case") |
ANZEIGE (siehe "Bildschirmkopien") | METADATEI
DO (siehe "Do / Until") |
ELSE (siehe "Else / End Else") |
END_ELSEIF (siehe "Else If / End Else If") |
ELSE_IF (siehe "Else If / End Else If") |
END_CASE (siehe "Case / End Case") |
END_DEFAULTCASE (siehe "Default Case / End Default Case" ) |
END_ELSE (siehe "Else / End Else") |
END_IF (siehe "If / End If"). |
END_SELECT (siehe "Select / End Select") |
END WHILE (siehe "While / End While") |
ENDE_UNTERPROG (siehe "Beenden eines Unterprogramms") |
ANGLEICHEN (siehe "Ausrichtung angleichen") |
EXTERNERBEFEHL (siehe "Einfügen eines externen Befehls"). |
DATEI (siehe unter "Verwenden der Datei-Eingabe/-Ausgabe") | ÖFFNEN, VERSCHIEBEN, VORHANDEN, DIALOGFENSTER, LÖSCHEN, KOPIEREN, SCHLIESSEN, ZEICH_SCHREIB, BLOCK_SCHREIB, ZEILE_SCHREIB, POS_SPEICHERN, RÜCKLAUF, POS_AUFRUFEN, LESEN_BIS, ZEICH_LESEN, BLOCK_LESEN, ZEILE_LESEN
EBENHEIT (siehe "Merkmal "Ebenheit" erstellen") | M
FLY (siehe "Fly-Modus") |
VORSCHUB (siehe "Einfügen eines Seitenvorschubbefehls"). |
FORMAT (siehe "Merkmalformat") | ÜBERSCHRIFTEN,STAT
SPALTMASS (siehe "Merkmal "Lage" erstellen") | EIN
BENUTZERDEFINIERT (siehe "Erstellen eines benutzerdefinierten Elements") | PUNKT, EBENE, KEINS, LINIE, ZYLINDER, KEGEL, KREIS, RECHTECKLOCH, KUGEL, LANGLOCH
GOTO (siehe "Springen zu einer Sprungmarke") |
MESSPKT (siehe "Messpunkte") | BASIS, WINKEL, VEKTOR, OBERFLÄCHE, KANTE, ECKE
IF (siehe "If / End If") |
EINGABEWERT (siehe "Merkmal mit Hilfe von Tastatureingaben erstellen") | M
SPRUNGMARKE (siehe "Erstellen von Etiketten") |
LEITZTASTER |
TASTERLADEN (siehe "Taster laden") | "DATEINAME"
LAGE (siehe "Merkmal "Lage" erstellen") | A, D, M, PA, PR, R, T, X, Y, Z
SCHLEIFE (siehe "Erstellen allgemeiner Schleifen" ) | ANFANG, ENDE
MESS (siehe "Gemessene Elemente") | KREIS, KEGEL, KURVE, ZYLINDER, LINIE, EBENE, PUNKT, GRUPPE, LANGLOCH, KUGEL
MODUS (siehe "Symbolleiste "Tastermodus"") | CNC , MANUELL
BEWEGEN (siehe "Bewegungsbefehle") | PUNKT, DREHTISCH, KREISFÖRMIG, SICHERHEITSEBENE, INKREMENT, DSE (X,Y,Z)
BEWEG_GESCHW (siehe "Bewegungsgeschwindigkeit") | in % der Gesamt-Maschinengeschwindigkeit
BEI_FEHLER (siehe "Verzweigung bei einem KMG-Fehler") | UNERWARTETER_MESSPKT, TASTER_VERFEHLG
OPTIONMOTION (OPT_BEWEGUNG) (siehe "Parametereinstellungen: Registerkarte "Optionale Bewegung"") |
PARALLELITÄT (siehe "Merkmal "Parallelität" erstellen") | M
PD |
RECHTWINKLIGKEIT (siehe "Merkmal "Rechtwinkligkeit" erstellen") | M
ANFAHRWEG (siehe "Vorhalteabstand") | "Abstand"
TASTERKOMP (siehe "Tasterkompensation") | "EIN, AUS"
PROFIL (siehe "Merkmal "Flächenprofil" oder "Linienprofil" erstellen" ) |
PROGRAMM | "ENDE" beendet Programm an der Befehlsposition
LESEPUNKT (siehe "Lesepunkt") | "xyz-Wert der Tasterlage"
AUFRUFEN (siehe "Aufrufen einer vorhandenen Ausrichtung") | ANSICHT, AUSRICHTUNG (INTERN/EXTERN)
RÜCKFAHRWEG (siehe "Rückfahrweg") | "Abstand"
NURBUND (siehe "Lageoptionen") | EIN, AUS
RMESS (siehe "Bereich "Relative Messung"") |
RS |
RT |
LAUF (siehe "Merkmal "Lauf" erstellen") | M
S |
SPEICHERN (siehe "Speichern einer Ausrichtung") | AUSRICHTUNG
SCANGESCHW (siehe "Scangeschwindigkeit") | in % der Gesamt-Maschinengeschwindigkeit
SKRIPT (siehe "Einfügen von BASIC-Skripts") |
AUSWÄHLEN (siehe "Select / End Select") |
STAT (siehe unter "Nachverfolgen statistischer Daten") | EIN, AUS
GERADHEIT (siehe "Merkmal "Geradheit" erstellen") | M
UNTERPROGRAMM (siehe "Verzweigen bei Unterprogrammen") |
TASTSPITZE (siehe "Tastspitze") | "Dateiname"
TEMPKOMP (siehe "Temperaturkompensation") |
MESSGESCHW (siehe "Messgeschwindigkeit %") | "in % der Gesamt-Maschinengeschwindigkeit"
ÜBERWACHUNGSFELD (siehe "Überwachungsfelder") | (Feldname: Wert)
POSITION (siehe "Merkmal "Position" erstellen") | A, D, M, PA, PR, R, T, V, X, Y, Z
UNTIL (siehe "Do / Until") |
WHILE (siehe "While / End While") |
ARBEITSEBENE (siehe "Liste "Arbeitsebene"") | OBEN, HINTEN, UNTEN, VORNE, LINKS, RECHTS


Tastaturfunktionen des Befehlsmodus

Die folgende Tabelle führt die verschiedenen Tastaturfunktionen auf, die im Befehlsmodus des Bearbeitungsfensters verfügbar sind.

Taste(n) | Funktion
ALT + F3 | Blendet das Dialogfeld Suchen ein.
UMSCHALT+TAB, STRG+NACH-LINKS-Taste | Bewegt den Cursor rückwärts zum letzten benutzereditierbaren Feld.
STRG | Klicken Sie mit der linken Maustaste auf das gewünschte Element im Grafikfenster. PC-DMIS bewegt den Cursor auf die entsprechende Elementzeile im Bearbeitungsfenster. Mit STRG + Doppelklick auf ein Element wird das gesamte Element ausgewählt.
STRG + A | Markiert alle Textelemente innerhalb des Fensters.
STRG + C | Kopiert Text oder Objekte in die Zwischenablage. Wenn der Text eines einzelnen Felds markiert ist, wird dieser Text in die Zwischenablage kopiert. Wenn mehr als ein Feld markiert ist, wird das gesamte Objekt in die Zwischenablage kopiert.
STRG + E | Führt ausgewählte Elemente (oder das Element, an dem sich der Cursor befindet) aus.
STRG + ENDE | Bewegt den Cursor an das Ende des Werkstückprogramms.
STRG + TAB | Minimiert das Bearbeitungsfenster oder stellt dessen Originalgröße wieder her.
STRG + POS1 | Bewegt den Cursor an den Anfang des Werkstückprogramms.
STRG+BILD-AB-Taste | Bewegt den Cursor an das Ende der Datei.
STRG+BILD-AUF-Taste | Bewegt den Cursor an den Anfang der Datei.
STRG + Q | Blendet das Dialogfeld Ausführen ein, in dem Sie das Werkstückprogramm ausführen können.
STRG+T | Weist dem ausgewählten aktiven Messarm den aktuellen Befehl zu.
STRG + V | Fügt den Inhalt der Zwischenablage an der Einfügemarke ein. Wenn nur Text kopiert wurde, versucht PC-DMIS, den Text einzufügen. Wenn ein gesamtes Objekt kopiert wurde, versucht PC-DMIS, das gesamte Objekt einzufügen. Wenn die Einfügemarke im zweiten Fall im Bearbeitungsfenster in der ersten Spalte der ersten Zeile eines Befehls steht, wird das Objekt aus der Zwischenablage vor diesem Objekt eingefügt. In allen anderen Fällen wird hinter dem Objekt eingefügt.
STRG + X | Schneidet markierte Zeichen aus.
STRG + Y | Zeigt das Dialogfeld Ausführen an und setzt eine unterbrochene Ausführung wieder fort.
LÖSCHEN oder RÜCK-Taste | Löscht alle markierten Zeichen. Wenn nichts markiert ist, funktionieren beide Tastaturbefehle wie in einem gewöhnlichen Editor.
Doppelklick | Wenn sich der Cursor auf einem editierbaren Feld befindet, kann dieses Feld durch einen Doppelklick mit der linken Maustaste hervorgehoben werden.
PFEIL NACH-UNTEN | Bewegt den Cursor eine Zeile nach unten.
F1 | Das entsprechende Hilfethema für den Befehl erscheint.
F2 | Fügt einen Ausdruck ein.
F3 | Markiert ein Element zur Ausführung. Es können mehrere Elemente gleichzeitig markiert werden, wenn die gewünschten Elemente vor der Auswahl dieses Befehls hervorgehoben wurden.
F4 | Druckt den gesamten Inhalt des Bearbeitungsfensters.
F5 | Öffnet das Dialogfeld Setup-Optionen.
F6 | Blendet das Dialogfeld Alle Schriftarten ändern ein.
F7 | Wenn der Cursor in einem Umschaltfeld steht, schaltet dieser Befehl den Eintrag im Feld vorwärts zum nächsten alphabetischen Eintrag in der Liste der zulässigen Einträge. Ist das Ende der Liste erreicht, geht PC-DMIS automatisch zum ersten Eintrag in der Liste.
F8 | Wenn der Cursor in einem Umschaltfeld steht, schaltet dieser Befehl den Eintrag im Feld rückwärts zum letzten zulässigen alphabetischen Eintrag. Ist der Anfang der Liste erreicht, geht PC-DMIS zum letzten Eintrag in der Liste.
F9 | Blendet das Dialogfeld für den Befehl ein, auf dem der Cursor positioniert ist, wenn die Taste gedrückt wird.
F10 | Blendet das Dialogfeld Parametereinstellungen ein.
F12 | Öffnet das Dialogfeld Vorrichtung -Setup.
PFEIL NACH LINKS | Bewegt den Cursor ein Zeichen nach links.
BILD-AB-Taste | Bewegt den Cursor eine Seite nach unten.
BILD-AUF-Taste | Bewegt den Cursor eine Seite nach oben.
PFEIL NACH RECHTS | Bewegt den Cursor ein Zeichen nach rechts.
UMSCHALTTASTE | Wenn die UMSCHALTTASTE beim Betätigen von Pfeiltasten gedrückt gehalten wird, werden die Textelemente während der Cursorbewegung hervorgehoben. Mit UMSCHALT + Doppelklick auf einem Anfangs- oder Endelement eines Blocks wird der gesamte Block ausgewählt.
UMSCHALT + F10 | Blendet das Dialogfeld Gehe zu ein.
Tab+Strg+NACH-RECHTS-Taste | Bewegt den Cursor vorwärts zum nächsten benutzereditierbaren Feld.
PEIL NACH-OBEN-TASTE | Bewegt den Cursor eine Zeile nach oben.
- (Minustaste) oder ALT + "-" (Minus) | Entfernt den letzten Messpunkt aus dem Messpunktpuffer.
ENDE | PC-DMIS fügt das gemessene Element in das Werkstückprogramm ein.


Arbeiten im DMIS-Modus

Wählen Sie für den Übersichtsmodus die Option Ansicht | Dmis-Modus.

Durch Auswahl des Symbols DMIS-Modus werden die Befehle des Bearbeitungsfensters im DMIS-Format angezeigt. Das bedeutet, dass Sie die DMIS-Syntax verwenden können, um Werkstückprogramme zu bearbeiten.

Die meisten Befehle und Elemente, die Sie Werkstückprogrammen im Befehlsmodus hinzufügen können, können auch im DMIS-Modus hinzugefügt werden. Informationen zum Einfügen oder Bearbeiten von Befehlen im DMIS-Modus finden Sie unter "Basiskonzepte".

  • Informationen, wie DMIS-Befehle (Standardbefehlsformat von PC-DMIS) in DMIS-Befehle umgesetzt werden, finden Sie im Dokument PC-DMIS Support Documentation for DMIS ,das unter folgender Adresse erhältlich ist: ftp://wilcoxassoc.com/docs/dmis_support.zip.

  • Informationen über DMIS finden Sie unter der Adresse http://www.dmis.com.


Arbeiten mit anderen Fenstern, Editoren und Werkzeugen

Arbeiten mit anderen Fenstern, Editoren und Tools: Überblick

Verwenden des Voransichtsfensters

Optionen des Voransichtsfensters

Größe des Voransichtsfensters anpassen

Verwenden des Taster-Anzeigefensters

Verwenden der Taster-Werkzeugleiste

Positionierung und Größenanpassung der Werkzeugleiste

Wechseln des aktuellen Tasters

Wechseln der aktuellen Tastspitze

Bearbeiten von Messpunkten in der Zielliste

Löschen von Messpunkten aus dem Messpunktpuffer

Öffnen des Taster-Anzeigefensters

Sperren von Achsen

Verwenden des Statusfensters

Verwenden des BASIC-Skripteditors

BASIC-Skripteditor-Symbolleiste

Neu

Öffnen

Speichern

Drucken

Seitenansicht

Suchen

Ausschneiden

Kopieren

Einfügen

Rückgängig

Kompilieren

Start

Menü "Datei"

Neu

Öffnen

Speichern

Speichern unter

Drucken

Seitenansicht

Beenden

Unicode

Menü "Bearbeiten"

Rückgängig

Ausschneiden

Kopieren

Einfügen

Löschen

Alles auswählen

Suchen

Weitersuchen

Ersetzen

Dialogfeld-Editor

Menü "Ansicht"

Menü "Ausführen"

Menü "Hilfe"

BASIC-Hilfe

Syntax-Hilfe

Syntax-Hilfedatei

Verwenden des Fensters mit Markierungsgruppen

Arbeiten mit dem Hyperview-Protokolleditor

Verwenden des Einstellungsfensters

Ändern der Optionen im Einstellungsfenster

Anzeigen eines Prüfprotokolls

Verwenden der virtuellen Tastatur

Virtuelle Tastatur-Varianten öffnen

Erstellen einer neuen, virtuellen Tastatur-Variante

Ändern einer vorhandenen, virtuellen Tastatur-Variante

Löschen einer vorhandenen, virtuellen Tastatur-Variante

Verbindung oder Zusammenführung von Tasten in einer Tastatur-Variante

Trennzeichen in der virtuellen Tastatur als visuelle Reize verwenden

Anzeigen von Bahngeraden


Arbeiten mit anderen Fenstern, Editoren und Werkzeugen: Überblick

PC-DMIS stellt eine Reihe von Fenstern, Editoren und anderen Hilfsmitteln zur Verfügung, mit denen Sie die Werkstückprogrammierung einfacher und produktiver gestalten können. Dazu gehören:

  • Das Bearbeitungsfenster, das bereits im Abschnitt "Verwenden des Bearbeitungsfensters" behandelt wurde.

  • Ein Voransichtsfenster, das Ihnen eine Voransicht der Messungen bietet, bevor Sie diese akzeptieren.

  • Ein Taster-Anzeigefenster, das die aktuelle Tasterpostion und andere Informationen anzeigt.

  • Eine Taster-Werkzeugleiste, über die Tastermanipulationen durchgeführt werden können.

  • Ein Statusfenster, das den aktuellen Status eines Vorgangs anzeigt.

  • Ein Skripteditor, mit dem Sie Skripts in der Programmiersprache BASIC erstellen können.

  • Ein Fenster, in dem Markierungsgruppen von Elementen zur künftigen Ausführung erstellt und gespeichert werden können.

  • Ein Einstellungsfenster, in dem Sie schnelle Änderungen an häufig verwendete Werte vornehmen können.

  • Einen HyperView-Protokolleditor, mit dem Sie Hyper-Protokolle erstellen können.

  • Einen Prüfprotokoll-Editor, der einen schnellen Blick auf automatisch erstellte Prüfprotokolle erlaubt sowie die Durchführung kleinerer Änderungen an der Darstellung.

  • Eine anpassbare, virtuelle Tastatur, die anstelle der tatsächlichen Tastatur verwendet werden kann.

In diesem Abschnitt wird erläutert, wie Sie diese verschiedenen Werkzeuge aufrufen und einsetzen können. Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Verwenden des Taster-Anzeigefensters

  • Verwenden des Voransichtsfensters

  • Verwenden der Taster-Werkzeugleiste

  • Verwenden des Statusfensters

  • Verwenden des BASIC-Skripteditors

  • Verwenden des Fensters mit Markierungsgruppen

  • Verwenden des Einstellungsfensters

  • Arbeiten mit dem Hyperview-Protokolleditor

  • Anzeigen eines Prüfprotokolls

  • Verwenden der virtuellen Tastatur

  • Anzeigen von Bahngeraden


Verwenden des Voransichtsfensters

Bei Auswahl der Menüoption Ansicht | Voransichtsfenster wird ein Fenster geöffnet, in dem Sie die Ergebnisse einer Elementmessung anzeigen können, bevor Sie die Messung tatsächlich übernehmen. Wird nach Aufnahme von Tastermesspunkten auf die ENDE-Taste (oder die Taste FERTIG am Bedienelement) gedrückt, zeigt PC-DMIS im Grafikfenster das Element und im Voransichtsfenster Merkmalsangaben für das Element an.

Voransichtsfenster für einen gemessenen Kreis mit X-, Y-, Z- und Durchmesserwerten

Im Voransichtsfenster werden Abweichungen von akzeptablen Toleranzen in dem selben Farbschema dargestellt, wie es für Merkmale verwendet wird. Auf diese Weise lässt sich schnell feststellen, ob eine bestimmte Messung innerhalb akzeptabler Toleranzen liegt oder nicht (weitere Informationen, wie die für Merkmale verwendeten Toleranzfarben geändert werden, finden Sie unter "Bearbeiten der Merkmalsfarben" im Abschnitt "Bearbeiten der CAD-Anzeige").

Hinweis: Um festzulegen, welche Elementsangaben im Voransichtsfenster angezeigt werden, können Sie einfach den Bearbeitungsfenster-Cursor auf die Befehlszeile des gewünschten Elements im Bearbeitungsfenster platzieren. Im Allgemeinen ruht der Cursor auf dem letzten Element des Bearbeitungsfensters.

Nachstehend werden die für das Voransichtsfenster verfügbaren Optionen aufgeführt.

Siehe auch:

Optionen des Voransichtsfensters

Größe des Voransichtsfensters anpassen


Optionen des Voransichtsfensters

Das Voransichtsfenster zeigt sowohl allgemeine Informationen über ein Element als auch spezifische Merkmalsangaben an.

Option

Beschreibung

ID

Dieses Feld bestimmt den Etikettennamen des gemessenen Elements oder Merkmals.

Std.Abw

Dieses Feld bestimmt die Standardabweichung für das gemessene Element.

Anz. Messpunkte

Das Feld Anz. Messpunkte bestimmt die Anzahl der Tastermesspunkte, die zum Messen des Elements aufgenommen werden.

Ausblenden

Mit der Schaltfläche Ausblenden wird das Voransichtsfenster geschlossen. Zum Öffnen des Voransichtsfensters wählen Sie Ansicht | Voransichtsfenster.

Übernehmen

Mit der Schaltfläche Übernehmen wird die Messung übernommen und ein Auto-Merkmal für das Element erstellt, wenn die Schaltfläche Auto Merkmal-Einrichten... vorher aktiviert wurde.

Analysefenster

Die Schaltfläche Analysefenster... blendet das Analysefenster für das entsprechende Merkmal des gemessenen Elements ein. Siehe dazu " Einfügen von Befehlen für das Analysefenster ".

Auto Merkmal-Einrichten

Durch Auswahl der Option Auto Merkmal-Einrichten... wird das Dialogfeld "Auto Merkmal" geöffnet.

Weitere Informationen zu diesem Dialogfeld finden Sie unter " Auto Merkmal-Einstellung " unter " Setup-Optionen: Registerkarte "Merkmal" " im Abschnitt " Voreinstellungen ".

ACH

Diese ACHS-Liste zeigt die ausgewählte Achse im Voransichtsfenster an. Folgende Achsen stehen zur Auswahl: X, Y, Z, D, R, A, T, PR, PA , M, V, L, PD, RS, RT, S, H.

Es können für bis zu sechs Achsen gleichzeitig Angaben angezeigt werden, wenn diese aus den verschiedenen ACHS-Listen ausgewählt werden.

Weitere Informationen zu diesen Achsen finden Sie unter "Standardachsen" und "Blechachsen" im Abschnitt "Merkmale für Elemente erstellen".

Nennwert

Dieses Feld bestimmt die Nenn- (oder Soll-) Werte für die einzelnen Achsen.

OTOL

Dieses Feld bestimmt einen Toleranzwert über dem Nennwert, bei dem die Messung immer noch akzeptabel ist.

UTOL

Dieses Feld bestimmt einen Toleranzwert unter dem Nennwert, bei dem die Messung immer noch akzeptabel ist.

MESS

Dieses Feld bestimmt die tatsächlichen Messwerte.

MAX

Dieses Feld bestimmt den zulässigen Höchstwert, bis zu dem die Messung die Toleranz noch nicht überschreitet.

MIN

Dieses Feld bestimmt den zulässigen Mindestwert, bis zu dem die Messung die Toleranz noch nicht überschreitet.

ABW

Dieses Feld bestimmt die Abweichung der Messung vom Nennwert.

AUSTOL

Dieses Feld bestimmt, um welchen Wert der Messwert außerhalb des Toleranzbereichs liegt.


Größe des Voransichtsfensters anpassen

Wie bei den meisten Fenstern kann die Größe des Voransichtsfensters Ihren individuellen Anforderungen angepasst werden. Um es zu vergrößern oder zu verkleinern, ziehen Sie einfach die Fensterecke mit der Maus auf die gewünschte Größe.

Hinweis: Das Voransichtsfenster im Lernmodus unterscheidet sich vom Voransichtsfenster im Ausführmodus. Sie können aber für jedes Fenster die Größe ändern.


Verwenden des Taster-Anzeigefensters

Über den Menübefehl Ansicht | Tasteranzeige können Sie die Ergebnisanzeige der aktuellen KMG-Position und andere nützliche Informationen einsehen. Wenn diese Option gewählt wird, blendet PC-DMIS das Taster-Anzeigefenster ein.

Taster-Anzeigefenster

Das Taster-Anzeigefenster enthält Informationen aus der Tabelle unten, abhängig von den im Dialogfeld Taster-Anzeige einrichten ausgewählten Optionen (siehe auch "Einrichten des Anzeigefensters" im Abschnitt "Voreinstellungen").

Tipp: Sie können das Dialogfeld Taster-Anzeige einrichten durch einen Rechtsklick auf das Taster-Anzeigefenster und das Anklicken von Setup öffnen.

Linke Spalte | Beschreibung
X Y Z | Aktuelle XYZ-Tasterposition
LX LY LZ | XYZ-Position des letzten Messpunkts
DX DY DZ | Abstand zur nächsten Position
EX EY EZ | Fehler des zuletzt gemessenen Elements
W | Drehtischwinkel
A B | AB Achs-Winkel (damit diese eingeblendet werden, benötigen Sie einen stufenlos verstellbaren Wrist-Taster, wie beispielsweise einen PHS oder CW43 Light etc.)
Messpunkte | Aufgenommene Messpunkte

Darüber hinaus kann das Taster-Anzeigefenster weitere Textzeilen im unteren Teil des Fensters aufweisen. Dieser Text entstammt dem Kommentartyp "Taster-Anzeige". Weitere Informationen zur Anzeige dieses Kommentartyps in Ihrem Taster-Anzeigefenster finden Sie unter "Einfügen von Programmiererkommentaren im Abschnitt "Einfügen von Protokollbefehlen".

Größe des Taster-Anzeigefensters anpassen

Sie können die Größe dieses Fensters ändern, indem Sie den Fensterrand einfach so lange 'ziehen', bis die gewünschte Größe erreicht wird. Wenn Sie auf das Symbol zur Fenstermaximierung [image] oben rechts im Fenster klicken, vergrößert sich das Feld auf volle Bildschirmgröße. (Wenn Sie ein zweites Mal auf das Symbol klicken, wird die vorherige Größe des Fensters wiederhergestellt.) Damit können Sie das ausgewählte Anzeigefenster einsehen, wenn KMG und Monitor sich an verschiedenen Stellen im Raum befinden. Um das Taster-Anzeigefenster zu schließen, klicken Sie auf das X in der rechten oberen Ecke des Fensters.

Hinweis: Immer, wenn die Bildschirmposition oder die Größe des Taster-Anzeigefensters geändert wird, aktualisiert PC-DMIS die dazugehörigen Registrierungseinstellungen. Wenn die Option dann das nächste Mal aufgerufen wird, wird das Fenster wieder genau so angezeigt, wie es beim letztmaligen Aufrufen der Option eingestellt war.

Bei Geräten mit externer digitaler Ergebnisanzeige steht diese Option nicht zur Verfügung.

Mehrarm-Betrieb und das Taster-Anzeigefenster

Wenn mehr als ein Arm die Messung des Werkstücks vornehmen, zeigt PC-DMIS die Taster-Anzeigeinformationen für jeden zusätzlichen Arm in einer neuen Spalte an.

Beispiel eines Taster-Anzeigefensters, das mehrere Arme in zwei Spalten anzeigt

Sie können mit der rechten Maustaste auf das Fenster klicken, um ein Kontextmenü, mit dem Sie Informationen über einen bestimmten Taster ein- oder ausblenden können, anzuzeigen.

Wenn direkt neben der Menüoption eine Markierung anzeigt wird, erscheint deren Information im Taster-Anzeigefenster.


 Locking Your Machine's Axes Accessing the Probe Readout Window Taking and Deleting Hits Viewing Hits in the Hits Buffer Changing the Current Probe Tip Changing the Current Probe Placing the Probe into Readouts and Hits Mode Viewing Hits in the Hits Buffer

Verwenden der Taster-Werkzeugleiste

Über die Menüoption Ansicht | Taster-Werkzeugleiste wird die Taster-Werkzeugleiste eingeblendet.

Taster-Werkzeugleiste

Diese Taster-Werkzeugleiste ermöglicht es Ihnen, verschiedene tasterbezogene Manipulationen auf einfache Weise vorzunehmen. Diese Werkzeugleiste bietet Ihnen Registerkarten und Informationen, die sich auf den derzeitig verwendeten Tastertyp beziehen. Wenn Sie beispielsweise einen optischen oder einen Laser-Taster verwenden, werden andere Registerkarten erscheinen, mit denen Sie für diese Tastertypen gültige Parameter manipulieren können. Weitere Informationen über die Verwendung dieser Tastertypen finden Sie in der Dokumentation für Vision- oder Laser-Module.

Zu den tasterbezogenen Manipulationen für Standard-Tastertypen gehören:

  • Umschalten zwischen vorhandenen konfigurierten Tastern und Tastspitzen

  • Ansicht der aktuellen Tasterposition

  • Zugriff auf das Taster-Anzeigefenster

  • Messpunkte aus dem Messpunktepuffer entfernen

  • Anzeigen von Messpunkten im Messpunktepuffer

  • Die X-, Y- oder Z-Achsen des Messgeräts sperren

Weitere Informationen zu diesen Manipulationen finden Sie unter den nachstehend aufgeführten Themen.

Hinweis: Frühere Versionen von PC-DMIS enthielten in dieser Werkzeugleiste die Symbole "Elementerkennung Flach" und "Elementerkennung Rund". Da sich aber der Algorithmus in PC-DMIS ab Version 4.0 verbessert hat, werden diese Symbole nicht mehr benötigt und wurden daher aus der Werkzeugleiste entfernt.

Siehe auch:

Positionierung und Größenanpassung der Werkzeugleiste

Wechseln des aktuellen Tasters

Anzeigen von Messpunkten im Messpunktepuffer

Aufnahme und Löschen von Messpunkten

Öffnen des Taster-Anzeigefensters

Versetzen des Tasters in den Ergebnisanzeige- und Messpunktemodus

Sperren von Achsen


Positionierung und Größenanpassung der Werkzeugleiste

Ähnlich wie beim Bearbeitungsfenster oder den verschiedenen in PC-DMIS verfügbaren Werkzeugleisten können Sie die Taster-Werkzeugleiste unten, oben oder an den Seiten des Bildschirms ankoppeln oder ungekoppelt über dem Grafikfenster anzeigen. Vorgehensweise:

  1. Wählen Sie die Titelleiste der Werkzeugleiste mit der Maus aus.

  2. Ziehen Sie die Werkzeugleiste an die gewünschte Stelle.

  3. Lassen Sie die Maustaste wieder los. PC-DMIS setzt die Werkzeugleiste an die neue Position.

Sie können die Größe der Werkzeugleiste auch anpassen, indem Sie einen Rand der Werkzeugleiste auswählen und die Maus an eine neue Position ziehen.


Wechseln des aktuellen Tasters

Vorgehensweise, um den aktuellen Taster des Werkstückprogramms mit Hilfe der Taster-Werkzeugleiste zu wechseln:

  1. Wählen Sie die Liste Taster aus.

  2. Wählen Sie einen neuen Taster aus.

PC-DMIS fügt den Befehl TASTERLADEN für den ausgewählten Taster in das Werkstückprogramm ein.


Wechseln der aktuellen Tastspitze

Vorgehensweise, um den aktuellen Taster des Werkstückprogramms mit Hilfe der Taster-Werkzeugleiste zu wechseln:

  1. Wählen Sie die Liste Tastspitzen aus.

  2. Wählen Sie einen neuen Taster aus.

PC-DMIS fügt den Befehl TASTERLADEN für den ausgewählten Taster in das Werkstückprogramm ein.


Anzeigen von Messpunkten im Messpunktepuffer

Den zuletzt aufgenommenen Messpunkt anzeigen

In der Registerkarte Tasterposition zeigt PC-DMIS den neuesten Messpunkt, der im Messpunktepuffer gespeichert wurde, oder die aktuelle Tasterposition an. Bei der Verwendung eines Vision- oder Lasermoduls stehen folgende Einträge zur Bearbeitung:

Letzte Messpunktinformation

Anzeigen aller Messpunkte

Um alle Messpunkte im Messpunktepuffer anzuzeigen, klicken Sie auf die Registerkarte Messpunktziele. PC-DMIS zeigt die XYZ- und die IJK-Daten für jeden Messpunkt im Puffer an.

Werkzeugleiste "Taster" - Registerkarte "Messpunktziele"

Die Registerkarte "Messpunktziele" mit der Anzeige mehrerer Messpunkte im Messpunktepuffer

Durch klicken auf die Taste ENDE oder FERTIG am Bedienelement und dadurch, dass Sie das aktuelle Element, das Sie mit dem Taster erreichen, akzeptieren, entfernt PC-DMIS die Messpunkte aus dem Puffer und leert diese Liste.


Aufnahme und löschen von Messpunkten

Messpunkt aufnehmen-Symbol

Klicken Sie auf das Symbol Messpunkt aufnehmen, um einen Messpunkt an der aktuellen Tasterposition aufzunehmen. PC-DMIS fügt den Messpunkt zum Messpunktpuffer hinzu. Dieses Symbol wird nur dann aktiviert, wenn Sie einen definierten starren Taster verwenden.

Entfernen Sie ein Messpunkt-Symbol

Um mit Hilfe der Taster- Werkzeugleiste einen Messpunkt aus dem Messpunktpuffer zu löschen, klicken Sie auf das Symbol Messpunkt entfernen. Wenn das Taster-Anzeigefenster geöffnet ist, werden Sie feststellen, dass der Messpunkt aus der Messpunktsparte des Fensters entfernt wird. Siehe den Abschnitt "Entfernen oder Löschen von Messpunkten" unter "Erste Schritte: Ein einfaches Lernprogramm" für weitere Informationen.


Öffnen des Taster-Anzeigefensters

Taster-Anzeigesymbol

Um das Taster-Anzeigefenster von der Taster-Werkzeugleiste aus zu öffnen, klicken Sie auf das Symbol Taster-Anzeige . Weitere Informationen zum Taster-Anzeigefenster finden Sie unter "Verwenden des Taster-Anzeigefensters".


Versetzen des Tasters in den Ergebnisanzeige- und Messpunktemodus

Einige Schnittstellen machen das Hin- und Herschalten zwischen dem Ergebnisanzeige- und Messpunktemodus erforderlich, da diese Modi getrennt voneinander arbeiten müssen. Dies liegt daran, dass das Arbeiten dieser Schnittstellen entweder im Empfangsstatus (des Messpunktemodus' - warten auf ein Messpunktsignal) oder im Sendestatus (des Ergebnisanzeigemodus' - senden von Tasterpositionsdaten an das Taster-Anzeigefenster) geschieht. Ein Beispiel hierfür ist die Schnittstelle "LK-RS232".

Symbol |  | Beschreibung
 | Ergebnis-Modus | Bei einer LK-Schnittstelle können Sie das Symbol Ergebnisanzeigen-Modus verwenden, um den Taster in den Ergebnisanzeigenmodus zu versetzen.
 | Messpunkte-Modus | Bei einer LK-Schnittstelle können Sie das Symbol Messpunkte-Modus verwenden, um den Taster in den Messpunktemodus zu versetzen.


Sperren von Achsen

Um Bewegungen in einer oder mehreren Achsen des Messgeräts zu verhindern, wählen Sie die entsprechenden Symbole zur Achsenblockierung aus der Taster-Werkzeugleiste aus.

Wenn Sie beispielsweise die Bewegung der Z-Maschinenachse blockieren wollen, wählen Sie das Symbol Z-Achse sperren. Sie können dann eine beliebige Stelle auf dem CAD anklicken und das Messgerät wird sich frei auf der XY-Ebene bewegen, während keine Bewegung in die Z-Richtung erfolgt.

Beachten Sie, dass auf einer CNC-Maschine von Vision durch das Bewegen des grafischen Tasters auch die Sichtfeldmitte (FOV) bewegt wird.

Hinweis: Diese Menüoptionen sind abgeblendet und stehen nur dann zur Auswahl zur Verfügung, wenn das Laser- oder Vision-Modul in Ihrem Hardware-Schlüssel (Anschlusssperre) programmiert wurde. Weitere Informationen zur Verwendung der Taster Werkzeugleiste finden Sie in den Hilfedateien von "PC-DMIS Laser" und "PC-DMIS Vision".


Verwenden des Statusfensters

Statusfenster

Mit der Menüoption Ansicht | Statusfenster wird das gleichnamige Fenster eingeblendet. In diesem Fenster können Sie während der Elementausführung eine Voransicht der Befehle und Elemente einblenden, während Sie diese über die Symbolleiste Schnellstart erstellen. Oder klicken Sie einfach auf den Eintrag im Bearbeitungsfenster, während das Statusfenster geöffnet ist. Obwohl in mancher Hinsicht dem Voransichtsfenster ähnlich, unterscheidet sich das Statusfenster hiervon auf folgende Weise:

  • In diesem Fenster werden keine Toleranz- oder Nennwerte angegeben. Das Fenster dient nur zu Anzeigezwecken.

  • Es zeigt Befehle auf anpassungsfähige Weise an, indem diese in die neue vorlagenbasierte Protokollierungsfunktionalität eingebunden werden.

  • Es zeigt eine dynamische Voransicht für jeden Befehls- oder Merkmalstyp, nicht nur für Lagemerkmale, an, solange diese Befehle innerhalb Ihrer Protokoll- und Etikettenvorlagen ordnungsgemäß zugewiesen sind.

Das Statusfenster mit der Symbolleiste "Schnellstart"

Das Statusfenster zeigt den aktuellen Stand einer jeden Messung im Elementerkennungs-Modus, Elementauswahl und Merkmalserstellung an, wenn dabei die Symbolleiste Schnellstart verwendet wird. Im Falle des oben gezeigten Screenshots ermöglicht Ihnen PC-DMIS in diesem Fenster eine Voransicht des Merkmals, bevor Sie auf die Schaltfläche Fertigstellen aus der Werkzeugleiste Schnellstart klicken, obwohl dieses Merkmal noch nicht erstellt wurde.

Das Statusfenster während der Elementerstellung oder Ausführung

Das Statusfenster zeigt als Voransicht Informationen der Elemente, die noch nicht im Protokollfenster angezeigt wurden. Dieses Fenster verwendet die Funktionalität der neuen Protokollvorlagen, um dynamische Voransichten von Befehlen während Ausführung und Erstellung zu erzeugen. Während der Elementerstellung wird das Element in der Voransicht nur dann eingeblendet, wenn sich PC-DMIS im Elementerkennungs-Modus befindet.

Ändern der Statusfenster-Vorlage

Da das Statusfenster Protokollvorlagen zur Anzeige der Informationen verwendet, können Sie zur Anzeige anderer Informationen bestimmen, welche Vorlage verwendet werden soll. Jeder Befehl kann im Statusfenster angezeigt werden, solange diesem Befehl in der Protokollvorlagen (.rtp)-Datei eine Etikettvorlage zugewiesen wurde. Die entsprechende Protokollvorlage wählen Sie aus dem Registrierungseintrag Protokollvorlage unter dem Abschnitt "Statusfenster" des Einstellungseditors von PC-DMIS. Die verwendete Standardvorlage ist "textonly.rtp".


Verwenden des BASIC-Skripteditors

Der BASIC-Skripteditor dient zum Erstellen und Bearbeiten von BASIC-Skripts, die während der Programmausführung in BASIC-Skriptobjekten oder über die Symbolleiste BASIC-Skripteditor verwendet werden können.

Bei Auswahl der Menüoption Ansicht | BASIC-Skripteditor wird der BASIC-Skripteditor geöffnet und die Hauptmenüleiste von PC-DMIS wird durch die folgenden Menüs ersetzt: Datei, Bearbeiten, Ausführen und Hilfe. Sie können die normale Menüleiste von PC-DMIS wiederherstellen, indem Sie den BASIC-Skripteditor minimieren oder schließen.

Der Basic-Skripteditor umfasst die folgenden Menüs:

  • BASIC-Skripteditor-Symbolleiste

  • Menü "Datei"

  • Menü "Bearbeiten"

  • Menü "Ausführen"

  • Menü "Hilfe"

Diese Themen werden nachstehend erläutert.

Siehe auch:

BASIC-Skripteditor-Symbolleiste

Menü "Datei"

Menü "Bearbeiten"

Menü "Ansicht"

Menü "Ausführen"

Menü "Hilfe"


BASIC-Skripteditor-Symbolleiste

Die BASIC-Skripteditor-Symbolleiste unterstützt die folgenden Funktionen:

Siehe auch:

Neu

Öffnen

Speichern

Drucken

Seitenlansicht

Suchen

Ausschneiden

Kopieren

Einfügen

Rückgängig

Kompilieren

Start


Neu

Mit dieser Schaltfläche können Sie im Editor ein neues BASIC-Skript erstellen.


Öffnen

Diese Schaltfläche blendet das Dialogfeld Datei öffnen ein, in dem Sie ein vorhandenes BASIC-Skript im Editor öffnen können.


Speichern

Diese Schaltfläche speichert das aktuelle BASIC-Skript. Wenn Sie das aktuelle Skript noch nicht benannt haben, werden Sie im eingeblendeten Dialogfeld Speichern unter zur Angabe des gewünschten Skriptnamens aufgefordert.


Drucken

Diese Schaltfläche druckt das aktuelle BASIC-Skript.


Seitenansicht

Mit dieser Schaltfläche können Sie sich im Fenster der Seitenansicht ansehen, wie das aktuelle BASIC-Skript beim Drucken aussieht.


Suchen

Mit dieser Schaltfläche können Sie im aktuellen BASIC-Skript nach Text suchen.


Ausschneiden

Diese Schaltfläche schneidet markierten Text aus und legt ihn in der Zwischenablage ab.


Kopieren

Diese Schaltfläche kopiert markierten Text und legt ihn in der Zwischenablage ab.


Einfügen

Diese Schaltfläche fügt aus der Zwischenablage stammenden Text an der aktuellen Einfügemarke im Editor ein.


Rückgängig

Mit dieser Schaltfläche können Sie die zuletzt vorgenommene Änderung rückgängig machen.


Kompilieren

Über das Symbol Kompilieren wird das aktuelle BASIC-Skript kompiliert (zur Ausführung auf einem Computersystem verständlich gemacht). Sie müssen ein Skript vor der Ausführung kompilieren.


Start

Mit dieser Schaltfläche wird das aktuelle BASIC-Skript kompiliert und ausgeführt.

Hinweis: Anhand von Skripts, die mit Hilfe der BASIC-Befehle von PC-DMIS im Editor ausgeführt werden, können Objekte in das aktuelle Werkstückprogramm eingefügt werden.


Menü "Datei"

Im Menü Datei des BASIC-Skripteditors stehen folgende Befehle und Optionen zur Auswahl:

Siehe auch:

Neu

Öffnen

Speichern

Speichern unter

Drucken

Seitenansicht

Beenden

Unicode


Neu

Die Menüoption Datei | Neu öffnet einen neuen BASIC-Skripteditor, in dem Sie ein neues Skript schreiben können.


Öffnen

Mit der Menüoption Datei | Öffnen können Sie ein vorhandenes Skript ansteuern und dieses öffnen. Damit Dateien im BASIC-Skripteditor angezeigt werden, müssen sie zum Dateityp *.bas gehören.


Speichern

Mit der Menüoption Datei | Speichern können Sie ein Skript speichern. Bei einem neuen Skript erscheint bei erstmaliger Auswahl dieser Option das Dialogfeld Speichern unter, in dem Sie einen Namen und einen Speicherort für das Skript auswählen können.


Speichern unter

Mit der Menüoption Datei | Speichern unter können Sie ein neues Skript speichern oder ein bereits vorhandenes Skript unter einem neuen Dateinamen speichern. Es erscheint das Dialogfeld Speichern unter, in dem Sie den Dateinamen und das Verzeichnis, in dem das Skript gespeichert werden soll, auswählen können.


Drucken

Mit der Menüoption Datei | Drucken können Sie das Skript im BASIC-Skripteditor von Ihrem Systemdrucker aus drucken.


Seitenansicht

Wenn im Menü Datei des BASIC-Skripteditors der Befehl Drucken aktiviert ist, können Sie mit der Menüoption Datei | Seitenansicht eine Voransicht des zu sendenden Druckauftrags anzeigen.


Beenden

Mit der Menüoption Datei | Beenden können Sie den BASIC-Skripteditor verlassen, ohne die an den geöffneten Skripts vorgenommenen Änderungen zu speichern. Bei Auswahl von Datei | Beenden kehren Sie zur Hauptbenutzeroberfläche zurück. Die Menüleiste zeigt dann wieder die normalen PC-DMIS-Funktionen an.


Unicode

Über den Menüeintrag Datei | Unicode wird bestimmt, ob Ihr BASIC-Skript ein Unicode-Skript ist oder nicht. Wenn es sich nicht um ein Unicode-Skript handelt, interpretiert der Basic-Skripteditor das Skript als ASCII-Text.

Der Basic-Skripteditor muss das Format Ihres Skripts wissen, um es richtig anzeigen und interpretieren zu können. Über die Unicode-Formatierung kann der Editor komplexere Zeichen (wie beispielsweise chinesische und japanische Zeichen) handhaben.

Sofern Sie nicht in einer Sprache arbeiten, die Mehrwortzeichen verwendet, erübrigt sich die Auswahl dieses Menüeintrags im Allgemeinen.


Menü "Bearbeiten"

Im Menü Bearbeiten des BASIC-Skripteditors stehen BASIC-Bearbeitungsfunktionen zur Handhabung des im BASIC-Skripteditor angezeigten Textes zur Auswahl.

Siehe auch:

Rückgängig

Ausschneiden

Kopieren

Einfügen

Löschen

Alles auswählen

Suchen

Weitersuchen

Ersetzen

Dialogfeld-Editor


Rückgängig

Mit der Menüoption Bearbeiten | Rückgängig können Sie die zuletzt im BASIC-Skripteditor durchgeführte Aktion rückgängig machen.


Ausschneiden

Mit der Menüoption Bearbeiten | Ausschneiden können Sie markierten Text aus dem BASIC-Skripteditor ausschneiden. Der ausgeschnittene Text wird in der Windows-Zwischenablage gespeichert und später an einer anderen Stelle eingefügt.


Kopieren

Mit der Menüoption Bearbeiten | Kopieren können Sie markierten Text kopieren. Der kopierte Text wird in der Windows-Zwischenablage gespeichert und später an einer anderen Stelle eingefügt.


Einfügen

Mit dem Befehl Bearbeiten | Einfügen können Sie Text aus der Windows-Zwischenablage einfügen.


Löschen

Mit dem Befehl Bearbeiten | Löschen können Sie markierten Text löschen.


Alles auswählen

Die Menüoption Bearbeiten | Alles auswählen markiert automatisch den gesamten Text im BASIC-Skripteditor. Sie können den markierten Text dann Ausschneiden, Kopieren oder Löschen.


Suchen

Die Menüoption Bearbeiten | Suchen blendet das Dialogfeld Suchen ein.

Dialogfeld "Suchen"

Mit diesem Dialogfeld können Sie im BASIC-Skripteditor nach einem bestimmten Wort oder Begriff suchen.

  • Wenn Sie das Kontrollkästchen Nur ganzes Wort suchen markieren, zeigt das Dialogfeld nur die Wörter an, die vollständig mit dem gesuchten Wort übereinstimmen.

  • Wenn Sie das Kontrollkästchen Groß-/Kleinschreibung berücksichtigen markieren, zeigt das Dialogfeld nur diejenigen Begriffe an, die in Groß-/Kleinschreibung mit dem im Feld Suchen nach verwendeten Begriff übereinstimmen.


Weitersuchen

Durch den Befehl Bearbeiten | Weitersuchen wird im BASIC-Skripteditor nach dem nächsten Begriff weitergesucht, der den im Dialogfeld Suchen angegebenen Kriterien entspricht (siehe Bearbeiten | Suchen weiter oben).


Ersetzen

Die Menüoption Bearbeiten | Ersetzen blendet das Dialogfeld Ersetzen ein.

Dialogfeld "Ersetzen"

Das Dialogfeld Ersetzen ist eine Erweiterung des Befehls Bearbeiten | Suchen. Sie können damit nach einem bestimmten Begriff suchen und diesen dann durch den im Feld Ersetzen durch eingegebenen Begriff ersetzen.

Das Kontrollkästchen Nur ganzes Wort suchen wird nur vollständige Wörter suchen, keine Wortteile. Suchen Sie beispielsweise nach dem Wort "Punkt" und haben das Kontrollkästchen nicht aktiviert, wird die Zeichenfolge innerhalb des Wortes "Punkte" gefunden.

Das Kontrollkästchen Groß-/Kleinschreibung berücksichtigen findet nur Instanzen, die mit dem in das Feld Suchen nach eingegebenen Begriff exakt übereinstimmen. Würden Sie "punkt" eingeben, würden die Wörter "Punkt" oder "PUNKT" wegen der veränderten Groß- oder Kleinschreibung nicht gefunden werden.

Über die Schaltfläche Weitersuchen wird der BASIC-Skripteditor durchsucht und der erste Begriff, der den im Dialogfeld eingegebenen Suchkriterien entspricht, eingeblendet.

Mit der Schaltfläche Ersetzen können Sie das (mittels der Schaltfläche Weitersuchen) Gefundene durch den Eintrag im Feld Ersetzen durch ersetzen.

Mit der Schaltfläche Alle ersetzen können Sie sämtliche Instanzen im BASIC-Skripteditor, die den Suchkriterien entsprechen, durch den Eintrag im Feld Ersetzen durch ersetzen.

Mit der Schaltfläche Abbrechen wird das Dialogfeld Ersetzen geschlossen.


Dialogfeld-Editor

Mit der Option Bearbeiten | Dialogfeldeditor werden ein Fenster mit einem sogenannten Dialog One-Raster sowie die MasQ Enable Dialog Designer-Symbolleiste geöffnet. Diese Symbolleiste und der Raster Dialog One bieten Ihnen das erforderliche Werkzeug zum Entwurf von Dialogfeldern, die später für Ihre Skripts programmiert werden können.

Durch Klicken auf das "X" in der oberen rechten Ecke der MasQ Enable Dialog Designer-Symbolleiste werden diese Tools geschlossen.


Menü "Ansicht"

Im Menü Ansicht können Sie bestimmen, ob die Symbolleiste und/oder die Statusleiste des BASIC-Skripteditors angezeigt werden soll. Klicken Sie auf Ansicht | Symbolleiste, um die Symbolleiste ein- oder auszublenden. Klicken Sie auf Ansicht | Statusleiste, um die Statusleiste ein- oder auszublenden.

Über dieses Menü werden auch die Tabulatorpositionen festgelegt. Mit dieser Option können Sie Programmanweisungen um eine festgelegte Zeichenanzahl einrücken, wodurch sich die Lesbarkeit des Programms verbessern lässt. Wählen Sie Ansicht | Tabstops einstellen und geben Sie eine Zahl ein. Jedes Mal, wenn auf die TABULATORTASTE gedrückt wird, rückt PC-DMIS den Text um die angegebene Zeichenanzahl ein. Wenn Sie beispielsweise jeweils nach fünf Zeichen einen Tabstop haben möchten, geben Sie die Zahl "5" in das Dialogfeld Tabstops einstellen ein.


Menü "Ausführen"

Im Menü Ausführen können Sie den Befehl Kompilieren oder Starten auswählen. Mit dem Kompilierbefehl wird das Skript kompiliert und auf Syntaxfehler hin überprüft, mit dem Startbefehl wird es ausgeführt.


Menü "Hilfe"

Das Menü Hilfe bietet Ihnen Zugriff auf verschiedene Optionen, die sich bei Verwendung des BASIC-Skripteditors als hilfreich erweisen.

Siehe auch:

BASIC-Hilfe

Syntax-Hilfe

Syntax-Hilfedatei


BASIC-Hilfe

Der Befehl Hilfe | Basic-Hilfe blendet die Online-Hilfedatei ein, die für das BASIC-Zusatzmodul erstellt wurde.


Syntax-Hilfe

Die Option Hilfe | Syntax-Hilfe aktiviert bzw. deaktiviert die Syntax-Hilfe beim Arbeiten mit dem BASIC-Skripteditor. Wenn diese Option aktiviert ist, wird bei jeder Eingabe eines in der BASIC-Programmiersprache verwendeten Befehls oder Begriffs ein Popup-Rollfeld im BASIC-Skripteditor eingeblendet. Sie können den entsprechenden Begriff mit den Pfeiltasten wählen. Wenn dieser markiert ist, drücken Sie die TABULATORTASTE und der Begriff erscheint im BASIC-Skripteditor. Durch Drücken der LEERTASTE wird die für den Befehl erforderliche Syntax angezeigt.


Syntax-Hilfedatei

Mit Hilfe | Syntax-Hilfedatei können Sie die im Befehl Hilfe | Syntax-Hilfe verwendete Syntaxdatei auswählen. Es erscheint das Dialogfeld Syntax-Hilfedatei laden. Navigieren Sie zum Verzeichnis, das PC-DMIS für Windows enthält, und wählen Sie die Datei "Pcdmis.syn".


Verwenden des Fensters mit Markierungsgruppen

Bei Auswahl der Menüoption Ansicht | Fenster mit Markierungsgruppen wird das gleichnamige Fenster geöffnet. Mit diesem Fenster können Sie eine Gruppe markierter Elemente speichern, die Sie ausführen möchten. Siehe auch "Erstellen und Ausführen von Markierungsgruppen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Verwenden des Einstellungsfensters

Mit dieser Option können Sie einen AUFRUFEN/AUSRICHTUNG-Befehl einfügen, um die in der Liste ausgewählte Ausrichtung aufzurufen.

PC-DMIS fügt den Befehl TASTERLADEN für den ausgewählten Taster in das Werkstückprogramm ein.

Mit dieser Einstellung können Sie einen ANFAHRWEG-Befehl einfügen, der die Entfernung zur theoretischen Position, die der Taster mit Messgeschwindigkeit zurücklegt, bestimmt.

Mit dieser Einstellung können Sie einen MESSGESCHW-Befehl einfügen, der die Geschwindigkeit, mit der die Messpunkte vom KMG aufgenommen werden, verändert. Zulässige Werte sind 1-20 Prozent.

Mit dieser Einstellung können Sie einen NACHKOMMASTELLEN-Befehl mit einem Wert, der dem Wert in der Einstellung entspricht, einfügen. Alle Elemente nach diesem Befehl werden mit der angegebenen Anzahl an Dezimalstellen angezeigt.

Mit dieser Option können Sie einen AUFRUFEN/ANSICHT-Befehl für die gespeicherte Ansicht, die Sie in der Liste ausgewählt haben, einfügen.

Durch Einfügen des ausgewählten TASTSPITZE-Befehls in das Werkstückprogramm werden die AB-Winkel definiert, die für den TASTERLADEN-Befehl verwendet werden.

Mit dieser Einstellung können Sie einen PRÜFEN-Befehl einfügen, der den über die theoretische Lage des Messpunkts hinausgehenden Abstand festlegt, in dem die Maschine nach der Oberfläche des Werkstücks sucht.

Mit dieser Option können Sie einen BEWEG_GESCHW-Befehl einfügen, der die Geschwindigkeit des KMGs zwischen der Aufnahme von Messpunkten bestimmt. Zulässige Werte sind 1-100 Prozent.

Mit dieser Einstellung können Sie einen POSITIVESPROTOKOLLIEREN-Befehl in das Werkstückprogramm einfügen. Über diesen Befehl werden Elemente auf der linken (negativen) Seite des Nullpunkts mit positiven Werten angezeigt. Diese Option kann für das Protokollieren aller Daten oder lediglich für das Protokollieren von Abweichungen gewählt werden.

Mit dieser Option können Sie einen MODUS/CNC- oder MODUS/MANUELL-Befehl einfügen, um das KMG in den CNC- bzw. MANUELL-Modus zu versetzen.

Hiermit wird durch Einfügen des entsprechenden TASTERKOMP-Befehls die Tasterkompensation ein- bzw. ausgeschaltet.

Mit dieser Einstellung können Sie einen RÜCKFAHRWEG-Befehl einfügen, der den Abstand bestimmt, den die Maschine von der aktuellen Messpunktposition in Messgeschwindigkeit zurückfährt, bevor sie in die Bewegungsgeschwindigkeit wechselt.

Mit dieser Einstellung können Sie einen SCANGESCHW-Befehl einfügen, der die Geschwindigkeit beim Scannen des Werkstücks bestimmt. Zulässige Werte sind 1-100 Prozent.

Mit dieser Einstellung wird bestimmt, ob PC-DMIS das positive Protokollieren der X-Achse anzeigt oder nicht.

Hierdurch können Sie durch Einfügen eines neuen ARBEITSEBENE-Befehls in das Werkstückprogramm die aktuelle Arbeitsebene ändern.

Mit dieser Option können Sie einen BEWEG_FEHLER_IGNORIEREN/EIN oder AUS-Befehl in das Werkstückprogramm einfügen. Ist diese Einstellung EINgeschaltet, hält PC-DMIS im Falle einer Kollision nicht an.

Mit dieser Einstellung können Sie einen TASTERRÜCKZUG-Befehl einfügen, der den Rückfahrweg festlegt, den das KMG automatisch zurücklegt, nachdem ein manueller Messpunkt aufgenommen wurde.

Mit dieser Einstellung wird bestimmt, ob PC-DMIS das positive Protokollieren der Y-Achse anzeigt oder nicht.

Hierüber wird durch Einfügen eines SICHERHEITSEBENE-Befehls eine Sicherheitsebene aktiviert. Durch Drücken auf F9 auf dem eingefügten Befehl können Sie die betroffene Ebene ändern.

Mit dieser Einstellung können Sie einen AUSLÖSERTOLERANZ-Befehl einfügen. Über diesen Befehl wird PC-DMIS angewiesen, einen Messpunkt nur dann zu akzeptieren, wenn er sich innerhalb der definierten Toleranzzone befindet. Sie können dies bei manuellen Maschinen zur Aufnahme von genauen Messpunkten verwenden.

Mit dieser Einstellung wird bestimmt, ob PC-DMIS das positive Protokollieren der Z-Achse anzeigt oder nicht.

Ermöglicht Ihnen, zu definieren, welche Ebene über die Sicherheitsebene verfügt. Diese Option steht erst dann zur Auswahl zur Verfügung, wenn entweder die Einstellung "Sicherheitsebene aktiv" aktiviert ist oder wenn sich ein Cursor auf einem SICHERHEITSEBENE-Befehl befindet.

Mit diesem Wert können Sie den Toleranzradius für die Auslösertoleranz-Einstellung bestimmen.

Mit dieser Einstellung können Sie einen SPALTMASS-Befehl in das Werkstückprogramm einfügen. Ist diese Option eingeschaltet und wird ein Merkmal für die Lage des Kantenpunkts erstellt, werden die Lageachsen durch Projektion des gemessenen Punkts auf die theoretische Oberfläche und anschließender Projektion dieses neuen Punktes auf den theoretischen Antastvektor berechnet. Alle Lageachsen werden dann auf Basis dieses neuen Punktes berechnet.

Ermöglicht die Einstellung der Entfernung der definierten Sicherheitsebene.

Mit dieser Einstellung können Sie einen AUSLÖSEREBENE-Befehl einfügen. Hierdurch wird PC-DMIS veranlasst, automatisch einen Messpunkt aufzunehmen, wenn der Taster die durch den vertikalen Oberflächenvektor eines Auto-Elements definierte Ebene auf der festgelegten Tiefe durchschreitet. Sie können diesen Befehl bei manuellen Geräten verwenden. Anstatt zur Aufnahme eines Messpunktes auf eine Taste zu drücken, können Sie an beliebigen Standardpositionen im Bearbeitungsfenster AUSLÖSEREBENE-Befehle einfügen.

Mit dieser Einstellung können Sie einen NURBUND-Befehl in das Werkstückprogramm einfügen. Ist diese Option eingeschaltet und wird ein Merkmal für die Lage der Oberflächen- oder Vektorpunkte erstellt, werden die Lageachsen wie folgt berechnet:

Zuerst durch das Aufsuchen der größten Komponente des theoretischen vertikalen Oberflächenvektors (größte Komponente in X-, Y- bzw. Z-Richtung).

Dann durch die Projektion des gemessenen Punktes auf diesen größten Komponentenvektor, sodass die Projektion im rechten Winkel zum ursprünglichen theoretischen vertikalen Oberflächenvektor verläuft.

Die Lageachsen werden dann auf Basis dieses neuen, projizierten Punktes berechnet.

Dadurch wird die Ebene darauf hingewiesen, dass der Taster diese Ebene durchschreitet, um zur nächsten Elementebene zu gelangen.

Mit dieser Einstellung können Sie einen AUTO_AUSLÖSER-Befehl in das Werkstückprogramm einfügen. Sobald PC-DMIS erkennt, dass sich der Taster in die definierte Toleranzzone bewegt, wird automatisch ein Messpunkt aufgenommen.

Mit dieser Einstellung können Sie einen 132SPALTE-Befehl einfügen, der die Anzeige von Lagemerkmalen in 132 Spalten des Prüfprotokolls steuert. Siehe 132-Spaltenausdruck.

Mit dieser Option wird der Abstand für die Durchgangsebene definiert.

Mit dieser Einstellung können Sie bestimmen, ob PC-DMIS ein akustisches Signal mit dem AUTO_AUSLÖSER-Befehl verwenden soll oder nicht. Ist diese Option eingeschaltet, werden die Signaltöne umso häufiger, je mehr sich der Taster dem Ziel nähert.

Dieser Wert teilt der Steuereinheit mit, wie fest der Taster auf dem Leitz-KMG eingespannt werden soll. Dies funktioniert nur mit der Leitz-Steuereinheit und dem Leitz-TTP.

Über diese Einstellungen wird der Radius für die Toleranzzone des Auto Auslösers definiert.

Dies gibt Ihnen die Möglichkeit, durch das Einfügen des Befehls POLARVEKTORKOMP Vektor- und Oberflächenpunkte zu messen und stets entlang eines Polarvektors zu kompensieren.

Hierdurch wird ein FLY-Befehl eingefügt und entweder auf EIN oder AUS eingestellt. Ein FLY-Befehl arbeitet zusammen mit einem BEWEGENPUNKT-Befehl, wodurch der Taster in einer ununterbrochenen, gleichmäßigen Bewegung um das Werkstück herum geführt wird.

Diese Einstellung legt den Abstandsparameter für den FLY-Befehl fest. Sie bestimmt den Sicherheitsabstand zum Befehl BEWEGENPUNKT, in dem sich der Taster automatisch bewegt.

Verwenden des Einstellungsfensters

Durch Auswahl der Option Ansicht | Einstellungsfenster wird das Einstellungsfenster eingeblendet.

Einstellungsfenster

Dieses ankoppelbare Fenster enthält mehrere Registerkarten mit häufig veränderten Einstellungen. Jede Registerkarte enthält eigene, farbcodierte Einstellungen, die bearbeitet werden können. Die Einstellungen sind mit der aktuellen Cursorposition im Werkstückprogramm verbunden und werden in der Anzeige aktualisiert, um mit der Cursorposition der Einstellung im Programm übereinzustimmen. Wenn Sie beispielsweise mehrere TASTERLADEN-Befehle verwenden und jeden TASTERLADEN-Befehl im Bearbeitungsfenster auswählen, wird PC-DMIS das Einstellungsfenster so aktualisieren, dass der jeweils ausgewählte TASTERLADEN-Befehl eingeblendet wird.

Bearbeiten einer Einstellung

Um eine Einstellung zu bearbeiten, klicken Sie einfach auf das Feld rechts neben der Einstellung und wählen eine andere Option aus. Oder geben Sie einen neuen Wert ein. Wenn Sie eine Einstellung ändern, fügt PC-DMIS die entsprechende Parameteränderung an der Cursorposition im Werkstückprogramm ein.

Verfügbare Einstellungen

Es stehen folgende Registerkarten und Einstellungen zur Verfügung: Der schattierte Hintergrund in den Zellen der unten stehenden Tabelle geben die Standardfarbe an, die mit folgenden Einstellungen verbunden ist:

Alle | Allgemein | Taster | Entfernungen | Geschwindigkeiten | Merkmale
Diese Registerkarte enthält die gesamten Einstellungen aller Registerkarten. | Ausrichtung | Taster | Anfahrweg | Messgeschwindigkeit | Anzeigegenauigkeit
 | Ansicht | Tastspitze | Prüfen | Bewegungsgeschwindigkeit | Positives Protokollieren-Anzeige
 | Manuell/CNC | Tasterkompensation | Rückfahren | Scan-Geschwindigkeit | Positives Protokollieren-Achse X
 | Arbeitsebene | Bewegungsfehler ignorieren | Tasterrückzug |  | Positives Protokollieren-Achse Y
 | Sicherheitsebenen aktiv | Auslöser-Toleranz |  |  | Positives Protokollieren-Achse Z
 | Sicherheitsebene | Auslöser-Tol. zone |  |  | Nur Spalt
 | Sicherh.Ebene Dist. | Auslöser-Ebene |  |  | Nur Bund
 | Durchgangsebene | Auto Auslöser |  |  | Spalte 132
 | Durchlauf-Distanz | Auto Signalton |  |  |
 | Klemmwert | Auto Toleranzzone |  |  |
 | Polarvektor-Kompensation | Fly-Modus |  |  |
 |  | Fly Radius |  |  |

Um Ihnen einen Überblick über diese Einstellungen zu geben, klicken Sie auf den in der oben stehenden Tabelle angegebenen Verweis. Detaillierte Angaben finden Sie in der jeweiligen Option folgender Themen:

  • Symbolleiste "Einstellungen"

  • Symbolleiste "Tastermodus"

  • Auswählen der PC-DMIS-Setup-Optionen

  • Ändern der Protokoll- und Bewegungsparameter

Sie können viele dieser Einstellungen auch aus dem Untermenü Einfügen | Parameteränderung einfügen.

Siehe auch:

Ändern der Optionen im Einstellungsfenster


Ändern der Optionen im Einstellungsfenster

Sie können die Optionen in Ihrem Einstellungsfenster ändern, indem Sie mit der rechten Maustaste in das Fenster klicken und aus dem Kontextmenü Optionen wählen.

Es erscheint das Dialogfeld Einstellungen "Optionen" .

Dialogfeld "Einstellungen "Optionen""

In diesem Dialogfeld können Sie die Farben, die in den unterschiedlichen Kategorien verwendet werden, ändern. Außerdem können Sie über dieses Dialogfeld bestimmen, welche der Kategorien beim Öffnen dieses Einstellungsfensters erscheint.

Bereich "Programmstart"

Dieser Bereich enthält die beiden folgenden Startoptionen für das Einstellungsfenster:

Aktive Kategorie verwenden - Das Einstellungsfenster zeigt die zuletzt verwendete Kategorie an, wenn es gestartet wird.

Immer verwenden - Wenn das Einstellungsfenster aufgerufen wird, zeigt es die Kategorie an, die in der Auswahlliste ausgewählt wurde.

Bereich "Farben"

Mit dem Kontrollkästchen Farben für Kategorien aktivieren kann die farbcodierte Anzeige für die Einstellungskategorien aktiviert bzw. deaktiviert werden.

Mit den Dropdown-Pfeilen in den farbigen Feldern können Sie die farbcodierte Standardanzeige für die verfügbaren Kategorien ändern.


Verwenden des Protokollfensters

Durch Auswählen der Menüoption Ansicht | Protokollfenster wird das Protokollfenster eingeblendet. In diesem Fenster werden nach der Ausführung des Werkstückprogramms Ihre Messergebnisse angezeigt und die Ausgabe gemäß einer Standardprotokollvorlage automatisch konfiguriert. Weitere Informationen finden Sie unter "Info über das Protokollfenster" im Abschnitt "Messergebnisse protokollieren".


Anzeigen eines Prüfprotokolls

Mit der Menüoption Ansicht | Prüfprotokoll bestimmen Sie, welches Textprotokoll auf dem Bildschirm angezeigt werden soll. Das Protokoll wird im Rich Text-Format (.rtf) angezeigt.

So öffnen Sie ein Prüfprotokoll:

  1. Wählen Sie die Menüoption Prüfprotokoll. Das Dialogfeld Datei öffnen wird eingeblendet.

    Dialogfeld öffnen, das einen verfügbaren Bericht einblendet (Test001.RTF)

  2. Navigieren Sie zum Speicherort Ihrer Protokolle.

  3. Wählen Sie die Textdatei aus, die auf dem Bildschirm angezeigt werden soll.

Wenn Sie nicht über ein Textverarbeitungsprogramm verfügen, das .rtf-Dateien anzeigen kann, wird das Prüfprotokoll in WordPad geöffnet. Mit den Menüs in einem WordPad-Fenster können Sie:

  • Teile eines Protokolls ausschneiden, kopieren und einfügen

  • Ein vorhandenes Protokoll öffnen

  • Ein neues Protokoll speichern

  • Ein Protokoll drucken

  • Das geöffnete Protokoll schließen


Verwenden der virtuellen Tastatur

Über die Menüoption Ansicht | Virtuelle Tastatur wird die entsprechende Tastatur eingeblendet. Diese Tastatur arbeitet wie jede andere Tastatur und kann mit der Maus oder einem Berührungsbildschirm verwendet werden. Diese Funktion ist in bestimmten Produktionsumgebungen hilfreich, wo der Einsatz einer physischen Tastatur nicht empfehlenswert ist.

Beispiel Virtuelle Tastatur – Variante Tastenfeld 1

Sie können problemlos verschiedene Varianten einer Virtuellen Tastatur auswählen oder Tastaturvarianten nach Ihren eigenen Vorstellungen definieren und erstellen.

PC-DMIS bietet Ihnen zudem eine Symbolleiste für den einfachen Zugriff auf die Virtuelle Tastatur. Siehe das Thema "Virtuelle Tastatur (Symbolleiste)" im Abschnitt "Die Verwendung von Symbolleisten".

Siehe auch:

Virtuelle Tastatur-Varianten öffnen

Erstellen einer neuen, virtuellen Tastatur-Variante

Ändern einer vorhandenen, virtuellen Tastatur-Variante

Löschen einer vorhandenen, virtuellen Tastatur-Variante

Verbindung oder Zusammenführung von Tasten in einer Tastatur-Variante

Trennzeichen in der virtuellen Tastatur als visuelle Reize verwenden

Anzeigen von Bahngeraden


Virtuelle Tastatur-Varianten öffnen

Sie können mit einem Rechtsklick auf die Virutelle Tastatur jederzeit ein Popup-Menü einblenden, über das Sie schnell Varianten für die Tastatur auswählen oder diese an Ihre Erfordernisse anpassen können:

Die folgenden Menüeinträge zeigen die verschiedenen Standardvarianten, die für die Virtuelle Tastatur zur Auswahl stehen. Diese Varianten können Sie natürlich anpassen oder andere Varianten erstellen, die eher Ihren Wünschen entsprechen (siehe auch "Ändern einer vorhandenen Virtuellen Tastatur-Variante").

Tastenfeld 1 | Tastenfeld 2 | Tastenfeld 3
Std-Tastenfeld | Funktionstasten | Tastatur

Siehe auch:


Erstellen einer neuen, virtuellen Tastatur-Variante

  1. Öffnen Sie das Dialogfeld Virtuelle Tastatur, klicken Sie es mit der rechten Maustaste an und wählen Sie Anpassen aus dem Menü aus. Nun erscheint das Dialogfeld Tastatur anpassen.

Dialogfeld "Tastatur anpassen"

  2. Geben Sie im Bereich Layout definieren im Feld Layoutname einen Namen für Ihre Tastatur ein.

  3. Geben Sie die Anzahl der Reihen und Spalten in den Feldern Reihen und Spalten ein. Hiermit wird festgelegt, wie viele "Tasten" (oder Schaltflächen) auf der Tastatur erscheinen werden.

  4. Klicken Sie auf Erzeugen. PC-DMIS zeigt ein Tastatur-Layoutfenster mit einem leeren Raster an, das die Anzahl der Tasten auf ihrem neu erstellen Layout darstellt.

Beispiel für ein leeres 3x3-Raster-Layout

  5. Legen Sie die Größe der Schaltflächenraster Ihren Wünschen entsprechend fest, indem Sie die Fensterränder ziehen.

  6. Im Bereich Tasten definieren erstellen Sie eine neue Tastendefinition. Hierzu wählen Sie aus der Liste Modus den Eintrag Tasten definieren, dann wählen Sie aus den Listen Spezieller Tastenanschlag, Standard Tastenanschlag oder System Tastenanschlag die Art des Tastenanschlags (oder Tastenschlüssels) aus. Viele der Tastenanschläge erklären sich von selbst und entsprechen den Namen oder der Symbolik der tatsächlichen Schaltflächen auf der englischen bzw. deutschen Tastatur. Mögliche Ausnahmen sind VK_PREVIOUS für die BILD-AUF-Taste und VK_NEXT für die BILD-AB-Taste.

  • Wenn Sie wünschen, dass eine Bezeichnung für den von Ihnen ausgewählten Tastenanschlag eingeblendet wird, wählen Sie die Option Etikett und geben Sie eine Bezeichnung in das Feld Etikett ein.

  • Wenn Sie wünschen, dass ein Symbol für den von Ihnen ausgewählten Tastenanschlag eingeblendet wird, wählen Sie über die Option Symbol ein Symbol aus der bildlauffähigen Symbolliste aus.

  • Wenn Sie eine Taste ohne Definition lassen wollen — die dann als flache Leertaste auf einer echten Tastatur dargestellt wird — wählen Sie die Option Keine Taste für diese Tastendefinition.

  7. Wählen Sie eine undefinierte Taste aus dem Layoutfenster mit dem Tasterraster, die diese Definition übernehmen soll und klicken Sie dann im Bereich Tasten definieren des Dialogfelds Tastatur anpassen auf die Schaltfläche Setzen. Ihre Änderungen erscheinen im Tastatur-Layoutfenster.

  8. Setzen Sie dieses Verfahren solange fort, bis Sie die Ihren Erfordernissen entsprechende Tastatur haben.

Beispiel für ein vollständiges Tastatur-Layout mit undefinierten Ecktasten ("Keine Taste")

  9. Wenn alle Ihre Tasten definiert wurden, wird die Schaltfläche Speichern zur Auswahl verfügbar. Klicken Sie auf Speichern, um Ihre Tastatur zu speichern.

  10. Klicken Sie auf Neu, um gegebenenfalls weitere Layouts zu erstellen, ansonsten klicken Sie auf Schließen.

Hinweis: Um eine falsch zugewiesene Tastendefinition zu ändern, wählen Sie die Option Keine Taste, klicken auf die entsprechende Taste im Layout-Raster und dann auf die Schaltfläche Setzen. Auf diese Weise werden alle der zuvor dieser Taste zugewiesenen Werte gelöscht.


Ändern einer vorhandenen, virtuellen Tastatur-Variante

So ändern Sie ein vorhandenes Layout:

  1. Öffnen Sie das Dialogfeld Virtuelle Tastatur, klicken Sie es mit der rechten Maustaste an und wählen Sie Anpassen aus dem Menü aus. Nun erscheint das Dialogfeld Tastatur anpassen.

Dialogfeld "Tastatur anpassen"

  2. Klicken Sie auf die Schaltfläche Öffnen.

  3. Wählen Sie die Tastatur aus dem Dropdown-Menü.

  4. Gehen Sie nach dem Verfahren zur Zuweisung der Tastendefinitionen im Tastatur-Layout vor, wie es unter "Erstellen einer neuen, angepassten, virtuellen Tastatur-Variante" beschrieben wird. Möglicherweise müssen Sie die Option Keine Taste für eine Taste wählen, um eine alte Definition zu löschen, bevor Sie ihr eine neue Definition zuweisen.

  5. Klicken Sie auf Speichern, um alle Änderungen zu speichern.


Löschen einer vorhandenen, virtuellen Tastatur-Variante

So löschen Sie ein vorhandenes Layout:

  1. Öffnen Sie das Dialogfeld Virtuelle Tastatur, klicken Sie es mit der rechten Maustaste an und wählen Sie Anpassen aus dem Menü aus. Nun erscheint das Dialogfeld Tastatur anpassen.

Dialogfeld "Tastatur anpassen"

  2. Klicken Sie auf die Schaltfläche Löschen.

  3. Wählen Sie die Tastatur aus dem Dropdown-Menü. PC-DMIS fragt, ob Sie die Tastatur löschen wollen.

  4. Bestätigen Sie dies mit Ja.

  5. Klicken Sie auf Schließen.


Verbindung oder Zusammenführung von Tasten in einer Tastatur-Variante

Über das Dialogfeld Tastatur anpassen können mehrere Tasten auf dem Raster des Tastatur-Layouts verbunden oder zusammengeführt werden, um größere Schaltflächen zu erhalten. Dies ist dann hilfreich, wenn Sie eine Taste wünschen, die größer als die gewöhnliche Tastengröße sein soll (wie beispielsweise die LEERTASTE).

  1. Sie können ein Tastatur-Layout erstellen oder zwecks Änderungen öffnen, wenn Sie nach den bereits unter "Erstellen einer neuen virtuellen Tastatur-Variante" und unter "Ändern einer vorhandenen virtuellen Tastatur-Variante" beschriebenen Verfahren vorgehen.

  2. Wählen Sie Tasten verbinden aus der Liste Modus im Dialogfeld Tastatur anpassen. Nun enthält jede Taste auf dem Raster des Tastatur-Layouts einen kleinen, rotgepunkteten Rand.

  3. Klicken Sie eine der Tasten an. Dies ist die Anfangstaste. Ein breiter roter Rand erscheint auf der waagrechten und senkrechten Seite der Anfangstaste. Wenn Sie eine andere Taste anklicken, wird diese Taste zur Anfangstaste.

  4. Klicken Sie mit der rechten Maustaste auf die Endtaste, um die Tasten zu verbinden. Die Endtaste muss sich innerhalb des rot gezeichneten Bereichs entweder rechts von der Anfangstaste oder darunter befinden. Wenn durch den verbundenen Bereich kein Konflikt mit einem bereits zusammengeführten Bereich entsteht, wird der breite rote Rand ein grünes Rechteck. Das bedeutet, dass diese gruppierten Tasten als eine Taste dargestellt werden.

  5. Wenn durch den verbundenen Bereich ein Konflikt mit einem anderen verbundenen Bereich entsteht, meldet PC-DMIS, dass die Tasten nicht verbunden werden können.

  6. Um einen der vorhandenen verbundenen Bereiche zu löschen, klicken Sie mit der linken Maustaste in den grün umrandeten Bereich (verbundene Tasten).

Achtung: Wenn Sie einer Gruppe verbundener Tasten eine Tastendefinition zuweisen wollen, müssen Sie die Anfangstaste dieser Gruppe markieren: handelt es sich dabei um eine horizontale Gruppierung, ist es die Taste ganz links. Im Falle einer vertikalen Anordnung ist es die Taste ganz oben. Dies ist nur dann erforderlich, wenn dieser Gruppe eine Tastendefinition zugewiesen werden soll; bei der eigentlichen Verwendung der Virtuellen Tastatur ist dies nicht nötig.


Trennzeichen in der virtuellen Tastatur als visuelle Reize verwenden

Die Positionen, wo Trennzeichen oder Zwischenräume zwischen den Tasten auf der virtuellen Tastatur-Variante erscheinen sollen, können eingefügt oder geändert werden. Die Tastaturfunktionen bleiben davon unbeeinflusst; es geht dabei lediglich um den visuellen Reiz und eine bessere Organisation des Tastatur-Layouts.

  1. Sie können ein Tastatur-Layout erstellen oder zwecks Änderungen öffnen, wenn Sie nach den bereits unter "Erstellen einer neuen virtuellen Tastatur-Variante" und unter "Ändern einer vorhandenen virtuellen Tastatur-Variante" beschriebenen Verfahren vorgehen.

  2. Wählen Sie Trennzeichen umschalten aus der Liste Modus im Dialogfeld Tastatur anpassen. Nun enthält jede Taste auf dem Raster des Tastatur-Layouts einen kleinen, blaugepunkteten Rand.

  3. Klicken Sie mit der linken Maustaste auf die blaue Punktierung, um ein Trennzeichen ein- oder auszublenden. Eine rote Linie erscheint, die anzeigt, wo das Trennzeichen erscheinen wird. Wenn Sie eine waagrechte Linie zwischen den Reihen auswählen, wird das Trennzeichen waagerecht entlang dieser Linie verlaufen. Wenn Sie eine senktrechte Linie zwischen den Reihen auswählen, wird das Trennzeichen senkrecht entlang dieser Linie verlaufen.

Wenn Sie im Tastendefinitions-Modus, gemäß Beschreibung unter "Erstellen einer neuen, virtuellen Tastatur-Variante" arbeiten, werden die Trennzeichen als blaue Linie dargestellt.


Anzeigen von Bahngeraden

Mit der Menüoption Ansicht | Bahngeraden wird die aktuelle Bahn des Tasters im Grafikfenster gezeichnet. Weitere Informationen finden Sie unter "Anzeigen und Animieren von Bahngeraden" im Abschnitt "Bearbeiten der CAD-Anzeige".


Arbeiten mit Symbolleisten

Arbeiten mit Symbolleisten: Einführung

Symbolleiste "Grafikmodi"

Symbolleiste "Grafikansicht"

Symbolleiste "Einstellungen"

Liste "Ansichten"

Liste "Ausrichtungen"

Liste "Taster"

Liste "Tastspitzen"

Liste "Arbeitsebene"

Liste "Ebene"

Symbolleiste "Tastermodus"

Symbolleiste "Bearbeitungsfenster"

Programm ausführen

Aktuelles Element markieren

Alles markieren

Markierte löschen

Startpunkt einfügen/löschen

Haltepunkt einfügen/löschen

Alle Haltepunkte löschen

Lesezeichen einfügen

Nächstes Lesezeichen

Alle Lesezeichen löschen

Übersicht

Befehlsmodus

DMIS-Modus

Ausschneiden

Kopieren

Einfügen

Mit Muster einfügen

Rückgängig

Wiederholen

Drucken

Symbolleiste "Merkmal"

Symbolleiste "Abhängige Elemente"

Symbolleiste "Auto Elemente"

Auto Elemente erkennen

Elementerkennung anhand des Elementtyps

Symbolleiste "Gemessene Elemente"

Automatische Erkennung eines Elementtyps

Erzwingen eines vorgegebenen Elementtyps

Dateivorgänge

Symbolleiste "Makro abspielen/aufzeichnen"

So zeichnen Sie ein Makro auf:

So geben Sie ein zuvor aufgezeichnetes Makro wieder:

Symbolleiste "Virtuelle Tastatur"

Symbolleiste "Berührungsbildschirm"

Symbolleiste des Assistenten

Verfügbarer Quellcode für Assistenten

Symbolleiste "Aktuelle Arme"

Symbolleiste "Aktueller Drehtisch"

Symbolleiste "Schnellstart"

Verwenden des Dialogfelds "Schnellstart"

Schnellstart: Symbolleiste "Messen"

Schnellstart: Symbolleiste "Abhängiges Element"

Schnellstart: Symbolleiste "Merkmal"

Schnellstart: Symbolleiste "Ausrichten"

Schnellstart: Symbolleiste "Kalibrieren / Bearbeiten"

Symbolleiste "Fenster-Layouts"

Löschen von gespeicherten Benutzer-Layouts


Arbeiten mit Symbolleisten: Einführung

Um den mit der Werkstückprogrammierung verbundenen Zeitaufwand zu reduzieren, bietet PC-DMIS Version 3.2 und höher eine Vielzahl von Symbolleisten, die sich aus häufig verwendeten Befehlen zusammensetzen. Diese Symbolleisten sind auf zwei Arten zugänglich.

  • Wählen Sie das Untermenü Ansicht | Symbolleisten und eine der darin zur Auswahl stehenden Symbolleisten aus. Menü-Übersicht anzeigen

  • Klicken Sie mit der rechten Maustaste auf den Symbolleistenbereich von PC-DMIS und wählen Sie aus dem nun eingeblendeten Kontextmenü eine Symbolleiste aus.

Zu den bereitgestellten Symbolleisten gehören:

  • Symbolleiste "Grafikmodi"

  • Werkzeugleiste "Grafikansicht"

  • Symbolleiste "Einstellungen"

  • Symbolleiste "Tastermodus"

  • Symbolleiste "Bearbeitungsfenster"

  • Symbolleiste "Merkmal"

  • Symbolleiste "Konstruierte Elemente"

  • Symbolleiste "Auto-Elemente"

  • Symbolleiste "Gemessene Elemente"

  • Symbolleiste "Dateitätigkeiten"

  • Symbolleiste "Makro wiedergeben/aufzeichnen"

  • Symbolleiste "Assistenten"

  • Symbolleiste "Aktuelle Arme"

  • Symbolleiste "Aktueller Drehtisch"

  • Symbolleiste "Schnellstart"

  • Symbolleiste "Fenster-Layouts"

Wenn Sie die Symbolleisten Elementerkennung, Tasteranzeige und Manuell/CNC suchen: diese befinden sich alle auf der neuen Symbolleiste Tastermodus. Siehe "Symbolleiste "Tastermodus"". Die Symbole für die Elementerkennung befinden sich auch auf der Tasterwerkzeugleiste, die unter "Die Verwendung der Tasterwerkzeugleiste" im Abschnitt "Die Verwendung von sonstigen Fenstern, Editoren und Werkzeugen" beschrieben wird.


Symbolleiste "Grafikmodi"

Mit der Symbolleiste Grafikmodi können Sie die Anzeige des Werkstückprogramms auf dem Bildschirm leicht ändern. Sie dient auch zum einfachen Zugriff auf die verfügbaren Modi. Diese Symbolleiste enthält folgende Symbole:

Symbol |  | Beschreibung
 | Ansicht einrichten | Dient zur Änderung der Anzeige des Werkstücks im Grafikfenster. Informationen hierzu finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Ansicht speichern | Speichert eine benutzerdefinierte Ansicht, die zu einem späteren Zeitpunkt aufgerufen werden kann. Siehe auch "Definieren und Speichern einer Ansicht" im Abschnitt "Einfügen von Protokollbefehlen".
 | Ansicht erstellen | Speichert die Ansicht des Werkstücks als einzelnen Ansichtenbefehl, der zu einem späteren Zeitpunkt aufgerufen werden kann. Siehe auch "Definieren und Speichern einer Ansicht" im Abschnitt "Einfügen von Protokollbefehlen".
 | Größe anpassen | Vergrößert oder verkleinert die Ansichten der Grafik im Grafikfenster, so dass sie auf den Bildschirm passen. Siehe auch "Anpassen der Zeichnung" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Oberflächen zeichnen ein/aus | Aktiviert bzw. deaktiviert die Anzeige schattierter CAD-Flächen. Siehe auch "Zeichnen von Flächen" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Bildschirm neu zeichnen | Aktualisiert alle Ansichten des Werkstücks und zeichnet sie neu. Informationen hierzu finden Sie unter "Neuzeichnen des Bildschirms" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Programmieren am Drahtmodell | Versetzt PC-DMIS in den Drahtmodus (zur Verwendung mit Drahtmodellen). Siehe auch "Wechseln zwischen Kurven- und Oberflächenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Programmieren am Flächenmodell | Versetzt PC-DMIS in den Flächenmodus (zur Verwendung mit Oberflächendaten). Siehe auch "Wechseln zwischen Kontur- und Flächenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Mausfunktion für die Translation der Modellansicht aktivieren | Versetzt PC-DMIS in den Übertragungsmodus. Siehe auch "CAD bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Mausfunktionen für die 2D-Drehung der Modellansicht aktivieren | Dreht das Werkstück für die ausgewählte Ansicht in zwei Dimensionen. Siehe auch "2D-Rotationsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Mausfunktionen für die 3D-Drehung der Modellansicht aktivieren | Dreht das Werkstück für die ausgewählte Ansicht in drei Dimensionen. Siehe auch "3D-Rotationsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Mausfunktionen für den Programmiermodus aktivieren | Verwendet den Taster entweder offline oder online zum Erlernen und Bearbeiten des Werkstückprogramms. Siehe auch "Programmiermodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Mausfunktionen für die Bearbeitung der Etiketten aktivieren | Greift auf Kontextmenü-Befehle für Punktinfo- und Merkmalinfo-Textfelder sowie auf andere Bildschirmelemente zu. Siehe auch "Etikettenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Mausfunktionen für die Bearbeitung der Aufspannung aktivieren | Unterstützt die Fähigkeit, Aufspannungen und das Werkstück durch Klicken und Ziehen mit der Maustaste zu bewegen. Informationen hierzu finden Sie unter "Aufspannungen einfügen" im Abschnitt "Definieren von Hardware".
 | Baugruppe | Zeigt ein Fenster an, über das Sie die Werkstücke einer Baugruppe (einer Gruppe von Werkstückmodellen) ein- oder ausblenden können. Siehe auch "Arbeiten mit Werkstückbaugruppen" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Koordinatensystem | Blendet das Dialogfeld "CAD Koordinatensystem" ein. Mit diesem Dialogfeld können Sie ein neues Koordinatensystem erstellen oder ein Vorhandenes auswählen. Siehe auch "Arbeiten mit CAD-Koordinatensystemen" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Berabeiten der Beleuchtung der CAD, Materialien, Schnittebenen | Wendet Beleuchtung, Texturen und Transparenzen auf CAD-Modelle an. Siehe "Beleuchtung und Materialien auf die CAD-Anzeige anwenden" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | CAD Objekte Ein/Aus | Blendet verschiedene Objekte im Grafikfenster ein bzw. aus. Siehe auch "Ein- und Ausblenden von Grafiken" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Einstellungen Drehen | Ändert die Anzeige von Objekten im Grafikfenster während der Werkstückdrehung. Siehe auch "Verändern von Rotations- und anderen Bewegungsoptionen" im Abschnitt "Bearbeiten der CAD-Anzeige".


Symbolleiste "Grafikansicht"

Wenn Sie Ihren Bildschirm beispielsweise in drei Ansichten aufteilen und dabei dieses Symbol aus dem Dialogfeld Ansicht einrichten verwenden...

ein Ansichtssymbol, das das Grafikfenster in drei Ansichten aufteilt, oder Ebenen zur Anzeige unterschiedlicher Ansichten in jeder Einzelnen

...würde sich das Klicken von Symbolen aus der Symbolleiste der Grafik-Ansicht nur auf den oberen, linken (oder blauen) Bereich des Bildschirms auswirken.

Werkzeugleiste "Grafikansicht"

Werkzeugleiste "Grafikansicht"

Mit der Werkzeugleiste Grafikansicht können Sie die Darstellung Ihres Werkstückprogramms im Grafikfenster auf schnelle und einfache Weise ändern. Diese Symbole erfüllen dieselbe Funktion wie das Dialogfeld Ansicht einrichten für die Auswirkung auf die Ansicht. Weitere Informationen zum Bearbeiten der Ansichten finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".

Wenn Sie das Grafikfenster beispielsweise so konfigurieren, dass mehr als eine Ansicht eingeblendet wird, wirken sich die Symbole aus der Werkzeugleiste nur auf die blaue Ebene des Bereichs Ansichten im Dialogfeld Ansicht einrichten aus.

Symbol | Beschreibung
 | Zeigt die Ansicht "X+" des Werkstücks an
 | Zeigt die Ansicht "X-" des Werkstücks an
 | Zeigt die Ansicht "Y+" des Werkstücks an
 | Zeigt die Ansicht "Y-" des Werkstücks an
 | Zeigt die Ansicht "Z+" des Werkstücks an
 | Zeigt die Ansicht "Z-" des Werkstücks an
 | Zeigt die isometrische Ansicht des Werkstücks an
 | Zeigt die Drahtmodell-Ansicht des Werkstücks an
 | Zeigt die Flächen-/schattierte Ansicht des Werkstücks an
 | Blendet das 3D-Raster ein bzw. aus.


Symbolleiste "Einstellungen"

Die Symbolleiste Einstellungen enthält eine ganze Reihe von Listen, mit deren Hilfe Sie einfach zwischen den folgenden Einstellungen hin- und herschalten können:

  • Gespeicherte Ansichten

  • Vordefinierte Ausrichtungen

  • Tastertypen

  • Vordefinierte Tastspitzen

  • Verfügbare Arbeitsebenen

  • Ebenen, auf die projiziert wird

  • Aktive KMG-Schnittstellen

So ändern Sie die Anzeige:

  1. Öffnen Sie die gewünschte Auswahlliste.

  2. Wählen Sie eine zuvor definierte ID oder ein zuvor definiertes Element aus.

Siehe auch:

Liste "Ansichten"

Liste "Ausrichtungen"

Liste "Taster"

Liste "Tastspitzen"

Liste "Arbeitsebene"

Liste "Ebene"


Liste "Ansichten"

In der Liste Ansichten werden Ansichten gespeichert, die mit dem aktiven Werkstückprogramm erstellt und gespeichert wurden.

Siehe auch "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige" und "Definieren und Speichern einer Ansicht" im Abschnitt "Einfügen von Protokollbefehlen".

So verwenden Sie eine gespeicherte Ansicht:

  1. Setzen Sie den Mauszeiger auf den nach unten zeigenden Pfeil in der Liste Ansichten.

  2. Klicken Sie mit der linken Maustaste.

  3. Bewegen Sie den Mauszeiger auf die gewünschte ID.

  4. Klicken Sie mit der linken Maustaste.

Während PC-DMIS eine Ansicht abruft, sind alle anderen Funktionen vorübergehend unzugänglich.

Befehlszeile im Bearbeitungsfenster:
AUFRUFEN/ANSICHT, Ansichtsname

Ansichtsname = der Name der aufzurufenden Ansicht.


Liste "Ausrichtungen"

In der Liste Ausrichtungen werden zuvor gespeicherte Ausrichtungen gespeichert. Diese Ausrichtungen können ausgewählt und dann in das Bearbeitungsfenster eingefügt werden.

Weitere Informationen zum Erstellen und Speichern von Ausrichtungen finden Sie unter "Speichern einer Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

So ändern Sie die Ausrichtung:

  1. Setzen Sie den Mauszeiger auf den nach unten zeigenden Pfeil in der Liste Ausrichtungen.

  2. Klicken Sie mit der linken Maustaste. Es erscheint eine Auswahlliste, in der Sie eine neue Ausrichtung auswählen können.

Sie können steuern, welche Ausrichtungen in dieser Liste angezeigt werden, indem Sie im Bearbeitungsfenster mit der Option Ausrichtung den Wert für den Bereich LIST= des Befehls AUSRICHTUNG/START ändern (siehe auch "Erstellen und Verwenden von Ausrichtungen").


Liste "Taster"

Mit der Liste Taster können Sie die Taster auswählen, die bereits in Ihrer Taster-Datei definiert wurden. PC-DMIS fügt den Befehl TASTERLADEN in das Bearbeitungsfenster ein.


Liste "Tastspitzen"

In der Liste Tastspitzen werden zuvor definierte Tastspitzenwinkel gespeichert. Weitere Informationen zum Erstellen von Tastspitzenwinkeln finden Sie unter "Winkel hinzufügen" im Abschnitt "Definieren von Hardware".

So ändern Sie die Nummer einer Tastspitze:

  1. Durchsuchen Sie die verfügbaren Tastspitzen, indem Sie auf den nach unten zeigenden Pfeil in der Liste Tastspitzen klicken.

  2. Wählen Sie die gewünschte Tastspitze mit der linken Maustaste aus.


Liste "Arbeitsebene"

In der Dropdown-Liste Arbeitsebene können Sie die Ebene ändern, in der Sie arbeiten. Es ändert sich nur die Arbeitsebene, nicht die Ansicht im Grafikfenster.

Die verfügbaren Arbeitsebenen sind:

A=OBEN | Hellgrau | ZPLUS
B=RECHTS | Mittelgrau | XPLUS
C=HINTEN | Vertikale Linien | YPLUS
D=UNTEN | Horizontale Linien | ZMINUS
E=LINKS | Rot | XMINUS
F=VORNE | Entfernen | YMINUS

So machen Sie beispielsweise die Rückseite des Werkstückbildes zur aktuellen Arbeitsebene:

  1. Setzen Sie den Mauszeiger auf den nach unten zeigenden Pfeil in der Liste Arbeitsebene.

  2. Wählen Sie aus der Auswahlliste "YPLUS" aus, um die neue Arbeitsebene zu erhalten.

Gemessene Geraden und Arbeitsebenen

Bei der Erstellung einer gemessenen Geraden erwartet PC-DMIS, dass die Messpunkte auf einem Vektor aufgenommen werden, der im rechten Winkel zur aktuellen Arbeitsebene verläuft.

Wenn Sie beispielsweise auf der aktuellen Arbeitsebene ZPLUS (mit einem Vektor 0,0,1) arbeiten und ein blockähnliches Werkstück vorliegt, müssen die Messpunkte für die gemessene Gerade auf einer senkrechten Wand dieses Werkstücks, beispielsweise der Vorderen oder Seitlichen, liegen.

Wenn Sie dann ein Geradenelement auf der oberen Werkstückoberfläche messen wollen, müssen Sie die Arbeitsebene auf XPLUS, XMINUS, YPLUS oder YMINUS umstellen, je nach dem, welche Richtung die Gerade hat.

Weitere Informationen zum Erstellen von gemessenen Geraden finden Sie unter "Messen einer Geraden".


Liste "Ebene"

Die Liste Ebene enthält eine Auflistung aller Ebenenelemente, die im Werkstückprogramm erstellt wurden. Standardmäßig projiziert PC-DMIS jede gemessene Gerade und jeden gemessenen Kreis auf die aktuelle Arbeitsebene, sodass der Eintrag in dieser Liste Arbeitsebene lautet. Sie können aber auch eine andere Ebene aus dieser Liste auswählen. PC-DMIS projiziert jede gemessene Gerade und jeden gemessenen Zirkel auf die neu ausgewählte Ebene.


Symbolleiste "Tastermodus"

Die Symbolleiste Tastermodus enthält Symbole, über die Sie auf die verschiedenen durch den aktuellen Taster oder das KMG verwendeten Modi zugreifen können. Die verfügbaren Symbole für die Modi sind in der folgenden Tabelle beschrieben:

Symbol |  | Beschreibung
 | Manueller Modus | Über das Symbol Manueller Modus versetzen Sie PC-DMIS in den manuellen Modus. Im manuellen Modus können Sie die KMG-Bewegungen und -Messungen manuell steuern. Der manuelle Modus wird bei einem manuellen KMG verwendet oder während des manuellen Ausrichtungsvorgangs eines Programms, das auf einem automatischen KMG ausgeführt werden wird. Bei Auswahl dieses Symbols wird der Befehl MODUS/MANUELL an der Cursor-Position im Bearbeitungsfenster eingefügt. Die aus diesem Befehl resultierenden Bearbeitungsfensterbefehle werden im manuellen Modus ausgeführt.
 | CNC-Modus | Über das Symbol CNC-Modus versetzen Sie PC-DMIS in den CNC-Modus. Durch den CNC-Modus können unterstützte CNC-Geräte automatisch die Messung Ihres Werkstückprogramms übernehmen. Bei Auswahl dieses Symbols wird der Befehl MODUS/CNC an der Cursor-Position im Bearbeitungsfenster eingefügt. Die aus diesem Befehl resultierenden Bearbeitungsfensterbefehle werden im CNC-Modus ausgeführt.
 | Ergebnisanzeigen-Modus | Das Symbol Ergebnisanzeigen-Modus ist nur bei Einsatz eines LK-Messgeräts verfügbar. Der Taster wird dadurch in den Ergebnisanzeigen-Modus versetzt. Weitere Informationen finden Sie im Abschnitt "Versetzen des Tasters in den Ergebnisanzeigen- und Messpunktemodus" unter "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".
 | Messpunkte-Modus | Das Symbol Messpunkte-Modus ist nur bei Einsatz eines LK-Messgeräts verfügbar. Der Taster wird dadurch in den Messpunkte-Modus versetzt. Weitere Informationen finden Sie im Abschnitt "Versetzen des Tasters in den Ergebnisanzeigen- und Messpunktemodus" unter "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".
 | Auslöser Flächendurchlauf Ein/Aus | Das Symbol Auslöser Flächendurchlauf Ein/Aus fügt einen AUTO_AUSLÖSER-Befehl in das Werkstückprogramm ein. Siehe unter "Bereich "Autom. Auslöser""" im Abschnitt "Voreinstellungen".
 | Auslöser Kantendurchlauf Ein/Aus | Das Symbol Auslöser Kantendurchlauf Ein/Aus fügt einen AUSLÖSEREBENE-Befehl in das Werkstückprogramm ein. Siehe unter "Bereich "Stützebene als autom. Auslöser" im Abschnitt "Voreinstellungen".
 | Nennwertsuche Ein/Aus | Über das Symbol Nennwertsuche Ein/Aus wird das Kontrollkästchen Nennwertsuche der Registerkarte Allgemein im Dialogfeld Setup-Optionen aktiviert. Siehe unter "Nennwertsuche" im Abschnitt "Voreinstellungen".
 | Nur Punkt-Modus Ein/Aus | Über das Symbol Nur Punkt-Modus Ein/Aus wird das Kontrollkästchen Nur-Punkt-Modus der Registerkarte Allgemein im Dialogfeld Setup-Optionen aktiviert. Siehe unter "Nur-Punkt-Modus" im Abschnitt "Voreinstellungen".

Hinweis: Frühere Versionen von PC-DMIS enthielten in dieser Werkzeugleiste die Symbole "Elementerkennung Flach" und "Elementerkennung Rund". Da sich aber der Algorithmus zur Elementerkennung in PC-DMIS ab Version 4.0 verbessert hat, werden diese Symbole nicht mehr benötigt und wurden daher aus der Werkzeugleiste entfernt.


 Print Icon Redo Icon Undo Icon Paste with Pattern Past Icon Copy Icon Cut Icon DMIS Mode Icon Command Mode Icon Summary Mode Icon Clear All Bookmarks Next Bookmark Icon Insert Bookmark Icon Set Start Point Remove All Breakpoints Icon Insert/Remove Breakpoint Icon Clear Marked Mark All Icon Mark Current Feature Icon Execute Program Icon

Symbolleiste "Bearbeitungsfenster"

Bearbeitungsfenster-Symbolleiste

Über die Symbolleiste Bearbeitungsfenster können Sie schnell auf viele gängige Funktionen des Bearbeitungsfensters zugreifen.

Die Symbolleiste enthält eine Gruppe von Werkzeugen für eine einfache, intuitive Manipulation des Inhalts des Bearbeitungsfensters. Sie bietet einen schnellen Zugriff auf wichtige Befehle des Bearbeitungsfensters.

Siehe auch:

Programm ausführen

Aktuelles Element markieren

Alles Markieren

Markierung löschen

Anfangspunkt setzen

Haltepunkt einfügen/löschen

Alle Haltepunkte löschen

Lesezeichen einfügen

Nächstes Lesezeichen

Alle Lesezeichen löschen

Übersichtsmodus

Befehlsmodus

DMIS-Modus

Ausschneiden

Kopieren

Einfügen

Mit Muster einfügen

Rückgängig

Wiederholen

Drucken


Programm ausführen

Mit dem Symbol Programm ausführen wird der Messvorgang für alle aktuell markierten Elemente ausgeführt. Siehe auch "Ausführen von Werkstückprogrammen" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".


Aktuelles Element markieren

Mit dem Symbol Aktuelles Element markieren wird das Element unter dem Cursor hervorgehoben und zur Ausführung markiert. Weitere Informationen finden Sie unter "Markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Alles markieren

Mit dem Symbol Alles markieren der Symbolleiste werden alle Elemente im Bearbeitungsfenster hervorgehoben. PC-DMIS fragt Sie anschließend, ob auch die Ausrichtungselemente markiert werden sollen. Weitere Informationen finden Sie unter "Alles markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Markierung löschen

Mit dem Symbol Markierung löschen werden alle Markierungen der aktuell im Bearbeitungsfenster ausgewählten Elemente aufgehoben. Weitere Informationen finden Sie unter "Alles markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Anfangspunkt setzen

Mit dem Symbol Start Punkt einfügen/löschen können Sie einen Anfangspunkt für den aktiven Lernarm bestimmen. Klicken Sie im Bearbeitungsfenster auf den Befehl, den Sie für den Anfangspunkt verwenden möchten und klicken Sie dann auf das Symbol Anfangspunkt aus der Symbolleiste. Der Anfangspunkt für den aktuellen Arm wird auf den Befehl, der sich an der Einfügemarke befindet, gesetzt. Sie können außerdem einen Anfangspunkt setzen, indem Sie mit der rechten Maustaste auf einen Befehl klicken und Start Punkt einfügen/löschen wählen. Weitere Informationen zum Mehrarmbetrieb finden Sie unter "Arbeiten im Mehrarmbetrieb".

Informationen hierzu finden Sie unter "Anfangspunkte setzen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Haltepunkt einfügen/löschen

Mit dem Symbol Haltepunkt einfügen der Symbolleiste wird an der aktuellen Cursor-Position ein Haltepunkt im Werkstückprogramm eingefügt. Weitere Informationen finden Sie unter "Haltepunkte verwenden" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Alle Haltepunkte löschen

Mit dem Symbol Alle Haltepunkte löschen der Symbolleiste werden alle im Werkstückprogramm vorgefundenen Haltepunkte gelöscht. Weitere Informationen finden Sie unter "Alles löschen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Lesezeichen einfügen

Mit dem Symbol Lesezeichen einfügen der Symbolleiste wird an der aktuellen Cursor-Position im Werkstückprogramm ein Lesezeichen gesetzt. Weitere Informationen finden Sie unter "Lesezeichen ein-/ausschalten" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Nächstes Lesezeichen

Mit dem Symbol Nächstes Lesezeichen können Sie mit dem Cursor zur nächsten Position innerhalb des Werkstückprogramms springen, an der ein Lesezeichen gesetzt ist. Weitere Informationen finden Sie unter "Nächstes Lesezeichen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Alle Lesezeichen löschen

Mit dem Symbol Lesezeichen löschen werden alle im Werkstückprogramm gefundenen Lesezeichen gelöscht. Weitere Informationen finden Sie unter "Alle Lesezeichen löschen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Übersicht

Mit dem Symbol Übersicht der Symbolleiste kann das Bearbeitungsfenster in den Übersichtsmodus versetzt werden. Dieser Modus bietet eine ein- und ausblendbare grafische Übersicht über alle Elemente und Befehle des Werkstückprogramms. Der Inhalt kann zudem in begrenztem Maße bearbeitet werden. Siehe auch "Arbeiten im Übersichtsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Befehlsmodus

Mit dem Symbol Befehlsmodus der Symbolleiste wird das Bearbeitungsfenster in den Befehlsmodus geschaltet. In diesem Modus stehen zahlreiche Befehle zur Verfügung, mit denen Sie verschiedenste Aspekte des Werkstückprogramms bearbeiten können. Siehe auch "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


DMIS-Modus

Mit dem Symbol DMIS-Modus der Symbolleiste werden die Befehle des Bearbeitungsfensters im DMIS-Format angezeigt. In diesem Modus können Sie die DMIS-Syntax verwenden. Wenn sich dieses Symbol nicht in Ihrer Symbolleiste befindet, wählen Sie das Kontrollkästchen DMIS-Schaltfläche im Bearbeitungsfenster verwenden aus dem Dialogfeld Setup-Optionen aus; Registerkarte Allgemein. Siehe auch "Setup-Optionen: Registerkarte: Allgemein" im Abschnitt "Voreinstellungen".

  • Informationen, wie DMIS-Befehle (Standardbefehlsformat von PC-DMIS) in DMIS-Befehle umgesetzt werden, finden Sie im Dokument PC-DMIS Support Documentation for DMIS ,das unter folgender Adresse erhältlich ist: ftp://wilcoxassoc.com/docs/dmis_support.zip.

  • Informationen über DMIS finden Sie unter der Adresse http://www.dmis.com.

Siehe auch "Arbeiten im DMIS-Modus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Ausschneiden

Mit dem Symbol Ausschneiden der Symbolleiste können Sie Text und Objekte im Bearbeitungsfenster ausschneiden und vorübergehend in der Zwischenablage speichern. Weitere Informationen finden Sie unter "Ausschneiden" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Kopieren

Mit dem Symbol Kopieren der Symbolleiste können Sie Text und Objekte im Bearbeitungsfenster kopieren und zum späteren Einfügen vorübergehend in der Zwischenablage speichern. Weitere Informationen finden Sie unter "Kopieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Einfügen

Mit dem Symbol Einfügen der Symbolleiste wird der Inhalt der Zwischenablage an der aktuellen Cursor-Position im Bearbeitungsfenster eingefügt. Weitere Informationen finden Sie unter "Einfügen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Mit Muster einfügen

Mit dem Symbol Mit Muster einfügen der Symbolleiste werden Musterelemente mit ihren Versätzen an der aktuellen Cursor-Position in das Werkstückprogramm eingefügt. Weitere Informationen finden Sie unter "Bearbeiten von Elementmustern" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Rückgängig

Mit dem Symbol Rückgängig der Symbolleiste können Sie die letzte im Bearbeitungsfenster vorgenommene Aktion rückgängig machen. Weitere Informationen finden Sie unter "Rückgängig" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Wiederholen

Mit dem Symbol Wiederholen der Symbolleiste können Sie eine mit Rückgängig widerrufene Aktion wiederholen. Weitere Informationen finden Sie unter "Wiederholen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Drucken

Über das Symbol Drucken der Symbolleiste können Sie ein Protokoll der aktuellen Inhalte des Bearbeitungsfensters ohne Anzeige von Dialogfeldern direkt an Ihren Standarddrucker senden.


Symbolleiste "Merkmal"

Über die Symbole der Symbolleiste Merkmal können Sie schnell auf die im Menü Merkmal verfügbaren Optionen zugreifen.

Symbol | Beschreibung
 | Lage
 | Position
 | Abstand
 | Winkel zwischen
 | Konzentrizität
 | Koaxialität
 | Rundheit
 | Zylindrizität
 | Geradheit
 | Ebenheit
 | Rechtwinkligkeit
 | Parallelität
 | Gesamtlauf
 | Rundlauf
 | Flächenprofil
 | Linienprofil
 | Winkligkeit
 | Symmetrie
 | Eingabe


Symbolleiste "Abhängige Elemente"

Mit den Symbolen der Symbolleiste Abhängige Elemente können Sie schnell auf die Optionen zur Elementerstellung zugreifen, die im Untermenü Abhängiges Element verfügbar sind.

Symbol | Beschreibung
 | Punkt
 | Gerade
 | Ebene
 | Kreis
 | Ellipse
 | Langloch
 | Kurve
 | Zylinder
 | Kegel
 | Kugel
 | Fläche
 | Elementgruppe
 | Gaußscher Filter
 | Allgemein

Weitere Informationen finden Sie unter "Konstruieren von neuen Elementen aus vorhandenen Elementen" und "Erstellen von allgemeinen Elementen".

Weitere Informationen zum Einfügen von Lesepunkten finden Sie in der unter "Erstellen von allgemeinen Elementen" verfügbaren Dokumentation.


Symbolleiste "Auto Elemente"

Über die Symbolleiste Auto Elemente können Sie einfach auf dieselben Auto Elemente zugreifen, die auf den verschiedenen Registerkarten des Dialogfelds Auto Elemente verfügbar sind. Zudem ist es möglich, PC-DMIS den Elementtyp auf Basis der aufgenommenen Messpunkte schätzen zu lassen.

PC-DMIS ermittelt, welche Auto Elementeinträge in der Symbolleiste und im Menü aktiviert sind, abhängig davon, welchen Tastertyp Sie aktiviert haben und welche Einstellungen an Ihrer Anschlusssperre vorgenommen wurden. Die Symbole Charakteristischer Punkt und Bund und Spalt werden nur dann zur Auswahl eingeblendet, wenn Sie einen berührungslosen Taster eingesetzt haben.

Wenn Sie auf das Symbol eines Auto-Elements klicken, wird die Registerkarte des betreffenden Elements zusammen mit dem Dialogfeld Auto Elemente geöffnet.

Drücken Sie die ENDE-Taste oder klicken Sie im Dialogfeld Auto Elemente auf die Schaltfläche Erzeugen, um das Auto Element zu erstellen. Bevor Sie das Element erstellen, können Sie Messpunkte durch Drücken der Tastenkombination ALT + '-' aus dem Messpunktpuffer entfernen.

Tipp: Klicken Sie für das Dialogfeld Auto Elemente auf die Schaltfläche Minimieren. Damit können Sie das Dialogfeld Auto Elemente ausblenden und trotzdem das ausgewählte Blechelement erstellen.

Siehe auch:

Auto Elemente erkennen


Auto Elemente erkennen

Über das Symbol Elementerkennung lässt sich die Erstellung des Werkstückprogramms beschleunigen. Bei Wahl dieser Option erscheint kein Dialogfeld, sondern PC-DMIS schätzt den Elementtyp auf Basis der aufgenommenen Messpunkte. Eine solche Schätzung funktioniert nur, wenn folgende Vorausssetzungen erfüllt sind:

  • Es müssen CAD-Flächendaten vorhanden sein.

  • Das Symbol "Flächenmodell" muss ausgewählt werden.

  • Sie müssen einen taktilen Taster verwenden. Die Elementerkennung mit optischen Sensoren wird nicht unterstützt.

Hinweis: CAD-Drahtmodelldaten können sehr nützlich sein und die Elementerstellung beschleunigen. Werden nur Oberflächendaten verwendet, benötigt PC-DMIS beispielsweise drei Messpunkte zur Erkennung eines Kreises. Sind dagegen Drahtmodelldaten vorhanden, benötigt PC-DMIS nur einen Messpunkt.

Siehe auch:

Elementerkennung anhand des Elementtyps


Elementerkennung anhand des Elementtyps

Im folgenden wird definiert, wie viele Messpunkte an welcher Stelle aufgenommen werden müssen, damit PC-DMIS den betreffenden Elementtyp unter Verwendung des Symbols Elementerkennung erkennt:

Symbol

Elementtyp

Anzahl von Messpunkten zum Schätzen dieses Elementtyps

Messpunktpositionen zum Schätzen dieses Elementtyps

Vektorpunkt

Einen

Flächenpunkt

Zwei

Kantenpunkt

Drahtmodell- und Oberflächendaten: Einen

Ein Messpunkt nahe der Kante.

Winkelpunkt

Zwei

Ein Messpunkt auf der einen Oberfläche und ein Messpunkt auf der anderen Oberfläche, die mehr oder weniger als 90 Grad auseinanderliegen.

Charakteristischer Punkt

Die Elementerkennung unterstützt diesen Elementtyp nicht.

Eckpunkt

Drei

Einmal auf jeder der drei Oberflächen.

Nur Oberflächendaten: Zwei

Ein Messpunkt auf der oberen Oberfläche. Ein Messpunkt auf der Kantenoberfläche, ca. 90 Grad zur oberen Oberfläche.

Extrempunkt

Einen

Gerade

Die Elementerkennung unterstützt diesen Elementtyp nicht.

Ebene

Die Elementerkennung unterstützt diesen Elementtyp nicht.

Kreis

Drahtmodell- und Oberflächendaten:
Einen

Ein Messpunkt auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens.

Nur Oberflächendaten:
Drei

Drei Messpunkte auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens.

Ellipse

Fünf

Fünf Messpunkte um die Ellipse herum.

Rechteckloch

Vier

Vier Messpunkte auf der oberen Oberfläche in der Nähe der Kante des Rechtecklochs.

Langloch

Drahtmodell- und Oberflächendaten:
Zwei

Ein Messpunkt auf der oberen Oberfläche nahe der Kante des Bogens und ein Messpunkt nahe des gegenüberliegenden Bogens.

Nur Oberflächendaten:
Sechs

Drei Messpunkte auf der oberen Oberfläche nahe der Kante des Bogens und drei Messpunkte nahe des gegenüberliegenden Bogens.

Kerbe

Fünf

Zwei Messpunkte auf der der Öffnung der Kerbe gegenüberliegenden Seite. Ein Messpunkt auf einer Parallelseite der Kerbe. Ein Messpunkt auf der anderen Seite. Ein Messpunkt auf der offenen Kante.

Polygon

Drahtmodell- und Oberflächendaten: Einen

Ein Messpunkt auf der Innen- oder Außenseite der Polygonseite.

Zylinder

Drahtmodell- und Oberflächendaten: Zwei

Ein Messpunkt auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens und ein Messpunkt an der Seite des Zylinders.

Nur Oberflächendaten:
Vier

Drei Messpunkte auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens und ein Messpunkt an der Seite des Zylinders.

Kegel

Draht und Oberfläche oder nur Oberfläche:
Vier

Drei Messpunkte auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens und ein Messpunkt an der Seite des Kegels.

Ermittelt PC-DMIS zwischen dem vierten Messpunkt und dem Kreis, der anhand der ersten drei Messpunkte berechnet wurde, einen Winkel größer als 2 Grad, wird ein Kegel geschätzt, andernfalls ein Zylinder.

Kugel

Fünf

Fünf Messpunkte auf der Kugeloberfläche.

Bund und Spalt

Die Elementerkennung unterstützt diesen Elementtyp nicht.

Nur Drahtmodell:
Zwei

Ein Messpunkt nahe des ersten Kreises oder Bogens (das eine Ende des Kegels). Ein Messpunkt nahe des zweiten Kreises oder Bogens (das andere Ende des Kegels). PC-DMIS überprüft, ob Kreise übereinander liegen. Ist dies der Fall, so wird ein Kegel geschätzt, anderenfalls ein Langloch.

Erkenne

Variable. Weitere Informationen über dieses Symbol finden Sie am Anfang dieses Themas.


Symbolleiste "Gemessene Elemente"

Über die Symbolleiste Gemessene Elemente können Sie PC-DMIS anweisen, den Elementtyp, für den Sie Messpunkte aufnehmen, automatisch zu schätzen und anzuzeigen. Des Weiteren können Sie PC-DMIS damit zwingen, einen bestimmten Elementtyp zu akzeptieren.

Siehe auch:

Automatische Erkennung eines Elementtyps

Erzwingen eines vorgegebenen Elementtyps


Automatische Erkennung eines Elementtyps

Bei Auswahl des Symbols Elementerkennung, zeigt PC-DMIS ein Symbol an, das den sich nach jedem aufgenommenen Messpunkt ergebenden möglichen Elementtyp darstellt. Dies ermöglicht eine visuelle Voransicht des Elementtyps, bevor er tatsächlich erstellt wird.

Beim Messen eines Zylinders werden z. B. zwei Sätze mit jeweils vier Messpunkten auf zwei verschiedenen Ebenen entlang der Höhe des Stiftes aufgenommen. Wenn die ersten vier Messpunkte auf einer Ebene aufgenommen werden, erscheint im Grafikfenster als Elementtyp ein Kreissymbol. Nach Aufnahme der zweiten Messpunktebene zeigt PC-DMIS ein Zylindersymbol an.


Erzwingen eines vorgegebenen Elementtyps

Mit den Elementtypsymbolen auf dieser Symbolleiste können Sie PC-DMIS zwingen, den ausgewählten Elementtyp zu akzeptieren.

Symbol | Beschreibung
 | Zwingt PC-DMIS, den Elementtyp "Punkt" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Gerade" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Ebene" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Kreis" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Zylinder" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Kegel" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Kugel" zu akzeptieren.

Wird bei Aufnahme von Messpunkten im Modus Elementerkennung (durch Auswahl des Symbols Elementerkennung) der falsche Elementtyp angezeigt, können Sie auf das richtige Elementsymbol klicken und PC-DMIS so zwingen, den betreffenden Elementtyp zu akzeptieren. Das Element wird erst zum Werkstückprogramm hinzugefügt, wenn dessen Erstellung durch Drücken der ENDE-Taste bestätigt wurde. Durch Drücken der Tasten '-' oder ALT + '-' können Messpunkte entfernt werden.

Durch Auswahl des Symbols Kreis zwingen Sie PC-DMIS beispielweise, den Elementtyp "Kreis" zu akzeptieren, sofern die erforderliche Mindestanzahl von Messpunkten aufgenommen wurde.


Dateivorgänge

Dateivorgänge (Symbolleiste)

Mit der Symbolleiste Dateivorgänge können Sie schnell einige der wichtigsten Dateivorgänge ausführen. Diese Symbolleiste enthält die folgenden Symbole:

Symbol |  | Beschreibung
 | Öffnen | Öffnet ein vorhandenes Werkstückprogramm.
 | Neu | Erstellt ein neues Werkstückprogramm.
 | Schließen | Schließt das aktuelle Werkstückprogramm.
 | Beenden | Beendet PC-DMIS.
 | Speichern | Speichert das aktuelle Werkstückprogramm.
 | Speichern unter | Speichert das aktuelle Werkstückprogramm unter einem anderen Namen.

Weitere Informationen zu diesen Dateivorgängen finden Sie unter "Verwenden von grundlegenden Dateioptionen" und "Verwenden von fortgeschrittenen Dateioptionen".


Symbolleiste "Makro abspielen/aufzeichnen"

Mit der Symbolleiste Makro abspielen/aufzeichnen können Sie Makros durch einen Mausklick auf das entsprechende Symbol aufzeichnen, wiedergeben und anhalten. Zur Durchführung routinemäßiger, sich wiederholender Aufgaben lassen sich ohne viel Aufwand benutzerdefinierte Makros erstellen.

In PC-DMIS ist ein Makro einfach eine Aufzeichnung von Tastenfolgen und Mausbewegungen, die zur Automatisierung einer Aufgabe wiedergegeben werden kann.

Hinweis: Beim Arbeiten mit Makros ist es sinnvoll, das Kontrollkästchen Festgesetzte Dialogfeldpositionen zu verwenden. Auf diese Weise bleiben alle Dialogfelder auf festen, voreingestellten Positionen. Siehe auch "Festgesetzte Dialogfeldpositionen" im Abschnitt "Voreinstellungen".

Siehe auch:

So zeichnen Sie ein Makro auf

So geben Sie ein zuvor aufgezeichnetes Makro wieder:


So zeichnen Sie ein Makro auf:

  1. Wählen Sie das Symbol Aufzeichnung aus. PC-DMIS blendet das Dialogfeld In Makrodatei aufzeichnen ein.

Dialogfeld "In Makrodatei aufzeichnen"

  2. Erstellen Sie im Feld Dateiname einen Dateinamen vom Dateityp *.mac.

  3. Klicken Sie auf die Schaltfläche Öffnen. Das Dialogfeld In Makrodatei aufzeichnen wird geschlossen, und das Symbol Aufzeichnen blinkt. Dadurch wird angezeigt, dass PC-DMIS gerade Tastatur- und/oder Mauseingaben aufzeichnet.

  4. Erstellen Sie das gewünschte Makro durch Aufzeichnen von Tastenanschlägen und/oder Mauseingaben.

  5. Klicken Sie auf das Symbol Anhalten [image], wenn Sie fertig sind.


So geben Sie ein zuvor aufgezeichnetes Makro wieder:

  1. Wählen Sie das Symbol Abspielen aus [image]. PC-DMIS blendet das Dialogfeld Makrodatei abspielen ein.

Dialogfeld "Makrodatei abspielen"

  2. Gehen Sie zu dem Ordner, der die Makrodatei enthält.

  3. Wählen Sie das gewünschte Makro aus.

  4. Klicken Sie auf die Schaltfläche Öffnen.

Das Symbol Abspielen [image] fängt an zu blinken und zeigt dadurch an, dass PC-DMIS das angeforderte Makro wiedergibt. Sie können nun beobachten, wie PC-DMIS Maus- und Tastenoptionen zur Ausführung des gewählten Makros verwendet.


Symbolleiste "Virtuelle Tastatur"

Über das Menü Ansicht | Symbolleisten | Virtuelle Tastatur können Sie eine virtuelle Tastatur anstelle der tatsächlichen Tastatur verwenden und Ihren Wünschen anpassen. Diese Tastatur arbeitet wie jede andere Tastatur und kann mit der Maus oder einem Berührungsbildschirm verwendet werden. Diese Funktion ist in bestimmten Produktionsumgebungen hilfreich, wo der Einsatz einer physischen Tastatur nicht empfehlenswert ist.

Beispiel Virtuelle Tastatur – Variante Tastenfeld 1

Die Symbole der Symbolleiste Virtuelle Tastatur sind nachfolgend beschrieben:

Symbol

Beschreibung

Mit diesem Symbol wird die Virtuelle Tastatur ein- oder ausgeblendet. Die Virtuelle Tastatur erscheint automatisch und bewegt sich über dem PC-DMIS Hauptbildschirm. PC-DMIS blendet außerdem ein Programmsymbol auf Ihrer Windows-Task-Leiste ein:

Wie bei jedem anderen Windows-Programm wird das Programm Virtuelle Tastatur bei Auswahl dieses Programmsymbols aktiviert.

Mit diesem Symbol wird das Dialogfeld Tastatur anpassen eingeblendet, über das Sie ihre eigene kundenspezifische Version der Virtuellen Tastatur erstellen können. Weitere Informationen finden Sie unter "Erstellen einer neuen, virtuellen Tastatur-Variante".

Mit dem Drop-Down-Pfeil rechts vom Symbol Anpassen wird eine Drop-Down-Liste eingeblendet, die ähnliche Eigenschaften aufweist wie das Pop-up-Menü, das unter "Auf virtuelle Tastatur-Varianten zugreifen" beschrieben wurde.

Zusätzliche Informationen finden Sie unter "Verwenden der virtuellen Tastatur" im Abschnitt "Die Verwendung von sonstigen Fenstern, Editoren und Werkzeugen".


Symbolleiste "Berührungsbildschirm"

Über die Symbolleiste Berührungsbildschirm können Sie festlegen, wie Berührungen auf Ihrem Berührungsbildschirm interpretiert werden sollen. Diese Funktion ist in bestimmten Produktionsumgebungen hilfreich, wo der Einsatz einer Maus nicht empfehlenswert ist.

Das Symbol Linker Mausklick, die Standardauswahl, interpretiert Berührungen auf dem Bildschirm als linke Mausklick-Schaltfläche.

Das Symbol Rechter Mausklick interpretiert die nächste Berührung auf dem Bildschirm als rechte Mausklick-Schaltfläche. Nachdem Sie die Bildschirmberührung ausgeführt haben, wird automatisch wieder in den Modus Linker Mausklick gewechselt.

Weitere Informationen zur Verwendung der Symbolleiste Berührungsbildschirm finden Sie in den Bildschirm-Lernprogrammen, die mit Ihrem "einen" werkstattfähigen KMG von Brown and Sharpe geliefert wurden.


Symbolleiste "Assistenten"

Die Symbole auf dieser Symbolleiste sind zunächst mit externen Assistenten verknüpft, die mit PC-DMIS zusammen installiert werden. Diese Assistenten erfüllen die folgenden beiden Zwecke:

  1. Anfänger weiter einweisen, sodass sie die Anwendung besser nutzen können.

  2. Die Flexibilität und Anpassungsmöglichkeiten von PC-DMIS zu demonstrieren.

Es gibt folgende Assistenten:

Symbol

Beschreibung

Assistent für 3-2-1 Ausrichtung – Dieser Assistent leitet Sie bei zwei grundlegenden Arten von Ausrichtungen an: einer 3-2-1-Ausrichtung und einer Ausrichtung unter Verwendung zweier Kreise

Assistent für CAD-Import – Damit können Sie einzelne oder mehrere CAD-Modelle in das aktuelle Werkstückprogramm importieren. Es erscheinen einfach das Symbol und ein Dialogfeld. Sie müssen ein oder mehrere zu importierende Dateien auswählen und dann auf Öffnen klicken.

Assistent für Datenfeldbearbeitung - Mit diesem Assistenten können Sie bestimmte Felder im Bearbeitungsfenster, die mit Hilfe der Option Ersetzen nicht ersetzt werden können, ersetzen. Siehe "Bearbeiten von Datenfeldern" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Assistent für DMIS-Ausgabe – Mit diesem Assistenten können Sie Werkstückprogrammdateien als DMIS-Dateien exportieren.

Assistent für iterative Ausrichtung – Dieser Assistent leitet Sie bei den Schritten zur Erstellung einer iterativen Ausrichtung an und erläutert die Regeln, die für die Eingaben der Ausrichtung gelten.

Assistent für Mehrfachausführungen – Mit diesem Assistenten können Sie Ihr Werkstückprogramm problemlos in einer Endlosschleife ausführen lassen oder einen bestimmten Wert hierfür einstellen. Außerdem können Sie eine Meldung auswählen, die zwischen den Wiederholungen angezeigt wird.

PCD2Excel-Assistent – Mit diesem Assistenten können Sie Ihre PC-DMIS Werkstückprogrammdateien in eine Microsoft Excel-Datei Ihrer Wahl exportieren. Klicken Sie auf Konfigurieren, um die Optionen des Assistenten zu konfigurieren. Die meisten der Konfigurationsptionen im resultierenden Dialogfeld erklären sich von selbst.

Wenn das Kontrollkästchen STAT/EIN und STAT/AUS verwenden ausgewählt ist, muss ein Merkmal- (oder Toleranzrahmen-Merkmal) Befehl zwischen dem STAT/EIN und STAT/AUS-Befehl in das Werkstückprogramm eingefügt werden. Andernfalls werden vom Assistenten keine Daten in die Excel-Datei exportiert. Wird die Auswahl dieses Kontrollkästchens aufgehoben, werden alle Merkmalbefehle in die Excel-Datei exportiert. Siehe unter "Nachverfolgen statistischer Daten".

Wenn Sie zudem das Kontrollkästchen TRs ignorieren auswählen, gibt PC-DMIS keine Toleranzrahmenbefehle an die Excel-Datei weiter. Siehe unter "Verwenden von Toleranzrahmen".

Assistent für Taster - Dieser Assistent veranschaulicht, wie ein Taster definiert wird, und hilft bei der Kalibrierung des neu definierten Tasters.

Datenbank-Assistent – Dieser Assistent hilft Ihnen bei der einfachen Erstellung und Registrierung von ODBC-konformen Datenbanken. Dieser Assistent erscheint nur dann, wenn Ihre Anschlusssperre mit der Option Integrierter Status konfiguriert wurde.

Siehe auch:

Verfügbarer Quellcode für Assistenten


Verfügbarer Quellcode für Assistenten

Diese Assistenten wurden mit Hilfe von Microsoft Visual Basic© sowie Automatisierungsfunktionen von PC-DMIS entwickelt. Im Unterverzeichnis "Wizards" des PC-DMIS-Installationsverzeichnis sind der Quellcode und die Projektdateien enthalten, aus denen sie erstellt wurden. Wenn Sie die Funktionen von PC-DMIS erweitern oder eine benutzerdefinierte Anwendung erstellen möchten, die eine Schnittstelle mit PC-DMIS bildet, kann Ihnen der bereitgestellte Quellcode als hilfreiche Richtlinie dienen. Zudem ist es auch möglich, die Assistenten um Funktionen zu erweitern, die nicht in der Originalanwendung enthalten sind.


Symbolleiste "Aktuelle Arme"

Die Symbolleiste Aktuelle Arme enthält Symbole zur Darstellung mehrerer Arme. Das Symbol Arm 1 aktiv (die Schaltfläche mit der Nummer 1) entspricht dem "Master"-Arm. Das Symbol Arm 2 aktiv verweist auf den "Slave"-Arm. Es kann nur jeweils ein Arm aktiv sein. Das ausgewählte Symbol gilt als aktiv.

Sie können auch die mit einem bestimmten Arm verknüpften Befehle ausführen, wenn Sie das farbige Markierungssymbol für den aktiven Arm anklicken.

Die Symbolleiste Aktuelle Arme steht derzeit nur zur Auswahl, wenn für Ihr System das Zusatzpaket "Mehrarmmodus" erworben wurde.

Sie können diese Symbolleiste auch über die Menüoption Vorgang | Aktivieren Mehrarmbetrieb anzeigen.

Weitere Informationen zum Einrichten und Verwenden von Mehrarm-KMGs finden Sie unter "Arbeiten im Mehrarmbetrieb". Weitere Informationen zur Verwendung dieser Symbolleiste finden Sie auch im entsprechenden Abschnitt unter "Zuweisen eines Befehls zu einem Arm".


Symbolleiste "Aktueller Drehtisch"

Mit der Symbolleiste Aktueller Drehtisch können Sie bestimmen, welcher der beiden Drehtische der aktive Tisch ist. Sie können auf dieser Symbolleiste nur dann Symbole auswählen, wenn Sie die Drehtische mit Hilfe der Menüoption Bearbeiten | Voreinstellungen | Drehtisch einrichten eingerichtet haben. Weitere Informationen finden Sie unter "Definieren des Drehtisches" im Abschnitt "Voreinstellungen".


Symbolleiste "Schnellstart"

Mit Hilfe der Symbolleiste Schnellstart (Ansicht | Symbolleisten | Schnellstart) können Sie auf schnelle Weise ein einfaches Werkstückprogramm erstellen. Hierzu werden Dialogfelder oder Vorgänge zur Verfügung gestellt, die Sie bei der Definition oder Kalibrierung eines Tasters, bei der Ausrichtung eines Werkstücks, beim Messen von Elementen, beim Erstellen weiterer Elemente und bei der Merkmalerstellung für vorhandene Elemente unterstützen.

Bewegen Sie den Mauszeiger einfach über das gewünschte Symbol, um auf einen der Einträge zuzugreifen. Sollte das Symbol zusätzliche Vorgänge enthalten, erscheint eine weitere Symbolleiste rechts vom ausgewählten Symbols. In der neuen Symbolleiste können Sie einen bestimmten Vorgang auswählen.

Die Symbole der Symbolleiste "Schnellstart"

Die Symbolleiste Schnellstart enthält folgende Symbole:

Kalibrieren / Bearbeiten - Damit wird keine weitere Symbolleiste angzeigt. Statt dessen wird das Dialogfeld Taster-Hilfsprogramme geöffnet. In diesem Dialogfeld können Sie nun einen Taster definieren und Tastspitzen kalibrieren.

Ausrichten - Damit wird die Schnellstart-Symbolleiste Ausrichten eingeblendet. In dieser Symbolleiste können Sie einen Ausrichtungsvorgang auswählen.

Messen - Damit wird die Schnellstart-Symbolleiste Messen eingeblendet. In dieser Symbolleiste können Sie einen Messvorgang auswählen.

Erstellen - Damit wird die Schnellstart-Symbolleiste Erstellen eingeblendet. In dieser Symbolleiste können Sie ein Verfahren zur Erstellung auswählen.

Merkmal - Damit wird die Schnellstart-Symbolleiste Merkmal eingeblendet. In dieser Symbolleiste können Sie ein Verfahren zur Erstellung von Merkmalen auswählen.

Rücksetzen - Damit wird das Dialogfeld Schnellstart in den Elementerkennungsmodus zurückgesetzt.

Informationen zur Schnellstart-Schnittstelle:

In Versionen 3.5 bis 3.7 wurde die Symbolleiste Schnellstart getrennt vom Dialogfeld Schnellstart verwendet. In der aktuellen Version jedoch ist die Symbolleiste Schnellstart mit dem gleichnamigen Dialogfeld verbunden, um Bildschirmplatz einzusparen. Deshalb wird bei jedem Aufruf der Symbolleiste Schnellstart automatisch auch das Dialogfeld Schnellstart aufgerufen.

Dialogfeld und Symbolleiste "Schnellstart"

Darüber hinaus,

  • werden Sie durch Bewegen der Maus über einen bestimmten Eintrag des Dialogfelds oder der Symbolleiste über dessen Funktion informiert.

  • Sie können das Dialogfeld Schnellstart an die linke Seite des Bildschirms ankoppeln oder wieder abkopppeln, indem Sie auf die Titelleiste klicken und dann das Dialogfeld ziehen und ablegen.

  • Anweisungen für die verschiedenen Verfahren im Zusammenhang mit "Schnellstart" sind jetzt nicht mehr im Dialogfeld Schnellstart enthalten. Statt dessen werden sie in der Statusleiste unten im Bildschirm angezeigt. Wenn die Anweisungen für den Bereich Statusleiste zu lang sind, werden sie von PC-DMIS von rechts nach links im Bildlauf gerollt. Durch Bewegen der Maus über das Dialogfeld Schnellstart werden die aktuellen Anweisungen im Bildlauf an den Anfang zurückgesetzt.

  • Jetzt können Sie Eingabeelemente, die in den verschiedenen Verfahren verwendet werden, auswählen, indem Sie im Bearbeitungsfenster oder im Grafikfenster auf das entsprechende Element klicken.

  • PC-DMIS platziert nun ein Statusfenster. Mit diesem Fenster können Sie die Voransicht eines Merkmals einblenden oder im Elementerkennungs-Modus ein gemessenes Element erscheinen lassen, bevor Sie zum Einfügen des Elements oder des Merkmals in das Werkstückprogramm auf die Schaltfläche Fertig stellen klicken. Informationen hierzu finden Sie unter "Verwenden des Statusfensters" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".

Achtung: Durch Aktivierung des Dialogfelds und der Symbolleiste Schnellstart werden bestimmte Befehle deaktiviert. Sie können Elemente beispielsweise nicht löschen, kopieren oder markieren. Außerdem kann das Werkstückprogramm nicht ausgeführt werden. Für diese und andere Funktionen müssen Dialogfeld und Symbolleiste Schnellstart erst geschlossen werden.

Siehe auch:

Verwenden des Dialogfelds "Schnellstart"

Schnellstart: Symbolleiste "Messen"

Schnellstart: Symbolleiste "Erstellen"

Schnellstart: Symbolleiste "Merkmal"

Schnellstart: Symbolleiste "Ausrichten"

Schnellstart: Symbolleiste "Kalibrieren / Bearbeiten"


Verwenden des Dialogfelds "Schnellstart"

Viele der Symbole auf den Symbolleisten rufen das Dialogfeld Schnellstart auf, um bestimmte Vorgänge durchzuführen.

Beispiel für das Dialogfeld "Schnellstart"

In diesem Thema werden die einzelnen Elemente dieses Dialogfelds erläutert. Außerdem wird beschrieben, wie Sie das Dialogfeld zur Durchführung verschiedener Tätigkeiten verwenden können.

Dialogfeldeintrag

Beschreibung

Grafische Beschreibung

Für alle Vorgänge, die das Dialogfeld Schnellstart verwenden, zeigt PC-DMIS zwei Symbole an. Links das Symbol für ein aktuelles Verfahren und rechts das Symbol für den aktuellen Schritt in dieses Verfahren oder das geschätzte Element.

Im Beispiel eines Screenshots auf der linken Seite zeigt das Fragezeichen-Symbol, dass PC-DMIS einen Vorgang im Elementerkennungsmodus durchführt. Das Punktsymbol rechts zeigt, dass ein Punktelement mit einem einzigen Messpunkt erstellt wird. Bei der Aufnahme eines weiteren Messpunktes wird sich das Symbol rechts in eine Linie verwandeln.

ID

Die eindeutige ID für das Element. Sobald Sie eine entsprechende Anweisung ausgewählt haben, erscheint im Feld eine ID.

Siehe "ID" im Abschnitt "Navigation durch die Benutzerschnittstelle".

Liste "Element überschreiben"

Element überschreiben

Mit dieser Liste können Sie die Messung des erkannten Elements mit dem ausgewählten Elementtyp überschreiben. Wenn Sie beispielsweise vier Messpunkte aufnehmen und PC-DMIS eine Ebene schätzt, können Sie aus der Liste Kreis auswählen, um PC-DMIS zu veranlassen, statt dessen den Elementtyp 'Kreis' festzulegen.

Siehe auch "Überschreiben eines geschätzten, gemessenen Elements" im Abschnitt "Erstellen von gemessenen Elementen".

Anzahl der Messpunkte / Erforderlich

Anzahl der Messpunkte

Mit dieser Anzeige werden rechts vom Schrägstrich die zum Messen des Elements erforderliche Mindestanzahl von Messpunkten und links die bereits aufgenommenen Messpunkte angezeigt. Wenn Sie mehr als die Mindestanzahl von Messpunkten aufnehmen, zeigt die Zahl links vom Schrägstrich einen höheren Wert an als die Zahl rechts vom Schrägstrich.

Eine Bewegung speichern

Eine Bewegung speichern

Mit dem Symbol Eine Bewegung speichern können Sie auf einfache Weise Bewegungspunkte in das Werkstückprogramm speichern. Beim Klicken auf dieses Symbol liest PC-DMIS die aktuelle Tasterposition und fügt einen BEWEGEN/PUNKT-Befehl in das Bearbeitungsfenster ein.

Siehe Einfügen eines Bewegungspunktbefehls" im Abschnitt "Einfügen von Bewegungsbefehlen".

Erkenne

Die Anzeige dieses Symbols im Dialogfeld bedeutet, dass sich PC-DMIS im Elementerkennungs-Modus befindet. PC-DMIS kehrt immer dann zu diesem Modus zurück, wenn Sie mit Hilfe des Dialogfelds "Schnellstart" ein abhängiges Element oder eine Ausrichtung erstellt haben.

Durch Klicken auf das Symbol Elementerkennung der Symbolleiste Schnellstart: Messen wird PC-DMIS ebenfalls in den Modus "Elementerkennung" versetzt.

In Abhängigkeit der Anzahl an aufgezeichneten Punkten der Elementtyp geschätzt, den Sie zu messen versuchen. Um diesen Wert widerzuspiegeln, wird das Dialogfeld Schnellstart dynamisch aktualisiert.

Wenn Sie beispielsweise im Elementerkennungs-Modus zwei Punkte auswählen, wird das Dialogfeld Schnellstart zu einem Geraden-Dialogfeld aktualisiert. Im Falle von vier Punkten wird ein Kreiselement, im Falle von acht Punkten ein Zylinder usw. angezeigt.

Siehe unter "Schätzen eines gemessenen Elementtyps" im Abschnitt "Erstellen von gemessenen Elementen".

Ergebnisse

Im Feld Ergebnisse werden die Ergebnisse aller Schritte eines Messvorgangs, die bis dahin unternommen wurden, angezeigt. Wenn ein Benutzer beispielsweise eine Eben-Gerade-Geradenausrichtung durchführen möchte, wird im Feld "Ergebnisse" nach Auswahl oder Messen der zweiten Gerade folgendes angezeigt:

Schritt 1:EBENE1=Gemessene Ebene
Schritt 2:GERADE1=Gemessene Gerade
Schritt 3:GERADE2=Gemessene Gerade

Das Feld Ergebnisse ist mit den Schaltflächen unten im Dialogfeld verknüpft. Immer wenn die Voraussetzungen für einen bestimmten Schritt eines Vorgangs erfüllt sind, werden die Schaltflächen aktiviert.

<Zurück und Weiter>

Die Schaltflächen <Zurück und Weiter> durchblättern die Listen mit den erforderlichen Elementen oder Eingaben. Diese Schaltflächen werden dann verfügbar, wenn ein Vorgang aus der Symbolleiste die Auswahl oder Erstellung mehrerer Elemente (wie beispielsweise die Symbolleisten Merkmal und Ausrichten) oder einer Benutzereingabe erforderlich macht.

Das Drücken der Taste Fertig am Bedienelement die gleiche Wirkung wie das Klicken auf die Schaltfläche Weiter> bei der Verwendung des Dialogfelds Schnellstart.

Fertig

Die Schaltfläche Fertig stellen schließt den Vorgang ab, fügt den entsprechenden Befehl in das Bearbeitungsfenster ein und dann kehrt PC-DMIS in den meisten Fällen zum Ausgangsschritt des aktuellen Vorgangs zurück.

Für Ausrichtungen oder erstellte (abhängige) Elemente gilt jedoch, dass PC-DMIS nach dem Klicken auf Fertig stellen zum standardmäßigen Elementerkennungs-Modus zurückkehrt.


Schnellstart: Symbolleiste "Messen"

Schnellstart Symbolleiste "Messen"

Schnellstart Symbolleiste "Messen"

Diese Symbolleiste enthält die Symbole für folgende Messfunktionen:

Punkt | Gerade | Ebene
Kreis | Zylinder | Kegel
Kugel | Elementerkennung |

Weitere Informationen zum Erstellen von gemessenen Elementen finden Sie unter "Erstellen von gemessenen Elementen".

Scannen

Mit dem Symbol Scan können Sie schnell einen "Manuellen Festes Zeitdelta-Scan" durchführen. PC-DMIS wird Ihnen über die Statusleiste Anweisungen geben. Weitere Informationen zu diesem Scantyp finden Sie unter "Durchführen eines manuellen Fester-Abstand-Scans" im Abschnitt "Scannen Ihres Werkstücks".

Siehe auch:

Erstellen von gemessenen Elementen

Messen eines Punktes

Messen einer Geraden

Messen einer Ebene

Messen eines Kreises

Messen eines Zylinders

Messen eines Kegels

Messen einer Kugel


Erstellen von gemessenen Elementen

  1. Wählen Sie aus der Symbolleiste Schnellstart die Symbolleiste Messen.

  2. Klicken Sie auf das Symbol für das zu messende Element. Mit dem Symbol oben links im Dialogfeld kann die Anzeige des in diesem Vorgang zu messenden Elements geändert werden. Anweisungen erscheinen in der Statusleiste.

  3. Klicken Sie in der Symbolleiste PC-DMIS-Modi auf das Symbol Programmiermodus. PC-DMIS zeigt im Grafikfenster neben dem Werkstück eine simulierte Darstellung des Tasters an.

  4. Klicken Sie mit der rechten Maustaste im Offline- oder im Online-Modus, um die Tiefe für den Taster einzustellen. Bewegen Sie den den Taster im Online-Modus auf die angegebene Tiefe.

  5. Nehmen Sie die Mindestanzahl von Messpunkten auf dem Werkstück auf, um das Element zu messen.

  6. Klicken Sie am Bedienelement auf Fertig stellen oder auf Fertig, wenn die Messung abgeschlossen ist. Das Dialogfeld Schnellstart bleibt geöffnet. PC-DMIS kompensiert automatisch den Tasterradius und positioniert das gemessene Element auf dem Werkstück im Grafikfenster.

  7. Befolgen Sie die Schritte vier bis sechs, bis Sie alle erforderlichen gemessenen Elemente erstellt haben.

  8. Klicken Sie auf Schließen, wenn Sie damit fertig sind. Das Dialogfeld Schnellstart wird nun ebenfalls geschlossen.


Messen eines Punktes

Mit dem Symbol Punkt können Sie die Position eines Punktes einer an einer Bezugsebene ausgerichteten Ebene (Schulter) oder die Position eines Punktes im Raum messen.

Zum Erstellen eines gemessenen Punktes müssen Sie einen Messpunkt auf dem Werkstück aufnehmen.

Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für einen Punkt" im Abschnitt "Erstellen von gemessenen Elementen".


Messen einer Geraden

Mit dem Symbol Gerade können Sie die Ausrichtung und Linearität einer Geraden auf einer Ebene messen, die an einer Bezugsebene ausgerichtet ist, oder die Position einer Geraden im Raum.

Zum Erstellen einer gemessenen Geraden müssen Sie zwei Messpunkte auf dem Werkstück aufnehmen.

Gemessene Geraden und Arbeitsebenen

Bei der Erstellung einer gemessenen Geraden erwartet PC-DMIS, dass die Messpunkte auf einem Vektor aufgenommen werden, der im rechten Winkel zur aktuellen Arbeitsebene verläuft.

Wenn Sie beispielsweise auf der aktuellen Arbeitsebene ZPLUS (mit einem Vektor 0,0,1) arbeiten und ein blockähnliches Werkstück vorliegt, müssen die Messpunkte für die gemessene Gerade auf einer senkrechten Wand dieses Werkstücks, beispielsweise der Vorderen oder Seitlichen, liegen.

Wenn Sie dann ein Geradenelement auf der oberen Werkstückoberfläche messen wollen, müssen Sie die Arbeitsebene auf XPLUS, XMINUS, YPLUS oder YMINUS umstellen, je nach dem, welche Richtung die Gerade hat.

Weitere Informationen zum Ändern einer Arbeitsebene finden Sie unter "Liste Arbeitsebene".

Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für eine Gerade" im Abschnitt "Erstellen von gemessenen Elementen".


Messen einer Ebene

 | Verwenden Sie zur Messung von glatten, ebenen Oberflächen das Symbol Ebene.
Zum Erstellen einer gemessenen Ebene müssen Sie mindestens drei Messpunkte auf einer glatten Oberfläche aufzeichnen. Bei drei Messpunkten (Mindestanzahl) ist es sinnvoll, diese in einem Dreieck aufzunehmen, das den größten Bereich der Oberfläche abdeckt.
Beispielebene mit 4 Punkten | Beispielebene mit 8 Punkten
Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für eine Ebene" im Abschnitt "Erstellen von gemessenen Elementen".


Messen eines Kreises

 | Mit dem Symbol Kreis können Sie den Durchmesser, die Rundung und die Position des Zentrums eines Stanzlochs/Bolzens parallel zu einer Bezugsebene messen, d. h., den rechteckigen Profilschnitt eines Zylinders, ausgerichtet an einer Bezugsachse.
Zum Erstellen eines gemessenen Lochs oder Bolzens müssen mindestens drei Messpunkte aufgenommen werden. Die Ebene wird automatisch während des Messvorgangs vom System erkannt und eingestellt. Die Punkte müssen einheitlich um den Umfang herum verteilt ausgewählt werden.
Beispielkreis mit 4 Punkten | Beispielkreis mit 8 Punkten
Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für einen Kreis" im Abschnitt "Erstellen von gemessenen Elementen".


Messen eines Zylinders

Mit dem Symbol Zylinder messen Sie den Durchmesser, die Zylindrizität und die Ausrichtung der Achse eines Zylinders im Raum. Die Position des Flächenmittelpunktes der ausgewählten Punkte wird ebenfalls berechnet.

Zum Erstellen eines gemessenen Zylinders müssen Sie mindestens sechs Messpunkte auf dem Zylinder aufnehmen. Die Punkte müssen einheitlich über die Oberfläche verteilt ausgewählt werden. Die ersten drei ausgewählten Punkte müssen auf einer Ebene im rechten Winkel zur Hauptachse liegen.

Beispielzylinder mit acht Punkten

Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für einen Zylinder" im Abschnitt "Erstellen von gemessenen Elementen".


Messen eines Kegels

Mit dem Symbol Kegel messen Sie die Konizität, den Winkel an der Spitze und die Ausrichtung der Achse eines Kegels im Raum. Die Position des Flächenmittelpunktes der ausgewählten Punkte wird ebenfalls berechnet.

Zum Erstellen eines gemessenen Kegels sind mindestens sechs Messpunkte erforderlich. Die Punkte müssen einheitlich über die Oberfläche verteilt ausgewählt werden. Die ersten drei ausgewählten Punkte müssen auf einer Ebene im rechten Winkel zur Hauptachse liegen.

Beispielkegel mit acht Punkten

Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für einen Kegel" im Abschnitt "Erstellen von gemessenen Elementen".


Messen einer Kugel

 | Mit dem Symbol Kugel können Sie den Durchmesser, die Kugelgestalt und die Position eines Kugelmittelpunktes messen.
Zum Erstellen einer gemessenen Kugel sind mindestens fünf Messpunkte erforderlich. Die Punkte müssen einheitlich über die Oberfläche verteilt ausgewählt werden. Die ersten vier gewählten Punkte dürfen sich nicht auf demselben Kreisumfang befinden. Der erste Punkt sollte an einem der Pole der Kugel aufgezeichnet werden. Die übrigen drei Punkte auf einem Umfang.
Beispielkugel mit 5 Punkten | Beispielkugel mit 9 Punkten
Weitere Informationen zum dazugehörigen Bearbeitungsfensterbefehl finden Sie unter "Grundlegendes Messformat für eine Kugel" im Abschnitt "Erstellen von gemessenen Elementen".


Schnellstart: Symbolleiste "Abhängiges Element erstellen"

Schnellstart Symbolleiste "Abhängiges Element erstellen"

Schnellstart Symbolleiste "Abhängiges Element erstellen"

Beim Erstellen von abhängigen Elementen werden von PC-DMIS anstelle von ausgewählten Punkten die charakteristischen Punkte bereits gemessener Elemente oder Elemente verarbeitet.

Sie können alle Elemente erstellen, die mit dem Symbol Messen auf der Symbolleiste Schnellstart gemessen werden können. Meistens wird jedoch ein Kreis erstellt, der durch die Mittelpunkte einer kreisförmigen Anordnung von Löchern oder Bolzen verläuft.

Normalerweise werden für die Erstellung von anderen Elementen Punkte und Kreise (oder Kugeln) verwendet, die noch nicht oder bereits gemessen und gespeichert sein müssen. Wenn Sie ein erforderliches Element bisher noch nicht gemessen haben, können Sie es während des Erstellungsvorgangs messen.

Sie können die folgenden abhängigen Elemente erstellen:

Punktelemente

Geradenelemente

  • Schnittpunkt

  • Mittelpunkt

  • Projektionspunkt

  • Besteinpassungsgerade

  • Schnittlinie

  • Mittellinie

Ebenenelemente

Kreiselemente

  • Besteinpassungsebene

  • Symmetrieebene

  • Ausrichtungsebene

  • Besteinpassungskreis

  • Schnittkreis

  • Kreis nach einer vorgegebenen Höhe

  • Kreis nach vorgegebenem Durchmesser

Langlochelement

Zylinderelement

  • Langlochelement

  • Zylinderelement

Kegelelement

  • Kegelelement

Die aufgelisteten Links in der oben stehenden Tabelle führen Sie direkt zum richtigen Thema mit detaillierten Angaben im Abschnitt "Erstellen von neuen Elemente aus vorhandenen Elementen" dieser Hilfedatei.

Siehe auch:

Erstellen von abhängigen Elementen


Erstellen von abhängigen Elementen

Dieses Thema behandelt sehr grundlegende Informationen zum Erstellen von abhängigen Elementen. Detaillierte Informationen finden Sie im Abschnitt "Erstellen von neuen Elementen aus vorhandenen Elementen".

  1. Wählen Sie aus der Symbolleiste Schnellstart die Symbolleiste Abhängiges Element erstellen. Menü-Übersicht anzeigen

  2. Klicken Sie auf das Symbol für das zu messende Element. Das Dialogfeld Schnellstart zeigt ein Symbol über den Vorgang und ein Zweites für den zuerst benötigten Elementtyp an.

  3. Folgen Sie den Anweisungen unten an der Symbolleiste, entweder Daten in den Dialog einzutragen oder die benötigten Elemente, die beim Erstellen verwendet werden sollen, auszuwählen (oder zu messen).

  4. Fahren Sie fort, indem Sie auf Weiter klicken und folgen Sie den Anweisungen, bis die Schaltfläche Fertigstellen erscheint.

  5. Wenn Sie bereit sind, klicken Sie auf Fertig stellen. PC-DMIS zeigt das soeben konstruierte Element auf dem Werkstück sowohl im Grafikfenster als auch im Bearbeitungsfenster an.


Schnellstart: Symbolleiste "Merkmal"

Schnellstart Symbolleiste "Merkmal"

Schnellstart Symbolleiste "Merkmal"

Mit der Symbolleiste Merkmal können Sie geometrische Messungen und geometrische Toleranzüberprüfungen durchführen. Mit Ausnahme des Eingabe-Merkmals enthält diese Symbolleiste alle Merkmale der regulären Merkmal-Symbolleiste von PC-DMIS. Siehe "Symbolleiste "Merkmal"" in diesem Abschnitt.

Achtung: Über die Symbolleiste Schnellstart "Merkmal" können nur Legacy-Merkmale erstellt werden. Hierüber werden keine der neuen Toleranzrahmen-Merkmale erstellt.

Hinweise zu geometrischen Messungen

Hinweise zu geometrischen Toleranzüberprüfungen

Geometrische Messungen werden unter folgenden Umständen eingesetzt:

  • Wenn ein Merkmal zwei Elemente umfasst (wie beispielsweise Abstände und Winkel).

  • Wenn Merkmalselemente nicht messbar sind (z. B. Ecken).

  • Wenn Merkmale mit Hilfe von geometrischen Berechnungen ermittelt werden können (Schnittpunkte, Projektionen und/oder Mittelpunktelemente).

In jeder geometrischen Beziehung zwischen zwei Elementen wird ein drittes Element erstellt (ein Punkt, ein Kreis, eine Gerade oder eine Ebene). Das standardmäßige Ausgabeformat des berechneten Elements umfasst die am besten geeigneten Merkmale.

Hinweis: Geometrische Beziehungen sollten nicht mit geometrischen Toleranzen verwechselt werden. Geometrische Toleranzen werden zum Überprüfen der funktionalen Anforderungen eines Elements herangezogen. Funktionale Anforderungen sind Elementcharakteristika, welche die Anforderungen an Montagefähigkeit, Sicherheit, Aussehen und Leistung sicherstellen. Geometrische Beziehungen, wie sie in PC-DMIS verwendet werden, können keine funktionale Anforderungen erfüllen, da sie die Theorie des Bezugselements nicht in vollem Umfang nutzen.

Bei geometrischen Toleranzüberprüfungen werden Position, Ausrichtung, Profil, Rundlauf oder Formfehler eines (geprüften) Elements (gegebenenfalls) im Verhältnis zu einem Bezugssystem überprüft.

Es sind die folgenden Prüfmethoden verfügbar:

  • Richtungsprüfungen: Prüfung auf Fehler in der Parallelität, Rechtwinkligkeit und Neigung.

  • Positionsprüfungen: Prüfung auf Fehler in der Koaxialität, Konzentrizität und Position.

  • Profilprüfungen: Prüfung auf Fehler in der Profilform oder Profilart im Verhältnis zur aktuellen Ausrichtung.

  • Rundlaufprüfungen: Prüfung auf Fehler beim Gesamtlauf eines Kreises, Zylinders oder einer Ebene.

PC-DMIS fügt ein Merkmal der resultierenden geometrischen Toleranzüberprüfung zwischen zwei Elemente in das Bearbeitungsfenster ein.

Symbol | Beschreibung | Verfahren Schnellstart
 | Erstellt ein Legacy-Lagemerkmal. | Wählen oder messen Sie das Element. Klicken Sie auf Weiter, geben Sie die obere und untere Toleranz an und klicken Sie dann auf Fertig stellen, um das Lagemerkmal einzufügen.
 | Erstellt ein Legacy-Positionsmerkmal. | Wählen oder messen Sie das Element, klicken Sie auf Weiter, geben Sie die obere und untere Toleranz an und klicken Sie dann auf Fertig stellen, um das Positionsmerkmal einzufügen.
 | Erstellt ein Legacy-Abstandsmerkmal. | Wählen oder messen Sie das erste Element und klicken Sie auf Weiter. Wählen oder messen Sie das zweite Element. Klicken Sie auf Weiter. Bestimmen Sie die obere und untere Toleranz, geben Sie einen Nennwert ein, wählen Sie entweder "2D" oder "3D" und klicken Sie dann auf Fertig stellen, um das Abstandsmerkmal einzufügen.
 | Erstellt ein Legacy-Winkelmerkmal. | Wählen oder messen Sie das erste Element und klicken Sie auf Weiter. Wählen oder messen Sie das zweite Element. Klicken Sie auf Weiter. Bestimmen Sie die obere und untere Toleranz, geben Sie einen Nennwert ein, wählen Sie entweder "2D" oder "3D" und klicken Sie dann auf Fertig stellen, um das Winkelmerkmal einzufügen.
 | Erstellt ein Legacy-Konzentrizitätsmerkmal. | Wählen oder messen Sie das erste Kreiselement und klicken Sie auf Weiter. Wählen oder messen Sie das zweite Kreiselement. Klicken Sie auf Weiter. Geben Sie die obere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Konzentrizitätsmerkmal einzufügen.
 | Erstellt ein Legacy-Rundheitsmerkmal. | Wählen oder messen Sie das erste Kreiselement und klicken Sie auf Weiter. Wählen oder messen Sie das zweite Kreiselement. Klicken Sie auf Weiter. Geben Sie die obere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Rundheitsmerkmal einzufügen.
 | Erstellt ein Legacy-Zylindrizitätsmerkmal. | Wählen oder messen Sie einen Zylinder und klicken Sie auf Weiter. Wählen oder messen Sie das zweite Element. Klicken Sie auf Weiter. Geben Sie die obere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Zylindrizitätsmerkmal einzufügen.
 | Erstellt ein Legacy-Geradheitsmerkmal. | Wählen oder messen Sie einen Kegel, eine Gerade oder einen Zylinder. Klicken Sie auf Weiter. Geben Sie eine obere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Geradheitsmerkmal einzufügen.
 | Erstellt ein Legacy-Ebenheitsmerkmal. | Wählen oder messen Sie eine Ebene. Klicken Sie auf Weiter. Geben Sie eine obere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Ebenheitsmerkmal einzufügen.
 | Erstellt ein Legacy-Rechtwinkligkeitsmerkmal. | Wählen oder messen Sie das erste Element. Klicken Sie auf Weiter. Wählen oder messen Sie das zweite Element. Geben Sie eine obere Toleranz und einen Projektionsabstand an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Rechtwinkligkeitsmerkmal einzufügen.
 | Erstellt ein Legacy-Parallelitätsmerkmal. | Wählen oder messen Sie ein nicht-Punkt-Element. Klicken Sie auf Weiter. Wählen oder messen Sie das zweite nicht-Punkt-Element. Geben Sie eine obere Toleranz und einen Projektionsabstand an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Parallelitätsmerkmal einzufügen.
 | Erstellt ein Legacy-Gesamtlaufmerkmal. | Wählen oder messen Sie einen Kegel, einen Zylinder, eine Gerade oder eine Ebene. Klicken Sie auf Weiter. Wählen oder messen Sie einen Kegel, einen Zylinder, eine Gerade oder eine Ebene. Klicken Sie auf Weiter. Geben Sie eine obere und eine untere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Gesamtlaufmerkmal einzufügen.
 | Erstellt ein Legacy-Rundlaufmerkmal. | Wählen oder messen Sie einen Kreis, einen Zylinder, einen Kegel, eine Gerade oder eine Kugel. Klicken Sie auf Weiter. Wählen oder messen Sie einen Kreis, einen Zylinder, einen Kegel, eine Gerade oder eine Kugel. Klicken Sie auf Weiter. Geben Sie eine obere und eine untere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Rundlaufmerkmal einzufügen.
 | Erstellt ein Legacy-Flächenprofilmerkmal. | Wählen oder messen Sie ein Element. Klicken Sie auf Weiter. Geben Sie eine obere und eine untere Toleranz an. Bestimmen Sie, ob es sich bei dem Profil um den Typ "Nur Form" oder "Form und Lage" handelt. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Flächenprofilmerkmal einzufügen.
 | Erstellt ein Legacy-Linienprofilmerkmal. | Wählen oder messen Sie ein Element. Klicken Sie auf Weiter. Geben Sie eine obere und eine untere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Linienprofilmerkmal einzufügen.
 | Erstellt ein Legacy-Neigungsmerkmal. | Wählen oder messen Sie jedes nicht-Punkt- und nicht-Kugel-Element. Klicken Sie auf Weiter. Wählen oder messen Sie einen Kegel, einen Zylinder, eine Gerade oder eine Ebene. Klicken Sie auf Weiter. Geben Sie eine obere Toleranz, einen Abstand und einen Winkel an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Neigungsmerkmal einzufügen.
 | Erstellt ein Legacy-Symmetriemerkmal. | Wählen oder messen Sie eine Gerade oder bestimmen Sie das erste Element. Klicken Sie auf Weiter. Wählen Sie das zweite Element aus. Klicken Sie auf Weiter. Wählen Sie das dritte (oder Bezugs-) Element. Klicken Sie auf Weiter. Geben Sie eine obere Toleranz an. Klicken Sie auf Weiter. Klicken Sie auf Fertig stellen, um das Symmetriemerkmal einzufügen.

Siehe auch:

Merkmale für Elemente erstellen unter Verwendung der Schnittstelle "Schnellstart"


Merkmale für Elemente erstellen unter Verwendung der Schnittstelle "Schnellstart"

Die folgende Vorgehensweise bietet grundlegende Anweisungen zur Verwendung der Schnittstelle "Schnellstart", um Merkmale zu erstellen:

  1. Wählen Sie aus der Symbolleiste Schnellstart die Symbolleiste Merkmal. Menü-Übersicht anzeigen

  2. Wählen Sie das gewünschte Merkmal aus der Symbolleiste aus. Das Symbol für den ausgewählten Merkmalsvorgang erscheint im Dialogfeld Schnellstart. Anweisungen erscheinen in der Statusleiste am unteren Rand des Bildschirms.

  3. Folgen Sie den Anweisungen in der Statusleiste durch Auswahl von Elementen aus dem Bearbeituns- oder Grafikfenster (oder, falls nicht vorhanden, durch Messen dieser Elemente).

  4. Folgen Sie den Anweisungen in der Statusleiste zur Eingabe von Werten in das Dialogfeld Schnellstart.

  5. Fahren Sie fort, indem Sie auf Weiter klicken und folgen Sie den Anweisungen, bis die Schaltfläche Fertig stellen erscheint.

  6. Klicken Sie auf Fertig stellen. PC-DMIS fügt das Merkmal in das Werkstückprogramm ein.


Schnellstart: Symbolleiste "Ausrichten"

Schnellstart Symbolleiste "Ausrichten"

Schnellstart Symbolleiste "Ausrichten"

Mit der Symbolleiste Ausrichten können Sie mit Hilfe dieser Verfahren Ausrichtungen anhand bestimmter Elementtypen erstellen.

Symbol | Beschreibung | Verfahren Schnellstart
 | Ebene/Gerade/Gerade-Ausrichtung | Wählen oder messen Sie eine Ebene, an der räumlich ausgerichtet werden soll, und klicken Sie dann auf Weiter. Wählen oder messen Sie eine Gerade, in dessen Richtung gedreht werden soll, und klicken Sie dann auf Weiter. Wählen oder messen Sie eine zweite Gerade. Der Nullpunkt wird durch Übertragen des Werkstücks auf die zwei Geraden erstellt. Klicken Sie auf Fertig stellen, um die Ausrichtung einzufügen. Klicken Sie auf Fertig stellen, um die Ausrichtung einzufügen.
 | Ebene/Gerade/Kreis-Ausrichtung | Wählen oder messen Sie eine Ebene, an der räumlich ausgerichtet werden soll, und klicken Sie dann auf Weiter. Wählen oder messen Sie eine Gerade, in dessen Richtung gedreht werden soll, und klicken Sie dann auf Weiter. Wählen oder messen Sie einen Kreis. Der Mittelpunkt des Kreises, der auf die Gerade projiziert wird, befindet sich da, wo PC-DMIS den Ausrichtungsnullpunkt bestimmen wird. Klicken Sie auf Fertig stellen, um die Ausrichtung einzufügen.
 | Ebene/Kreis/Kreis-Ausrichtung | Wählen oder messen Sie eine Ebene, an der räumlich ausgerichtet werden soll, und klicken Sie dann auf Weiter. Wählen oder messen Sie das erste Kreiselement. Klicken Sie auf Weiter. Wählen oder messen Sie das zweite Kreiselement. PC-DMIS dreht die Ausrichtung zur Geraden, die aus den Mittelpunkten der beiden Kreise erstellt wurde. Zur Bestimmung des Ausrichtungsnullpunktes wird dann der Mittelpunkt des ersten Kreises verwendet. Klicken Sie auf Fertig stellen, um die Ausrichtung einzufügen.
 | Ebene/Gerade/Punkt-Ausrichtung | Wählen oder messen Sie eine Ebene, an der räumlich ausgerichtet werden soll, und klicken Sie dann auf Weiter. Wählen oder messen Sie eine Gerade, in dessen Richtung gedreht werden soll. Klicken Sie auf Weiter. Wählen oder messen Sie einen Punkt für den Ausrichtungsnullpunkt. Klicken Sie auf Fertig stellen, um die Ausrichtung einzufügen.
 | Zylinder/Gerade/Punkt-Ausrichtung | Wählen oder messen Sie einen Zylinder und klicken Sie auf Weiter. Wählen oder messen Sie eine Gerade. Klicken Sie auf Weiter. Wählen oder messen Sie einen Punkt. PC-DMIS richtet räumlich an der Fläche, auf der der Punkt angeklickt wurde, aus, dreht dann in Richtung der Gerade und setzt deren XY-Nullpunkt auf den Mittelpunkt des Zylinders. Klicken Sie auf Fertig stellen, um die Ausrichtung einzufügen.

Weitere Möglichkeiten zum Erstellen von Ausrichtungen werden unter "Erstellen und Verwenden von Ausrichtungen" beschrieben.


Schnellstart: Symbolleiste "Kalibrieren / Bearbeiten"

Schnellstart Symbolleiste "Kalibrieren / Bearbeiten"

Schnellstart Symbolleiste "Kalibrieren / Bearbeiten"

Mit dem Symbol Schnellstart Kalibrieren / Bearbeiten wird einfach das Dialogfeld Taster-Hilfsprogramme gestartet.

Dialogfeld "Taster-Hilfsprogramme"

In diesem Dialogfeld können Sie Taster erstellen und verschiedene Winkel kalibrieren. Weitere Informationen über das Verwenden dieses Dialogfeldes finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".


Symbolleiste "Fenster-Layouts"

Über die Symbolleiste Fenster-Layout können Sie das Layout von geöffneten Fenstern, Editoren und Symbolleisten speichern und diese anschließend in Ihrem aktuellen Werkstückprogramm wiederherstellen, indem Sie auf ein Symbol klicken.

Achtung: Beachten Sie bitte, dass Layouts nicht nur Positionen von Symbolleisten und Fenstern speichern, sondern auch Einstellungen und Optionen, die mit den Fenstern und Symbolleisten verknüpft sind. Wenn für ein Layout eine bestimmte Einstellung ausgewählt wurde und dieses Layout daraufhin gespeichert wird, wird diese Einstellung zusammen mit dem Layout gespeichert. Wenn diese Fenstereinstellung später deaktiviert wird, ohne das gespeicherte Layout dabei zu überschreiben, wird PC-DMIS bei der nächsten Auswahl dieses Layouts die gespeicherte Einstellung wiederherstellen.

Mit dem Symbol Verkleinern wird das Bearbeitungsfenster verkleinert.

Mit dem Symbol Vergrößern wird das Bearbeitungsfenster vergrößert.

Mit dem Symbol Speichern wird das Dialogfeld Namen für Fenster-Layout eingeben eingeblendet, in dem Sie die aktuelle Position und Größe von beliebigen geöffneten Fenstern, Editoren oder Symbolleisten unter einem bestimmten Layout-Namen speichern können:

Im Feld Name für Fenster-Layout können Sie den Namen für das Layout angeben. PC-DMIS zeigt diesen Namen als QuickInfo für das mit diesem Layout verbundene Symbol an. Wenn Sie keinen Layout-Namen angeben, verwendet PC-DMIS standardmäßig den Namen "Ruft das Fenster-Layout auf".

Klicken Sie auf OK, um das Layout zu speichern. Für dieses Layout wird ein Symbol mit der entsprechenden Layout-Konfiguration auf der Symbolleiste angezeigt.

Sie können ein vorhandenes Layout nicht mit einem neuen Layout durch Eingabe des selben Namens überschreiben. Wenn Sie ein vorhandenes Layout überschreiben möchten, müssen Sie das vorhandene Layout zunächst löschen und ihm dann den selben Namen geben.

Das Symbol zum Aufrufen des gespeicherten Layouts stellt das gespeicherte Layout wieder her. Alle Fenster, Editoren und Symbolleisten werden an ihren ursprünglichen Positionen wiederhergestellt. Wenn Sie den Cursor über ein Symbol setzen, wird der Name des gespeicherten Layouts angezeigt.

Hinweis: Wenn Sie mehrere Werkstückprogramme geöffnet und mit einem dieser Programme ein gespeichertes Layout erstellt haben, erhält das Werkstückprogramm Vorrang, in dem das Layout erstellt wurde. Das zum Erstellen des gespeicherten Layouts verwendete Werkstückprogramm wird zum aktiven Werkstückprogramm, in dem das gespeicherte Fenster-Layout angezeigt wird.

Siehe auch:

Löschen von gespeicherten Benutzer-Layouts


Löschen von gespeicherten Benutzer-Layouts

So löschen Sie ein gespeichertes Benutzer-Layout:

  1. Drücken und halten Sie die UMSCHALTtaste.

  2. Klicken Sie mit der Maustaste auf das Symbol und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.

  3. Ziehen Sie das Symbol aus der Symbolleiste heraus.

  4. Lassen Sie die Maustaste wieder los.

Das Symbol und das damit verbundene Layout werden gelöscht.


Definieren von Hardware

Definieren von Hardware: Einführung

Definieren von Tastern

Taster-Dateiname

Kontrollkästchen "Benutzerdef. Kalibrierreihenfolge"

Kontrollkästchen "DSE-Matrix verwenden"

Liste aktueller Tastspitzen

Tastspitzen-ID-Nummer

Tastspitzen-Rotation

Tastspitzentyp

X-, Y-, Z-Nennwert

I-, J-, K-Vektor

Durchmesser und Stärke

Kalibrierdatum und -zeit

Nicht-kalibrierte Tastspitze

Kalibrierreihenfolge

Tasterbeschreibung

Tasterkomponenten bearbeiten

Voransicht Ihrer Tasterkonfiguration

Messen

Anzahl der Messpunkte

Anfahr-/Rückfahrweg

Bewegungsgeschwindigkeit

Messgeschwindigkeit

Systemmodus

Bereich "Durchzuführende Tätigkeit"

Bereich "Kalibriermodus"

Bereich "DSE-Kalibrierung"

Schaftkalibrierung

Anzahl der Schaft-Messpunkte

Schaftversatz

Bereich "Parametersätze"

Auf Drehtisch montiertes Kalibriernormal

Messen

Kalibriernormal hinzufügen

Kalibriernormal-ID

Art des Kalibriernormals

Versatz X, Y, Z

Schaftvektor I, J, K

Suche beeinflussen mit I, J, K

Durchmesser / Länge

Kalibriernormal bearbeiten

Kalibriernormal löschen

Liste verfügbarer Kalibriernormale

Kalibrierkugel und Kugeltastspitze

Kalibrierkugel und Scheibentastspitze

Kalibrierkugel und abgesetzte Tastspitze

Kalibrierkugel und Trommel-/Zylindertastspitze

Kalibrierkugel und optische Tastspitze

Bearbeiten

TASTSPITZEN-ID

DMIS-Label

X-, Y- und Z-Mitte

Schaft- / Optikvektor I, J, K

Durchmesser der Kugeltastspitze

Stärke der Kugeltastspitze

TaRAbw:

Kalibrierdatum und -zeit

Spitzname

So löschen Sie eine Tastspitze aus der Liste aktueller Tastspitzen:

So löschen Sie einen DSE-Winkel:

Winkel hinzufügen

Feld "Liste neuer Winkel"

Einzelne Winkeldaten

Winkelraster

Arbeiten mit dem Winkelraster

Hinweise zu der Option "Winkel hinzufügen"

Ergebnisse

Verwendete markieren

Global Verwendete

Dateiformat

Gerätekalib.-Daten verwenden

Verfügbare Tastspitzentypen

Kugel

Scheibe

Optisch

Zylinder

Kollisionstoleranz

Definieren von Kollisionstoleranzen

Taster einrichten

Liste drucken

Beispielausdruck

Faro-Hilfsmittel für die Tasterkalibrierung

Verfügbare Dialogfeldoptionen

Faro-Kalibrierverfahren

SP600-Kalibrierangaben

Hinweise zum SP600 - Untere Matrix:

Hinweise zur SP600 - Obere Matrix (Reguläre Kalibrierung):

Scheibentaster-Kalibrierangaben und -verfahren

SP600-Kalibrierverfahren

Durchführen einer Unterschichtmatrix-Kalibrierung

Durchführen einer Oberschichtmatrix-Kalibrierung

AutoKalibrieren Taster

So lassen Sie eine einzelne Tastspitze automatisch kalibrieren

Definieren von starren Tastern

Definieren von Sterntastern

Aufbau des Sterntasters

Aufbau eines anpassbaren 5-Wege-Sterntasters

Aufbau eines vordefinierten Sterntasters

Definieren von Maschinen

Erstellen einer neuen Maschine zur Ansicht

Zusätzliche Informationen zu den Maschinenachsen

Zusätzliche Informationen zu dem Bereich "Null-Position der Maschine"

Zusätzliche Informationen für das Erstellen von Mehrarm-KMGs

Anzeige vorhandener Maschinen im Grafikfenster

Hervorbringen einer Relation zwischen KMG und Werkstück

Entfernen der animierten Maschine aus dem Grafikfenster

Den Eintrag "Keine Maschine" auswählen

Den Befehl MASCHINELADEN löschen

Löschen der Maschine

Aufspannungen einfügen

Einfügen und Entfernen von Aufspannungen

Benutzerdefinierte Aufspannungen hinzufügen

Maus- und Tastaturbefehle für den Aufspannungsmodus

Anzeige eines Animierten Tasterwechslers

So zeigen Sie den Tasterwechsler im Grafikfenster an:

So löschen Sie den Tasterwechsler aus dem Grafikfenster:


Definieren von Hardware: Einführung

In diesem Abschnitt werden alle Optionen beschrieben, mit denen Sie die Hardware definieren, die zum Messen der verschiedenen Werkstücke verwendet wird. Dazu gehören das Erstellen und Kalibrieren Ihres Tasters mit seinen Tastspitzen, die Erstellung und Verwendung eines virtuellen KMGs, die Erstellung, Positionierung und Verwendung von flexiblen Aufspannsystemen einschließlich einer neuen Aufspannungsfunktionalität, sowie die Erstellung von animierten Tasterwechslern.

Diese Punkte werden in den folgenden Themen näher erläutert:

  • Definieren von Tastern

  • Definieren von starren Tastern

  • Definieren von Sterntastern

  • Definieren von Maschinen

  • Aufspannungen einfügen

  • Anzeige eines Animierten Tasterwechslers


 Probe File list Use Wrist Map If Available checkbox User Defned Calibration Order checkbox Active Tip List Probe Description OK button Cancel button Measure Tips Edit the Active Tip Define Collision Tolerance Probe Setup Print List Delete button Previewing Your Probe Configuration Add New Angles Results Mark Used Global Used File Format Use Unit Calibration Data

Definieren von Tastern

Der erste Schritt bei der KMG-Werkstückprogrammierung besteht in der Definition der Taster, die beim Prüfungsverfahren verwendet werden sollen. PC-DMIS unterstützt eine breite Palette von Tastertypen und Kalibrierwerkzeugen. Es bietet außerdem eine einzigartige Methode zur Kalibrierung des Dreh-/Schwenkkopfes DSE von Renishaw. Klicken Sie in der Menüleiste auf Einfügen | Hardwaredefinition | Taster, um auf die Tasteroptionen zugreifen zu können. Menü-Übersicht anzeigen

Für ein neues Werkstückprogramm muss zuerst eine Tasterdatei erstellt und/oder geladen werden, bevor der Messvorgang beginnen kann. Bis zum Laden des Tasters kann im Werkstückprogramm nur wenig erzielt werden.

Tipp: Klicken Sie auf dieses Symbol aus der Symbolleiste des Assistenten [image], um den Tasterassistenten von PC-DMIS aufzurufen.

Dialogfeld "Taster-Hilfsprogramme"

Im Dialogfeld Taster-Hilfsprogramme werden Tasterdaten für die aktuelle Tastspitze angezeigt. Sie können damit neue Tasterdateien erstellen, auf zuvor definierte Dateien zugreifen und eine Tasterdatei nach Bedarf bearbeiten. Mit dieser Option können Sie auch Taster kalibrieren.

Siehe auch:

Taster-Dateiname

Kontrollkästchen "Benutzerdef. Reihenfolge"

Kontrollkästchen "DSE-Matrix verwenden"

Liste aktueller Tastspitzen

Tasterbeschreibung

Messen

Kalibriernormal hinzufügen

Kalibriernormal bearbeiten

Kalibriernormal löschen

Liste verfügbarer Kalibriernormale

Bearbeiten

Winkel hinzufügen

Ergebnisse

Verwendete markieren

Global Verwendete

Dateiformat

Gerätekalib.-Daten verwenden

Verfügbare Tastspitzentypen

Kollisionstoleranz

Taster einrichten

Liste drucken

Faro-Hilfsmittel für die Tasterkalibrierung

SP600-Kalibrierangaben

SP600-Kalibrierverfahren

AutoKalibrieren Taster


Tasterdatei-Name

Die Auswahlliste Tasterdatei zeigt die aktuelle Tasterdatei an. Tasterdateien werden im Installationsverzeichnis von PC-DMIS gespeichert. Das Standardverzeichnis ist der Dateiname und das Verzeichnis, in dem Sie PC-DMIS installiert haben (in der Regel "PCDMISW" im lokalen "C:\"-Laufwerk). Wenn PC-DMIS nach einer zu ladenden Tasterdatei sucht, sucht es in diesem Verzeichnis, es sei denn, Sie haben den Suchpfad gewechselt. Weitere Informationen finden Sie unter "Angeben externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen".

So erstellen Sie eine neue Tasterdatei:

  1. Markieren Sie den aktuellen Namen in der Auswahlliste Tasterdatei.

  2. Geben Sie einen neuen Namen ein (derzeit maximal 8 Zeichen).

Wurde eine Tasterdatei bereits unter dem eingegebenen Namen gespeichert, lädt PC-DMIS die zuvor gespeicherte Datei in das aktuelle Werkstückprogramm.


Kontrollkästchen "Benutzerdef. Reihenfolge"

Mit dem Kontrollkästchen Benutzerdef. Reihenfolge können Sie festlegen, in welcher Reihenfolge PC-DMIS die gewählten Tastspitzen messen soll.

Das aktivierte Kontrollkästchen bewirkt, dass PC-DMIS die Tastspitzen in der vom Benutzer in der Liste Aktuelle Tastspitzen definierten Kalibrierreihenfolge misst. (Siehe "Liste "Aktuelle Tastspitzen"") Wurden keine Tastspitzen ausgewählt, verwendet PC-DMIS die I, J, K-Vektoren, die in den Feldern Suche beeinflussen mit I, J, K im Dialogfeld Kalibriernormal bearbeiten oder Kalibriernormal hinzufügen definiert sind, um die Messreihenfolge für alle Tastspitzen zu bestimmen, die am effizientesten ist.

Das deaktivierte Kontrollkästchen bewirkt, dass PC-DMIS die Tastspitzen in der Reihenfolge misst, die das Programm für die effizienteste hält. In diesem Fall ignoriert PC-DMIS die für die ausgewählten Tastspitzen vorgegebene Reihenfolge in der Liste Aktueller Tastspitzen. PC-DMIS verwendet außerdem den Kalibriernormalvektor zur Bestimmung der Messreihenfolge, die am effizientesten ist.


Kontrollkästchen "DSE-Matrix verwenden"

Über das Kontrollkästchen DSE-Matrix verwenden wird festgelegt, ob PC-DMIS eine DSE-Matrix-Datei (auch bekannt unter "Fehlermatrix"-Datei) während der Kalibrierung der AB-Tastspitzenwinkel bei Tasterkonfigurationen, die eine einrastbare DSE verwenden, benutzen soll. Wenn Sie dieses Kontrollkästchen markieren, wird PC-DMIS die DSE-Matrixdatei (mit dem Namen abcomp.dat) auf Ihrem Rechner suchen. Wenn diese gefunden wurde, werden die Fehlerdaten des Dreh-/Schwenkkopfs während der Kalibrierung der AB-Tastspitzenwinkel kompensiert.

Informationen zum Erstellen der DSE-Matrixdatei finden Sie unter "Berechnen der Fehlermatrix" im Abschnitt "Arbeiten mit einem DSE-Gerät".


Liste aktueller Tastspitzen

Liste aktueller Tastspitzen

Mit PC-DMIS können Sie beschreibende Daten für zahlreiche Tastspitzen speichern. Es können bis zu 32767 Tastspitzen gespeichert werden. Diese Anzahl ist eventuell durch den auf Ihrem System verfügbaren Speicherplatz begrenzt.

So ändern Sie Tastspitzendaten:

  1. Heben Sie in der Liste Aktuelle Tastspitzen die gewünschte aktuelle Tastspitze hervor.

  2. Klicken Sie auf die Schaltfläche Bearbeiten.

Es erscheint das Dialogfeld Bearbeiten, in dem Sie die angezeigten Werte ändern können.

Hinweis: Nicht-kalibrierte Tastspitzen sind in der Liste Aktuelle Tastspitzen durch ein Sternchen vor ihrer Tastspitzen-ID-Nummer gekennzeichnet.

PC-DMIS beschreibt einen Taster anhand der folgenden Kriterien:

Beschreibung der Tastspitzenliste

Siehe auch:

Tastspitzen-ID-Nummer

Tastspitzen-Rotation

Tastspitzentyp

X-, Y-, Z-Nennwert

I-, J-, K-Vektor

Durchmesser und Stärke

Kalibrierdatum und -zeit

Nicht-kalibrierte Tastspitze

Kalibrierreihenfolge


Tastspitzen-ID-Nummer

Hierbei handelt es sich um eine feste Nummer, die PC-DMIS einer Tastspitze beim Laden in den Speicher zuweist.


Tastspitzen-Rotation

In diesem Feld wird die Rotation der Tastspitze in vertikaler (A) und horizontaler (B) Richtung angezeigt.


Tastspitzentyp

In diesem Feld wird die Art des Tasters (KUGEL, SCHEIBE, ZULAUFEND, ZYLINDER, OPTISCH) angezeigt.


X-, Y-, Z-Nennwert

Diese Werte beschreiben die Position der Tastspitze. Diese Position steht in Bezug zur Unterseite des Z-Arms.


I-, J-, K-Vektor

Diese Wete beschreiben die Richtung der Tastspitze. Dieser Vektor verläuft von der mitte der Tastspitze zum Z-Arm.


Durchmesser und Stärke

Diese Werte beschreiben den Durchmesser der Tastspitze und die Stärke der ZYLINDER- und SCHEIBENTASTER. PC-DMIS definiert diese Werte beim Laden des Tasters. (Hinweise zum Ändern eines Feldes finden Sie unter "Kalibriernormal bearbeiten").


Kalibrierdatum und -zeit

Diese Werte geben mit Datum und Uhrzeit an, wann eine Tasterspitze zuletzt kalibriert wurde. Wird eine neue Tastspitze ohne vorherige Kalibrierung erstellt, zeigt PC-DMIS für Datum und Uhrzeit den Wert NEU an. Wird eine alte Tastspitze geladen und die Angaben zu Datum und Uhrzeit sind nicht verfügbar, zeigt PC-DMIS für die Werte "UNBEKANNT" an. Die Werte für Datum und Uhrzeit werden nur bei tatsächlich kalibrierten Tastspitzen aktualisiert.

Es kann jeweils nur eine Tastspitze bearbeitet werden.


Nicht-kalibrierte Tastspitze

Alle unkalibrierten Tastspitzen sind durch ein Sternchen (*) gekennzeichnet.

Die im Bearbeitungsfenster für eine Beispiel-Tastspitze angezeigte Befehlszeile lautet:
TASTSPITZE/T1A0B0, SCHAFTIJK=0, 0, 1, WINKEL=0

Durch ein Sternchen (*) gekennzeichnete nicht-kalibrierte Tastspitzen


Kalibrierreihenfolge

Die Kalibrierreihenfolge richtet sich nach der Reihenfolge, in der die Tastspitzen im Listenfeld ausgewählt wurden.

So legen Sie die Kalibrierreihenfolge fest:

  1. Wählen Sie im Dialogfeld Taster kalibrieren die Option Benutzerdefiniert (siehe auch "Messen").

  2. Drücken und halten Sie die STRG-Taste.

  3. Markieren Sie mit der linken Maustaste die für die Kalibrierung gewünschten Tastspitzen in der Liste Aktuelle Tastspitzen . Beim Markieren der einzelnen Tastspitzen-IDs erscheint daneben eine Zahl zur Indizierung der Messreihenfolge der Tastspitzen.

Werden keine Tastspitzen markiert, wird der Benutzer gefragt, ob alle Tastspitzen kalibriert werden sollen.


Tasterbeschreibung

Bereich "Tasterbeschreibung"

Im Bereich Tasterbeschreibung (der aus der Auswahlliste und dem nachfolgenden Feld besteht) können Sie festlegen, welcher Taster und welche Tasterverlängerungen und Tastspitze(n) im Werkstückprogramm verwendet werden sollen. Die Dropdown-Liste Tasterbeschreibung zeigt die verfügbaren Tasteroptionen in alphabetischer Reihenfolge an.

So definieren Sie einen Taster, (eine) Verlängerung(en) und (eine) Tastspitze(n):

  1. Markieren Sie den Text "Kein Taster definiert:".

  2. Öffnen Sie die Auswahlliste Tasterbeschreibung.

  3. Wählen Sie den gewünschten Tastkopf aus.

  4. Drücken Sie nach Auswahl des Tastkopfes die EINGABETASTE. Tasteroptionen zu diesen aktuell hervorgehobenen Anweisungen stehen jetzt zur Auswahl bereit.

Hinweis: Normalerweise begründet sich die Tastkopfausrichtung auf der Ausrichtung der ersten Komponente in einer Tasterdatei, wobei es sich im Allgemeinen um den Tastkopf handelt. Wenn Sie jedoch einen Multi-Verbindungsadapter (wie den Fünf-Wege-Adapter) als erste Komponente auswählen, werden mehrere mögliche Verbindungen verfügbar. In diesen Fällen begründet sich die Tastkopfausrichtung auf den Multi-Verbindungsadapter des Tasters. Der Tastkopf wird möglicherweise nicht richtig mit der Maschinenachse ausgerichtet und Sie müssen den Rotationswinkel mit Hilfe der Liste Tasterbeschreibung im Dialogfeld Taster-Hilfsprogramme an die Verbindung anpassen. Sehen Sie dazu “Tasterkomponenten bearbeiten”.

Einen Tastkopf wählen

Der gewählte Tastkopf erscheint daraufhin im unteren Feld Tasterbeschreibung sowie rechts im grafischen Anzeigefeld.

  1. Wählen Sie Leere Verbindung Nr. 1 im Bereich Tasterbeschreibung.

  2. Klicken Sie auf die Auswahlliste.

  3. Markieren Sie das nächste am Tastkopf anzubringende Element (entweder eine Verlängerung oder eine Tastspitze). Tastspitzen werden zuerst nach Größe und dann nach Gewindegröße angezeigt.

Eine Tastspitze wählen

Wird beispielsweise eine 5-Weg-Verlängerung hinzugefügt, so bietet PC-DMIS 5 leere Anschlüsse. Sie können beliebige bzw. alle benötigten Anschlüsse mit der(n) entsprechenden Tastspitze(n) füllen. PC-DMIS misst die niedrigste Spitze (die niedrigste in Bezug auf die Z-Achse) in der Verlängerung stets zuerst.

5-Weg-Verlängerung

Ist im Feld Tasterbeschreibung eine Zeile ausgewählt, die bereits einen Eintrag enthält, werden Sie gefragt, ob der neue Eintrag vor dem ausgewählten Eintrag eingefügt werden oder diesen ersetzen soll.

"Auf Ja klicken, um vorher einzufügen, oder auf Nein, um zu ersetzen."

· Wenn Sie als Antwort auf Ja klicken, kann eine zusätzliche Zeile erstellt werden, indem die neue Tastspitze vor dem ursprünglichen Element eingefügt wird.

· Wenn Sie als Antwort auf Nein klicken, löscht PC-DMIS das ursprüngliche Element und ersetzt es durch das hervorgehobene Element.

Hinweis: Das markierte Element wird im Feld Tasterbeschreibung in die hervorgehobene Zeile eingefügt. PC-DMIS zeigt ein Meldungsfeld an, in dem Sie das markierte Element vor der markierten Zeile einfügen oder das hervorgehobene Element ggf. ersetzen können.

Siehe auch:

Tasterkomponenten bearbeiten

Voransicht Ihrer Tasterkonfiguration


Tasterkomponenten bearbeiten

Wenn Sie auf eine Zeile im Bereich Tasterbeschreibung doppelklicken, wird das Dialogfeld Tasterkomponente bearbeiten aufgerufen.

Dialogfeld "Tasterkomponente bearbeiten"

Mit dieser Option können Sie bestimmte Teile der Tastergrafik aus der Anzeige entfernen. In Fällen einer extrem dicht erscheinenden Werkstückgeometrie können Sie durch Auswahl dieser Option vorübergehend einige Grafiken entfernen und dadurch eine bessere Ansicht der Elemente erhalten.

So entfernen Sie Tastergrafiken:

  1. Doppelklicken Sie (im Feld Tasterbeschreibung) auf die Beschreibung des jeweiligen Elements, das aus der Ansicht entfernt werden soll. PC-DMIS zeigt das Dialobfeld Tasterkomponente bearbeiten an.

  2. Deaktivieren Sie das Kontrollkästchen Diese Komponente zeichnen.

  3. Klicken Sie auf OK. Das Dialogfeld Tasterkomponente bearbeiten wird geschlossen. Beachten Sie, dass die Tastergrafik ohne die angegebene Komponente und alle anderen darüberliegenden Komponenten im Dialogfeld Taster-Hilfsprogramme neu gezeichnet wird.

Mit dieser Option können Sie auch den Rotationswinkel des Tasters ändern. Um die Standardeinstellung "0" zu ändern, geben Sie einfach den gewünschten Winkel (einen beliebigen Winkel zwischen +180° und -180°) in das Feld Standard-Rotationswinkel an Verbindungsstelle ein.


Voransicht Ihrer Tasterkonfiguration

Grafikansicht eines Tasters und der Schieberegler

Mit der Grafikansicht des Dialogfelds Taster-Hilfsprogramme können Sie die folgenden Elemente als grafische Voransicht anzeigen lassen:

  • Die einzelnen Tasterkomponenten.

  • Die verschiedenen AB-Winkelpositionen in der Liste Aktuelle Tastspitzen.

  • Eine vollständige 3D-Rotation des Tasters.

Anzeigen von Komponenten: Wenn eine Komponente einer Tasterkonfiguration einmal als ein Teil des Tasters ausgewählt wurde, wird diese automatisch in der Grafikansicht des Dialogfelds Taster-Hilfsprogramme angezeigt.

Anzeigen von AB-Winkelpositionen: Wählen Sie in der Liste Aktuelle Tastspitzen eine AB-Winkelposition aus. Die grafische Anzeige des Tasters wird dynamisch an die aktuelle Tasterkonfiguration angepasst, so dass Sie sehen können, wie sich der gewählte AB-Winkel auswirken würde.

Rotation des Tasters in 3D: Verschieben Sie die Schieberegler unterhalb und links von der grafischen Anzeige, um die Tasteransicht zu drehen. Der untere Schieberegler dreht den Taster horizontal. Der linke Schieberegler dreht den Taster vertikal.

Horizontaler Schieberegler – Dreht die Ansicht horizontal.

Vertikaler Schieberegler – Dreht die Ansicht vertikal.


 Number of Hits Prehit / Retract Move Speed Touch Speed Type of Operation Area Calibration Mode area Wrist Calibration area Shank Qualification Number of Shank Hits Shank Offset Parameter Sets area Tool Mounted on Rotary Table List of Available Tools Add Tool System Mode Delete Tool Edit Tool

Messen

Mit dem Befehl Messen wird (werden) der (die) hervorgehobene(n) Taster kalibriert. Dieser Vorgang teilt PC-DMIS einfach die Position und den Durchmesser der Tastspitze mit.

So beginnen Sie den Messvorgang:

  1. Vergewissern Sie sich im Dialogfeld Taster-Hilfsprogramme, dass die Liste Aktuelle Tastspitzen zufriedenstellend ist.

  2. Heben Sie die entsprechende(n) Tastspitze(n) hervor.

  3. Klicken Sie auf die Schaltfläche Messen.

Hinweis: Wenn der Benutzer über einen Tasterwechsler verfügt und es sich bei der derzeit aktiven Tasterdatei nicht um die Tasterkonfiguration im Tastkopf handelt, wechselt PC-DMIS automatisch von der aktuell geladenen Tasterkonfiguration zur erforderlichen Tasterkonfiguration.

Das Dialogfeld Taster kalibrieren wird angezeigt. Bei der Verwendung eines Faro-Arms wird stattdessen das Dialogfeld Tasterkalibrierungs-Extras angezeigt (siehe auch "Faro-Tasterkalibrierungs-Extras").

Taster kalibrieren (Dialogfeld)

Hinweis: PC-DMIS protokolliert die Kalibrierung der Taster nicht. Sie müssen daher sicherstellen, dass ein Taster neu kalibriert wird, falls er in irgendeiner Weise geändert wurde.

Vor der Kalibrierung einer Tastspitze muss mindestens eine Tastspitze geladen werden.

Eine einzige Tastspitze kann kalibriert werden. Ist mehr als eine Tastspitze in der Liste Aktuelle Tastspitzen hervorgehoben, gibt PC-DMIS eine Meldung mit der Frage aus, ob die Kalibrierung aller hervorgehobenen Tastspitzen akzeptabel ist.

· Lautet die Antwort Ja, wird eine Meldung mit der Frage angezeigt, ob der Kalibriertaster bewegt wurde. Lautet die Antwort auf diese zweite Frage Ja, wird das Dialogfeld Ausführungsoptionen angezeigt. Sie müssen dann 1 Messpunkt im manuellen Modus aufnehmen, bevor Sie den Kalibriervorgang fortsetzen können. Versuchen Sie, diesen Messpunkt vertikal zu der Tastspitze aufzunehmen. Lautet die Antwort auf diese zweite Frage Nein, wird das Dialogfeld Ausführungsoptionen ebenfalls angezeigt. Das System befindet sich jedoch im CNC- (Computer Numerical Control-) Steuerungsmodus, und PC-DMIS erfordert nicht, dass vor Beginn des Kalibrierungsvorgangs Messpunkte aufgenommen werden.

· Lautet die Antwort Nein, kehren Sie zum Dialogfeld Taster zurück, und es erfolgt keine weitere Aktion.

Im Dialogfeld Taster kalibrieren werden die Standardeinstellungen angezeigt. Der Standardwert für die Anzahl von Messpunkten ist 5.

Klicken Sie zur Annahme der Standards auf die Schaltfläche Messen. Andernfalls geben Sie den (die) gewünschten Wert(e) ein.

Bei manueller Aufnahme eines Messpunkts erwartet PC-DMIS von Ihnen die Messung eines Kalibriertasters. Diese Messergebnisse dienen zur Bestimmung der Tastspitzenversätze. Die Ergebnisse werden im Feld X, Y, Z der Liste Aktuelle Tastspitzen im Dialogfeld Taster Hilfsprogramme angezeigt.

Bei Verwendung einer Kalibrierkugel aktualisiert PC-DMIS im Rahmen der Kalibrierung auch den Tastspitzendurchmesser.

Bevor der Kalibriervorgang beginnen kann, muss ein Kalibrierelement definiert werden. Die Art der am Taster vorgenommenen Messung(en) hängt vom Tastertyp (KUGEL, WÜRFEL) und vom Tastspitzentyp (KUGEL, SCHEIBE, ZULAUFEND, ZYLINDER, OPTISCH) ab.

Siehe auch:

Anzahl der Messpunkte

Anfahr-/Rückfahrweg

Bewegungsgeschwindigkeit

Messgeschwindigkeit

Systemmodus

Bereich "Durchzuführende Tätigkeit"

Bereich "Kalibriermodus"

Bereich "DSE-Kalibrierung"

Schaftkalibrierung

Anzahl der Schaft-Messpunkte

Schaftversatz

Bereich "Parametersätze"

Auf Drehtisch montiertes Kalibriernormal

Messen


Anzahl der Messpunkte

PC-DMIS verwendet die Anzahl der angegebenen Messpunkte zur Messung des Tasters auf Basis des Kalibriermodus. Die Standardanzahl an Messpunkten beträgt 5.

So ändern Sie diesen Wert:

  1. Markieren Sie den Wert im Feld Anzahl der Messpunkte.

  2. Geben Sie einen neuen Wert ein.


Anfahr-/Rückfahrweg

Im Feld Anfahr- / Rückfahrweg können Sie den Vorhalte- bzw. Anfahrweg und den Rückzug nach Messpunktaufnehmen für die Kalibrierung des Tasters festlegen.

So ändern Sie den Abstand für den Anfahr- / Rückfahrweg:

  1. Wählen Sie die Zahl mit der Maus aus.

  2. Geben Sie einen neuen Abstandswert ein.


Bewegungsgeschwindigkeit

Im Feld Bewegungsgeschwindigkeit können Sie die Bewegungsgeschwindigkeit für die DSE-Kalibrierung angeben.

So ändern Sie den Wert für die Bewegungsgeschwindigkeit:

  1. Wählen Sie das Feld Bewegungsgeschwindigkeit.

  2. Geben Sie einen neuen Wert für die Bewegungsgeschwindigkeit ein. Bei diesem Wert sollte es sich um einen Prozentsatz zwischen 1,0 und 100,0 handeln, wobei 1,0 die langsamste und 100,0 die schnellste Geschwindigkeit ist.

Weitere Verfahren zur Beeinflussung der Geschwindigkeit beim Messvorgang finden Sie unter "Bewegungsgeschwindigkeit % im Abschnitt "Voreinstellungen".

Hinweis: Die Zahl im Feld Messgeschwindigkeit kann nicht mehr als vier Dezimalstellen enthalten. Wird eine Zahl mit mehr als vier Dezimalstellen eingegeben, rundet PC-DMIS die Zahl nach der vierten Dezimalstelle ab.


Messgeschwindigkeit

Im Feld Messgeschwindigkeit können Sie die Messgeschwindigkeit für die PHx-Kalibrierung angeben.

So ändern Sie die Messgeschwindigkeit:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein. Bei diesem Wert sollte es sich um einen Prozentsatz zwischen 1 und 100 handeln, wobei 1,0 die langsamste und 100,0 die schnellste Geschwindigkeit ist.

Weitere Informationen finden Sie unter "Messgeschwindigkeit %" im Abschnitt "Voreinstellungen".

Hinweis: Die Zahl im Feld Messgeschwindigkeit kann nicht mehr als vier Dezimalstellen enthalten. Wird eine Zahl mit mehr als vier Dezimalstellen eingegeben, rundet PC-DMIS die Zahl nach der vierten Dezimalstelle ab.


Systemmodus

Für das Kalibrieren von Tastern werden die folgenden Systemmodi verwendet:

  • Im Modus Manuell müssen Sie alle Messpunkte manuell aufzeichnen, selbst wenn das KMG über CNC-Funktionalität verfügt.

  • Der CNC-Modus wird mit CNC-KMGs verwendet und nimmt automatisch alle Messpunkte auf, außer, das Kalibriernormal wurde verschoben. In diesem Fall müssen Sie den ersten Messpunkt manuell aufnehmen.

  • Der Modus Man.+CNC ist eine Zusammenfassung des manuellen und des CNC-Modus. Mit diesem Modus können Sie komplizierte Tasterkonfigurationen kalibrieren, die schwierig als Modell darzustellen sind. In den meisten Fällen weist der ManCNC-Modus ein ähnliches Verhalten wie der CNC-Modus auf, mit den folgenden Unterschieden:

q Sie müssen den ersten Messpunkt für jede Tastspitze stets manuell aufzeichnen, selbst wenn das Kalibriernormal nicht verschoben wurde. Alle übrigen Messpunkte für diese Tastspitze werden anschließend automatisch im CNC-Modus aufgezeichnet.

q Für die einzelnen Tastspitzen werden vor der Messung keine Sicherheitsbewegungen durchgeführt, da die ersten Messpunkte alle manuell aufgezeichnet werden.

q Nachdem PC-DMIS die Kalibrierkugelmessung für eine bestimmte Tastspitze abgeschlossen hat, werden die abschließenden Rückfahrbewegungen in Abhängigkeit des verwendeten Wrists durchgeführt oder nicht.

Bei einer beweglichen DSE wie PH9, PH10, PHS usw. führt PC-DMIS die abschließenden Rückfahrbewegungen wie im normalen CNC-Modus durch. Der Vorgang wird ohne Benutzereingaben fortgesetzt. Der Taster wird unter Einhaltung des Sicherheitsabstands an die AB-Winkel des nächsten Messpunktes verschoben, anschließend wird die nächste AB-Bewegung durchgeführt.

Bei einer feststehenden DSE führt PC-DMIS keine abschließenden Rückfahrbewegungen durch. Statt dessen werden Sie von PC-DMIS aufgefordert, mit dem nächsten manuellen Messpunkt für die nächste Tastspitze fortzufahren.

  • Der CNC+CNC-Modus weist ein ähnliches Verhalten auf wie der Man.+CNC-Modus, mit der Ausnahme, dass PC-DMIS, statt auf die manuelle Aufnahme des Messpunktes für jede Tastspitze zu warten, CNC-Messpunktproben nimmt, um die Kugel zu bestimmen. Dieser Modus könnte Ihnen nützen, wenn Sie einen vollautomatisierten Kalibiervorgang wünschen. Beachten Sie jedoch bitte, dass der Man.+CNC-Modus genauere Ergebnisse liefern könnte.

Um den Systemmodus zu ändern, klicken Sie entweder auf Manuell, CNC, Man.+CNC oder CNC+CNC.


Bereich "Durchzuführende Tätigkeit"

Im Bereich Durchzuführende Tätigkeit können Sie den Vorgang auswählen, der beim Klicken auf die Schaltfläche Messen im Dialogfeld Taster kalibrieren durchgeführt wird. Die folgenden Optionen stehen zur Auswahl:

Tastspitzen kalibrieren:

Diese Option dient zur Durchführung einer Standard-Kalibrierung aller markierten Tastspitzen.

Tastkopf kalibrieren:

Mit der Option Tastkopf kalibrieren erstellen Sie Fehlermatrizen sowohl für stufenlose DSE-Geräte als auch für einrastbare DSE-Geräte. Weitere Informationen über einrastbare DSE-Geräte finden Sie unter den folgenden Themen. Weitere Informationen über stufenlose DSE-Geräte finden Sie unter Tastkopf kalibrieren für stufenlos verstellbare DSE-Geräte im Abschnitt Arbeiten mit einem DSE-Gerät .

Tastkopf kalibrieren (für einrastbare DSE-Geräte)

Diese Option dient zur Erstellung einer Fehlermatrix für einen Tastkopf oder eines DSE-Geräts. Dieser Abschnitt beschreibt die Erstellung von Fehlermatrizen für einrastbare Tastköpfe wie der DSE, PH10 (motorisch) oder dem Zeiss RDS. In den Tastkopf wird eine Taster-Spezialkonfiguration, bestehend aus drei Tastern mit dem gleichen Durchmesser, platziert. Mit der Spezialkonfiguration können eine beliebige Anzahl von Tastspitzenausrichtungen (am besten alle möglichen Ausrichtungen) gemessen werden. Im Allgemeinen sollte der Taster in einer "T"-Konfiguration ausgerichtet werden, die mindestens 20mm lang bzw. hoch und 40mm breit ist (wie ein Sterntaster mit einer Tastspitze von 20mm ab der Mitte). Je weiter die Taster voneinander entfernt sind, desto genauer wird die Fehlermatrix sein.

Nachdem Sie alle möglichen Ausrichtungen mit Hilfe der Spezialkonfiguration gemessen haben, werden Sie in der Lage sein, die Tasterkonfigurationen zu ändern, ohne dass eine Kalibrierung der gesamten Tastspitzenliste notwendig ist. Jede der in der Ursprungsmatrix gemessenen Ausrichtungen wird nun automatisch in der neuen Konfiguration kalibriert. PC-DMIS bietet vollständige Unterstützung zur Kalibrierung und Verwendung aller Renishaw- und DEA-Tastköpfe sowie des Zeiss RDS-Kopfes.

Hinweis: Die hier beschriebene Option gilt ausschließlich für Tastköpfe, die wiederholbare indizierte Positionen durchführen können, wie der PH10 (motorisch). Für diese Kalibrierung ist ein sternförmiger Taster mit drei Tastspitzen erforderlich. Nachdem diese Kalibrierung durchgeführt wurde, können nur die bei der Gerät-Kalibrierung aufgezeichneten indizierten Positionen in weiteren Tasterdateien verwendet werden, ohne dass eine vollständige Kalibrierung durchgeführt werden muss. Die Option Tastkopf kalibrieren ist nicht verfügbar, wenn ein analoger Taster verwendet wird, unabhängig davon, ob der Tastkopf einrastbar oder stufenlos verstellbar ist. Der Grund hierfür ist, dass bei einem analogen Taster jede einzelne Position kalibriert sein muss, um die erforderlichen Abweichungskoeffizienten zu erhalten.

Weitere Hinweise zur Kalibrierung von DSE-Geräten finden Sie unter "Arbeiten mit einem DSE-Gerät".

Tastkopf kalibrieren (für einrastbare DSE-Geräte):

  1. Erstellen Sie die Tasterkonfiguration des Geräts wie in der nachstehenden Grafik veranschaulicht:

    Die exakten Größen der Komponenten können verschieden sein, die Form muss jedoch gleich bleiben. Die gewählten Komponenten sollten außerdem so leicht wie möglich sein. Schwerkraft kann bei den Messungen Fehler verursachen.

  2. Klicken Sie im Dialogfeld Taster-Hilfsprogramme auf die Schaltfläche Winkel hinzufügen und fügen Sie so viele verschiedene Ausrichtungen wie erforderlich hinzu. Eine komplette Matrix des Tastkopfes würde bedeuten, dass jede mögliche Ausrichtung gemessen werden müsste.

  3. Klicken Sie im Dialogfeld Taster-Hilfsprogramme auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  4. Geben Sie die gewünschten Standardwerte ein.

  5. Wählen Sie die durchzuführende Tätigkeit unter Tastkopf kalibrieren.

  6. Klicken Sie im geöffneten Dialogfeld Taster kalibrieren auf die Schaltfläche Messen. PC-DMIS misst dann jede der drei Tastspitzen in jeder gewählten Ausrichtung. PC-DMIS verwendet diese Daten, um den Versatz, die Steigung und das Gieren jeder einzelnen Ausrichtung zu protokollieren.

  7. Platzieren Sie als Nächstes die bei der Messung zu verwendende Tasterkonfiguration auf den Tastkopf.

  8. Wählen Sie mindestens vier der protokollierten Ausrichtungen.

  9. Markieren Sie das Kontrollkästchen Gerätekalib.-Daten verwenden im Dialogfeld Taster-Hilfsprogramme.

  10. Kalibrieren Sie nun diesen Taster in den gewählten Ausrichtungen. Vorgehensweise:

  • Klicken Sie im Dialogfeld Taster kalibrieren auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  • Wählen Sie die durchzuführende Tätigkeit unter Tastspitzen kalibrieren.

  • Klicken Sie im Dialogfeld Taster kalibrieren auf die Schaltfläche Messen. PC-DMIS berechnet dann den eigentlichen Längenversatz für diese Tasterkonfiguration und PC-DMIS erzeugt automatisch Tastspitzen für jede der Ausrichtungen, für die eine Fehlermatrix erstellt worden ist.

Kalibrierungsüberprüfung:

Hiermit werden die benutzerdefinierten Tastspitzenausrichtungen neu gemessen und ein Vergleich mit den vorherigen Messdaten dieser Tastspitzenausrichtungen wird durchgeführt. Der Benutzer kann anhand dieses Vergleichs bestimmen, ob eine komplette Kalibrierung erforderlich ist.

Nullpunktfahrt Tastkopf:

Hierdurch wird eine teilweise Erstellung von Fehlermatrizes für ausgewählte, zuvor kalibrierte Tastspitzenwinkel vorgenommen, um die richtige Ausrichtung von A=0 und B=0 innerhalb der DSE-Fehlermatrix zu bestimmen. PC-DMIS setzt die Option Nullpunktfahrt Tastkopf zur Auswahl ein, wenn der Eintrag im Einstellungs-Editor von PC-DMIS RenishawWrist gleich 1 ist. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Hinweis: Bei der Anschlusssperre muss die DSE-Option eingeschaltet sein, damit PC-DMIS die DSE-Unterstützung aktivieren kann.

NC-100-Artefakt kalibrieren:

Mit dieser Option wird ein NC-100-Kalibriernormal kalibriert. Sie können diese Option nur aktivieren, wenn Sie zuvor die NC-100-Option erworben haben. Ist diese Option auf der Anschlusssperre verfügbar, wird die Registerkarte NC-100 im Dialogfeld Setup-Optionen verfügbar.

Das NC-100 muss anschließend ordnungsgemäß eingerichtet werden, um die Option NC-100-Artefakt kalilbrieren zur Auswahl verfügbar zu machen.


Calibration Mode area

Kalibriermodus

Im Bereich Kalibriermodus können Sie zwischen den Optionen Standard und Benutzerdefiniert wechseln wie folgt:

Standard

Wenn die Option Standard aktiviert ist, wird PC-DMIS die Anzahl der angegebenen Messpunkte in entweder 10 oder 15 Grad Entfernung vom Äquator der Kalibrierkugel aufnehmen plus einen zusätzlichen Messpunkt lotrecht zu dem Taster, in 90 Grad Abstand vom Äquator.

Beispiel einer Kalibrierkugel

Dadurch, dass die Messpunkte in entweder 10 oder 15 Grad Entfernung aufgenommen werden, wird verhindert, dass der Schaft des Tasters die Kalibrierkugel trifft. Dies könnte geschehen, wenn der Schaftdurchmesser fast so groß wie der Durchmesser der Tastspitze ist.

Wenn der Durchmesser der Tastspitze kleiner als 1mm ist, nimmt PC-DMIS die Messpunkte um die Kugel in einem Abstand von 15 Grad auf.

Wenn der Durchmesser der Tastspitze größer als 1mm ist, nimmt PC-DMIS die Messpunkte um die Kugel in einem Abstand von 15 Grad auf.

Benutzerdefinierter Modus

Wenn die Option Benutzerdefiniert markiert ist, ermöglicht PC-DMIS den Zugriff auf die Ebenen und Winkel-Felder. PC-DMIS misst den Taster auf Basis der Anzahl von eingegebenen Ebenen sowie des jeweils ausgewählten Start- und Endwinkels. Die Position der Ebene basiert auf den festgelegten Winkeln. 0° befindet sich am Äquator des Tasters. 90° ist lotrecht zum Taster. Wenn die Messung lotrecht zum Taster erfolgt, wird nur 1 Messpunkt aufgenommen.

Anzahl der Ebenen

Im Feld Anzahl der Ebenen wird die Anzahl der beim Kalibriervorgang verwendeten Ebenen festgelegt. PC-DMIS dividiert die Anzahl der Messpunkte durch die Anzahl der Ebenen und bestimmt so, wie viele Messpunkte auf jeder Ebene aufgenommen werden sollen.

Start- und Endwinkel

Über die Felder Startwinkel und Endwinkel wird die Lage der ersten und letzten Ebene bestimmt. Alle zusätzlichen Ebenen werden gleichmäßig zwischen diesen beiden Ebenen positioniert.

  • Ein Startwinkel von 0° befindet sich am Äquator der Kugel (relativ zum Taster).

  • Ein Endwinkel von 90° befindet sich oben auf der Kugel, lotrecht zum Taster.

Start- und Endwinkel


Bereich "Parameter für DSE-Kalibrierung"

In diesem Bereich können Sie für die einrastbare DSE-Kalibrierung DSE-Positionen in einem Muster von bis zu neun Kalibrierkugelmessungen angeben.

Der Bereich DSE-Kalibrierung wird zur Auswahl verfügbar, wenn folgende Bedingungen erfüllt sind:

  • Richten Sie im Dialogfeld Taster-Hilfsprogramme einen endlos indizierbaren Dreh-/Schwenkkopf (Wrist) wie beispielsweise den PHS von Renishaw oder den CW43L von Brown and Sharpe ein. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

  • Setzen Sie die entsprechenden DSE-Einträge (DEAWrist oder RENISHAWWrist) im Optionsteil des PC-DMIS-Einstellungseditors auf "1". Weitere Informationen finden Sie unter "Ändern von Registrierungseinträgen".

  • Wählen Sie im Dialogfeld Tastkopf kalibrieren im Bereich Durchzuführende Tätigkeit die Option Taster kalibrieren aus.

Genauere Informationen zum Arbeiten mit und Kalibrieren von Dreh-/Schwenkköpfen finden Sie unter "Arbeiten mit einem DSE-Gerät".

Definieren von AB-DSE-Positionen zum Kalibrieren

Zur Kalibrierung der DSE müssen Sie ein bestimmtes Muster einhalten. Hierbei werden DSE-Positionen mit mindestens drei A-Winkelpositionen mal mindestens drei B-Winkelpositionen für eine Gesamtanzahl von neun Kalibrierkugelmessungen kalibriert. Im Bereich Parameter für DSE Kalibrierung können Sie die Winkel für die Kalibrierung der A- und B-Achsen angeben. In den Feldern Start, Ende und Inkrement können Sie den Anfangs- und Endwinkel angeben, um den A- und B-Achsen eine DSE und die Inkremente zuzuordnen.

Im folgenden Beispiel wurden in die entsprechenden Felder die folgenden Werte eingegeben:

Winkel A
Start: | -90
Ende: | 90
Inkrement: | 90
Winkel B
Start: | -180
Ende: | 180
Inkrement: | 180

PC-DMIS würde in diesem Fall die Positionen von A-90B-180, A-90B0, A-90B180, A0B-180, A0B0, A0B180, A90B-180, A90B0 und A90B180 kalibrieren.

Hinweis: Die tatsächlichen Start- und Endwinkel sollten Sie unter Berücksichtigung des verwendeten Dreh-/Schwenkkopftyps, der mechanischen Verfügbarkeit und Hersteller- bzw. Händlerempfehlung auswählen. In einigen Fällen bestimmt PC-DMIS die Start- und Endwinkel automatisch basierend auf den Spezifikationen der Steuereinheit (hierbei ordnet PC-DMIS jedoch nur 359,9° der B-Achse zu).

Zum Kalibrieren eines Tastkopfs sind mindestens neun Positionen erforderlich. Sie können jedoch gegebenenfalls mehr Positionen als diese Mindestanzahl verwenden. PC-DMIS wird eine etwas genauere Kalibrierung durchführen, wenn mehr als die Mindestanzahl von Positionen verwendet wird.

Es besteht die Möglichkeit, beim Kalibrieren einer DSE eine Fehlermatrix zu erstellen, um Winkelfehler (für die DSE) zwischen kalibrierten Positionen zu beheben. Weitere Informationen finden Sie unter "Berechnen der Fehlermatrix" im Abschnitt "Arbeiten mit einem DSE-Gerät".

Sollten Sie einen SP600-Taster verwenden, empfiehlt es sich, den erklärenden Unterabschnitt des Themas "DSE-Kalibrierung" im Abschnitt "Kalibrieren eines DSE-Geräts" zu lesen.

Verwenden einer DSE-Fehlermatrix

Mit folgenden Steuerelementen können Sie eine DSE-Fehlermatrix erstellen, ersetzen, ansehen und löschen.

Steuerelement

Beschreibung

Erzeuge neue Matrix

Über diesen Optionsschalter erstellen Sie eine neue DSE-Fehlermatrix, indem Sie die Schaltfläche Messen anklicken.

Ersetze naheste Matrix

Über diesen Optionsschalter wird die naheste vorhandene DSE-Fehlermatrix durch eine neu erstellte DSE-Fehlermatrix ersetzt, wenn Sie die Schaltfläche Messen anklicken.

Matrix zeigen / löschen

Über diese Schaltfläche wird das Dialogfeld DSE-Matrix zeigen / löschen eingeblendet. In diesem Dialogfeld werden alle auf Ihrem System vorhandenen DSE-Fehlermatrizes aufgeführt; für jede Matrix wird auch die Länge der Tasterverlängerung angezeigt und es werden die Nummer der AB Winkel und der Inkrementwert des Winkels aufgelistet.

Wählen Sie einfach eine DSE-Fehlermatrix aus und klicken Sie auf Löschen, um eine DSE-Fehlermatrix aus Ihrem System zu entfernen.


Schaftkalibrierung

Aktivieren Sie das Kontrollkästchen Schaft Qual., wenn Sie eine ZylinderTastspitze zur Aufnahme von Kantenmesspunkten einsetzen werden. Durch Aktivieren dieses Kontrollkästchens weisen Sie das Programm an, den Schaft des Tasters zu kalibrieren. Wenn diese Option ausgewählt ist, können Sie die Felder Schaft Messpunkte und Schaft Versatz manipulieren.

Wichtig: Beachten Sie bitte, dass Sie bei Einsatz eines Zylindertasters nur dann eine Schaft-Kalibrierung durchführen müssen, wenn Kantenpunkte gemessen werden sollen.


Anzahl der Schaft-Messpunkte

Anzahl der Schaft-Messpunkte

Im Feld Schaft Messpunkte wird festgelegt, wieviele Messpunkte zur Messung des Schafts verwendet werden.

So ändern Sie diese Zahl:

  1. Setzen Sie den Cursor auf das Feld Schaft Messpunkte.

  2. Geben Sie einen neuen Wert ein.


Schaftversatz

Schaftversatz

Im Feld Schaftversatz wird festgelegt, in welchem Abstand (bzw. bei welcher Länge) von der Tastspitze des Schafts aufwärts gesehen PC-DMIS den nächsten Satz an Kalibriermesspunkten aufnehmen wird. So ändern Sie diesen Versatzwert:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Bereich "Parametersätze"

Im Bereich Parametersätze können Sie Parameter für die Tasterkalibrierung erstellen, speichern und gespeicherte Parametersätze aufrufen. Diese Informationen werden in der Tasterdatei gespeichert und enthalten die Einstellungen für die Anzahl an Punkten, den Anfahr-/Rückfahrweg, die Bewegungs- und Messgeschwindigkeit, den System- und Kalibriermodus sowie den Namen und die Position des Kalibriernormals.

So erstellen Sie Ihre eigenen, selbst benannten Parametersätze:

  1. Lassen Sie PC-DMIS die Tasterdatei automatisch mindestens auf das Format der Version 3.5 aktualisieren.

  2. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme.

  3. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  4. Bearbeiten Sie die gewünschten Parameter im Dialogfeld Taster kalibrieren.

  5. Geben Sie im Bereich Parametersätze im Feld Name einen Namen für den neuen Parametersatz ein, und klicken Sie auf Speichern. PC-DMIS zeigt eine Meldung an, die Sie über die erfolgreiche Erstellung des neuen Parametersatzes informiert. Zum Löschen eines gespeicherten Parametersatzes markieren Sie diesen einfach und klicken auf Löschen.

  6. Klicken Sie auf Messen, wenn Sie Ihre Tastspitzen sofort kalibrieren möchten. Wenn Sie sie später kalibrieren möchten, klicken Sie auf Abbrechen.

  7. Klicken Sie im Dialogfeld Taster-Hilfsprogramme auf OK. Wenn Sie in diesem Dialogfeld auf Abbrechen klicken, werden jegliche Änderungen an der Tasterdatei rückgängig gemacht, dazu gehören auch die erstellten Parametersätze.

Nach der Erstellung eines neuen Parametersatzes können Sie diesen auch mit dem Befehl AUTO_KALIBRIEREN/TASTER verwenden (siehe auch "AutoKalibrieren Taster").

Hinweis: Parametersätze sind nur für den Taster gültig, der bei deren Erstellung im Einsatz war.


Auf Drehtisch montiertes Kalibriernormal

Markieren Sie das Kontrollkästchen Auf Drehtisch montiertes Kalibriernormal, wenn das Taster-Kalibriernormal auf dem Drehtisch montiert ist. Dieses Kontrollkästchen ist deaktiviert, wenn die Maschine nicht mit einem Drehtisch ausgestattet ist.


Messen

Mit der Schaltfläche Messen wird der im Bereich Durchzuführende Tätigkeit ausgewählte Vorgang durchgeführt.


Kalibriernormal hinzufügen

Die Schaltfläche Kalibriernormal hinzufügen zeigt das Dialogfeld Kalibriernormal hinzufügen an.

Dialogfeld "Kalibriernormal hinzufügen"

In diesem Dialogfeld können Sie das Kalibriernormal beschreibende Daten speichern . Jedem Kalibriernormal wird eine fortlaufende ID-Nummer zugewiesen. Neben der ID-Nummer wird von PC-DMIS auch noch die Art des Kalibriernormals (KUGEL, POLYEDER), der Kalibriernormalversatz, der Schaftvektor, der "beeinflussen mit"-Vektor und der Durchmesser (für die KUGEL) oder die Länge (für den POLYEDER) angezeigt.

Nachdem Sie ein neues Kalibriernormal definiert haben, erscheint es in der Auswahlliste List der verfügbaren Kalibriernormale des Dialogfelds.

Vor der Messung eines Tasters muss mindestens eine Tastspitze in der Liste "Aktuelle Tastspitzen" definiert werden.

Wenn Sie zur Dropdown-Liste Liste der verfügbaren Kalibriernormale ein Kalibriernormal hinzufügen möchten, klicken Sie auf die Schaltfläche Kalibriernormal hinzufügen. Daraufhin erscheint das Dialogfeld Kalibriernormal hinzufügen, in dem Sie Informationen nach Bedarf bearbeiten können.

Im Dialogfeld Kalibriernormal hinzufügen erhalten Sie Zugriff auf die gleichen Informationen wie beim Erstellen eines neuen Kalibriernormals. Sie können die Kalibriernormal-ID, die Art des Kalibriernormals, die Versatzwerte, den Schaftvektor IJK und den Durchmesser / die Länge des Kalibriernormals ändern.

Siehe auch:

Kalibriernormal-ID

Art des Kalibriernormals

Versatz X, Y, Z

Schaftvektor I, J, K

Suche beeinflussen mit I, J, K

Durchmesser / Länge


Kalibriernormal-ID

In diesem Feld können Sie das von Ihnen definierte Kalibriernormal benennen.


Art des Kalibriernormals

In dieser Auswahlliste können Sie den Kalibriernormaltyp, entweder Kugel oder Würfel, wählen.


Versatz X, Y, Z

Diese X-, Y- und Z-Werte geben die Position des Kalibriernormals in Maschinenkoordinaten an.

Um eine Tastspitze neu zu kalibrieren, markieren Sie ganz einfach die gewünschte Tastspitze in der Liste Aktuelle Tastspitzen. Fahren Sie mit der Kalibrierung der Tastspitze fort, indem Sie auf die Schaltfläche Messen klicken. (Siehe auch "Voransicht Ihrer Tasterkonfiguration".)


Schaftvektor I, J, K

In diesem Feld wird der Vektor des Tasterschafts angezeigt. Anhand dieser Werte kann PC-DMIS den Schaft während der Kalibrierung vermeiden.

Schaft auf Kalibrierkugel


Suche beeinflussen mit I, J, K

Der Benutzer kann in diesen Dialogfeldern einen Vektor angeben, der von PC-DMIS zur Bestimmung der effizientesten Reihenfolge zur Messung aller Tastspitzen verwendet wird, wenn das Kontrollkästchen Benutzerdef. Reihenfolge des Dialogfelds Taster-Hilfsprogramme aktiviert wird. Siehe "Kalibrierreihenfolge".


Durchmesser / Länge

In diesem Feld wird der Durchmesser / die Länge einer Kalibrierkugel angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie das Feld Durchmesser / Länge.

  2. Geben Sie einen neuen Wert ein.


Kalibriernormal bearbeiten

Mit der Befehlsschaltfläche Kalibriernormal bearbeiten können Sie ein in der "Liste der verfügbaren Kalibriernormale" bereits vorhandenes Kalibriernormal bearbeiten. Klicken Sie einfach auf die Schaltfläche Kalibriernormal bearbeiten, und folgendes gleichnamiges Dialogfeld erscheint:

Dialogfeld Kalibriernormal bearbeiten

Das Dialogfeld Kalibriernormal bearbeiten bietet dieselben Optionen wie das Dialogfeld Kalibriernormal hinzufügen.


Kalibriernormal löschen

Mit der Befehlsschaltfläche Kalibriernormal löschen können Sie ein nicht mehr benötigtes Kalibriernormal aus der Auswahlliste Liste der verfügbaren Kalibriernormale löschen.

So entfernen Sie ein Kalibriernormal:

  1. Wählen Sie die gewünschte Taster-ID aus.

  2. Klicken Sie auf Kalibriernormal löschen.


Liste verfügbarer Kalibriernormale

In der Auswahlliste Liste der verfügbaren Kalibriernormale werden die verfügbaren Kalibriernormale angezeigt und Sie können angeben, welches Kalibriernormal zur Kalibrierung des Tasters verwendet werden soll. PC-DMIS verwendet ausschließlich Kalibrierkugeln.

Siehe auch:

Kalibrierkugel und Kugeltastspitze

Kalibrierkugel und Scheibentastspitze

Kalibrierkugel und abgesetzte Tastspitze

Kalibrierkugel und Trommel-/Zylindertastspitze

Kalibrierkugel und optische Tastspitze


Kalibrierkugel und Kugeltastspitze

PC-DMIS fordert Sie zur Eingabe der am Kalibriernormal aufzunehmenden Messpunkte auf. Anschließend werden Sie aufgefordert, die Messpunkte aufzunehmen.


Kalibrierkugel und Scheibentastspitze

Wenn Modus = MANUELL, werden Sie von PC-DMIS aufgefordert, sechs Messpunkte am Kalibriernormal aufzunehmen. Nehmen Sie drei Messpunkte oberhalb und drei unterhalb des Äquators der Kugel auf.

Wenn Modus = CNC, muss die Position des Kalibriernormals vorher bekannt sein.


Kalibrierkugel und abgesetzte Tastspitze

PC-DMIS fordert Sie auf, auf der Kugel mit dem zulaufenden Teil des Tasters sechs Messpunkte aufzunehmen. Die Kalibrierkugel dient im Prinzip als Taster zur Messung der abgesetzten Tasterspitze in Form eines Kegels. Die ersten drei Messpunkte müssen eine Ebene bilden, die ungefähr senkrecht zur Mittellinie des Kegels steht. Bei Verwendung eines geringfügig abgesetzten Tasters ist eine kleine Kalibrierkugel am besten zur Durchführung dieses Vorgangs geeignet.


Kalibrierkugel und Trommel-/Zylindertastspitze

PC-DMIS fordert Sie auf, vier Messpunkte in einem ebenen Querschnitt der Kugel aufzunehmen, so dass sich ein Kreis ergibt. Diese Messpunkte müssen mit dem gleichen Teil des Tasters, der für die Maßkontrolle verwendet wird, aufgenommen werden. Nachdem die vier Messpunkte aufgenommen wurden, werden Sie von PC-DMIS aufgefordert, die Kugel einmal mit der Tasteroberfläche zu berühren.


Kalibrierkugel und optische Tastspitze

Diese Option ist nur verfügbar, wenn die optische Tastspitze als starrer Taster definiert wird.


Bearbeiten

Jede aktive Tastspitze lässt sich einfach aktualisieren, indem man die gewünschte Tastspitze in der Liste Aktuelle Tastspitzen markiert und auf die Schaltfläche "Bearbeiten" klickt. Das Dialogfeld Taster-Daten editieren erscheint.

Dialogfeld "Taster-Daten editieren"

Sie können an den folgenden Daten Änderungen vornehmen:

Siehe auch:

TASTSPITZEN-ID

DMIS-Label

X-, Y- und Z-Mitte

Schaft- / Optikvektor I, J, K

Durchmesser der Kugeltastspitze

Stärke der Kugeltastspitze

TaRAbw:

Kalibrierdatum und -zeit

Spitzname

So löschen Sie eine Tastspitze aus der Liste aktueller Tastspitzen:

So löschen Sie einen Wrist-Winkel:


TASTSPITZEN-ID

Dieses Feld enthält die permanente Nummer, die PC-DMIS einer Tastspitze beim Laden in den Speicher zuweist. Dieser Wert kann nicht bearbeitet werden. Er dient nur zur Identifizierung. Sie können jedoch eine beschreibendere Identifikation definieren, indem Sie das Feld Spitzname verwenden.


DMIS-Label

In diesem Feld wird das DMIS-Label angezeigt. Wenn DMIS-Dateien importiert werden, verwendet PC-DMIS diesen Wert, um die SNSDEF-Anweisungen in der importierten DMIS-Datei zu identifizieren.


X-, Y- und Z-Mitte

Diese Werte beschreiben die Position der Tastspitze. Diese Position steht in Bezug zur Unterseite des Z-Arms.


Schaft- / Optikvektor I, J, K

Diese Werte beschreiben die Richtung des Schafts der Tastspitze, wenn Sie eine Tastspitze verwenden. Dieser Vektor verläuft von der Mitte der Tastspitze zum Z-Arm. Wenn Sie einen Optischen Taster verwenden, beschreiben diese Wert die Richtung des Optiksystems.


Durchmesser der Kugeltastspitze

Dieses Feld enthält den Durchmesser der Tastspitze.


Stärke der Kugeltastspitze

Dieses Feld enthält die Stärke der Tastspitze. Es definiert die verwendbare und grafische Höhe/Stärke der Rubinen-Tastspitze. PC-DMIS wendet diesen Wert während der Scheibentasterkalibrierung an, um den Taster vom Äquator aus in Richtung Norden oder Süden zu verschieben. Beispielsweise müsste dieser Wert bei einem Scheibentaster ggf. nach unten korrigiert werden, um die Tasterkalibrierung zu verbessern.


TaRAbw:

Mit dem Feld TaRAbw im Dialogfeld Taster-Daten editieren können Sie eine radiale Abweichung für die Größe der kalibrierten Tastspitze festlegen.

Bei der Ausführung der Tasterkalibrierung führt PC-DMIS eine der folgenden Aktionen durch:

  1. Wenn Sie über eine Maschinenkonfiguration verfügen, die die Taster-Radius-Abweichung anwendet, wird die Tastspitzengröße während des Kalibriervorgangs automatisch auf den theoretischen Wert gesetzt, dann berechnet und dann als TaRAbw gespeichert.

  2. Wenn Sie über eine Maschine verfügen, die die Taster-Radius-Abweichung (TaRAbw) nicht anwendet, wird der TaRAbw-Wert automatisch auf Null gesetzt, berechnet und dann eine Tastspitzengröße, die geringfügig vom theoretischen Wert abweicht, gespeichert.

Im Dialogfeld Taster-Daten editieren haben Sie nur dann die Möglichkeit, die Tastspitzengröße und/oder die TaRAbw zu bearbeiten, wenn dies aus irgendeinem Grund nach dem Kalibriervorgang erforderlich sein sollte. Wenn Sie neu kalibrieren, ergibt sich der resultierende Wert aus der Kalibrierung, und nicht aus einem beliebigen, vor der Kalibrierung manuell in dieses Dialogfeld eingegebenen Wert.

Hinweis:Dieses Feld steht nur dann zur Auswahl zur Verfügung, wenn ein analoger Taster für gewisse Maschinen verwendet wird.


Kalibrierdatum und -zeit

Diese Werte geben mit Datum und Uhrzeit an, wann eine Tasterspitze zuletzt kalibriert wurde. Diese Werte können im Dialogfeld Taster-Daten editieren angezeigt werden. Wird eine neue Tastspitze ohne vorherige Kalibrierung erstellt, zeigt PC-DMIS für Datum und Uhrzeit den Wert NEU an. Wird eine alte Tastspitze geladen und die Angaben zu Datum und Uhrzeit sind nicht verfügbar, zeigt PC-DMIS für die Werte "UNBEKANNT" an. Die Werte für Datum und Uhrzeit werden nur für die Tastspitzen aktualisiert, die tatsächlich kalibriert wurden.


Spitzname

Im Feld Spitzname des Dialogfelds Taster-Daten editieren können Sie der ausgewählten Tastspitzen-ID einen näher beschreibenden Namen geben. Wenn Sie die Tastspitze beispielsweise "MeineTastspitze" genannt haben, verwendet PC-DMIS im Feld Spitzname dann "MeineTastspitze" auf der Benutzeroberfläche für diese Tastspitze in Dialogfeldern, Meldungen, in Protokollen etc. Wenn Sie keine ID definieren, verwendet PC-DMIS stattdessen die standardmäßig erzeugte Tastspitzen-ID.


So löschen Sie eine Tastspitze aus der Liste aktueller Tastspitzen:

Vorgehensweise:

  1. Wählen Sie den zu entfernenden Eintrag aus.

  2. Klicken Sie auf die Schaltfläche Löschen.

Ist nur eine Tastspitze markiert, wird sie von PC-DMIS automatisch gelöscht. Mehrere Elemente können gleichzeitig gelöscht werden, wenn sie alle beim Klicken auf die Schaltfläche Löschen markiert sind.

Bei PC-DMIS können auch bestimmte PHx-Winkel aus der Liste Aktuelle Tastspitzen entfernt werden.


So löschen Sie einen Wrist-Winkel:

So löschen Sie einen Wrist-Winkel:

  1. Wählen Sie den zu entfernenden Winkel aus:

  2. Klicken Sie auf die Schaltfläche Löschen.

Werden eine Tastspitze oder ein Tasterkopf gelöscht, so werden alle damit verbundenen PHx-Winkel ebenfalls aus der Datei gelöscht.

Hinweis: Mit dieser Option wird die Tastspitze aus der Liste Aktuelle Tastspitzen gelöscht und aus der Datei mit den dem System bekannten Tastspitzen entfernt.


Winkel hinzufügen

Bei Klicken auf die Schaltfläche Winkel hinzufügen erscheint das gleichnamige Dialogfeld.

Dialogfeld "Winkel hinzufügen"

Sie können mit den in PC-DMIS verfügbaren Feldern und Schaltflächen eine Liste von AB-Positionen erstellen. Sobald eine Position kalibriert ist, kann sie jederzeit während eines beliebigen Werkstückprogrammes abgerufen werden. Durch Kalibrieren häufig benutzter Positionen können diese beim Erlernen oder manuellen Prüfen eines Werkstückprogramms beliebig abgerufen werden.

AB-Positionen werden in den Werkstück-Koordinaten gespeichert. PC-DMIS sucht daher während des Ausführungsmodus automatisch die am nächsten kalibrierte AB-Position, die der Ausrichtung des jeweiligen Werkstücks auf der Maschine entspricht. Die AB-Positionen sind nur dann verfügbar, wenn das Kontrollkästchen DSE für Tastkopf automatisch einstellen aktiviert ist (siehe auch "DSE für Tastkopf automatisch einstellen" im Abschnitt "Voreinstellungen"). Im Bearbeitungsfenster muss außerdem vor dieser Funktion ein Befehl zur Änderung des Tasters gewählt worden sein.

Da sich die mechanische Positionierung des Tasters mit der Zeit ändert, empfiehlt es sich, den Taster in regelmäßigen Zeitabständen neu zu kalibrieren. Durch Klicken auf die Schaltfläche Winkel hinzufügen zeigt PC-DMIS das gleichnamige Dialogfeld an.

In diesem Dialogfeld können Sie einzelne AB-Ausrichtungen vorgeben. PC-DMIS erstellt anhand der Parameter, die in den Feldern im Bereich Winkelraster angegeben wurden, auch eine Liste von AB-Ausrichtungen in gleichmäßigen Abständen voneinander.

Im Dialogfeld Winkel hinzufügen werden die folgenden Parameter angegeben.

Siehe auch:

Feld "Liste neuer Winkel"

Einzelne Winkeldaten

Winkelraster

Arbeiten mit dem Winkelraster

Hinweise zu der Option "Winkel hinzufügen"


Feld "Liste neuer Winkel"

Das Feld Liste neuer Winkel enthält eine Auflistung von AB-Winkeln aus dem Bereich Einzelne Winkeldaten oder dem Bereich Winkelraster.


Einzelne Winkeldaten

Im Bereich Einzelne Winkeldaten können Sie AB-Positionen einzeln zum Feld Liste neuer Winkel hinzufügen.

So fügen Sie einzelne Winkel hinzu:

  1. Setzen Sie den Cursor auf das Feld bzw. die Felder, dessen Eintrag bzw. deren Einträge geändert werden sollen.

  2. Geben Sie einen neuen Winkel ein.

  3. Klicken Sie auf die Schaltfläche Winkel hinzufügen.

Der von Ihnen angegebene einzelne Winkel erscheint im Feld Liste neuer Winkel.


Winkelraster

Mit der mit diesen Feldern verknüpften Schaltfläche Winkel hinzufügen werden automatisch alle gewünschten AB-Positionen, die in gleichmäßigen Abständen angeordnet sind, im Feld Liste neuer Winkel markiert. Die endgültige Liste enthält automatisch die Standardposition der Tasterkonfiguration. Ein gerade nach unten weisender PHx (A=0°, B=beliebige°) wird automatisch definiert und muss daher in diesem Dialogfeld nicht neu definiert werden.

PC-DMIS ermöglicht die einfache Messung aller AB-Positionen in 15°-Inkrementen zwischen 0° und 90° auf der A-Achse und in 45°-Inkrementen zwischen -180° und 180° auf der B-Achse.

Winkelbereich der A-Achse ¾ Vorderansicht des KMGs, wobei B = 90° ist

Winkelbereich der B-Achse ¾ Draufsicht, wobei A = 90° ist

So fügen Sie Winkel zum Feld Liste neuer Winkel hinzu:

  1. Geben Sie in jedes der verfügbaren Winkelfelder (A Anfang , A Ende, Inkrement in A, B Anfang, B Ende, Inkrement in B) die erforderlichen Informationen ein.

  2. Klicken Sie auf die Schaltfläche Winkel hinzufügen, und PC-DMIS zeigt automatisch die angeforderten AB-Ausrichtungen im Feld Liste neuer Winkel an.

Im Feld "Liste neuer Winkel" angezeigte AB-Ausrichtungen


Arbeiten mit dem Winkelraster

PC-DMIS ermöglicht Ihnen die Auswahl und Ansicht von verfügbaren Winkeln für den definierten Wrist durch Verwendung eines Winkelrasters aus dem Dialogfeld Winkel hinzufügen. PC-DMIS zeigt alle verfügbaren A-Winkelpositionen entlang der Seite des Dialogfelds und die B-Winkelpositionen entlang des oberen Dialogfeldrandes an.

Ein Teil des Dialogfelds "Winkel hinzufügen" zeigt vorangehend ausgewählte AB-Winkel (dunkelgrau) und die vor dem Schließen des Dialogfelds "Winkel hinzufügen" eingefügten AB-Winkel (rot) an.

Um neue Winkel durch Klicken auf den Raster hinzuzufügen,

  1. suchen Sie zuerst die Reihe des A-Winkels, den Sie hinzufügen möchten. Dann suchen Sie die Spalte mit dem entsprechenden B-Winkel.

  2. Klicken Sie auf das Feld in dem Raster, indem sich die gewünschten A- und B-Winkel überschneiden. Das markierte Feld wird rot angezeigt, und die markierten AB-Winkelpositionen werden in das Feld Liste neuer Winkel eingefügt.

Wenn Sie eine markierte AB-Winkelposition entfernen möchten, klicken Sie erneut auf eines der roten Felder, und PC-DMIS entfernt die diesem Feld zugeordneten AB-Winkelpositionen aus dem Feld Liste neuer Winkel.

Erklärung der Rasterfarben

Es gibt vier mögliche Farben für die Rasterfelder, die beim Arbeiten mit dem Winkelraster sichtbar werden könnten: Dunkelgrau, Rot, Gelb und Grün. Für Tasterköpfe, die genügend Rasterblöcke zur vollständigen Darstellung der Winkeleinstellung des Tastkopfs aufweisen, werden nur mit Winkelrasterfeldern in dunkelgrau oder rot angezeigt werden. Wenn Sie jedoch einen Dreh-/Schwenkkopf (wie beispielsweise den PHS oder CW43L) verwenden, werden Sie Winkel mit Schrittweiten haben, welche die Anzahl der in dem Winkelraster verwendeten Winkelinkremente überschreiten. In diesen Fällen zeigt PC-DMIS die Winkelrasterposition mit der stärksten Übereinstimmung in grün oder gelb an.

Farbe | Beschreibung
Dunkelgrau | Ein dunkelgraues Rasterfeld zeigt, dass die AB-Winkelposition bereits in der Liste Aktuelle Tastspitzen des Dialogfelds Taster-Hilfsprogramme vorhanden ist. Der AB-Winkel stimmt vollkommen mit dem Rasterfeldwinkel überein.
Rot | Ein rotes Rasterfeld zeigt, dass Sie eine neue AB-Winkelposition über das Dialogfeld Winkel hinzufügen festgelegt haben, der Winkel jedoch noch nicht in die Liste Aktuelle Tastspitzen eingefügt wurde. Der AB-Winkel stimmt vollkommen mit dem Rasterfeldwinkel überein.
Gelb | Ein gelbes Rasterfeld zeigt, dass die AB-Winkelposition bereits in der Liste Aktuelle Tastspitzen des Dialogfelds Taster-Hilfsprogramme vorhanden ist und dass PC-DMIS die Rasterposition mit der stärksten Übereinstimmung für den AB-Winkel gewählt hat.
Grün | Ein grünes Rasterfeld zeigt, dass Sie eine neue AB-Winkelposition über das Dialogfeld Winkel hinzufügen festgelegt haben, der Winkel jedoch noch nicht in die Liste Aktuelle Tastspitzen eingefügt wurde. PC-DMIS wählt die Rasterposition mit der stärksten Übereinstimmung für den AB-Winkel.


Hinweise zu der Option "Winkel hinzufügen"

  • Eine automatische Tasterkalibrierung kann nur unter Verwendung eines Kugeltasters und einer Kalibrierkugel durchgeführt werden.

  • Die X-, Y- und Z-Mittelpunktkoordinaten des verwendeten Kalibriernormals müssen die aktuelle Position des Kalibriernormals auf dem Tisch widerspiegeln. Ist dies nicht der Fall, sollte die Antwort auf die Frage "Wurde die Position des Tasters verschoben?" JA lauten.

  • Bei einer durch den Bediener gesteuerten Messung der AB-Positionen dreht PC-DMIS den Tastkopf nach beendeter Messung der aktuellen Position automatisch in die nächste manuelle Position. Vergewissern Sie sich vor Drücken der Taste ENDE, dass der Taster genügend Abstand zum Kalibriernormal einhält.

  • Wenn sich die Position des Kalibriernormals geändert hat oder neue Winkel in die Liste der Tastspitzen aufgenommen werden müssen, markieren Sie die erforderlichen Winkel in der Liste neuer Winkel. Die Standardposition der Tastspitze (lotrecht zu dem Schaft des Kalibriernormals) muss ebenfalls markiert werden. PC-DMIS führt zuerst den Winkel aus, der vertikal zum Kalibriernormal steht, und anschließend die anderen markierten Winkel.

  • Wird die automatische AB-Kalibrierung gestoppt, bevor die Messung aller angefügten Positionen beendet ist, erhalten Sie eine PC-DMIS-Meldung mit der Frage, ob Sie die teilweise kalibrierten Daten vor dem Beenden speichern möchten.


Ergebnisse

Die Schaltfläche Ergebnisse zeigt die Ergebnisse der zuletzt durchgeführten Tasterkalibrierung im Dialogfeld Kalibrierergebnisse an.

Kalibrierergebnisse (Dialogfeld)

Neben der Anzeige des Durchmessers und der Stärke des Tasters enthält das Dialogfeld auch noch Angaben zum tatsächlichen Winkel und der Rundheit der Kugel. Anhand dieser Messergebnisse können Sie die Genauigkeit der Kalibrierung verifizieren.

In Version 3.7 und höher blendet PC-DMIS die Ergebnisse mit bis zu sechs Dezimalstellen ein.


Verwendete markieren

Mit dieser Option wird das aktuelle Werkstückprogramm automatisch auf AB-Winkel hin durchsucht. PC-DMIS fügt alle gefundenen AB-Winkel dann der aktuellen Tasterkonfiguration hinzu.

Hinweis: Wenn die Option DSE für Tastkopf automatisch erstellen (auf der Registerkarte Allgemein im Dialogfeld Einrichten) aktiviert ist und Sie die Schaltfläche Verwendete markieren anklicken, ist zu beachten, dass PC-DMIS möglicherweise nicht alle Tastspitzen für die Kalibrierung auswählt (siehe auch "DSE für Tastkopf automatisch erstellen" im Abschnitt "Voreinstellungen").


Global Verwendete

Mit der Schaltfläche Global verwendete wird nach Tastspitzen gesucht, die von der gegenwärtig aktiven Tasterdatei in anderen Werkstückprogrammen verwendet werden. Diese werden dann der Liste Aktuelle Tastspitzen hinzugefügt und für die Kalibrierung markiert.

Standardmäßig werden über diese Schaltfläche alle Unterverzeichnisse des Werkstückprogramms durchsucht. Sie können die Suche nach Unterverzeichnissen des definierten Suchverzeichnisses steuern, indem Sie den im Abschnitt "Ändern von Registrierungseinträgen" beschriebenen Registrierungseintrag ProbeGlobalUsedIsRecursive verwenden.


Dateiformat

Mit der Schaltfläche Dateiformat können Sie die vorhandene Tasterdatei in einem Format speichern, das mit früheren Versionen von PC-DMIS kompatibel ist. Klicken Sie auf Dateiformat, und das Dialogfeld Tasterdateiformat konvertieren wird angezeigt.

Dialogfeld "Tasterdateiformat konvertieren"

In diesem Dialogfeld stehen zwei Optionen zur Verfügung:

· Das Feld Aktuelle Version – Listet die aktuelle Version von PC-DMIS auf.

· Liste Zu speichernde Version – Enthält die Formattypen, die Sie zum Speichern der Tasterdatei auswählen können.


Gerätekalib.-Daten verwenden

Das Kontrollkästchen Gerätekalib.-Daten verwenden erscheint nur dann im Dialogfeld, wenn Sie bereits eine Kalibrierung am Gerät vorgenommen haben. Ist dieses Kontrollkästchen nicht aktiviert, werden die Standardkalibrierdaten verwendet. Durch Aktivieren dieses Kontrollkästchens ist es möglich, die Kalibrierdaten des Geräts zu verwenden. Weitere Hinweise finden Sie unter "Gerät kalibrieren" im Abschnitt "Messen".


Verfügbare Tastspitzentypen

In PC-DMIS stehen in der Auswahlliste Tasterbeschreibung die folgenden Tastspitzentypen zur Auswahl:

Wenn eine Tastspitze in die Liste verfügbarer Tastspitzen aufgenommen werden muss, wenden Sie sich bitte an Ihren PC-DMIS-Software-Kundendienst. Das Erstellen zusätzlicher Tastspitzendateien ist nur autorisiertem Personal vorbehalten.

Siehe auch:

Kugel

Scheibe

Optisch

Zylinder


Kugel

Damit wird ein kugelförmiger Tastereinsatz definiert. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser und die Stärke des Tasters bearbeiten. Die Richtung des Tasters muss ebenfalls definiert werden.


Scheibe

Damit wird ein scheibenförmiger Tastereinsatz definiert. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser und die Stärke des Tasters bearbeiten. Die Richtung des Tasters muss ebenfalls definiert werden.


Optisch

Diese Option ist nur verfügbar, wenn die optische Tastspitze als starrer Taster definiert wird.

Mit dieser Option wird ein optischer Taster definiert. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser des Tasters bearbeiten. Die Richtung des Tasters muss ebenfalls definiert werden.


Zylinder

Damit wird ein Zylinder- oder Trommeltaster definiert. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser und die Stärke des Tasters bearbeiten. Die Richtung des Tasters muss ebenfalls definiert werden.


Kollisionstoleranz

Das CD-Modul in Avail/NT funktioniert nur, wenn sich auf dem Bildschirm eine OPENGL- (schattierte) Ansicht befindet.

Die Kollisionserkennung (CD) ist bei PC-DMIS dafür konzipiert, Kollisionen zwischen dem Taster und den CAD-Oberflächen zu erfassen.

Kollisionstoleranzen werden im Dialogfeld Kollisionstoleranzen vorgegeben. Der Zugriff auf diese Option erfolgt durch Klicken auf die Schaltfläche Toleranzen im Dialogfeld Taster-Hilfsprogramme.

Dialogfeld "Kollisionstoleranzen"

Weitere Informationen zur Option Kollisionserkennung finden Sie unter "Kollisionserkennung" im Abschnitt "Bearbeiten der CAD-Anezige".

Siehe auch:

Definieren von Kollisionstoleranzen


Definieren von Kollisionstoleranzen

Kollisionstoleranzen werden im Dialogfeld Kollisionstoleranzen spezifiziert. Sie können dieses Dialogfeld öffnen, indem Sie im Dialogfeld Taster-Hilfsprogramme auf die Schaltfläche Toleranzen klicken.

Im Bearbeitungsfeld können Sie für jede in der Auswahlliste ausgewählte Tasterkomponente einen positiven oder negativen Wert angeben. Auf diese Weise wird die Größe der Komponente geändert.

  • Ein positiver Abstand vergrößert die Komponente, so dass eine Kollision erkannt wird, falls diese Komponente den vorgeschriebenen Abstand zum Werkstück nicht einhält.

  • Ein negativer Abstand verkleinert die entsprechende Komponente des Tasters und erzeugt den gegenteiligen Effekt eines positiven Abstands.

Wenn Sie möchten, dass eine Tasterkomponente ignoriert wird, aktivieren Sie das Kontrollkästchen Ignorieren. PC-DMIS ignoriert dann beim Prüfen auf Kollisionen die entsprechende Tasterkomponente. Dies ist z. B. bei der Arbeit mit einer Tastspitze nützlich, wenn bei der Aufnahme von Messpunkten Kollisionen erwartet werden.

Nachdem Sie die Menüoption Kollisionserkennung gewählt haben, um die Kollisionserkennung zu starten, führt die interne CAD-Komponente von PC-DMIS die für eine Kollisionserkennung erforderlichen Berechnungen durch. Alle erkannten Kollisionen werden im Dialogfeld Kollisionserkennung angezeigt. Die Ergebnisse werden im Taster-Anzeigefenster dieses Dialogfelds dargestellt und für eine spätere Verwendung beim Zeichnen der Bearbeitungs-Bahngeraden gespeichert.

Weitere Informationen zur Option Kollisionserkennung finden Sie unter "Kollisionserkennung" im Abschnitt "Bearbeiten der CAD-Anezige".


Taster einrichten

Mit der Schaltfläche Einrichten im Dialogfeld Taster-Hilfsprogramme wird das Dialogfeld Taster einrichten aufgerufen.

Dialogfeld "Taster einrichten".

In diesem Dialogfeld können Sie die Tastereinstellungen weiter an Ihre Anforderungen anpassen. Mit den Optionen in diesem Dialogfeld können Sie folgende Informationen ändern oder auswählen:

  • Warnung bei Verwendung von Tastspitzen, die seit x Tagen nicht kalibriert wurden.
    Hierbei entspricht x der Anzahl von Tagen.

  • Warnung bei Verwendung von Tastspitzen, die nicht alle innerhalb von x Stunden voneinander kalibriert wurden.
    Hierbei entspricht x der Anzahl von Stunden.

  • Sicherheitsabstand entlang des Schaftvektors des Kalibriernormals: x
    Hierbei entspricht x dem Sicherheitsabstand

  • Sicherheitsabstand entlang des Schaftvektors des Kalibriernormals für kontinuierliche Wrist-Taster: x
    Hierbei entspricht x dem Sicherheitsabstand

  • Sicherheitsabstand in Z, wenn der Schaft des Kalibriernormals rechtwinklig zur Z-Achse liegt: x
    Hierbei entspricht x dem Sicherheitsabstand

  • Warnung während der Kalibrierung, wenn die Standardabweichung der Kugel höher ist als: x
    Hierbei entspricht x der Standardabweichung

  • Warnung, wenn Durchmesserfehler für die Tastspitze höher ist als: x.
    Hierbei entspricht x dem Durchmesserfehler

  • Bei Einsatz eines Tasterwechslers Bediener nicht nach derzeit geladener Tasterdatei fragen.
    Aktuelle Tasterdatei: Datei
    Hierbei entspricht Datei der entsprechenden Tasterdatei

  • Kalibrationsergebnisse an Ergebnisdatei anhängen.

  • Tasterdatei für das 'Nur Endladen' im Tasterwechsler: Datei
    Hierbei entspricht Datei einer Pseudo-Tasterdatei.
    Diese Datei wird verwendet, um ein Entladen des aktuellen Tasters zu erzwingen, ohne dass ein neuer Taster aus dem Tasterwechsler geladen wird. Siehe auch "Einen Taster ablegen, ohne einen neuen Taster aufzunehmen" im Abschnitt "Voreinstellungen".

Klicken Sie auf OK, um die Änderungen zu akzeptieren.


Liste drucken

Über die Schaltfläche Liste drucken wird das Dialogfeld Drucken aufgerufen. Wenn Sie dann auf OK klicken, druckt PC-DMIS eine Liste kalibrierter und nicht-kalibrierter Tastspitzenwinkel in Tabellenform aus. Hier werden dieselben Tastspitzenwinkel wie in der Liste aktueller Tastspitzen aufgeführt. Jede Tabellenzeile enthält einen Tastspitzenwinkel, während die Spalten die XYZ-, IJK- Durchmesser- und Stärkewerte der einzelnen Tastspitzenwinkel angeben. Es werden auch Datum und Uhrzeit der kalibrierten Tastspitzenwinkel angegeben.

Wurde ein Tastspitzenwinkel nicht kalibriert oder liegt ein Durchmesser-, Datums- oder Uhrzeitfehler vor, werden die betreffenden Winkel in der Liste in rotem Text dargestellt.

Siehe auch:

Beispielausdruck


Beispielausdruck

Es folgt ein Beispielausdruck der Liste aktueller Tastspitzen:

Beispielausdruck aktueller Tastspitzen für einen PH9-Taster


Faro-Hilfsmittel für die Tasterkalibrierung

Bei der Verwendung eines Faro-Arms wird anstelle des standardmäßigen Dialogfelds Messen (das eingeblendet wird, wenn Sie im Dialogfeld Taster-Hilfsprogramme auf Messen klicken), das Dialogfeld Hilfsmittel für die Tasterkalibrierung angezeigt.

Dialogfeld "Hilfsmittel für die Tasterkalibrierung"

Siehe auch:

Verfügbare Dialogfeldoptionen

Faro-Kalibrierverfahren


Verfügbare Dialogfeldoptionen

In der folgenden Tabelle werden alle im Dialogfeld Hilfsmittel für die Tasterkalibrierung verfügbaren Optionen und eine Beschreibung dazu aufgelistet.

Option

Beschreibung

Kalibriermethode

Im Dialogfeld Hilfsmittel für die Tasterkalibrierung stehen zwei Kalibriermethoden zur Auswahl:

· 1-Zoll-Kugel-Kalibriermethode. Die meisten Faro-Arme verfügen über eine eingebaute Kalibrierkugel. Normalerweise handelt es sich um eine 1-Zoll-Kugel, sodass PC-DMIS standardmäßig dieses Kalibrierverfahren anwendet.

· Loch-Kalibriermethode. Sie haben des Weiteren die Möglichkeit, zum Kalibrieren des Faro-Tasters ein Loch anstelle der Kugel zu verwenden.

Fehlerbereich der letzten Kalibrierung

Im Feld Fehlerbereich der letzten Kalibrierung wird der Volumenwert angezeigt, den Faro nach Durchführung der Kalibrierung berechnet. Dieser Wert wird von der Faro-Steuereinheit erzeugt und dient nur Anzeigezwecken. Dieser Wert kann nicht bearbeitet werden.

Anzahl der Messpunkte

Im Feld Anzahl der Messpunkte wird die Anzahl an Messpunkten pro Kalibrierbereich angezeigt.

Großes Fenster mit Messpunkten einblenden

Wenn Sie das Kontrollkästchen Großes Fenster mit Messpunkten einblenden aktivieren, werden die X-, Y-, Z-Werte sowie die Anzahl an Messpunkten während der Durchführung des Kalibriervorgangs in Echtzeit angezeigt.

Nach Abschluss eines Kalibriersegments Tonsignal geben

Wenn Sie das Kontrollkästchen Nach Abschluss eines Kalibriersegments Tonsignal geben aktivieren, signalisiert der Computer mit einem Piepton, wenn ein bestimmter Kalibrierbereich oder ein bestimmtes Kalibriersegment abgeschlossen wurde. Der Statusbereich des Dialogfelds (unterhalb des Felds Anzahl der Messpunkte) informiert den Benutzer dann, welche Kalibrierzone als nächstes gemessen werden soll und wie viele Messpunkte aufgenommen werden sollen.


Faro-Kalibrierverfahren

So kalibrieren Sie Ihren Taster ordnungsgemäß mit einem Faro-Arm:

  1. Öffnen Sie das Dialogfeld Hilfsmittel für die Tasterkalibrierung.

  2. Wählen Sie im Bereich Kalibriermethode die gewünschte Kalibriermethode aus.

  3. Aktivieren Sie die gewünschten Kontrollkästchen.

  4. Klicken Sie auf die Schaltfläche Messen. Der Kalibriervorgang wird gestartet. PC-DMIS wird eine Reihe visueller Hilfen anzeigen, die Sie bei der Kalibrierung des Faro-Arms unterstützen.

  5. Befolgen Sie die Anweisungen auf dem Bildschirm (sowie die Anweisungen im Statusbereich des Dialogfelds).

  6. Wenn Sie die 1-Zoll-Kugel-Kalibriermethode verwenden, nehmen Sie mit Hilfe des folgenden Diagramms und der Bildschirm-Direkthilfen folgende Messpunkte auf der Kalibrierkugel auf:

    Seitenansicht der Kalibrierkugel sowie des Faro-Magnets und der Klemme

  • Nehmen Sie fünf Messpunkte um den Äquator auf.

  • Kehren Sie die letzte Achse um und nehmen Sie weitere fünf Messpunkte um den Äquator herum auf.

  • Nehmen Sie fünf Messpunkte lotrecht zur Kugel von Ost nach West auf.

  • Kehren Sie die letzte Achse um und nehmen Sie vier Messpunkte lotrecht zur Kugel von West nach Ost auf.

  • Nehmen Sie fünf Messpunkte lotrecht zur Kugel von Nord nach Süd auf.

  • Kehren Sie die letzte Achse um und nehmen Sie vier Messpunkte lotrecht zur Kugel von Süd nach Nord auf.

  7. Beim Loch-Kalibrierverfahren fordert PC-DMIS Sie auf, die folgenden Messpunkte aufzunehmen:

  • Nehmen Sie zehn Messpunkte in der Bohrung auf, während Sie den Griff drehen.

  • Nehmen Sie weitere zehn Messpunkte aus der umgekehrten Richtung in der Bohrung auf.

  8. Klicken Sie auf OK, wenn Sie mit der Kalibrierung fertig sind.


SP600-Kalibrierangaben

Nachstehend werden einige Änderungen am Kalibrierungsverfahren für SP600-Taster beschrieben, die in den Versionen 3.25 und höher vorgenommen wurden.

Siehe auch:

Hinweise zur SP600-Untere Matrix:

Hinweise zur SP600-Oberschichtmatrix (Reguläre Kalibrierung):

Scheibentaster-Kalibrierangaben und -verfahren


Hinweise zum SP600 - Untere Matrix:

In dem unteren Matrixverfahren wird nun die von Brown and Sharpe Engineering entwickelte AP_COMP-Methode angewandt. Es wurden die folgenden drei neuen Einstellungen erstellt und unter der Überschrift ANALOG_PROBING im PC-DMIS-Einstellungseditor zur Verfügung gestellt. Dazu gehören:

SP6MTXMaxKraft=0,54

SP6MTXHoheKraft=0,3

SP6MTXNiedrigeKraft=0,18

Derzeit ist bei der Eingabe der Werte für diese Einstellungen während des unteren Matrixverfahrens der Empfehlung von Brown and Sharpe Engineering zu folgen. Diese Einträge werden beim ersten Start des unteren Matrixverfahrens erzeugt (wenn sie nicht bereits existieren).

Sie sollten diese Werte erst ändern, wenn Brown and Sharpe Engineering in Zukunft neue Empfehlungen in dieser Hinsicht gibt. Das untere Matrixverfahren wird diese Einstellungen verwenden, ungeachtet möglicher OPTIONSTASTER-Befehle, die im aktuellen Werkstückprogramm vorliegen könnten.

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Weitere Informationen zum unteren Matrixverfahren finden Sie unter dem folgenden Link zum Dokument SP600 Low Level Matrix auf der Website von Wilcox Associates, Inc.:

http://www.wilcoxassoc.com/Downloads/dl_instructionalfiles.htm


Hinweise zum SP600 - Obere Matrix (Reguläre Kalibrierung):

Die folgenden Hinweise gelten für eine Oberschichtmatrix-Kalibrierung im Falle der Verwendung eines analogen Tasters.

Die Verwendung von OPTIONSTASTER-Befehlen bei Analog-Tastern

Ein OPTION_TASTER-Befehl wird immer dann in das Werkstückprogramm eingefügt, wenn die Werte auf der Registerkarte Analoge Taster des Dialogfelds Parametereinstellungen geändert werden. Weitere Informationen zum Dialogfeld Parametereinstellungen finden Sie unter "Parametereinstellungen: Registerkarte "Analoge Taster"" im Abschnitt "Voreinstellungen".

Wenn PC-DMIS im aktuellen Werkstückprogramm vor dem TASTERLADEN-Befehl auf einen OPTION_TASTER-Befehl trifft, werden bei der Kalibrierung die Werte des OPTION_TASTER-Befehls verwendet. Wenn der OPTION_TASTER-Befehl nicht vor dem TASTERLADEN-Befehl vorkommt, wird PC-DMIS die im PC-DMIS Einstellungseditor gespeicherten Standardwerte verwenden.

Bei den Versionen 3.25 sollten Sie einen solchen OPTION_TASTER-Befehl einfügen, um sicherzustellen, dass die richtigen Werte im Kalibrierverfahren verwendet werden. Selbst wenn die zu verwendenden Parameter den regulären Standardwerten für das bestimmte KMG entsprechen, sollten Sie diese Werte trotzdem in einem OPTION_TASTER-Befehl vorgeben, da die Version 3.25 die KMG-spezifischen Standardeinstellungen nicht automatisch ohne entsprechenden OPTION_TASTER-Befehl verwendet.

In der Version 3.5+ müssen Sie die Standardmaschinenwerte nicht in einen OPTION_TASTER-Befehl einfügen, da PC-DMIS automatisch auf die KMG-spezifischen Standardeinstellungen zugreift, wenn kein OPTION_TASTER-Befehl gefunden wird. Die Standardparameter sind im ANALOG_PROBING-Abschnitt des PC-DMIS-Einstellungseditors gespeichert.

Achtung: Die Verwendung des OPTION_TASTER-Befehls könnte die Beweglichkeit des Werkstückprogramms einschränken. Da PC-DMIS KMG-spezifische Daten im OPTION_TASTER-Befehl verwendet, könnten Ungenauigkeiten auftreten, wenn Sie das Werkstückprogramm auf einem Computer mit einem anderen KMG ausführen. Solange Sie den OPTION_TASTER-Befehl nicht wirklich benötigen (d.h. zur Messung eines sehr weichen Werkstücks), wird für diese Version allgemein von der Verwendung eines OPTION_TASTER-Befehls abgeraten. PC-DMIS kann automatisch auf die Standardmaschinenwerte des PC-DMIS-Einstellungseditors zugreifen.

Änderung der Standard-Kalibrieralgorithmen

Der standardmäßige 3D-Kalibrieralgorithmus für den SP600 wurde auf Trax geändert. Sie können den Registrierungseintrag zur Steuerung dieses Werts unter der Überschrift OPTION im Eintrag UseTraxWithSP600 finden.

PC-DMIS setzt diesen Wert standardmäßig auf "1", was bedeutet, dass Trax der Standardalgorithmus ist. Natürlich können Sie frei experimentieren, welcher Algorithmus am besten für Ihre besondere Situation funktioniert.

Wird die Trax-Kalibrierung für den SP600 verwendet, wird die effektive durch diese Kalibrierung erzeugte Tastspitzengröße vom Konstruktionswert abweichen.

Wird die Trax-Kalibrierung für analoge Taster anderen Typs als der SP600 auf KMGs aus Wetzlar verwendet, wird der Konstruktionswert der Tastspitze zugrundegelegt, da die Abweichung der Tastspitzengröße anders gehandhabt wird.

Kommt ein anderes Verfahren als die Trax-Kalibrierung zur Anwendung, wird der Konstruktionswert der Tastspitze zugrundegelegt.

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Aufnehmen von zusätzlichen Mustermesspunkten

Achtung: Der Eintrag UseAnalogSampling im Einstellungs-Editor wird nicht mehr unterstützt und sollte deswegen NICHT mehr verwendet werden. Stellen Sie sicher, dass UseAnalogSampling auf "0" gesetzt ist. Wenn der Wert auf "1" gestellt ist, können während des Kalibriervorgangs Bewegungsfehler auftreten.


Scheibentaster-Kalibrierangaben und -verfahren

Beim Kalibrieren einer Scheibentastspitze auf einem analogen Taster mit Hilfe der Kalibrierkugel müssen fünf Messpunkte im Feld Anz. der Messpkte. und zwei Ebenen im Feld Anzahl der Ebenen des Dialogfelds Taster messen angegeben werden.

Stellen Sie beim Definieren des Tasters sicher, dass es sich um eine Scheibentastspitze und nicht um eine Kugeltastspitze handelt. Nachdem Sie auf die Schaltfläche Messen im Dialogfeld Taster messen geklickt haben, erkennt PC-DMIS automatisch, dass es sich um einen analogen Taster mit einer Scheibentastspitze handelt und folgendermaßen vorgehen:

  • Wenn die Kugel bewegt wurde oder wenn Sie den Man.+CNC-Modus gewählt haben, fordert PC-DMIS Sie zur Aufnahme eines manuellen Messpunktes am äußersten oberen Ende der Kalibrierkugel (dem Nordpol) mit der Mitte der Unterseite des Scheibentasters auf. Wenn Ihre Tasterkonfiguration über einen zusätzlichen Kugeltaster an der Unterseite des Scheibentasters verfügt, dann stellen Sie sicher, dass der Messpunkt mit dieser Kugeltastspitze aufgenommen wird.

  • Wenn die Kugel nicht bewegt wurde und Sie den Man.+CNC-Modus nicht ausgewählt haben, nimmt PC-DMIS den Messpunkt oben am Kalibriernormal im CNC-Modus auf.

PC-DMIS beendet den Vorgang dann so im CNC-Modus:

  • Es werden vier Messpunkte oben auf der Kugel, unter Verwendung eines kreisförmigen Musters an der Unterseite des Scheibentasters, aufgenommen und daraus eine Ebene berechnet.

  • Es werden sechs Messpunkte auf zwei Ebenen aufgenommen, um eine hohe Annäherung an den Mittelpunkt der Kugel zu erreichen.

  • Der Mittelpunkt wird zusammen mit dem Vektor der Ebene verwendet, um das Fünf-Messpunkte-Muster, das darauf folgt, genau zu positionieren.

  • Es werden fünf Messpunkte, vier davon in einem kreisförmigen Muster um den Äquator der Kugel herum, und den fünften Messpunkt auf dem oberen Ende der Kugel, dem Pol, aufgenommen.

PC-DMIS erstellt zwei Registrierungseinträge im Einstellungs-Editor in der Tasterkalibriersektion, die Sie zur Bestimmung der Lage der Messpunkte, auf der Unterseite des Scheibentasters, während des Kalibriervorgangs verwenden können. Dazu gehören:

  • ProbeQualAnalogDiskBottomHitsDistanceFromEdge

  • ProbeQualAnalogDiskPlaneStartAngle

Weitere Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


SP600-Kalibrierverfahren

Die folgenden Verfahren beschreiben, wie die Unter- und Oberschichtmatrizes Ihres SP600-Tasters kalibriert werden.

Um in den folgenden Verfahren die beste Genauigkeit zu erzielen, ist eine Kalibrierkugel hoher Qualität zu verwenden. Das Kalibriernormal ist während des gesamten Kalibriervorgangs sehr sauber zu halten.

Siehe auch:

Durchführen einer Unterschichtmatrix-Kalibrierung

Durchführen einer Oberschichtmatrix-Kalibrierung


Durchführen einer Unterschichtmatrix-Kalibrierung

Die Unterschichtmatrix enthält die 3D- oder zentrierte Position des Tastereinsatzes. In den folgenden Fällen sollte die Unterschichtmatrix-Kalibrierung für den SP600 wiederholt werden:

  • immer dann, wenn der Tastkopf entfernt wurde,

  • immer dann, wenn der Tastkopf neu montiert wurde,

  • immer dann, wenn ein neuer SP600-Taster angehängt wurde,

  • immer dann, wenn der SP600 einen Schaden erlitten hat,

  • in regelmäßigen Intervallen, abhängig von Ihren besonderen Anforderungen.

Kalibrierverfahren:

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster). Menü-Übersicht anzeigen

  2. Prüfen Sie, ob die von Ihnen benötigten Winkel in der Liste Aktuelle Tastspitzen aufgeführt sind.

  3. Wählen Sie aus der Liste Aktuelle Tastspitzen den als Referenzposition verwendeten Winkel aus. In praktisch allen Fällen dürfte es sich dabei um den für die Z-Richtung verwendeten Winkel handeln. Sofern nicht ein Horizontalarm vorhanden ist, handelt es sich bei diesem Winkel in der Regel um die Tastspitze T1A0B0.

  4. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  5. Wählen Sie den Optionsschalter SP600 Untere Matrix im Bereich Durchzuführende Tätigkeit aus. Diese Option steht nur dann zur Auswahl, wenn Sie im Online-Betrieb arbeiten und den SP600 im Dialogfeld Taster-Hilfsprogramme eingerichtet haben.

  6. Ändern Sie gegebenenfalls die Werte in den Feldern An- /Rückfahrweg, Bewegungsgeschwindigkeit oder Messgeschwindigkeit.

  7. Wählen Sie ein geeignetes Kalibriernormal aus der Liste der verfügbaren Kalibriernormale aus.

  8. Klicken Sie auf die Schaltfläche Messen. PC-DMIS wird eine Warnmeldung mit der Information ausgeben, dass die KMG-spezifischen Parameter für die Unterschichtmatrix auf der Steuereinheit selbst geändert werden, wenn Sie fortfahren. Klicken Sie auf Ja, um die Kalibrierung fortzusetzen.

  9. PC-DMIS wird eine weitere Meldung mit der Frage einblenden, ob der Taster bewegt wurde. Klicken Sie auf Ja oder Nein.

  10. Als nächstes blendet PC-DMIS eine Meldung ein, die Sie auffordert, einen Messpunkt vertikal zum Kalibriernormal aufzunehmen. Wenn Sie von der Z-Position aus arbeiten, nehmen Sie den Messpunkt am höchsten Punkt des Kalibriernormals auf. Nach der Aufnahme dieses einen Messpunkts übernimmt PC-DMIS und beendet die Bestimmung der Mitte des Kalibriernormals. Hierzu werden:

  • drei Messpunkte um die Kugel herum und

  • 25 weitere Messpunkte um die Kugel herum aufgenommen.

  11. Sobald PC-DMIS die Mitte des Kalibriernormals gefunden hat, beginnt die eigentliche Unterschichtmatrix-Kalibrierung. PC-DMIS nimmt automatisch 20 Messpunkte (in einem Kreuzmuster 10 Messpunkte in der einen Richtung und 10 Messpunkte in der anderen Richtung) auf den Polen X+, X-, Y+, Y- und Z+ der Kalibrierkugel auf. So werden insgesamt 100 Messpunkte aufgenommen. In der Regel dauert dieser Vorgang fünf bis zehn Minuten.

  12. PC-DMIS blendet dann neun Zahlen zusammen mit einer Meldung ein, in der Sie gefragt werden, ob diese Zahlen korrekt sind. Dabei handelt es sich um die Unterschichtmatrixwerte. Wenn die Kalibrierung mit dem Taster in Z- -Richtung begonnen wurde, dann dürfte der ZZ-Wert (in der dritten Zeile und dritten Spalte) zwischen 0,14 und 0,16 liegen. Alle anderen Werte sollten bei etwa 0,1 oder niedriger liegen.

  13. Wenn die Werte korrekt sind, klicken Sie auf OK. PC-DMIS sendet einen Notausbefehl an das KMG und überschreibt die Unterschichtmatrixwerte auf der Steuereinheit dann durch diese neueren Werte. PC-DMIS blendet eine weitere Meldung mit der Aufforderung ein, das KMG zu starten.

  14. Betätigen Sie die Taste Maschinenstart auf Ihrer Bedieneinheit.

  15. Klicken Sie im Meldungsfeld auf OK.

PC-DMIS zeigt abermals das Dialogfeld Taster-Hilfsprogramme an. Beachten Sie bitte, dass die Referenz-Tastspitze in der Liste Aktuelle Tastspitzen nicht kalibriert ist. Die eigentlichen Tastspitzenwinkel werden nicht mit der Unterschicht-Kalibrierung kalibriert. Die Tastspitzenwinkel werden bei Durchführung der Oberschichtmatrix-Kalibrierung kalibriert.

Achtung: Wenn Sie nicht über eine gute Unterschichtmatrix verfügen, werden in manchen Scan-Routinen Probleme auftreten und das KMG könnte einige Scans möglicherweise nicht abschließen. Außerdem werden Sie Ungenauigkeiten feststellen.


Durchführen einer Oberschichtmatrix-Kalibrierung

Nachdem Sie die Kalibrierung der Unterschichtmatrix abgeschlossen haben, können Sie die reguläre Kalibrierung durchführen. Mit der Oberschicht-Kalibrierung werden die eigentlichen Tastspitzen kalibriert. Außerdem wird eine andere Zahlenmatrix an die Steuereinheit gesendet, die auf Basis der aktuellen Tasterkonfiguration und –ausrichtung kleine Korrekturen vornimmt.

Zur Erzielung einer größeren Genauigkeit sollte PC-DMIS Tastermesspunkte aufnehmen und einen kompletten Durchlauf um den Äquator der Kalibrierkugel herum messen. Wenn Sie einen guten Abdeckungswinkel auf der Kugel haben, werden Sie bessere Ergebnisse erhalten. Die Start- und Endwinkel für den Messdurchlauf um den Kugeläquator können durch diese Einstellungen im Abschnitt [ProbeCal] des PC-DMIS-Einstellungseditors gesteuert werden:

FullSphereAngleCheck=25.0

ProbeQualToolDiameterCutoff=18.0

ProbeQualLargeToolStartAngle1=50.0

ProbeQualLargeToolEndAngle1=310.0

ProbeQualSmallToolStartAngle1=70.0

ProbeQualSmallToolEndAngle1=290.0

Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Kalibrierverfahren

Zur Durchführung einer Oberschichtmatrix-Kalibrierung gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Schaltfläche Messen.

  3. Wählen Sie die Option Tastspitzen kalibrieren im Bereich Durchzuführende Tätigkeit aus.

  4. Wählen Sie im Bereich Kalibriermodus die Methode Benutzerdefiniert aus. Da mit der Standardmethode nur Messpunkte um den Durchmesser herum und ein Messpunkt oben auf der Kalibrierkugel aufgenommen werden, ist die 3D-Relation des Tastermittelpunkts nicht sehr gut. Wenn Sie jedoch mit der Standardmethode kalibrieren wollen, sollten Sie die folgenden "Hinweise zum SP600-Standard(2D)-Kalibrierverfahren" gelesen haben.

  5. Geben Sie die Zahl 3 in das Feld Anzahl der Ebenen ein. Sie können weitere Ebenen eingeben, sofern damit nicht die Anzahl der aufzunehmenden Messpunkte überschritten wird. Als Mindestwert für die Ebenen sollte jedoch "drei" eingegeben werden.

  6. Geben Sie die Zahl 0 in das Feld Startwinkel ein.

  7. Geben Sie die Zahl 90 in das Feld Endwinkel ein.

  8. Geben Sie die Zahl 25 in das Feld Anz. der Messpkte. ein. Sie können auch veranlassen, dass PC-DMIS nur 12 Messpunkte aufnimmt. Allgemein empfiehlt es sich jedoch, 25 Messpunkte aufzunehmen.

  9. Klicken Sie auf die Schaltfläche Messen, wenn der Vorgang gestartet werden kann.

  10. Wenn Sie die Option "Analoge Antastung" im PC-DMIS-Einstellungseditor aktiviert haben, wird PC-DMIS automatisch fünf Messpunkte um die Kalibrierkugel herum aufnehmen, um die Mitte des Kalibriernormals besser zu definieren.

  11. Dann kalibriert PC-DMIS die AB-Winkelpositionen und überträgt die Zahlen der Oberschichtmatrix automatisch in die Steuereinheit. Diese Zahlen werden automatisch stimmen, wenn Sie das Verfahren zur Unterschichtmatrix-Kalibrierung korrekt ausgeführt haben.

PC-DMIS zeigt abermals das Dialogfeld Taster-Hilfsprogramme an. Die aktuellen Tastspitzen sind nun kalibriert und Sie können damit beginnen, das Werkstückprogramm mit dem neu kalibrierten SP600-Taster zu programmieren.

Hinweise zum SP600-Standard(2D)-Kalibrierverfahren

Wenn Sie im Bereich Kalibriermodus die Auswahl Standard treffen, wird PC-DMIS fünf Messpunkte in das Feld Anz. der Messpkte einfügen. Wenn Sie das Kalibrierverfahren starten, wird PC-DMIS diese Messpunkte auf den senkrecht zu der Tasterposition verlaufenden Achsen aufnehmen.

Vorsicht: Bitte beachten Sie, dass es bei der Kalibrierung von Tastspitzen mit einem A90-Winkel im Standard-Kalibriermodus dazu kommen kann, dass der Taster mit dem Schaft der Kalibrierkugel kollidiert. Dies gilt für Fälle, in denen der Schaft aus dem Boden der Kugel herauskommt (Schaftvektor 0, 0, 1). Der Grund ist, dass der Taster versucht, einen Messpunkt in der Z-Position der Kugel aufzunehmen. Verwenden Sie einen abgeschrägten Schaft oder kalibrieren Sie keine Tastspitzen mit A90-Winkeln oder versuchen Sie, im benutzerdefinierten Kalibriermodus zu arbeiten, um dieses Problem zu umgehen.


AutoKalibrieren-Taster

PC-DMIS enthält einen Befehl, der den aktuellen Taster während der Ausführung des Werkstückprogramms automatisch kalibriert. PC-DMIS beginnt die Kalibrierroutine, sobald der Befehl ausgeführt wird.

Wählen Sie die Menüoption Einfügen | Kalibrieren | AutoKalibrieren Taster , um den Befehl einzufügen.

Die im Bearbeitungsfenster für diesen Vorgang angezeigte Befehlszeile lautet:

AUTO_KALIBRIEREN/TASTER, PARAMETERSATZ=, KALIBRIERNORMAL_BEWEGT=J/N, ÜBERSICHT_ANZEIGEN=J/N, ERGEBNISDATEI_ÜBERSCHREIBEN=J/N

PARAMETERSATZ= Dieses Feld gibt den Namen eines definierten Satzes an Tasterkalibrierungsparametern an. Es ist stets ein Satz mit der Bezeichnung ALLE_MIT_STANDARD verfügbar, der alle für den aktuellen Taster definierten Tastspitzen mit Hilfe der Standardkalibrierungsparameter kalibriert. Hierbei handelt es sich um die zuletzt interaktiv verwendeten Parameter. Informationen zum Erstellen Ihrer eigenen Parametersätze finden Sie unter "Parametersätze".

KALIBRIERNORMAL_BEWEGT= Mit diesem JA/NEIN-Feld wird Ihre Antwort auf die Anfrage des Computers eingestellt, ob das Kalibriernormal bewegt wurde oder nicht.

ÜBERSICHT_ANZEIGEN= Mit diesem JA/Nein-Feld wird bestimmt, ob PC-DMIS eine Zusammenfassung der Kalibrierung anzeigt oder nicht.

ERGEBNISDATEI_ÜBERSCHREIBEN= Mit diesem JA/NEIN-Feld wird angegeben, ob PC-DMIS die in der Ergebnisdatei gespeicherten Informationen überschreibt oder weitere Informationen an die Datei anhängt. Hierbei handelt es sich um dieselbe Ergebnisdatei, auf die bei der interaktiven Kalibrierung Bezug genommen wird.

Wenn Sie in diesem Befehlsabschnitt die F9-Taste drücken, können Sie den Abschnitt mit Hilfe der Dialogfelder Tastspitze kalibrieren oder Taster kalibrieren bearbeiten.

Sie können auch einen Befehl zum automatischen Kalibrieren von Mehrarmsystemen einfügen. Weitere Informationen finden Sie unter "Durchführen einer automatischen Kalibrierung" im Abschnitt "Arbeiten im Mehrarmbetrieb".

Siehe auch:

So lassen Sie eine einzelne Tastspitze automatisch kalibrieren


So lassen Sie eine einzelne Tastspitze automatisch kalibrieren

So lassen Sie eine automatische Kalibrierung der aktuellen Tastspitze durchführen:

  1. Stellen Sie sicher, dass in Ihrem Werkstückprogramm mindestens ein Kugelelement vorhanden ist. PC-DMIS benötigt für diesen Kalibriertyp ein Kugelelement.

  2. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus.

  3. Wählen Sie in der Symbolleiste Einstellungen die zu kalibrierende Tastspitze aus. Im Bearbeitungsfenster wird ein neuer Befehl TASTSPITZE angezeigt. Stellen Sie sicher, dass dieser neue Befehl im Bearbeitungsfenster hinter dem Kugelelement angezeigt wird, das Sie für diese Kalibrierung verwenden.

  4. Öffnen Sie die Menüoption Einfügen | Kalibrieren | Einzelne Tastspitze auf einer beliebigen Zeile, die dem Befehl TASTSPITZE folgt. Menü-Übersicht anzeigen

  5. PC-DMIS fügt den Befehlssatz AKTIVE TASTSPITZE KALIBRIEREN MIT Element_ID in das Bearbeitungsfenster ein.

  6. Klicken Sie auf eine beliebige Stelle in diesem Befehlssatz und drücken Sie F9. Das Dialogfeld Tastspitze kalibrieren wird angezeigt.

Tastspitze kalibrieren (Dialogfeld)

  7. Geben Sie das zu verwendende Kugelelement im Feld Kugel Element an.

  8. Wählen Sie aus der Liste Kalibriernormal das gewünschte Kalibriernormal aus.

  9. Wurde dieses Kalibriernormal seit der letzten Kalibrierung verschoben, aktivieren Sie das Kontrollkästchen Kalibriernormal wurde verschoben.

  10. Klicken Sie auf OK, um den Kalibrierbefehlssatz mit Ihren Änderungen zu aktivieren. Im nachfolgenden Beispiel wird im Befehlssatz angegeben, dass das Kalibrierinstrument den Namen MeinInstr trägt und dass SPH1 das für diese Kalibrierung zu verwendende Kugelelement ist.

AKTIVE TASTSPITZE KALIBRIEREN MIT ELEMENT-ID=SPH1, KALIB_NORMAL_ID=MEININSTR, BEWEGT=NEIN
ACHSE | NENN | MESS | ABW | STD_ABW
X | 0.0000 | 8.0080 | 8.0080 |
Y | 0.0000 | 1.0000 | 1.0000 |
Z | 0.0000 | 0.9500 | 0.9500 |
DURCHM | 2.0000 | 1.0000 | 1.0000 | 0.0000

  11. Markieren Sie diesen Befehlssatz und führen Sie das Werkstückprogramm aus. PC-DMIS kalibriert die aktive Tastspitze, sobald dieser Befehlssatz erreicht wird.


Definieren von starren Tastern

Bei PC-DMIS haben Sie die Wahl zwischen einem starren (feststehenden) Taster oder einem schaltenden Tastsystem (ST). Durch schaltende Taster (wie beispielsweise von Renishaw) meldet das KMG die Position, sobald der Taster mit dem Werkstück in Berührung kommt. Bei Auswahl eines STARREN Tasters erwartet PC-DMIS einen Taster, der bei Berührung des Werkstücks nicht automatisch reagiert.

Hinweis: Mit einem starren Taster können keine CNC-Kalibrierungen durchgeführt werden. Vergewissern Sie sich, dass der richtige Tastertyp ausgewählt wurde.

Weitere Informationen zum Arbeiten mit transportablen Maschinen, die starre Taster verwenden, finden Sie unter "Arbeiten mit transportablen Geräten".


Definieren von Sterntastern

Mit PC-DMIS können Sie verschiedene unterschiedliche Sterntaster-Konfigurationen definieren, kalibrieren und einsetzen. Ein Sterntaster besteht aus einer Tastspitze, die senkrecht (in der Z-Richtung, wenn Sie einen Vertikalarm einsetzen) auf die KMG-Platte zeigt. Vier weitere Tastspitzen sind horizontal ausgerichtet, wie die folgende Abbildung zeigt:

Eine typische Sterntaster-Konfiguration

In diesem Abschnitt wird beschrieben, der Sterntaster aufgebaut wird.

Wichtig: Aufgrund der Tatsache, dass es viele unterschiedliche KMG-Typen und Armkonfigurationen gibt, wird in den folgenden Verfahren und Beispielen davon ausgegangen, dass Sie ein Standard-Vertikalarm-KMG verwenden, dessen Messarm in Z-Richtung auf die KMG-Platte zeigt.

Siehe auch:

Aufbau des Sterntasters


Aufbau des Sterntasters

Sie können folgende Sterntaster-Konfigurationen aufbauen:

Anpassbarer 5-Wege-Sterntaster mit unterschiedlichen Tastspitzen.

Anpassbarer 5-Wege-Sterntaster. Bei dieser Art von Sterntaster wird ein zentraler Würfel mit fünf Gewindelöchern verwendet, in die verschiedene Tastspitzen eingeschraubt werden können.

Nicht-anpassbarer Sterntaster mit identischen Tastspitzen

Nicht-anpassbarer Sterntaster. Dieser Typ Sterntaster verfügt nicht über ein anpassbares 5-Wege-Zentrum. Obgleich er mit einem Würfel geliefert wird, gibt es keine Gewindelöcher und die vier horizontalen Tastspitzen sind fest am Würfel installiert. Die horizontalen Tastspitzen haben alle dieselbe Größe.

Nachdem Sie Ihren Taster aufgebaut haben, sollten Sie ihn mit Hilfe der Schaltfläche Messen des Dialogfelds Taster-Hilfsprogramme kalibrieren. Weitere Informationen zur Kalibrierung von Tastspitzen finden Sie unter "Messen".

Siehe auch:

Aufbau eines anpassbaren 5-Wege-Sterntasters

Aufbau eines vordefinierten Sterntasters


Aufbau eines anpassbaren 5-Wege-Sterntasters

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster). Menü-Übersicht anzeigen

  2. Geben Sie im Feld Tasterdatei einen Namen für die Tasterdatei ein.

  3. Wählen Sie Kein Taster definiert im Bereich Tasterbeschreibung.

  4. Wählen Sie den Taster aus der Liste Tasterbeschreibung aus. In dieser Dokumentation wird der Taster PROBETP2 verwendet. Der Taster sollte etwa folgender Abbildung entsprechen:

  5. Blenden Sie die Tasteransicht durch einen Doppelklick auf die Verbindung PROBETP2 im Bereich Tasterbeschreibung und durch das Deaktivieren des Kontrollkästchens Diese Komponente zeichnen aus.

  6. Wählen Sie Leere Verbindung Nr. 1 im Bereich Tasterbeschreibung.

  7. Wählen Sie den 5-Wege-Würfeleinsatz "EXTEN5WAY" aus der Liste Tasterbeschreibung aus. Fünf leere Verbindungen erscheinen im Bereich Tasterbeschreibung. Der Taster wird folgendermaßen dargestellt:

  8. Weisen Sie die für jede Leere Verbindung erforderlichen entsprechenden Tastspitzen und/oder Verlängerungen zu, bis Sie insgesamt fünf Tastereinsätze haben, wie im folgenden Beispiel:

    Es müssen nicht alle fünf Verbindungen ausgestattet werden.

Die der Leeren Verbindung Nr. 1 zugewiesene Tastspitze weist in dieselbe Richtung wie der Arm, auf dem sie sitzt. Dies ist die Z-Richtung.

Die der Leeren Verbindung Nr. 2 zugewiesene Tastspitze weist in Richtung X+.

Die der Leeren Verbindung Nr. 3 zugewiesene Tastspitze weist in Richtung Y+.

Die der Leeren Verbindung Nr. 4 zugewiesene Tastspitze weist in Richtung X-.

Die der Leeren Verbindung Nr. 5 zugewiesene Tastspitze weist in Richtung Y-.

  9. Klicken Sie auf OK, um die Änderungen zu speichern oder auf Messen, um den Taster zu kalibrieren. Weitere Informationen zur Kalibrierung von Tastspitzen finden Sie unter "Messen".


Aufbau eines vordefinierten Sterntasters

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster). Menü-Übersicht anzeigen

  2. Geben Sie im Feld Tasterdatei einen Namen für die Tasterdatei ein.

  3. Wählen Sie Kein Taster definiert im Bereich Tasterbeschreibung.

  4. Wählen Sie den Taster aus der Liste Tasterbeschreibung aus. In dieser Dokumentation wird der Taster PROBETP2 verwendet. Der Taster sollte etwa folgender Abbildung entsprechen:

  5. Blenden Sie die Tasteransicht durch einen Doppelklick auf die Verbindung PROBETP2 im Bereich Tasterbeschreibung und durch das Deaktivieren des Kontrollkästchens Diese Komponente zeichnen aus.

  6. Wählen Sie Leere Verbindung Nr. 1 im Bereich Tasterbeschreibung.

  7. Wählen Sie entweder 2BY18MMSTAR oder 10BY6.5STAR aus. In dieser Dokumentation wird der 2BY18MMSTAR verwendet. Der Taster sollte etwa folgender Abbildung entsprechen:

  8. Wählen Sie für jeden der vier Einträge Leere Verbindung im Bereich Tasterbeschreibung vier Mal dieselben Tastspitzen aus, jeweils eine für jede horizontale Tastspitze. In diesem Fall sollten Sie entweder vier Mal TIPSTAR2BY30 oder TIPSTAR2BY18 auswählen. In dieser Dokumentation wird die TIPSTAR2BY30 verwendet.

  9. Klicken Sie auf OK, um die Änderungen zu speichern oder auf Messen, um den Taster zu kalibrieren. Weitere Informationen zur Kalibrierung von Tastspitzen finden Sie unter Messen.


Definieren von Maschinen

KMG (Dialogfeld)

Die Menüoption Einfügen | Hardwaredefinition | Maschine zeigt das Dialogfeld KMG an.

Der Benutzer kann mit Hilfe dieses Dialogfelds ein KMG wählen oder erstellen, das dann im Programmiermodus zusammen mit dem Taster im Grafikfenster angezeigt und animiert werden kann.

In diesem Dialogfeld wird anhand der Dateien "machine.dat" und "usermachine.dat" (die sich im Installationsverzeichnis von PC-DMIS befinden) eine Liste mit Maschinen erstellt.

  • In der Datei "machine.dat" sind Maschinenbeschreibungen enthalten, die von den PC-DMIS-Entwicklern erstellt wurden.

  • In der Datei "usermachine.dat" sind die Maschinenbeschreibungen zu allen vom Benutzer erstellten und gespeicherten Maschinen enthalten.

Wenn Sie in der Liste Maschinenname einen Eintrag markieren, der sich in der Datei "machine.dat" befand, dann wird die Auswahl im Voransichtsbereich (leerer blauer Bildschirm) angezeigt.

Ist keine Datei namens "machine.dat" vorhanden, wird dem Benutzer in der Liste Maschinenname nur der Eintrag Keine Maschine angezeigt.

Siehe auch:

Erstellen einer neuen Maschine zur Ansicht

Anzeige vorhandener Maschinen im Grafikfenster

Entfernen der animierten Maschine aus dem Grafikfenster


Erstellen einer neuen Maschine zur Ansicht

So erstellen Sie eine neue Maschine:

  1. Geben Sie den Namen für die Maschine in die Liste Maschinenname ein.

  2. Wählen Sie den Maschinentyp aus der Liste Maschinentyp aus.

  3. Legen Sie die Maschinenabmessungen durch Eingabe der Länge, Breite und Höhe der Achsen fest:

  • Spezifizieren Sie die 1. Achse, indem Sie X, Y oder Z aus der Liste 1. Achse auswählen. Geben Sie die Länge der Maschinenbasis in das Feld 1. Achse ein.

  • Spezifizieren Sie die 2. Achse, indem Sie X, Y oder Z aus der Liste 2. Achse auswählen. Geben Sie die Breite der Maschinenbasis in das Feld 2. Achse ein.

  • Spezifizieren Sie die 3. Achse, indem Sie X, Y oder Z aus der Liste 3. Achse auswählen. Geben Sie die Maschinenhöhe in das Feld 3. Achse ein.

  4. Geben Sie die Home-Position der Maschine ein, indem Sie die Werte im Bereich Null-Position eingeben.

  5. Klicken Sie auf die Schaltfläche Speichern. PC-DMIS fügt die neu erstelle Maschine in die Liste Maschinenname ein.

Hinweis: Die Änderungen an der Datei "usermachine.dat" werden erst dann wirksam, wenn Sie auf Übernehmen oder OK klicken. Wenn Sie auf Abbrechen klicken, werden alle Änderungen ignoriert.

Siehe auch:

Zusätzliche Informationen zu den Maschinenachsen

Zusätzliche Informationen zu dem Bereich "Null-Position der Maschine"

Zusätzliche Informationen für das Erstellen von Mehrarm-KMGs


Zusätzliche Informationen zu den Maschinenachsen

Mit der 1. Achse wird die Länge der Maschinenbasis in der Bewegungsrichtung der Brücke (bei Brückenmaschinen) oder in der Bewegungsrichtung des vertikalen Schlittens (bei Horizontalarm-Maschinen) definiert. Bei den meisten Horizontalarm-Maschinen handelt es sich in der Regel um die X-Achse. Bei den meisten Vertikalarm-Maschinen handelt es sich entweder um die X- oder die Y-Achse.

Mit der 2. Achse wird die Basisbreite in der Bewegungsrichtung des Schlittens (bei Brückenmaschinen) oder in der Bewegungsrichtung des Arms (bei Horizontalarm-Maschinen) definiert. Bei den meisten Horizontalarm-Maschinen handelt es sich um die vertikale Z-Achse. Bei den meisten Vertikalarm-Maschinen handelt es sich entweder um die X- oder die Y-Achse. Es geht hierbei nicht um das Maschinenvolumen. Das Volumen definiert die Reichweite des Arms. Das Volumen der meisten Messarm-Maschinen beträgt etwas mehr als 50% der Breite.

Mit der 3. Achse wird die Höhe vom oberen Ende der Basis zur Unterseite der Brücke (bei Brückenmaschinen) oder die Länge der vertikalen Achse (bei Horizontalarm-Maschinen) definiert. Bei den meisten Brückenmaschinen handelt es sich um die vertikale Z-Achse. Bei den meisten Horizontalarm-Maschinen handelt es sich um die Y-Achse. Derzeit sind nur folgende Achskonfigurationen zulässig:

  • Allgemeine Brücke mit Y, X, Z oder X, Y, Z

  • Allgemeiner Messarm mit X, Y, Z


Zusätzliche Informationen zu dem Bereich "Null-Position der Maschine"

Diese drei Felder definieren den Maschinennullpunkt. Die Werte x,y,z definieren die Position des Maschinennullpunkts. Die Mitte der Maschinenbasis befindet sich bei 0,0,0. Diese Koordinaten dienen jedoch bei den meisten Maschinen nicht zum Anzeigen des Maschinennullpunkts. Die Werte x,y,z sind von der Maschinenbasisposition 0,0,0 versetzt.

Betragen die Maschinenabmessungen beispielsweise 1000, 700, 700 und der aktuelle Maschinennullpunkt befindet sich oben links in der hinteren Ecke, beträgt der Maschinenversatz -350, 500, und 350 für die 1., 2. beziehungsweise 3. Achse.


Zusätzliche Informationen für das Erstellen von Mehrarm-KMGs

Sie können eine simulierte Mehrarmmaschine erstellen, um diese im Grafikfenster anzeigen zu lassen.

  1. Befolgen Sie PC-DMIS' Anweisungen zum Einrichten des Mehrarmbetriebs.

  2. Mehrarmbetrieb aktivieren. Die Symbolleiste Aktuelle Arme wird angezeigt. Dadurch wird die Option Dual-Horizontal-Arm aus dem Bereich Maschinentyp aktiviert.

  3. Erstellen Sie ein Mehrarm-Werkstückprogramm.

  4. Gehen Sie nach dem unter "Erstellen einer neuen Maschine zur Ansicht" beschriebenen Verfahren vor (stellen Sie sicher, dass Sie den Optionsschalter Dual-Horizontal-Arm aus dem Bereich Maschinentyp aktiviert haben).

  5. Im Grafikfenster sollte nun eine Doppelarmmaschine angezeigt werden, wenn Sie den Vorgang beendet haben.


Anzeige vorhandener Maschinen im Grafikfenster

Um eine Maschine im Grafikfenster anzeigen zu lassen, öffnen Sie das Dialogfeld KMG, wählen Sie eine Maschine aus der Liste Maschinenname und klicken Sie auf OK. Die grafische Darstellung der ausgewählten Maschine erscheint im Grafikfenster zusammen mit der CAD-Darstellung des Werkstücks.

PC-DMIS fügt auch einen MASCHINELADEN/NAME-Befehl in das Bearbeitungsfenster ein, wobei NAME dem Maschinennamen entspricht.

Siehe auch:

Hervorbringen einer Relation zwischen KMG und Werkstück


Herstellen einer Relation zwischen KMG und Werkstück

Es gibt zwei Möglichkeiten, um eine Relation zwischen dem KMG-Modell und dem CAD-Modell des Werkstücks herzustellen.

  1. Online-Modus – Die Elemente des Werkstücks müssen gemessen werden. Anschließend wird eine Ausrichtung erstellt, die einen "CAD zu Werkstück"-Vorgang durchführt (Ausrichtungsoption CAD gleich Werkstück oder Option Iterative Ausrichtung unter Verwendung von CAD-Nennwerten). Weitere Informationen zu diesen Optionen finden Sie unter "Erstellen und Verwenden von Ausrichtungen".

  2. Offline-Modus – Über die Registerkarte Werkstück/Maschine des Dialogfelds Setup-Optionen können Sie die erforderlichen X-,Y- und Z-Versätze und -Rotationen erstellen, um die richtige Ausrichtung zu erhalten. Siehe auch "Setup-Optionen: Registerkarte Werkstück/Maschine" im Abschnitt "Voreinstellungen".


Entfernen der animierten Maschine aus dem Grafikfenster

Sie können die Grafikanzeige des KMGs jederzeit entfernen. Die Verfahren werden nachstehend beschrieben.

Siehe auch:

Den Eintrag "Keine Maschine" auswählen

Den Befehl MASCHINELADEN löschen

Löschen der Maschine


Den Eintrag "Keine Maschine" auswählen

Um die animierte Maschinendarstellung aus dem Grafikfenster durch Auswahl des Eintrags Keine Maschine zu entfernen, gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld KMG. Menü-Übersicht anzeigen

  2. Wählen Sie Keine Maschine aus der Liste Maschinenname.

  3. Klicken Sie auf Übernehmen oder auf OK. PC-DMIS entfernt die Anzeige der Maschine.


Den Befehl MASCHINELADEN löschen

Um die animierte Maschinendarstellung aus dem Grafikfenster durch Löschen des Befehls MASCHINELADEN zu entfernen, gehen Sie vor wie folgt:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Versetzen Sie PC-DMIS in den Übersichts- oder Befehlsmodus.

  3. Löschen Sie den kompletten Befehl MASCHINELADEN/. PC-DMIS entfernt die Anzeige der Maschine.


Löschen der Maschine

Um die animierte Maschinendarstellung aus dem Grafikfenster zu entfernen, indem die Maschine dauerhaft gelöscht wird, gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld KMG. Menü-Übersicht anzeigen

  2. Wählen Sie die zu löschende Maschine aus der Liste Maschinenname aus.

  3. Klicken Sie auf Löschen.

  4. Klicken Sie auf Übernehmen oder OK. PC-DMIS löscht die Maschine aus der Liste Maschinenname und entfernt die Anzeige der Maschine. Damit wird die Maschine auch aus der Datei "usermachine.dat" gelöscht.

Hinweis: Die Änderungen an der Datei "usermachine.dat" werden erst dann wirksam, wenn Sie auf Übernehmen oder OK klicken. Wenn Sie auf Abbrechen klicken, werden alle Änderungen ignoriert.


Aufspannungen einfügen

Mit der Version 3.6 MR1 von PC-DMIS und höher können Sie auf einfache Weise mit Hilfe des DialogfeldsAufspannungen eine Auswahl vordefinierter (oder benutzerdefinierter) Aufspannungen in das Grafikfenster einfügen.

Wählen Sie den Menüeintrag Einfügen | Hardwaredefinition | Aufspannung aus, um das Dialogfeld zu öffnen. Menü-Übersicht anzeigen

Dialogfeld "Aufspannungen"

Das Dialogfeld enthält folgende Optionen:

Vorhandene Aufspannungen – In dieser Liste werden die vorhandenen Aufspannungen angezeigt, die Sie in das Grafikfenster importieren können. Diese Aufspannungen werden im Models\QuickFix\ PC-DMIS-Installations-Unterverzeichnis abgelegt.

Angezeigte Aufspannungen – In dieser Liste werden alle derzeitig angezeigten Aufspannungen im Grafikfenster dargestellt.

Einfügen – Mit dieser Schaltfläche wird die ausgewählte Aufspannung aus der Liste Vorhandene Aufspannungen in die Liste Angezeigte Aufspannungen verschoben, wobei Sie die ausgewählte Aufspannung im Grafikfenster anzeigen können.

Entfernen - Mit dieser Schaltfläche wird die ausgewählte Aufspannung aus der Liste der Angezeigten Aufspannungen entfernt.

Neue Aufspannung – In diesem Bereich können Sie Ihre eigenen Aufspannungen zur Liste Vorhandene Aufspannungen hinzufügen. Bei neuen Aufspannungen muss es sich um eine IGES-Datei handeln. Das Feld Dateiname zeigt den vollständigen Pfad für die Aufspannung, die Sie hinzufügen möchten, an. Mit der Schaltfläche Suchen wird nach der gewünschten IGES-Datei gesucht und mit der Schaltfläche Hinzufügen fügen Sie die neue Aufspannung tatsächlich in die Liste vorhandener Aufspannungen ein.

Voransicht Aufspannung - Im Bereich unterhalb des Bereichs Neue Aufspannung erhalten Sie eine Voransicht der aktuell ausgewählten Aufspannung der Liste Vorhandene Aufspannungen.

Siehe auch:

Einfügen und Entfernen von Aufspannungen

Benutzerdefinierte Aufspannungen hinzufügen

Maus- und Tastaturbefehle für den Aufspannungsmodus


Einfügen und Entfernen von Aufspannungen

So fügen Sie eine Aufspannung in das Grafikfenster ein:

  1. Öffnen Sie das Dialogfeld Aufspannungen.

  2. Wählen Sie die gewünschte Aufspannung aus der Liste Vorhandene Aufspannungen. Im Voransichtsbereich des Dialogfeldes blendet PC-DMIS eine Anzeige der Aufspannung ein.

  3. Klicken Sie auf die Schaltfläche Einfügen. Der Name der Aufspannung erscheint in der Liste Angezeigte Aufspannungen und das Modell der Aufspannung erscheint im Grafikfenster.

So entfernen Sie eine Aufspannung aus dem Grafikfenster:

  1. Öffnen Sie das Dialogfeld Aufspannungen.

  2. Wählen Sie die zu entfernende Aufspannung aus der Liste Angezeigte Aufspannungen aus.

  3. Klicken Sie auf die Schaltfläche Entfernen. PC-DMIS entfernt das Aufspannungsmodell aus dem Grafikfenster.


Benutzerdefinierte Aufspannungen hinzufügen

So fügen Sie benutzerdefinierte Aufspannungen zur Liste Vorhandene Aufspannungen hinzu:

  1. Öffnen Sie das Dialogfeld Aufspannungen.

  2. Klicken Sie im Bereich Neue Aufspannung auf die Schaltfläche Suchen. Nun erscheint das Dialogfeld Öffnen.

  3. Navigieren Sie zu Ihrem Aufspannungsmodell. Das Aufspannungsmodell kann über ein beliebiges Grafikformat verfügen. PC-DMIS blendet standardmäßig ein IGES-Dateiformat in der Liste Dateityp ein. Dieses Dateiformat kann auf eines der ausgewählten Formate geändert werden.

  4. Wählen Sie ein Modell aus und klicken Sie dann auf Öffnen. Das Dialogfeld Öffnen wird geschlossen und PC-DMIS zeigt den vollständigen Pfad zur Datei, die Sie im Bereichs Neue Aufspannung ausgewählt haben, an.

  5. Klicken Sie auf die Schaltfläche Hinzufügen. PC-DMIS fügt die Aufspannung in die Liste Vorhandene Aufspannungen ein. Diese Aufspannung erscheint sogar für andere Werkstückprogramme in dieser Liste.


Maus- und Tastaturbefehle für den Aufspannungsmodus

Um die verschiedenen Maus- und Tastaturbefehle für Aufspannungen zu verwenden, muss PC-DMIS zuerst in den Aufspannmodus versetzt werden. Dazu klicken Sie auf das Symbol Aufspannmodus aus der Symbolleiste Grafikmodi.

  • Linke Maustaste gedrückt halten und dann ziehen - Dadurch wird das Aufspannungsobjekt unterhalb des Mauszeigers so lange bewegt, bis Sie die Taste wieder loslassen. Es erfolgt keine Aktion, bis Sie oben auf dem Objekt beginnen. Es können nur Aufspannungs- und CAD-Objekte bewegt werden.

  • Drücken der STRG-Taste + Linke Maustaste gedrückt halten und dann ziehen - Dadurch wird das 3D-Objekt unterhalb des Mauszeigers in die Richtung, in die die Maus gezogen wird, so lange gedreht, bis Sie die Taste wieder loslassen. Es können nur Aufspannungs- und CAD-Objekte gedreht werden.

  • Klicken der rechten Maustaste - Das Kontextmenü für die Aufspannung wird eingeblendet. Siehe auch "Kontextmenü 'Aufspannung'" unter "Verwenden von Tastaturbefehlen und Kontextmenüs".


Arbeiten mit vorhandenen Aufspannungen

PC-DMIS speichert Aufspannungsdateien mit der Dateinamenerweiterung ".DRAW" im Unterverzeichnis "models\quickfix" des Installationsverzeichnis von PC-DMIS.

Darüber hinaus speichert PC-DMIS eine Definition einer jeden Aufspannung in einer speziellen Datendatei (Dateinamenerweiterung ".dat"), die sich im Installationsverzeichnis von PC-DMIS befindet.

  • Wenn die Aufspannung ursprünglich zusammen mit PC-DMIS geliefert wurde, ist sie in der Datei QuickFix.dat abgelegt.

  • Handelt es sich bei der Aufspannung um eine vom Benutzer erstellte Aufspannung, dann ist die Definition in der Datei UserQuickFix.dat abgelegt.

Eine typische Aufspannungs-Datendatei besteht aus zwei Zeilen für jede Aufspannung, eine Zeile ITEM: und eine Zeile cadgeom. In einem Texteditor sieht diese Datei etwa so aus:

Ein kleines Beispiel einer QuickFix.Dat-Datei

Ein kleines Beispiel einer QuickFix.Dat-Datei

So verwenden Sie benutzerdefinierte Aufspannungen aus einer früheren Installation

  1. Schließen Sie PC-DMIS und öffnen Sie den Windows Explorer.

  2. Bevor Sie neue, benutzerdefinierte Aufspannungen für Ihre neue Installation erstellen, kopieren Sie die .DRAW-Dateien vom Unterverzeichnis "models\quickfix" Ihrer früheren Installation und fügen sie in das Unterverzeichnis "models\quickfix" Ihrer aktuellen PC-DMIS-Installation ein.

  3. Kopieren Sie die "userquickfix.dat"-Datei vom Verzeichnis Ihrer früheren Installation und fügen Sie sie in das Verzeichnis Ihrer aktuellen PC-DMIS-Installation ein.

  4. Starten Sie PC-DMIS neu. Die benutzerdefinierten Aufspannungen erscheinen nun im Dialogfeld Aufspannungen zusammen mit den Aufspannungen, die mit Ihrer aktuellen PC-DMIS-Installation geliefert wurde.

Hinweis: Die Aufspannungsdatei .DRAW erscheint nicht innerhalb des Dialogfelds Aufspannungen, es sei denn, die Datei userquickfix.dat enthält die erforderlichen Definitionen für die Datei. Diese Definitionen werden immer dann hinzugefügt, wenn Sie Ihre eigenen, benutzerdefinierten IGES-Dateien als Aufspannungen importieren, wobei Sie das Dialogfeld Aufspannungen verwenden (siehe Benutzerdefinierte Aufspannungen hinzufügen).

Wenn Sie die .DRAW-Dateien, die von einem anderen Anwender erstellt wurden, direkt verwendet möchten, Ihre eigenen Aufspannungen aber nicht durch einfaches kopieren der 'anderen' Datendateien überschreiben möchten, ist ein Texteditor zum zusammenfügen der nötigen ITEM:- und cadgeom-Zeilen für die Datendateien des anderen Anwenders in Ihre Datendateien notwendig.


Definieren von Tasterwechslern

Bevor der Tasterwechsler verwendet werden kann, müssen die Anschlussstellen des Wechslers definiert werden. Verfahren Sie dazu wie folgt. Obwohl PC-DMIS ein Vielzahl von Tasterwechslern unterstützt, wird hier nur der Kalibriervorgang des FCR25 beschrieben. Wenn Sie über einen anderen Tasterwechslertyp verfügen, machen Sie bitte von dieser Vorgehensweise Gebrauch, da sie für alle unterstützten Typen ähnlich ist.

Um mit dem Kalibriervorgang zu beginnen, öffnen Sie das Dialogfeld Tasterwechsler. Wählen Sie Bearbeiten | Voreinstellungen | Tasterwechsler.

Hinweis zu den Begriffen: Obwohl das Dialogfeld Tasterwechsler den Begriff "Garage" anstelle von "Anschluss" verwendet, verwenden die Eingabeaufforderungen, die Sie erhalten werden, den Begriff "Anschluss". Aus diesem Grund wird in dieser Dokumentation, es sei denn, es geht um Einträge des Dialogfelds Tasterwechsler, die den Begriff "Garage" benutzen, der Begriff "Anschluss" verwendet.

Siehe auch:

Kalibrieren des Tasterwechslers FCR25

Anzeige eines Animierten Tasterwechslers


Zum Einsehen folgender Seiten ist eine Internetverbindung erforderlich:

Ansicht des "Renishaw MRS" (modulares Tasterwechslersystem) - Internetverbindung erforderlich Ansicht des "Renishaw MRS" (modulares Tasterwechslersystem)
Anischt des "Renishaw FCR25-L3" - Internetverbindung erforderlich Ansicht des "Renishaw FCR25-L3"
 Ansicht des "Renishaw FCR25-L6"

Kalibrieren des Tasterwechslers FCR25

Der Kalibriervorgang für den Tasterwechsler FCR25 von Renishaw stellt die Schritte, die zur Vorbereitung der Anwendung eines der von PC-DMIS unterstützten Tasterwechslers aufgenommen werden, vor. Der hier beschriebene Vorgang gilt für den Tasterwechsler FCR25.

Zwei Einsätze, der PA25-SH und der PA25-20, werden zusammen mit dem FCR25-Magazin verwendet, um die verschiedenen Tastertypen unterzubringen.

Einsätze PA25-SH und PA25-20

Einsätze PA25-SH und PA25-20

Das folgende Bild eines FCR25-Tasterwechslers zeigt beispielsweise drei Anschlüsse, zwei mit Einsätzen und einen ohne Einsatz (Taster sind ebenfalls abgebildet). Der linke Anschluss zeigt einen PA25-SH-Einsatz und der Anschluss rechts zeigt einen PA25-20-Einsatz. Der mittlere Anschluss hat keinen Einsatz.

FCR25 Tasterwechsler - Anzeige von Einsätzen und Tastertypen

Achtung: Der Tasterwechsler FCR25 muss zur erfolgreichen Kalibrierung auf dem Maschinentisch parallel zur X- oder Y-Achse montiert sein. Der Tasterwechsler FCR25 kann mit dem MRS-Magazin oder den eigenständigen 3- oder 6-Anschlussmagazinen auf den Tisch montiert werden.

Eine Anleitung zur Montage finden Sie in der Dokumentation, die mit Ihrem Tasterwechsler geliefert wurde.

So kalibrieren Sie den Tasterwechsler FCR25:

  • Schritt 1 - Wählen Sie den Tasterwechsler FCR25 aus

  • Schritt 2 - Definieren Sie den Anfahrpunkt

  • Schritt 3 - Definieren Sie Anschlüsse

  • Schritt 4 - Beginnen Sie mit der Kalibrierung

  • Schritt 5 - Stellen Sie den Tasterwechsler bereit

  • Schritt 6 - Anschluss 1 mit Einsatz PA25-SH messen

  • Schritt 7 - Anschluss 3 mit Einsatz PA25-20 messen

  • Schritt 8 - Anschluss 2 ohne Einsatz messen

  • Schritt 9 - Überprüfen der Kalibrierergebnisse


Schritt 1 - Wählen Sie den Tasterwechsler FCR25 aus

Zum Starten des Kalibriervorgangs wählen Sie Bearbeiten | Einstellungen | Tasterwechsler, um das Dialogfeld Tasterwechsler zu öffnen.

Dialogfeld "Tasterwechsler" - Registerkarte "Art"

Gehen Sie wie folgt vor, um den Tasterwechsler FCR25 auszuwählen:

  1. Wählen Sie im Dialogfeld Tasterwechsler die Registerkarte Art.

  2. Wählen Sie aus der Liste Tasterwechslertyp die Option FCR25.

  3. Klicken Sie auf Übernehmen, um diesen Tasterwechsler zu aktivieren und um die für diesen Tasterwechsler wichtigen Einstellungen zu laden.

  4. Geben Sie die Anzahl der verschiedenen Tasterwechslertypen im Feld Anzahl der Tasterwechsler an.

  5. Bestimmen Sie die Kopplungsgeschwindigkeit. Der Standardwert von 5% ist für die meisten Maschinenkonfigurationen der richtige Wert.

  6. Klicken Sie auf Übernehmen, um die Änderungen zu akzeptieren.

Im nächsten Schritt werden Sie die Lage, zu der sich der Tastkörper bei der Verwendung des Tasterwechslers zum Wechseln der Tasterkomponenten bewegt, definieren.

Nächster Schritt...


Schritt 2 - Definieren Sie den Anfahrpunkt

Der Anfahrpunkt für den Tasterwechsler FCR25 ist die Stelle vor dem Tasterwechsler, an die sich das KMG bewegt, bevor ein Taster aufgenommen oder abgelegt wird. Sie sollten eine Stelle bestimmen, die eine Kollision mit dem Tasterwechsler oder dem Werkstück vermeidet.

Dialogfeld "Tasterwechsler" - Registerkarte "Anfahrpunkt"

Folgen Sie den nun beschriebenen Schritten zur Angabe des Anfahrpunkts für den Tasterwechsler FCR25:

  1. Wählen Sie im Dialogfeld Tasterwechsler die Registerkarte Anfahrpunkt.

  2. Wählen Sie aus der Liste Aktueller Tasterwechsler die Option TYPE=FCR25.

  3. Ändern Sie den DSE-Winkel für Tastkopf sowohl für den A-Winkel als auch für den B-Winkel. Typischerweise sind diese Werte "0" bzw. "0".

  4. Bewegen Sie das KMG mit Hilfe des Bedienelements manuell in die gewünschte Anfahrpunktposition.

  5. Klicken Sie auf die Schaltfläche KMG lesen. Dadurch werden die X-, Y- und Z-Werte der Machinen-Position mit der aktuellen Position bestückt. Sie können diese Werte auch manuell eingeben.

  6. Klicken Sie auf Übernehmen, um die Änderungen zu akzeptieren.

Im nächsten Schritt werden Sie die Anschlüsse, die von Ihrem Tasterwechsler verwendet werden, definieren.

Nächster Schritt...


Schritt 3 - Definieren Sie Anschlüsse

Das in dieser Dokumentation beschriebene Beispiel hat einen PA25-SH-Einsatz im Anschluss 1 (links), KEINEN EINSATZ im Anschluss 2 (Mitte) und einen PA25-20-Einsatz im Anschluss 3 (rechts).

Folgen Sie den nun beschriebenen Schritten zur Definition der Anschlüsse für den Tasterwechsler FCR25:

  1. Wählen Sie aus der Liste Aktueller Tasterwechsler die Option TYPE=FCR25.

  2. Geben Sie im Feld Anzahl der Tastergaragen die Anzahl der Anschlüsse, teilbar durch 3, für den(die) Tasterwechsler FCR25 ein. PC-DMIS listet dann die angegebene Zahl von Anschlüssen als "Garagen" auf (beispielsweise Garage 1, Garage 2, Garage 3 usw.). Bis die Anschlüsse definiert werden, zeigen diese "Garagen"-Einträge "UNDEFINIERT" an.

Dialogfeld "Tasterwechsler" - Registerkarte "Tastergaragen" mit der Anzeige undefinierter Garagen

Dialogfeld "Tasterwechsler" - Registerkarte "Tastergaragen" mit der Anzeige undefinierter Garagen

  3. Wählen Sie eine Garage aus der Liste aus und klicken Sie auf Bearbeite Garagen. Das Dialogfeld Tasterwechsler Garagendaten wird angezeigt.

Dialogfeld "Tasterwechsler Garagendaten"

  4. Wählen Sie KEINE EINFÜGUNG, PA25-SH oder PA25-20 aus der Liste Art der Garagen aus.

  5. Sie können die XYZ-Werte für die Position des Mittelpunkts des Anschlusses eingeben oder das Feld dafür frei lassen. Auf jeden Fall wird PC-DMIS diese Werte bei erfolgreicher Kalibrierung automatisch eintragen. Siehe "Schritt 9 - Überprüfen der Kalibrierergebnisse".

  6. Klicken Sie auf OK, um die Änderungen der Garagendaten zu speichern. Wiederholen Sie Schritt 3-5 für alle Anschlüsse in Ihrem Wechsler.

Dialogfeld "Tasterwechsler" - Registerkarte "Tastergaragen"

  7. Klicken Sie auf Übernehmen, um die Änderungen zu akzeptieren.

Sie können nun mit der Kalibrierung beginnen. Im nächsten Schritt wird mit dem Kalibriervorgang begonnen.

Nächster Schritt...


Schritt 4 - Beginnen Sie mit der Kalibrierung

Bevor Sie mit der Kalibrierung beginnen, müssen Sie die zu verwendenden Taster angeben bzw. prüfen.

Dialogfeld "Tasterwechsler" - Registerkarte "Kalibrieren"

Zur Bestimmung der Taster, die zur Kalibrierung des Tasterwechslers FCR25 verwendet werden, gehen Sie wie folgt vor:

  1. Wählen Sie im Dialogfeld Tasterwechsler die Registerkarte Kalibrieren.

  2. Wählen Sie aus der Liste Aktueller Tasterwechsler die Option TYPE=FCR25.

  3. Bestimmen Sie die Art der Kalibrierung. Wählen Sie zum Kalibrieren eines Anschlusses die Option Einzelne Garage einmessen oder zum Kalibrieren aller FCR25-Anschlüsse die Option Volles einmessen. Wenn Sie Einzelne Garage einmessen wählen, müssen Sie auch den erforderlichen Anschluss aus der Liste Anschluss des Tasterwechslers auswählen. In diese rDokumentation wird die Option Volles einmessen beschrieben.

  4. Wählen Sie den derzeitig befestigten Taster, der die aktuelle Tasterkonfiguration definiert, aus der Liste Aktuelle Tasterdatei aus, und wählen Sie die aktuelle Tastspitze aus der Liste Aktuelle Tastspitze aus.

  5. Sollte ein Anschluss eine zweite Tasterdatei zur Aufnahme des Tastertyps erfordern, wählen Sie die erforderliche Tasterdatei, die die zweite Tasterkonfiguration definiert, aus der Liste Zweite Tasterdatei aus. Wählen Sie dann die erforderliche Tastspitze aus der Liste Zweite Tastspitze aus. Ein PA25-20-Einsatz würde beispielsweise verlangen, dass Sie einen SO25TP20_3 oder so ähnlich angeben, um die mit dem Einsatz verwendete Größe des Tasters anzupassen.

  6. Klicken Sie auf Kalibrieren, wenn der Vorgang gestartet werden kann.

Im nächsten Schritt werden Sie den Tasterwechsler für die Kalibrierung bereitstellen.

Nächster Schritt...


Schritt 5 - Stellen Sie den Tasterwechsler bereit

Schritt 5 - Vorbereitung zur Kalibrierung

Hinweis: Der Kalibriervorgang kann leicht variieren, je nach Art und Lage der Einsätze für den jeweiligen Anschluss. Der hier beschriebene Vorgang soll Ihnen veranschaulichen, auf welche Weise PC-DMIS bei der Kalibrierung eines jeden Anschlusstyps vorgeht.

Nachdem Sie auf Kalibrieren geklickt haben, erscheint folgende Meldung:

  1. Lesen Sie die Anweisungen der vorangehenden Aufforderung und überprüfen Sie die korrekte Anzahl von Anschlüssen und FCR25-Einheiten (eine Einheit ist ein Satz von drei Anschlüssen).

  2. Öffnen Sie die Deckel zu jedem Anschluss und fügen Sie Unterlegkeile ein, um sie offen zu halten.

    Ein "Unterlegkeit" ist ein spitz zulaufendes Plastikteil, das zwischen zwei Anschlüsse passt, um deren Deckel geöffnet zu halten. Das rechte Bild zeigt eine Nahaufnahme eines Unterlegkeils zwischen Anschluss 2 und Anschluss 3, der die Deckel offen hält. Ohne einen Unterlegkeil würden sich die Deckel schließen, wie beim Anschluss 1 zu sehen ist.

    Nahaufnahme eines Unterlegkeils, der die Deckel von zwei Anschlüssen offen hält

  3. Entfernen Sie alle Module und Taster bei geöffneten Deckeln, indem Sie sie nach vorne heraus aus den Anschlüssen gleiten lassen, wie unten veranschaulicht.

  4. Klicken Sie auf OK, wenn Sie mit dem Messen von Anschluss 1 beginnen können.

Im nächsten Schritt wird PC-DMIS Anschluss 1 messen.

Nächster Schritt...


Schritt 6 - Messen von Anschluss 1

Schritt 6 - Anschluss 1 mit Einsatz PA25-SH messen

Sie werden durch den Messvorgang von Anschluss 1 (Anschluss ganz links) durch eine Reihe von Meldungsfeldern geleitet. Folgen Sie den Aufforderungen und nehmen Sie die nötigen Messpunkte auf, wie in den Bildern für jeden Messpunkt abgebildet.

Messpunkt 1 oben auf der Oberfläche

Messen Sie mit Hilfe des Bedienelements den ersten Messpunkt oben auf der Oberfläche von Anschluss 1, wie im Bild rechts abgebildet.

Wenn Sie auf OK klicken, werden Sie zur Aufnahme eines Messpunkts mit dem Dialogfeld Ausführungsoptionen aufgefordert.

Messpunkt 2 auf der vorderen Oberfläche

Messen Sie mit Hilfe des Bedienelements den zweiten Messpunkt auf der vorderen Oberfläche von Anschluss 1, wie im Bild rechts abgebildet.

Wenn Sie auf OK klicken, werden Sie zur Aufnahme eines Messpunkts mit dem Dialogfeld Ausführungsoptionen aufgefordert.

Messpunkt 3 auf der inneren Oberfläche

Messen Sie mit Hilfe des Bedienelements den dritten Messpunkt auf der inneren Oberfläche von Anschluss 1, wie im Bild rechts abgebildet.

Wenn Sie auf OK klicken, werden Sie zur Aufnahme eines Messpunkts mit dem Dialogfeld Ausführungsoptionen aufgefordert.

Dieser Satz von drei Messpunkten bestimmt die Lage für den Tasterwechsler. Diese drei Messpunkte wären die Gleichen, auch wenn der Anschluss nicht über einen Einsatz verfügen würde. Wenn Sie in diesem Anschluss einen PA25-20-Einsatz verwendet hätten, wären die Messpunkte auf dem Einsatz in einer ähnlichen Art und Weise aufgenommen worden.

Sie werden nun aufgefordert, einige wenige Schritte über das folgende Dialogfeld vorzunehmen.

Führen Sie die Anweisungen im Meldungsfeld aus und entfernen Sie den angegebenen Taster (in diesem Fall den Taster SH-1/2/3) und befestigen Sie den SHSP wie im Bild rechts abgebildet.

Hinweis: Immer dann, wenn Sie angewiesen werden, den Taster in eine "sichere Position" oder in eine Position "mit einer klaren Zugangslinie" zu rücken, sollten Sie den Taster in eine Position vor und etwas über dem Magazin bewegen.

Nach Beendigung dieser Schritte klicken Sie auf OK und die CNC-Messung beginnt.

PC-DMIS misst automatisch die drei Messpunkte mit dem SHSP, die zuvor mit dem Taster SH-1/2/3 aufgenommen wurden. Es wird außerdem ein Messpunkt auf der gegenüberliegenden Innenseite aufgenommen. Damit ist die Messung von Anschluss 1 abgeschlossen.

Im nächsten Schritt wird PC-DMIS Anschluss 3 messen.

Nächster Schritt...


Schritt 7 - Messen von Anschluss 3

Schritt 7 - Anschluss 3 mit Einsatz PA25-20 messen

Bevor PC-DMIS mit der Messung von Anschluss 3 beginnen kann (der Taster ganz rechts), muss zuerst sichergestellt werden, dass der Taster der zuvor für die Zweite Tasterdatei in Schritt 4 angegebenen Tasterdatei entspricht.

Entfernen Sie bei Aufforderung das aktuelle Modul und fügen Sie das Modul TM25-20 an das Ende des Tasterkörpers.

Im Bild rechts sind das Modul TM25-20 und der Taster vom Typ TP20 nach diesem Wechsel abgebildet.

Hinweis: Je nach Tasterwechslerkonfiguration des FCR25 ist ein Auswechseln der Taster nicht unbedingt notwendig. Sind beispielsweise keine Einsätze in einem der Anschlüsse vorhanden, dann könnte dieser Tasterwechsel überflüssig sein. Der in diesem Schritt angegebene Wechsel dient lediglich der Aufnahme der Kalibrierung von Anschluss 3 mit Einsatz PA25-20.

Klicken Sie nach dem Tasterwechsel auf OK. PC-DMIS wird dann folgende Aufforderung einblenden:

Nachdem der Taster an einen sicheren Ort bewegt wurde, klicken Sie auf OK. PC-DMIS beginnt dann mit der automatischen Messung des Einsatzes in Anschluss 3. In den folgenden Bildern ist die Aufnahme von Messpunkten durch den Taster abgebildet. PC-DMIS nimmt Messpunkte zur Bestimmung der Lage des Einsatzes automatisch auf.

Damit ist die Messung von Anschluss 3 abgeschlossen. Im nächsten Schritt misst PC-DMIS Anschluss 2.

Nächster Schritt...


Schritt 8 - Messen von Anschluss 2

Schritt 8 - Anschluss 2 ohne Einsatz messen

Vor dem Messen von Anschluss 2 werden Sie aufgefordert, das Modul, das für die Messung von Anschluss 3 verwendet wurde, zu entfernen.

Nachdem Sie das Modul entfernt und den Taster an einen sicheren Ort gerückt haben, klicken Sie auf OK, um mit dem Vorgang fortzufahren.

PC-DMIS lenkt den Tastkörper an eine Stelle oberhalb von Anschluss 2, wie im Bild rechts abgebildet. (Im Bild ist auch das Modul abgebildet, das Sie bei der nächsten Aufforderung von PC-DMIS anfügen werden.)

Hinweis: Der Messvorgang von Anschluss 2 würde für alle anderen Anschlüsse angewendet, wenn in keinem der Anschlüsse ein Einsatz vorhanden wäre. Die Anschlüsse würde außerdem in einer anderen Reihenfolge gemessen werden (zuerst Anschluss 1, gefolgt von Anschluss 2 und dann Anschluss 3).

Folgen Sie der Aufforderung, das Modul in den Anschluss zu platzieren. Fahren Sie den Tastkörper dann langsam nach unten in Richtung Modul, bis das Modul wegen der magnetischen Anziehungskraft aufwärts in Richtung Tastkörper springt. Positionieren Sie den Tastkörper bei einer schlechten Ausrichtung mit Hilfe des Bedienelements neu und wiederholen Sie den Vorgang so lange, bis Sie eine gute Ausrichtung erhalten.

In den folgenden Bildern ist das oben beschriebene Verfahren abgebildet.

Langsames Nach-Unten-Fahren des Tastkörpers

Das Modul springt bei guter Ausrichtung aufwärts

Das Modul kippt bei einer schlechten Ausrichtung

Klicken Sie auf OK, wenn eine gute Ausrichtung hergestellt wurde. Die folgende Aufforderung wird angezeigt.

Das Bild rechts zeigt den Tastkörper, der kurz vor dem Erleuchten der LED nach unten bewegt wurde.

Beachten Sie den schmalen Zwischenraum zwischen Tastkörper und Modul SM25-2. Ab dieser Stelle fahren Sie mit dem Nach-Unten-Fahren des Tasters fort und halten an, sobald die LED leuchtet. Dadurch wird der Zwischenraum nicht vollkommen geschlossen. Klicken Sie auf OK, um den Vorgang zu beenden.

An dieser Stelle fährt der Tastkörper automatisch das letzte Stück nach unten, um das Tastmodul aufzusetzen und den Zwischenraum zu schließen.

Es erscheint folgende Aufforderung:

Fahren Sie den Taster gerade vom Anschluss weg in eine Position, die dem Anschluss vorgelagert ist. Siehe Abbildung.

Klicken Sie auf OK. Damit ist die Messung von Anschluss 2 abgeschlossen.

Sie werden dann aufgefordert, die Konfiguration zurück auf die originale Tasterkonfiguration einzustellen.

Entfernen Sie, falls erforderlich, das aktuelle Modul und fügen Sie die Module und Tastspitzen, die die angeforderte Tasterdatei ausmachen, hinzu. Klicken Sie auf OK, wenn Sie fertig sind. Die folgende Aufforderung wird angezeigt:

Damit ist die Kalibrierung des Tasterwechslers FCR25 abgeschlossen. Im nächsten Schritt wird beschrieben, wie Sie die Kalibrierung überprüfen können.

Nächster Schritt...


Schritt 9 - Überprüfen der Kalibrierergebnisse

Wählen Sie im Dialogfeld Tasterwechsler die Registerkarte Tastergaragen aus. Sie werden feststellen, dass die Kalibrierangaben für die Lage eines jeden kalibrierten Anschlusses nun vorhanden sind.

Dialogfeld "Tasterwechsler" - Registerkarte "Tastergaragen" mit Kalibrierergebnissen

Dieser Kalibriervorgang beschreibt lediglich das Verfahren für die Vorbereitung der Anschlüsse zur Kalibrierung. Weitere Informationen zum Hinzufügen von Tasterdefinitionen zu jedem Anschluss finden Sie unter “Einrichten der Tasterwecchsler-Optionen" im Abschnitt Voreinstellungen".

Während der Werkstückprogramm-Ausführung werden Tasterelemente, die zu jedem der Anschlüsse hinzugefügt wurden, bei jeder Ausführung des Befehls TASTERLADEN für den jeweiligen Taster automatisch aufgenommen. Der Tastkörper fährt dann zum Anfahrpunkt, dann in den Anschluss, wobei der Deckel rückwärts bewegt wird. Dann wir das neue Modul unter Verwendung der magnetischen Anziehungskraft geladen und mit der Messung fortgefahren.


Anzeige eines animierten Tasterwechslers

In PC-DMIS können Sie eine animierte grafische Darstellung eines vordefinierten Tasterwechslers im Grafikfenster anzeigen lassen.

Hinweis: Informationen zur Definition eines Tasterwechslers finden Sie unter "Einrichten der Tasterwechsler-Optionen" im Abschnitt "Voreinstellungen".

Beispiel für die Anzeige eines animierten Tasterwechslers im Grafikfenster in der Z+-Ansicht (Bild oben) und der X+-Ansicht (Bild unten).

Über das Dialogfeld Animierter Tasterwechsler können Sie die Position und Ausrichtung des Tasterwechslers vorgeben. Öffnen Sie dieses Dialogfeld durch Auswahl des Menüeintrags Einfügen | Hardwaredefinition | Animierter Tasterwechsler . Menü-Übersicht anzeigen

Animierter Tasterwechsler (Dialogfeld)

Die Einträge dieses Dialogfelds werden unter dem nachstehend beschriebenen Verfahren "So zeigen Sie den Tasterwechsler an" erläutert.

Siehe auch:

So zeigen Sie den Tasterwechsler im Grafikfenster an:

So löschen Sie den Tasterwechsler aus dem Grafikfenster


So zeigen Sie den Tasterwechsler im Grafikfenster an:

  1. Öffnen Sie das Dialogfeld Animierter Tasterwechsler (Einfügen | Hardwaredefinition | Animierter Tasterwechsler). Menü-Übersicht anzeigen

  2. Wählen Sie einen vorhandenen vordefinierten Tasterwechsler aus der Liste Aktueller Tasterwechsler aus. Wenn keine Tasterwechsler in dieser Liste aufgeführt sind, können Sie selbst einen Tasterwechsler definieren. Informationen hierzu finden Sie unter "Einrichten der Tasterwechsler-Optionen" im Abschnitt "Voreinstellungen".

  3. Definieren Sie die Position und Ausrichtung des Tasterwechslers. Hierzu können Sie entweder die Kalibrierdaten für die Position und Ausrichtung verwenden oder die XYZ-Position und –Ausrichtung direkt im Dialogfeld angeben.

  • Wenn die Kalibrierdaten verwendet werden sollen, aktivieren Sie das Kontrollkästchen Daten vom Einmessen verwenden. PC-DMIS setzt die XYZ-Werte der Kalibrierung automatisch in die Positionsfelder ein.

  • Um die Position und Ausrichtung direkt einzugeben, geben Sie die Werte in die FelderX, Y und Z ein und wählen Sie dann die Ausrichtung aus der gleichnamigen Liste.

  4. Klicken Sie auf Übernehmen. PC-DMIS zeichnet den animierten Tasterwechsler in der vorgegebenen Position und Ausrichtung im Grafikfenster . PC-DMIS fügt den Befehl LADETASTERWECHSLER in das Bearbeitungsfenster ein.

  5. Klicken Sie auf OK, wenn Sie mit der Ausrichtung und Position zufrieden sind.


So löschen Sie den Tasterwechsler aus dem Grafikfenster:

Öffnen Sie das Bearbeitungsfenster und löschen Sie den Befehl LADETASTERWECHSLER. Damit wird nicht der vordefinierte Tasterwechsler gelöscht, sondern nur die animierte Darstellung im Grafikfenster.


Arbeiten mit Drehtischen

Die folgenden Drehtisch-Befehle wurden entwickelt, um PC-DMIS/NC (Numerische Steuerung) zur Verwendung auf CNC-Werkzeugmaschinen zu unterstützen. Sie können sie aber auch in regulären KMG-Werkstückprogrammen anwenden. Weitere Informationen zur Verwendung von CNC-Maschinen mit PC-DMIS finden Sie in der Hilfedatei von PC-DMIS NC.

Ignoriere Drehtisch

Über den Menüeintrag Einfügen | Parameteränderung | Taster | Ignoriere Drehtisch wird ein IGNOR_DREHTISCH-Befehl in das Werkstückprogramm eingefügt. Nur zwei Optionen stehen zur Verfügung:

IGNOR_DREHTISCH/EIN oder IGNOR_DREHTISCH/AUS

Wenn Sie einen Drehtisch zur Verwendung definiert haben, geht PC-DMIS normalerweise davon aus, dass Sie Werkstücke zum Messen auf dem Drehtisch ablegen. Im Wesentlichen erwartet PC-DMIS die Verwendung des Drehtisches. Das Programm ignoriert den Drehtisch also nicht. Und so wird IGNOR_DREHTISCH auf AUS geschaltet:

IGNOR_DREHTISCH/AUS

In diesem Status passt PC-DMIS alle gemessenen Daten, die vom KMG unter Verwendung der Daten der Drehtischkalibrierung gesammelt wurden, an.

Wenn Sie den Befehl IGNOR_DREHTISCH/EIN einfügen, ignoriert PC-DMIS die Kalibrierdaten des Drehtisches. Folglich wird keine Drehtischanpassung auf die gesammelten Messdaten angewendet. Nachfolgend die beiden häufigsten Fälle, bei denen dies möglicherwese verwendet wird:

  • Eine Werkstückmessung, bei der das Werkstück ohne Verwendung des Drehtisches gemessen werden soll, selbst wenn ein Drehtisch vorhanden ist.

  • Ein Werkstückprogramm, bei dem eine neue Tischkalibrierung ausgeführt werden soll und die alten Kalibrierergebnisse ignoriert werden sollen.

Drehtisch kalibrieren

Über den Menüeintrag Einfügen | Kalibrieren | Drehtisch aus Elementen wird ein KALIB_DREHTISCH-Befehl in das Werkstückprogramm eingefügt:

KALIB_DREHTISCH/EBENE=TABELLE_EBENE, KREIS=TABELLE_KREIS,

MESS/XYZ=0,0,0, MESS/IJK=0,0,0

Über diesen Befehl wird ein geeignetes Werkstückprogramm angewiesen, den Drehtisch während der Programmausführung zu kalibrieren.

So verwenden Sie diesen Befehl:

  1. Befestigen Sie ein passendes Kalibrierobjekt (ein Kugel) am Tisch.

  2. Messen Sie in einer angemessenen Folge von Winkelpositionen.

  3. Durch die resultierenden Kugelmitten erstellen Sie eine Ebene und einen Kreis. Nachdem Sie die Ebene und den Kreis erstellt haben, können Sie diese als Eingaben für diesen Befehl verwenden.

  4. Fügen Sie den Befehl KALIB_DREHTISCH ein.

  5. Drücken Sie auf den Befehl F9 und das Dialogfeld Drehtischkalibrierung erscheint.

  6. Wählen Sie aus der Liste Konstruierte Ebene die konstruierte Ebene aus. Wählen Sie aus der Liste Konstruierter Kreis den konstruierten Kreis aus.

  7. Klicken Sie auf OK. PC-DMIS aktualisiert den Befehl, um die konstruierten Elemente zu verwenden.

  8. Wenn Sie das Werkstückprogramm ausführen, verwendet PC-DMIS die erstellten Elemente, um die Kalibrierdaten des Drehtisches zu aktualisieren. Die MESS/XYZ- und MESS/IJK-Teile des Befehlsblocks zeigen das Ergebnis für den Mittelpunkt und die Drehebene für den Tisch an.

Weitere Informationen zum Einrichten des Drehtisches finden Sie unter "Definieren des Drehtisches" im Abschnitt "Voreinstellungen".


Erstellen von Auto Elementen

Erstellen von Auto-Elementen: Einführung

E rstellen von Auto-Elementen auf schnelle Art und Weise

'Einzelklickfunktion' bei Auto Element-Erstellung

Hinweis A

Hinweis B

K ästchenauswahl zur Erstellung mehrerer Auto-Elemente

Dialogfeld "CAD-Auswahl"

Häufig verwendete Optionen im Dialogfeld "Auto Elemente"

Element-Pfade und -Ausrichtung

Bereich "Messeigenschaften"

Liste "Auto-Elementtyp"

Kontrollkästchen "Sicherheitsebene"

Kontrollkästchen "Messen"

Liste "Elementtyp"

Bereich "Lage"

XYZ-Punktfelder

XYZ-Start-/Endpunktfelder

XYZ-Mittelpunkt-Felder

Optionen "Polar/Kartesisch"

Schaltfläche "Suchen"

Schaltflächen "Pos. lesen" oder "Position lesen"

Bereich "Messpunkte"

Listen "Anfangs" und "Ständig"

Feld "Abstand"

Felder "Einzug"

Feld "Tiefe"

Feld "Anz. Messpunkte"

Kontrollkästchen "Breite messen"

Bereich "Eigenschaften"

Kontrollkästchen "Einrasten"

Kontrollkästchen "Außen"

Feld "Inkrement"

Feld "Toleranz"

Feld "Breite"

Feld "Länge"

Schaltfläche "Feldmodus"

Schaltfläche "Kreisförmig"

Feld "Reihen"

Feld "Durchmesser"

Feld "Startwink."

Feld "Endwink."

Feld "Mess Wink"

Feld "Steigung"

Feld "Startwink 1"

Feld "Endwink 1"

Feld "Startwink 2"

Feld "Endwink 2"

Feld "Radius"

Feld "Hauptdm."

Feld "Nebendm."

Feld "Winkel"

Rechteck-/Radialmuster

Begrenzter / Unbegrenzter Typ

Bereich "Richtungs-Vektoren"

IJK-Felder für "Normaler Vektor"

IJK-Felder für "Winkelvektor"

Felder "Mittelpunkt"

IJK-Felder für "Kantenvektor"

IJK-Felder für "Oberflächenvektor"

IJK-Felder für "Linienvektor"

IJK-Felder für "Oberfl. 1-Vektor"

IJK-Felder für "Oberfl. 2-Vektor"

IJK-Felder für "Oberfl. 3-Vektor"

Schaltfläche "Vektor(en) suchen"

Schaltfläche "(Vektor) Umkehren"

Schaltfläche "(Kante) Umkehren"

Schaltfläche "Umk. Linie"

Schaltflächen "(Oberfläche) Umkehren"

Schaltfläche "Tauschen"

Optionen "Loch" oder "Bolzen"

Feld "Höhe"

Feld "ID"

Bereich "Verschiedenes"

Bereich "Stärke"

Liste "Messfolge"

Liste "Berechnung"

Liste "Modus"

Bereich "Relative Messung"

Kontrollkästchen "Parameter anz."

Kontrollkästchen "Messpunkte anz."

Bereich "Auto"

Kontrollkästchen "DSE"

Kontrollkästchen "Bei Fehler"

Kontrollkästchen "Pos. lesen"

Kontrollkästchen "Kreisbewegung"

Kontrollkästchen "Neu messen"

Kontrollkästchen "THEO verwenden"

Bewegungsabstand

Feld "Abstand"

Kontrollkästchen "Elementsuche"

Bereich "Erweiterte Blechoptionen"

IJK-Felder für "Protokollvektor"

IJK-Felder für "Ziel Vek"

IJK-Felder für "Aktl. Vek"

IJK-Felder für "Kanten Prot."

IJK-Felder für "Oberfl. Prot."

IJK-Felder für "Stanzvektor"

IJK-Felder für "Stiftvektor"

Kontrollkästchen "Stiftvektor verwenden"

Schaltfläche "Rücksetzen"

Schaltflächen "Erweitert" und "Basis"

Schaltfläche "Messpunkte anzeigen"

Schaltfläche "Erzeugen" für Auto-Elemente

Erstellen eines Auto Vektorpunkts

Vektorpunkt-Felddefinitionen

Erweiterte Vektorpunkt-Felddefinitionen

Messen eines Vektorpunkts

Verwenden von Eingabedaten für einen Vektorpunkt

Verwenden von KMG-Flächendaten für einen Vektorpunkt

Angabe der Flächendaten für einen Vektorpunkt auf dem Bildschirm

Verwenden KMG-Drahtmodelldaten für einen Vektorpunkt

Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm

Bestimmung eines Vektorpunkts ohne Zuhilfenahme von CAD-Daten

Erstellen einer Auto Geraden

Geraden-Felddefinitionen

Messen einer Geraden

Verwenden von Eingabedaten für eine Gerade

Verwenden des KMG-Drahtmodells für eine Gerade

Bestimmung einer Geraden ohne Zuhilfenahme von CAD-Daten

Erstellen einer Auto Ebene

Ebenen-Felddefinitionen

Messen einer Ebene

Verwenden von Eingabedaten für eine Auto-Ebene

Verwenden von KMG-Drahtmodelldaten für eine Auto-Ebene

Angabe der Drahtmodelldaten für eine Auto-Ebene auf dem Bildschirm

Bestimmung einer Auto-Ebene ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Kreises

Kreis-Felddefinitionen

Erweiterte Kreis-Felddefinitionen

Messen eines Kreises

Verwenden von Eingabedaten für einen Auto-Kreis

Verwenden von KMG-Flächendaten für einen automatischen Kreis

Angabe der Flächendaten für einen Auto-Kreis auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Auto-Kreis auf dem Bildschirm

Bestimmung eines Auto-Kreises ohne Zuhilfenahme von CAD-Daten

Erstellen einer Auto Ellipse

Ellipsen-Felddefinitionen

Messen einer Ellipse

Verwenden von Eingabedaten für eine Ellipse

Verwenden von KMG-Flächendaten für eine Ellipse

Angabe der Flächendaten für eine Ellipse auf dem Bildschirm

Bestimmung einer Ellipse ohne Zuhilfenahme von CAD-Daten

Erstellen einer Auto Kerbe

Kerben-Felddefinitionen

Messen einer Kerbe

Verwenden von Eingabedaten für eine Kerbe

Verwenden von KMG-Flächendaten für eine Kerbe

Angabe der Flächendaten für eine Kerbe auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für eine Kerbe

Angabe der Drahtmodelldaten für eine Kerbe auf dem Bildschirm

Bestimmung einer Kerbe ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Langlochs

Langloch-Felddefinitionen

Erweiterte Langloch-Felddefinitionen

Messen eines Langlochs

Verwenden von Eingabedaten für ein Langloch

Verwenden von KMG-Flächendaten für ein Langloch

Angabe der Flächendaten für ein Langloch auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für ein Langloch

Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm

Bestimmung eines Langlochs ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Winkelpunkts

Winkelpunkt-Felddefinitionen

Messen eines Winkelpunkts

Verwenden von Eingabedaten für einen Winkelpunkt

Verwenden von KMG-Flächendaten für einen Winkelpunkt

Angabe der Flächendaten für einen Winkelpunkt auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für einen Winkelpunkt

Angabe der Drahtmodelldaten für einen Winkelpunkt auf dem Bildschirm

Bestimmung eines Winkelpunkts ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Eckpunkts

Eckpunkt-Felddefinitionen

Messen eines Eckpunkts

Verwenden von Eingabedaten für einen Eckpunkt

Verwenden von KMG-Flächendaten für einen Eckpunkt

Angabe der Flächendaten für einen Eckpunkt auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für einen Eckpunkt

Angabe der Drahtmodelldaten für einen Eckpunkt auf dem Bildschirm

Bestimmung eines Eckpunkts ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Kantenpunkts

Kantenpunkt-Felddefinitionen

Erweiterte Kantenpunkt-Felddefinitionen

Messen eines Kantenpunkts

Verwenden von Eingabedaten für einen Kantenpunkt

Verwenden von KMG-Flächendaten für einen Kantenpunkt

Angabe der Flächendaten für einen Kantenpunkt auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für einen Kantenpunkt

Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Bestimmung eines Kantenpunkts ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Extrempunkts

Extrempunkt-Felddefinitionen

Messen eines Extrempunkts

Lernprogramm "Extrempunkt"

Weitere Extrempunkt-Suchverfahren

Verwenden von Eingabedaten für einen Extrempunkt

Verwenden von KMG-Flächendaten für einen Extrempunkt

Angabe der Flächendaten für einen Extrempunkt auf dem Bildschirm

Bestimmung eines Extrempunkts ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Flächenpunkts

Flächenpunkt-Felddefinitionen

Erweiterte Oberflächenpunkt-Felddefinitionen

Messen eines Flächenpunkts

Verwenden von Eingabedaten für einen Flächenpunkt

Verwenden von KMG-Flächendaten für einen Flächenpunkt

Angabe der Flächendaten für einen Flächenpunkt auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für einen Flächenpunkt

Angabe der Drahtmodelldaten für einen Flächenpunkt auf dem Bildschirm

Bestimmung eines Flächenpunkts ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Rechtecklochs

Rechteckloch-Felddefinitionen

Erweiterte Rechteckloch-Felddefinitionen

Messen eines Rechtecklochs

Verwenden von Eingabedaten für ein Rechteckloch

Verwenden von KMG-Flächendaten für ein Rechteckloch

Angabe der Flächendaten für ein Rechteckloch auf dem Bildschirm

Verwenden von KMG-Drahtmodelldaten für ein Rechteckloch

Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

Bestimmung eines Rechtecklochs ohne Zuhilfenahme von CAD-Daten

Erstellen eines Auto Zylinders

Zylinder-Felddefinitionen

Messen eines Zylinders

Verwenden von Eingabedaten für einen Zylinder

Verwenden von KMG-Flächendaten für einen Zylinder

Angabe der Flächendaten für einen Zylinder auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Zylinder auf dem Bildschirm

Bestimmung eines Zylinders ohne Zuhilfenahme von CAD-Daten

Hinweise zur korrekten Einstellung von Zylinder-Parametern

Erstellen eines Auto Kegels

Kegel-Felddefinitionen

Messen eines Kegels

Verwenden von Eingabedaten für einen Kegel

Verwenden von KMG-Flächendaten für einen Kegel

Angabe der Flächendaten für einen Kegel auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Kegel auf dem Bildschirm

Bestimmung eines Kegels ohne Zuhilfenahme von CAD-Daten

Erstellen einer Auto Kugel

Kugel-Felddefinitionen

Messen einer Kugel

Verwenden von Eingabedaten für eine Kugel

Verwenden von KMG-Flächendaten für eine Kugel

Angabe der Flächendaten für eine Kugel auf dem Bildschirm

Angabe der Drahtmodelldaten für eine Kugel auf dem Bildschirm

E rstellen eines Auto Vielecks

Vieleck-Felddefinitionen

Messen eines Vielecks

Einrichten einer relativen Messung

Absoluter Modus

Mathematischer Prozess des Modus ABSOLUT:

Normaler Modus

Mathematischer Prozess des Modus NORMAL


Erstellen von Auto-Elementen: Einführung

In PC-DMIS können Sie auf CNC(Computer Numerical Control)-Funktionen zugreifen, wenn ein automatisches KMG (Koordinatenmessgerät) eingesetzt wird. Diese Funktionen ermöglichen es Ihnen, einen beliebigen Typ eines CNC-Elements durch Verwenden des Dialogfeldes Auto Element zu erzeugen.

PC-DMIS enthält eine Bibliothek von Funktionen, die das Messen von Blechwerkstücken erleichtern. Diese Optionen stehen als Zusatzoption zur PC-DMIS-Basis-Software für geometrische Messungen zur Verfügung. Der Zugriff auf diese Optionen erfolgt über die Auswahl der entsprechenden Menüoption aus der Menüleiste.

Über das Untermenü Einfügen | Element | Auto haben Sie Zugriff auf verschiedene Messroutinen, die speziell für Blech bzw. dünnwandige Werkstoffe entwickelt wurden.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Erstellen von Auto-Elementen auf schnelle Art und Weise

  • Häufig verwendete Optionen im Dialogfeld "Auto Elemente"

  • Erstellen eines Auto Vektorpunkts

  • Erstellen einer Auto Geraden

  • Erstellen einer Auto Ebene

  • Erstellen eines Auto Kreises

  • Erstellen einer Auto Ellipse

  • Erstellen einer Auto Kerbe

  • Erstellen eines Auto Langlochs

  • Erstellen eines Auto Winkelpunkts

  • Erstellen eines Auto Eckpunkts

  • Erstellen eines Auto Kantenpunkts

  • Erstellen eines Auto Extrempunkts

  • Erstellen eines Auto Flächenpunkts

  • Erstellen eines Auto Rechtecklochs

  • Erstellen eines Auto Zylinders

  • Erstellen eines Auto Kegels

  • Erstellen einer Auto Kugel

  • E rstellen eines Auto Vielecks

  • Einrichten einer relativen Messung


Erstellen von Auto-Elementen auf schnelle Art und Weise

In addition to the normal auto feature creation routines, PC-DMIS provides you with two quick ways to create auto features. Dazu gehören:

  • Kästchenauswahl - Ziehen Sie ein Feld um CAD-Elemente, um mehrere Elemente auf einmal zu erstellen.

  • Einzelklickfunktion - Klicken Sie einmal auf ein unterstütztes Element, um dieses Auto Element automatisch zu erstellen.

Siehe auch:

Kästchenauswahl zur Erstellung mehrerer Auto-Elemente

'Einzelklickfunktion' bei Auto Element-Erstellung


Kästchenauswahl zur Erstellung mehrerer Auto-Elemente

Über eine Symbolleiste am unteren Ende dieses Fensters können Sie die Demo steuern. Klicken Sie nach Beendigung der Demo nochmals auf das blaue Symbol, um das eingeblendete Fenster zu schließen.

Beispiel eines geringfügig gedrehten Werkstücks

Beispiel eines geringfügig gedrehten Werkstücks

Da in der Z+ Ansicht der Kreisvektor senkrecht zur Arbeitsebene steht, würde PC-DMIS nach der Auswahl keinen entsprechenden Kreis erzeugen.

Wenn Sie das Werkstück kippen und es dann durch Kästchenauswahl markieren würden, würde PC-DMIS dieses Element auswählen.

Dieses Beispiel verwendet den Drahtmodellblock von Brown and Sharpe (Bsbwire.igs) mit Auto Kreisen:

Wenn Sie das gesamte Modell, das nicht vollständig in Richtung +Z ausgerichtet ist, durch Kästchenauswahl markieren, werden Sie feststellen, dass die oberen und unteren Kreise/Bögen deshalb markiert sind, weil sie die sichtbaren Objekte darstellen, die ebenfalls der Auto Kreis-CAD-Filter-Logik entsprechen.

Klicken Sie im Dialogfeld CAD-Auswahl auf Erzeugen. Das Ergebnis könnte folgendermaßen lauten:

Beachten Sie:

  • Kreise/Bögen mit dem gleichen Durchmesser und Vektor werden zu einem einzigen Element zusammengefügt. Deshalb sind die oberen und unteren Kreise für die beiden Mittelpunktbohrungen zu nur zwei Elementen verbunden worden, dem KREIS1 und dem KREIS13 (so sind auch alle anderen Elemente unter Verwendung der oberen und unteren Kreise/Bögen berechnet worden). Da die Durchmesser beim Kegelelement unterschiedlich sind, erstellt PC-DMIS zwei Elemente (KREIS12 & KREIS14).

  • Ein Kreis wird für die hintere Bohrung erstellt, KREIS15. Der Grund hierfür ist, dass das Model geringfügig gedreht wurde. Wäre die Ansicht in einer +Z - Ausrichtung geblieben, dann wäre KREIS15 nicht erstellt worden.

Dieses Beispiel verwendet den Drahtmodellblock von Brown and Sharpe (Bsbwire.igs) mit Auto Zylindern:

Wenn Sie nun wie im Beispiel 1 beschrieben vorgehen, aber stattdessen Auto Zylinder verwenden, wird das Ergebnis etwa so aussehen:

Beachten Sie, dass kein Zylinder am Kegelelement erstellt worden ist, weil ein Zylinder über die Länge und den gleichen Durchmesser verfügen muss.

Dieses Beispiel verwendet den 'solid block' von Brown and Sharpe (Bsbsolid.igs) mit Auto Kreisen und Zylindern:

Wenn Sie die Kästchenauswahl anwenden, um Elemente mit einem Modell, das nur über Flächendaten (keine Drahtmodelldaten) verfügt, zu erstellen, müssen Sie das Modell geringfügig so drehen, dass die gewünschten Flächen sichtbar werden. Etwa so:

Nachdem Sie auf Erstellen geklickt haben und PC-DMIS die Elemente aus den ausgewählten Objekten erzeugt, werden Sie Folgendes erhalten:

Kreiselemente

Zylinderelemente

Beachten Sie, dass Sie durch das Kippen kein Kreis-/Zylinderelement an einem Ende des Langlochs erhalten. Ebenso wenig am oberen rechten OD-(Zylinder mit einem äußeren Durchmesser)Zylinder.

Dieses Beispiel verwendet das Hexagon-Modell, das mit PC-DMIS (Hexblock_Wireframe_Surface.igs) zusammen geliefert wird, mit Auto Zylindern.

Positionieren Sie das Modell in eine Z+ - Ausrichtung und markieren Sie das ganze Modell per Kästchenauswahl.

Klicken Sie auf Erzeugen. Das Ergebnis könnte folgendermaßen aussehen:

Wenn Sie das Werkstück auf eine Z- - Ausrichtung umdrehen, es dann leicht kippen und dann per Kästchenauswahl markieren, wird PC-DMIS etwa Folgendes anzeigen:

Klicken Sie auf Erzeugen. PC-DMIS zeigt etwa Folgendes an:

Beachten Sie, dass PC-DMIS sowohl ein OD-(= Zylinder mit einem äußeren Durchmesser) als auch ein ID(= Zylinder mit einem inneren Durchmesser)-Zylinderelement für die meisten der Zylinder auf dem Werkstück erzeugt, wie den CYL3 und den CYL10 oben rechts.

Kästchenauswahl zur Erstellung mehrerer Auto Elemente

Sie können ein Kästchen oben auf der CAD-Abbildung zeichnen, um mehrere Auto Elemente für folgende unterstützte Elementtypen automatisch zu erzeugen:

  • Auto Kreis

  • Auto Zylinder

So gehen Sie bei der Kästchenauswahl vor und erstellen Elemente

Um die Methode der Kästchenauswahl zur schnellen Erstellung mehrerer Elemente vom Auto Elementtyp Kreis oder Zylinder anzuwenden, gehen Sie so vor:

  1. Importieren Sie das CAD-Modell, das die Auto Elemente, die Sie per Kästchenauswahl auswählen möchten, enthält.

  2. Drehen Sie das Werkstück und wählen Sie entweder die Ansicht "Nur Kanten zeigen" oder "Modell schattiert anzeigen", um eine Ansicht auszuwählen, die die Elemente, die Sie kennzeichnen möchten, am besten darstellt.

  3. Öffnen Sie das Dialogfeld Auto Element (Einfügen | Element | Auto) Menü-Übersicht anzeigen entweder für Kreis- oder Zylinder-Auto Elemente.

  4. Klicken Sie bei geöffnetem Dialogfeld mit der Maus und ziehen Sie ein Kästchen um die Elementtypen, für die Sie Auto Elemente erstellen möchten. Lassen Sie die Maustaste wieder los. PC-DMIS blendet das Dialogfeld CAD-Auswahl ein, das die Zahl der ausgewählten Objekte anzeigt.

  5. Klicken Sie auf Erzeugen. PC-DMIS erzeugt basierend auf den markierten Objekten mehrere Auto Elemente des ausgewählten Typs.

Sehen Sie sich eine kurze Demo zur Kästchenauswahl und über das Erzeugen mehrerer Auto-Elemente an

Details zur Kästchenauswahl

  • Die Kästchenauswahl funktioniert nur bei sichtbaren Objekten im Grafikfenster. Dadurch wird verhindert, dass unsichtbare Objekte bei der Erstellung von Elementen verwendet werden.

  • Modelle mit entweder nur wenig oder gar keiner Drahtmodellgeometrie sollten leicht im Grafikfenster gekippt (oder gedreht) werden, sodass die gewünschten Oberflächen und Elemente sichtbar werden.

  • Aufgrund der Parkettierung und Anzeigegenauigkeit kann es vorkommen, dass sich das Bleeding der zugrundeliegenden Flächen und Kurven zu unerwarteten Objekten entwickelt, die zur Erstellung von Elementen verwendet würden. PC-DMIS versucht, dieses Bleeding durch Vergleich der ausgewählten Objekte zu minimieren, um die Mindestanzahl an notwendigen Pixeln, die eine gültige Auswahl ausmachen, zu bestimmen. Trotzdem gehört diese Methode nicht zu den ganz sicheren Methoden, da einige der am wenigsten sichtbaren Objekte ausgewählt werden könnten, um die Wahrscheinlichkeit, ein gültiges Objekt zu eliminieren, möglichst gering zu halten.

  • Objekte mit einem Vektor rechtwinklig zur aktuellen Ansicht werden meist ignoriert, wenn Elemente aus den ausgewählten Objekte erstellt werden. Beispiel: Bei der Verwendung vom Hexagon-Block, dargestellt in +Z, wobei das gesamte Modell per Kästchenauswahl markiert ist, erzeugt PC-DMIS kein Element für die vordere Bohrung, die sich mit der mittleren Bohrung überschneidet.

  • PC-DMIS führt die Filterroutine durch, um sicherzustellen, dass nicht das gleiche CAD-Objekt verwendet wird, um ein weiteres Element in der gleichen Position zu erstellen.

  • Da PC-DMIS die Elemente nach dem Klicken auf Erzeugen generiert, werden die Angaben für jedes Objekt in der Statusleiste sichtbar.

Beispiel 1: Auto Kreise mit Drahtmodelldaten mit der Kästchenauswahl

Beispiel 2: Auto Zylinder mit Drahtmodelldaten mit der Kästchenauswahl

Beispiel 3: Auto Kreise oder Zylinder mit Flächendaten mit der Kästchenauswahl

Beispiel 4: Auto Zylinder sowohl mit Drahtmodelldaten als auch mit Flächendaten mit der Kästchenauswahl

Siehe auch:

Dialogfeld "CAD-Auswahl"


Dialogfeld "CAD-Auswahl"

Dieses Dialogfeld erscheint, nachdem Sie ein CAD-Modell per Kästchenauswahl gewählt haben, während das Dialogfeld Auto Element geöffnet bleibt. Es zeigt die Anzahl der ausgewählten CAD-Elemente an, mit der Sie Elemente des ausgewählten Typs erzeugen können.

Erzeugen: This button creates auto features of the selected type (currently only Circle or Cylinder auto features) from the selected CAD elements. PC-DMIS schließt das Dialogfeld CAD-Auswahl und erzeugt für jedes per Kästchenauswahl gewählte CAD-Element das entsprechende Auto-Element. The vector will be determined using the method selected from the Vector Use area.

Schließen: Schließt das Dialogfeld, wobei der Vorgang der Kästchenauswahl abgebrochen wird.

Pfeile anzeigen: This check box displays or hides colored arrows showing the direction of vectors used by the methods in the Vector Use area.

The Vector Usearea, lets you choose the methods PC-DMIS should use to determine the vectors for the nearly created auto features.

  • Arbeitsebene: Bei dieser Methode wird der Vektor der derzeit aktiven Arbeitsebene als Vektor für jedes Einzelelement verwendet.

  • Zuletzt benutzter: Bei dieser Methode wird der letzte Vektor verwendet, der im Dialogfeld für das Auto-Element eingefügt wurde. Auf diese Weise können Sie einen Vektor zur Verwendung für alle ausgewählten Elemente angeben.

  • Aus CAD: Bei dieser Methode wird der durch das CAD-Element vorgegebene Vektor genutzt. Diese Methode steht zur Verfügung, wenn jedes Element Vektordaten aufweist.

  • Vektor suchen: Bei dieser Methode wird der Vektor anhand von CAD-Oberflächendaten ermittelt, die dem Element am nächsten liegen. Diese Methode steht nur zur Verfügung, wenn Oberflächendaten vorhanden sind.


'Einzelklickfunktion' bei Auto Element-Erstellung

Klicken Sie einmal bei geöffnetem Dialogfeld Auto Element auf die ebene Oberfläche, die den Kreis für ein Stanzloch enthält, oder auf ein zylindrisches Ende eines Bolzens.

  • Die Kante, die der Stelle des Mausklicks am nächsten ist, bestimmt, ob es sich beim Kreiselement um ein Stanzloch oder um einen Bolzen handelt. (Siehe Hinweis B).

  • Wenn der Kreis die Länge (Tiefe) eines Zylinders aufweist, verwendet PC-DMIS den Kreis, der Ihnen am nächsten liegt, um die Position des Mittelpunkts zu bestimmen.

  • PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor und bestimmt den Vektor des Kreises.

Klicken Sie einmal bei geöffnetem Dialogfeld Auto Element auf die ebene Oberfläche, die das Stanzloch des Kegels enthält, oder auf ein konisches Ende eines Kegels.

  • Die Kante, die der Stelle des Mausklicks am nächsten liegt, bestimmt, ob es sich beim Kegelelement um einen inneren oder einen äußeren Kegel handelt. (Siehe Hinweis B).

  • Der Vektor des Kegels zeigt von seiner Kegelspitze weg.

  • PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor und bestimmt einen Mittelpunkt. Innere Kegel verwenden den größeren Radius für den Mittelpunkt. Äußere Kegel verwenden den kleineren Radius. PC-DMIS vermeidet dadurch beim Messen des Kegels Schaftkollisionen.

Klicken Sie einmal bei geöffnetem Dialogfeld Auto Element auf die ebene Oberfläche, die den Zylinder enthält, oder auf ein zylindrisches Ende eines äußeren Zylinders.

  • Die Kante, die der Stelle des Mausklicks am nächsten ist, bestimmt, ob es sich beim Kreiselement um ein Stanzloch oder um einen Bolzen handelt. (Siehe Hinweis B).

  • PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor und bestimmt den Vektor des Kreises.

  • Entspricht dem Langloch.

Klicken Sie im geöffneten Dialogfeld Auto Element einmal auf den hinteren Rand der Kerbe. Durch Einzelklicken zur Erstellung von Kerbenelementen wird daraus immer eine innere Kerbe definiert. PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor.

Klicken Sie bei geöffnetem Dialogfeld Auto Element einmal auf ein Polygonelement, das aus fünf oder mehr Seiten besteht. PC-DMIS füllt das Dialogfeld automatisch aus und bestimmt die Startseite durch die Kante, die der Stelle des Mausklicks am nächsten ist.

Klicken Sie im geöffneten Dialogfeld Auto Element einmal in die Nähe einer Kante, die einen Eckpunkt enthält.

  • Die dem Mausklick am nächsten liegende Kante bestimmt den dem Mausklick am nächsten liegenden Endpunkt. Dieser Endpunkt wird zum Eckpunkt.

  • PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor.

Funktionsweise:

  • PC-DMIS sucht benachbarte Kanten von der ersten Kante. Jede Kante wird daraufhin getestet, ob sie einen Endpunkt enthält, der dem Eckpunkt gleicht. Wenn dies vorkommt, wird ein Punkt auf dieser Kante gefunden, der in nächster Nähe des Eckpunkts liegt. Damit wird fortgefahren, bis zwei Kanten (und zwei Punkte) gefunden werden, die eindeutige Vektoren (idealerweise im rechten Winkel zueinander und zur ersten Kante) aufweisen.

  • PC-DMIS findet drei Punkte nahe des Eckpunktes, die sich jeweils auf unterschiedlichen Kanten befinden. Unter Verwendung der zwei unterschiedlichen Punkte nahe dem Eckpunkt - und dem Eckpunkt - berechnet PC-DMIS drei Ebenen. Beispielsweise in diesem Bild, der GELBE Eckpunkt und die ROTEN und WEISSEN Punkte erstellen eine Ebene, dessen Vektor als BLAUER Pfeil dargestellt wird. Gleichermaßen stellen die GELBEN, WEISSEN und BLAUEN Punkte den ROTEN Pfeil dar, und die GELBEN, BLAUEN und ROTEN Punkte stellen den WEISSEN Pfeil dar.

Bei einem inneren Langloch klicken Sie bei geöffnetem Dialogfeld Auto Element einmal auf die ebene Oberfläche, die die abgerundete Kante enthält. Bei einem äußeren Langloch klicken Sie auf die obere Kante des abgerundeten Endes, vom Ende der Kurve und dort, wo die ebenen Seiten beginnen, entfernt. (Siehe Hinweis A).

  • Die Kante, die der Stelle des Mausklicks am nächsten liegt, bestimmt, ob es sich beim Langloch um ein inneres oder ein äußeres Langloch handelt. (Siehe Hinweis B).

  • PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor und bestimmt den Vektor und die Ausrichtung des Langlochs.

  • Wenn ein inneres Rechteckloch vorhanden ist, klicken Sie bei geöffnetem Dialogfeld Auto Element einmal auf die ebene Oberfläche nahe einer beliebigen Kante des Rechtecklochs. Im Falle eines äußeren Rechtecklochs klicken Sie auf eine beliebige Stelle des oberen Randes. (Siehe Hinweis A).

    • Die Kante, die dem Mausklick am nächsten liegt, bestimmt, ob es sich beim Element um ein inneres Rechteckloch oder um ein äußeres Rechteckloch handelt. (Siehe Hinweis B).

    • PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor und bestimmt den Vektor und die Ausrichtung des Langlochs.

Klicken Sie im geöffneten Dialogfeld Auto Element einmal auf den Rand der Kugel. PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor.

Klicken Sie im geöffneten Dialogfeld Auto Element einmal auf eine beliebige Stelle. PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor.

Klicken Sie im geöffneten Dialogfeld Auto Element einmal auf eine beliebige Stelle. PC-DMIS nimmt die erforderlichen Eingaben im Dialogfeld automatisch vor.

  • Bei der Verwendung des Drahtmodus rastet PC-DMIS den Punkt auf den nächsten Draht ein.

  • Bei der Verwendung des Flächenmodus erzeugt PC-DMIS den Punkt an der Stelle, an der Sie geklickt haben.

'Einzelklickfunktion' bei Auto Element-Erstellung

Die Fähigkeit von PC-DMIS, Auto-Elemente direkt am Bildschirm mit immer weniger Mausklicks auswählen zu können, wird ständig verbessert. Die folgende Tabelle beschreibt detailliert die Auto-Elemente, die sowohl im Drahtmodell- als auch im Flächenmodus mit einem einzigen Mausklick ausgewählt werden können. Darin wird auch die Anzahl an Mausklicks für die Elemente, welche die Einzelklickfunktion noch nicht unterstützen, angegeben.

Auto-Elementtyp | Drahtmodus | Flächenmodus
Winkelpunkt | Nein (2 Klicks) | Nein (2 Klicks)
Kreis | Ja | Ja
Kegel | Ja | Ja
Eckpunkt | Ja | Ja
Zylinder | Ja | Ja
Ellipse | Ja | Ja
Kantenpunkt | Nein (2 Klicks) | Nein (2 Klicks)
Extrempunkt | Ja | Ja
Gerade | Nein (2 Klicks) | Nein (2 Klicks)
Kerbe | Ja | Ja
Ebene | Ja | Ja
Polygon | Ja | Ja
Langloch | Ja | Ja
Rechteckloch | Ja | Ja
Polygon | Ja | Ja
Kugel | Ja | Ja
Flächenpunkt | Ja | Ja
Vektorpunkt | Ja | Ja

Kreiselemente:

Kegelelemente:

Zylinderelemente:

Ellipsenelemente:

Kerbenelemente:

Polygonelemente:

Eckpunktelemente:

Langlochelemente:

Rechtecklochelemente:

Kugelelemente:

Flächenpunktelemente:

Vektorpunktelemente:

Siehe auch:

Hinweis A

Hinweis B


Hinweis A

In diesem Bild:

  • GRÜNE Markierungen sollten funktionieren, da die Gerade/Kurve (oder Kante, wenn es sich um eine Fläche handelt), die den Markierungen am nächsten liegt, eine Gerade/Kurve ist, die in der das Langloch definierenden Ebene liegt.

  • ROTE Markierungen funktionieren nicht, da die Gerade (oder Kante, wenn es sich um eine Fläche handelt), die den Markierungen am nächsten liegt, eine Gerade/Kurve ist, die nicht in der das Langloch definierenden Ebene liegt.

  • GELBE Markierungen funktionieren dann, wenn die Fläche ein Zylinder ist.


Hinweis B

In diesem Bild, das ein umgekehrtes, auf Z- ausgerichtetes Hexagon-Modell darstellt, gilt folgendes:

  • ROTE Markierungen produzieren ein OD(Äußerer Durchmesser)-Element.

  • WEISSE Markierungen produzieren ein ID(Innerer Durchmesser)-Element.


Häufig verwendete Optionen im Dialogfeld "Auto Elemente"

Der Taster gilt beim Öffnen einer der Registerkarten für Auto Elemente (verfügbar im Dialogfeld Auto Elemente) als aktiv ("live"). Das bedeutet, dass PC-DMIS feststellen kann, wenn der Taster umgelenkt wird. Stellt PC-DMIS eine Tasterumlenkung fest, wird angenommen, dass das derzeit im Dialogfeld definierte Element gemessen wird. Im Meldungsfeld werden die entsprechenden Eingabeaufforderungen angezeigt, sodass ggf. die übrigen Messpunkte erfasst werden können, die erforderlich sind, um die Messung des definierten Elements abzuschließen. Klickt der Benutzer andererseits auf die CAD-Daten, während das Dialogfeld Auto Elemente geöffnet ist, geht PC-DMIS davon aus, dass das derzeit definierte Element erlernt wird.

Bei den Messungen für Auto-Elemente stehen die nachstehenden Funktionen zur Auswahl.

Hinweis: Einige der Dialogfeldeinträge, vor allem die im Bereich Erweiterte Blechoptionen , sind nur dann verfügbar, wenn Sie die erweiterten Blechoptionen ansehen. Zum Anzeigen der erweiterten Blechoptionen müssen Sie das Kontrollkästchen Erweiterte Blechoptionen einblenden im Dialogfeld Setup-Optionen aktivieren.

Siehe auch:

Element-Pfade und -Ausrichtung

Bereich "Messeigenschaften"

Bereich "Lage"

Bereich "Messpunkte"

Bereich "Eigenschaften"

Bereich "Richtungs-Vektoren"

Feld "ID"

Bereich "Verschiedenes"

Bereich "Auto"

Bereich "Erweiterte Blechoptionen"

Schaltflächen "Erweitert" und "Basis"

Schaltfläche "Messpunkte anzeigen"

Schaltfläche "Erzeugen" für Auto-Elemente


Element-Pfade und -Ausrichtung

PC-DMIS Versionen 3.7 und höher fügen diese Schaltfläche zum Dialogfeld Auto Element hinzu. Folgende Optionen sind abgeblendet und stehen nicht zur Auswahl zur Verfügung, wenn sich Ihr Werkstückprogramm im manuellen Modus befindet:

Folgende Schaltflächen bieten eine Voransicht und Möglichkeit zur Änderung Ihrer Messpunkte und Bahngeraden für das ausgewählte Auto Element und außerdem die Möglichkeit, die Ausrichtung in der aktuellen Ansicht zu ändern.

Bahngeraden einblenden - Durch Klicken auf diese Schaltfläche werden die Bahngeraden und die Messpunktpositionen für das aktuelle Element eingeblendet. Diese Informationen werden durch deaktivieren der Schaltfläche ausgeblendet.

Die Bahngeraden erscheinen als grüne Linien auf dem CAD-Modell. Die roten Linien kennzeichnen den Anfangsmesspunkt, die orangefarbenen Linien den Endmesspunkt.

Sie können auch mit der rechten Maustaste auf eine beliebige Bahngerade oder einen beliebigen Messpunkt klicken und ein Kontextmenü verwenden, um eine Vielzahl von Funktionen durchzuführen. Weitere Informationen finden Sie unter "Kontextmenü "Auto Element-Bahngeraden"" im Kapitel "Verwenden von Tastaturbefehlen und Kontextmenüs".

Die Umschaltfunktion Bahngeraden einblenden wird anhand eines Beispiels in der folgenden Tabelle unter Verwendung eines Auto Kreiselements erklärt.

In diesem Beispiel sind die Start- und Endwinkel so eingestellt, dass nur 180 Grad des Kreises mit vier Punkten gemessen wird.

Wenn Sie die Felder des Start- oder Endwinkels bearbeiten, ändert sich auch die Darstellung der Messpunkte.

Beispielsweise würde PC-DMIS bei einer Änderung des Endwinkels von 180 auf 360 Grad die Messpunkte rund um den gesamten Kreis einblenden.

Durch klicken auf eine Bahngerade können Sie jeden beliebigen Messpunkt an eine neue Stelle ziehen.

Dazu bewegen Sie den Mauszeiger über die Bahngerade, bis PC-DMIS diese rot markiert. Klicken Sie und ziehen Sie den Messpunkt dann an die neue Stelle.

Angenommen, der Auto Kreis verwendet 3 Anfangs- und ständige Messpunkte, um die Oberfläche um den Kreis herum zu lokalisieren. PC-DMIS zeigt auch diese Geraden an.

Sie können auf diese Geraden klicken und sie an eine neue Stelle ziehen, um sowohl den Abstandswert als auch die Elementmesspunkte dynamisch zu aktualisieren.

Ansicht Normal - Durch Klicken auf diese Schaltfläche wird der CAD so ausgerichtet, dass Sie von oben auf das Element herunter blicken. Durch Deaktivieren wird der CAD in die vorige Ansicht zurückversetzt. Sie können diese Option auch durch Rechtsklick auf die Bahn und dann durch Auswahl der Option Ansicht Normal des eingeblendeten Menüs auswählen.

Ansicht Senkrecht - Durch Klicken auf diese Schaltfläche wird der CAD so ausgerichtet, dass Sie das Element von der Seite betrachten. Diese Option ist zur Definition einer Elementtiefe oder zum Hinzufügen zusätzlicher Messpunktreihen für Elemente, die weitere Ebenen unterstützen, wie beispielsweise Kegel und Zylinder, geradezu ideal. Um zusätzliche Reihen einzurichten, klicken Sie mit der rechten Maustaste und wählen Sie aus dem resultierenden Menü Reihe hinzufügen aus.

Beispielzylinder nach Senkrechtansicht

Durch Deaktivieren wird der CAD in die vorige Ansicht zurückversetzt. Sie können diese Option auch durch Rechtsklick auf die Bahn und dann durch Auswahl der Option Ansicht Senkrecht des eingeblendeten Menüs auswählen.

Sie können das Element durch die Auswahl der Optionen Bahngeraden einblenden und Ansicht Senkrecht in der senkrechten Ansicht betrachten und dabei erkennen, in welcher Tiefe PC-DMIS die Messpunkte aufnehmen wird.

Um die Tiefe zu ändern, markieren Sie die grünen Messpunktlinien in dieser Ansicht und klicken und ziehen entweder nach oben oder nach unten, um die neue Tiefe zu bestimmen.


Bereich "Messeigenschaften"

Im Bereich Messeigenschaften des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde.

Hinweis: Zum Bereich Messeigenschaften gehören auch die Bereiche Lage, Eigenschaften und Richtungs-Vektoren. Siehe auch "Bereich "Lage"", "Bereich "Eigenschaften"" und "Bereich "Richtungs-Vektoren"".

Siehe auch:

Liste "Auto-Elementtyp"

Kontrollkästchen "Sicherheitsebene"

Kontrollkästchen "Messen"

Liste "Elementtyp"


Liste "Auto-Elementtyp"

Über die Liste Auto-Elementtyp können Sie auf das Dialogfeld für das ausgewählte Auto-Element zugreifen. Folgende Auto-Elemente werden aufgeführt:

  • Vektorpunkt

  • Gerade

  • Ebene

  • Kreis

  • Ellipse

  • Kerbe

  • Langloch

  • Winkelpunkt

  • Eckpunkt

  • Kantenpunkt

  • Extrempunkt

  • Flächenpunkt

  • Rechteckloch

  • Zylinder

  • Kugel

  • Kegel


Kontrollkästchen "Sicherheitsebene"

Das Kontrollkästchen "Sicherheitsebene" ist nur im CNC-Modus verfügbar.

Das Kontrollkästchen Sicherheitsebene zeigt die aktuellen Einstellungen der Sicherheitsebene an. Wenn dieses Kontrollkästchen aktiviert ist, fügt PC-DMIS vor dem ersten automatischen Messpunkt eine SICHERHEITSEBENE BEWEGUNG (relativ zum aktuellen Koordinatensystem und dem Nullpunkt des Werkstücks) ein. Nachdem der letzte Messpunkt auf dem Element gemessen wurde, verbleibt der Taster auf Tastertiefe, bis er zum nächsten Element geschickt wird. Die Verwendung von Sicherheitsebenen reduziert die Programmierzeit, da weniger Zwischenbewegungen definiert werden müssen. (Zusätzliche Informationen zu den Sicherheitsebenen finden Sie unter "Parametereinstellungen: Registerkarte "Sicherheitsebene"" im Abschnitt "Voreinstellungen".)

Wenn das Kontrollkästchen Sicherheitsebene markiert ist, fügt PC-DMIS vor dem Element den Befehl BEWEGEN/SICHERHEITSEBENE ein.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
BEWEGEN/SICHERHEITSEBENE

Hinweis: Bei der Aufnahme von Stützpunkten werden keine Sicherheitsebenen verwendet. Daher ist es beim Messen von Bolzen wichtig, den Abstandswert auf eine Entfernung einzustellen, die es dem Taster ermöglicht, sich um den Bolzen herum zu bewegen.


Kontrollkästchen "Messen"

Mit dem Kontrollkästchen Messen können Sie den Messvorgang starten. Wenn Sie dieses Kontrollkästchen markieren, misst PC-DMIS das Werkstück auf Grundlage der Werte, die im Dialogfeld nach Auswahl der Schaltfläche Erzeugen angegeben sind.


Liste "Elementtyp"

Über die Liste Elementtyp können Sie einen genaueren Untertypus des Elements, das Sie erstellen, bestimmen. Diese Funktion gilt nur für die folgenden Elemente:

Für Vektorpunkte: Sie können EINZELPUNKT oder SCHWERPUNKT aus dieser Liste auswählen.

Für Kantenpunkte: Diese Option ist derzeit nicht verfügbar.

Für Kreise: Diese Liste findet bei Elementen Verwendung, die mit CMT-Tastern gemessen wurden.

Für Rechtecklöcher: Diese Option ist derzeit nicht verfügbar.


Bereich "Lage"

Im Bereich Lage des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

XYZ-Punktfelder

XYZ-Start-/Endpunktfelder

XYZ-Mittelpunkt-Felder

Optionen "Polar/Kartesisch"

Schaltfläche "Suchen"

Schaltflächen "Position lesen"


XYZ-Punktfelder

In den Feldern XYZ-Punkt werden die X-, Y- und Z-Nennwerte für die Position der Elemente Vektorpunkt, Oberflächenpunkt, Kantenpunkt, Winkelpunkt und Eckpunkt angezeigt.

Nach Erstellung eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Diese Position zeigt an, wo der Messpunkt am Werkstück aufgenommen werden wird.

Bei einem Extrempunktelement zeigen die XYZ-Punktfelder die X-, Y- und Z-Nennwerte für den Startpunkt an.

Nach Erstellung eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Diese Position bezeichnet die Startposition für die Suche. Nach beendigter Ausführung enthält der XYZ-Punkt den Extrempunkt der aktuellen Arbeitsebene. Bei weiteren Ausführungen wird jedoch der ursprüngliche Startpunkt für die Suche verwendet.


XYZ-Start-/Endpunktfelder

In den Feldern XYZ-Start- und XYZ-Endpunkt werden die Start- und Endpunkte für ein Auto-Linienelement angezeigt. Sie können die Schaltflächen "Pos. lesen" anklicken, um die XYZ-Position des aktuellen Tasters zu erhalten. Oder Sie nehmen einfach Messpunkte auf dem Werkstück auf, um die Werte für den Start- und Endpunkt anzuzeigen. Beachten Sie bitte, dass die Endfelder nur dann eingeblendet werden, wenn Sie im Bereich Typ die Option Begrenzt ausgewählt haben.

Siehe auch den Abschnitt "Begrenzter/Unbegrenzter Typ".


XYZ-Mittelpunkt-Felder

Diese Felder sind nur bei den folgenden Auto-Elementtypen verfügbar: Kreis, Zylinder, Kugel, Rechteckloch, Langloch, Ellipse, Kerbe und Kegel.

Diese XYZ- Mittelpunktfelder zeigen die X-, Y-, und Z-Nennwerte für die Elementposition an.

So ändern Sie einen Nennwert:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Diese Position ist der Mittelpunkt des Elements.

Im Falle einer Kerbe stellt diese Position den Kerbenmittelpunkt auf der nicht-parallelen Seite dar.

Hinweis für Zylinder: Wenn ein Zylinder als Loch definiert ist, muss der Mittelpunkt oben auf dem Zylinder definiert werden. Wenn der Zylinder dagegen als Bolzen definiert ist, muss der Mittelpunkt unten am Zylinder definiert werden.


Optionen "Polar/Kartesisch"

Durch das Anklicken dieser Optionsschaltflächen kann zwischen Kartesisch oder Polar umgeschaltet werden. Damit wählen Sie das Koordinatensystem aus, in dem die Punkt- oder Mittenwerte für das Auto-Element angezeigt werden. Im Modus Kartesisch werden die Werte als XYZ angezeigt. Im Modus Polar werden die Werte als Radius, Winkel und Höhe angezeigt (im Dialogfeld als R, A und H dargestellt). Die Höhe hängt dabei von der aktuell verwendeten Arbeitsebene ab. Ist die aktuelle Arbeitsebene ZPLUS, steht der Wert Z für die Höhe.


Schaltfläche "Suchen"

Mit der Schaltfläche Suchen können Sie basierend auf XYZ-Punktfeldern das nächstliegende CAD-Element in der CAD-Zeichnung suchen. Dabei können Sie die entsprechenden Informationen entweder eingeben oder auf der Oberfläche auswählen.

Wenn Sie auf die Befehlsschaltfläche Suchen klicken, bewegt sich PC-DMIS entlang der gewählten Achse, bis es auf das nächste CAD-Element stößt. Dann setzt es den Wert der Achse an der Schnittstelle mit dem CAD-Element in das entsprechende Punktfeld ein. Dies wird durch Bestimmung aller Oberflächen in den CAD-Daten und Beibehalten des Punkts erreicht, der am nächsten zu den Eingabenwerten für XYZ liegt. Der Punkt XYZ und der vertikale Oberflächenvektor IJK werden im Dialogfeld angezeigt.

Eingabemethode

Bei der Eingabemethode können Sie zwei Achsen eingeben und das Kontrollkästchen der Achse markieren, die PC-DMIS nach dem nächstgelegenen CAD-Element absuchen soll.

Vorgehensweise:

  1. Geben Sie die Werte für alle drei Achsen ein.

  2. Wählen Sie das Kontrollkästchen der Achse, an der Sie das nächste CAD-Element suchen.

  3. Klicken Sie auf die Schaltfläche Suchen.

Hierbei ist es wichtig, einen Wert einzugeben, der in der Nähe des gesuchten CAD-Elements liegt.

Oberflächenauswahlmethode

Mit der Oberflächenauswahlmethode können Sie eine CAD-Oberfläche mit Hilfe der Maus auswählen. Diese Oberfläche liefert dann die erforderlichen Werte für die XYZ-Punktfelder.

Vorgehensweise:

  1. Wählen Sie die CAD-Oberfläche mit der linken Maustaste aus. PC-DMIS setzt die XYZ-Werte automatisch in das Dialogfeld ein.

  2. Ändern Sie gegebenenfalls die XYZ-Werte ab.

  3. Aktivieren Sie das Kontrollkästchen für die zu suchende Achse.

  4. Klicken Sie auf die Schaltfläche Suchen.

Im Dialogfeld werden die Punkt- und Vektorwerte angezeigt, wenn die Eingabedaten die Oberfläche durchstoßen.


Schaltflächen "Pos. lesen" oder "Position lesen"

Über die Schaltflächen Pos. lesen oder Position lesen wird die aktuelle Position des Tasters sofort abgelesen und die Positionsdaten werden in die XYZ-Felder des Elements eingegeben.


Bereich "Messpunkte"

Im Bereich Messpunkte des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Listen "Anfangs." und "Ständig"

Feld "Abstand"

Felder "Einzug"

Feld "Tiefe"

Feld "Anz. Messpunkte"

Kontrollkästchen "Breite messen"


Listen "Anfangs" und "Ständig"

In den Listen Anfangs und Ständig können Sie die Anzahl der Stützpunkte bestimmen, die für das Auto Element aufgenommen werden. Diese Messpunkte werden verwendet, um die Ebene rund um die theoretische Punktlage zu messen.

  • Die Anfangsstützpunkte werden ausschließlich bei der ersten Messung des Elements während der Ausführung des Werkstückprogramms aufgenommen.

  • Die ständigen oder permanenten Stützpunkte werden für alle nachfolgenden Messungen während der Ausführung des Werkstückprogramms verwendet.

In der nachfolgenden Tabelle werden die Auto Elemente aufgelistet, für die Stützpunkte erforderlich sind. Außerdem wird beschrieben, wie die Stützpunkte bei der Messung des jeweiligen Elements verwendet werden.

Auto Element

Beschreibung der Stützpunkte

Flächenpunkt

Die einzig gültigen Eingaben sind 0 und 3.

  • Wird hier als Anzahl 0 eingestellt, misst PC-DMIS den Punkt am angegebenen theoretischen Antastvektor.

  • Wird hier als Anzahl 3 eingestellt, misst PC-DMIS eine Ebene um die theoretische Punktlage herum und verwendet den Oberflächennormalvektor der drei aufgenommenen Messpunkte für das Antasten an die theoretische Punktposition.

Kantenpunkt

Jeder Wert zwischen Null und Fünf kann verwendet werden. Die Anzahl der permanenten Stützpunkte darf jedoch nicht größer als die Anzahl der ersten Stützpunkte sein.

PC-DMIS misst den Punkt anhand des eingegebenen Werts:

  • 0, dann misst PC-DMIS den Punkt an den angegebenen theoretischen Antastvektoren und vertikalen Vektoren.

  • 1, dann misst PC-DMIS den Punkt auf der vertikalen Oberfläche. Die Kantenmessung wird dann durch diesen Punkt auf die theoretische Oberfläche projiziert. Alle über TIEFE = bestimmten Werte werden von diesem Punkt aus versetzt.

  • 2, dann nimmt PC-DMIS zwei Stützpunkte an der Kante entlang der angegebenen theoretischen Antastrichtung auf und verwendet diese Stützpunkte dann zur Berechnung eines neuen Antastvektors für die tatsächliche Punktmessung entlang der Kante.

  • 3, dann misst PC-DMIS den Punkt mit einer Kombination aus zwei Methoden – ein beziehungsweise zwei Stützpunkte zu verwenden. Dieses Messverfahren wird häufig als "Bund- und Spalt"-Messpunktverfahren bezeichnet.

  • 4, dann misst PC-DMIS die drei Stützpunkte auf der vertikalen Oberfläche und passt den vertikalen Oberflächenvektor an. Die Kantenmessung wird dann auf diese neue Nenn-Oberfläche projiziert. Alle über TIEFE = bestimmten Werte werden von diesem Punkt aus versetzt. Schließlich wird der Punkt entlang dem Antastvektor gemessen.

  • 5, dann misst PC-DMIS den Punkt durch Aufnahme von drei Messpunkten auf der vertikalen Oberfläche und zwei Messpunkten auf der Kante entlang der angegebenen Nenn-Antastrichtung. Dieses Messverfahren gilt als das zuverlässigste.

Verschiedene Anfangs- und ständige Stützpunkte für Kantenpunkte

Winkelpunkt

Ein Winkelpunktelement unterstützt lediglich die Funktion der ständigen Stützpunkte.

Die Stützpunkte werden auf jeder Oberfläche verwendet. Die gültigen Werte für diese Option sind zwei und drei.

  • Sind zwei Messpunkte ausgewählt, werden diese in einer Gerade aufgenommen, die rechtwinklig zum Kantenvektor verläuft.

  • Sind drei Messpunkte ausgewählt, bilden sie auf jeder Oberfläche eine Ebene (siehe Abbildung).

Zwei bzw. drei ständige Messpunkte in einem Winkelpunkt

Kreis, Zylinder oder Kegel

Die definierten Stützpunkte werden verwendet, um die Oberfläche vertikal zu dem Element zu messen. Die hier festgelegte Anzahl von Messpunkten wird dann in gleichmäßigen Abständen zwischen den angegebenen Anfangs- und Endwinkeln aufgenommen.

Wie PC-DMIS die Oberfläche misst, hängt vom eingegebenen Wert ab. Beispiel:

  • Wenn Typ = STANZLOCH und der Zahlenwert auf 0 gesetzt ist, nimmt PC-DMIS keine Stützpunkte auf.

  • Wenn Typ = BOLZEN und der Zahlenwert auf 0 gesetzt ist, nimmt PC-DMIS keine Stützpunkte auf. PC-DMIS behandelt diesen Höhenwert dann so, als wäre das Element ein STANZLOCH statt ein BOLZEN.

  • Wenn Typ = STANZLOCH und der Zahlenwert auf 1 gesetzt ist, nimmt PC-DMIS den Messpunkt auf der Außenseite des Elements auf.

  • Bei der Einstellung Typ = BOLZEN und einem auf 1 gesetzten Wert, nimmt PC-DMIS den Messpunkt oben auf dem Bolzen auf.

Hinweis: Wird in das Feld Höhe ein Wert eingegeben und stehen die Werte in den Feldern Anfangs und Ständig nicht auf Null, geht PC-DMIS davon aus, dass ein Bolzen gemessen wird und wird fordern, dass ein Messpunkt oben auf dem Bolzen aufgenommen wird. Wenn die Werte in den Feldern Anfangs und Ständig jedoch auf Null gesetzt sind, hat der Höhenwert eine andere Bedeutung und wird behandelt, wie unter TYP = STANZLOCH beschrieben wurde. (siehe "Feld "Höhe"").

In obiger Abbildung gilt: STRTA = Start Angle (Startwinkel). ENDA = End Angle (Endwinkel).

  • Wird hier ein Wert von 3 eingestellt, misst PC-DMIS die Oberfläche, ausgehend vom Startwinkel, in gleichmäßigen Abständen an drei Messpunkten. Die Stützpunkte liegen relativ zur gemessenen Ebene, und die Werte werden von diesen Punkten aus versetzt.

In obiger Abbildung gilt: STRTA = Start Angle (Startwinkel). ENDA = End Angle (Endwinkel)

Hinweis: PC-DMIS erwartet, dass der X, Y, Z-Nennwert des Bolzens an dessen unterem Ende liegt. Liegt der Mittelpunkt oben auf dem Bolzen, stellen Sie Tiefe und Abstand auf einen negativen Wert ein.

Kugel

Für die Felder Anfangs und Ständig sind jeweils nur ein Stützpunkt zulässig. Nach Angabe eines Stützpunkts geht PC-DMIS wie folgt vor, wenn Sie das Werkstückprogramm ausführen:

  1. Die automatische Messung wird vor Messen der Kugel angehalten.

  2. PC-DMIS fordert Sie auf, einen Messpunkt aufzunehmen, der vertikal zur Messrichtung der Kugel liegt.

  3. Wenn der Stützpunkt aufgenommen wurde, klicken Sie auf die Schaltfläche Fortfahren.

  4. PC-DMIS nimmt auf der Kugel dann drei weitere Messpunkte in einem durch den Abstandswert vorgegebenen Bereich auf.

PC-DMIS legt diese vier Messpunkte und die berechnete Kugelposition zugrunde, um die Kugel mit der angegebenen Anzahl von Messpunkten, Reihen und Winkeln zu messen.

Rechteckloch oder Langloch

Die einzig gültigen Werte sind null, eins und drei (0, 1, 3). Die gemessene Ebene wird als Mittellinienvektor für die Projektions- und Messtiefe verwendet.

Der eingegebene Wert gibt vor, wie PC-DMIS das Langloch misst. Beispielsweise bei einer Eingabe von:

  • 0 misst PC-DMIS das markierte Langloch. Es werden keine Stützpunkte aufgenommen.

  • 1 misst PC-DMIS die Oberfläche in der Mitte des Langlochs. Der Messpunkt für das Langloch liegt rechts vom Vektor.

  • 3 misst PC-DMIS die Oberfläche an drei Messpunkten, die, ausgehend von LANGLOCH A, in gleichmäßigem Abstand liegen. Die Messpunkte im Langloch verlaufen relativ zur gemessenen Ebene und alle Werte werden von diesen Punkten aus versetzt.

Die ersten und die permanenten Stützpunkte nach drei Messpunkten auf einem Rechteckloch (links) und einem Langloch (rechts).

Hinweis: Um die Messpunkte auf der gegenüberliegenden Seite des Langlochs aufzunehmen, kehren Sie den Mittellinienvektor um.

Ellipse

Die einzig gültigen Werte sind null, eins und drei (0, 1, 3). Die gemessene Ebene wird als Mittellinienvektor für die Projektions- und Messtiefe verwendet.

Der eingegebene Wert gibt vor, wie PC-DMIS die Ellipse misst. Beispielsweise bei einer Eingabe von:

  • 0 misst PC-DMIS die angegebene Ellipse. Es werden keine Stützpunkte aufgenommen.

  • 1 nimmt PC-DMIS einen einzigen Stützpunkt an der Stelle auf, auf die der WINKELVEK zeigt (d. h. 0° + ABSTAND) – also nicht am Mittelpunkt der Ellipse. Dies wäre besonders schwierig, wenn es sich bei der Ellipse um ein Loch handelt).

  • 3 misst PC-DMIS die Oberflächen an Punkten außerhalb (oder innerhalb) der Ellipse in einem bestimmten Abstand vom äußeren Rand (Abstandswert). Der erste Messpunkt wird am angegebenen Startwinkel aufgenommen. Der zweite Messpunkt liegt auf halbem Weg zwischen dem Anfangs- und dem Endwinkel. Der letzte Messpunkt wird am Endwinkel aufgenommen. Die Messpunkte liegen relativ zur gemessenen Ebene und alle Werte werden von diesen Punkten aus versetzt.

Hinweis: Um den Messpunkt auf der gegenüberliegenden Seite der Ellipse aufzunehmen, kehren Sie den Mittellinienvektor um.

Kerbe

Die Stützpunkte definieren auch die Kante für den Winkelvektor und die Winkelbreite. Die einzig gültigen Werte sind null bis fünf (0 - 5). Die gemessene Ebene wird als Mittellinienvektor für die Projektions- und Messtiefe verwendet.

Durch den eingegebenen Wert wird bestimmt, wie PC-DMIS die Kerbe misst. Beispielsweise bei einer Eingabe von:

  • 0 misst PC-DMIS die angegebene Kerbe. Es werden keine Stützpunkte aufgenommen.

  • 1 misst PC-DMIS die Oberfläche an der Kante der Kerbe.

  • 2 misst PC-DMIS die Kante entlang der offenen Seite der Kerbe. Damit wird der Winkelvektor definiert. Dieser Wert wird zur Ermittlung der Kerbenbreite verwendet.

  • 3 misst PC-DMIS die Oberfläche an einem Ende der Kerbe mit zwei Messpunkten und am anderen Ende der Kerbe mit einem Messpunkt. Die Kerbenmesspunkte liegen relativ zur gemessenen Ebene und die Werte werden von diesen Punkten aus versetzt.

  • 4 misst PC-DMIS die Oberfläche wie bei dem Verfahren mit drei Stützpunkten. Ein vierter Messpunkt wird an der Kante entlang der offenen Seite aufgenommen. Er dient zur Bestimmung der Kerbenbreite.

  • 5 misst PC-DMIS die Oberfläche wie bei dem Verfahren mit drei Stützpunkten. Außerdem wird die Kante mit demselben Verfahren wie bei zwei Messpunkten entlang der offenen Seite gemessen.


Feld "Abstand"

Im Feld Abstand wird der Abstand von der theoretischen Punktposition bestimmt, den PC-DMIS bei der Messung einer Ebene zugrundelegt, wenn Stützpunkte angegeben sind.

So ändern Sie diesen Wert:

  1. Wählen Sie den Wert aus.

  2. Geben Sie einen neuen Wert ein.

Wird kein Wert eingegeben, verwendet PC-DMIS einen Standardabstand.

Auto Element

Beschreibung für "Abstand"

Flächenpunkt

Im Feld Abstand wird der Radius des Kreises definiert, auf dem die Nennwert- und die Stützpunkte liegen.

Kantenpunkt

Im Feld Abstand wird der Radius des Kreises definiert, auf dem die Nennwert- und die Stützpunkte liegen.

Winkelpunkt

Im Feld Abstand wird der Versatz zwischen den Punkten auf beiden Seiten der Biegung definiert.

Eckpunkt

Im Feld Abstand wird der Abstand vom Radius des ersten Messpunkts zu den anderen Messpunkten definiert.

Kreis, Zylinder und Kegel

Das Feld Abstand bestimmt den Abstand zwischen dem Kreisumfang und den Stützpunkten.

Hinweis: Bei der Aufnahme von Stützpunkten werden keine Sicherheitsebenen verwendet. Daher ist es beim Messen von Bolzen wichtig, den Abstandswert auf eine Entfernung einzustellen, die es dem Taster ermöglicht, sich um den Bolzen herum zu bewegen.

Hinweis: PC-DMIS erwartet, dass der X, Y, Z-Nennwert des Bolzens an dessen unterem Ende liegt. Liegt der Mittelpunkt oben auf dem Bolzen, stellen Sie Tiefe und Abstand auf einen negativen Wert ein.

Kugel

Das Feld Abstand definiert den Abstand zwischen der Mittelachse entlang dem oberen Kugelrand und den Stützpunkten. Bei der Aufnahme von Stützpunkten ermittelt PC-DMIS die Lage des Mittelpunkts anhand einer Besteinpassungs-Lageroutine. Diese Routine hilft bei der allgemeinen Lagebestimmung der Kugel, bevor PC-DMIS die Kugel misst.

Rechteckloch, Langloch und Ellipse

Im Feld Abstand wird der Abstand zwischen der Außenkante des Elements und den Stützpunkten bestimmt.

Abstand für ein Rechteckloch oder eine Kerbe (links) und ein Langloch (rechts)

Ebene

Das Feld Abstand bestimmt den Abstand zwischen Messpunkten, welche die Ebene bilden.


Felder "Einzug"

Im Feld Einzug wird der MIndestversatz zwischen der Punktposition und dem ersten Stützpunkt angezeigt.

So ändern Sie diesen Abstand:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Kantenpunkt

Im Feld Einzug wird der minimale Versatz zwischen der Punktposition und dem ersten Messpunkt auf beiden Seiten der Biegung (oder Kante) angezeigt.

Versatz von der Kante

Winkelpunkt

PC-DMIS verfügt über zwei Einzugsfelder, Einzug 1 und Einzug 2, in denen Sie die Versätze von der Punktposition zu den Stützpunkten auf beiden Oberflächen der Biegung in einem Winkelpunkt einstellen können.

Einzug in einem Winkelpunkt

  • Im Feld Einzug 1 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der ersten Oberfläche der Biegung bestimmen.

  • Im Feld Einzug 2 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der zweiten Oberfläche der Biegung bestimmen.

Eckpunkt

PC-DMIS verfügt über drei Einzugsfelder, Einzug 1 , Einzug 2 und Einzug 3, in denen Sie die Versätze von der Punktposition zu den Stützpunkten auf jeder der drei Oberflächen der Biegung in einem Eckpunkt einstellen können.

  • Im Feld Einzug 1 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der ersten der drei Ebenen bestimmen.

  • Im Feld Einzug 2 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der zweiten der drei Ebenen bestimmen.

  • Im Feld Einzug 3 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der dritten der drei Ebenen bestimmen.

Einzug für einen Eckpunkt. Bei einer der Oberflächen zeigt 1 den Einzugspunkt an; 2 und 3 sind die Stützpunkte.

Kerbe

Im Feld Einzug wird festgelegt, in welchem Abstand von der an der offenen Seite der Kerbe gelegenen Kante die Messpunkte an den parallel verlaufenden Seiten aufgenommen werden sollen.


Feld "Tiefe"

"Tiefe" wird nur für folgende Elementtypen unterstützt: Kantenpunkt, Kreis, Zylinder, Kegel, Rechteckloch, Langloch, Ellipse und Kerbe.

Über das Feld Tiefe wird der Abstand von der Oberfläche beim Messen von Stützpunkten definiert, sowie der Abstand von der Oberfläche, in dem PC-DMIS das Element selbst misst.

So ändern Sie diesen Wert:

1. Wählen Sie den vorhandenen Wert aus.

2. Geben Sie einen neuen Wert ein.

In der nachfolgenden Tabelle finden Sie Informationen zur Funktionsweise dieses Feldes im Zusammenhang mit bestimmten Auto Elementen:

Kantenpunkt

Sind ein, zwei oder drei Stützpunkte angegeben (siehe die Listen ""Anfangs" und "Ständig""), wird der für Tiefe angegebene Wert vom gemessenen Oberflächenwert aus angewandt.

Tiefe für den Kantenpunkt

Kreis, Zylinder und Kegel

Dieser Abstand wird als positiver Wert entlang dem Mittellinienvektor vom Elementmittelpunkt angewandt. Im Falle von Zylindern und Kegeln wird dieser Wert einmal für jede Schicht Messpunkte angewandt.

Die Option TYP = STANZLOCH / STIFT wirkt sich auf die Anwendung dieses Werts aus. Bei der Option STANZLOCH sorgt ein positiver Tiefenwert dafür, dass der Taster tiefer in das Loch bewegt wird. Bei der Option STIFT veranlasst ein positiver Tiefenwert eine Bewegung des Tasters am Bolzen entlang nach oben. (Weitere Informationen finden Sie unter Optionen "Stanzloch" und "Bolzen".)

Hinweis: PC-DMIS erwartet, dass der X, Y, Z-Nennwert des Bolzens an dessen unterem Ende liegt. Liegt der Mittelpunkt oben auf dem Bolzen, stellen Sie die Tiefe auf einen negativen Wert ein.

Gerade

Dieser Abstand wird als positiver Wert entlang dem rechtwinklig zum Geraden- und Kantenvektor verlaufenden Vektor angewandt.

Die Geradentiefe hängt von der Messpunktrichtung relativ zum aktuellen Koordinatensystem ab. Beispiel: Wenn eine typische Messrichtung (X/Rechts, Y/Zurück und Z/nach oben) vorliegt und Sie den ersten und zweiten Messpunkt am Modell von links nach rechts aufnehmen, müssen Sie einen positiven Tiefenwert zugrundelegen. Wenn Sie den ersten und zweiten Messpunkt am Modell jedoch von rechts nach links aufnehmen, müssen Sie einen negativen Tiefenwert zugrundelegen.


Feld "Anz. Messpunkte"

Im Feld Anz. Messpunkte wird die Anzahl der für die Messung des Elements verwendeten Messpunkte definiert. Die hier festgelegte Anzahl an Messpunkten wird dann in gleichmäßigen Abständen zwischen den angegebenen Anfangs- und Endwinkeln aufgenommen.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Kreis oder Ellipse

Wenn Start- und Endwinkel übereinstimmen oder der Unterschied ein Vielfaches von 360° beträgt, wird nur ein Messpunkt am gemeinsamen Start- und Endpunkt aufgenommen.

Lage der Messpunkte

Zylinder oder Kegel

Für dieses Element wird die Anzahl an Messpunkten (pro Reihe) definiert.

Hinweis: Zum Messen des Elements sind mindestens sechs Messpunkte erforderlich (drei Messpunkte auf jeder der beiden Schichten).

Kugel

Mindestens vier Messpunkte sind für das Messen einer Kugel erforderlich.

Langloch

Wird hier eine ungerade Zahl eingegeben, erhöht PC-DMIS diesen Wert automatisch um eins. Auf diese Weise ist gewährleistet, dass stets eine gerade Anzahl von Messpunkten für die Messung des Langlochs verwendet wird. Je die Hälfte der Messpunkte wird auf jedem der beiden Halbkreise auf beiden Seiten des Langlochs aufgenommen. Es sind mindestens sechs Messpunkte erforderlich.

Ebene

Mindestens drei Messpunkte sind für das Messen einer Ebene erforderlich. Die Gesamtsumme der Messpunkte für das Ebenenelement wird jedoch durch das Produkt der in den Feldern Anz. Messpunkte und Reihen eingegebenen Werte gebildet. Daher würde ein Wert von 2 im Feld Anz. Messpunkte mit einer 3 im Feld Reihen insgesamt sechs Messpunkte erzeugen.

Gerade

In dieses Feld kann eine beliebige Anzahl von Messpunkten eingegeben werden. Je nach Geradenart und eingegebenem Wert, wendet PC-DMIS folgende Methoden in einer Drei-Geraden-Vektorrichtung an:

Wenn Sie eine begrenzte Gerade erzeugen, legt PC-DMIS die berechnete Länge der Geraden zugrunde und verteilt die Messpunkte in gleichmäßigem Abstand entlang der Geraden. Die ersten und letzten Messpunkte bilden dann die Start- und Endpunkte.

Handelt es sich um eine unbegrenzte Gerade, legt PC-DMIS den eingegebenen Längenwert zugrunde und verteilt die Messpunkte in gleichmäßigem Abstand entlang des Richtungsvektors der Geraden.

Hinweis: Wird kein Längenwert eingegeben (oder lautet der Wert Null), verwendet PC-DMIS den Tastspitzendurchmesser des aktuellen Tasters als Abstandswert zwischen den Punkten.


Kontrollkästchen "Breite messen"

Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Rechteckloch

Wenn das Kontrollkästchen Breite messen und die Schaltfläche Erzeugen ausgewählt sind, geht PC-DMIS folgendermaßen vor:

  • Zwei Messpunkte werden auf der Seite des Rechtecklochs aufgenommen.

  • Der Winkelvektor wird angepasst.

  • Es werden zwei Messpunkte auf der gegenüberliegenden Seite aufgenommen, um die Breite zu berechnen.

  • Die Lage der letzten beiden Messpunkte wird an jedem Ende für die Breite angepasst.


Bereich "Eigenschaften"

Im Bereich Eigenschaften des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Kontrollkästchen "Einrasten"

Kontrollkästchen "Außen"

Feld "Inkrement"

Feld "Toleranz"

Feld "Breite"

Feld "Länge"

Schaltfläche "Feldmodus"

Schaltfläche "Kreisförmig"

Feld "Reihen"

Feld "Durchmesser"

Feld "Startwink."

Feld "Endwink."

Feld "Mess Wink"

Feld "Steigung"

Feld "Startwink. 1"

Feld "Endwink 1"

Feld "Startwink 2"

Feld "Endwink 2"

Feld "Radius"

Feld "Hauptdm."

Feld "Nebendm."

Feld "Winkel"

Rechteck-/Radialmuster

Begrenzter / Unbegrenzter Typ


Kontrollkästchen "Einrasten"

Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Vektorpunkt und Oberflächenpunkt.

Beim Messen eines unterstützten Elements kann der Benutzer die gemessenen Werte auf dem theoretischen Vektor "einrasten" lassen. Bei Wahl des Kontrollkästchens Einrasten verlaufen alle Abweichungen entlang dem Punktvektor. Dies ist nützlich bei der Verfolgung einer Abweichung entlang eines bestimmten Vektors.

Beispiel: Angenommen, Sie messen eine flache Tischplatte in der XY-Ebene und nehmen drei Messpunkte von der Z-Achse auf. Auch wenn die X- und Y-Werte der gemessenen Punkte Abweichungen aufweisen, sind diese irrelevant, da der Tisch flach ist. Dagegen ist ein Versatz oder eine Abweichung entlang der Z-Achse von Bedeutung. Mit der Option Einrasten werden die Werte für X und Y als genaue Messpunkte gewertet, und Fehler werden ignoriert. Bei dieser Option werden nur die Abweichungen des Tisches entlang der Z-Achse angezeigt.


Kontrollkästchen "Außen"

Dieses Kontrollkästchen ist nur für das Auto-Element "Winkelpunkt" verfügbar.

Über das Kontrollkästchen Außen kann der Winkel als Innenwinkel (nicht markiert) oder Außenwinkel (markiert) definiert werden. Bei Innenwinkeln ist der Raumwinkel des Werkstücks kleiner als 180°, bei Außenwinkeln ist er größer als 180°. Ist das Kästchen ausgewählt, misst PC-DMIS den Winkel als Außenwinkel. Aufgrund der Unterschiede in der Messfolge für jeden Typ ist es äußerst wichtig, darauf zu achten, dass diese Option richtig eingestellt ist.


Feld "Inkrement"

Dieses Kontrollkästchen ist nur für das Auto-Element "Extrempunkt" verfügbar.

Mit dem Feld Inkrement können Sie die Schrittweite definieren, die für die Suche nach dem Extrempunkt im Suchbereich verwendet wird. Bei der Ausführung beginnt PC-DMIS die Suche am Anfangspunkt (oder Suchpunkt) unter Verwendung des im Feld Inkrement angegebenen Werts.


Feld "Toleranz"

Dieses Kontrollkästchen ist nur für das Auto-Element "Extrempunkt" verfügbar.

Im Feld Toleranz können Sie einen Toleranzwert definieren, der PC-DMIS anweist, wann die Suche nach einem Extrempunkt in einem bestimmten Bereich gestoppt werden soll. Dieser Toleranzwert sollte stets unter dem Inkrementwert liegen. Während des Suchvorgangs wird der Inkrementwert von PC-DMIS so lange verringert, bis er kleiner als oder gleich dem angegebenen Toleranzwert ist. Das bedeutet dann, dass in der aktuellen Arbeitsebene der Extrempunkt (höchste Punkt) gefunden wurde.


Feld "Breite"

Extrempunkt | Die Breite definiert die Breite des Suchbereichs. Wenn Sie über einen Längenwert verfügen, der Wert für die Breite jedoch bei 0 belassen wird, entspricht der Breitenwert der Länge entlang der Hauptachse der aktuellen Arbeitsfläche.
Rechteckloch, Langloch, Ellipse oder Kerbe | Im Feld Breite wird die Breite des Elements angezeigt.


Feld "Länge"

Extrempunkt | Die Länge definiert die Länge des Suchbereichs. Wenn Sie über einen Breitenwert verfügen, der Wert für die Länge jedoch bei 0 belassen wird, entspricht der Längenwert der Länge entlang der Nebenachse der aktuellen Arbeitsfläche.
Rechteckloch, Langloch, Ellipse, Kerbe oder Gerade | Im Feld Länge wird die Länge des Elements angezeigt.


Schaltfläche "Feldmodus"

Diese Schaltfläche ist nur für das Element "Extrempunkt" verfügbar.

Die Schaltfläche Feldmodus ermöglicht es Ihnen, den Suchmodus zu definieren, den PC-DMIS verwendet, um den Extrempunkt zu finden.

Klicken Sie auf Feldmodus, um den Suchmodus zu ändern. Hierbei werden die Felder Breite und Länge in Außenrad. und Innenrad. und die Schaltfläche Feldmodus in Kreismodus geändert. (Siehe auch Schaltfläche "Kreismodus").

Wird auf der Schaltfläche Feldmodus angezeigt, wird der Suchbereich für das Extrempunkt-Element zu einem durch die Werte Breite und Länge definierten Bereich. PC-DMIS zeigt den Extrempunkt innerhalb dieses Bereichs an.

Hinweis: Der Startpunkt sollte innerhalb des durch die Parameter Breite und Länge für den Feldmodus definierten Suchbereichs liegen. In den Sonderfällen, in denen eine Gerade durchsucht werden soll, wird der Anfangspunkt automatisch auf die Gerade gesetzt.

Auf dieser Schaltfläche ist Feldmodus der Standardmodus.


Schaltfläche "Kreismodus"

Diese Schaltfläche ist nur für das Element "Extrempunkt" verfügbar.

Die Schaltfläche Kreismodus ermöglicht es Ihnen, den Suchmodus zu definieren, den PC-DMIS verwendet, um den Extrempunkt zu finden.

Klicken sie auf Kreismodus, um den Suchmodus zu ändern. Hierbei werden die Felder Außenrad. und Innenrad. in Breite und Länge und die Schaltfläche Kreismodus in Feldmodus geändert. (Siehe auch Schaltfläche "Feldmodus".)

Wird auf der Schaltfläche Kreismodus angezeigt, wird der Suchbereich für das Extrempunkt-Element zu einem durch die Werte Außenrad. und Innenrad. definierten kreisförmigen Suchband.

  • Soll ein kreisförmiger Bereich durchsucht werden, geben Sie für den Innenradius den Wert 0 ein.

  • Wenn Sie eine kreisförmige Suchlinie wünschen, geben Sie für den Innen- und den Außenradius denselben Wert ein.

Der höchste Punkt entlang des Umfangs wird als Extrempunkt ausgewiesen.

Hinweis: Der Startpunkt sollte innerhalb des durch die Parameter Innenrad. und Außenrad. für den Kreismodus definierten Suchbereichs liegen. In den Sonderfällen, in denen eine Linie durchsucht werden soll, wird der Anfangspunkt automatisch auf die Linie gesetzt.


Feld "Reihen"

Diese Liste ist nur für die folgenden Auto-Elemente verfügbar: Zylinder, Kugel, Kegel oder Ebene

Im Feld Reihen wird die Anzahl von Reihen bestimmt, die zur Messung des Elements verwendet werden. Sie können eine beliebige Ganzzahl eingeben, die größer als eins (1) ist.

Bei einem Zylinder oder Kegel verlaufen die Reihen in gleichmäßigen Abständen zwischen der Tiefe und Länge des Elements.

Bei einer Kugel verlaufen die Reihen in gleich großen Abständen zwischen Startwinkel 2 und Endwinkel 2.

Bei einer Ebene wird die Anzahl der Reihen und Messpunkte zugrundegelegt, um zu bestimmen, welche Gesamtanzahl an Messpunkten zur Erzeugung der Auto-Ebene verwendet wird.


Feld "Durchmesser"

Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Kugel, Kegel oder Vieleck

Über das Feld Durchmesser wird der Durchmesser des Elements definiert. Im Falle eines Bolzens wird in diesem Feld der vom Benutzer eingegebene Nennwert angezeigt.

So ändern Sie den Durchmesser des Elements:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Nachdem das Element erstellt wurde, aktualisiert PC-DMIS die Größe des Elements im Grafikfenster.

Bei einem Kegel entspricht dieser Wert dem Nenndurchmesser am Ende des Kegels, wo Sie die XYZ-Position definiert haben.

Bei Vielecken mit einer geraden Anzahl von Seiten ist der Durchmesser der Abstand zwischen zwei gegenüberliegenden Seiten. Bei anderen Vielecken, wie dem gleichseitigen Dreieck, ist der Durchmesser doppelt so lang wie der Radius des größten Kreises, der innerhalb des Vielecks einbeschrieben werden kann.


Feld "Startwink."

Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Ellipse oder Kegel.

Im Feld Startwink. wird der Startwinkel des Elements angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal).

So ändern Sie den Startwinkel:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Hinweis:Die Hauptachse der aktuellen Arbeitsebene liegt bei 0°. Der Startwinkel ist entlang der Mittellinie ausgerichtet und verläuft gegen den Uhrzeigersinn.

Versatz-Information: Wird ein Bogen mit Hilfe eines der Auto-Kreiselemente (Kreis, Zylinder, Kegel, Kugel oder Langloch) erzeugt, wird PC-DMIS die Start- und Endwinkel jeweils um zwei Grad versetzen. Auf diese Weise werden aus CAD abgeleitete Bögen nicht an ihren Start- und Endwinkeln gemessen, wobei möglicherweise eine Ecke erfasst werden könnte. In den meisten Fällen dürfte dies kaum von Bedeutung sein, sofern Sie nicht versuchen, einen kleinen Bogen von nur wenigen Graden zu erzeugen. Wenn Sie beispielsweise einen Winkel von vier Grad mit Hilfe der Registerkarte Kreis messen wollen, geben Sie in den Feldern Startwink. und Endwink. einen Bogenparameter von acht Grad ein, da Sie wissen, dass PC-DMIS den Bogen in jedem Winkel um zwei Grad verkürzen wird.


Feld "Endwink."

Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Ellipse oder Kegel.

Im Feld Endwink. wird der Endwinkel des Elements angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal).

So ändern Sie den Endwinkel:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Hinweis: Beachten Sie bei der Eingabe von Start- und Endwinkel, dass der I, J, K-Vektor stets entlang der Mittellinie ausgerichtet ist und dass PC-DMIS CNC-Kreiselemente gegen den Uhrzeigersinn misst.

Weitere Informationen zu Auto-Kreisen finden Sie unter dem Hinweis Versatz-Information im Abschnitt "Feld "Startwink."".


Feld "Mess Wink"

Langlöcher haben zwei abgerundete Enden, von denen jedes einen Messradius von bis zu 180 Grad haben kann. Der Wert im Feld Mess Wink gibt den Umfang des zu messenden Radius vor. PC-DMIS nimmt den Eingabewert und dividiert ihn durch zwei. Dann wird jede Seite des Langloch-Winkelvektors zur Hälfte gemessen.

Beispiel:Sie haben den Wert 90 in diesem Feld eingegeben. Bei der Erzeugung des Langlochs würde PC-DMIS dann 45 Grad auf der linken und 45 Grad auf der rechten Seite des Winkelvektors (oder umgekeht, je nach Winkelvektor) messen.


Feld "Steigung"

Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis oder Zylinder.

Das Feld Steigung ermöglicht eine genauere Messung von Gewindelöchern und Bolzen. In PC-DMIS ist "Steigung" der Abstand zwischen den Gewindegängen entlang der Achse des Elements. Wenn das Feld Steigung einen anderen Wert als Null enthält, werden die Messpunkte des Elements entlang der THEO-Achse verteilt. Die Abstände der Messpunkte um das Element werden dabei mit Hilfe der Start- und Endwinkel bestimmt.

Hinweis: Außerhalb von PC-DMIS wird "Steigung" in der Regel als "Gewindegänge pro Zoll" definiert.

Kreis

Um einem standardmäßigen (im Uhrzeigersinn) Gewindemuster folgen zu können, müssen Sie die Start- und Endwinkel umkehren (d. h. 720 - 0). Wenn Sie eine Messung von einer ansteigenden in eine fallende Steigung umkehren möchten (nach oben/nach unten), müssen Sie den Wert der Steigung negieren.

Beispiel: Bei der Messung eines Kreises mit vier Messpunkten in gleichmäßigen Abständen um den Kreis ist der erste Messpunkt der Startwinkel der Eingabetiefe. Der zweite Messpunkt liegt zum ersten Messpunkt in einem Drehungswinkel von 90 Grad und einer Tiefe von (Tiefe – ((Anzmesspkt-1)/Messpkte insgesamt * Steigung)). Der dritte Messpunkt liegt zum ersten Messpunkt in einem Drehungswinkel von 180 Grad und einer Tiefe von (Tiefe – ((Anzmesspkt.-1)/Messpkte insgesamt * Steigung)). Die weiteren Messpunkte folgen demselben Muster.

Zylinder

Beispiel: Bei der Messung eines Zylinders mit zwei Schichten, auf denen sich in gleichmäßigen Abständen um den Zylinder jeweils vier Messpunkte befinden, ist der erste Messpunkt jeder Schicht der Startwinkel in der Eingabetiefe. Der zweite Messpunkt liegt zum ersten Messpunkt in einem Drehungswinkel von 90 Grad und einer Tiefe von (Tiefe – (Anzmesspkt-1)/Anzmesspkte pro Reihe * Steigung). Der dritte Messpunkt liegt zum ersten Messpunkt in einem Drehungswinkel von 180 Grad und einer Tiefe von (Tiefe – (Anzmesspkt.-1)/Anzmesspkte pro Reihe * Steigung). Die weiteren Messpunkte folgen demselben Muster.


Feld "Startwink 1"

Dieses Feld ist nur für das Auto Element "Kugel" verfügbar.

Im Feld Startwink. 1 wird der Startwinkel auf der Kugel angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal). Dieser Winkel ähnelt dem Endwinkel auf einem Auto Kreis und ist relativ zum Winkelvektor.

So ändern Sie den Startwinkel:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Der Winkelvektor verläuft entlang der X-Achse (siehe Abbildungen unten). Die Start- und Endwinkel liegen relativ zu diesem Winkelvektor. Die Messung erfolgt entgegen dem Uhrzeigersinn.

Y-Achse

X-Achse

Bildschirmkopie einer Auto Kugel mit der Anzeige von Bahngeraden und Messpunktlagen vom Startwinkel 0 (bei A) und vom Endwinkel 90 (bei B).


Feld "Endwink 1"

Dieses Feld ist nur für das Auto Element "Kugel" verfügbar.

Im Feld Endwink 1 können Sie den Endwinkel auf der Kugel bestimmen. Dies kann ein beliebiger Winkel in Grad (dezimal) sein. Dieser Winkel ähnelt dem Endwinkel auf einem Auto Kreis und ist relativ zum Winkelvektor.

So ändern Sie den Endwinkel:

  1. Markieren Sie im Feld Endwink 1 den Wert.

  2. Geben Sie einen neuen Wert ein.

Der Winkelvektor verläuft entlang der X-Achse (siehe Abbildungen unten). Die Start- und Endwinkel liegen relativ zu diesem Winkelvektor. Die Messung erfolgt entgegen dem Uhrzeigersinn.

Y-Achse

X-Achse

Bildschirmkopie einer Auto Kugel mit der Anzeige von Bahngeraden und Messpunktlagen vom Startwinkel 0 (bei A) und vom Endwinkel 90 (bei B).


Feld "Startwink 2"

Dieses Feld ist nur für das Auto Element "Kugel" verfügbar.

Im Feld Endwink 2 wird der sekundäre Endwinkel auf der Kugel festgelegt. Hierbei handelt es sich um einen Winkel in Grad (dezimal). Wird ein Anfangswinkel von 0° definiert, umfasst die erste Reihe einen einzigen Messpunkt oben auf der Kugel. Normalerweise liegt der Tasterschaft parallel zum vertikalen Vektor. In diesem Fall sollte dieser Wert zwischen 0° and 90° liegen. Jeder Wert höher als 90 Grad könnte ein Kollidieren des Tasterschafts mit dem Werkstück verursachen.

So ändern Sie den Startwinkel:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Feld "Endwink 2"

Dieses Feld ist nur für das Auto Element "Kugel" verfügbar.

Im Feld Endwink 2 wird der sekundäre Endwinkel auf der Kugel festgelegt. Hierbei handelt es sich um einen Winkel in Grad (dezimal). Wird ein Endwinkel von 0° definiert, umfasst die letzte Reihe einen einzigen Messpunkt oben auf der Kugel. Normalerweise liegt der Tasterschaft parallel zum vertikalen Vektor. In diesem Fall sollte dieser Wert zwischen 0° and 90° liegen. Jeder Wert höher als 90 Grad könnte ein Kollidieren des Tasterschafts mit dem Werkstück verursachen.

So ändern Sie den Endwinkel:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Hinweis: Beachten Sie bei der Eingabe von Anfangs- und Endwinkel, dass der I, J, K-Vektor stets entlang der Mittellinie ausgerichtet ist und dass PC-DMIS CNC-Kugeln gegen den Uhrzeigersinn misst.


Feld "Radius"

Dieses Feld ist nur für die folgenden Elementtypen verfügbar: Rechteckloch und Kerbe.

Rechtecklöcher oder Kerben sind nicht immer absolut rechteckig bzw. quadratisch. Oft weisen sie einen Radius anstelle von Ecken auf. Das Feld Radius gibt die Größe dieses Radius an.

Bei einem Rechteckloch dient er während der Messung des Rechtecklochs zur Bestimmung der Lage, um die Aufnahme von Messpunkten auf dem Radius zu verhindern.

Bei einer Kerbe werden Messpunkte an der der offenen Seite gegenüberliegenden Kante über den Radius angepasst.


Feld "Hauptdm."

Dieses Feld ist nur für das Element "Ellipse" verfügbar.

Im Feld Hauptdurchmesser wird die Gesamtlänge der Ellipse angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Feld "Nebendm."

Dieses Feld ist nur für das Element "Ellipse" verfügbar.

Im Feld Nebendm. wird die Breite der Ellipse angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Feld "Winkel"

Dieses Feld ist nur für das Element "Kegel" verfügbar.

Über das Feld Winkel wird der Winkel des Kegels definiert.

So ändern Sie den Winkel des Kegels:

  1. Wählen Sie einen vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Wenn das Element erstellt worden ist, wird die Kegelgröße im Grafikfenster aktualisiert.


Rechteck-/Radialmuster

Bei einem Auto-Ebenenelement können Sie über die Optionen Rechteck und Radial bestimmen, ob die Messpunkte für das Ebenenelement in einem Rechteck- oder Radialmuster aufgenommen werden sollen.

Wenn Sie Radial auswählen, wird PC-DMIS die Messpunkte in Reihen ausgehend vom Ebenenmittelpunkt in einem kreisförmigen oder radialen Muster erzeugen. PC-DMIS geht von 360 Grad aus, die durch den Wert in dem Feld Reihen dividiert werden, um den Winkel zwischen jeder Reihe zu bestimmen. Wenn das Feld Reihen beispielsweise den Wert 6 und das Feld Anz. den Wert 3 enthält, würde PC-DMIS jeweils im Abstand von 60 Grad eine Reihe von drei Messpunkten erstellen, d. h. insgesamt 18 Messpunkte.

Wenn Sie Rechteck auswählen, wird PC-DMIS die Messpunkte ausgehend vom Ebenenmittelpunkt in einem Rastermuster erzeugen. Wenn das Feld Reihen beispielsweise den Wert 3 und das Feld Anz. den Wert 4 enthält, würde PC-DMIS insgesamt 12 Messpunkte in einem Rastermuster mit der Ebenenmitte als Mittelpunkt erstellen.


Begrenzter / Unbegrenzter Typ

Dieser Bereich steht derzeit nur für das Linienelement zur Auswahl.

Mit dem Bereich Typ können Sie festlegen, ob die Auto-Linie durch einen Endpunkt Begrenzt wird oder Unbegrenzt ist.

Wenn Sie Begrenzt auswählen, werden einige Endfelder im Bereich Lage mit XYZ-Werten für den Endpunkt eingeblendet. PC-DMIS berechnet automatisch die Linienlänge anhand des Abstands zwischen Start- und Endpunkten und zeigt die Linienlänge im Feld Länge an.

Wenn Unbegrenzt ausgewählt wird, erwartet PC-DMIS, dass Sie einen Wert in das Feld Länge eingeben. Die Linie wird dann ausgehend vom Startpunkt über die im Feld Länge angegebene Entfernung entlang des Linienvektors berechnet.

Weitere Informationen finden Sie unter den Themen "XYZ-Start-/Endpunktfelder" und "Feld 'Länge'".


Bereich "Richtungs-Vektoren"

Im Bereich Richtungs-Vektoren des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

IJK-Felder für "Normale (Richtungsvektoren)"

IJK-Felder für "Winkel (Vektoren)"

Felder "Mittelpunkt"

IJK-Felder für "Kantenvektor"

IJK-Felder für "Oberflächenvektor"

IJK-Felder für "Geradenvektor"

IJK-Felder für "Oberfl. 1-Vektor"

IJK-Felder für "Oberfl. 2-Vektor"

IJK-Felder für "Oberfl. 3-Vektor"

Schaltfläche "Vektor(en) suchen"

Schaltfläche "(Vektor) Umkehren"

Schaltfläche "(Kante) Umkehren"

Schaltfläche "Umk. Linie"

Schaltflächen "(Oberfläche) Umkehren"

Schaltfläche "Tauschen"

Optionen "Loch" oder "Bolzen"

Feld "Höhe"


IJK-Felder für "Normale (Richtungsvektoren)"

Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen. Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt. Dieser Vektor wird bei der Tasterkompensation verwendet.

Für Vektor-, Flächen- und Extrempunkte zeigen die IJK-Felder für den vertikalen Vektor die Antastrichtung für den Messpunkt an, der zum Erstellen des Auto-Elements verwendet wurde.

Für Extrempunkte zeigt der vertikale IJK-Vektor nach der Ausführung den Antastvektor für den Extrempunkt in der aktuellen Arbeitsebene an.

Für Kreis-, Zylinder-, Kugel- und Kegelelemente definieren die IJK-Felder für den vertikalen Vektor die Mittellinie des Elements. Der Vektor eines Kegels ist äußerst wichtig und zeigt stets vom Nullpunkt weg. Höhe und Tiefe eines Kegels sind stets relativ zu ihrem Vektor.

Für Rechteckloch-, Langloch-, Ellipsen- und KerbenElemente definieren die IJK-Felder für den vertikalen Vektor den vertikalen Oberflächenvektor der Ebene, in der sich das Element befindet (die zum Element parallele Ebene).

Bei einem Ebenenelement definieren die IJK-Felder für den vertikalen Vektor die Antastrichtung für die Ebenenmesspunkte.


IJK-Felder für "Winkel (Vektoren)"

So ändern Sie den Winkelvektor:

  1. Wählen Sie die zu aktualisierenden Felder.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf 1 setzt.

Für Kreis-, Zylinder-, Kugel- und Kegelelemente definieren die Felder für Winkel die 0°-Position des vertikalen Vektors. Start- und Endwinkel werden von diesem Vektor aus berechnet. Stehen die Vektoren nicht im rechten Winkel zueinander, wird der Winkelvektor an der Normalen angepasst.

Für Rechtecklöcher, Rundlöcher und Ellipsenelemente definieren die Felder für Winkel die Mittellinie des Elements. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Die Mittellinie des Elements und die Normale müssen im rechten Winkel zueinander stehen.

Für ein Kerbenelement bestimmen die Felder für Winkel den Ausrichtungsvektor der Kerbe auf der Seite, die der Kerbenöffnung gegenüber liegt. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der Winkelvektor und die Normale für die Kerbe müssen im rechten Winkel zueinander stehen.

Bei einem Ebenenelement definieren die Winkel-Felder die Mittellinie der Ebene.


Felder "Mittelpunkt"

Diese Felder sind nur für das Element "Extrempunkt" verfügbar.

Die Felder für den Mittelpunkt zeigen die Position des Mittelpunkts des Suchbereichs für ein Extrempunktelement an.


IJK-Felder für "Kantenvektor"

Diese Felder sind nur für die Elemente "Extrempunkt" und "Linie" verfügbar.

In den IJK-Feldern für den "Kantenvektor" wird die Antastrichtung für Kanten-Messpunkt oder die Punkte einer Auto-Linie angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Messvektor. Der I, J, K-Vektor sollte stets von der Kante wegzeigen und im rechten Winkel zur gemessenen Kante stehen.

So ändern Sie den Antastvektor:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Oberflächenvektor"

Diese Felder sind nur für das Element "Kantenpunkt" verfügbar.

Die IJK-Felder für den "Oberfl." zeigen den vertikalen Oberflächenvektor an, auf den der Kantenpunkt nach der Messung projiziert wird. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen und im rechten Winkel zur gemessenen Kante stehen.

So ändern Sie den Antastvektor:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.

Ist diese Option ausgewählt, nimmt PC-DMIS drei Messpunkte auf der Oberfläche, zwei Messpunkte auf der Kante und einen zusätzlichen Messpunkt auf der Kante auf.


IJK-Felder für "Linienvektor"

Diese Felder sind nur für die Elemente "Winkelpunkt" und "Linie" verfügbar.

In den IJK-Feldern für den "Linienvektor" wird der Vektor der Linie angezeigt, auf der der Winkelpunkt oder die Linie liegt. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor.

So ändern Sie den Antastvektor:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Oberfl. 1-Vektor"

Diese Felder sind nur für die folgenden Auto-Elemente verfügbar: Winkelpunkt oder Eckpunkt.

Die IJK-Felder für "Oberfl. 1" zeigen den vertikalen Oberflächenvektor der ersten zu messenden Oberfläche an. Es wird erwartet, dass der I, J, K-Vektor stets von der zu messenden Oberfläche wegzeigt.

So ändern Sie den Wert:

  1. Wählen Sie das Feld, das geändert werden soll.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Oberfl. 2-Vektor"

Diese Felder sind nur für die folgenden Auto-Elemente verfügbar: Winkelpunkt oder Eckpunkt.

Die IJK-Felder für "Oberfl. 2" zeigen den vertikalen Oberflächenvektor der zweiten zu messenden Oberfläche an. Es wird erwartet, dass der I, J, K-Vektor stets von der zu messenden Oberfläche wegzeigt.

So ändern Sie den Wert:

  1. Wählen Sie das Feld, das geändert werden soll.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Oberfl. 3-Vektor"

Diese Felder sind nur für das Element "Eckpunkt" verfügbar.

Die IJK-Felder für "Oberfl. 3" zeigen den vertikalen Oberflächenvektor der dritten zu messenden Ebene an. Es wird erwartet, dass der I, J, K-Vektor stets von der zu messenden Ebene wegzeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie die Oberfl. 3-Felder, die geändert werden sollen.

  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


Schaltfläche "Vektor(en) suchen"

Diese Schaltfläche ist nur für die folgenden Auto-Elemente verfügbar: Vektorpunkt, Flächenpunkt und Kantenpunkt.

Mit der Schaltfläche Vektor suchen werden alle Oberflächen entlang des XYZ-Punkts und IJK-Vektors bei der Suche nach dem nächstliegenden Punkt durchstoßen. Der vertikale Oberflächenvektor wird als IJK-NENNVEKTOR angezeigt, die XYZ-Werte werden jedoch nicht geändert.


Schaltfläche "Umkehren"

Mit Hilfe der Schaltfläche Umkehren können Sie die Richtung der Oberflächenvektoren umkehren. Klicken Sie auf die gleichnamige Schaltfläche, um die angezeigten Werte umzukehren.


Schaltfläche "(Kante) Umkehren"

Mit Hilfe der Schaltfläche Umkehren können Sie die Richtung der Oberflächenvektoren umkehren. Klicken Sie auf die gleichnamige Schaltfläche, um die angezeigten Werte umzukehren.


Schaltfläche "Umk. Linie"

Mit der Schaltfläche Umk. Linie können Sie die Richtung des Linienvektors umkehren. Klicken Sie dazu auf diese Schaltfläche.


Schaltflächen "Umkehren"

Mit den Schaltflächen "Umkehren" können Sie den dazugehörigen Vektor umkehren. Klicken Sie auf diese Schaltfläche, um die angezeigten Werte umzukehren.


Schaltfläche "Tauschen"

Über die Schaltfläche Tauschen können Sie die Vektoren des aktuellen Kanten- und Oberflächenvektors miteinander tauschen.


Optionen "Loch" oder "Bolzen"

Diese Optionsschaltflächen sind nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Kugel, Rechteckloch, Langloch, Ellipse, Kegel und Vieleck.

Über die Optionen Loch und Bolzen wird definiert, ob entweder der Innenumfang (Loch) oder der Außenumfang (Bolzen) des Elements gemessen werden soll. Aufgrund der Unterschiede in der Messfolge für jeden Typ ist es äußerst wichtig, darauf zu achten, dass diese Option richtig eingestellt ist.


Feld "Höhe"

Mit dem Feld "Höhe" wird die Höhe des externen Kreiselements festgelegt.

So ändern Sie diesen Wert:

  1. Wählen Sie das Feld Höhe aus.

  2. Geben Sie einen neuen Wert ein.

Kreis, Rechteckloch, Langloch oder Ellipse

Das Feld Höhe wird nur dann verwendet, wenn es sich um ein Außenelement (oder Bolzen) handelt. Damit kann ein zusätzlicher Messpunkt oben in der Mitte des Bolzens aufgenommen werden. Wenn hier ein anderer Wert als 0 angegeben wird, nimmt PC-DMIS einen zusätzlichen Messpunkt im Bolzenmittelpunkt auf. Dann wird die Höhe des Bolzens berechnet.

Zylinder oder Kegel

Bei der Einstellung TYP = STANZLOCH wird die theoretische Länge des Elements durch das Feld Höhe definiert. Wird ein Wert für Höhe, jedoch nicht für Tiefe angegeben, teilt PC-DMIS den Wert für Höhe zu gleichen Teilen durch die Anzahl der im Feld Reihen angegebenen Reihen.

Bei Zylindern bewegt sich der Taster dann in Inkrementen am Zylinder nach unten, bis der angegebene Höhenwert erreicht ist.

Bei Kegeln beginnt der Taster am unteren Rand des Kegels unter Zugrundelegung des festgelegten Höhenwerts (Position minus Länge) und bewegt sich entlang der Kegellänge nach oben. Der Vektor eines Kegels ist sehr wichtig und zeigt immer vom Nullpunkt weg. Höhe und Tiefe liegen relativ zum Vektor.

Ist ein Tiefenwert angegeben, entspricht das tatsächlich gemessene Element der Höhe minus dem Tiefenwert.

Wenn die Werte in den Feldern Typ = BOLZEN und Anfangs und Ständig nicht auf Null gesetzt sind, ermöglicht diese Option die Aufnahme eines zusätzlichen Messpunkts oben in der Mitte des Bolzens. Wenn hier ein anderer Wert als 0 angegeben wird, nimmt PC-DMIS einen zusätzlichen Messpunkt im Bolzenmittelpunkt auf. Dann wird die Höhe des Bolzens berechnet.


Feld "ID"

Im Feld ID wird die aktuelle ID für das Auto Element angezeigt, das erstellt wird.

So ändern Sie die ID eines Elements:

  1. Wählen Sie im Feld ID die zu ändernde ID aus.

  2. Geben Sie eine neue ID ein.


Bereich "Verschiedenes"

Im Bereich Verschiedenes des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Bereich "Stärke"

Liste "Messfolge"

Liste "Berechnungen"

Liste "Modus"

Bereich "Relative Messung"

Kontrollkästchen "Parameter anz."

Kontrollkästchen "Messpunkte anz."


Bereich "Stärke"

Beim Messen der Seite des Werkstücks, das in PC-DMIS modelliert wurde, sollte der Wert der Werkstückstärke auf Null gesetzt werden. Die Option für die Werkstückstärke sollte nur bei Messung der Seite des Werkstücks, das nicht in CAD-Daten gezeichnet ist, verwendet werden.

Im Bereich Stärke können Sie die Werkstückstärke festlegen. Dieser Wert wird vornehmlich für dünne Werkstücke (Kunststoff oder Blech) verwendet, wo die CAD-Daten nur eine Seite beschreiben und die andere Seite gemessen werden soll.

Bei dünnwandigen Werkstücken zeichnet der CAD-Techniker oft nur eine Seite des Werkstücks und gibt dann die Materialstärke an. PC-DMIS berücksichtigt diese Materialstärke automatisch bei Verwendung der CAD-Flächendaten.

Positive und negative Werte sind zulässig. Diese Stärke wird automatisch entlang der Oberflächennormale angewandt, wenn die CAD-Daten ausgewählt werden. Hat das Element mehr als eine Normale (d. h., Winkel- und Eckpunkte) wird die Stärke entlang der ersten Normale angewandt.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

THEO_STÄRKE = n

oder

MESS_STÄRKE = n

n: Ein numerischer Wert zur Angabe der Werkstückstärke.

Wählen Sie die Option Theo und geben Sie den Stärkenwert ein, wenn die theoretischen Werte um einen Stärkenwert korrigiert werden müssen, da die Messungen auf der gegenüberliegenden Materialseite ausgeführt werden.

Wählen Sie die Option Aktuell und geben Sie den Stärkenwert ein, wenn Messungen wieder um den Stärkenwert auf die ursprünglichen, theoretischen X-, Y- und Z-Positionen korrigiert werden. Mit dieser Option verhält es sich so, dass die theoretischen und tatsächlich gemessenen Werte übereinstimmen und das Ziel versetzt ist. Sie müssen das Ziel immernoch so ändern, dass PC-DMIS zur richtigen Position fährt.

Wählen Sie die Option Keine, wenn Sie keine Stärkefunktion anwenden.

Hinweis: Beim Wechseln zwischen theoretischer- und Ist(Mess)-Stärke bleibt die Messposition gleich. Beim Verwenden des theoretischen Stärkenwerts ändert PC-DMIS theoretische-, gemessene- und Zielposition, um die (theoretische) Stärke einzubeziehen. Beim Verwenden des tatsächlichen Stärkenwerts ändert PC-DMIS nur die Zielposition durch Hinzufügen des (aktuellen) Stärkenwerts zur ursprünglichen theoretischen Position. Beide Methoden ergeben die gleiche Messposition. Es geht lediglich darum, auf welche Weise PC-DMIS die theoretischen-, Mess- und Zielwerte des Elements, die sich ändern, protokolliert.


Liste "Messfolge"

Diese Option ist nur beim Element "Kantenpunkt" verfügbar. | In der Liste Messfolge kann der Benutzer die Reihenfolge auswählen, in der die Stützpunkte aufgenommen werden, bevor der abschließende Messpunkt aufgenommen wird. Die Auswahlmöglichkeiten lauten: OBERFLÄCHE, KANTE oder BEIDE.
 | OBERFLÄCHE | Bei Auswahl von OBERFLÄCHE werden die drei Messpunkte in dieser Reihenfolge gemessen: zunächst auf der Oberfläche, dann auf der Kante.
 | KANTE | Bei Auswahl von KANTE werden die beiden Messpunkte in dieser Reihenfolge gemessen: zunächst auf der Kante, dann auf der Oberfläche.
 | BEIDE | Bei Auswahl von BEIDE werden die Messpunkte in dieser Reihenfolge gemessen: Oberfläche, dann Kante und dann wieder Oberfläche.


Liste "Berechnung"

Diese Liste ist nur für die folgenden Auto-Elemente verfügbar: Kreis und Zylinder.

In der Liste Berechnung kann der Benutzer angeben, wie ein Element aus den aufgenommenen Messpunkten berechnet werden soll. Verfügbare Optionen sind: KLEINSTE_QUAD, MINMAX, PFERCHKR, HÜLLKR und FESTER_RAD.

Diese Berechnungsarten wurden bereits näher unter "Besteinpassungstyp" im Abschnitt "Neue Elemente aus vorhandenen Elementen erstellen" erläutert.


Liste "Modus"

Über die Liste Modus im Bereich Verschiedenes wird festgelegt, wie die Nennwerte für einen bestimmten Punkt berechnet werden. Folgende Optionen stehen zur Auswahl: NW_SUCHE, MASTER und NENNWERTE.

Ist MODUS = NENNWERTE aktiv, vergleicht PC-DMIS das gemessene Element mit den theoretischen Daten im Dialogfeld und verwendet die Messdaten für Berechnungen.

Ist MODUS = MASTER aktiv, verwendet PC-DMIS das gemessene Element als Nennwert, aktualisiert aber nicht die X-, Y-, Z- und Durchmesserdaten im Dialogfeld.

Der VEKTORMODUS ist nur für Vektor- und Flächenpunkte verfügbar.

Ist MODUS = VEKTOR aktiv, nimmt PC-DMIS die ersten drei aufgenommenen Messpunkte als Grundlage, um den passenden Vektor für das Element zu berechnen. PC-DMIS wird nicht die Lage des Elements anpassen. Sie müssen die Messpunkte aufnehmen, während das Dialogfeld Auto Elemente geöffnet ist.

Hinweis: Ist kein Nennwert bekannt, wählen Sie einfach NW_SUCHE in der Liste. Während diese Option aktiv ist, fordert Sie PC-DMIS jedes Mal, wenn ein zu ändernder Wert ausgewählt wird, auf, die entsprechenden Messungen am Werkstück vorzunehmen und so die benötigten Werte zu ermitteln.

Listeneintrag

Beschreibung

NW_Suche

Wenn Sie in der Liste Modus die Option NW_SUCHE wählen, bestimmt PC-DMIS im CAD-Modell die dem Messpunkt am nächsten gelegene Position auf einer CAD-Kante (oder Oberfläche) und stellt die Nennwerte auf diese Position im CAD-Element ein.

So suchen Sie Nennwerte anhand von CAD-Daten:

  1. Überprüfen Sie, ob PC-DMIS auf den Drahtmodus oder Flächenmodus (in der Symbolleiste Grafikmodi verfügbar) eingestellt ist, je nachdem, was für das jeweilige Werkstückprogramm erforderlich ist.

  2. Klicken Sie im Grafikfenster auf das gewünschte CAD-Element. PC-DMIS durchstößt das CAD-Element, um die Position zu ermitteln, erstellt aber kein Element. Sobald die gewünschten Elemente gewählt sind, setzt PC-DMIS automatisch die Werte für die Variablen X, Y, Z sowie I, J, K ein.

  3. Sind die Werte zufriedenstellend, klicken Sie auf die Befehlsschaltfläche Erzeugen.

ACHTUNG: Wenn das Feld Messen ausgewählt wird, misst PC-DMIS das Werkstück.

Wird ein Messpunkt für das Werkstück im Modus NW_SUCHE aufgenommen, durchsucht PC-DMIS die CAD-Elemente und sucht die CAD-Nennwerte, die dem Messpunkt am nächsten kommen. Eventuell fordert PC-DMIS Sie auch auf, weitere Messpunkte am Werkstück aufzunehmen.

Bei der nächsten Werkstückmessung setzt PC-DMIS die Nennwerte auf das nächstliegende gefundene CAD-Element. Der Modus wird dann auf NENNWERTE zurückgesetzt.

Nennwertsuche mit starren Tastern:

Faro- oder Romer-Arme mit starren Tastern erzielen keine guten Antastvektoren. PC-DMIS kann aus diesem Grund nicht leicht bestimmen, an welcher Stelle nach den Oberflächen gesucht werden soll.

So verbessern Sie die Vektoren von starren Tastern:

  1. Platzieren Sie den starren Taster auf dem Werkstück.

  2. Drücken Sie auf die Schaltfläche Messpunkt.

  3. Bewegen Sie den Taster entlang des ungefähren Oberflächenvektors vom Werkstück weg.

  4. Klicken Sie auf Ende.

PC-DMIS berechnet und verwendet den Vektor zwischen dem Messpunkt und der Position der Tastspitze.

Je vertikaler der Vektor zur Oberfläche positioniert wird, desto nützlicher ist er bei der Nennwertsuche, da für den Standardvektor eines Faro-Arms die Achse des starren Tasters verwendet wird.

Master

Wird ein Punkt erstellt, wenn die Liste Modus auf MASTER eingestellt ist, setzt PC-DMIS die Nennwerte den Messwerten gleich, wenn das Werkstück das nächste Mal gemessen wird. Die Liste Modus wird dann auf NENNWERTE zurückgesetzt.

Nennwerte

Für die Option NENNWERTE müssen Nennwerte vorliegen, bevor der Messvorgang begonnen wird. PC-DMIS vergleicht das gemessene Element mit den theoretischen Daten im Dialogfeld und verwendet das gemessene Element als Grundlage für eventuell erforderliche Berechnungen.

Nennachse festlegen

Mit der Option NENNACHSE FESTLEGEN können Sie vor jeder Ausführung die Position des Nennpunkts und die theoretische Antastrichtung aktualisieren (oder "festlegen"). Wenn Sie das Kontrollkästchen Achse im Bereich Lage markieren, werden die CAD-Oberflächen entlang dieser Achse durchstoßen. Ansonsten wird der Aktualisierungsvektor verwendet.

Anhand der Auswahl von Achse oder Vektor werden die Achse oder der Vektor bestimmt, entlang derer die CAD-Oberfläche durchstoßen wird, um einen neuen theoretischen Wert und ein neues Ziel zu finden.

So wählen Sie die Option NENNACHSE FESTLEGEN aus:

  1. Achten Sie darauf, dass das Feld Erweiterte Blechoptionen einblenden ausgewählt ist (Siehe auch "Erweiterte Blechoptionen einblenden" im Abschnitt "Voreinstellungen".)

  2. Wählen Sie ggf. im Bereich Lage eines der Achsenkontrollkästchen aus.

  3. Klicken Sie im Dialogfeld in der Liste Modus auf die Option NENNACHSE FESTLEGEN.

  4. Wenn Sie alle verbleibenden Elemente des Auto Elements definiert haben, klicken Sie auf die Schaltfläche Erzeugen. Für NENNACHSE SUCHEN wird dann entweder die ausgewählte Achse oder der ausgewählte Vektor festgesetzt.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: NENNACHSE SUCHEN = TOG

TOG steht für die Achse oder den Vektor, der für NENNACHSE SUCHEN festgesetzt wurde. Für TOG sind folgende Optionen verfügbar:
X-ACHSE
Y-ACHSE
Z-ACHSE
VEK
KEINE

Wenn Sie keine Achse auswählen, wird standardmäßig Folgendes wiedergegeben: NENNACHSE SUCHEN = VEK.

Hinweis: Diese Option ist nur für die Auto Elemente Vektor- und Flächenpunkt verfügbar.


Bereich "Relative Messung"

Über den Bereich Relative Messung können Sie die relative Position und Ausrichtung zwischen einem gegebenen Element (oder mehreren Elementen) und dem Auto-Element halten.

Bevor Sie ein relatives Auto-Element auswählen, sollten Sie Ihren Modus der relativen Messung wählen. Siehe "Relative Messung einrichten".

Klicken Sie auf die Schaltfläche Details..., um das Dialogfeld Relatives Element einzublenden:

Relatives Element (Dialogfeld)

In diesem Dialogfeld haben Sie folgende Auswahlmöglichkeiten:

  • Ein Einzelelement aus der Liste rechts.

  • Mehrere Elemente (eins für jede Achse) aus den Listen rechts.

Nachdem Sie die Elemente (oder das Element) ausgewählt und auf OK geklickt haben, werden die ausgewählten Elemente (bzw. das ausgewählte Element) im Bereich Relative Messung angezeigt. Diese Option unterstützt die DMIS V3.0-RMESS Formate für Relative Messung 1, 3 und 6.


Kontrollkästchen "Parameter anz."

Das Kontrollkästchen Parameter anz. bestimmt, ob PC-DMIS in den Feldern des Bearbeitungsfensters die nachfolgenden Parameter für das Auto-Element anzeigt:

  • THEO_STÄRKE

  • KART/POLAR

  • EINRASTEN

  • AUTO BEWEGUNG

  • ABSTAND


Kontrollkästchen "Messpunkte anz."

Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Kugel, Rechteckloch, Langloch, Ellipse, Kerbe, Kegel.

Das Kontrollkästchen Messpunkte anz. bestimmt, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des automatischen Elements verwendeten Messpunkte anzeigt.


Bereich "Auto"

Im Bereich Auto des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Kontrollkästchen "DSE"

Kontrollkästchen "Bei Fehler"

Kontrollkästchen "Pos. lesen"

Kontrollkästchen "Kreisbewegung"

Kontrollkästchen "Neu messen"

Kontrollkästchen "THEO verwenden"

Bewegungsabstand

Feld "Abstand"

Kontrollkästchen "Elementsuche"


Kontrollkästchen "DSE"

Das Kontrollkästchen DSE im Bereich Auto zeigt die aktuellen Einstellungen von AUTO-WRIST an. Wenn dieses Kontrollkästchen nicht markiert ist, verwendet PC-DMIS die aktuelle DSE-Position für sämtliche Messpunkte. Wenn das Kontrollkästchen DSE markiert ist, wählt PC-DMIS eine Position, die der optimalen Antastrichtung am nächsten kommt.

  • Bei Kanten- und Winkelpunktelementen ist die beste Antastrichtung das Mittel der beiden Oberflächenvektoren.

  • Bei Eckpunktelementen ist die beste Antastrichtung das Mittel der drei Oberflächenvektoren.

  • Bei allen anderen Auto-Elementtypen ist die beste Antastrichtung der Oberflächenvektor des Elements.

Auto-DSE kann auch global aktiviert werden, indem Sie das Kontrollkästchen Wrist für Tastkopf automatisch einstellen aktivieren. Siehe auch "Wrist für Tastkopf automatisch einstellen" im Abschnitt "Voreinstellungen".


Kontrollkästchen "Bei Fehler"

Mit dem Kontrollkästchen Bei Fehler im Bereich Auto lässt sich die Fehlerkontrolle verbessern, wenn PC-DMIS einen unerwarteten oder verfehlten Messpunkt ermittelt.

Hinweis: Diese Option ist für alle Messtypen der Auto Elemente anwendbar, außer für Vektorpunkt, Flächenpunkt, Kugel und Extrempunkt.

Bei Auswahl dieses Kontrollkästchens verfährt PC-DMIS folgendermaßen:

  • Die Position wird automatisch gelesen (siehe Schaltfläche "Position lesen"), wenn während des Messzyklus ein unerwarteter oder verfehlter Tastermesspunkt ermittelt wird.

  • Das gesamte Element wird auf Basis der neuen mit "Position lesen" ermittelten Position gemessen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

BEI_FEHLER = TOG

TOG: Über dieses Feld wird zwischen JA (Ein) und NEIN (Aus) umgeschaltet.

Zusätzliche Informationen darüber, welche Optionen sich Ihnen bei Ermittlung unerwarteter oder verfehlter Messpunkte bieten, finden Sie unter "Verzweigung bei einem KMG-Fehler" im Abschnitt "Verzweigen mit Hilfe der Ablaufregelung".

Hinweis: Wenn PC-DMIS standardmäßig einen "Position lesen"-Vorgang durchführt (wie bei Pos. lesen, Elementsuche oder Bei Fehler) werden nur die X- und Y-Werte zurückgegeben. Zwei Registrierungseinträge ermöglichen Ihnen jedoch, auch den Wert der Z-Achse zurückzugeben. Dazu gehören: ReadPosUpdatesXYZ und ReadPosUpdatesXYZEvenIfRMeas.

Unterstützte Schnittstellen

Alle CNC-Schnittstellen unterstützen die Funktionalität Bei Fehler. Sollten mit einer bestimmten Schnittstelle Probleme auftreten, setzen Sie sich bitte mit dem technischen Kundendienst in Verbindung, der sich um die Angelegenheit kümmern wird.


Kontrollkästchen "Pos. lesen"

Dieses Kontrollkästchen ist nur für die folgenden Auto Elemente verfügbar: Kreis, Zylinder, Rechteckloch, Langloch, Ellipse, Kerbe, Kegel.

Das Kontrollkästchen Pos. lesen wird unmittelbar vor dem Messen eines Elements eingesetzt. PC-DMIS hält über der Oberfläche an und fragt Sie, ob die aktuellen Daten verwendet werden sollen.

  • Wenn Sie hier auf die Schaltfläche Nein klicken, müssen Sie den Taster an die gewünschte Position setzen, bevor der Messvorgang fortgesetzt werden kann.

  • Wenn Sie auf Ja klicken, misst PC-DMIS das Element, verwendet jedoch die aktuellen Tasterdaten.

Hinweis: "Pos. lesen" ist nur im CNC-Modus verfügbar.

Verwenden von "Pos. lesen" mit einem Auto Kreis:

Wenn Sie als Antwort auf die Schaltfläche Ja klicken, muss der Taster in einer zylindrischen Zone über dem Kreis platziert werden.

Platzieren des Tasters in der zylindrischen Zone: Sie müssen nur den Taster im Zentrum des imaginären 3D-Zylinders des Lochs platzieren. Tiefe und Ausrichtung der Messungen werden durch einen der folgenden Faktoren automatisch bestimmt:

  • RMESS-Element: Wenn Sie ein RMESS-Element vorgeben, geht PC-DMIS davon aus, dass das Loch in Beziehung zu dem betreffenden Element (oder den Elementen) gemessen werden soll. Daher werden anhand dieses Elements (dieser Elemente) das Oberflächennormal und Tiefe der Messung bestimmt, wohingegen mit "Pos. lesen" die anderen beiden Achsen der Verschiebung bestimmt werden.

  • Elementsuche: Wird bei Wahl von "Elementsuche" die das Loch umgebende Oberfläche mindestens einmal berührt, korrigiert PC-DMIS alle drei Achsen. Zwei der Achsen basieren auf der Tasterlage nach Auffinden des Lochs, und die dritte Achse entlang des Oberflächennormals basiert auf der zuletzt berührten Oberfläche. Durch "Elementsuche" wird kein RMESS-Element übergangen.

  • Stützpunkte: Falls Stützpunkte verwendet werden, haben sie bei der Bestimmung von Ausrichtung und Tiefe der Lochmessung immer höchste Priorität.

  • Keine der voranstehenden Optionen: Wird keine der voranstehenden Optionen genutzt, misst PC-DMIS das Loch auf Basis der für Ziel und Tiefe angegebenen Werte, die um die Tasterplatzierung innerhalb der zylindrischen Zone korrigiert werden.

Hinweis: Wenn PC-DMIS standardmäßig einen "Position lesen"-Vorgang durchführt (wie bei Pos. lesen, Elementsuche oder Bei Fehler) werden nur die X- und Y-Werte zurückgegeben. Zwei Registrierungseinträge ermöglichen Ihnen jedoch, auch den Wert der Z-Achse zurückzugeben. Dazu gehören: ReadPosUpdatesXYZ und ReadPosUpdatesXYZEvenIfRMeas.


Kontrollkästchen "Kreisbewegung"

Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder und Kegel.

Wenn das Kontrollkästchen Kreisbewegung gewählt ist, bewegt sich der Taster in einem Bogen von einem Messpunkt zum Anderen und nicht wie sonst in einer geraden Linie. Diese Option ist besonders bei der Arbeit mit Ringnuten nützlich.

Weitere Informationen zum Einfügen von Kreisbewegungen in das Bearbeitungsfenster finden Sie unter "Einfügen eines Kreisbewegungs-Befehls" im Abschnitt "Einfügen von Bewegungen".


Kontrollkästchen "Neu messen"

Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Rechteckloch, Langloch, Kerbe.

Wenn das Kontrollkästchen Neu messen markiert ist, können Sie mit PC-DMIS ein Element automatisch neu messen und mit den Messwerten der ersten Messung vergleichen.


Kontrollkästchen "THEO verwenden"

Dieses Kontrollkästchen ist nur für das Auto-Element "Zylinder" verfügbar.

Das Kontrollkästchen THEO verwenden veranlasst, dass PC-DMIS anstatt der erfassten Daten die im Dialogfeld angezeigten theoretischen Daten zur Berechnung des tatsächlichen Elements verwendet. Dies ist nützlich bei der Messung eines Zylinders mit acht Punkten (vier oben und vier unten). Dabei können drei Zylinder mit gültigen Messwerten erstellt werden, die in einem Winkel von jeweils 90 Grad voneinander liegen. Durch Verwendung theoretischer Daten kann festgestellt werden, welche der drei Lösungen die richtige ist.

Das Kontrollkästchen ist nach Erstellen einer gültigen Ausrichtung verfügbar.


Bewegungsabstand

Über die Liste Beweg. im Bereich Auto können Sie bestimmen, ob PC-DMIS eine automatische Bewegung vom Mittelpunkt aus erzeugen soll, bevor die Stützpunkte aufgenommen werden und nachdem die Messung des Elements abgeschlossen ist.

  • Wenn Sie die Liste Beweg. auf BEIDE setzen, wird PC-DMIS den Taster vor und nach der Messpunktaufnahme in dem im Feld Abstand vorgegebenen Abstand entlang dem Vektor positionieren, ohne eine Sicherheitsebene anzugeben.

  • Wenn Sie die Liste Beweg. auf VOR setzen, wird PC-DMIS den Taster vor der Messpunktaufnahme in dem im Feld Abstand vorgegebenen Abstand entlang dem Vektor positionieren, ohne eine Sicherheitsebene anzugeben.

  • Wenn Sie die Liste Beweg. auf NACH setzen, wird PC-DMIS den Taster nach der Messpunktaufnahme in dem im Feld Abstand vorgegebenen Abstand entlang dem Vektor positionieren, ohne eine Sicherheitsebene anzugeben.

  • Wenn die Liste Beweg. auf NEIN gesetzt wird, nimmt PC-DMIS Messpunkte auf, ohne den Taster zu positionieren.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

AUTO BEWEGUNG = TOG, ABSTAND = n

TOG: Über dieses Feld wird zwischen BEIDE, VOR, NACH und NEIN umgeschaltet.

n: Ein numerischer Wert, der den autom. Bewegungsabstand bestimmt.


Feld "Abstand"

Wenn Sie die Liste Bewegung auf JA setzen, wird das Feld Abstand zur Auswahl angezeigt. In diesem Feld können Sie die Strecke angeben, die der Taster vor der Aufnahme von Stützpunkten und nach der Aufnahme der Elementmesspunkte zurücklegt. Der Taster bewegt sich entlang dem theoretischen Vektor.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

AUTO BEWEGUNG = TOG, ABSTAND = n

TOG: Über dieses Feld wird zwischen JA (Ein) und NEIN (Aus) umgeschaltet.

n: Ein numerischer Wert, der den Auto-Bewegungsabstand bestimmt.


Kontrollkästchen "Elementsuche"

Für einen Kreis oder Zylinder

  • Wenn das Loch gefunden wird: PC-DMIS geht herunter bis zum "Prüfabstand" und nimmt drei Messpunkte in gleichmäßigem Abstand um das Stanzloch herum auf, um die generelle Lage des Stanzlochs zu bestimmen. Nach dieser generellen Korrektur misst PC-DMIS das Loch auf Basis der vom Benutzer auf der Registerkarte für das Element definierten Parameter. Dazu gehören Stützpunkte etc. Das Verfahren ist dasselbe wie unter dem Eintrag ZENTRIERT oben beschrieben wurde.

  • Wenn das Loch nicht gefunden wird, bewegt sich PC-DMIS von der Oberfläche zurück und beginnt vom theoretischen Mittelpunkt des Elements ausgehend ein kreisförmiges Suchmuster (Elementradius - Tasterradius). Im Rahmen der Suche werden (2 * PI * Elementradius/(Elementradius – Tasterradius)) Stellen um den Suchkreis herum untersucht. Wenn das Loch immer noch nicht gefunden wurde, wird der Suchradius um (Elementradius – Tasterradius) erhöht und so lange fortgesetzt, bis der Suchradius dem Vorhalteabstand entspricht. Ist der Anfahrweg kleiner als (Elementradius – Tasterradius) wird nur ein Suchmuster abgeschlossen.

  • Wenn das Loch auch damit nicht ermittelt wird, fährt PC-DMIS den Taster auf die Position des Anfahrwegs über der theoretischen Mittellinie des Elements und fordert den Benutzer zum Ausführen von "Position lesen" auf. (Siehe auch "Schaltfläche "Lese Pos./Position lesen"").

  • Korrekturen entlang der Oberflächennormale: Wenn PC-DMIS bei der Suche anstatt auf das Loch auf eine Oberfläche trifft, wird die Suchhöhe basierend auf den gefundenen Oberflächen fortlaufend aktualisiert. Wenn das Loch gefunden wurde, wird die Messtiefe des Lochs auf Basis der zuletzt gefundenen Oberfläche aktualisiert. Wird das Loch bei der ersten Messung gefunden, werden keine Korrekturen vorgenommen.

  • Korrekturen mit RMESS : Wenn Sie ein RMESS-Element (oder RMESS-Elemente) vorgeben, geht PC-DMIS davon aus, dass diese(s) Element(e) als Bezugswert für die Messhöhe und Messtiefe der Lochmessung verwendet werden soll(en). Deshalb ist die RMESS-Korrektur die einzige Korrektur, die entlang der Oberflächennormale vorgenommen wird.

Für ein Rechteckloch oder Langloch

  • Wenn das Loch gefunden wird: geht PC-DMIS herunter bis zum "Prüfabstand" und nimmt einen Messpunkt auf jeder der vier Seiten des Langlochs auf. Es wird die Mitte der vier Messpunkte korrigiert; danach werden zwei Messpunkte auf einer der langen Seiten aufgenommen, um die Drehung des Langlochs zu korrigieren. Nachdem die allgemeine Position und Ausrichtung des Langlochs berechnet wurden, wird das Langloch auf Basis der auf der Registerkarte für das Element definierten Parameter gemessen.

  • Wenn das Loch nicht gefunden wird, bewegt sich PC-DMIS von der Oberfläche zurück und beginnt vom theoretischen Mittelpunkt des Elements ausgehend ein kreisförmiges Suchmuster (Elementradius - Tasterradius). Im Rahmen der Suche werden (2 * PI * Elementradius/(Elementradius – Tasterradius)) Stellen um den Suchkreis herum untersucht. Wenn das Loch immer noch nicht gefunden wurde, wird der Suchradius um (Elementradius – Tasterradius) erhöht und so lange fortgesetzt, bis der Suchradius dem Vorhalteabstand entspricht. Ist der Anfahrweg kleiner als (Elementradius – Tasterradius) wird nur ein Suchmuster abgeschlossen.

  • Wenn das Loch auch damit nicht ermittelt wird, fährt PC-DMIS den Taster auf die Position des Anfahrwegs über der theoretischen Mittellinie des Elements und fordert den Benutzer zum Ausführen von "Position lesen" auf. (Siehe auch "Schaltfläche "Lese Pos./Position lesen"").

  • Korrekturen entlang der Oberflächennormale: Wenn PC-DMIS bei der Suche anstatt auf das Loch auf eine Oberfläche trifft, wird die Suchhöhe basierend auf den gefundenen Oberflächen fortlaufend aktualisiert. Wenn das Loch gefunden wurde, wird die Messtiefe des Lochs auf Basis der zuletzt gefundenen Oberfläche aktualisiert. Wird das Loch bei der ersten Messung gefunden, werden keine Korrekturen vorgenommen.

  • Korrekturen mit RMESS : Wenn Sie ein RMESS-Element (oder RMESS-Elemente) vorgeben, geht PC-DMIS davon aus, dass diese/s Element/e als Bezugswert für die Messhöhe und Messtierfe der Lochmessung verwendet werden soll/en. Deshalb ist die RMESS-Korrektur die einzige Korrektur, die entlang der Oberflächennormale vorgenommen wird.

Für eine Kerbe

  • Wenn das Loch gefunden wird: geht PC-DMIS herunter bis zum "Prüfabstand", um die Tiefe des Lochs und dann das Loch selbst zu messen.

  • Wenn das Loch nicht gefunden wird, zieht PC-DMIS sich von der Oberfläche zurück und beginnt ein Suchmuster. Dieses Muster ist kreisförmig und wird um die halbe Breite vom theoretischen Elementmittelpunkt aus nach außen angepasst (bei Kerben ist dies die Mitte der Innenkante). Im Rahmen der Suche werden acht Stellen um diese Stelle herum untersucht. Wird das Loch gefunden, geht der Taster auf die Tiefe, um die Lochtiefe und dann das Loch selbst zu messen.

  • Wenn das Loch auch damit nicht ermittelt wird, fährt PC-DMIS den Taster auf die Position des Anfahrwegs über der theoretischen Mittellinie des Elements und fordert den Benutzer zum Ausführen von "Position lesen" auf. (Siehe auch "Schaltfläche "Lese Pos./Position lesen"").

Kontrollkästchen "Elementsuche"

Wenn das Feld Elementsuche markiert ist, bewegt sich PC-DMIS auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements und sucht dann nach dem Loch, wobei es mit Messgeschwindigkeit vertikal zum Oberflächenvektor des Elements vorrückt.

Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist). Siehe auch "Prüfabstand" im Abschnitt "Verwenden des Bearbeitungsfensters".

Können keine Löcher ermittelt werden, können Sie PC-DMIS veranlassen, die Ausführung des Werkstückprogramms automatisch fortzusetzen. Weitere Hinweise dazu finden Sie unter "Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen" im Abschnitt "Voreinstellungen".

Hinweis: "Loch suchen" ist nur im CNC-Modus verfügbar.

Wenn Sie das Kontrollkästchen Elementsuche aktivieren, erscheinen folgende Einträge in der Auswahlliste unter dem Kontrollkästchen. Diese Listeneinträge bestimmen das Vorgehen von PC-DMIS bei der Lochsuche.

ZENTRIERT - Dieser Eintrag bewirkt zunächst, dass der Taster nach unten bis zum "Prüfabstand" fährt, um sicherzustellen, dass er auf kein Material stößt. Dann fährt der Taster entweder zur Tiefe des Elements oder zum Prüfabstand * (in Prozent), um an der Innenseite des Lochs den Lochmittelpunkt grob zu schätzen (siehe Hinweis). Hierzu nimmt der Taster drei Messpunkte auf, die in gleichmäßigem Abstand um das Loch liegen. Wenn der Taster die allgemeine Lochposition ermittelt hat, setzt er die Lochmessung auf Basis der im entsprechenden Dialogfeld Auto Element eingestellten Parameter fort. Sofern nicht die Optionen NICHT ZENT. oder NUR PUNKT gewählt wurden, ist dies das PC-DMIS-Standardverfahren, wenn das Loch gefunden wurde.

Hinweis: Durch den neuen Registrierungseintrag zur Elementsuche haben Sie eine größere Kontrolle über die Tiefe des Zentrierungsprozesses. Standardmäßig wird die Z-Komponente des Zentrierungsprozesses durch die Tiefe des Elements bestimmt. Dies wird oft in Verbindung mit einem Rmess- (Ebene) Element angewendet. Manchmal jedoch, wenn Sie kein "Rmess"-Element verwenden und die Oberfläche des Werkstücks in Z stark abweicht, wird das Loch beim Zentrierungsprozess überhaupt nicht gefunden, weil die Oberfläche des Werkstücks unterhalb der Suchtiefe liegt. In einem solchen Fall können Sie den Zentrierungsprozess für die Elementsuche am Prüfabstand * (in Prozent) durch Einstellen des Registrierungseintrags FHCenteringAtChkDistTimesPercentInsteadOfDepth auf TRUE im Einstellungs-Editor von PC-DMIS ausführen. Dieser Eintrag befindet sich im Bereich "USER_AutoFeatures". Siehe auch "Parametereinstellungen: Registerkarte "Bewegung"" zur Einstellung des Prüfabstands und der Prozentwerte.

NICHT ZENT. – Dieser Eintrag hat dieselbe Wirkung wie der Eintrag ZENTRIERT, nur dass der Taster nicht drei Messpunkte aufnimmt, um den Lochmittelpunkt grob zu schätzen. Er beginnt einfach, den Kreis auf Basis der vorhandenen im entsprechenden Dialogfeld Auto Elemente eingestellten Parameter zu messen.

NUR PUNKT– Durch diese Auswahl wird der Taster angewiesen, nur einen Messpunkt aufzunehmen. Berührt er die Oberfläche, ohne ein Loch zu finden, wechselt er automatisch in die nachstehend beschriebene Funktion "Wenn das Loch nicht gefunden wird". Wenn der Taster ein Loch findet, setzt er den Vorgang mit der Option NICHT ZENT. fort.

Für einen Kreis oder Zylinder

Für ein Rechteckloch oder Langloch

Für eine Kerbe

Hinweis: Wenn PC-DMIS standardmäßig einen "Position lesen"-Vorgang durchführt (wie bei Pos. lesen, Elementsuche oder Bei Fehler) werden nur die X- und Y-Werte zurückgegeben. Zwei Registrierungseinträge ermöglichen Ihnen jedoch, auch den Wert der Z-Achse zurückzugeben. Dazu gehören: ReadPosUpdatesXYZ und ReadPosUpdatesXYZEvenIfRMeas.

Unterstützte Schnittstellen

Alle CNC-Schnittstellen unterstützen die Funktionalität Elementsuche. Sollten mit einer bestimmten Schnittstelle Probleme auftreten, setzen Sie sich bitte mit dem technischen Kundendienst in Verbindung, der sich um die Angelegenheit kümmern wird.


Bereich "Erweiterte Blechoptionen"

PC-DMIS zeigt den Bereich Definitionsoptionen und andere Einträge für einige Auto-Elemente an, wenn Sie das Kontrollkästchen Erweiterte Blechoptionen einblenden auf der Registerkarte Allgemein im Dialogfeld Setup-Optionen aktivieren. (Siehe auch "Erweiterte Blechoptionen einblenden" im Abschnitt "Voreinstellungen".)

Diese Funktionen stehen für viele automatische Punktmessungen zur Verfügung:

So ändern Sie einen Vektor:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie dann einen neuen Wert in die entsprechenden Felder ein.

Siehe auch:

IJK-Felder für "Protokollvektor"

IJK-Felder für "Ziel Vek"

IJK-Felder für "Aktualis. Vek"

IJK-Felder für "Kanten Prot."

IJK-Felder für "Oberfl. Prot."

IJK-Felder für "Stanzvektor"

IJK-Felder für "Stiftvektor"

Kontrollkästchen "Stiftvektor verwenden"

Schaltfläche "Rücksetzen"


IJK-Felder für "Protokollvektor"

Diese Felder sind für die folgenden Auto-Elemente verfügbar: Vektorpunkt und Flächenpunkt.

In den Feldern Protokollvektor wird der Vektor für Abweichungsinformationen angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Vektor. Die Option RT-Lagemerkmal zeigt die entlang diesem Vektor berechnete Abweichung an.

Wenn der neue Wert erstellt und das Dialogfeld wieder geschlossen wurde, normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Ziel Vek"

Diese Felder sind nur für das Element "Vektorpunkt" verfügbar.

In den IJK-Feldern für den "Ziel Vek" wird die Antastrichtung für den aufgenommenen Messpunkt angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen.

Wenn der neue Wert erstellt und das Dialogfeld wieder geschlossen wurde, normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Aktl. Vek"

Diese Felder sind nur für das Element "Vektorpunkt" verfügbar.

In den IJK-Feldern für "Aktl. Vek" wird der Aktualisierungsvektor angezeigt, der zur Bestimmung der CAD-Oberfläche verwendet wird, wenn der Modus NENNACHSE FESTLEGEN aktiv ist. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Kanten Prot."

Diese Felder sind nur für das Element "Kantenpunkt" verfügbar.

In den IJK-Feldern für "Kanten Prot." wird der Vektor für Abweichungsinformationen angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Vektor. Das unter Lage (unter Element) befindliche Kontrollkästchen RT zeigt die entlang diesem Vektor berechnete Abweichung an.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Oberfl. Prot."

Diese Felder sind nur für das Element "Kantenpunkt" verfügbar.

In den IJK-Feldern für "Oberfl. Prot." wird der Vektor für Abweichungsinformationen angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Vektor. Das unter Lage (unter Merkmal) befindliche Kontrollkästchen RS zeigt die entlang diesem Vektor berechnete Abweichung an.

Nach Erstellung des neuen Werts normalisiert PC-DMIS den Vektor, indem es dessen Länge auf eine (1) Einheit setzt.


IJK-Felder für "Stanzvektor"

Diese Felder sind nur für die Elemente "Kreis", "Rechteckloch" oder "Langloch" verfügbar.

Die IJK-Felder für "Stanzvektor" bestimmen die Richtung für die Blechstanzung. Dieser Vektor liegt am Mittelpunkt XYZ plus der Hälfte der Stärke entlang der Oberflächennormalen.

Bei einem Kreiselement verläuft der Durchmesser des Kreises ebenfalls entlang diesem Vektor.


IJK-Felder für "Stiftvektor"

Diese Felder sind nur für die Elemente "Kreis", "Rechteckloch" oder "Langloch" verfügbar.

Die IJK-Felder für "Stiftvektor" bestimmen die Richtung des Bolzens durch das gestanzte Loch.


Kontrollkästchen "Stiftvektor verwenden"

Dieses Kontrollkästchen ist nur für die Elemente "Kreis", "Rechteckloch" oder "Langloch" verfügbar.

Wird das Kontrollkästchen Stiftvektor verwenden aktiviert, sind die Optionen Stanzvektor und Stiftvektor verfügbar und können bearbeitet werden. Ist das Kontrollkästchen Stiftvektor verwenden nicht aktiviert, können die Optionen Stanzvektor und Stiftvektor nicht bearbeitet werden.


Schaltfläche "Rücksetzen"

Mit der Schaltfläche Rücksetzen können Sie die Stützvektoren auf die Werte für den IJK-Normalvektor zurücksetzen. Die Stützvektoren beinhalten Messung, Protokoll, Aktualisieren, Bolzen und Stanzung.


Schaltflächen "Erweitert" und "Basis"

Mit der Schaltfläche Erweitert >> können Sie die Erweiterungsfunktionen des Dialogfelds Auto Element anzeigen. Wenn Sie auf diese Schaltfläche klicken, wird das Dialogfeld erweitert, und die erweiterten Funktionen für das entsprechende Auto-Element werden angezeigt. Die Schaltfläche << Basis wird verfügbar.

Wenn Sie auf die Schaltfläche << Basis klicken, wird das Dialogfeld verkleinert, und es werden nur die grundlegenderen Funktionen für das Auto-Element angezeigt.

Die Schaltflächen Erweitert und Basis unterscheiden sich vom Kontrollkästchen Erweiterte Blechoptionen einblenden der Registerkarte Allgemein im Dialogfeld Setup-Optionen (siehe “Erweiterte Blechoptionen einblenden” im Abschnitt "Voreinstellungen").


Schaltfläche "Messpunkte anzeigen"

Auto Kreis
Auto Zlinder
Auto Kugel
Auto Kegel

Über die Schaltfläche Messpunkte anzeigen wird das Dialogfeld Element-Messpunktziele eingeblendet, mit dem Sie individuelle Messpunktdaten für Auto Elemente, die diese Schaltfläche unterstützen, anzeigen, bearbeiten oder löschen können. Hierzu gehören auch die Elemente Auto Kreis, Auto Zylinder, Auto Kugel und Auto Kegel. Die Schaltfläche Messpunktziele, die in einigen Dialogfeldern für Gemessenes Element erscheint, hat dieselbe Funktion.

Weitere Informationen zur Verwendung des Dialogfelds Element-Messpunktziele finden Sie unter "Messpunktziele" im Abschnitt "Erstellen von gemessenen Elementen".


Schaltfläche "Erzeugen" für Auto-Elemente

Bei bestimmten KMGs hat das Drücken der Taste FERTIG am Bedienelement dieselbe Wirkung wie das Anklicken der Befehlsschaltfläche Erzeugen.

Über die Schaltfläche Erzeugen wird aus den im Dialogfeld angezeigten Nennwerten ein Element erstellt.

Ist das Kontrollkästchen Messen markiert und das System befindet sich im CNC-Modus, misst PC-DMIS das gewünschte Element automatisch. Befindet sich das System im MANUELLEN Modus, fordert PC-DMIS Sie auf, die erforderlichen Messpunkte aufzunehmen.


 Definition Options area Feature Paths and Orientation Orientation area Properties area Auto Feature Type list Center Location area ID box Misc area Advanced / Basic buttons Auto area Create button Close button

Erstellen eines Auto Vektorpunkts

Vektorpunkt (Dialogfeld)

Mit der Messoption Vektorpunkt können Sie eine Nennpunktposition sowie die Nenn-Antastrichtung definieren, mit der das KMG den definierten Punkt messen soll.

Um auf die Option Vektorpunkt zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Punkt | Vektor). Menü-Übersicht anzeigen

Siehe auch:

Vektorpunkt-Felddefinitionen

Messen eines Vektorpunkts


Vektorpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Vektorpunkt lautet wie folgt:
E_ID=AUTO/VEKTORPUNKT, ALLEPARAMANZEIGEN = JA/NEIN, ZEIGE_MESSP.= NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,
MESS / X,Y,Z,I,J,K
ZIEL / ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG, EINRASTEN = JA/NEIN
AUTO BEWEGEN = JA/NEIN, ABSTAND = n

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, EINRASTEN, AUTO BEWEGEN und ABSTAND anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

EINRASTEN = Mit dieser Umschaltoption (JA/NEIN) können Sie angeben, ob PC-DMIS auf dem theoretischen Antastvektor "einrasten" soll, um KMG-Positionsfehler zu vermeiden.

NENN/ = Dieser Wert stellt den nominalen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".

Siehe auch:

Erweiterte Vektorpunkt-Felddefinitionen


Erweiterte Vektorpunkt-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster mit den erweiterten Optionen für dieses Element sieht wie folgt aus:
E_ID=AUTO/VEKTORPUNKT, ALLEPARAMANZEIGEN = JA/NEIN, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG, EINRASTEN = JA/NEIN
AUTO BEWEGEN = JA/NEIN, ABSTAND = n
NENNACHSE SUCHEN = x, AKTUALISIERVEK = I,J,K
MESSVEK = I,J,K, PROTOKOLLVEK = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

NENNACHSE SUCHEN = Hierbei handelt es sich um eine Umschaltoption, mit der die X-ACHSE, Y-ACHSE, Z-ACHSE oder der VEK (VEKTOR) gesucht werden können. Ist diese Option auf KEINE gesetzt, wird die Nennachse nicht gesucht.

AKTUALISIERVEK = Hier wird der Aktualisierungsvektor angegeben, der zur Bestimmung der CAD-Fläche verwendet werden soll, wenn der Modus NENNACHSE FESTLEGEN aktiv ist. Diese Werte können bearbeitet werden.

MESSVEK = Hier wird die Antastrichtung für den aufgenommenen Messpunkt angegeben. Diese Werte können bearbeitet werden.

PROTOKOLLVEK = Hier wird der Vektor angegeben, der zur Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.


Messen eines Vektorpunkts

PC-DMIS bietet mit der Option Auto mehrere Methoden zum Messen eines Vektorpunkts. Sie werden nachstehend beschrieben:

  • Verwenden von Eingabedaten für einen Vektorpunkt

  • Verwenden von KMG-Flächendaten für einen Vektorpunkt

  • Angabe der Flächendaten für einen Vektorpunkt auf dem Bildschirm

  • Verwenden KMG-Drahtmodelldaten für einen Vektorpunkt

  • Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm

  • Bestimmung eines Vektorpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für einen Vektorpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Vektorpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Vektorpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein.

Um einen Vektorpunkt anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie die gewünschte Oberfläche des Werkstücks mit dem Taster. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

  • Wenn der Berührungspunkt tatsächlich in der Nähe der Oberflächendaten liegt, das Kontrollkästchen Messen nicht markiert ist und die Taste Fertig am Bedienelement gedrückt wird, wird das Punktelement erstellt und sofort im Bearbeitungsfenster eingefügt. Wenn der Berührungspunkt in der Nähe der Oberflächendaten liegt und das Kontrollkästchen Messen markiert ist, werden die Oberflächendaten zwar noch benutzt, das Element jedoch erst bei Auswahl der Schaltfläche Erzeugen erstellt.

  • Liegt der Berührungspunkt nicht in der Nähe der Oberflächendaten, behandelt PC-DMIS die Berührung als tatsächlichen Messpunkt und zeigt die Messpunktposition und den Antastvektor an.

  • Wird ein zweiter Messpunkt aufgenommen, bevor die Schaltfläche Erzeugen gewählt wird, werden die Positionsdaten des zweiten Messpunkts verwendet.

  • Wenn ein dritter Messpunkt aufgenommen wird, werden die drei Messpunkte zur Bestimmung eines Antastvektors verwendet. Die Position wird auf der Grundlage des letzten Messpunkts bestimmt.

  • Werden mehr als drei Messpunkte aufgenommen, werden alle Messpunkte außer dem zuletzt aufgenommenen verwendet, um den Antastvektor zu bestimmen. Der zuletzt aufgenommene Messpunkt dient immer zur Positionsbestimmung.


Angabe der Oberflächendaten für einen Vektorpunkt auf dem Bildschirm

So erzeugen Sie einen Vektorpunkt mit Hilfe von Oberflächendaten:

  1. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Lage des Punkts (auf der Oberfläche) zu bestimmen.

  2. Klicken Sie auf die Oberfläche. PC-DMIS markiert die ausgewählte Oberfläche.

  3. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

PC-DMIS durchstößt die markierte Oberfläche und zeigt Position und Vektor des ausgewählten Punkts an. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.


Verwenden KMG-Drahtmodelldaten für einen Vektorpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So erzeugen Sie einen Vektorpunkt mit Drahtmodelldaten:

  • Der zuerst aufgenommene Messpunkt gibt die Nennwerte X, Y und Z an. PC-DMIS zeigt auch den Vektor I, J, K an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Messpunkte anfordern. Durch Aufnahme eines zweiten Messpunkts werden Messpunktposition und Antastvektor anhand des neuesten Messpunkts aktualisiert.

  • Bei Aufnahme eines dritten Messpunkts auf der Oberfläche wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Messpunkts geändert. PC-DMIS erstellt aus den drei Messpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.

  • Durch die Aufnahme weiterer Messpunkte wird die Messpunktposition anhand der neuesten Messpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so dass er den Durchschnittswert aller bisherigen Messpunkte (mit Ausnahme des neuesten Messpunkts) für den Vektorpunkt wiedergibt.

Sie können die angezeigten Daten jederzeit nach Aufnahme des ersten, zweiten oder dritten Messpunkts übernehmen. Auch wenn der dritte Messpunkt nicht übernommen wird, setzt PC-DMIS das System intern zurück, so dass der nächste (vierte) Messpunkt der erste Messpunkt einer Messpunktserie wird.


Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm

So erzeugen Sie einen Vektorpunkt mit Drahtmodell-CAD-Daten:

  1. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der der Zielpunkt liegen soll, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken. (Diese Drähte sollten sich auf derselben Oberfläche befinden.) PC-DMIS markiert die ausgewählten Drähte.

  2. Vergewissern Sie sich, dass die richtigen Drähte ausgewählt wurden. Anschließend wird eine Meldung angezeigt.

  3. Wählen Sie den Zielpunkt auf der erstellten Oberfläche aus. Diese zuletzt getroffene Auswahl wird auf die Ebene projiziert, die von den beiden Drahtvektoren und der Höhe des ersten Drahts gebildet wird.


Bestimmung eines Vektorpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie den Vektorpunkt, ohne CAD-Daten zu verwenden:

  • Der zuerst aufgenommene Messpunkt gibt die Nennwerte X, Y und Z an. Außerdem zeigt PC-DMIS den Antastvektor I, J, K für diesen Messpunkt an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Messpunkte anfordern.

  • Durch Aufnahme eines zweiten Messpunkts werden Messpunktposition und Antastvektor anhand des neuesten Messpunkts aktualisiert.

  • Bei Aufnahme eines dritten Messpunkts auf der Oberfläche wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Messpunkts geändert. PC-DMIS erstellt aus den drei Messpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.

  • Durch die Aufnahme weiterer Messpunkte wird die Messpunktposition anhand der neuesten Messpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so dass er den Durchschnittswert aller bisherigen Messpunkte (mit Ausnahme des neuesten Messpunkts) für den Vektorpunkt wiedergibt.


Erstellen einer Auto Geraden

Gerade (Dialogfeld)

Mit der Messoption "Gerade" können Sie eine theoretische Gerade definieren, die das KMG bei der Messung der definierten Gerade zugrundelegen wird.

Um auf die Option Gerade zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Gerade). Menü-Übersicht anzeigen

Siehe auch:

Geraden-Felddefinitionen

Messen einer Geraden


Geraden-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters eines Beispiels für eine Auto-Gerade lautet wie folgt:
E_ID=AUTO/LINIE, ALLEPARAMANZEIGEN = JA/NEIN, ZEIGE_MESSP. = JA/NEIN
NENN/ TX1,TY1,TZ1,TX2,TY2,TZ2,TLÄNGE
MESS/ X1,Y1,Z1,X2,Y2,Z2,LÄNGE
ZIEL/ Ziel X1,Ziel Y1,Ziel Z1, ZielX2,ZielY2,ZielZ2,
THEO_STÄRKE = n, TOG1, TOG2, EINRASTEN = JA/NEIN
AUTO BEWEGEN = JA/NEIN, ABSTAND = n, RMESS = keine
ANZPKTE = n, TIEFE = n,
KANTENVEK = I,J,K

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, ANZPKTE, TIEFE und KANTEN VEK anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Hierbei handelt es sich um eine Umschaltoption. Mit dieser Option kann zwischen einer begrenzten (BEGR) und unbegrenzten (UNBEGR) Linie umgeschaltet werden.

BEI_FEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Messpunkt ermittelt.

NENN/ = Dieser Wert stellt den Nennwert-Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

ANZPKTE = Dieser Wert kann bearbeitet oder geändert werden, um die Anzahl der für die Gerade gültigen Messpunkte wiederzugeben.

TIEFE = Dieser Wert bestimmt den Abstand von der Kante, von der aus PC-DMIS die Geradenmesspunkte aufnimmt.

KANTENVEK = Hier wird die Antastrichtung für den zur Erzeugung der Geraden aufgenommenen Kantenmesspunkt angegeben.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen einer Geraden

PC-DMIS bietet mit der Option Auto mehrere Methoden zum Messen eines Vektorpunkts. Sie werden nachstehend beschrieben:

  • Verwenden von Eingabedaten für eine Gerade

  • Verwenden von KMG-Drahtmodelldaten für eine Gerade

  • Angabe der Drahtmodelldaten für eine Gerade auf dem Bildschirm

  • Angabe der Flächendaten für eine Gerade auf dem Bildschirm

  • Bestimmung einer Geraden ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für eine Gerade

Mit dieser Methode können Sie die erforderlichen Werte zur Erzeugung einer Auto-Gerade eingeben:

So erstellen Sie eine begrenzte Gerade:

  1. Wählen Sie die Option Begrenzt.

  2. Geben Sie die Anzahl der Messpunkte im Feld Anz. ein.

  3. Geben Sie die Tiefe für die Gerade in das Feld Tiefe ein.

  4. Geben Sie die X-, Y- und Z-Werte für die Start- und Endpunkte ein.

  5. Geben Sie die I-, J-, K-Vektoren ein.

  6. Nehmen Sie gegebenenfalls weitere Eingaben im Dialogfeld vor.

  7. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Gerade auf Basis der im Dialogfeld eingegebenen Werte.

So erstellen Sie eine unbegrenzte Gerade:

  1. Klicken Sie auf die Option Unbegrenzt.

  2. Geben Sie die Anzahl der Messpunkte im Feld Anz. ein.

  3. Geben Sie die Tiefe für die Gerade in das Feld Tiefe ein.

  4. Geben Sie die X-, Y- und Z-Werte für den Startpunkt ein.

  5. Geben Sie die I-, J-, K-Vektoren ein.

  6. Geben Sie Geradenlänge in das Feld Länge ein.

  7. Nehmen Sie gegebenenfalls weitere Eingaben im Dialogfeld vor.

  8. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Gerade auf Basis der im Dialogfeld eingegebenen Werte.


Verwenden des KMG-Drahtmodells für eine Gerade

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus "Nennwerte suchen" finden Sie unter "Liste 'Modus'".

So erzeugen Sie eine Gerade mit Drahtmodelldaten:

  • Der zuerst aufgenommene Messpunkt gibt den theoretischen X-, Y-, Z- Startpunkt an. Mit einem zweiten Messpunkt (der erforderlich ist, wenn Begrenzt ausgewählt wurde) wird der Endpunkt für die Gerade erzeugt. Nach Aufnahme des zweiten Messpunkts zeigt PC-DMIS auch den Geradenvektor I, J, K und den Kantenvektor I, J, K an.

  • Alle weiteren Messpunkte werden in gleichmäßigem Abstand entlang der Geraden verteilt. Der Antastvektor wird ebenfalls aktualisiert, so dass er den Durchschnittswert aller bisherigen Messpunkte (mit Ausnahme des neuesten Messpunkts) für den Vektorpunkt wiedergibt.

Sie können die angezeigten Daten jederzeit nach Aufnahme des zweiten Messpunkts übernehmen.


Verwenden eines Drahtmodells für eine Gerade auf dem Bildschirm

So erzeugen Sie anhand von Drahtmodelldaten eine Gerade auf dem Bildschirm:

  1. Wählen Sie im Bereich Typ unter Eigenschaften entweder die Option Begrenzt oder Unbegrenzt aus.

  2. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der die Zielpunkte liegen sollen, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken (wenn Sie durch einen zweiten Punkt begrenzt sind, ansonsten klicken Sie nur einmal). Diese Drähte sollten sich auf derselben Oberfläche befinden.

  3. PC-DMIS wird die Startposition und – wenn eine begrenzte Gerade erzeugt wird – die Position des Endpunkts zeichnen. Zudem werden die Geraden- und Kantenpunktvektoren gezeichnet.

  4. Vergewissern Sie sich, dass die richtigen Drähte ausgewählt wurden.

  5. Ändern Sie gegebenenfalls weitere Optionen im Dialogfeld.

  6. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Gerade.


Angabe der Flächendaten für eine Gerade auf dem Bildschirm

So erzeugen Sie eine Auto Gerade auf dem Bildschirm unter Angabe der Flächendaten:

  1. Wählen Sie im Bereich Typ unter Eigenschaften entweder die Option Begrenzt oder Unbegrenzt aus.

  2. Definieren Sie die Auto Gerade:

  • Wenn Sie Begrenzt ausgewählt haben, klicken Sie zweimal auf die gewünschte Fläche, um die Anfangs- bzw. Endpunkte der Gerade zu definieren. PC-DMIS projiziert die Punkte an der nächsten Schnittstelle mit einer anderen Fläche, wobei die Punkte entlang der Schnittstellenlinie platziert werden. PC-DMIS zeichnet dann die Anfangspunktlage, die Endpunktlage und die Geraden- und Kantenvektoren.

  • Wenn Sie Unbegrenzt ausgewählt haben, klicken Sie einmal auf die gewünschte Fläche, um den Anfangspunkt der Geraden zu definieren. PC-DMIS projiziert die Punkte an der nächsten Schnittstelle mit einer anderen Fläche, wobei die Punkte entlang der Schnittstellenlinie platziert werden. Definieren Sie daraufhin die Länge der Gerade, indem Sie den Wert in das Feld Länge eingeben. PC-DMIS zeichnet dann die Anfangspunktlage, eine Gerade dieser Länge und die Geraden- und Kantenvektoren.

Beispiel einer begrenzten Auto Geraden mit Anzeige der Anfangs- und Endpunkten sowie dem Kantenvektor (A) und dem Geradenvektor (B)

  3. Ändern Sie gegebenenfalls weitere Optionen im Dialogfeld.

Wenn Sie beispielsweise die Anzahl der Messpunkte und den Tiefenwert ändern möchten, gehen Sie so vor:

Ähnliche Auto Gerade mit Anzeige von zusätzlichen Messpunkten, einem Tiefenwert von 3 mm und einem Kantenvektor von 0,-1,0

Oder Sie möchten, dass die Gerade entlang der anderen Fläche gemessen wird. Dazu müssen Sie den Kantenvektor ändern:

Auto Gerade mit verändertem Kantenwert von 0,0,1 und einem Tiefenwert von -1 mm

  3. Klicken Sie auf Erzeugen. PC-DMIS erzeugt die AutoGerade.


Bestimmung einer Geraden ohne Zuhilfenahme von CAD-Daten

So erzeugen Sie eine Gerade, ohne CAD-Daten zu verwenden:

  1. Klicken Sie auf Begrenzt oder Unbegrenzt.

  2. Wenn Sie Begrenzt ausgewählt haben, nehmen Sie zwei Messpunkte auf. Wenn Sie Unbegrenzt gewählt haben, nehmen Sie einen Messpunkt auf.

  3. Ändern Sie gegebenenfalls weitere Einträge im Dialogfeld.

  4. Klicken Sie auf Erzeugen.


Erstellen einer Auto Ebene

Ebene (Dialogfeld)

Mit der Option Auto Ebene können Sie eine Ebenenmessung definieren. Zum Messen einer Ebene werden mindestens drei Messpunkte benötigt.

Um auf die Option Ebene zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Ebene). Menü-Übersicht anzeigen

Siehe auch:

Ebenen-Felddefinitionen

Messen einer Ebene


Ebenen-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für eine Beispielebene lautet wie folgt:
E_ID=AUTO/EBENE, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = JA/NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,
MESS/ X,Y,Z,I,J,K
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
STÄRKE = n, TOG1, TOG2
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
ANZPKTE = n, ANZREIHEN = n, ABSTAND = n, TOG3
WINKELVEK = I,J,K

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, KLEINSTE_QUAD, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, ANZPKTE, ANFANGS, STÄNDIG, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKEL VEK anzeigt oder nicht.

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Kreises verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

STÄRKE = Dieses Feld kann zwischen THEO_STÄRKE und IST_STÄRKE umgeschaltet werden. Der Wert, der bearbeitet werden kann, zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen DREIECK und UMRISS umgeschaltet werden. Damit wird festgelegt, ob das Punktemuster ein Dreieck- oder Umrissmuster ist.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

ANZPKTE = Dieser Wert, der bearbeitet werden kann, bestimmt die Anzahl der Messpunkte, die PC-DMIS in jeder Reihe aufnehmen wird.

ANZREIHEN = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als 1 ist. Mit diesem Wert wird die Anzahl der Messpunkte, die PC-DMIS in jeder Reihe aufnehmen wird, um ein Element zu erzeugen, festgelegt. Wenn zwei Reihen und zwei Messpunkte vorliegen, wird PC-DMIS insgesamt vier Messpunkte erzeugen (zwei in jeder Reihe).

ABSTAND = Diese Abstandswerte können bearbeitet werden.

TOG3 = In diesem Feld können die Rastertypen, die PC_DMIS bei der Aufnahme von Messpunkten für die Auto Ebene zugrundelegen wird, gewechselt werden. Die Messpunkte werden in einem Raster aufgenommen, das entweder VIERECKIG- oder RADIAL ist.

WINKEL VEK = Dieses Feld zeigt die Null-Grad-Position am normalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen einer Ebene

PC-DMIS bietet verschiedene Methoden zum Messen einer Auto Ebene, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für eine Auto Ebene

  • Verwenden von KMG-Drahtmodelldaten für eine Auto Ebene

  • Angabe der Drahtmodelldaten für eine Auto Ebene auf dem Bildschirm

  • Bestimmung einer Auto Ebene ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für eine Auto-Ebene

Mit dieser Methode können Sie die gewünschten Mittenwerte X, Y, Z, I, J, K für die Ebene eingeben.

  1. Öffnen Sie das Auto Element-Dialogfeld Ebene (Einfügen | Element | Auto | Ebene). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Werte X, Y, Z, I, J, K und die Anz. der Messpunkte und Reihen ein.

  3. Nehmen Sie ggf. weitere Änderungen in diesem Dialogfeld vor.

  4. Klicken Sie auf Erzeugen.

PC-DMIS wird dann die richtige Anzahl Messpunkte anhand des vorgegebenen Musters erzeugen. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Drahtmodelldaten für eine Auto-Ebene

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So erzeugen Sie eine Ebene anhand der Drahtmodelldaten mit dem KMG:

  1. Öffnen Sie das Auto Element-Dialogfeld Ebene (Einfügen | Element | Auto | Ebene). Menü-Übersicht anzeigen

  2. Nehmen Sie einen Messpunkt auf der Oberfläche auf, auf der Sie die Ebene erzeugen wollen. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben den Mittenwert für die Ebene wieder. Die Werte I, J, K geben die Oberflächennormale wieder.

  3. Ändern Sie gegebenenfalls weitere Optionen im Dialogfeld.

  4. Drücken Sie die Schaltfläche Fertig auf der Bedieneinheit (oder klicken Sie im Dialogfeld auf die Schaltfläche Erzeugen).


Angabe der Drahtmodelldaten für eine Auto-Ebene auf dem Bildschirm

Eine Auto-Ebene kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So wird die Ebene erzeugt:

  1. Öffnen Sie das Auto Element-Dialogfeld Ebene (Einfügen | Element | Auto | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie die Oberfläche mindestens drei Mal an.

  3. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde. Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters. Im Dialogfeld werden die Mittelpunkt- und Vektorwerte der Ebene angezeigt.

  4. Nehmen Sie ggf. weitere Änderungen in diesem Dialogfeld vor.

  5. Klicken Sie auf Erzeugen.


Bestimmung einer Auto-Ebene ohne Zuhilfenahme von CAD-Daten

So können Sie eine Ebene ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Öffnen Sie das Auto Element-Dialogfeld Ebene (Einfügen | Element | Auto | Ebene). Menü-Übersicht anzeigen

  2. Nehmen Sie mindestens drei Messpunkte auf der Oberfläche auf.

  3. Nehmen Sie gegebenenfalls weitere Messpunkte auf. PC-DMIS verwendet die Daten aller gemessenen Punkte. Die X, Y, Z-Werte, die dann in der Anzeige erscheinen, geben den berechneten Ebenenmittelpunkt an.

  4. Klicken Sie auf Erzeugen.


Erstellen eines Auto Kreises

Kreis (Dialogfeld)

Mit der automatischen Kreisoption können Sie eine Kreismessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn der Kreis auf einer bestimmten Ebene positioniert ist, die nicht parallel zu den Arbeitsebenen verläuft oder wenn Messpunkte in gleichmäßigen Abständen für Teilkreise erforderlich sind. Zum Messen eines Kreises werden mindestens drei Messpunkte benötigt. Der Standardwert für die Anzahl der Messpunkte bei der Messung eines Kreises richtet sich nach dem Standard im Modus "Einrichten".

Um auf die Option Kreis zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Kreis).

Siehe auch:

Kreis-Felddefinitionen

Messen eines Kreises


Kreis-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispielkreis lautet wie folgt:
E_ID=AUTO/KREIS, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK, TDURCHM,
MESS/ X,Y,Z,I,J,K, DURCHM,
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG1, TOG2,TOG3, TOG4
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N, ANZ.MESSPKTE = n, ANFANGS = n, STÄNDIG = n
ABSTAND = n, STEIGUNG = n, STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKEL VEK = I,J,K

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Kreises verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, KLEINSTE_QUAD, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, ANZPKTE, ANFANGS, STÄNDIG, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKEL VEK anzeigt oder nicht.

STÄRKE = Dieser Wert kann bearbeitet werden. Er zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kreises auf Basis der Tasterposition bei der Aufnahme des Messpunkts. (Innerhalb eines Kreises = INNEN, außerhalb eines Bolzens = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden. Es gibt die Art der Bewegung an, die PC-DMIS bei der Ausführung dieses Elements einsetzt.

TOG3 = In diesem Feld können Sie eine der folgenden Optionen wählen: KLEINSTE_QUAD, PFERCHKR, HÜLLKR, MINMAX und FESTER_RAD.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar. TDURCHM ist der Nennwert des Durchmessers.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

LOCH_SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Messgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Messwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als zwei (2) ist.

ANFANGS / STÄNDIG = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

STEIGUNG = Dieser Wert ermöglicht eine größere Genauigkeit für Gewindelöcher und Bolzen.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

WINKEL VEK = Dieses Feld zeigt die Null-Grad-Position am normalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".

Siehe auch:

Erweiterte Kreis-Felddefinitionen


Erweiterte Kreis-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster mit den erweiterten Optionen für dieses Element sieht wie folgt aus:
E_ID=AUTO/KREIS, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE
MESS/ X,Y,Z,I,J,K, DURCHM, LÄNGE
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
STÄRKE = n, TOG1, TOG2,TOG3, TOG4, TOG5
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N, ANZPKTE = n, ANFANGS = n, STÄNDIG = n, ABSTAND = n,
STEIGUNG =n, STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKEL VEK = I,J,K
STANZUNG = I,J,K, STIFT = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

STANZUNG = Dieses Feld zeigt die Stanzrichtung durch das Blech an. Der darin enthaltene Wert kann bearbeitet werden.

STIFT = Dieses Feld zeigt die Richtung an, in der der Punkt durch das gestanzte Loch verläuft.

Weitere Informationen zu den standardmäßigen Kreis-Felddefinitionen finden Sie unter "Kreis-Felddefinitionen".


Messen eines Kreises

PC-DMIS bietet verschiedene Methoden zum Messen eines Auto-Kreises, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für einen Auto-Kreis

  • Verwenden von KMG-Flächendaten für einen Auto Kreis

  • Angabe der Flächendaten für einen Auto Kreis auf dem Bildschirm

  • Angabe der Drahtmodelldaten für einen Auto Kreis auf dem Bildschirm

  • Bestimmung eines Auto Kreises ohne Zuhilfenahme von CAD-Daten

Bei allen Methoden ist es wichtig, dass der richtige Elementtyp, STANZLOCH oder BOLZEN, ausgewählt wird (weitere Informationen finden Sie unter "Optionen 'Loch' oder 'Bolzen'). Vergewissern Sie sich, dass die richtige Option ausgewählt ist.

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für einen Auto-Kreis

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Kreis eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen automatischen Kreis

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um einen Kreis anhand von Oberflächendaten mit dem KMG zu generieren, müssen Sie mindestens drei Messpunkte in der Bohrung oder am Bolzen aufnehmen. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben den nächstgelegenen CAD-Kreis und nicht die tatsächlichen Messpunkte an. Die Werte I, J, K geben die Oberflächennormale wieder. Wenn kein CAD-Kreis gefunden wird, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.


Angabe der Oberflächendaten für einen Auto-Kreis auf dem Bildschirm

So erzeugen Sie einen Kreis aus Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den Cursor an eine Stelle innerhalb oder außerhalb des gewünschten Kreises.

  3. Klicken Sie auf drei Stellen um den Kreis herum. Sie müssen auf mindestens drei Stellen klicken, damit PC-DMIS die benötigten Daten für X, Y, Z und I, J, K berechnen kann.

Wenn der dritte Punkt angegeben wurde, werden Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Auto-Kreises im Dialogfeld angezeigt.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, wird PC-DMIS den optimalen Kreis in der Nähe aller Messpunkte suchen.


Angabe der Drahtmodelldaten für einen Auto-Kreis auf dem Bildschirm

Ein Auto-Kreis kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So wird der Kreis generiert:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Kreis. PC-DMIS markiert den ausgewählten Draht.

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde. Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters.

Wenn der Draht ausgewählt worden ist, werden die Werte für Mittelpunkt und Durchmesser des ausgewählten Kreises im Dialogfeld angezeigt.

Hinweis: Wenn das zugrundeliegende CAD-Element kein Kreis oder Bogen ist, sind ggf. weitere Mausklicks zur Identifizierung des Elements erforderlich. Wenn PC-DMIS nicht das richtige Element hervorhebt, klicken Sie mindestens zwei weitere Stellen des Kreises an.


Bestimmung eines Auto-Kreises ohne Zuhilfenahme von CAD-Daten

So können Sie den Kreis ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Nehmen Sie drei Messpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, auf der der Kreis liegt.

  2. Nehmen Sie drei weitere Messpunkte in der Bohrung (oder am Bolzen) auf. PC-DMIS berechnet den Auto-Kreis unter Verwendung aller drei Messpunkte.

Weitere Messpunkte können aufgenommen werden. PC-DMIS verwendet die Daten aus allen Messpunkten, die vor Auswahl der Schaltfläche Erzeugen gemessen werden. Die X, Y, Z-Werte, die dann in der Anzeige erscheinen, geben den berechneten Kreismittelpunkt bzw. Bolzenmittelpunkt an.


Erstellen einer Auto Ellipse

Ellipse (Dialogfeld)

Mit Hilfe der Option "Ellipse" (Auto-Element) können Sie eine Ellipse definieren. Der Elementtyp "Ellipse" funktioniert ganz ähnlich wie das Blechkreiselement. Dies ist besonders hilfreich, wenn die Ellipse auf einer bestimmten Ebene liegt, die nicht parallel zu den Arbeitsebenen verläuft. Es ist auch dann nützlich, wenn gleichmäßig verteilte Messpunkte für Teilellipsen benötigt werden. Zur Messung einer Ellipse sind mindestens fünf Messpunkte erforderlich.

Um auf die Option Ellipse zuzugreifen, öffnen Sie das gleichnamige Dialogfeld. Menü-Übersicht anzeigen

Siehe auch:

Ellipsen-Felddefinitionen

Messen einer Ellipse


Ellipsen-Felddefinitionen

Die im Bearbeitungsfenster für eine Beispiel-Ellipse angezeigte Befehlszeile lautet:
E_ID=AUTO/ELLIPSE, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,THAUPTDURCHM,NEBENDURCHM, TWINKI,TWINKJ,TWINKK
MESS/ X,Y,Z,I,J,K,HAUPTDURCHM,NEBENDURCHM, WINKI,WINKJ,WINKK
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK,ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1, TOG2
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
ANZPKTE = n, ANFANGS = n, STÄNDIG = n, ABSTAND = n,
STARTWINKEL =n, ENDWINKEL =n, TIEFE = n

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen der Ellipse verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, ANZPKTE, ANFANGS, STÄNDIG, ABSTAND, STARTWINKEL, ENDWINKEL und TIEFE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ der gemessenen Ellipse auf Basis der Tasterposition bei der Aufnahme des Messpunkts. (Innerhalb einer Ellipse = INNEN, außerhalb eines Bolzens = AUSSEN.)

THAUPTDURCHM, HAUPTDURCHM = Diese Werte zeigen die theoretischen und gemessenen Gesamtlängen (die Hauptdurchmesser) der Ellipse an.

TNEBENDURCHM, NEBENDURCHM = Diese Werte zeigen die theoretischen und gemessenen Gesamtbreiten (die Nebendurchmesser) der Ellipse an.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als 4 ist.

ANFANGS / STÄNDIG = Diese Werte können bearbeitet oder umgeschaltet werden. Die einzig gültigen Werte sind null, eins und drei (0, 1, 3).

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen einer Ellipse

PC-DMIS bietet mehrere Methoden zum Messen einer Ellipse mit der Blechoption, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für eine Ellipse

  • Verwenden von KMG-Flächendaten für eine Ellipse

  • Angabe der Flächendaten für eine Ellipse auf dem Bildschirm

  • Bestimmung einer Ellipse ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für eine Ellipse

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für die Ellipse eingeben. Darüber hinaus können Sie auch den Haupt- und Nebendurchmesser der Ellipse sowie den Winkelvektor I2, J2, K2 eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für eine Ellipse

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um eine Ellipse anhand von Oberflächendaten mit dem KMG zu generieren, müssen Sie mindestens fünf Messpunkte auf der Ellipse aufnehmen. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben die nächstgelegene CAD-Ellipse, nicht die tatsächlichen Messpunkte, an. Die Werte I, J, K geben die Oberflächennormale wieder. Wenn keine CAD-Ellipse gefunden wird, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.


Angabe der Oberflächendaten für eine Ellipse auf dem Bildschirm

So generieren Sie eine Ellipsenmessung mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Berühren Sie mit dem animierten Taster fünf Stellen um die im Grafikfenster angezeigte Ellipse herum.

Es sind mindestens fünf Messpunkte erforderlich, damit PC-DMIS die erforderlichen X-, Y-, Z- und I-, J- und K-Daten berechnen kann.


Bestimmung einer Ellipse ohne Zuhilfenahme von CAD-Daten

So generieren Sie die Ellipse, ohne CAD-Daten zu verwenden:

  1. Nehmen Sie drei Messpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, in der die Ellipse liegt.

  2. Nehmen Sie fünf weitere Messpunkte in der Bohrung (oder am Bolzen) auf.

PC-DMIS verwendet die Daten zur Berechnung der Blechellipse. Sie können so lange weitere Messpunkte aufnehmen, bis Sie auf die Schaltfläche Erzeugen klicken. Die X, Y, Z-Werte, die dann in der Anzeige erscheinen, geben den berechneten Mittelpunkt der Ellipse an. Darüber hinaus werden der berechnete Haupt- und Nebendurchmesser sowie der Ausrichtungs-Vektor angezeigt.


Erstellen einer Auto Kerbe

Kerbe (Dialogfeld)

Mit der Messoption "Kerbe" können Sie eine Kerbenmessung definieren. Eine Kerbe ist ein dreiseitiges Rechteckloch. Diese Art der Messung ist besonders dann nützlich, wenn Sie erst eine Reihe von Geraden messen und Schnitt- und Mittelpunkte daraus erstellen wollen. Für die Messung von Kerben sind vier Messpunkte erforderlich.

Um auf die Option Kerbe zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Kerbe). Menü-Übersicht anzeigen

Siehe auch:

Kerben-Felddefinitionen

Messen einer Kerbe


Kerben-Felddefinitionen

Die im Bearbeitungsfenster für eine Beispiels-Kerbe angezeigte Befehlszeile lautet:
E_ID=AUTO/KERBE, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,TBREITE,TLÄNGE, TI2, TJ2, TK2
MESS/ X,Y,Z,I,J,K,BREITE,LÄNGE,I2,J2,K2
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK,ZielI2, ZielJ2,ZielK2
THEO_STÄRKE = n, TOG1, TOG2
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN =J/N
ANFANGS = n, STÄNDIG = n, ABSTAND = n,
EINZUG = n, TIEFE = n, RADIUS = n

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen der Kerbe verwendeten Messpunkte anzeigt oder nicht.

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, ANFANGS, STÄNDIG, ABSTAND, EINZUG, TIEFE und RADIUS anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Hierbei handelt es sich um eine Umschaltoption. Sie gibt an, ob die Option BEI_FEHLER aktiviert (Einstellung JA) oder deaktiviert (Einstellung NEIN) ist.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

LOCH_SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Messgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Messwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANFANGS / STÄNDIG = Diese Werte können bearbeitet oder umgeschaltet werden. Die einzig gültigen Werte sind null, eins und drei (0, 1, 3).

EINZUG = Bei diesem Wert handelt es sich um einen veränderbaren Abstand.

TIEFE = Diese Abstandswerte können bearbeitet werden.

RADIUS = Bei diesem Wert handelt es sich um einen veränderbaren, nicht negativen Abstand.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen einer Kerbe

PC-DMIS bietet mehrere Methoden zum Messen einer Kerbe mit der Blechoption, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für eine Kerbe

  • Verwenden von KMG-Flächendaten für eine Kerbe

  • Angabe der Flächendaten für eine Kerbe auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für eine Kerbe

  • Angabe der Drahtmodelldaten für eine Kerbe auf dem Bildschirm

  • Bestimmung einer Kerbe ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für eine Kerbe

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für die Kerbe eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für eine Kerbe

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie eine Kerbenmessung anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie mit dem Taster die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen. Dadurch wird eine Linie entlang der Kante definiert.

  2. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf der Hälfte zwischen den parallelen Seiten.

  3. Nehmen Sie einen Messpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Angabe der Oberflächendaten für eine Kerbe auf dem Bildschirm

So generieren Sie eine Kerbenmessung mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image].

  2. Nehmen Sie mit dem animierten Taster fünf Messpunkte auf der CAD-Oberfläche auf. Gehen Sie dabei in derselben Reihenfolge vor wie bei der Aufnahme von Messpunkten mit einem KMG (siehe "KMG-Flächendaten für eine Kerbe verwenden").


Verwenden von KMG-Drahtmodelldaten für eine Kerbe

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie eine Kerbenmessung anhand von Drahtmodelldaten mit dem KMG:

  1. Berühren Sie die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen mit dem Taster. Dadurch wird eine Linie entlang der Kante definiert.

  2. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf halbem Weg zwischen den parallelen Seiten.

  3. Nehmen Sie einen Messpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Angabe der Drahtmodelldaten für eine Kerbe auf dem Bildschirm

Eine Kerbe kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

Verfahren Sie wie folgt. Arbeiten Sie dabei mit dem animierten Taster:

  1. Berühren Sie die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen mit dem Taster. Dadurch wird eine Linie entlang der Kante definiert.

  2. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf halbem Weg zwischen den parallelen Seiten.

  3. Nehmen Sie einen Messpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Bestimmung einer Kerbe ohne Zuhilfenahme von CAD-Daten

So generieren Sie eine Kerbe, ohne CAD-Daten zu verwenden:

  1. Ermitteln Sie die zuoberst liegende Oberfläche, indem Sie drei Messpunkte aufnehmen.

  2. Berühren Sie die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen mit dem Taster. Dadurch wird eine Linie entlang der Kante definiert.

  3. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf halbem Weg zwischen den parallelen Seiten.

  4. Nehmen Sie einen Messpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Erstellen eines Auto Langlochs

Langloch (Dialogfeld)

Mit der Option "Langloch" können Sie eine Langlochmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht zuerst eine Reihe von Geraden und Kreisen messen und Schnitt- und Mittelpunkte daraus erstellen wollen. Für die Messung von Langlöchern sind mindestens sechs Messpunkte erforderlich.

Langloch mit mindestens 6 Messpunkten

Um auf die Option Langloch zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Langloch).

Siehe auch:

Langloch-Felddefinitionen

Messen eines Langlochs


Langloch-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Langloch lautet wie folgt:
E_ID=AUTO/LANGLOCH, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,TBREITE,TLÄNGE,TWINKI,TWINKJ,TWINKK
MESS/ X,Y,Z,I,J,K,BREITE,LÄNGE,WINKI,WINKJ,WINKK
ZIEL / ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK, ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1,TOG2,
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N
ANFANGS = n, STÄNDIG = n, ABSTAND = n
TIEFE = n, MESSPKTE = n

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Langlochs verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, ANFANGS, STÄNDIG, ABSTAND und MESSPKTE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Rechtecklochs aufgrund der Tasterposition bei der Aufnahme des Messpunkts.

TOG3 = Dieses Feld kann zwischen NORMAL und BOLZEN umgeschaltet werden und gibt den Typ des Langlochs an, das gemessen wird.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

LOCH_SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Messgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Messwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANFANGS / STÄNDIG = Diese Werte können bearbeitet oder umgeschaltet werden. Gültige Werte sind null, eins und drei (0, 1, 3).

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

BREITE MINMAX = Dieses Feld kann zwischen MAXMIN und NORM umgeschaltet werden und gibt an, wie PC-DMIS das Langloch misst.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".

Siehe auch:

Erweiterte Langloch-Felddefinitionen


Erweiterte Langloch-Felddefinitionen

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
E_ID=AUTO/LANGLOCH, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE, x
MESS/ X,Y,Z,I,J,K, DURCHM,LÄNGE, x
ZIEL/Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K,ZielDURCHM,x
THEO_STÄRKE = n, TOG1, TOG2,TOG3,
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N
ANFANGS = n, STÄNDIG = n, ABSTAND = n,
TIEFE = n, STANZUNG = I,J,K, STIFT = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

STANZUNG = Dieses Feld zeigt die Stanzrichtung durch das Blech an. Der darin enthaltene Wert kann bearbeitet werden.

STIFT = Dieses Feld zeigt die Richtung an, in der der Punkt durch das gestanzte Loch verläuft.

Weitere Informationen zu den standardmäßigen Langloch-Felddefinitionen finden Sie unter "Langloch-Felddefinitionen".


Messen eines Langlochs

PC-DMIS bietet mehrere Methoden zum Messen eines Langlochs mit der Blechoption, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für ein Langloch

  • Verwenden von KMG-Flächendaten für ein Langloch

  • Angabe der Flächendaten für ein Langloch auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für ein Langloch

  • Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm

  • Bestimmung eines Langlochs ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für ein Langloch

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für das Langloch eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für ein Langloch

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um eine Langlochmessung anhand der Oberflächendaten mit dem KMG zu generieren, berühren Sie einfach jeden Bogen an drei Stellen.


Angabe der Oberflächendaten für ein Langloch auf dem Bildschirm

So generieren Sie eine Langlochmessung mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Berühren Sie einfach jeden der im Grafikfenster angezeigten Bogen an drei Stellen mit dem animierten Taster.


Verwenden von KMG-Drahtmodelldaten für ein Langloch

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um eine Langlochmessung anhand der Drahtmodelldaten mit dem KMG zu generieren, berühren Sie einfach jeden Bogen an drei Stellen.

Hinweis: Sind die CAD-Daten, welche die Enden des Langlochs definieren, spezifisch als Typ KREIS oder BOGEN definiert (d.h., als IGES-Einheit 100), nimmt PC-DMIS automatisch zwei weitere Messpunkte auf dem Bogen auf. Wenn beide Enden zu diesem Typ gehören, genügt eine Berührung auf jedem Bogen, um diesen Elementtyp zu messen.


Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm

Ein Langloch kann auch mit Drahtmodell-CAD-Daten erzeugt werden. Berühren Sie einfach jeden der im Grafikfenster angezeigten Bogen an drei Stellen mit dem animierten Taster.

Hinweis: Sind die CAD-Daten, welche die Enden des Langlochs definieren, spezifisch als Typ KREIS oder BOGEN definiert (d.h., als IGES-Einheit 100), nimmt PC-DMIS automatisch zwei weitere Messpunkte auf dem Bogen auf. Wenn beide Enden zu diesem Typ gehören, genügt eine Berührung auf jedem Bogen, um diesen Elementtyp zu messen.


Bestimmung eines Langlochs ohne Zuhilfenahme von CAD-Daten

Soll das Langloch ohne Verwendung von CAD-Daten erzeugt werden, berühren Sie jeden Bogen dreimal (d. h. insgesamt sechs Messpunkte).


Erstellen eines Auto Winkelpunkts

Winkelpunkt (Dialogfeld)

Mit der Messoption "Winkelpunkt" können Sie eine Punktmessung an der Schnittstelle zweier gemessener Geraden definieren. Bei diesem Messverfahren können Sie die Schnittstelle der beiden Geraden messen, ohne die Geraden einzeln zu messen und ohne an der Schnittstelle einen Punkt erstellen zu müssen. Es sind sechs Messpunkte erforderlich, um einen Winkelpunkt genau zu messen.

Um auf die Option Winkelpunkt zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Punkt | Winkel). Menü-Übersicht anzeigen

Siehe auch:

Winkelpunkt-Felddefinitionen

Messen eines Winkelpunkts


Winkelpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Winkelpunkt lautet wie folgt:
E_ID=AUTO/WINKELPUNKT, ALLEPARAMANZEIGEN = JA/NEIN
NENN/ TX,TY,TZ,TI,JT,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, BEI_FEHLER = JA/NEIN
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
ANZPKTE = n, ABSTAND = n, EINZUG1= n, EINZUG2 = n, TOG2

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, VEKTOR1, VEKTOR2, ANZPKTE, ABSTAND, EINZUG1, EINZUG2 und INNEN anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG 1= Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

BEI_FEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Messpunkt ermittelt.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto-Element an.

VEKTOR1 = Die drei Zahlen (IJK-Werte) stellen einen veränderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der ersten Oberfläche gestellt.

VEKTOR2 = Die drei Zahlen (IJK-Werte) stellen einen veränderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der zweiten Oberfläche gestellt.

ANZPKTE = Dieser Wert kann bearbeitet oder zwischen den gültigen Werten 1 und 3 hin- und hergeschaltet werden.

ABSTAND = Diese Zahl zeigt den Versatz zwischen den Punkten auf beiden Seiten der Biegung an.

EINZUG1 = Dieser veränderbare Wert gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der ersten Oberfläche der Biegung an.

EINZUG2 = Dieser veränderbare Wert gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der zweiten Oberfläche der Biegung an.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. Es beschreibt den Typ des Winkelpunkts, der gemessen wird.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen eines Winkelpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Winkelpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Verwenden von Eingabedaten für einen Winkelpunkt

  • Verwenden von KMG-Flächendaten für einen Winkelpunkt

  • Angabe der Flächendaten für einen Winkelpunkt auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für einen Winkelpunkt

  • Angabe der Drahtmodelldaten für einen Winkelpunkt auf dem Bildschirm

  • Bestimmung eines Winkelpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für einen Winkelpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Winkelpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Winkelpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um einen Winkelpunkt anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie einmal jede Seite der Winkelkante mit dem Taster. Wird der CAD-Winkelpunkt nicht gefunden, zeigt PC- DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.


Angabe der Oberflächendaten für einen Winkelpunkt auf dem Bildschirm

So generieren Sie einen Winkelpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.

  3. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden die Werte des ausgewählten Winkelpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.

Hinweis: Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


Verwenden von KMG-Drahtmodelldaten für einen Winkelpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um einen Winkelpunkt anhand von Drahtmodelldaten mit dem KMG zu generieren, berühren Sie einmal jede Seite der Winkelkante mit dem Taster. Wird der CAD-Winkelpunkt nicht gefunden, zeigt PC- DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.


Angabe der Drahtmodelldaten für einen Winkelpunkt auf dem Bildschirm

Ein Winkelpunkt kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie den Punkt:

  1. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.

  2. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden die Werte des ausgewählten Winkelpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Umkehren" können Sie die Antastrichtung ändern.

· Bei jedem weiteren Mausklick vor Auswahl der Schalftfläche Erzeugen werden die angezeigten Informationen durch die neuen Daten überschrieben.

· Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


Bestimmung eines Winkelpunkts ohne Zuhilfenahme von CAD-Daten

Wenn der Winkelpunkt ohne die Verwendung von CAD-Daten erzeugt werden soll, berühren Sie jede Oberfläche dreimal, um die beiden Ebenen zu ermitteln. Der angezeigte Winkelpunkt liegt an der ersten Messpunktposition.


Erstellen eines Auto Eckpunkts

Eckpunkt (Dialogfeld)

Mit der Messoption "Eckpunkt" können Sie eine Punktmessung als Schnittstelle von drei gemessenen Ebenen definieren. Mit diesem Messverfahren können Sie die Schnittstelle von drei Ebenen messen, ohne die Ebenen einzeln zu messen und ohne einen Schnittpunkt erzeugen zu müssen. Neun Messpunkte (drei Messpunkte auf jeder der drei Ebenen) sind erforderlich, um einen Eckpunkt zu messen.

Um auf die Option Eckpunkt zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Punkt | Ecke). Menü-Übersicht anzeigen

Siehe auch:

Eckpunkt-Felddefinitionen

Messen eines Eckpunkts


Eckpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Eckpunkt lautet wie folgt:
E_ID=AUTO/ECKPUNKT, ALLEPARAMANZEIGEN = JA/NEIN
NENN/ TX,TY,TZ,TI,JT,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, BEI_FEHLER = JA/NEIN
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
ANZPKTE = n, ABSTAND = n, EINZUG1= n, EINZUG2 = n, EINZUG3 = n, TOG2

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, VEKTOR2, VEKTOR3, EINZUG1, EINZUG2 und EINZUG3 anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. Es beschreibt den Typ des Winkelpunkts, der gemessen wird.

ANZPKTE = Dieser Wert kann bearbeitet oder zwischen den gültigen Werten 1 und 3 hin- und hergeschaltet werden.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

BEI_FEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Messpunkt ermittelt.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

VEKTOR1 = Diese Werte können vom Benutzer bearbeitet werden.

VEKTOR2 = Diese Werte können ebenfalls vom Benutzer bearbeitet werden.

ABSTAND = Bei diesem Wert handelt es sich um einen veränderbaren Abstand.

EINZUG1 = Diese veränderbare Zahl gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der ersten der drei Ebenen an.

EINZUG2 = Diese veränderbare Zahl gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der zweiten der drei Ebenen an.

EINZUG3 = Diese veränderbare Zahl gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der dritten der drei Ebenen an.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen eines Eckpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Eckpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Verwenden von Eingabedaten für einen Eckpunkt

  • Verwenden von KMG-Flächendaten für einen Eckpunkt

  • Angabe der Flächendaten für einen Eckpunkt auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für einen Eckpunkt

  • Angabe der Drahtmodelldaten für einen Eckpunkt auf dem Bildschirm

  • Bestimmung eines Eckpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfensterbenutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für einen Eckpunkt

Damit können Sie auch die gewünschten X, Y, Z-Werte für den Eckpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Eckpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie einen Eckpunkt anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie einmal jede der drei Oberflächen, die in der Ecke zusammentreffen.

  2. Klicken Sie auf die Schaltfläche Erzeugen.

Wird der CAD-Eckpunkt nicht gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie dazu auf, weitere Messpunkte aufzunehmen.

Hinweis: PC-DMIS geht davon aus, dass die Oberflächen im rechten Winkel zueinander verlaufen.


Angabe der Flächendaten für einen Eckpunkt auf dem Bildschirm

So generieren Sie einen Eckpunkt mit Hilfe von Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den animierten Taster einmal auf jede der drei benötigten Oberflächen. PC-DMIS positioniert den animierten Taster automatisch neu auf dem Eckpunkt, an dem die gewählten Oberflächen zusammenlaufen.

  3. Vergewissern Sie sich, dass der richtige Eckpunkt ausgewählt wurde. Im Dialogfeld werden die Werte des ausgewählten Eckpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist.

  4. Klicken Sie auf die Schaltfläche Erzeugen.


Verwenden von KMG-Drahtmodelldaten für einen Eckpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie einen Eckpunkt anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie die erste Oberfläche an zwei Stellen.

  2. Berühren Sie die Oberfläche einmal in der Nähe der Kanten, die in der Ecke zusammenlaufen.

Wird der CAD-Eckpunkt nicht gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie dazu auf, weitere Messpunkte aufzunehmen.

Hinweis: PC-DMIS geht davon aus, dass die Oberflächen im rechten Winkel zueinander verlaufen.


Angabe der Drahtmodelldaten für einen Eckpunkt auf dem Bildschirm

Ein Eckpunkt kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie den Punkt:

  1. Setzen Sie den animierten Taster einmal in die Nähe der Ecke (aber auf nicht die Ecke selbst). PC-DMIS markiert die ausgewählte Oberfläche.

  2. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden die Werte des ausgewählten Eckpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist. (Berühren Sie, falls erforderlich, eine andere Kante, die zur Ecke führt.)


Bestimmung eines Eckpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie einen Eckpunkt, ohne CAD-Daten zu verwenden:

  1. Berühren Sie die erste Oberfläche an drei Stellen.

  2. Berühren Sie die zweite Oberfläche an zwei Stellen.

  3. Berühren Sie die dritte Oberfläche an einer Stelle.


Erstellen eines Auto Kantenpunkts

Kantenpunkt (Dialogfeld)

Mit der Messoption "Kantenpunkt" können Sie eine Punktmessung definieren, die auf der Kante des Werkstücks vorzunehmen ist. Eine solche Messung ist besonders nützlich, wenn das Werkstückmaterial so dünn ist, dass ein genau gesteuerter KMG-Messpunkt erforderlich ist. Fünf Stützpunkte sind erforderlich, um einen Kantenpunkt genau zu messen.

Um auf die Option Kantenpunkt zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Punkt | Kante). Menü-Übersicht anzeigen

Siehe auch:

Kantenpunkt-Felddefinitionen

Messen eines Kantenpunkts


Kantenpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Kantenpunkt lautet wie folgt:
E_ID=AUTO/KANTENPUNKT, ALLEPARAMANZEIGEN = JA/NEIN
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG , KANTE_THEO_STÄRKE = n, BEI_FEHLER = JA/NEIN
AUTO BEWEGEN = JA/NEIN, ABSTAND = n, RMESS = keine, MESSFOLGE = S/E/B,
OBERFLÄCHENNORMAL = I,J,K
ANFANGS = n, STÄNDIG = n, ABSTAND = n, EINZUG = n, TIEFE = n

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, KANTE THEO_STÄRKE, AUTO BEWEGEN, ABSTAND, RMESS, MESSFOLGE, OBERFLÄCHENNORMAL, ANFANGS, STÄNDIG, ABSTAND, EINZUG und TIEFE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

KANTE_THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke der Kante an. Positive und negative Werte sind zulässig.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

BEI_FEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Messpunkt ermittelt.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

MESSFOLGE = Hierbei handelt es sich um eine Umschaltoption. Damit wird die Reihenfolge bestimmt, in der die Stützpunkte gemessen werden. Zur Auswahl stehen die Optionen OBERFLÄCHE, KANTE und BEIDE.

OBERFLÄCHENNORMAL = Dieses Feld zeigt die Oberflächennormale an, auf die der Kantenpunkt nach der Messung projiziert wird. Diese Werte können bearbeitet werden.

ANFANGS / STÄNDIG = Diese Felder können bearbeitet oder umgeschaltet werden. Gültige Werte sind null, eins, drei und fünf (0, 1, 3, 5).

ABSTAND / EINZUG / TIEFE = Diese Abstandswerte können verändert werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".

Siehe auch:

Erweiterte Kantenpunkt-Felddefinitionen


Erweiterte Kantenpunkt-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster mit den erweiterten Optionen für dieses Element sieht wie folgt aus:
E_ID=AUTO/KANTENPUNKT, ALLEPARAMANZEIGEN = JA/NEIN
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG , KANTE THEO_STÄRKE = n, BEI_FEHLER = JA/NEIN
AUTO BEWEGEN = JA/NEIN, ABSTAND =n, RMESS = keine,
MESSFOLGE =S/E/B, OBERFLÄCHENNORMAL = I,J,K
KANTE_PROTOK = I,J,K, OBERFLÄCHE_PROTOKOLL = I,J,K
ANFANGS = n, STÄNDIG = n, ABSTAND = n, EINZUG = n, TIEFE = n

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

KANTENPROTOKOLL = In diesem Feld steht der Vektor, der für die Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.

KANTENPROTOKOLL = In diesem Feld steht der Vektor, der für die Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.

Weitere Informationen zu den standardmäßigen Kantenpunkt-Felddefinitionen finden Sie unter "Kantenpunkt-Felddefinitionen".


Messen eines Kantenpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Kantenpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Verwenden von Eingabedaten für einen Kantenpunkt verwenden

  • Verwenden von KMG-Flächendaten für einen Kantenpunkt

  • Angabe der Flächendaten für einen Kantenpunkt auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für einen Kantenpunkt

  • Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

  • Bestimmung eines Kantenpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Hinweis: PC-DMIS geht davon aus, dass die vertikale Oberfläche und die Messoberfläche im rechten Winkel zueinander stehen.


Verwenden von Eingabedaten für einen Kantenpunkt verwenden

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Kantenpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Kantenpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie einen Eckpunkt anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie mit dem Taster einen Punkt in der Nähe der gewünschten Kante des Werkstücks.

  2. Versuchen Sie, den Schaft so vertikal zur Oberfläche wie möglich zu positionieren.

PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben die am nächsten zum Messpunkt gelegene CAD-Kante wieder, nicht den Messpunkt selbst. Die Werte I, J, K geben die Oberflächennormale wieder.

Wird keine CAD-Kante gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.

Erfolgt vor Auswahl der Schaltfläche Erzeugen eine zweite Tasterberührung auf der gegenüberliegenden Oberfläche, ändert PC-DMIS die Positionsdaten entsprechend. Die angezeigten Vektoren bleiben jedoch konstant.


Angabe der Oberflächendaten für einen Kantenpunkt auf dem Bildschirm

So generieren Sie einen Kantenpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Punkts auf der Oberfläche des Werkstücks (in Kantennähe) zu bestimmen.

  3. Klicken Sie mit der linken Maustaste. PC-DMIS markiert die ausgewählte Oberfläche.

  4. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden der Wert des ausgewählten Kantenpunkts und –vektors angezeigt, sobald der Punkt markiert worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.


Verwenden von KMG-Drahtmodelldaten für einen Kantenpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie einen Kantenpunkt anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie mit dem Taster einen Punkt in der Nähe der gewünschten Kante des Werkstücks.

  2. Versuchen Sie, den Schaft so vertikal zur Oberfläche wie möglich zu positionieren.

PC-DMIS durchstößt den CAD-Draht möglichst nahe am Berührungspunkt des Tasters. Die angezeigten Werte X, Y, Z geben die am nächsten zum Messpunkt gelegene CAD-Kante wieder, nicht den Messpunkt selbst. Die Werte I, J, K geben die Oberflächennormale wieder. Wird keine CAD-Kante gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.

Erfolgt vor Auswahl der Schaltfläche Erzeugen eine zweite Tasterberührung auf der gegenüberliegenden Oberfläche, ändert PC-DMIS die Positionsdaten entsprechend. Die angezeigten Vektoren bleiben jedoch konstant.


Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Ein Kantenpunkt kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie einen Kantenpunkt:

  1. Klicken Sie in die Nähe des gewünschten Drahtes auf die Kantenseite (nicht innerhalb der Grenzen der obersten Oberfläche). PC-DMIS markiert den ausgewählten Draht.

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde.

Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters. Der Taster nähert sich von der angeklickten Kantenseite her. Im Dialogfeld werden der Wert des ausgewählten Kantenpunkts und des Vektors angezeigt, sobald der Punkt bestimmt worden ist.

Ist eine zusätzliche Berührung erforderlich, klicken Sie auf den der (vertikalen) Oberfläche gegenüberliegenden Draht.


Bestimmung eines Kantenpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie den Kantenpunkt, ohne CAD-Daten zu verwenden:

  • Die ersten drei aufgenommenen Messpunkte geben den Nennwert des Oberflächenvektors an.

  • Anhand der nächsten beiden Messpunkte wird der andere Vektor ermittelt und angezeigt. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an.

  • Der letzte Messpunkt (sechster Messpunkt) gibt die tatsächliche Kantenpunktposition an.


Erstellen eines Auto Extrempunkts

Extrempunkt (Dialogfeld)

Mit der Option Auto Extrempunkt können Sie einen benutzerdefinierten Bereich nach dem höchsten Punkt (Extrempunkt) in der aktuellen Arbeitsebene durchsuchen. Der Bereich selbst wird nach dem höchsten Punkt untersucht, vorhandene Punkte in Ihrem Werkstückprogramm werden nicht durchsucht.

Das Suchergebnis ist ein einzelner Punkt, der durch die Koordinaten X, Y, Z und den Antastvektor definiert wird.

Um auf die Option Extrempunkt zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Punkt | Hoch). Menü-Übersicht anzeigen

Siehe auch:

Extrempunkt-Felddefinitionen

Messen eines Extrempunkts


Extrempunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Extrempunkt lautet wie folgt:
E_ID=AUTO/EXTREMPUNKT, ALLEPARAMANZEIGEN = JA/NEIN
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K,
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG
AUTO BEWEGEN = JA/NEIN, ABSTAND = n, RMESS = keine
INKREMENT = n, TOL = n, TOG1,
BREITE/AUSSENRADIUS = n , LÄNGE/INNENRADIUS = n
ZENTRIERT = X, Y, Z

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, INKREMENT, TOL, FELD, BREITE, LÄNGE und ZENTRIERT anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

INKREMENT = Diese Abstandswerte können bearbeitet werden.

ZENTRIERT = Diese X-,Y-,Z-Koordinaten geben das Zentrum des Suchbereichs an.

TOL = Bei diesem Wert handelt es sich um einen veränderbaren Abstand.

TOG1 = Hierbei handelt es sich um eine Umschaltoption zur Auswahl des Suchmodus. Die Optionen für den Suchmodus sind FELD und KREISF.

LÄNGE / INNENRADIUS = Diese Abstandswerte können bearbeitet werden. Wenn die LÄNGE angezeigt wird, steht dieser Wert für den Abstand entlang der Hauptachse der aktuellen Arbeitsebene, die für den Suchbereich verwendet wird. Wird der INNENRADIUS angezeigt, stellt dieser Wert den Innenradius des Suchbereichs dar. PC-DMIS schlägt gültige Werte zur Auswahl vor.

BREITE / AUSSENRADIUS = Diese Abstandswerte können bearbeitet werden. Wenn die BREITE angezeigt wird, steht dieser Wert für den Abstand entlang der Nebenachse der aktuellen Arbeitsebene, die für den Suchbereich verwendet wird. Wird der AUSSENRADIUS angezeigt, stellt dieser Wert den Außenradius des Suchbereichs dar. PC-DMIS schlägt gültige Werte zur Auswahl vor.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen eines Extrempunkts

Dieses Element ist unmittelbar von der aktuellen Arbeitsebene abhängig. Der Extrempunkt wird durch die Arbeitsebene bestimmt, die gegenwärtig in der Arbeitsebenenliste angezeigt wird.

So finden Sie den Extrempunkt: Die Bildschirmdarstellungen zeigen einen beispielhaften Extrempunkt-Vorgang:

  1. Öffnen Sie das Auto Element-Dialogfeld Extrempunkt (Einfügen | Element | Auto | Punkt | Extrem). Menü-Übersicht anzeigen

  2. Überprüfen Sie, ob die korrekte Arbeitsebene in der Liste Arbeitsebene angezeigt wird. Wenn Sie beispielsweise den Extrempunkt in der X+-Ebene finden wollen, hätten Sie X+ in der Symbolleiste Einstellungen wählen müssen.

  3. Nehmen Sie einen Messpunkt am Werkstück auf. PC-DMIS stellt den Vektor des ausgewählten Punkts auf dem Bildschirm dar und zeigt die Daten im Dialogfeld an. Weitere Methoden zum Erstellen dieses ersten Mittelpunkts finden Sie unter den nachstehend aufgelisteten Themen.

  4. Legen Sie einen Suchbereich fest. Wählen Sie einen Suchmodus aus (entweder Feldmodus oder Kreismodus) und legen Sie den Suchbereich fest, indem Sie die Werte in die Felder Breite und Länge oder Innenrad. und Außenrad. eingeben. Im Feldmodus verteilt PC-DMIS die Werte gleichmäßig um den ersten Mittelpunkt.

  5. Drücken Sie die TABULATORTASTE. PC-DMIS zeigt den Suchbereich (als kreisförmiges Band oder Rechteck) auf der Arbeitsebene Ihres Werkstückmodells an.

  6. Bestimmen Sie ein Inkrement für den Start der Suche, indem Sie im Feld Schrittweiteeinen Wert eingeben. Dies bestimmt den ersten Abstand um den Anfangspunkt herum, in dem gesucht werden soll.

  7. Geben Sie im Feld Toleranz einen Wert ein. Dieser Toleranzwert sollte stets unter dem Wert der Schrittweite liegen.

  8. Klicken Sie auf Erzeugen, um den Extrempunkt zu erstellen. Der Wert im Bearbeitungsfenster ist nicht der Extrempunkt.

  • Wenn das Kontrollkästchen Messen nicht aktiviert ist und die Schaltfläche Erzeugen gewählt wird, wird das Extrempunktelement erstellt, und im Bearbeitungsfenster werden die ursprünglichen Suchparameter angezeigt. Diese Werte bleiben aktuell, bis das Element ausgeführt wird.

  • Wenn das Kontrollkästchen Messen bei Auswahl der Schaltfläche Erzeugen aktiviert ist, führt PC-DMIS den Suchvorgang zur Ermittlung des Extrempunkts aus. Nach Abschluss der Suche wird der tatsächliche Extrempunkt im Bearbeitungsfenster angezeigt.

  9. Führen Sie die Funktion aus. PC-DMIS misst den erzeugten Punkt und sucht dann anhand des folgenden Verfahrens nach dem Extrempunkt: Wird ein weiterer Punkt gefunden, der in der aktuellen Arbeitsebene höher liegt, wird der neue Punkt zum aktuellen Suchpunkt. Dies wird fortgesetzt, bis kein weiterer Punkt innerhalb des angegebenen Inkrementwerts gefunden wird. Der Inkrementwert wird dann automatisch verringert, um Punkte zu suchen, die eventuell näher liegen könnten als das ursprünglich angegebene Inkrement. Der Inkrementwert wird so lange verringert, bis er kleiner als oder gleich dem angegebenen Toleranzwert ist. Das bedeutet dann, dass der höchste Punkt in der aktuellen Arbeitsebene gefunden wurde. Je nach Rechnergeschwindigkeit könnte es einige Minuten dauern, bis der Extrempunkt gefunden wird.

  10. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus. Sehen Sie sich den Wert ZIEL/ an. Dieser Wert wurde aktualisiert, um die XYZIJK-Werte für den höchsten Punkt im Suchbereich anzuzeigen.

Wenn Sie sich nicht sicher sind, welche Werte für Inkrement, Toleranz , Breite/Länge und Innen-/Außenradius anzugeben sind, macht PC-DMIS automatisch gültige Vorschläge für diese Werte, nachdem Sie den Startpunkt und Suchmittelpunkt definiert haben.

PC-DMIS bietet mehrere Methoden zur Definition des Mittelpunkts eines Suchbereichs für einen Extrempunkt mit Hilfe der Option Auto. Diese Methoden werden unter den folgenden Themen beschrieben:

  • Lernprogramm "Extrempunkt"

  • Weitere Extrempunkt-Suchverfahren

  • Verwenden von Eingabedaten für einen Extrempunkt

  • Verwenden von KMG-Flächendaten für einen Extrempunkt

  • Angabe der Flächendaten für einen Extrempunkt auf dem Bildschirm

  • Bestimmung eines Extrempunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Sie können die Maus nicht im Grafikfenster benutzen, wenn keine CAD-Daten mit Oberflächeninformationen zur Verfügung stehen.


Lernprogramm "Extrempunkt"

Dieses Offline-Lernprogramm zeigt, wie die Registerkarte Extrempunkt für die Suche nach dem Extrempunkt eines auf der Z+-Ansicht eines abgeschrägten Werkstücks definierten Suchbereichs verwendet wird:

Dieses Lernprogramm verwendet das TAPE10A.IGS-Modell. Sie können hierfür auch jedes Modell mit einer Abschrägung oder Kurve auf der Z+-Oberfläche verwenden.

Gedrehte Y+-Ansicht der Abschrägung (rot hervorgehoben).

Schritt 1. Wählen Sie die zu verwendende Arbeitsebene. Stellen Sie für dieses Lernprogramm sicher, dass ZPLUS in der Symbolleiste Einstellungen gewählt wurde.

Schritt 2. Stellen Sie sicher, dass sich das Programm im "Flächenmodus" befindet.

Schritt 3. Öffnen Sie das Auto Element-Dialogfeld Extrempunkt (Einfügen | Element | Auto | Punkt | Extrem). Menü-Übersicht anzeigen

Schritt 4. Klicken Sie auf die Z+-Ebene im Grafikfenster des CAD-Modells, um den ersten Mittelpunkt für den Suchbereich zu erzeugen. Der Vektor für diesen Punkt wird als farbiger Pfeil dargestellt:

Mittelpunkt für den Extrempunkt

Schritt 5. Wählen Sie auf der Registerkarte Extrempunkt Feldmodus aus. Geben Sie in das Feld Breite die Zahl 3 ein. Geben Sie in das Feld Länge die Zahl 125 ein. Drücken Sie die TABULATORTASTE. In Ihrem Grafikfenster wird ein dünner rechteckiger Suchbereich angezeigt, der etwa so aussieht:

Suchbereich in der Y+-Ansicht.

Suchbereich in der Z+-Ansicht.

Schritt 6. Beachten Sie bitte, dass PC-DMIS die Längen- und Breitenwerte gleichmäßig um den Mittelpunkt verteilt.

Schritt 7. Geben Sie im Feld Inkrement die Zahl 2 ein, im Feld Toleranz die Zahl 0.25 ein und klicken Sie dann auf Erzeugen. PC-DMIS erzeugt den ersten Extrempunkt, der als PNT1 dargestellt wird.

Schritt 8. Versetzen Sie PC-DMIS in den Übersichtsmodus und klicken Sie das Pluszeichen (+) für den Extrempunkt an. Erweitern Sie die Info-Felder für Ist-Werte und Ziel. Dieser könnte folgendermaßen lauten:

Beachten Sie bitte, dass hier nur die XYZ- und IJK-Daten des zur Definition des Suchbereichs verwendeten Mittelpunkts angezeigt werden. PC-DMIS hat noch nicht mit der Suche nach dem Extrempunkt begonnen; die Suche erfolgt während der Programmausführung.

Schritt 9. Markieren Sie nun das Extrempunktelement und führen Sie das Werkstückprogramm aus.

Standardmäßig weist der Startpunkt denselben Wert auf wie der Mittelpunkt. Sie können den Startpunkt ändern, indem Sie die XYZ-Position des Extrempunktelements ändern oder indem Sie das CAD-Modell erneut anklicken.

· PC-DMIS wird am Anfangspunkt mit der Suche beginnen.

· PC-DMIS wird in dem durch den Wert der Schrittwerte vorgegebenen Abstand acht Stichprobenpunkte um den Anfangspunkt herum aufnehmen.

· Wird ein höherer Punkt gefunden, wird dieser Punkt der neue Anfangspunkt und PC-DMIS nimmt abermals acht Stichprobenpunkte um diesen Punkt herum auf. Dies wird fortgesetzt, bis kein höherer Punkt innerhalb des Abstands der Schrittweite gefunden wird.

· PC-DMIS wird weitere Stichprobenpunkte aufnehmen und den Wert der Schrittweite solange verringern, bis er dem Toleranzwert entspricht und die Suche nach dem Extrempunkt damit abgeschlossen ist.

Während der Ausführung bewegt sich der Taster langsam auf der Schräge nach oben, um den höchsten Punkt (Extrempunkt) innerhalb des Suchbereichs zu finden.

Nach Beendigung der Suche zeigt PC-DMIS den neuen Extrempunktwert am CAD-Modell selbst an, indem die PNT1-ID auf die vorgefundene Extrempunktlage im Suchbereich bewegt wird.

Der neue Extrempunkt wurde gefunden

Schritt 10. Versetzen Sie PC-DMIS in den Übersichtsmodus und erweitern Sie die Werte für den Auto-Extrempunkt. Erweitern Sie die Ist-Werte-Strukturansicht und sehen Sie sich die XYZ-Werte für den vorgefundenen Extrempunkt an:

Die XYZ- Ist-Werte haben sich geändert, um den Extrempunktwiederzugeben.


Weitere Extrempunkt-Suchverfahren

Sie können das Extrempunkt-Verfahren anwenden, um andere nützliche Suchverfahren durchzuführen. Diese Felder werden im folgenden erläutert:

Niedrigpunktsuche: | Angenommen, Sie haben eine aus Erhebungen und Vertiefungen bestehende Z+-Oberfläche. Um den niedrigsten Punkt in einem "Tal" zu finden, wählen Sie einfach den Wert Z- in der Symbolleiste Einstellungen und suchen Sie den Extrempunktwert auf der Oberfläche Z+.
Liniensuche: | Wenn Sie im Feldmodus für die Linienlänge entweder einen Wert für die Länge oder für die Breite eingeben und dann 0 für den anderen Wert eingeben, wird PC-DMIS eine Suche entlang einer Linie starten.
Suche in einem Kreisbreich: | Wenn im Kreismodus einer der Radien auf Null gesetzt ist, wird ein kreisförmiger Bereich durchsucht.
Suche in einem kreisförmigen Band: | Wenn im Kreismodus einer der Radien größer als der andere ist, wird ein kreisförmiges Band durchsucht und der Bereich in der Mitte ignoriert.
Den Kreisumfang durchsuchen: | Wenn beide Radien im Kreismodus denselben Wert aufweisen, wird nur der Kreisumfang durchsucht.


Verwenden von Eingabedaten für einen Extrempunkt

Mit dieser Methode können Sie durch Angabe der Werte X, Y und Z die Mitte des Suchbereichs eingeben (d. h. die Mitte des Feldes oder des Kreises bzw. der Kreise). Darüber hinaus können Sie hier auch den Anfangspunkt und den dazugehörigen Antastvektor definieren, indem Sie die Werte für X, Y, Z, I, J und K eingeben.


Verwenden von KMG-Oberflächendaten für einen Extrempunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So bestimmen Sie den Suchbereich für den Extrempunkt mit dem KMG:

  • Berühren Sie die gewünschte Oberfläche des Werkstücks mit dem Taster. Damit werden die Mitte des Suchbereichs und der Anfangspunkt auf denselben Wert gesetzt.

  • Wenn Sie einen anderen Suchmittelpunkt wünschen, berühren Sie die gewünschte Oberfläche noch einmal mit dem Taster. Dadurch wird ein neuer Mittelpunkt für den Suchbereich definiert.

Wird ein weiterer Punkt mit dem Taster aufgenommen, wird die Position des Startpunkts und Antastvektors verändert. Jede darauffolgende Aufnahme eines Punkts verändert abwechselnd den Suchmittelpunkt und den Startpunkt. Bei jeder Punktaufnahme auf der Oberfläche des Werkstücks mit dem Taster bestimmt PC-DMIS die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die am Oberflächenmodell erfassten Daten werden dann zur Definition des Start- und Suchmittelpunkts verwendet.


Angabe der Oberflächendaten für einen Extrempunkt auf dem Bildschirm

So definieren Sie den Suchbereich für den Extrempunkt mit Hilfe von Oberflächendaten:

  1. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Anfangspunkts (auf der Oberfläche) zu bestimmen.

  2. Klicken Sie mit der linken Maustaste. PC-DMIS markiert die ausgewählte Oberfläche.

  3. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

PC-DMIS durchstößt die markierte Oberfläche und zeigt Position und Vektor des ausgewählten Punkts an. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Beim ersten Klicken auf die Oberfläche wird der Mittelpunkt des Suchbereichs auf denselben Wert wie der Anfangspunkt gesetzt. Wenn Sie einen anderen Suchmittelpunkt verwenden wollen, setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Suchmittelpunkts anzuzeigen, und klicken Sie erneut mit der linken Maustaste. Durch jeden weiteren Klick mit der linken Maustaste wird abwechselnd der Suchmittelpunkt und der Anfangspunkt verändert.


Bestimmung eines Extrempunkts ohne Zuhilfenahme von CAD-Daten

Soll der Suchbereich für den Extrempunkt ohne Verwendung von CAD-Daten erzeugt werden, bestimmt der erste aufgenommene Messpunkt die Nennwerte X, Y und Z für den Anfangspunkt und den Suchmittelpunkt. Außerdem zeigt PC-DMIS den Antastvektor I, J, K für diesen Messpunkt an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Wenn Sie einen neuen Anfangspunkt definieren wollen, nehmen Sie an der gewünschten Mittelpunktposition einen Punkt mit dem Taster auf. Durch aufeinanderfolgende Punktaufnahmen werden der Anfangspunkt und der Suchmittelpunkt im Wechsel verändert.


Erstellen eines Auto Flächenpunkts

Oberflächenpunkt (Dialogfeld)

Mit der Messoption "Flächenpunkt" können Sie eine Nennpunktposition sowie die theoretische Antastrichtung definieren, mit der das KMG den definierten Punkt messen soll. Mit PC-DMIS können Sie nicht nur die Anzahl der Punkte bestimmen, die für das Messen einer Ebene um die Nennpunktposition verwendet werden sollen, sondern auch die Größe der Ebene festlegen. Wenn die Ebene gemessen worden ist, verwendet PC-DMIS den berechneten senkrechten Oberflächenvektor der Ebene, um sich der Nennpunktposition für die Messung zu nähern.

Hinweis: Die zulässige Anzahl der Stützpunkte, die zum Messen eines Flächenpunkts erforderlich sind, ist null oder drei.

Um auf die Option Flächenpunkt zuzugreifen, öffnen Sie das Auto Element-Dialogfeld Oberflächenpunkt (Einfügen | Element | Auto | Punkt | Oberfläche). Menü-Übersicht anzeigen

Siehe auch:

Flächenpunkt-Felddefinitionen

Messen eines Flächenpunkts


Flächenpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Flächenpunkt lautet wie folgt:
E_ID=AUTO/OBERFLÄCHENPUNKT, ALLEPARAMANZEIGEN = JA/NEIN, ZEIGE_MESSP.= NEIN
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG, EINRASTEN = JA/NEIN
AUTO BEWEGEN = JA/NEIN, ABSTAND = n, RMESS = Keine,
ANFANGS = n, STÄNDIG = n, RADIUS = n

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS die Felder THEO_STÄRKE, KART/POLAR, EINRASTEN, AUTO BEWEGEN, ABSTAND, RMESS, ANFANGS, STÄNDIG und RADIUS anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

EINRASTEN = Mit dieser Umschaltoption (JA/NEIN) können Sie angeben, ob PC-DMIS auf dem theoretischen Antastvektor "einrasten" soll, um KMG-Positionsfehler zu vermeiden.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

ANFANGS / STÄNDIG = Diese Felder können bearbeitet oder umgeschaltet werden. Gültige Werte sind null und drei.

RADIUS = Bei diesem Wert handelt es sich um einen veränderbaren, nicht negativen Abstand.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Erweiterte Flächenpunkt-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster mit den erweiterten Optionen für dieses Element sieht wie folgt aus:
E_ID=AUTO/OBERFLÄCHENPUNKT, ALLEPARAMANZEIGEN = JA/NEIN, THEO_STÄRKE = n, TOG, EINRASTEN = JA/NEIN
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
? AUTO BEWEGEN = JA/NEIN, ABSTAND = n, RMESS = keine
ANFANGS = n, STÄNDIG = n, RADIUS = n
NENNACHSE SUCHEN = x, PROTOKOLLVEK = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

PROTOKOLLVEK = Hier wird der Vektor angegeben, der zur Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.

NENNACHSE SUCHEN = Hierbei handelt es sich um eine Umschaltoption, mit der die X-ACHSE, Y-ACHSE, Z-ACHSE oder der VEK (VEKTOR) gesucht werden können. Ist diese Option auf KEINE gesetzt, wird die Nennachse nicht gesucht.

Weitere Informationen zu den standardmäßigen Flächenpunkt-Felddefinitionen finden Sie unter "Flächenpunkt-Felddefinitionen".


Messen eines Flächenpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Flächenpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Verwenden von Eingabedaten für einen Flächenpunkt

  • Verwenden von KMG-Flächendaten für einen Flächenpunkt

  • Angabe der Flächendaten für einen Flächenpunkt auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für einen Flächenpunkt

  • Angabe der Drahtmodelldaten für einen Flächenpunkt auf dem Bildschirm

  • Bestimmung eines Flächenpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für einen Oberflächenpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Oberflächenpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Oberflächenpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein.

Um einen Oberflächenpunkt anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie die gewünschte Oberfläche des Werkstücks mit dem Taster. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

  • Wenn der Berührungspunkt tatsächlich in der Nähe der Oberflächendaten liegt und das Kontrollkästchen Messwert nicht markiert ist, wird das Punktelement erstellt und sofort zum Bearbeitungsfenster hinzugefügt.

  • Wenn der Berührungspunkt in der Nähe der Oberflächendaten liegt und das Kontrollkästchen Messen markiert ist, werden die Oberflächendaten zwar noch benutzt, das Element jedoch erst bei Auswahl der Schaltfläche Erzeugen erstellt.

  • Liegt der Berührungspunkt nicht in der Nähe der Oberflächendaten, behandelt PC-DMIS die Berührung als tatsächlichen Messpunkt und zeigt die Messpunktposition und den Antastvektor an.

  • Wird ein zweiter Messpunkt aufgenommen, bevor auf die Schaltfläche Erzeugen geklickt wird, werden die Positionsdaten des zweiten Messpunkts verwendet.

  • Wenn ein dritter Messpunkt aufgenommen wird, werden die drei Messpunkte zur Bestimmung eines Antastvektors verwendet. Die Position wird auf der Grundlage des letzten Messpunkts bestimmt.

  • Werden mehr als drei Messpunkte aufgenommen, werden alle Messpunkte außer dem zuletzt aufgenommenen verwendet, um den Antastvektor zu bestimmen. Der zuletzt aufgenommene Messpunkt dient immer zur Positionsbestimmung.

Hinweis: Die Option NW-Suche sollte bei dieser Messmethode aktiviert sein. Weitere Informationen über den Modus NW-Suche finden Sie unter "Liste 'Modus'".


Angabe der Oberflächendaten für einen Oberflächenpunkt auf dem Bildschirm

So generieren Sie einen Oberflächenpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Punkts (auf der Oberfläche) zu bestimmen.

  3. Klicken Sie mit der linken Maustaste. PC-DMIS markiert die ausgewählte Oberfläche.

  4. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

PC-DMIS durchstößt die markierte Oberfläche und zeigt Position und Vektor des ausgewählten Punkts an. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.


Verwenden von KMG-Drahtmodelldaten für einen Oberflächenpunkt

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So erstellen Sie den Oberflächenpunkt mit Drahtmodell-CAD-Daten:

  • Der zuerst aufgenommene Messpunkt gibt die Nennwerte X, Y und Z an. PC-DMIS zeigt auch den Vektor I, J, K an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Messpunkte anfordern. Durch Aufnahme eines zweiten Messpunkts werden Messpunktposition und Antastvektor anhand des neuesten Messpunkts aktualisiert.

  • Bei Aufnahme eines dritten Messpunkts wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Messpunkts geändert. PC-DMIS erstellt aus den drei Messpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.

  • Durch die Aufnahme weiterer Messpunkte wird die Messpunktposition anhand der neuesten Messpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so dass er einen Durchschnittswert aller bisherigen Messpunkte für den Oberflächenpunkt darstellt (wobei der neueste Messpunkt jedoch nicht berücksichtigt wird).

Sie können die angezeigten Daten jederzeit nach Aufnahme des ersten, zweiten oder dritten Messpunkts übernehmen. Auch wenn der dritte Messpunkt nicht übernommen wird, setzt PC-DMIS das System intern zurück, so dass der nächste (vierte) Messpunkt der erste Messpunkt einer Messpunktserie wird.


Angabe der Drahtmodelldaten für einen Oberflächenpunkt auf dem Bildschirm

So generieren Sie einen Oberflächenpunkt mit Drahtmodell-CAD-Daten:

  1. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der der Zielpunkt liegen soll, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken. (Diese Drähte sollten sich auf derselben Oberfläche befinden.) PC-DMIS markiert die ausgewählten Drähte.

  2. Vergewissern Sie sich, dass die richtigen Drähte ausgewählt wurden. Ein Meldungsfeld wird angezeigt.

  3. Wählen Sie den Zielpunkt auf der erstellten Oberfläche aus. Diese zuletzt getroffene Auswahl wird auf die Ebene projiziert, die von den beiden Drahtvektoren und der Höhe des ersten Drahts gebildet wird.


Bestimmung eines Oberflächenpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie den Oberflächenpunkt, ohne CAD-Daten zu verwenden:

  • Der zuerst aufgenommene Messpunkt gibt die Nennwerte X, Y und Z an. PC-DMIS zeigt auch den Vektor I, J, K an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Messpunkte anfordern.

  • Durch Aufnahme eines zweiten Messpunkts werden Messpunktposition und Antastvektor anhand des neuesten Messpunkts aktualisiert.

  • Bei Aufnahme eines dritten Messpunkts auf der Oberfläche wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Messpunkts geändert. PC-DMIS erstellt aus den drei Messpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.

  • Durch die Aufnahme weiterer Messpunkte wird die Messpunktposition anhand der neuesten Messpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so dass er einen Durchschnittswert aller bisherigen Messpunkte für den Oberflächenpunkt darstellt (wobei der neueste Messpunkt jedoch nicht berücksichtigt wird).


Erstellen eines Auto Rechtecklochs

Rechteckloch (Dialogfeld)

Mit der Option "Rechteckloch" können Sie eine Rechtecklochmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht erst eine Serie von Geraden messen und Schnitt- und Mittelpunkte daraus erstellen wollen. Für die Messung von Rechtecklöchern sind fünf Messpunkte erforderlich ( oder sechs Messpunkte, fall Sie das Kontrollkästchen Breite messen auswählen).

Messung eines Rechtecklochs mit fünf Messpunkten

Messung eines Rechtecklochs mit sechs Messpunkten

Um auf die Option Rechteckloch zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Rechteckloch). Menü-Übersicht anzeigen

Siehe auch:

Rechteckloch-Felddefinitionen

Messen eines Rechtecklochs


Rechteckloch-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Rechteckloch lautet wie folgt:
E_ID=AUTO/RECHTECKLOCH, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,TDURCHM,TLÄNGE,THÖHE,TWINKI,TWINKJ,TWINKK
MESS/ X,Y,Z,I,J,K,DURCHM,LÄNGE,HÖHE,WINKI,WINKJ,WINKK
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK, ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1,TOG2,
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine, POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N
ANFANGS = n, STÄNDIG = n, ABSTAND = n, TIEFE = n
BREITE MINMAX = NORM, RADIUS = n

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Rechtecklochs verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, ANFANGS, STÄNDIG, ABSTAND, TIEFE, BREITE MINMAX und RADIUS anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Rechtecklochs aufgrund der Tasterposition bei der Aufnahme des Messpunkts.

TOG3 = Dieses Feld kann zwischen NORMAL und BOLZEN umgeschaltet werden und gibt den Typ des Langlochs an, das gemessen wird.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

LOCH_SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Messgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Messwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANFANGS / STÄNDIG = Diese Werte können bearbeitet oder umgeschaltet werden. Gültige Werte sind null, eins und drei (0, 1, 3).

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

BREITE MINMAX = Dieses Feld kann zwischen MAXMIN und NORM umgeschaltet werden und gibt an, wie PC-DMIS das Langloch misst.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".

Siehe auch:

Erweiterte Rechteckloch-Felddefinitionen


Erweiterte Rechteckloch-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster für diese Option sieht unter Verwendung der erweiterten Optionen wie folgt aus:
E_ID=AUTO/RECHTECKLOCH, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK,TDURCHM,TLÄNGE,THÖHE,x
MESS/ X,Y,Z,I,J, DURCHM,LÄNGE,HÖHE,x
ZIEL/Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K,x
THEO_STÄRKE = n, TOG1, TOG2,TOG3
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N
ANFANGS = n, STÄNDIG = n, ABSTAND = n, TIEFE = n
BREITE MINMAX = NORM, RADIUS = n
STANZUNG = I,J,K, STIFT = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

STANZUNG = Dieses Feld zeigt die Stanzrichtung durch das Blech an. Der darin enthaltene Wert kann bearbeitet werden.

STIFT = Dieses Feld zeigt die Richtung an, in der der Punkt durch das gestanzte Loch verläuft.

Weitere Informationen zu den standardmäßigen Rechteckloch-Felddefinitionen finden Sie unter "Rechteckloch-Felddefinitionen".


Messen eines Rechtecklochs

PC-DMIS bietet mehrere Methoden zum Messen eines Rechtecklochs mit der Blechoption, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für ein Rechteckloch

  • Verwenden von KMG-Flächendaten für ein Rechteckloch

  • Angabe der Flächendaten für ein Rechteckloch auf dem Bildschirm

  • Verwenden von KMG-Drahtmodelldaten für ein Rechteckloch

  • Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

  • Bestimmung eines Rechtecklochs ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für ein Rechteckloch

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für das Rechteckloch eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für ein Rechteckloch

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie eine Rechtecklochmessung anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie die Längsseite des Lochs zweimal mit dem Taster.

  2. Berühren Sie das Werkstück auf der Breitseite des Rechtecklochs.

  3. Führen Sie den Taster um das Rechteckloch, und berühren Sie die nächste Längsseite.

  4. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Angabe der Oberflächendaten für ein Rechteckloch auf dem Bildschirm

So generieren Sie ein Rechteckloch mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Nehmen Sie mit dem animierten Taster zwei Messpunkte auf der Längsseite des Rechtecklochs auf. PC-DMIS markiert die ausgewählte Linie.

  3. Vergewissern Sie sich, dass die richtige Seite gewählt ist.

  4. Berühren Sie die Abbildung auf einer der Breitseiten des Rechtecklochs.

  5. Führen Sie den Taster um das Rechteckloch, und berühren Sie die nächste Längsseite.

  6. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Verwenden von KMG-Drahtmodelldaten für ein Rechteckloch

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie eine Rechtecklochmessung anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie die Längsseite des Lochs zweimal mit dem Taster.

  2. Berühren Sie das Werkstück auf der Breitseite des Rechtecklochs.

  3. Führen Sie den Taster um das Rechteckloch und berühren Sie die nächste Längsseite.

  4. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

So generieren Sie ein Rechteckloch mit Hilfe von Drahtmodell-CAD-Daten:

  1. Klicken Sie zweimal in die Nähe des gewünschten Drahtes auf der Längsseite des Rechtecklochs. PC-DMIS markiert den ausgewählten Draht.

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde.

  3. Berühren Sie die Abbildung auf der Breitseite des Rechtecklochs.

  4. Führen Sie den Taster um das Rechteckloch und berühren Sie die zweite Längsseite.

  5. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Bestimmung eines Rechtecklochs ohne Zuhilfenahme von CAD-Daten

So generieren Sie ein Rechteckloch, ohne CAD-Daten zu verwenden:

  1. Ermitteln Sie die zuoberst liegende Oberfläche, indem Sie drei Messpunkte aufnehmen.

  2. Nehmen Sie zwei Messpunkte auf einer der Längsseiten des Rechtecklochs auf.

  3. Nehmen Sie auf jeder der drei übrigen Seiten des Rechtecklochs jeweils einen Messpunkt auf. Gehen Sie dabei im Uhrzeigersinn vor. (Insgesamt müssten Sie nun acht Messpunkte haben.)

Hinweis: Die Messpunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Erstellen eines Auto Zylinders

Zylinder (Dialogfeld)

Mit der Messoption "Zylinder" können Sie eine Zylindermessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn ein gleichmäßiger Messpunktabstand für Teilzylinder erforderlich ist. Für die Messung von Auto Zylindern sind mindestens sechs Messpunkte erforderlich.

Um auf die Option Zylinder zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Zylinder). Menü-Übersicht anzeigen

Siehe auch:

Zylinder-Felddefinitionen

Messen eines Zylinders


Zylinder-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispielzylinder lautet wie folgt:
E_ID=AUTO/ZYLINDER, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE
MESS/ X,Y,Z,I,J,K, DURCHM, LÄNGE
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2,TOG3, TOG4
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, LOCH_SUCHEN = J/N, NEU_MESSEN = J/N, ANZPKTE = n, ANZREIHEN =n, ANFANGS =n, STÄNDIG =n, ABSTAND =n, STEIGUNG =n,
STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKEL VEK = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Zylinders verwendeten Messpunkte anzeigt oder nicht.

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, INNEN/AUSSEN, GERADE, KLEINSTE_QUAD, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, THEO VERW, ANZPKTE, ANZREIHEN, ANFANGS, STÄNDIG, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKEL VEK anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Zylinders aufgrund der Tasterposition bei der Aufnahme des Messpunkts. (Innerhalb eines Zylinders = INNEN, außen um einen Bolzen = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden.

TOG4 = In diesem Feld können Sie eine der folgenden Optionen wählen: KLEINSTE_QUAD, PFERCHKR, HÜLLKR, MINMAX und FESTER_RAD.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar. TDURCHM ist der Nennwert des Durchmessers. TLÄNGE ist die theoretische Länge des Zylinders.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar. DURCHM ist der gemessene Wert des Durchmessers. LÄNGE ist die gemessene Länge des Zylinders.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

LOCH_SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Messgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Messwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als fünf (5) ist.

ANZREIHEN = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als 1 ist.

ANFANGS / STÄNDIG = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

STEIGUNG = Dieser Wert ermöglicht eine größere Genauigkeit für Gewindelöcher und Bolzen.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

WINKEL VEK = Dieses Feld zeigt die Null-Grad-Position am normalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen eines Zylinders

PC-DMIS bietet mehrere Methoden zum Messen eines Zylinders, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für einen Zylinder

  • Verwenden von KMG-Flächendaten für einen Zylinder

  • Angabe der Flächendaten für einen Zylinder auf dem Bildschirm

  • Angabe der Drahtmodelldaten für einen Zylinder auf dem Bildschirm

  • Bestimmung eines Zylinders ohne Zuhilfenahme von CAD-Daten

Bei allen Methoden ist es wichtig, dass der richtige Elementtyp, STANZLOCH oder BOLZEN, ausgewählt wird. Siehe auch die "Optionen "Loch" oder "Bolzen"". Vergewissern Sie sich, dass die richtige Option ausgewählt ist.

Hinweis: Bestimmte Punktmuster (z. B. zwei Reihen von drei Punkten in gleichmäßigen Abständen oder zwei Reihen von vier Punkten in gleichmäßigen Abständen) ergeben verschiedene Methoden zur Messung eines perfekten Zylinders. Der Besteinpassungs-Algorithmus von PC-DMIS wendet möglicherweise eine für Sie unerwartete Lösung zur Messung des Zylinders an. Es wird empfohlen, ein eindeutiges Punktmuster zur Messung von Zylindern zu verwenden.

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Hinweise zur korrekten Einstellung von Zylinder-Parametern


Verwenden von Eingabedaten für einen Zylinder

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Zylinder eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Zylinder

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie einen Zylinder anhand der Oberflächendaten mit dem KMG:

  1. Nehmen Sie drei Messpunkte im Loch (oder am Bolzen) auf.

  2. Setzen Sie den Taster auf eine andere Tiefe

  3. Nehmen Sie drei weitere Messpunkte auf. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

Die angezeigten Werte X, Y, Z geben den nächstgelegenen CAD-Zylinder, nicht die tatsächlichen Messpunkte, wieder. Die Werte I, J, K geben die Oberflächennormale wieder. Wird kein CAD-Zylinder gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.


Angabe der Flächendaten für einen Zylinder auf dem Bildschirm

So generieren Sie einen Zylinder mit Hilfe von Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den Cursor auf eine Stelle außerhalb oder innerhalb des gewünschten Zylinders.

  3. Klicken Sie auf drei Stellen um den Zylinder herum. PC-DMIS markiert den ausgewählten Zylinder. Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Blechzylinders werden im Dialogfeld angezeigt, sobald der sechste Punkt angegeben worden ist.

  4. Legen Sie die Länge des Zylinders fest, indem Sie einen Wert im Feld Höhe eingeben.

  5. Klicken Sie auf die Schaltfläche Erzeugen.


Angabe der Drahtmodelldaten für einen Zylinder auf dem Bildschirm

Ein Zylinder kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie einen Zylinder mit Hilfe von Drahtmodelldaten:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Zylinder. PC-DMIS markiert den ausgewählten Draht.

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde.

Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters. Mittelpunkt und Durchmesser des ausgewählten Zylinders werden im Dialogfeld angezeigt, sobald der Draht bestimmt worden ist.

Hinweis: Wenn das zugrundeliegende CAD-Element weder ein Zylinder, noch ein Kreis noch ein Bogen ist, könnten weitere Mausklicks erforderlich sein, um das Element zu identifizieren. Hebt PC-DMIS nicht das richtige Element hervor, klicken Sie versuchsweise auf mindestens zwei weitere Stellen am Zylinder.


Bestimmung eines Zylinders ohne Zuhilfenahme von CAD-Daten

So generieren Sie einen Zylinder, ohne CAD-Daten zu verwenden:

  1. Nehmen Sie drei Messpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, in der der Zylinder liegt.

  2. Nehmen Sie drei Messpunkte im Loch (oder am Bolzen) auf.

  3. Nehmen Sie drei weitere Messpunkte auf einer anderen Schicht auf.

PC-DMIS berechnet den Blechzylinder anhand aller sechs Messpunkte. Wenn PC-DMIS Schwierigkeiten bei der Bestimmung des Elementtyps hat, hilft es manchmal, einen Messpunkt zwischen den beiden Ebenen aufzunehmen. PC-DMIS verwendet die Daten aus allen Messpunkten, die vor Auswahl der Schaltfläche Erzeugen gemessen werden. Die angezeigten X, Y, Z-Werte geben den berechneten Zylindermittelpunkt bzw. Bolzenmittelpunkt an.


Hinweise zur korrekten Einstellung von Zylinder-Parametern

Um zu verhindern, dass der Taster mit dem Werkstück kollidiert oder ins Leere gelenkt wird, stellen Sie bitte sicher, dass die Auto Zylinder-Parameter beim Messen eines Bolzens richtig eingestellt sind. Beim Messen eines Bolzens oder Stifts geht PC-DMIS davon aus, dass sich der Bolzen aus der Anfangsebene erhebt."Aufwärts" von der gemessenen Anfangsebene bedeutet also positive Werte für Tiefe und Höhe.

Messen von Bolzen, wobei der obere Teil des Bolzens die Anfangsfläche darstellt – Nehmen Sie für dieses Beispiel an, dass Sie drei Messpunkte oben auf dem Bolzen aufgenommen haben, um die Anfangsebene zu definieren.

In diesem Fall müssen Sie für den Zylinder einen negativen Tiefenwert eingeben, sodass sich der Taster entlang des Bolzens nach unten bewegt, wobei er die erste Reihe von vier Messpunkten auf dem Bolzen selbst aufnimmt. Wenn Sie einen positiven Tiefenwert eingegeben hätten, würde PC-DMIS versuchen, den Bolzen oberhalb der Anfangsebene zu suchen und den Taster dort ins Leere zu fahren. Würden Sie also in diesem Beispiel einen Tiefenwert von -0,358 eingeben, würden die ersten vier Messpunkte für den Zylinder -0,358 cm unterhalb der Anfangsebene aufgenommen werden.

Außerdem ist die Angabe des korrekten Höhenwerts für den Bolzen erforderlich. Dies ist der Abstand zur Anfangsebene, an dem die zweite Reihe von vier Messpunkten aufgenommen wird. Da Sie mit der Anfangsebene oben auf dem Bolzen begonnen haben, muss der Höhenwert eine negative Zahl sein. Wenn PC-DMIS die zweite Reihe von Messpunkten 2,54 cm unterhalb der Anfangsebene aufnehmen soll, müssen Sie einen Wert von -2,54 eingeben.

Für den Abstandwert gilt, dass, wenn Sie drei Messpunkte oben auf dem Bolzen für die Anfangsebene aufnehmen und dann drei Messpunkte um den Bolzen herum, Sie für den Abstand einen negativen Wert eingeben müssen, da sich die gemessene Ebene tatsächlich "innerhalb" des Bolzens auf der oberen Fläche befindet. In diesem Fall wird PC-DMIS durch einen Abstandswert von -0,25 angewiesen, den Anfangsmesspunkt 0,25 cm innerhalb der Bolzengrenze auf der Anfangsebene (oben auf dem Bolzen) aufzunehmen.

Messen von Bolzen, wobei die Tischoberfläche die Anfangsfläche darstellt – Nehmen Sie für dieses Beispiel an, dass Sie drei Messpunkte oben auf der Tischoberfläche der Maschine aufgenommen haben, um die Anfangsebene zu definieren.

Da PC-DMIS davon ausgeht, dass sich der Bolzen aus der Anfangsebene erhebt, sind alle Werte für Tiefe, Höhe und Abstand in diesem Fall positiv. Mit einem Tiefenwert, der auf +0,64 cm eingestellt ist, nimmt PC-DMIS die Anfangsreihe von vier Messpunkten 0,64 cm unterhalb der Anfangsebene auf. Außerdem nimmt PC-DMIS bei einer Bolzenhöhe von 3,18 die zweite Reihe von vier Messpunkten 3,18 cm oberhalb der Anfangsebene auf.

Messen von Löchern – Beachten Sie, dass beim Messen von inneren Zylindern (d.h. Löchern) PC-DMIS davon ausgeht, dass sich die Löcher innerhalb der Anfangsfläche befinden. Dies bedeutet, dass positive Werte für Tiefe und Höhe in das Werkstück unterhalb der Anfangsfläche eindringen würden.


Erstellen eines Auto Kegels

Kegel (Dialogfeld)

Mit der Messoption "Kegel" können Sie eine Kegelmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn ein gleichmäßiger Messpunktabstand für Teilkegel erforderlich ist. Für die Messung von Auto Kegeln sind mindestens sechs Messpunkte erforderlich.

Um auf die Option Kegel zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Kegel). Menü-Übersicht anzeigen

Siehe auch:

Kegel-Felddefinitionen

Messen eines Kegels


Kegel-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispielkegel lautet wie folgt:
E_ID=AUTO/KEGEL, ALLEPARAMANZEIGEN = J/N, ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TWINKEL, THÖHE
MESS/ X,Y,Z,I,J,K,DURCHM,WINKEL,HÖHE
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2, TOG3, TOG4, TOG5
BEI_FEHLER = J/N
AUTO BEWEGEN = J/N, ABSTAND = n, RMESS = J/N, POS. LESEN = J/N
ANZPKTE =n, ANZREIHEN =n, ANFANGS =n STÄNDIG =n, ABSTAND =n,
STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKEL VEK = I,J,K

Hinweis: NENN/ stellt die theoretische Messpunktlage dar. MESS/ stellt die tatsächlich gemessene Messpunktlage dar.

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Kegels verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, INNEN/AUSSEN, GERADE, KLEINSTE_QUAD, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, THEO VERW, ANZPKTE, ANZREIHEN, ANFANGS, STÄNDIG, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKEL VEK anzeigt oder nicht.

WINKEL = Dieser Wert zeigt den Winkel des Kegels an.

THÖHE = Dieser Wert zeigt die theoretische Höhe des Kegels an.

HÖHE = Dieser Wert zeigt die gemessene Höhe des Kegels an.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kegels aufgrund der Tasterposition bei der Aufnahme des Messpunkts. (Innerhalb eines Kegels = INNEN, außen um einen Bolzen = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden.

TOG4 = Dieses Feld kann zwischen JA und NEIN für die Option BEI_FEHLER umgeschaltet werden. Siehe "Bei Fehler" für weitere Informationen.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar. TDURCHM ist der Nennwert des Durchmessers.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als fünf (5) ist.

ANZREIHEN = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als 1 ist.

ANFANGS / STÄNDIG = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

WINKEL VEK = Dieses Feld zeigt die Null-Grad-Position am normalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen eines Kegels

PC-DMIS bietet mehrere Methoden zum Messen eines Kegels, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für einen Kegel

  • Verwenden von KMG-Flächendaten für einen Kegel

  • Angabe der Flächendaten für einen Kegel auf dem Bildschirm

  • Angabe der Drahtmodelldaten für einen Kegel auf dem Bildschirm

  • Bestimmung eines Kegels ohne Zuhilfenahme von CAD-Daten

Bei allen Methoden ist es wichtig, dass der richtige Elementtyp, STANZLOCH oder BOLZEN, ausgewählt wird. Siehe auch die "Optionen "Loch" oder "Bolzen"". Vergewissern Sie sich, dass die richtige Option ausgewählt ist.

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für einen Kegel

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Kegel eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für einen Kegel

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

So generieren Sie einen Kegel anhand der Oberflächendaten mit dem KMG:

  1. Nehmen Sie drei Messpunkte im Loch (oder am Bolzen) auf.

  2. Setzen Sie den Taster auf eine andere Tiefe

  3. Nehmen Sie drei weitere Messpunkte auf. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

Die angezeigten Werte X, Y, Z weisen den nächstgelegenen CAD-Kegel, nicht die tatsächlichen Messpunkte, aus. Die Werte I, J, K geben die Oberflächennormale wieder. Wird kein CAD-Kegel gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Messpunkte aufzunehmen.


Angabe der Flächendaten für einen Kegel auf dem Bildschirm

So generieren Sie einen Kegel mit Hilfe von Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den Cursor auf eine Stelle außerhalb oder innerhalb des gewünschten Kegels.

  3. Klicken Sie auf drei Stellen in der Nähe der Hauptkante des Kegels. PC-DMIS markiert den ausgewählten Kegel.

  4. Klicken Sie auf die Oberfläche in der Nähe der gegenüberliegenden Kante des Kegels, um drei weitere Messpunkte aufzunehmen.

Sie müssen mindestens sechs Stellen anklicken, damit PC-DMIS die benötigten Daten für X, Y, Z und I, J, K berechnen kann. Mittelpunkt, Winkel und Durchmesser aus den CAD-Daten des ausgewählten Blechkegels werden im Dialogfeld angezeigt, sobald der sechste Punkt angegeben worden ist.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, errechnet PC-DMIS einen Durchschnitt aller Messpunkte.


Angabe der Drahtmodelldaten für einen Kegel auf dem Bildschirm

Ein Kegel kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie einen Kegel mit Hilfe von Drahtmodelldaten:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Kegel. PC-DMIS markiert den ausgewählten Draht. Auf diese Weise lassen sich Mitte, Oberflächenvektor und Durchmesser des Kegels erfassen.

  2. Klicken Sie auf einen zweiten Draht, der das andere Ende des Kegels darstellt, um den Winkel zu berechnen.

Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters. Mittelpunkt und Durchmesser des ausgewählten Kegels werden im Dialogfeld angezeigt, sobald der Draht bestimmt worden ist.

Hinweis:Wenn das zugrundeliegende CAD-Element weder ein Kegel, noch ein Kreis noch ein Bogen ist, könnten weitere Mausklicks erforderlich sein, um das Element zu identifizieren. Hebt PC-DMIS nicht das richtige Element hervor, klicken Sie versuchsweise auf mindestens zwei weitere Stellen am Kegel.


Bestimmung eines Kegels ohne Zuhilfenahme von CAD-Daten

So generieren Sie einen Kegel ohne Zuhilfenahme von CAD-Daten:

  1. Nehmen Sie drei Messpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, in der der Kegel liegt.

  2. Nehmen Sie drei Messpunkte im Loch (oder am Bolzen) in derselben Schicht auf.

  3. Nehmen Sie mindestens einen Messpunkt auf einer niedrigeren oder höheren Schicht als die ersten drei Messpunkte auf (mit der Aufnahme von bis zu drei Messpunkten erhalten Sie eine genaue Definition des Kegels).


Erstellen einer Auto Kugel

Kugel (Dialogfeld)

Mit der Blechoption "Kugel" können Sie eine Kugelmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn die Kugel auf einer bestimmten Ebene liegt, die nicht parallel zu den Arbeitsebenen verläuft. Mindestens vier Messpunkte sind für das Messen einer Kugel erforderlich.

Um auf die Option Kugel zuzugreifen, öffnen Sie das gleichnamige Auto Element-Dialogfeld (Einfügen | Element | Auto | Kugel). Menü-Übersicht anzeigen

Siehe auch:

Kugel-Felddefinitionen

Messen einer Kugel


Kugel-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters einer Beispielkugel lautet wie folgt:
E_ID=AUTO/KUGEL, ALLEPARAMANZEIGEN = J/N,
ZEIGE_MESSP. = NEIN
NENN/ TX,TY,TZ,TI,TJ,TK TDURCHM
MESS/ X,Y,Z,I,J,K, DURCHM
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
STÄRKE = n, TOG1, TOG2
AUTO BEWEGEN = J/N, ABSTAND = n
ANZPKTE =n, ANZREIHEN =n, ANFANGS =n, STÄNDIG =n, ABSTAND =n
STARTWINKEL1 = n, ENDWINKEL1 = n
STARTWINKEL2 = n, ENDWINKEL2 = n
WINKELVEK = I,J,K

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen der Kugel verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTO BEWEGEN, ABSTAND, ANZPKTE, ANZREIHEN, ANFANGS, STÄNDIG, ABSTAND, STARTWINKEL1, STARTWINKEL2, ENDWINKEL1, ENDWINKEL2 und WINKEL VEK anzeigt oder nicht.

STÄRKE = Dieser Wert gibt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ der gemessenen Kugel aufgrund der Tasterposition bei der Aufnahme des Messpunkts.

NENN/ = Dieser Wert stellt den theoretischen Messpunkt dar. TDURCHM ist der Nennwert des Durchmessers.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als drei (3) ist.

ANZREIHEN = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als 1 ist.

ANFANGS / STÄNDIG = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND = Bei diesem Wert handelt es sich um einen veränderbaren Abstand.

START- / ENDWINKEL1 = Diese Werte können bearbeitet werden. Sie bezeichnen die Start- und Endwinkel für die Kugel.

START- / ENDWINKEL2 = Diese veränderbaren Werte bezeichnen den Teil des Bogens, der vermessen werden soll.

WINKEL VEK = Dieses Feld zeigt die Null-Grad-Position am normalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen einer Kugel

PC-DMIS bietet mehrere Methoden zum Messen einer Kugel mit der Blechoption, die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für eine Kugel

  • Verwenden von KMG-Flächendaten für eine Kugel

  • Angabe der Flächendaten für eine Kugel auf dem Bildschirm

  • Angabe der Drahtmodelldaten für eine Kugel auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Verwenden von Eingabedaten für eine Kugel

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für die Kugel eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


Verwenden von KMG-Oberflächendaten für eine Kugel

Die Option "NW-Suche" sollte bei dieser Messmethode EINgeschaltet sein. Weitere Informationen zum Modus Nennwerte suchen finden Sie unter "Liste 'Modus'".

Um eine Kugel anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie die Kugel mit dem Taster an vier Stellen.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, sucht PC-DMIS die optimale Kugel in der Nähe der gemessenen Punkte.


Angabe der Oberflächendaten für eine Kugel auf dem Bildschirm

So generieren Sie eine Kugel mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Kugel zu bestimmen.

  3. Klicken Sie mit der linken Maustaste.

  4. Nehmen Sie mindestens zwei weitere Messpunkte auf der Kugel auf.

Die Werte des ausgewählten Kugelpunkts und –vektors werden im Dialogfeld angezeigt, sobald die Punkte markiert worden sind.


Angabe der Drahtmodelldaten für eine Kugel auf dem Bildschirm

So generieren Sie eine Kugel mit Hilfe von Drahtmodell-CAD-Daten:

  1. Wählen Sie die zu messende Kugel aus. PC-DMIS markiert die ausgewählte Kugel, sofern diese verfügbar ist. (Wird ein anderes Element ausgewählt, nehmen Sie versuchsweise zwei weitere Messpunkte auf.)

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde.

Im Dialogfeld werden der Wert der ausgewählten CNC-Kugel und des Vektors angezeigt, sobald die Kugel bestimmt worden ist.


Erstellen eines Auto Vielecks

Vieleck (Dialogfeld)

Mit dem Dialogfeld Vieleck können Sie ein Auto Vieleck-Element definieren und in Ihr Werkstückprogramm einfügen. Ein Vieleck ist ein beliebiges Element, bestehend aus drei oder mehreren Seiten gleichen Abstands. Sechseck- und Achteckformen sind beispielsweise Vieleck-Elemente. Dieses Auto Element wird vorwiegend zum Messen von Schrauben und Muttern eingesetzt.

Um eine Polygonoption zu definieren und einzufügen, greifen Sie auf das Auto Element-Dialogfeld Vieleck zu (Einfügen | Element | Auto | Vieleck). Menü-Übersicht anzeigen

Siehe auch:

Vieleck-Felddefinitionen

Messen eines Vielecks


Vieleck-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters eines Beispielvielecks lautet wie folgt:

POL1 =AUTO/VIELECK,ALLEPARAMANZEIGEN = J/N,ZEIGE_MESSP. = J/N

NENN/TX,TY,TZ,TI,TJ,TK,TDURCHM,THÖHE,TWINKELI,TWINKELJ,TWINKELK

MESS/X,Y,Z,I,J,K,DURCHM,HÖHE,WINKELI,WINKELJ,WINKELK

ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK,ZielWinkelI,ZielWinkelJ,ZielWinkelK

THEO_STÄRKE = n,TOG1,TOG2,TOG3,BEI_FEHLER=J/N,$

AUTO BEWEGEN = J/N,ABSTAND = n, ,RMESS = Keine,Keine,Keine,$

POS. LESEN = J/N,LOCH_SUCHEN = J/N,NEU_MESSEN = J/N,$

ANZPKTE = n,ANZSEITEN = n,RADIUS = n,ANFANGS = n,STÄNDIG = n,ABSTAND = n,$

MESS/VIELECK

ENDEMESS/

ALLEPARAMANZEIGEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, KLEINSTE_QUAD, AUTO BEWEGEN, ABSTAND, RMESS, POS. LESEN, LOCH_SUCHEN, NEU_MESSEN, ANZPKTE, ANFANGS, STÄNDIG, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKEL VEK anzeigt oder nicht.

ZEIGE_MESSP. = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Kreises verwendeten Messpunkte anzeigt oder nicht.

Wenn Sie von DMIS Messpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Messpunkts manuell ändern, werden die Messpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretischen Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Messpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Messpunktdaten und zeichnet die Messpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZPKTE", "WINKEL VEK", "DURCHM", "LÄNGE", "BREITE", "HÖHE", "INNENAUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

NENN/ = Dieser Wert stellt den theoretischen Mittelpunkt und Vektordaten für das Element dar. TDURCHM ist der Nennwert des Durchmessers. Für Vielecke mit einer geraden Anzahl von Seiten ist der Durchmesser der Abstand zwischen zwei gegenüberliegenden Seiten. Bei anderen Vielecken, wie dem gleichseitigen Dreieck, ist der Durchmesser doppelt so lang wie der Radius des größten Kreises, der innerhalb des Vielecks einbeschrieben werden kann.

MESS/ = Dieser Wert stellt den gemessenen Mittelpunkt und Vektordaten für das Element dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

STÄRKE = Dieser Wert kann bearbeitet werden. Er zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kreises auf Basis der Tasterposition bei der Aufnahme des Messpunkts. (Innerhalb eines Kreises = INNEN, außerhalb eines Bolzens = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden. Es gibt die Art der Bewegung an, die PC-DMIS bei der Ausführung dieses Elements einsetzt.

BEI_FEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Messpunkt ermittelt.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem Auto Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

LOCH_SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Messgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, dass kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, dass ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Messwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als oder gleich 1 ist. Er gibt an, wie viele Messpunkte PC-DMIS auf jeder Seite aufnimmt. Beachten Sie jedoch, dass PC-DMIS stets zwei oder mehr Messpunkte auf der allerersten Seite aufnimmt, um den Winkelvektor des Elements zu bestimmen.

ANZSEITEN = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als oder gleich 3 ist. Er gibt an, aus wie vielen Seiten das Vieleck besteht.

RADIUS = Dieser veränderbare Wert definiert einen Radius für jede Ecke im Vieleck. Bei der Aufnahme von Messpunkten fährt PC-DMIS um diesen Wert entlang der Seite, bevor Messpunkte aufgenommen werden. Dadurch wird vermieden, dass die Messpunkte direkt in der Ecke aufgenommen werden.

ANFANGS / STÄNDIG = Diese Werte sind veränderbare Felder, die jeden Anfangs- und ständigen Stützpunkt definieren.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

Allgemeine Richtlinien zum Messen aller Auto Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'".


Messen eines Vielecks

So erstellen Sie ein Auto Vieleck anhand des CAD-Modells

  1. Öffnen Sie das Auto Element-Dialogfeld Vieleck (Einfügen | Element | Auto | Vieleck). Menü-Übersicht anzeigen

  2. Im Feld Anzahl der Flächen wird die Anzahl der Seiten bzw. Flächen des Vielecks festgelegt.

  3. Klicken Sie im Grafikfenster einmal auf das gewünschte Vieleck-Element. PC-DMIS nimmt die erforderlichen Mittelpunkteingaben für das Vieleck vor und zeichnet einige vorläufige Bahngeraden. Während das Dialogfeld geändert wird, aktualisiert PC-DMIS den Änderungen entsprechend die Bahn.

  4. Im Feld Anzahl der Messpunkte können Sie bestimmen, wie viele Messpunkte PC-DMIS bei der Messung einer jeden Seite aufnehmen soll. PC-DMIS wird immer mindestens zwei Messpunkte auf der ersten Seite des Elements aufnehmen, um dessen Winkelvektor zu bestimmen.

  5. Im Bereich Richtungs-Vektoren wird festgelegt, ob es sich um ein internes oder externes Vieleck handelt, in dem entweder Innen bzw. Außen ausgewählt wird.

  6. Im Feld Eckradius bestimmen Sie den Eckradius. Dadurch wird festgelegt, in welcher Entfernung von der Ecke die Messpunkte auf den Seiten des Vielecks aufgenommen werden sollen. Dadurch wird vermieden, dass die Messpunkte direkt in der Ecke aufgenommen werden.

  7. Überprüfen Sie im Feld Durchmesser die Auswahl des richtigen Durchmessers für das Vieleck. Für Vielecke mit einer geraden Anzahl von Seiten ist der Durchmesser der Abstand zwischen zwei gegenüberliegenden Seiten. Bei anderen Vielecken, wie dem gleichseitigen Dreieck, ist der Durchmesser doppelt so lang wie der Radius des größten Kreises, der innerhalb des Vielecks einbeschrieben werden kann. Durch Klicken auf das Vieleck setzt PC-DMIS automatisch diesen Wert ein.

  8. Bearbeiten Sie je nach Bedarf weitere Optionen.

  9. Klicken Sie auf Erzeugen. PC-DMIS fügt das Vieleck-Auto Element in das Werkstückprogramm ein.

So erzeugen Sie ein Auto Vieleck durch Eingabe der Daten:

Wenn Sie die theoretischen Daten für das Vieleck kennen, können Sie auch ein Auto Vieleck erzeugen, indem Sie diese Daten in die entsprechenden Felder eintragen. Legen Sie unter Verwendung des Auto Element-Dialogfelds Vieleck die Angaben für den XYZ-Mittelpunkt und den IJK-Vektor fest. Bestimmen Sie die Anzahl der Seiten, die Anzahl der Messpunkte auf jeder Seite, den Durchmesser und den Eckradius. Klicken Sie auf Erzeugen, wenn Sie damit fertig sind.

So erstellen Sie ein Auto Vieleck anhand des KMGs:

Sie können die Lage eines Auto Vielecks ohne CAD-Daten "lernen" durch einfaches Messen auf dem Werkstück mit dem Taster des KMGs. Geben Sie die erforderlichen Informationen in das Dialogfeld ein und nehmen Sie mit dem geöffneten Auto Element-Dialogfeld Vieleck einen Messpunkt auf einer der Seiten des Vielecks auf. Nach Aufnahme des ersten Messpunkts erhalten Sie zusätzliche Anweisungen aus der Statusleiste am unteren Rand des Bildschirms. Folgen Sie der Eingabeaufforderung aus der Statusleiste, um die Erstellung des Vielecks abzuschließen. Klicken Sie auf Erzeugen, wenn Sie damit fertig sind.


Einrichten einer relativen Messung

Mit der Menüoption Einfügen | Parameteränderung | Autom. relative Messung wird der relative Messmodus für Auto Elemente eingestellt. Wenn Sie diese Menüoption auswählen, fügt PC-DMIS einen RMESS-Befehl in das Bearbeitungsfenster ein, der für einen der folgenden Modi festgelegt wird:

  • Normaler Modus (verwendet den Vektor des RMESS-Elements)

  • Absoluter Modus (verwendet den Vektor des RMESS-Elements nicht)

Vor dem Verwenden des Bereichs Relative Messung im Dialogfeld Auto Element sollten Sie einen RMESS-Befehl in das Wertkstückprogramm einfügen. Weitere Informationen finden Sie unter "Bereich 'Relative Messung'".

Siehe auch:

Absoluter Modus

Normaler Modus


Absoluter Modus

Wenn einem Auto-Element ein relatives Messelement zugewiesen ist (siehe "Bereich 'Relative Messung'"), misst PC-DMIS das automatische Element an einer Position, die so angepasst wurde, dass sie sich auf der Ebene des RMESS-Elements befindet.

Beispiel: Sie messen eine Ebene (EBENE) und einen Auto-Kreis (KREIS1) referenziert die Ebene als RMESS-Element. Bei der Messung von KREIS1 misst PC-DMIS den Kreis dann in der referenzierten Ebene (EBENE). Siehe auch "Mathematischer Prozess des Modus ABSOLUT:".

Die für diese Option im Bearbeitungsfenster angezeigte Befehlszeile lautet:

RMESS/ABSOLUT

Siehe auch:

Mathematischer Prozess des Modus ABSOLUT:


Mathematischer Prozess des Modus ABSOLUT:

Um zu verstehen, wie RMESS/ABSOLUT funktioniert, verfahren Sie unter Verwendung der numerischen Werte der Beispielelemente aus der folgenden Tabelle wie folgt:

  1. Erstellen Sie anhand der X-, Y-, Z-, I-, J-, K-Werte des tatsächlichen RMESS-Elements ein Koordinatensystem (Translationsmatrix).

  2. Übertragen Sie die X-, Y-, Z-Werte des Auto-Elements in das RMESS-Koordinatensystem.

  3. Setzen Sie den Z-Wert auf Null, und übertragen Sie die X-, Y-, Z-Werte zurück in das WERKSTÜCK-Koordinatensystem.

  4. Kopieren Sie die I-, J-, K-Werte des RMESS-Elements zum Auto-Element, falls das RMESS-Element auf eine Ebene reduzierbar ist.

Beispielelement | XYZ | IJK
Tatsächliches RMESS-Element (Ebene): | 2,2,1 | 0,0,1
Theoretisches Auto-Element (Kreis): | 0,0,0 | 0,.7071,.7071
Neues theoretisches Auto-Element: | 0,0,1 | 0,0,1


Normaler Modus

Im Modus Normal wird die Ausrichtung des Referenzelements berücksichtigt. Diese Methode sollte in 99% aller Fälle verwendet werden.

Dies wird an einem Auto Kreis mit drei Stützpunkten deutlich: PC-DMIS nimmt zunächst drei Messpunkte auf der Oberfläche um den Kreis auf und misst dann den Kreis anhand der Ebenenposition und der Ausrichtung des vertikalen Oberflächenvektors. Wenn sich die Ebene also in einem Winkel von 45 Grad befindet, misst PC-DMIS den Auto-Kreis daher auch in einem Winkel von 45 Grad.

Wenn das relative Messelement relativ zu seiner ursprünglichen Ausrichtung gedreht ist, wird dies ebenfalls bei der Messung des zugeordneten Elements berücksichtigt (das Element wird mit demselben Rotationsversatz gemessen).

Der normale Modus ist außerdem etwas cleverer als der absolute Modus, da nur hier die für den Bezugselementtyp wesentlichen Achsen beim Versatz des Hauptelements berücksichtigt werden. Beispielsweise kann eine Ebene nicht in alle Richtungen verschoben werden, sondern nur in Richtung des vertikalen Ebenenvektors.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

RMESS/NORMAL

Siehe auch:

Mathematischer Prozess des Modus NORMAL


Mathematischer Prozess des Modus NORMAL

Um zu verstehen, wie RMESS/NORMAL-Funktionen funktionieren, verfahren Sie unter Verwendung der numerischen Werte der Beispielelemente aus der folgenden Tabelle wie folgt:

  1. Erstellen Sie anhand der X-, Y-, Z-, I-, J-, K-Werte des RMESS-Nennelements ein Koordinatensystem (Übertragungsmatrix).

  2. Übertragen Sie die X-, Y-, Z- und I-, J-, K-Werte des theoretischen Auto-Elements in das RMESS-Koordinatensystem.

  3. Erstellen Sie ein neues Koordinatensystem anhand der X-, Y-, Z-, I-, J- und K-Werte des tatsächlichen RMESS-Elements.

  4. Übertragen Sie nun die X-, Y-, Z- und I-, J-, K-Werte des zuvor übertragenen Auto-Elements wieder zurück in das WERKSTÜCK-Koordinatensystem.

  5. Messen Sie das Auto-Element auf Basis der neuen X-, Y-, Z-, und I-, J-, K-Nennwerte.

Beispielelement | XYZ | IJK
Theoretisches RMESS-Element (Kreis): | 0,0,2 | 0,0,1
Theoretisches Auto-Element (Kreis): | 2,1,0 | .7071,0,.7071
Tatsächliches RMESS-Element: | -1,0,1 | -.7071,0,.7071
Neues theoretisches Auto-Element: | 1.8284,1,-1 | 0,0,1


Erstellen von gemessenen Elementen

Erstellen von gemessenen Elementen: Einführung

Informationen zum Befehlsformat

Grundlegendes Messformat für einen Kreis

Grundlegendes Messformat für einen Kegel

Grundlegendes Messformat für einen Zylinder

Grundlegendes Messformat für eine Gerade

Grundlegendes Messformat für eine Ebene

Grundlegendes Messformat für einen Punkt

Grundlegendes Messformat für eine Kugel

Einfügen eines gemessenen Elements

Erkennen eines gemessenen Elementtyps

So erzwingen Sie das Einfügen eines bestimmten gemessenen Elementtyps

Bearbeiten eines gemessenen Elements

Beschreibung zum Dialogfeld "Gemessenes Element"

Elementname

Anzahl der Messpunkte

Bezugstyp

BE-Berechnungstyp

Messpunkte neu erzeugen

Zu Messpunkten (Ist-Werten) kopieren

Koordinatensystem

Definitionsformat für winkelförmige Elemente

Elementtyp: Kreisförmig

Definitionsformat für Geraden-Elemente

Nennwerte des Elements

Messpunktziele

Beschreibung zum Dialogfeld "Messpunkte"

Basismesspunkte durch Abtasten editieren

Überschreiben eines geschätzten, gemessenen Elements

Gemessene ElementGRUPPEN erstellen


Erstellen von gemessenen Elementen: Einführung

Wenn Sie auf einem Werkstück Messpunkte aufzeichnen, interpretiert PC-DMIS diese Messpunkte je nach der Anzahl von Messpunkten, ihren Vektoren usw. immer als unterschiedliche Elemente und erzeugt aus diesen Messpunkten gemessene Elemente. PC-DMIS unterstützt die folgenden gemessenen Elemente:

  • Gemessener Punkt

  • Gemessene Gerade

  • Gemessene Ebene

  • Gemessene Kugel

  • Gemessener Zylinder

  • Gemessener Kegel

  • Gemessener Kreis

Diese Elemente werden genauer unter "Informationen zum Befehlsformat" beschrieben.

In diesem Abschnitt werden folgende Hauptthemen behandelt:

  • Informationen zum Befehlsformat

  • Einfügen eines gemessenen Elements

  • Bearbeiten eines gemessenen Elements

  • Überschreiben eines geschätzten, gemessenen Elements

  • Gemessene Elementgruppen erstellen

Hinweis: Sie können gemessene Elemente auch mit Hilfe der Symbolleiste Schnellstart in Ihr Werkstückprogramm einfügen. Weitere Informationen finden Sie unter "Schnellstart: Symbolleiste "Messen"" im Abschnitt "Arbeiten mit den Symbolleisten".


Informationen zum Befehlsformat

Alle gemessenen Elemente werden im nachfolgenden Format im Befehlsmodus des Bearbeitungsfensters angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden. Das tatsächliche Bearbeitungsprotokoll wird ausschließlich in GROSSBUCHSTABEN angezeigt.

Beispiel:

Elementname=ELEM/ELEMENT_TYP,TOG1,TOG4
NENN/TX,TY,TZ,TI,TJ,TK,TD,TL
MESS/X,Y,Z,I,J,K,D,L
MESS/TOG2,TOG3,
MESSPKT/TOG5,TX,TY,YZ,TI,TJ,TK,X,Y,Z,THEO VERW=TOG6
ENDEMESS/

Elementname: Dieses Feld zeigt den Namen des Elements an. Dieses Feld kann vom Benutzer bearbeitet werden.

ELEMENTTYP Bestimmt den Elementtyp und entspricht TOG2, kann jedoch nicht bearbeitet oder umgeschaltet werden.

......: Zeigt an, dass alles Folgende individuell für jedes Element gilt.

TOG1: Dieses Feld ist bei allen Elementen vorhanden. Es kann zwischen KART / POLR hin- und hergeschaltet werden. Wenn dieses Element auf KART eingestellt ist, werden alle Punkte im kartesischen System (x, y, z) dargestellt. Ist das Feld auf POLR eingestellt, werden alle Punkte im Polarsystem (x-Radius, y-Winkel, z-Höhe) angezeigt. Vektoren bleiben unverändert.

TOG2: Dieses Feld ist bei allen gemessenen Elementen vorhanden. Es kann auf die folgenden Elemente eingestellt werden:
KREIS / KEGEL / KURVE / ZYLINDER / GERADE / EBENE / PUNKT / GRUPPE/ LANGLOCH / KUGEL

Wenn die Erstellungsbefehlszeile erstmals in einem Werkstückprogramm geöffnet wird, erscheint PUNKT als Standardelementtyp. Danach wird das zuletzt gemessene Element zum Standardelementtyp.

TOG3: Dieses Feld repräsentiert die Anzahl der Messpunkte, die gemäß dem in TOG2 angezeigten Elementtyp aufgenommen werden. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 1 Messpunkt = 1 MESSPKT/BASIS-Zeile, 3 Messpunkte = 3 MESSPKT/BASIS-Zeilen. Die erforderliche Mindestanzahl wird als Standard angegeben.

TOG4: Dieses Feld enthält ebenfalls eindeutige Werte gemäß dem in TOG2 angezeigten Elementtyp. Bei linearen Elementen kann zwischen BEGRENZT und UNBEGRENZT umgeschaltet werden. Bei kreisförmigen Elementen ist ein Umschalten zwischen INNEN und AUSSEN möglich. Bei winkelförmigen Elementen lauten die Optionen LÄNGE und WINKEL.

TOG5: Dieses Feld repräsentiert den Messpunkttyp, der aufgenommen werden soll:
BASIS.

TOG6: Über dieses Feld können Sie festlegen, ob der theoretische Vektor als Antastvektor für die Punktmessung zugrundegelegt werden soll. Die Standardeinstellung lautet JA. Wird auf NEIN umgeschaltet, berechnet PC-DMIS den Antastvektor, indem der theoretische Messpunkt (X,Y,Z-Wert) von der aktuellen Tasterposition subtrahiert wird.

TX,TY,TZ,TI,TJ,TK: Diese Zahlen (TX,TY,TZ) repräsentieren den theoretischen Zielvektor und den theoretischen Antastvektor (TI, TJ, TK), die alle vom Benutzer geändert werden können.

TD: Bei Kreiselementen ist diese Zahl der theoretische Durchmesser.

X,Y,Z,I,J,K: Diese Zahlen können nicht bearbeitet werden. Sie geben den Messpunkt und den gemessenen Antastvektor wieder.

D: Bei Kreiselementen ist diese Zahl der gemessene Durchmesser.

TL: Hierbei handelt es sich um die theoretische Länge von Elementen, die eine Länge aufweisen.

L: Hierbei handelt es sich um die gemessene Länge von Elementen, die eine Länge aufweisen.

Siehe auch:

Grundlegendes Messformat für einen Kreis

Grundlegendes Messformat für einen Kegel

Grundlegendes Messformat für einen Zylinder

Grundlegendes Messformat für eine Gerade

Grundlegendes Messformat für eine Ebene

Grundlegendes Messformat für einen Punkt

Grundlegendes Messformat für eine Kugel


Grundlegendes Messformat für einen Kreis

Für einen Kreis sind mindestens drei Messpunkte erforderlich.

Element_Name=ELEMENT/KREIS,TOG1,TOG4,TOG6
NENN/TX,TY,TZ,TI,TJ,TK,TD
MESS/X,Y,Z,I,J,K,D
MESS/KREIS,TOG3,TOG7
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 3 Messpunkte = 3 MESSPKT/BASIS-Zeilen, 5 Messpunkte = 5 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

TOG6= Dieses Feld schaltet zwischen den verschiedenen verfügbaren Typen für die Besteinpassung um. Dazu gehören: KLEINSTE_QUAD, MINMAX, PFERCHKR, HÜLLKR und FESTER_RAD

TOG7= Dieses Feld schaltet zwischen den verschiedenen Bezugstypen um. Dazu gehören: ELEMENT, 3D, ARBEITSEBENE, XPLUS, YPLUS, ZPLUS, XMINUS, YMINUS und ZMINUS.

...= So viele Messpunkte wie erforderlich werden an den Auslassungspunkten eingegeben.


Grundlegendes Messformat für einen Kegel

Für einen Kegel sind mindestens sechs Messpunkte erforderlich.

Element_Name=ELEMENT/KEGEL,TOG1,TOG4,TOG5
NENN/TX,TY,TZ,TI,TJ,TK,TL,TD1,TD2
MESS/X,Y,Z,I,J,K,L,D1,D2
MESS/KEGEL,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 6 Messpunkte = 6 MESSPKT/BASIS-Zeilen, 11 Messpunkte = 11 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

TOG5= Dieses Feld kann zwischen LÄNGE und WINKEL umgeschaltet werden.

...= So viele Messpunkte wie erforderlich werden an den Auslassungspunkten eingegeben.

TD1, TD2= Hierbei handelt es sich um die beiden theoretischen Durchmesser des Kegels.

D1, D2= Hierbei handelt es sich um die tatsächlich gemessenen Werte für die beiden Durchmesser des Kegels.


Grundlegendes Messformat für einen Zylinder

Für einen Zylinder sind mindestens sechs Messpunkte erforderlich.

Element_Name=ELEMENT/ZYLINDER,TOG1,TOG4,TOG6
NENN/TX,TY,TZ,TI,TJ,TK,TD,TL
MESS/X,Y,Z,I,J,K,D,L
MESS/ZYLINDER,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 6 Messpunkte = 6 MESSPKT/BASIS-Zeilen, 11 Messpunkte = 11 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

TOG6= Dieses Feld schaltet zwischen den verschiedenen verfügbaren Typen für die Besteinpassung um. Dazu gehören: KLEINSTE_QUAD, MINMAX, PFERCHKR, HÜLLKR und FESTER_RAD

...= So viele Messpunkte wie erforderlich werden an den Auslassungspunkten eingegeben.

Hinweis: Wird nach Erstellen eines gemessenen Zylinders mit mehr als zwei Reihen später im Dialogfeld Gemessener Zylinder die Anzahl der Messpunkte geändert, behält PC-DMIS die Reihenanzahl bei.


Grundlegendes Messformat für eine Gerade

Für eine Gerade sind mindestens zwei Messpunkte erforderlich.

Element_Name=ELEMENT/GERADE,TOG1,TOG4
NENN/TX,TY,TZ,TI,TJ,TK
MESS/X,Y,Z,I,J,K
MESS/GERADE,TOG3,TOG7
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 2 Messpunkte = 2 MESSPKT/BASIS-Zeilen, 3 Messpunkte = 3 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen BEGR / UNBEGR umgeschaltet werden. Bei Einstellung auf BEGR zeigen die Felder NENN und MESS nicht mehr die Vektorangaben an. Stattdessen werden die XYZ-Werte für den zweiten Punkt zusammen mit dem ersten Punkt eingeblendet. Siehe "Definitionsformat für ein Geraden-Element".

TOG7= Dieses Feld schaltet zwischen den verschiedenen Bezugstypen um. Dazu gehören: ELEMENT, 3D, ARBEITSEBENE, XPLUS, YPLUS, ZPLUS, XMINUS, YMINUS und ZMINUS.

...= So viele Messpunkte wie erforderlich werden an den Auslassungspunkten eingegeben.

Gemessene Geraden und Arbeitsebenen

Bei der Erstellung einer gemessenen Geraden erwartet PC-DMIS, dass die Messpunkte auf einem Vektor aufgenommen werden, der im rechten Winkel zur aktuellen Arbeitsebene verläuft.

Wenn Sie beispielsweise auf der aktuellen Arbeitsebene ZPLUS (mit einem Vektor 0,0,1) arbeiten und ein blockähnliches Werkstück vorliegt, müssen die Messpunkte für die gemessene Gerade auf einer senkrechten Wand dieses Werkstücks, beispielsweise der Vorderen oder Seitlichen, liegen.

Wenn Sie dann ein Geradenelement auf der oberen Werkstückoberfläche messen wollen, müssen Sie die Arbeitsebene auf XPLUS, XMINUS, YPLUS oder YMINUS umstellen, je nachdem, welche Richtung die Gerade hat.

Weitere Informationen zum Ändern einer Arbeitsebene finden Sie unter "Liste "Arbeitsebene"".


Grundlegendes Messformat für eine Ebene

Für eine Ebene sind mindestens drei Messpunkte erforderlich.

Element_Name=ELEMENT/EBENE,TOG1
NENN/TX,TY,TZ,TI,TJ,TK
MESS/X,Y,Z,I,J,K
MESS/EBENE,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 3 Messpunkte = 3 MESSPKT/BASIS-Zeilen, 8 Messpunkte = 8 MESSPKT/BASIS-Zeilen.

...= So viele Messpunkte wie erforderlich werden an den Auslassungspunkten eingegeben.


Grundlegendes Messformat für einen Punkt

Für einen Punkt ist nur ein Messpunkt zulässig.

Element_Name=ELEMENT/PUNKT,TOG1
NENN/TX,TY,TZ,TI,TJ,TK
MESS/X,Y,Z,I,J,K
MESS/PUNKT,TOG3
MESSPKT/...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Hier wird die Anzahl der für die Messung des Elements erforderlichen Messpunkte angezeigt. Da ein Punkt nur einen Messpunkt haben kann, kann dieser Wert nicht bearbeitet werden.

...= Ein einziger Messpunkt wird an den Auslassungspunkten eingegeben.


Grundlegendes Messformat für eine Kugel

Für eine Kugel sind mindestens vier Messpunkte erforderlich.

Element_Name=ELEMENT/KUGEL,TOG1,TOG4
NENN/TX,TY,TZ,TI,TJ,TK,TD
MESS/X,Y,Z,I,J,K,D
MESS/KUGEL,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Messpunkten. Beispiel: 4 Messpunkte = 4 MESSPKT/BASIS-Zeilen, 7 Messpunkte = 7 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

...= So viele Messpunkte wie erforderlich werden an den Auslassungspunkten eingegeben.


Einfügen eines gemessenen Elements

Mit PC-DMIS können Sie gemessene Elemente in Ihr Werkstückprogramm einfügen. Hierfür werden Ihre Tastermesspunkte interpretiert, und der richtige Elementtyp wird geschätzt. Falls PC-DMIS eine falsche Schätzung durchführt, können Sie das Programm zwingen, den richtigen Elementtyp zu wählen, sofern Sie die Mindestanzahl an Messpunkten für das gewünschte Element aufgenommen haben.

Diese Vorgänge setzen voraus, dass Sie im Offline-Modus arbeiten.

Die im folgenden Thema beschriebenen Vorgehensweisen gelten für den Offline-Modus.

Siehe auch:

Erkennen eines gemessenen Elementtyps

So erzwingen Sie das Einfügen eines bestimmten gemessenen Elementtyps


Erkennen eines gemessenen Elementtyps

  1. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehls- oder Übersichtsmodus.

  2. Versetzen Sie PC-DMIS in den Programmodus und stellen Sie die richtige Tastertiefe ein.

  3. Öffnen Sie die Symbolleiste Gemessene Elemente und klicken Sie auf das Symbol Elementerkennung.

  4. Klicken Sie an der Position auf das Werkstückmodell, an der Sie das Element einfügen möchten.

  • Bei der Verwendung eines importierten CAD-Drahtmodells verwendet PC-DMIS automatisch den nächsten Draht als Basis für das gewählte Element.

  • Bei der Verwendung eines importierten, schattierten CAD-Modells wird jeder Mausklick als ein einzelner Messpunkt gezählt.

  5. Drücken Sie die Taste ENDE. PC-DMIS interpretiert Ihre Messpunkte und fügt das geschätzte Element in das Bearbeitungsfenster ein.

Weitere Informationen zum Symbol Elementerkennung und zur Symbolleiste Gemessene Elemente finden Sie unter "Symbolleiste "Gemessene Elemente"" im Abschnitt "Arbeiten mit Symbolleisten".


So erzwingen Sie das Einfügen eines bestimmten gemessenen Elementtyps

Falls PC-DMIS den falschen gemessenen Elementtyp schätzt, können Sie das Programm zwingen, den gewünschten Typ einzufügen. Wählen Sie hierfür das richtige gemessene Element in der Symbolleiste bzw. im Untermenü Gemessene Elemente aus, bevor Sie die ENDE-Taste betätigen. Nachdem Sie die ENDE-Taste betätigt haben, fügt PC-DMIS den gewählten Elementtyp im Bearbeitungsfenster ein.


Bearbeiten eines gemessenen Elements

Sie können in PC-DMIS das gewünschte gemessene Element im Bearbeitungsfenster auswählen und beliebige Änderungen direkt in diesem Fenster vornehmen. Das Dialogfeld Gemessenes Element ist eine benutzerfreundliche Alternative zum Bearbeiten des Bearbeitungsfensters.

So öffnen Sie das Dialogfeld Gemessenes Element:

  1. Platzieren Sie den Cursor innerhalb der ersten vier Zeilen des gewünschten gemessenen Elements.

  2. Drücken Sie die Taste F9.

Beispiel eines "Gemessener Kreis" - Dialogfelds

Hinweis: Das Dialogfeld Gemessenes Element wird normalerweise basierend auf dem Elementtyp geöffnet. Wenn Sie den Cursor jedoch auf einen aufgelisteten Messpunkt (d. h. MESSPKT/BASIS) innerhalb des gemessenen Elements setzen und F9 drücken, blendet PC-DMIS das Dialogfeld Messpunkte für den ausgewählten Messpunkt ein.

Siehe auch:

Beschreibung zum Dialogfeld "Gemessenes Element"

Beschreibung zum Dialogfeld "Messpunkte"


Beschreibung zum Dialogfeld "Gemessenes Element"

Im Dialogfeld Gemessenes Element können Sie das ausgewählte gemessene Element bearbeiten. Das Dialogfeld Gemessenes Element wird in den nachfolgenden Themen beschrieben.

Siehe auch:

Elementname

Anzahl der Messpunkte

Bezugstyp

BE-Berechnungstyp

Messpunkte neu erzeugen

Zu Messpunkten (Ist-Werten) kopieren

Koordinatensystem

Definitionsformat für winkelförmige Elemente

Elementtyp: Kreisförmig

Definitionsformat für Geraden-Elemente

Nennwerte des Elements

Messpunktziele


Elementname

Im Feld Elementname können Sie den Namen des angezeigten Elements ändern. Markieren Sie im Bearbeitungsfenster einfach die gewünschte Element-ID, geben Sie eine neue Identifizierung ein, und drücken Sie die EINGABETASTE. In PC-DMIS sind doppelte Elementkennungen zulässig. Seien Sie beim Ändern von Elementnamen daher vorsichtig, falls Sie keine identischen IDs wünschen.


Anzahl der Messpunkte

Im Feld Anzahl der Messpunkte können Sie die Anzahl der Messpunkte für ein bestimmtes Element ändern.

Beispiel: Angenommen, das Bearbeitungsfeld enthält derzeit vier Messpunkte. Wenn Sie einen Messpunkt löschen, so wird der letzte Messpunkt (Nr. 4) in der Elementliste gelöscht. Wenn Sie zwei Messpunkte löschen, so werden die letzten beiden Messpunkte (Nr. 3 und Nr. 4) gelöscht. PC-DMIS numeriert die verbleibenden Messpunkte gemäß der aktuellen Numerierungszuweisung neu.

Wenn Sie einen Messpunkt hinzufügen, erhöht PC-DMIS die Liste Messpunktziel um eins und zeigt am Ende der Messpunktliste einen zusätzlichen Messpunkt an. Dieser Messpunkt gibt keine x-, y-, z-, i-, j- oder k-Werte an, solange das Programm nicht ausgeführt wird. Zum Zeitpunkt der Ausführung fordert PC-DMIS den Bediener auf, den zusätzlichen Messpunkt aufzunehmen. PC-DMIS fragt zudem, ob die Messpunkte in gleichen Abständen aufgenommen werden sollen.

  • Wenn Sie mit Ja antworten, nimmt PC-DMIS die Messpunkte in gleichmäßig verteilten Intervallen auf. Bei den Elementen Kegel, Kugel oder Zylinder blendet PC-DMIS das Dialogfeld Ebenen ein. Über dieses Dialogfeld können Sie die Anzahl der Schichten eingeben, die PC-DMIS bei der Verteilung der Messpunkte in gleichmäßigem Abstand zugrundelegt. Der Standardwert ist 2.

  • Wenn Sie mit Nein antworten, zeigt PC-DMIS die Messpunktwerte als 0, 0, 0, 0, 0, 1 an. Sie müssen die Messpunktwerte anschließend manuell eingeben.


Bezug auf

Mit der Liste Bezug auf wird gesteuert, ob es sich bei dem gemessenen Element um ein 3D-Element handelt und ob es auf die aktuelle Arbeitsebene, eine bestimmte Ebene oder relativ zu einem anderen Element projiziert wird. Hierdurch wird die mathematische Ableitung der endgültigen Elementcharakteristika beeinflusst.


BE-Berechnungstyp

Mit der Liste BE-Berechnungstyp wird der mathematische Algorithmus angegeben, der zum Messen des Elements verwendet wird. Die standardmäßige Besteinpassungsmethode ist KLEINSTE_QUADRATE. Weitere Informationen zu diesen Algorithmen finden Sie unter "Liste 'Berechnungen'" im Abschnitt "Erstellen von Auto Elementen".


Messpunkte neu erzeugen

Im Kontrollkästchen Messpunkte neu erzeugen werden die Befehle MESSPKT/BASIS dieses Elements mit den geänderten Daten des Bereichs Nennwerte des Elements aktualisiert.


Zu Messpunkten (Ist-Werten) kopieren

Das Kontrollkästchen Zu Messpunkten kopieren kopiert alle Änderungen in dem Bereich Nennwerte des Elements des Dialogfelds und wendet dieselben Änderungen auf die tatsächlichen Messdaten an.


Koordinatensystem

Im Bereich Koordinatensystem können Sie zwischen kartesischen (rechtwinkligen) und polaren Koordinaten wählen. Wenn KART ausgewählt ist, werden alle Punkte im kartesischen System (x, y, z) dargestellt. Lautet der Wert des Feldes POLAR, werden alle Punkte im Polarsystem (X-Radius, Y-Winkel, Z-Höhe) dargestellt. Vektoren bleiben unverändert.


Definitionsformat für winkelförmige Elemente

Wenn ein winkelförmiges Element angezeigt wird, können Sie mit PC-DMIS zwischen LÄNGE und WINKEL wählen.

· Die Option "Länge" zeigt den Durchmesser von zwei Kreisen an. Sie zeigt auch die Länge zwischen den beiden Kreisen an.

· Die Option "Winkel" zeigt den Nennwert (x, y, z) und den Vektor (i, j, k) des Punkts an. Sie zeigt auch den Winkelwert an.


Elementtyp: Kreisförmig

Wenn ein kreisförmiges Element angezeigt wird, können Sie mit PC-DMIS zwischen INNEN und AUSSEN wählen.


Definitionsformat für Geraden-Elemente

Wird ein lineares Element angezeigt, ermöglicht Ihnen PC-DMIS, zwischen den Optionen "Begrenzt" und "Unbegrenzt" im Bereich Definition der Geraden zu wählen.

Durch Auswahl der Option Begrenzt blendet PC-DMIS die beiden Endpunkte ein, die die Gerade im Bereich Nennwerte des Elements bilden, etwa so:

X, Y, Z

und

X2-Nennwert, Y2-Nennwert und Z2

Bei begrenzten Geraden ist der Längenwert abgeblendet und steht nicht zur Bearbeitung zur Verfügung.

Durch Auswahl der Option Unbegrenzt blendet PC-DMIS die Nennwertangaben der Geraden im Bereich "Nennwerte des Elements" ein, etwa so:

X, Y, Z und Länge

und

I-Nennwert, J-Nennwert und K


Nennwerte des Elements

Dieser Bereich enthält die theoretischen Elementdaten. Sie können diese Daten aktualisieren, indem Sie Änderungen vornehmen und auf OK klicken. Beachten Sie, dass Sie hierbei nur die theoretischen Daten aktualisieren. Wenn Sie die Messpunkte und die tatsächlichen Messdaten aktualisieren möchten, aktivieren Sie die Kontrollkästchen Messpunkte neu erzeugen und Zu Messpunkten kopieren.


Messpunktziele

Unterstützte Elemente:
Gemessener Kreis
Gemessener Zylinder
Gemessener Punkt
Gemessene Ebene
Gemessene Kugel
Gemessene Gerade
Gemessener Kegel

Mit der Schaltfläche Messpunktziele können Sie im Falle von unterstützten gemessenen Elementen die Messpunktdaten des Elements anzeigen und ändern.

Klicken Sie auf die Schaltfläche Messpunktziele, um das Dialogfeld Element-Messpunktziele anzuzeigen.

Dialogfeld "Element-Messpunktziele"

In diesem Dialogfeld werden die Messpunktdaten in Zeilen aufgelistet. Die Zahlen links neben den Zeilen geben die Reihenfolge der Messpunkte an. Sie können die Messpunktdaten ändern, indem Sie auf eine Zeile doppelklicken und ihre Werte im daraufhin angezeigten Dialogfeld Messpunkte bearbeiten.

Mit dem Dialogfeld Element-Messpunktziele können Sie Messpunktdaten außerdem mit Hilfe des Grafikfensters anzeigen und bearbeiten. Mit dem geöffneten Dialogfeld Element-Messpunktziele im Hintergrund, können Sie folgende Vorgänge durchführen:

· Einzelne Messpunkte mit roten Pfeilen anzeigen. Wenn Sie im Dialogfeld Element-Messpunktziele auf eine der Zeilen mit den Messpunktdaten klicken, wird der mit diesen Daten verknüpfte Pfeil im Grafikfenster rot angezeigt.

· Klicken und ziehen von beliebigen Messpunkten an eine neue Position. Sie können einen Messpunkt verschieben, indem Sie im Grafikfenster den entsprechenden roten Pfeil markieren und diesen an eine neue Position ziehen. Wenn Sie die Maustaste loslassen, wird der Messpunkt an diesem Punkt platziert. Die Daten werden berechnet und das Dialogfeld Element-Messpunktziele wird aktualisiert.

· Neue Messpunktziele einfügen. Sie haben auch die Möglichkeit, neue Messpunkte in ein vorhandenes Element einzufügen. Wählen Sie in der Messpunktliste eine Position aus und nehmen Sie die gewünschten Messpunkte auf. Nachdem Sie die ENDE-Taste betätigt haben, werden Sie von PC-DMIS gefragt, ob Sie den/die Messpunkt/e an der aktuellen Position einfügen möchten. Bei der Auswahl von Ja fügt PC-DMIS die neuen Messpunkte an dieser Position des aktuellen Elements ein. Bei der Auswahl von Nein verschiebt PC-DMIS den Cursor zum Einfügen an die nächste gültige Position im Werkstückprogramm (normalerweise direkt unter das aktuelle Element im Bearbeitungsfenster) und erstellt ein neues Element.

Hinweis: Die Daten im Dialogfeld Element-Messpunktziele und im Bearbeitungsfenster werden nicht dynamisch aktualisiert, wenn Sie Änderungen anhand einer dieser Methoden durchführen. Sie müssen erst das Dialogfeld schließen und erneut öffnen, um die geänderten Messpunktdaten anzuzeigen.

Schaltfläche "Punkt löschen"

Die Schaltfläche Punkt löschen des Dialogfelds Element-Messpunktziele wird erst dann aktiviert, wenn die Messpunkte für unterstützte Auto Elemente bearbeitet werden. Um einen vorhandenen Punkt zu löschen, markieren Sie ihn und klicken auf Punkt löschen. PC-DMIS entfernt den Punkt aus dem Dialogfeld und aus dem Werkstückprogramm. Siehe "Schaltfläche "Messpunkte anzeigen"" im Abschnitt "Erstellen von Auto-Elementen".


Beschreibung zum Dialogfeld "Messpunkte"

Beispiel-Dialogfeld "Messpunkte"

Im Dialogfeld Messpunkte können Sie einzelne Messpunkte eines gemessenen Elements bearbeiten. Sie können die folgenden Einträge bearbeiten:

  • Messpunkttyp

  • X-, Y- und Z-Position.

  • Verschiedene Vektoren

  • Abstand

  • Einzug

  • Tiefe

  • Punkte/Oberfläche

Einige Einträge stehen nur zur Verfügung, wenn Sie einen bestimmten Messpunkttyp auswählen. Wenn Sie die Messpunktdaten für das gewählte gemessene Element aktualisieren möchten, bearbeiten Sie die Werte in diesem Dialogfeld, und klicken Sie auf OK.

Siehe auch:

Basismesspunkte durch Abtasten editieren:


Basismesspunkte durch Abtasten editieren:

Sie können Basismesspunkte auch editieren, indem Sie das Werkstück im Online-Modus abtasten oder im Offline-Modus auf das CAD-Modell klicken, wobei das Dialogfeld Messpunkte geöffnet sein muss. PC-DMIS wird das Dialogfeld automatisch mit den neuen Ergebnissen aktualisieren.

Für Basismesspunkte werden folgende Kontrollkästchen eingeblendet:

Theoretischen Vektor als Antastvektor verwenden | Über dieses Kontollkästchen können Sie festlegen, ob der theoretische Vektor als Antastvektor zugrundegelegt werden soll. Wird die Auswahl aufgehoben, berechnet PC-DMIS den Antastvektor, indem der theoretische Messpunkt (X,Y,Z-Wert) von der aktuellen Tasterposition subtrahiert wird.
Punkt während Ausführung lernen | Über dieses Kontrollkästchen können Sie festlegen, ob PC-DMIS den Basismesspunkt während der Ausführung des Werkstückprogramms neu erlernen soll.


Überschreiben eines geschätzten, gemessenen Elements

Mit dem Untermenü Ändern können Sie den Typ des geschätzten Elements ändern. Haben Sie beispielsweise zuletzt versucht, einen Kreis zu messen und PC-DMIS hat dieses Element für eine Ebene gehalten, dann können Sie das Element mit dieser Option in den richtigen Typ umwandeln. Wenn Sie vorhaben, ein geschätztes Element zu überschreiben, muss dies durchgeführt werden, bevor andere Elemente erstellt werden.

Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor im Bearbeitungsfenster auf das Element, für das ein falscher Typ ausgewiesen wurde.

  3. Greifen Sie auf das Untermenü Bearbeiten | Elementtyp ändern zu und starten Sie den Vorgang. Menü-Übersicht anzeigen

  4. Wählen Sie den richtigen Elementtyp aus.

Sie können nun beobachten, wie die Elementsänderungen im Bearbeitungsfenster vorgenommen werden.


Gemessene Elementgruppen erstellen

Der Menüeintrag Einfügen | Element | Gemessenes Element | Elementgruppe fügt einen "Gemessene Elementgruppe"-Befehl (auch eine "Punktgruppe" genannt) in das Bearbeitungsfenster ein. Durch diesen Befehl wird ein Scan von einem einzigen Punkt erzeugt, der genau diesen Punkt so oft wie angegeben misst, um eine durchschnittliche (und hoffentlich genauere) Präsentation der Punktmessung zu erhalten.

Punktgruppen werden am häufigsten als Eingaben bei der Durchführung von KMG-Ausrichtungs-Verschiebungen bei einer manuellen Armmaschine verwendet. Weitere Informationen finden Sie unter "Durchführen einer KMG-Verschiebung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Im Befehlsmodus sieht die gemessene Elementgruppe folgendermaßen aus:

SCN1 =ELEMENT/GRUPPE,KART

NENN/0,0,0,0,0,1

MESS/0,0,0,0,0,1

MESS/GRUPPE,0

ENDEMESS/

Wenn Sie auf F9 klicken, während sich der Cursor innerhalb des Befehls befindet, wird das Dialogfeld Gemessene Gruppe eingeblendet:

Gemessene Gruppe (Dialogfeld)

Gemessene Gruppe (Dialogfeld)

Weitere Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Bearbeiten eines gemessenen Elements"; dieses Dialogfeld enthält viele der Einträge, die bereits in diesem Abschnitt behandelt wurden.

So erstellen Sie eine gemessene Elementgruppe (Punktgruppe):

  1. Drücken Sie auf den eingefügten "Gemessene Elementgruppe"-Befehl auf F9.

  2. Geben Sie im Dialogfeld die theoretische XYZ-Position und den IJK-Vektor des Punktes ein.

  3. Geben Sie im Feld "Anzahl der Messpkte" die Anzahl der Messungen, die PC-DMIS für diesen Punkt vornehmen soll, an. Je höher die Zahl ist, desto besser ist der Durchschnitt, den Sie erhalten.

  4. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld aus.

  5. Klicken Sie auf OK. PC-DMIS aktualisiert den Befehl im Bearbeitungsfenster.

Ein fertig gestellter Punktgruppenscan mit 5 Iterationen sieht zum Beispiel etwa so aus:

SCN1 =ELEMENT/GRUPPE,KART

NENN/107,11,21,0,0,1

MESS/0,0,0,0,0,1

MESS/GRUPPE,5

MESSPKT/BASIS,NORMAL,107,11,21,0,0,1,0,0,0,THEO VERW = JA

MESSPKT/BASIS,NORMAL,107,11,21,0,0,1,0,0,0,THEO VERW = JA

MESSPKT/BASIS,NORMAL,107,11,21,0,0,1,0,0,0,THEO VERW = JA

MESSPKT/BASIS,NORMAL,107,11,21,0,0,1,0,0,0,THEO VERW = JA

MESSPKT/BASIS,NORMAL,107,11,21,0,0,1,0,0,0,THEO VERW = JA

ENDEMESS/


Erstellen von neuen Elementen aus vorhandenen Elementen

Erstellen von neuen Elementen aus vorhandenen Elementen: Einführung

So erstellen Sie ein Element im Bearbeitungsfenster

So erstellen Sie ein Element mit den Dialogfeldern zur Erstellung:

Informationen zum allgemeinen Befehlsformat

Zugreifen auf das Dialogfeld

Platzierungskonventionen für Dezimalstellen

Erstellen eines Punktelements

Erstellen eines Punktes am Schwerpunkt

Erstellen eines Eckpunktes

Erstellen eines Lotpunktes

Erstellen eines Schnittpunkts

Erstellen eines Symmetriepunktes

Erstellen eines Versatzpunktes

XYZ-Versatz

Erstellen eines Punktes am Nullpunkt

Erstellen eines Durchstoßpunkts

Erstellen eines Projektionspunkts

Erstellen eines Auto-Punkts

Erstellen eines Kreiselements

Innen-/Außenkreis

Ertsellen eines Auto-Kreises

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskreises

Besteinpassungstyp

Ausreißer entfernen / Sigmafaktor

Gauß-Filter / Grenzfrequenz verwenden

Erstellen eines Schnittkreises

Erstellen eines Kreises am Schwerpunkt

Erstellen eines Projektionskreises

Ändern der Richtung eines Kreises

Erstellen eines Bogens aus einem Teil-Scan

Bestimmen der Daten für die Bogenerstellung

Erstelllen eines Kreises aus einem Kegel

Erstellen eines Ellipsenelements

Innen-/Außenellipse

Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsellipse

Erstellen einer Ellipse am Schwerpunkt

Erstellen einer Projektionsellipse

Ändern der Richtung einer Ellipse

Erstellen einer Auto-Ellipse

Erstellen eines Kugelelements

Innen-/Außenkugel

Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungskugel

Erstellen einer Kugel am Schwerpunkt

Erstellen einer Projektionskugel

Ändern der Richtung einer Kugel

Erstellen einer Auto-Kugel

Erstellen eines Geradenelements

Varianten

Erstellen einer Auto-Geraden

Erstellen einer Ausrichtungsgeraden

Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsgeraden

Ausreißer entfernen / Sigmafaktor

Gauß-Filter / Grenzwellenlänge verwenden

Erstellen einer Geraden am Schwerpunkt

Erstellen einer Schnittgeraden

Erstellen einer Symmetriegeraden

Erstellen einer Parallelgeraden

Erstellen einer rechtwinkligen Geraden

Erstellen einer Projektionsgeraden

Ändern der Richtung einer Geraden

Erstellen einer Geraden aus einem Teil-Scan

Bestimmen der Daten für die Erstellung einer Geraden

Erstellen einer Versatzgeraden

Ändern von Versatzwerten zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten

Erstellen eines Kegelelements

Innen-/Außenkegel

Varianten

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskegels

Erstellen eines Kegels am Schwerpunkt

Erstellen eines Projektionskegels

Ändern der Richtung eines Kegels

Erstellen eines Auto-Kegels

Erstellen eines Zylinderelements

Innen-/Außenzylinder

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungszylinders

Besteinpassungstyp

Erstellen eines Zylinders am Schwerpunkt

Erstellen eines Projektionszylinders

Ändern der Richtung eines Zylinders

Erstellen eines Auto-Zylinders

Erstellen eines Ebenenelements

Erstellen einer Ebene am Ausrichtungsnullpunkt

Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsebene

Ausreißer entfernen / Sigmafaktor

Gauß-Filter / Grenzwellenlänge verwenden

Erstellen einer Ebene am Schwerpunkt

Erstellen einer Ebene an den Extrempunkten

Erstellen einer Symmetrieebene

Erstellen einer Versatzebene

Ändern von Versatzwerten zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten

Erstellen einer Parallelebene

Erstellen einer rechtwinkligen Ebene

Ändern der Richtung einer Ebene

Erstellen einer Auto-Ebene

Erstellen eines Langlochelements

Innen-/Außenlangloch

Erstellen eines Kurvenelements

Erstellen einer abhängigen/unabhängigen Kurve

Berechnungstoleranz

Passpunkt bearbeiten

Passpunktliste

Erstellen einer Fläche

Erstellen einer abhängigen/unabhängigen Fläche

Berechnungstoleranz U

Berechnungstoleranz V

Flächenrasterdichte

Fläche optimieren

Spannungsfaktor anwenden

Ecken erstellen

Abw. Daten angleichen

Erstellen einer Elementgruppe

Profilfehler aus einer Gruppe

Durchschnittswerte aus einer Gruppe

Messpunktreihe eines Scans als Eingabe verwenden

Erstellen eines Filtersatzes

Option "Linear"

Option "Polar"

Liste "Filtertyp"

Gauß

Spline

Gleichmäßig

Dreieck

Zylindrisch

Feld "Filterbreite"

Feld "Grenzwellenlänge"

Feld "Grenzfrequenz"

Feld "Glättungsfaktor"

Kontrollkästchen "Entferne Ausreißer"

Feld "Sigmafaktor"

Erstellen eines ADJUST Filters


Erstellen von neuen Elementen aus vorhandenen Elementen: Einführung

Das Untermenü Einfügen | Element | Abhängiges Element kommt dann zur Anwendung, wenn das erforderliche Element nicht mit dem Taster erreicht werden kann (wie z. B. der Schnittpunkt zweier Kanten). Menü-Übersicht anzeigen

Die Optionen dieses Menüs ermöglichen es Ihnen, aus vorhandenen (bereits abgetasteten oder erstellten) Elementen neue Elemente (Punkte, Geraden, Kreise etc.) zu erstellen. Die verschiedenen Methoden, wie Eingabeelemente definiert werden können, werden im Abschnitt "Navigation durch die Benutzeroberfläche" beschrieben. Eine Beschreibung der verschiedenen Methoden zur Definition von Eingabeelementen finden Sie auch unter "Markieren von Elementen im Grafikfenster" im Abschnitt "Bearbeiten der CAD-Anzeige".

Sie können Elemente erstellen, indem Sie sie im Dialogfeld oder im Bearbeitungsfenster auswählen (siehe "So erstellen Sie ein Element im Bearbeitungsfenster" und "So erstellen Sie ein Element mit den Dialogfeldern zur Erstellung"). Spezielle Regeln zum Erstellen eines Elements aus anderen Elementen sind in den betreffenden Abschnitten zu finden und gelten für beide Erstellungsmethoden. Die Standardmethode zum Erstellen eines Elements ist Auto. In diesem Fall bestimmt PC-DMIS den besten Erstellungstyp automatisch auf Basis der Eingabeelemente. Die Reihenfolge, in der die Auswahl getroffen wird, ist hierbei in der Regel nicht wichtig (sofern nicht anders angegeben). Erforderlich ist nur, dass die richtigen Elementtypen ausgewählt werden. Um beispielsweise den Schnittpunkt zwischen einer Geraden und einem Langloch zu erstellen, wählen Sie einfach die betreffende Gerade und das betreffende Langloch aus. PC-DMIS erstellt einen Punkt an der Stelle, an der sich Gerade und Langloch überschneiden.

Bitte beachten Sie, dass die dokumentierten Konventionen lediglich ein Hilfsmittel darstellen, das Sie mit den im Bearbeitungsfenster geltenden Regeln vertraut machen soll. Das tatsächliche Bearbeitungsprotokoll wird durchweg in GROSSBUCHSTABEN angezeigt.

Beispiel der Befehlszeile zur Anzeige eines erstellten Punktes im Bearbeitungsfenster:

ABHÄNGIG/PUNKT, SCHNITT_VON, Geraden_ID, Langloch_ID
oder ABHÄNGIG/PUNKT, SCHNITT_VON, Langloch-ID, Geraden-ID

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Informationen zum allgemeinen Befehlsformat

  • Erstellen eines Punktelements

  • Erstellen eines Kreiselements

  • Erstellen eines Ellipsenelements

  • Erstellen eines Kugelelements

  • Erstellen eines Geradenelements

  • Erstellen eines Kegelelements

  • Erstellen eines Zylinderelements

  • Erstellen eines Ebenenelements

  • Erstellen eines Langlochelements

  • Erstellen eines Kurvenelements

  • Erstellen einer Fläche

  • Erstellen einer Elementgruppe

  • Erstellen eines Filtersatzes

  • Erstellen eines abhängigen Elements mittels eines ADJUST Filters


So erstellen Sie ein Element im Bearbeitungsfenster

  1. Öffnen Sie das Bearbeitungsfenster (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Setzen Sie den Cursor an die Stelle, an der das Element im Bearbeitungsfenster erstellt werden soll.

  3. Geben Sie den Befehl ABHÄNGIG/... gefolgt vom entsprechenden Text ein. (Halten Sie sich an das voranstehende Beispiel der Befehlszeile für einen erstellten Punkt.)


So erstellen Sie ein Element mit den Dialogfeldern zur Erstellung:

  1. Wählen Sie das Untermenü Einfügen | Element | Abhängiges Element aus. Menü-Übersicht anzeigen

  2. Bestimmen Sie den Elementtyp, der erstellt werden soll. Zur Auswahl stehen folgende Optionen:

  • Punkt

  • Kreis

  • Ellipse

  • Kugel

  • Gerade

  • Kegel

  • Zylinder

  • Ebene

  • Langloch

  • Kurve

  • Fläche

  • Elementgruppe

  • Filter-Element

Hinweis: Wenn die Auswahl der Eingabeelemente im Dialogfeld abgeschlossen ist, klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS erstellt das Element und zeigt es auf dem Bildschirm an. PC-DMIS zeigt außerdem den Mittelpunkt des Elements im Bearbeitungsfenster an. Während PC-DMIS das angeforderte Element erstellt, bleibt das Dialogfeld geöffnet. Anschließend wird dieses erstellte Element in das Dialogfeld eingefügt. Auf diese Weise können Sie mehrere Elemente auf Basis eines neu erstellten Elements erstellen.


Informationen zum allgemeinen Befehlsformat

Alle erstellten Elemente werden im folgenden Format im Bearbeitungsfenster angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden.

Das tatsächliche Bearbeitungsprotokoll wird ausschließlich in GROSSBUCHSTABEN angezeigt.

Beispiel:

Elementname=ELEMENT/ELEMENTTYP,TOG1,.....
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,......
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,......
ABHÄNGIG/TOG2,TOG3,......

Element_Name: Name des Elements. Dieses Feld kann vom Benutzer bearbeitet werden.

Elementtyp: Dieses Feld gibt den Elementtyp an. Es entspricht TOG2, ist jedoch kein editierbares oder umschaltbares Feld.

...... : Dies zeigt an, dass alles Folgende individuell für jedes Element gilt. Näheres dazu finden Sie in den entsprechenden Abschnitten der Hilfedatei (Online-Hilfe).

TOG1: Dieses Feld ist bei allen Elementen vorhanden und kann zwischen KART / POLAR hin- und hergeschaltet werden. Wenn dieses Element auf KART eingestellt ist, werden alle Punkte im kartesischen System (x, y, z) dargestellt. Lautet der Wert des Feldes POLAR, werden alle Punkte im Polarsystem (X-Radius, Y-Winkel, Z-Höhe) dargestellt. Vektoren bleiben unverändert.

TOG2: Dieses Feld ist bei allen Elementen vorhanden und kann auf die verschiedenen Elementtypen umgeschaltet werden. Folgende Werte sind verfügbar:

KREIS / KEGEL / ZYLINDER / GERADE / EBENE / PUNKT / KUGEL / KURVE / FLÄCHE / GRUPPE /

Wenn die Erstellungsbefehlszeile erstmals in einem Werkstückprogramm geöffnet wird, erscheint PUNKT als Standardelementtyp. Danach wird der zuletzt gemessene Elementtyp zum Standardelementtyp.

TOG3: Dieses Feld ist ebenfalls bei allen Elementen vorhanden, nimmt jedoch jeweils dem Elementtyp entsprechende Werte an. (Weitere Informationen finden Sie in der Beschreibung des betreffenden Elements.)

Siehe auch:

Zugreifen auf das Dialogfeld

Platzierungskonventionen für Dezimalstellen


Zugreifen auf das Dialogfeld

So rufen Sie das entsprechende Konstruktionsdialogfeld auf, in dem das Element eines Bearbeitungsfensters erstellt wurde:

  1. Vergewissern Sie sich, dass das Bearbeitungsfenster geöffnet ist.

  2. Klicken Sie im Bearbeitungsfenster mit der Maus auf den Namen des Elements.

  3. Drücken Sie F9. Damit wird ein Konstruktionsdialogfeld aufgerufen.

In diesem Dialogfeld können Sie die gewünschten Änderungen vornehmen. Wird danach auf die Schaltfläche Erzeugen geklickt, wird das Bearbeitungsfenster entsprechend aktualisiert.


Platzierungskonventionen für Dezimalstellen

Beachten Sie bitte die folgenden Hinweise zu den für erstellte Elemente geltenden Dezimalstellenkonventionen:

  • Alle Vektoren (i-Vekt, j-Vekt, k-Vekt) werden mit einer Genauigkeit von 1-5 Stellen hinter dem Dezimalzeichen angegeben.

  • Alle Längen und Abstände (x-Koord, y-Koord, z-Koord, Durchm., Höhe, Länge etc.) werden mit einer Genauigkeit von 1-5 Stellen hinter dem Dezimalzeichen angegeben.

  • Alle Winkel werden mit einer Genauigkeit von 1-5 Stellen nach dem Dezimalzeichen angegeben.

  • Ist die Anzahl der Dezimalstellen Null, wird die Zahl als Ganzzahl angegeben.

Hinweis: Die Anzahl der Dezimalstellen kann über die Registerkarte Merkmal (F5) im Dialogfeld Einrichten geändert werden. Bei Einstellen der Dezimalstellengenauigkeit wird der Befehl NACHKOMMASTELLEN in das Bearbeitungsfenster eingefügt. Alle Elemente nach diesem Befehl werden mit der angegebenen Anzahl von Dezimalstellen angezeigt.


 Constructing a Cast Point Close button Create button Clear button Constructing an Offset Point Constructing an Auto Circle Feature List box Select Last # Search ID ID Constructing a Projected Point Constructing an Intersect Point Constructing a Point at the Origin Constructing a Drop Point Constructing a Mid Point Constructing a Corner Point Constructing a Pierce Point

Erstellen eines Punktelements

Abhängiges Element Punkt erstellen (Dialogfeld)

PC-DMIS bietet dem Benutzer eine Reihe verschiedener Methoden zum Erstellen eines Punktes. In der nachstehenden Tabelle werden die verschiedenen Arten erstellter Punkte zusammen mit den erforderlichen Eingaben angeführt. Bei einigen Elementen sind keine Eingaben erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für das Erstellen in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ELEM 3: | ANMERKUNGEN
Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | - | Erstellt einen Punkt am Flächenmittelpunkt des Eingabeelements
Eckpunkt | ECKPKT | 3 | Ebene | Ebene | Ebene | Erstellt einen Punkt am Schnittpunkt von drei Ebenen
Lotpunkt | LOTPKT | 2 | Beliebig | Kegel, Zylinder, Gerade, Langloch | - | Erstes Element wird auf das zweite Geradenelement gefällt
Schnittpunkt | SCHNITT_VON | 2 | Kreis, Kegel, Zylinder, Gerade, Langloch | Kreis, Kegel, Zylinder, Gerade, Langloch | - | Erstellt einen Punkt am Schnittpunkt des linearen Attributs zweier Elemente
Mittelpunkt | MITTE | 2 | Beliebig | Beliebig | - | Erstellt einen abhängigen Punkt (Mitte) zwischen den Flächenmittelpunkten der Eingabeelemente
Versatzpunkt | VERSATZ | 1 | Beliebig | - | - | Erfordert drei Versatzwerte, die X, Y und Z entsprechen
Punkt am Nullpunkt | NULLPUNKT | 0 | - | - | - | Erstellt einen Punkt am Ausrichtungsnullpunkt
Durchstoßpunkt | DURCHSTOSSEN | 2 | Kegel, Zylinder, Gerade, Langloch, Kreis, Ellipse | Kegel, Zylinder, Ebene, Kugel, Kreis, Ellipse | - | Erstellt an der Stelle einen Punkt, an der Element_1 die Oberfläche von Element_2 durchstößt. Reihenfolge der Auswahl ist wichtig. Ist das erste Element eine Gerade, ist die Richtung wichtig.
Projektionspunkt | PROJ | 1 oder 2 | Beliebig | Ebene | - | Bei einem Eingabeelement wird der Punkt in die Arbeitsebene projiziert

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie ein abhängiges Element Punkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Schwerpunkt

  • Eckpunkt

  • Lotpunkt

  • Schnittpunkt

  • Mittelpunkt

  • Versatzpunkt

  • Punkt am Nullpunkt

  • Durchstoßpunkt

  • Projektionspunkt

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Punkterstellung würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
Elementname=ELEMENT/PUNKT,TOG1
NENN/x-Koord,y-Koord,z-Koord,i-Vek,j-Vek,k-Vek
MESS/x-Koord,y-Koord,z-Koord,i-Vek,j-Vek,k-Vek
ABHÄNGIG/TOG2,TOG3,......\

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

TOG1= POLAR oder KART

TOG2 = PUNKT

TOG3 = SCHWERPKT / ECKPKT / LOTPKT / SCHNITT_VON / MITTE / VERSATZ / NULLPKT / DURCHSTOSSPKT / PROJ

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Punkten gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Punkttypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

AUTO ist die Standardmethode zur Erstellung. Diese Option bestimmt automatisch die geeignetste Methode zum Erstellen eines Punkts mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Auto Punkterstellung".

In den nachstehenden Abschnitten werden die zum Erstellen eines Punktes verfügbaren Optionen beschrieben.

Siehe auch:

Erstellen eines Punktes am Schwerpunkt

Erstellen eines Eckpunktes

Erstellen eines Lotpunktes

Erstellen eines Schnittpunkts

Erstellen eines abhängigen Punkts (Mitte)

Erstellen eines Versatzpunktes

Erstellen eines Punktes am Nullpunkt

Erstellen eines Durchstoßpunkts

Erstellen eines Projektionspunkts

Erstellen eines Auto Punkts


Erstellen eines Punktes am Schwerpunkt

Sie können einen Punkt erstellen, indem Sie ein beliebiges vorhandenes Element in einen Punkt umwandeln. PC-DMIS erstellt den Punkt am Flächenmittelpunkt des Eingabeelements.

So erstellen Sie einen Punkt am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Schwerpunkt aus.

  3. Wählen Sie ein beliebiges Element aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/PUNKT,SCHWERPKT,Element_1

Erstellen eines Punktes am Schwerpunkt aus einem Kreis


Erstellen eines Eckpunktes

Ein Punkt kann aus drei Ebenen erstellt werden. An deren Schnittstelle erzeugt PC-DMIS einen Punkt. Der Vektor des erstellten Eckpunktes ist das Kreuzprodukt aus dem zweiten und dem dritten Eingabevektor.

So erstellen Sie einen Eckpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Eckpunkt aus.

  3. Wählen Sie drei verschiedene Ebenen aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster: ABHÄNGIG/ECKPUNKT,Element_1,Element_2,Element_3

Erstellen eines Eckpunktes aus drei Ebenen


Erstellen eines Lotpunktes

Ein Lotpunkt kann aus einem beliebigen Element und einer Geraden (Kegel, Zylinder oder Langloch) erstellt werden. PC-DMIS fällt den Flächenmittelpunkt des ersten Elements auf das zweite Element. Der "gefällte Punkt" (Lotpunkt) wird auf eine Linie gesenkt, die rechtwinklig zur Geraden, Mittellinie oder Ebene verläuft. Werden zwei Elemente ausgewählt, fällt PC-DMIS den Flächenmittelpunkt des ersten Geradenelements auf das zweite Geradenelement.

Hinweis: Bei dieser Methode zur Erstellung müssen die Elementtypen in der richtigen Reihenfolge ausgewählt werden.

Vorgehensweise:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Lotpunkt aus.

  3. Wählen Sie das erste Element aus, das beliebiger Art sein kann.

  4. Wählen Sie das zweite Element aus. Hier sind nur die Elemente Kegel, Zylinder, Gerade oder Langloch zulässig.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ABHÄNGIG/PUNKT,LOTPKT,Element_1,Element_2

Erstellen eines Lotpunktes aus einem Kreis und einer Geraden

Hinweis: Wenn Sie ein Langloch als eines Ihrer Eingabeelemente auswählen, verwendet PC-DMIS beim Erstellen dieses Punkts den Mittellinienvektor des Langlochs anstelle des senkrechten Vektors (in den Versionen 3.2 und älter hat PC-DMIS den senkrechten Vektor des Langlochs verwendet). Möchten Sie lieber den vertikalen Vektor des Langlochs verwenden, müssen Sie den Wert des Eintrags UseLegacySlotVector im PC-DMIS-Einstellungseditor bearbeiten. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Erstellen eines Schnittpunkts

Ein Punkt kann auch zwischen einer Geraden (Kreis, Kegel, Zylinder oder Langloch) und einer anderen Geraden (Kreis, Kegel, Zylinder oder Langloch) erstellt werden. Der Punkt wird an der Stelle erstellt, an der sich die Geraden (Mittellinien) der beiden Elemente überschneiden.

Erstellen eines Schnittpunkts aus zwei Geraden

Informationen zum Durchschneiden oder Durchstoßen eines Kreises mit einer Geraden finden Sie unter "Erstellen eines Durchstoßpunktes".

So erstellen Sie einen Schnittpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Schnitt aus.

  3. Wählen Sie zwei Elemente dieses Typs aus: Kreis, Kegel, Zylinder, Gerade, Langloch.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/PUNKT,SCHNITT_VON ,Element_1,Element_2

Wenn sich die beiden Elemente nicht überschneiden, wird der Punkt in der Mitte zwischen den beiden Elementen am scheinbaren Schnittpunkt erstellt. In diesem Fall ist der Schnittpunkt der Mittelpunkt der kürzesten Gerade, welche die beiden Eingabeelemente verbindet.

Erstellen eines Schnittpunkts aus zwei Geraden, die sich nicht überschneiden

Zwei Kreiselemente dürfen sich überschneiden und solange sie denselben Vektor aufweisen (oder sehr ähnliche Vektoren aufweisen), erzeugt PC-DMIS ein erstelltes Punktelement an einem der Schnittpunkte. Wenn Sie die Reihenfolge der ausgewählten Eingabeelemente im Dialogfeld Abhängiges Element Punkt erstellen umstellen, erzeugt PC-DMIS einen Punkt an dem anderen Schnittpunkt.

Hinweis: Wenn Sie ein Langloch als eines Ihrer Eingabeelemente auswählen, verwendet PC-DMIS beim Erstellen dieses Punkts den Mittellinienvektor des Langlochs anstelle des vertikalen Vektors (in den Versionen 3.2 und älter hat PC-DMIS den vertikalen Vektor des Langlochs verwendet). Möchten Sie lieber den vertikalen Vektor des Langlochs verwenden, müssen Sie den Wert des Eintrags UseLegacySlotVector im PC-DMIS-Einstellungseditor bearbeiten. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Erstellen eines abhängigen Punkts (Mitte)

Ein Punkt kann aus zwei beliebigen Elementen ohne Richtung erstellt werden. PC-DMIS erstellt einen Punkt zwischen den Flächenmittelpunkten der beiden Eingabeelemente.

So erstellen Sie einen Punkt (Mitte):

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Mitte aus.

  3. Wählen Sie zwei beliebige Elemente aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ABHÄNGIG/PUNKT,MITTE,Element_1,Element_2

Erstellen eines abhängigen Punktes (Mitte) aus zwei Kreisen


Erstellen eines Versatzpunktes

Ein Punkt kann in einem bestimmten, benutzerdefinierten Abstand von einem beliebigen Eingabeelement erstellt werden.

So erstellen Sie einen Versatzpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Versatzpunkt aus.

  3. Wählen Sie ein Element aus, anhand dessen der Versatzpunkt erstellt werden soll.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Um einen Versatzpunkt vom Nullpunkt aus zu erstellen, wählen Sie die Option Am Nullpunkt. Um einen Versatzpunkt relativ zu einem bestimmten Element zu erstellen, wählen Sie das gewünschte Element aus und geben Sie den X-, Y- und Z-VERSATZ ein.


XYZ-Versatz

In diese Felder können Sie die Versatzabstände für die X-, Y- und Z-Achsen eingeben. Eine Eingabe in diese Felder ist nur möglich, wenn die Option Versatz ausgewählt wurde.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ABHÄNGIG/PUNKT,VERSATZ,Element_1,Dx,Dy,Dz


Erstellen eines Punktes am Nullpunkt

Ein Punkt kann am aktuellen Ausrichtungsnullpunkt erstellt werden.

So erstellen Sie einen Nullpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie die Option Am Nullpunkt.

  3. Wählen Sie keine Eingabeelemente aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/PUNKT,NULLPUNKT

Erstellen eines Punktes am Nullpunkt


Erstellen eines Durchstoßpunkts

Ein Punkt kann aus einer Geraden (Kreis, Kegel, Ellipse, Langloch oder Zylinder) und einem Kreis, einer Ellipse oder einer Ebene (Kegel, Zylinder oder Kugel) erstellt werden. PC-DMIS erstellt einen Punkt an der Stelle, an der Element_1 die Oberfläche von Element_2 durchstößt.

Hinweis: Bei dieser Methode zur Erstellung müssen die Elementtypen in der richtigen Reihenfolge ausgewählt werden.

  • Handelt es sich bei dem durchstoßenen Element um einen Kreis oder eine Ellipse, erstellt PC-DMIS einen zylinderförmigen Umfang um die Mittellinie und erzeugt den Durchstoßpunkt. Werden zwei ähnliche Elemente (z.B. zwei Zylinder) bereitgestellt, durchstößt PC-DMIS das zweite Element mit dem Ersten.

  • Handelt es sich bei dem durchstoßenen Element um eine Kugel, einen Kreis, einen Kegel oder einen Zylinder, wird der Durchstoßpunkt an der Stelle erstellt, an der das durchstoßende Eingabeelement erstmals die Oberfläche des durchstoßenen Elements schneidet. Der erste Schnittpunkt wird durch die Richtung der Geraden bestimmt. Daher ist es wichtig, die Richtung, in der die Gerade definiert wurde, zu kennen. Wird der falsche Punkt erstellt, erstellen Sie eine neue, in umgekehrter Richtung verlaufende Gerade (siehe "Ändern der Richtung einer Geraden"), die Sie dann zur Erstellung des Punktes verwenden können.

So erstellen Sie einen Durchstoßpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Durchstoßen aus.

  3. Wählen Sie das erste Element aus. Hier sind nur die Elemente Kegel, Zylinder, Gerade, Langloch, Kreis oder Ellipse zulässig.

  4. Wählen Sie das zweite Element aus. Hier sind nur die Elemente Ellipse, Kreis, Kegel, Zylinder, Ebene oder Kugel zulässig.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

ABHÄNGIG/PUNKT,DURCHSTOSSEN,Element_1,Element_2

Erstellen eines Durchstoßpunktes aus einer Geraden und einer Kugel


Erstellen eines Projektionspunkts

Ein Punkt kann aus einem beliebigen Element und einer Ebene erstellt werden. PC-DMIS projiziert den Punkt an die Stelle, an der sich die Ebene mit dem Punkt überschneidet. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene.

So erstellen Sie einen Projektionspunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Punkt erstellen auf (Einfügen | Element | Abhängiges Element | Punkt). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Projektion aus.

  3. Wählen Sie das Element aus, aus dem der projizierte Punkt erstellt werden soll.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/PUNKT,PROJ,Element_1,(Element_2)

Erstellen eines Projektionspunkts aus einem Punkt und einer Ebene


Erstellen eines Auto-Punkts

Aus der nachstehenden Tabelle geht hervor, welcher Punkt erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an und erstellt den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Öffnen Sie das Dialogfeld Abhängiges Element Punkt erstellen.

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Eingabeelement(e) | Abhängige Elemente
Ein beliebiges Element = | Schwerpunkt
Kreis + Kreis = | Mittelpunkt
Kreis + Kegel = | Lotpunkt
Kreis + Zylinder = | Lotpunkt
Kreis + Ellipse | Mittelpunkt
Kreis + Gerade = | Durchstoßpunkt
Kreis + Ebene = | Projektionspunkt
Kreis + Satz = | Mittelpunkt
Kreis + Langloch = | Mittelpunkt
Kreis + Kugel = | Mittelpunkt
Kegel + Kegel = | Schnittpunkt
Kegel + Zylinder = | Schnittpunkt
Kegel + Ellipse | Lotpunkt
Kegel + Ebene = | Durchstoßpunkt
Kegel + Satz = | Lotpunkt
Kegel + Langloch = | Schnittpunkt
Zylinder + Ellipse | Lotpunkt
Zylinder + Ebene = | Durchstoßpunkt
Zylinder + Satz = | Lotpunkt
Zylinder + Langloch = | Schnittpunkt
Ellipse + Ellipse | Mittelpunkt
Gerade + Kegel = | Schnittpunkt
Gerade + Zylinder = | Schnittpunkt
Gerade + Ellipse | Lotpunkt
Gerade + Gerade = | Schnittpunkt
Gerade + Ebene = | Durchstoßpunkt
Gerade + Satz = | Lotpunkt
Gerade + Langloch = | Schnittpunkt
Gerade + Kugel = | Lotpunkt
Ebene + Ellipse | Projektionspunkt
Ebene + Ebene = | Projektionspunkt
Ebene + Satz = | Projektionspunkt
3 Punkte = | Eckpunkt
Punkt + Kreis = | Mittelpunkt
Punkt + Kegel = | Lotpunkt
Punkt + Zylinder = | Lotpunkt
Punkt + Ellipse = | Mittelpunkt
Punkt + Gerade = | Lotpunkt
Punkt + Ebene = | Projektionspunkt
Punkt + Punkt = | Mittelpunkt
Punkt + Satz = | Mittelpunkt
Punkt + Langloch = | Mittelpunkt
Punkt + Kugel = | Mittelpunkt
Satz + Ellipse | Mittelpunkt
Satz + Satz = | Mittelpunkt
Langloch + Ellipse | Mittelpunkt
Langloch + Ebene = | Projektionspunkt
Langloch + Satz = | Mittelpunkt
Langloch + Langloch = | Schnittpunkt
Kugel + Kegel = | Lotpunkt
Kugel + Zylinder = | Lotpunkt
Kugel + Ellipse | Mittelpunkt
Kugel + Ebene = | Projektionspunkt
Kugel + Satz = | Mittelpunkt
Kugel + Langloch = | Mittelpunkt
Kugel + Kugel = | Mittelpunkt


Erstellen eines Kreiselements

Abhängiges Element Kreis erstellen (Dialogfeld)

Zur Erstellung eines Kreises mit PC-DMIS stehen mehrere Methoden zur Auswahl. In der nachstehenden Tabelle werden die verschiedenen Typen erstellter Kreise sowie die jeweils erforderlichen Eingaben angeführt. Bei einigen Elementen sind keine Eingaben erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff 'Beliebig' in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für die Erstellung in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungskreis | BE | Mind. drei Eingaben sind erforderlich. | - | - | Erstellt einen Besteinpassungskreis anhand der vorgegebenen Eingaben
Besteinpassung mit Neukompensierungskreis | BENEUKO | Mind. drei Eingaben sind erforderlich. (eine davon muss ein Punkt sein) | - | - | Erstellt einen Besteinpassungskreis anhand der vorgegebenen Eingaben
Kreis am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Erstellt einen Kreis im Flächenmittelpunkt des Eingabeelements
Kegelkreis (auch als Messlehre-Durchmesser bekannt) | KEGEL | 1 | Kegel | - | Erstellt einen Kreis am angegebenen Durchmesser oder auf der angegebenen Höhe des Kegels
Schnittkreis | SCHNITT_VON | 2 | Kreis, Kugel, Kegel oder Zylinder. | Ebene | Erstellt einen Kreis am Schnittpunkt des kreisförmigen Elements mit einer Ebene, einem Kegel oder einem Zylinder
 |  |  | Ebene | Kreis, Kugel, Kegel oder Zylinder
 |  |  | Kegel | Kegel oder Zylinder
 |  |  | Zylinder | Kegel
Projektionskreis | PROJ | 1 oder 2 | Beliebig | Ebene | Bei nur einem EingabeElement wird der Kreis in die Arbeitsebene projiziert
Umkehrkreis | UMK | 1 | Kreis | - | Erstellt einen Kreis mit einem umgekehrten Vektor
Scan-Segmentkreis | SCAN_SEGMENT | 1 | Scan | - | Erstellt einen Bogen aus einem Teil eines Offene Linie- oder Geschlossene Linie-Scans.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie einen Kreis:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Option Innen oder Außen.

  4. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Auto Kreis

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungskreis

  • Schnittkreis

  • Kreis am Schwerpunkt

  • Projektionskreis

  • Umgekehrter Kreis

  • Scan-Segment

  • Kreis aus einem Kegel

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für die Erstellung eines Beispielkreises angezeigte Befehlszeile lautet:
Elementname=ELEMENT/KREIS,TOG1,TOG4,TOG5
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm
ABHÄNGIG/TOG2,TOG3

Wenn TOG2 = KREIS und TOG3 = BE or BENEUKO, dann hat der Befehl folgendes Format:
Elementname=ELEMENT/KREIS,TOG1,TOG4,TOG5
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm
ABHÄNGIG/KREIS,TOG3
AUSREISSER_ENTFERNEN/TOG6, Sigmafaktor
FILTER/TOG6, WPU =Grenzfrequenz

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

Auto ist die Standardmethode zur Erstellung. Informationen hierzu finden Sie unter " Auto Kreiserstellung".

TOG1= POLAR oder KART

TOG2 = KREIS

TOG3 = BE / BENEUKO / SCHWERPKT / KEGEL / SCHNITT_VON / PROJ / UMK / SCAN_SEGMENT

TOG4 = INNEN / AUSSEN

TOG5 = KLEINSTE_QUAD / PFERCHKREIS / HÜLLKREIS / MINMAX / FESTER_RAD (nur bei gemessenen, BE- und BENEUKO-Kreisen)

TOG6 = EIN/AUS

Sigmafaktor = Anhand dieses Sigmafaktors wird ermittelt, ob ein Messpunkt ein Ausreißer ist oder nicht. Wenn der Punkt weiter vom Kreis entfernt ist als die mit diesem Wert multiplizierte Standardabweichung, handelt es sich um einen Ausreißer, der entfernt wird, wenn Sie die Option Entferne Ausreißer aktiviert haben.

Grenzwellenlänge = Dieser Wert steuert den Glättungsfaktor für die Datenmenge. Je größer der Abstand, desto höher ist der Glättungsfaktor.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Kreisen gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Kreistypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

In den nachstehenden Abschnitten werden die zur Erstellung eines Kreises verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenkreis

Ertsellen eines Auto-Kreises

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskreises

Erstellen eines Schnittkreises

Erstellen eines Kreises am Schwerpunkt

Erstellen eines Projektionskreises

Ändern der Richtung eines Kreises

Erstellen eines Bogens aus einem Teil-Scan

Erstellen eines Kreises am minimalen Punkt eines Scans

Erstelllen eines Kreises aus einem Kegel


Innen-/Außenkreis

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob der Kreis als interner bzw. als externer Kreis erstellt werden soll.

  • Wird Innen gewählt, erstellt PC-DMIS den Kreis als internen Kreis.

  • Wird Außen gewählt, erstellt PC-DMIS den Kreis als externen Kreis oder Stift.


Erstellen eines Auto-Kreises

Aus der nachstehenden Tabelle geht hervor, welcher Kreistyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und erstellt den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Eingabeelement(e) | Abhängige Elemente
Ein beliebiger Satz = | Besteinpassungskreis
Beliebiger Kreis = | Umkehrkreis
Beliebiger Kegel = (mit Durchmesser) | Kegelkreis
Beliebiges Element = (außer Kreis/Kegel/Satz) | Kreis am Schwerpunkt
Kegel + Kegel = | Schnittkreis
Kegel + Zylinder = | Schnittkreis
Kegel + Ebene = | Schnittkreis
Kegel + Kugel = | Schnittkreis
Zylinder + Kugel = | Schnittkreis
Ebene + Kreis = | Projektionskreis
Ebene + Ellipse = | Projektionskreis
Ebene + Gerade = | Projektionskreis
Ebene + Ebene = | Projektionskreis
Ebene + Punkt = | Projektionskreis
Ebene + Satz = | Projektionskreis
Ebene + Langloch = | Projektionskreis
Ebene + Kugel = | Schnittkreis


Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskreises

Ein Besteinpassungskreis kann aus drei oder mehr Elementen erstellt werden. Der Vektor des erstellten Kreises verläuft senkrecht zur aktuellen Arbeitsebene. Bei der Besteinpassungs-Erstellungsmethode werden die tatsächlichen Messpunkte verwendet und nicht (wie bei der Besteinpassungs-Neukompensierung) die Kugeltastermitte.

So erstellen Sie einen Besteinpassungs-Kreis oder einen Besteinpassungs-Kompensierungskreis:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Markieren Sie entweder den Optionsschalter Besteinpassung oder Besteinpassung-Neukompensierung (Diese Optionen werden als Besteinpassung bzw. BE Neukompensiert angezeigt).

  3. Wählen Sie aus der Liste Besteinpassungstyp den Typ der Besteinpassungserstellung (die in der Erstellung zu verwendenden Elemente) aus.

  4. Wählen Sie mindestens drei Elemente aus.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KREIS, BE, Element_1, Element_2, …
AUSREISSER_ENTFERNEN/ (AUS | EIN), Sigmafaktor
FILTER/(AUS | EIN), WPU=Grenzfrequenz

Die Methoden "Ausreißer entfernen" und "Filterung" werden nachfolgend beschrieben.

Siehe auch:

Besteinpassungstyp

Ausreißer entfernen / Sigmafaktor

Gauß-Filter / Grenzfrequenz verwenden


Besteinpassungstyp

Die folgende Liste steht zur Auswahl zur Verfügung, wenn Sie bei der Kreiserstellung die Optionen Besteinpassung oder BE Neuk. auswählen. Damit können Sie den Typus der zu verwendenden Besteinpassungserstellung bestimmen. Zur Auswahl stehen:

  • KLEINSTE_QUAD

  • PFERCHKR

  • HÜLLKR

  • MINMAX

  • FESTER_RAD

Diese Methoden werden in der folgenden Tabelle erläutert:

Listeneintrag | Beschreibung
KLEINSTE_QUAD | Kleinste Quadrate – Dieser Berechnungstyp ist eine Methode der Einpassung, durch die der durchschnittliche quadrierte Radiusabstand der Datenpunkte zum Kreis minimiert wird. Die Quadratwurzel dieser Menge ist der quadratische Mittelwert (RMS) des Abstands. Da der RMS-Abstand auf einem Durchschnittswert beruht, können manche Punkte weiter vom berechneten Kreis entfernt sein als der RMS-Abstand.
MINMAX | Minimalabstand – Mit diesem Berechnungstyp wird ein Kreis auf der halben Strecke zwischen zwei konzentrischen Kreisen, die die Datenpunkte enthalten, generiert, wobei die Differenz zwischen ihren Radien so klein wie möglich gehalten wird. Die dem Berechnungstyp MINMAX zugrundeliegende Min./Max.-Mathematik minimiert den maximalen Fehler oder die maximale Abweichung der Eingabedaten zum Kreis. Der Min./Max. Fehler entspricht der Hälfte des Mindestabstands. Es gibt keine Eingabedatenpunkte (oder Eingabeelemente), die weiter vom Min./Max. Kreis entfernt liegen als der Min./Max. Fehler. Durch diese Berechnung wird ermittelt, ob alle Eingabedaten (oder Eingabeelemente) innerhalb der vorgegebenen Toleranzen liegen oder nicht.
PFERCHKR | Maximaler Innenkreis – Mit diesem Berechnungstyp wird ein leerer Kreis mit dem größtmöglichen Durchmesser innerhalb der Daten generiert. PC-DMIS berechnet zuerst einen Minimalen Umkreis und fordert dann, dass der Mittelpunkt des Maximalen Innenkreis innerhalb dieses Umkreises liegt. Diese Option könnte für ein Kreiselement verwendet werden, für das ein passender Bolzen benötigt wird. Wenn die Eingabedaten beispielsweise eine Bohrung darstellen, dann gibt diese Berechnung einen Kreis mit dem Durchmesser des größten Bolzens, der in die Bohrung passen wird, wieder.
HÜLLKR | Minimaler Umkreis – Mit diesem Berechnungstyp wird ein Kreis mit dem kleinsten möglichen Durchmesser generiert, der die Eingabedaten (oder Eingabeelemente) einschließt. Diese Option könnte zum Messen eines Bolzens, der in ein entsprechendes Kreiselement passt, verwendet werden. Das Ergebnis wäre die kleinste Bohrung, in die der Bolzen passen würde.
FESTER_RAD | Fester Radius – Mit diesem Berechnungstyp wird ein Kreis vorgegebenen Durchmessers erzeugt, der so positioniert wird, dass der maximale Kreisabstand der Datenpunkte zum Kreis minimiert wird. Diese Methode ist mit der in der Berechnung MINMAX verwendeten Min./Max.-Mathematik vergleichbar, nur dass der Radius nicht variieren kann, da der Durchmesser bereits bekannt ist. Nur die Position des Kreises kann variieren.


Ausreißer entfernen / Sigma Faktor

Bei einem Besteinpassungs(BE)- oder Besteinpassung-Neukompensierungskreis (BENEUKO) haben Sie die Möglichlichkeit, Ausreißer zu entfernen, die durch den Abstand zum Besteinpassungselement definiert werden. Dadurch können während des Messvorgangs auftretende Anomalien beseitigt werden.

PC-DMIS passt zuerst einen Kreis in die Daten ein und bestimmt dann auf Basis des Sigma Faktors, welche Punkte Ausreißer sind. Dann wird folgendermaßen verfahren:

  • PC-DMIS berechnet den Besteinpassungskreis nach dem Entfernen dieser Ausreißer neu.

  • Das Vorhandensein weiterer Ausreißer wird geprüft.

  • Der Besteinpassungskreis wird erneut berechnet.

  • Dieser Vorgang wird wiederholt, bis keine Ausreißer mehr zu finden sind oder PC-DMIS den Kreis nicht mehr berechnen kann. (PC-DMIS kann den Kreis nur mit mindestens drei Datenpunkten berechnen).


Gauß-Filter / Grenzfrequenz verwenden

Kreise, die mit den Funktionen Besteinpassung (BE) und Besteinpassung-Neukompensierung (BENEUKO) erstellt wurden, bieten optional die Möglichkeit, die Abweichungen der gemessenen Datenpunkte von dem aus den Messdaten berechneten Besteinpassungskreis zu filtern. Mit dem Kontrollkästchen Gauß-Filter verwenden wird ein Gaußscher Filter mit einer als Wellen pro Umdrehung (WPU) eingegebenen Grenzfrequenz aktiviert. Allgemein werden durch eine niedrigere Grenzfrequenz angeglichenere Filterdaten erzeugt. Wenn Sie das Kontrollkästchen Entferne Ausreißer markiert haben und die Daten filtern, werden die Ausreißerdaten vor der Filterung entfernt.


Erstellen eines Schnittkreises

Ein Kreis kann zwischen einem Kegel (Kreis, Zylinder, Kugel) und einer Ebene ertellt werden. Er kann zudem auch zwischen zwei konzentrischen Kegeln oder einer Kombination aus konzentrischem Kegel und Zylinder erstellt werden.

PC-DMIS erstellt dabei am Schnittpunkt des Kreiselements und der Ebene oder zwischen dem Kegel und dem Kegel oder zwischen dem Kegel und dem Zylinder einen Kreis.

  • Am Schnittpunkt eines kreisförmigen Elements und einer Ebene erstellt PC-DMIS stets einen echten Kreis (keine Ellipse), auch dann, wenn das kreisförmige Element nicht genau rechtwinklig zur Ebene liegt. Der Mittelpunkt des neuen Kreises liegt an dem Punkt, an dem die Mittellinie des kreisförmigen Elements die Ebene durchstößt. Der Vektor des Kreises ist der Vektor des durchstoßenden kreisförmigen Elements.

  • Bei den Kegel/Kegel- bzw. Kegel/Zylinder-Kombinationen wird auch dann ein echter Kreis erstellt, wenn die sich überschneidenden Elemente keinen echten Kreis bilden.

So erstellen Sie einen Schnittkreis:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schnitt.

  3. Wählen Sie das erste Element aus. Hier sind die Elemente Kreis, Kegel, Zylinder oder Kugel zulässig.

  4. Wählen Sie das zweite Element aus. Hierbei muss es sich um eine Ebene handeln.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KREIS,SCHNITT_VON,Element_1,Element_2

Erstellen eines Kreises aus einem Kegel und einer Ebene


Erstellen eines Kreises am Schwerpunkt

Sie können einen Kreis erstellen, indem Sie ein beliebiges vorhandenes Element in einen Kreis umändern. PC-DMIS erstellt den Kreis am Flächenmittelpunkt des Eingabeelements. Wird ein Blechpunkt verwendet, dann entspricht der Durchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Durchmesser durch die Breite bestimmt. Bei Elementen, die keinen Durchmesser haben (Geraden, Punkte etc.), wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Sie können den Kreisdurchmesser ändern und damit den Kreis von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn der Kreis dann ausgeführt wird, bedeutet dies, dass der Durchmesser nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie den Durchmesser in den Fällen kontrollieren, wo das Eingabeelement eigentlich keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld "Abhängig/unabhängig" ist ein Umschaltfeld, das durch Sie geändert werden kann.

In einem solchen Fall legt PC-DMIS diesen Durchmesserwert allen Berechnungen zugrunde und verwendet nicht den oben beschriebenen Standard-Durchmesserwert.

So erstellen Sie einen Kreis am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie mindestens ein Element beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KREIS,SCHWERPKT,Element_1,(ABHÄNGIG | UNABHÄNGIG)


Erstellen eines Projektionskreises

Ein Kreis kann aus einem beliebigen Element und einer Ebene erstellt werden. PC-DMIS projiziert den Flächenmittelpunkt des betreffenden Elements in die Ebene und erstellt so einen Kreis. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die aktuelle Arbeitsebene. Der Durchmesser des projizierten Kreises wird dem Vierfachen des Tasterdurchmessers entsprechen.

Vorgehensweise:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Projektion.

  3. Wählen Sie ein Element beliebigen Typs aus.

Hinweis: Es kann auch ein zweites Element ausgewählt werden. Hierbei muss es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KREIS,PROJ,Element_1,(Element_2)

Erstellen eines Kreises aus einem Kreis und einer Ebene


Ändern der Richtung eines Kreises

Ein Kreis kann mit einem umgekehrten Vektor erstellt werden.

Vorgehensweise:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um einen Kreis handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KREIS,UMK,Element_1


Erstellen eines Bogens aus einem Teil-Scan

Ein Kreis kann aus einem Segment eines Offene Linie-, Geschlossene Linie- oder Basiskreis-Scans erstellt werden. PC-DMIS erstellt einen Bogen aus einem Teil-Scan. Einzelheiten zu diesem Erstellungsvorgang werden in diesem Abschnitt näher erläutert.

So erstellen Sie einen Scan-Segmentkreis:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Scan-Segment.

  3. Wählen Sie einen zuvor erstellten Offene Linie-, Geschlossene Linie- oder Basiskreis-Scan.

  4. Klicken Sie auf die Schaltfläche Segmentdaten. Das Dialogfeld Scan-Segment wird angezeigt.

Scan-Segment (Dialogfeld)

  5. Wählen Sie entweder die Option Besteinpassung oder BE Neuk. aus.

  6. Wählen Sie in diesem Dialogfeld den für das Erstellen verwendeten Teil-Scan aus.

  7. Geben Sie die Anzahl an Punkten an, die verworfen werden sollen, indem Sie die entsprechenden Werte in die Felder Anz. der ignorierten Punkte am Scananfang und Anz. der ignorierten Punkte am Scanende eingeben.

  8. Geben Sie im Feld Max zul. Formtoleranz (Pkt. außerh. werd. ign.) einen Abstand zum Besteinpassungskreis ein. Diese Toleranz ist eine Formtoleranz. Mit ihr wird gesteuert, welche Endpunkte als Teil des Bogens akzeptiert werden. Wenn die Entfernung vom Scanpunkt zum Besteinpassungsbogen diesen Toleranzwert überschreitet, wird der Endpunkt verworfen.

  9. Geben Sie für den Scan einen Wert für Ungefährer Anfangspunkt und Ungefährer Endpunkt ein, indem Sie das Kontrollkästchen Punkte auswählen aktivieren und anschließend in das Grafikfenster klicken, um die X-, Y-, Z-Felder auszufüllen. Sie können im Grafikfenster an eine beliebige Stelle klicken. PC-DMIS platziert den Punkt an der Stelle auf dem Scan, die Ihrem Mausklick am nächsten liegt. Sie können die Punktwerte auch über die Tastatur bearbeiten.

  10. Klicken Sie auf OK, um die Daten zu akzeptieren und das Dialogfeld Scan-Segment zu schließen.

  11. Klicken Sie auf Erzeugen, um aus dem Scan einen Bogen zu erstellen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

ABHÄNGIG/KREIS,SCAN_SEGMENT,Einpassungstyp,Element_1,Startpunkt_x,Startpunkt_y,Startpunkt_z,Endpunkt_x,Endpunkt_y,Endpunkt_z,ignoriere_Startpunkt,ignoriere_Endpunkt,Toleranz

Wenn Sie mehr als nur einen Bogen oder eine Gerade aus einem Scan erstellen möchten, müssen Sie einen weiteren Befehl für einen anderen Scan-Abschnitt hinzufügen.

Siehe auch:

Bestimmen der Daten für die Bogenerstellung


Bestimmen der Daten für die Bogenerstellung

Die Daten zum Erstellen des Bogens werden wie folgt bestimmt:

  • Zunächst wird ein Segment des Scans mit Hilfe eines Anfangs- und eines Endpunkts innerhalb des Scans ermittelt. Als Anfangs- und Endpunkte werden die Scanpunkte gewählt, die sich am nächsten zu [Start_x, Start_y, Start_z] bzw. zu [Endpunkt_x, Endpunkt_y, Endpunkt_z] befinden.

  • Die Punkte werden dann von den Anfangs- und Endpunkten des Scans verworfen. Die Anzahl an verworfenen Punkten am Start wird durch die Option Anz. der ignorierten Punkte am Scananfang und am Ende durch Anz. der ignorierten Punkte am Scanende angegeben. Diesem Punktesatz wird dann ein Bogen angepasst.

  • Schließlich werden die Anfangs- und Endpunkte wieder hinzugefügt, sofern sie sich innerhalb des definierten Toleranzwerts befinden. Diesem neuen Punktesatz wird dann erneut der Bogen angepasst.

Der Wert für Einpassungstyp kann BE (Besteinpassung ) oder BENEUKO (Besteinpassungs-Neukompensierung) lauten. Hierdurch wird festgelegt, ob bei der Berechnung des Bogens eine Besteinpassung oder eine Besteinpassungs-Neukompensierung durchgeführt wird. Weitere Einzelheiten zu diesen beiden Optionen finden Sie unter "Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskreises".


Erstellen eines Kreises am minimalen Punkt eines Scans

Mit diesem Element können Sie einen 2D-Kreis eines vorgegebenen Radius am minimalen Punkt entlang eines Linien-Scans erstellen. PC-DMIS findet den minimalen Punkt unter Verwendung eines Anfangspunkts und eines nach unten weiterverlaufenden Vektors (wie in der nachfolgenden Abbildung 1).

PC-DMIS projiziert den Scan auf die aktuelle Arbeitsebene. Der Kreis wird in einer Ebene liegen, die parallel zur Arbeitsebene verläuft. Der Scan wird als eine Linie zwischen aufeinanderfolgenden Punkten interpretiert (stückweise linear). Demnach "fällt" der Kreis, der am minimalen Punkt entlang des Scans platziert ist, nicht zwischen zwei aufeinanderfolgende Scan-Punkte. Stattdessen wird er gezwungenermaßen eine die beiden Punkte verbindende Linie berühren.

Gültige Eingabearten

Die Eingabe für diese Erstellung muss ein Scan vom Typ "Line" sein. Dadurch sind alle Scans, die zum Scannen einer Fläche vorgesehen sind, ausgeschlossen: Flächen-, UV-, Gitter-, Mehrschnitt-, Manueller Laser- und Zylinder-Scan.

Verfahren zur Erstellung

So beginnen Sie mit dieser Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Scan-Minimum.

  3. Wählen Sie einen Linien-Scan aus der Elementliste aus. Ein Flächen-Scan kann nicht verwendet werden.

  4. Klicken Sie auf die Schaltfläche Sucheinstellung.

  5. Das Dialogfeld Scan-Kreisminimum Sucheinstellung wird angezeigt:

  6. Definieren Sie die Startkoordinaten", deren Abwärtsrichtung und deren Durchmesser.

  7. Klicken Sie auf OK, um den Kreis zu erstellen. PC-DMIS erstellt den Kreis und fügt den Erstellungsbefehl in das Bearbeitungsfenster ein.

Siehe auch:

Regeln zur Erstellung

Kein lokales Minimum vorhanden

Befehl des Bearbeitungsfensters

Zusätzliche Beispiele


Regeln zur Erstellung

Ein gültiger Anfangspunkt und -vektor folgt diesen beiden Regeln:

Erstens, ein Kreis mit vorgegebenem Durchmesser und Anfangspunkt sollte sich nicht mit dem Scan überschneiden. Abbildung 2 zeigt einen Verstoß gegen diese Regel.

Zweitens, der projizierte Kreis vom Anfangspunkt entlang des nach unten führenden Vektors muss den Scan schneiden. Abbildung 3 zeigt einen Verstoß gegen diese Regel.


Kein lokales Minimum vorhanden

Wenn der Scan kein lokales Minimum (natürlicher Ruheplatz des Kreises) aufweist, dann folgt der Kreis dem Scan bis zum niedrigsten Punkt, wobei er den Kontakt mit dem Scan nicht verliert (siehe Abbildung 4).


Befehl des Bearbeitungsfensters

Befehl des Bearbeitungsfensters für ein erstelltes Kreisminimum eines Scans

KREIS2 =ELEMENT/KREIS,KART,AUSSEN

NENN/tx,ty,tz,ti,tj,tk,td

MESS/mx,my,mz,mi,mj,mk,md

ABHÄNGIG/KREIS,SCAN_MINIMUM,Scan ID

ANFANG/xSP, xSP, xSP

RUNTER/iABW, iABW, iABW

Wo:

tx,ty,tz | der theoretischen Kreisposition entspricht
ti,tj,tk | dem theoretischen Kreisvektor entspricht
td | dem theoretischen Kreisdurchmesser entspricht
mx,my,mz | der gemessenen Kreisposition entspricht
mi,mj,mk | dem gemessenen Kreisvektor entspricht
md | dem gemessenen Kreisdurchmesser entspricht
Scan-ID | der ID des Scans entspricht, die verwendet werden soll
xSP, xSP, xSP | dem Anfangspunkt zum Ermitteln des Minimums entspricht.
iABW, iABW, iABW | dem nach unten weiterverlaufenden Vektor entspricht.


Zusätzliche Beispiele


Erstelllen eines Kreises aus einem Kegel

Ein Kreis kann mit einem vorgegebenen Kegeldurchmesser aus einem Kegel erstellt werden, oder in einer bestimmten Höhe über der aktuellen Ausrichtungsebene. Ein Kegelkreiselement mit einem bestimmten Durchmesser wird auch als Messlehre-Durchmesser bezeichnet.

Informationen zum Höhenwert

Beim Erstellen eines Kreises nach einer bestimmten Höhe berechnet PC-DMIS den Kreis auf folgende Weise: Aus dem Bezugspunkt und dem Führungsvektor wird eine Ebene erzeugt. Dann wird unter Verwendung des Höhenwerts aus dieser Ebene eine parallele Versatzebene erzeugt. Diese parallele Ebene schneidet die Kegelachse und die Schnittstelle bildet die Position des resultierenden Kreiselements. Der Durchmesser des Kreises entspricht dem Durchmesser des Kegels an diesem Schnittpunkt.

Verfügbare Optionen für den Bezugspunkt (REF_PUNKT):

  • KEGELSPITZE

  • DECKFLÄCHE

  • GRUNDFLÄCHE

  • NULLPUNKT

Verfügbare Optionen für den Führungsvektor (BEZ_VEKTOR):

KEGEL_VEKTOR

ARBEITSEBENE

ZPLUS

ZMINUS

XPLUS

XMINUS

YPLUS

YMINUS

Würden Sie den Nullpunkt zum Beispiel als Bezugspunkt und ZPLUS als Führungsvektor verwenden, dann würde PC-DMIS aus dem Nullpunkt und dem ZPLUS-Vektor eine Ebene erstellen. Dann würde PC-DMIS eine Parallelebene nach vorgegebenem Höhenwert und an der Schnittstelle mit dem Kegel ein Kreiselement erstellen. Der im Bearbeitungsfenster angezeigte Code sieht etwa so aus:

KREIS2 =ELEMENT/KREIS,KART,AUSSEN

NENN/-67.295;2.595;-7.152;0.0310723;-0.0214397;-0.9992872;29.411

MESS/-67.295;2.595;-7.152;0.0310723;-0.0214397;-0.9992872;29.411

ABHÄNGIG/KREIS,KEGEL,KEGEL2,HÖHE,5,REF_PUNKT = NULLPUNKT,BEZ_VEKTOR = ZPLUS

Vorgehensweise bei einem Kegelkreiselement:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kreis erstellen auf (Einfügen | Element | Abhängiges Element | Kreis). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Kegel.

  3. Wählen Sie ein Element aus. Es muss sich dabei um einen Kegel handeln.

  4. Wählen Sie aus der Auswahlliste Typ entweder DURCHMESSER oder HÖHE aus.

  5. Geben Sie einen Wert für den Durchmesser oder die Höhe in das Feld Wert ein.

  6. Wenn Sie Höhe ausgewählt haben:

    • Wählen Sie einen Bezugspunkt aus der Punktliste aus.

    • Wählen Sie einen Führungsvektor aus der Vektorliste aus.

  7. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

ABHÄNGIG/KREIS,KEGEL,DURCHM,Element_1

Oder

ABHÄNGIG/KREIS,KEGEL,HÖHE,Wert,REF_PUNKT=Punkt,BEZ_VEKTOR=Vektor,Element_1


 Constructing a Cast Ellipse Constructing a Projected Ellipse Changing the Direction of an Ellipse Constructing a BF or BFRE Recompensate Ellipse Close button Create button Clear button Feature List box Select Last # Search ID ID In / Out Ellipse Auto Ellipse Construction

Erstellen eines Ellipsenelements

Abhängiges Element Ellipse erstellen (Dialogfeld)

PC-DMIS bietet mehrere Möglichkeiten zum Erstellen einer Ellipse. In der nachstehenden Tabelle werden die verschiedenen Arten erstellter Ellipsen zusammen mit den erforderlichen Eingaben aufgeführt. Bei einigen Elementen sind keine Eingaben erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff 'Beliebig' in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für die Erstellung in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungsellipse | BE | Mind. drei Eingaben sind erforderlich. | - | - | Erstellt eine Besteinpassungsellipse anhand der vorgegebenen Eingaben
Besteinpassung mit Neukompensierungsellipse | BENEUKO | Mind. drei Eingaben sind erforderlich. (eine davon muss ein Punkt sein) | - | - | Erstellt eine Besteinpassungsellipse anhand der vorgegebenen Eingaben
Ellipse am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Erstellt eine Ellipse im Flächenmittelpunkt des Eingabeelements
Projizierte Ellipse | PROJ | 1 oder 2 | Beliebig | Ebene | Bei nur einem Eingabeelement wird die Ellipse in die Arbeitsebene projiziert
Umkehrkreis | UMK | 1 | Kreis | - | Erstellt einen Kreis mit einem umgekehrten Vektor

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie eine Ellipse:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ellipse erstellen auf (Einfügen | Element | Abhängiges Element | Ellipse). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Option Innen oder Außen.

  4. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Auto Kreis

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungsellipse

  • Ellipse am Schwerpunkt

  • Projektionsellipse

  • Umgekehrte Ellipse

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Ellipsenerstellung würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
Elementname=ELEMENT/Ellipse,TOG1,TOG4
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Hauptdurchm,Nebendurchm,i Winkelvektor, j Winkelvektor, k Winkelvektor
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Hauptdurchm,Nebendurchm,i Winkelvektor,j Winkelvektor,k Winkelvektor
ABHÄNGIG/TOG2,TOG3

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

Auto ist die Standardmethode zur Erstellung. Informationen hierzu finden Sie unter "Auto Punkterstellung".

TOG1= POLAR oder KART

TOG2 = ELLIPSE

TOG3 = BE / BENEUKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Ellipsen gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Ellipsentypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

In den nachstehenden Abschnitten werden die zum Erstellen einer Ellipse verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenellipse

Erstellen einer Ellipse am Schwerpunkt

Erstellen einer Projektionsellipse

Ändern der Richtung einer Ellipse

Erstellen einer Auto Ellipse


Innen-/Außenellipse

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob die Ellipse als interne bzw. als externe Ellipse erstellt werden soll.

· Wird Innen gewählt, erstellt PC-DMIS die Ellipse als Innenellipse.

· Wird Außen gewählt, erstellt PC-DMIS die Ellipse als Außenellipse oder Stift.


Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsellipse

Eine Besteinpassungsellipse kann aus drei oder mehr Elementen erstellt werden. Die Ellipse liegt in der aktuellen Arbeitsebene. Bei der Besteinpassungs-Erstellungsmethode werden die tatsächlichen Messpunkte verwendet und nicht (wie bei der Besteinpassungs-Neukompensierung) die Kugeltastermitte. In beiden Fällen berechnet PC-DMIS die Ellipse mit der Methode Kleinste Quadrate – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zur Ellipse.

So erstellen Sie eine Besteinpassungs- oder Besteinpassungs-Neukompensierungsellipse:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ellipse erstellen auf (Einfügen | Element | Abhängiges Element | Ellipse). Menü-Übersicht anzeigen

  2. Markieren Sie entweder den Optionsschalter Besteinpassung oder Besteinpassung-Neukompensierung (Diese Optionen werden als Besteinpassung bzw. BE Neukompensiert angezeigt).

  3. Wählen Sie mindestens drei Elemente aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster: ABHÄNGIG/ELLIPSE,BE,Element_1,Element_2,Element_3...
(Verwendet die tatsächlich gemessenen Punkte zur Erstellung.)
oder
ABHÄNGIG/ELLIPSE,BENEUKO,Element_1,Element_2,Element_3...
(Für die Messung wird der Mittelpunkt des Tasters verwendet.)


Erstellen einer Ellipse am Schwerpunkt

Sie können eine Ellipse erstellen, indem Sie ein beliebiges vorhandenes Element in eine Ellipse umändern. PC-DMIS erstellt den Kreis am Flächenmittelpunkt des Eingabeelements. Wird ein Blechpunkt verwendet, dann entspricht der Durchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Hauptdurchmesser durch die Breite bestimmt. Bei Elementen ohne Breite (Geraden, Punkte etc.) wird ein Vierfaches des Tasterdurchmessers als Wert verwendet. Die Länge des Eingabeelements stellt den Nebendurchmesser dar. Bei Elementen ohne Länge (Punkte, Kreise usw.) wird eine Standardlänge 1 verwendet.

Sie können den Haupt- und Nebendurchmesser der Ellipse ändern und die Ellipse damit von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn die Ellipse dann ausgeführt wird, bedeutet dies, dass Haupt- und Nebendurchmesser nicht in Abhängigkeit vom Eingabeelement geändert werden, sondern unabhängig vom Eingabeelement sind. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie den Durchmesser in den Fällen kontrollieren, wo das Eingabeelement eigentlich keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld "Abhängig/unabhängig" ist ein Umschaltfeld, das durch Sie geändert werden kann.

In einem solchen Fall legt PC-DMIS diese Durchmesserwerte allen Berechnungen zugrunde und verwendet nicht die voranstehend beschriebenen standardmäßigen Durchmesserwerte.

So erstellen Sie eine Ellipse am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ellipse erstellen auf (Einfügen | Element | Abhängiges Element | Ellipse). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie mindestens ein Element beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ELLIPSE,SCHWERPKT,Element_1,(ABHÄNGIG | UNABHÄNGIG)


Erstellen einer Projektionsellipse

Eine Ellipse kann auf eine Ebene projiziert werden. PC-DMIS projiziert den Flächenmittelpunkt des betreffenden Elements auf die Ebene und erstellt so eine Ellipse. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die aktuelle Arbeitsebene. Der Hauptdurchmesser der Projektionsellipse entspricht der Breite des projizierten Elements oder dem Tasterdurchmesser (bei Elementen ohne definierte Breite). Der Nebendurchmesser entspricht der Länge des Eingabeelements bzw. der Einheit 1 (bei Elementen ohne definierte Länge).

So erstellen Sie eine Projektionsellipse:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ellipse erstellen auf (Einfügen | Element | Abhängiges Element | Ellipse). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Projektion.

  3. Wählen Sie ein Element beliebigen Typs aus.

Hinweis: Es kann auch ein zweites Element ausgewählt werden. Hierbei muss es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ELLIPSE,PROJ,Element_1,(Element_2)


Ändern der Richtung einer Ellipse

Eine Ellipse kann mit einem Umkehrvektor erstellt werden.

So ändern Sie die Ellipsenrichtung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ellipse erstellen auf (Einfügen | Element | Abhängiges Element | Ellipse). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um eine Ellipse handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ELLIPSE,UMK,Element_1


Erstellen einer Auto-Ellipse

Aus der nachstehenden Tabelle geht hervor, welcher Ellipsentyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO aktiviert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an und erstellt den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ellipse erstellen auf (Einfügen | Element | Abhängiges Element | Ellipse). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Eingabeelement(e) | Abhängige Elemente
Ein beliebiger Satz = | Besteinpassungsellipse
Eine beliebige Ellipse = | Umkehrellipse
Ein beliebiges Element =?(außer Ellipse/Satz) | Ellipse am Schwerpunkt
Ebene + beliebiges Element | Projektionsellipse
Satz + Satz | Besteinpassungsellipse
Drei oder mehr Elemente | Besteinpassungsellipse


 Constructing a Reverse Sphere Constructing a Cast Sphere Close button Create button Clear button Constructing a Best Fit or Best Fit Recompensate Sphere Creating an Auto Sphere In / Out Sphere Feature List box Select Last # Search ID ID Constructing a Projected Sphere

Erstellen eines Kugelelements

Abhängiges Element Kugel erstellen (Dialogfeld)

PC-DMIS bietet verschiedene Möglichkeiten zum Erstellen einer Kugel. In der nachstehenden Tabelle werden die verschiedenen Arten erstellter Kugeln zusammen mit den erforderlichen Eingaben angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen fünf oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für das Erstellen in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungskugel | BE | Mind. fünf Eingaben sind erforderlich. | - | - | Erstellt eine Besteinpassungskugel anhand der vorgegebenen Eingaben
Besteinpassung mit Neukompensierungskugel | BENEUKO | Mind. fünf Eingaben sind erforderlich. (eine davon muss ein Punkt sein) | - | - | Erstellt eine Besteinpassungskugel anhand der vorgegebenen Eingaben
Kugel am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Erstellt eine Kugel am Flächenmittelpunkt des Eingabeelements
Projektionskugel | PROJ | 1 oder 2 | Beliebig | Ebene | Bei einem Eingabeelement wird die Kugel in die Arbeitsebene projiziert
Umkehrkugel | UMK | 1 | Kugel | - | Erstellt eine Kugel mit einem Umkehrvektor

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie eine Kugel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kugel erstellen auf (Einfügen | Element | Abhängiges Element | Kugel). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungskugel

  • Kugel am Schwerpunkt

  • Projizierte Kugel

  • Kugel in Umkehrrichtung

  • Auto Kugel

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Kugelerstellung würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
Elementname=ELEMENT/KUGEL,TOG1,TOG4
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm
ABHÄNGIG/TOG2,TOG3

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

AUTO ist die Standardmethode zur Erstellung. Diese Option ermittelt automatisch die geeignetste Methode zum Erstellen einer Kugel mit Hilfe eines oder mehrerer Eingabeelemente. Informationen hierzu finden Sie unter "Auto Kugelerstellung".

TOG1 = POLAR oder KART

TOG2 = KUGEL

TOG3 = BE / BENEUKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Kugeln gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Kugeltypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

In den nachstehenden Abschnitten werden die zum Erstellen einer Kugel verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenkugel

Erstellen einer Kugel am Schwerpunkt

Erstellen einer Projektionskugel

Ändern der Richtung einer Kugel

Erstellen einer Auto Kugel


Innen-/Außenkugel

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob die Kugel als interne bzw. als externe Kuegel erstellt werden soll.

  • Wird Innen gewählt, erstellt PC-DMIS die Kugel als Innenkugel.

  • Wird Außen gewählt, erstellt PC-DMIS die Kugel als Außenkugel.


Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungskugel

Eine "Besteinpassungskugel" kann aus fünf oder mehr Elementen erstellt werden. Bei der Besteinpassungs-Erstellungsmethode werden die tatsächlichen Messpunkte verwendet und nicht (wie bei der Besteinpassungs-Neukompensierung) die Kugeltastermitte. In beiden Fällen berechnet PC-DMIS die Kugel mit der Methode Kleinste Quadrate – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zur Kugel.

So erstellen Sie eine Besteinpassungs- oder Besteinpassungs-Neukompensierungskugel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kugel erstellen auf (Einfügen | Element | Abhängiges Element | Kugel). Menü-Übersicht anzeigen

  2. Markieren Sie entweder den Optionsschalter Besteinpassung oder Besteinpassung-Neukompensierung (Diese Optionen werden als Besteinpassung bzw. BE Neukompensiert angezeigt).

  3. Wählen Sie fünf oder mehr Elemente aus.

Hinweis: Bei der Besteinpassungs-Neukompensierung muss eines der fünf Elemente ein Punkt sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KUGEL,BE,Element_1,Element_2,Element_3,Element_4,Element_5...
(Für die Erstellung werden die tatsächlichen Messpunkte verwendet.)
oder
ABHÄNGIG/KUGEL,BENEUKO,Element_1,Element_2,Element_3,Element_4,Element_5...
(Für die Messung wird der Mittelpunkt des Tasters verwendet.)

Erstellen einer Kugel aus fünf oder mehr Punkten


Erstellen einer Kugel am Schwerpunkt

Sie können eine Kugel erstellen, indem Sie ein beliebiges vorhandenes Element in eine Kugel umändern. PC-DMIS erstellt den Kreis am Flächenmittelpunkt des Eingabeelements. Wird ein Blechpunkt verwendet, dann entspricht der Durchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Durchmesser durch die Breite bestimmt. Bei Elementen, die keinen Durchmesser haben (Geraden, Punkte etc.), wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Sie können den Kugeldurchmesser ändern und damit die Kugel von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn die Kugel dann ausgeführt wird, bedeutet dies, dass der Durchmesser nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie den Durchmesser in den Fällen kontrollieren, wo das Eingabeelement eigentlich keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld "Abhängig/unabhängig" ist ein Umschaltfeld, das durch Sie geändert werden kann.

In einem solchen Fall legt PC-DMIS diesen Durchmesserwert allen Berechnungen zugrunde und verwendet nicht den oben beschriebenen Standard-Durchmesserwert.

So erstellen Sie eine Kugel am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kugel erstellen auf (Einfügen | Element | Abhängiges Element | Kugel). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KREIS,SCHWERPKT,Element_1, (ABHÄNGIG | UNABHÄNGIG)


Erstellen einer Projektionskugel

Eine Kugel kann erstellt werden, indem ein beliebiges Element in die aktuelle Arbeitsebene projiziert wird. PC-DMIS projiziert den Punkt an die Stelle, an der sich die Ebene mit dem Punkt überschneidet. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene. Bei Projektion eines Elements in die Arbeitsebene sollten Sie den gewünschten Durchmesser eingeben, da PC-DMIS andernfalls den Tasterdurchmesser verwendet.

So erstellen Sie eine Projektionskugel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kugel erstellen auf (Einfügen | Element | Abhängiges Element | Kugel). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Das erste Element kann beliebiger Art sein. Bei dem zweiten Element muss es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KUGEL,PROJ,Element_1,(Element_2)


Ändern der Richtung einer Kugel

Eine Kugel kann mit einem Umkehrvektor erstellt werden.

So erstellen Sie eine Umkehrkugel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kugel erstellen auf (Einfügen | Element | Abhängiges Element | Kugel). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um eine Kugel handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KUGEL,UMK,Element_1


Erstellen einer Auto-Kugel

Aus der nachstehenden Tabelle geht hervor, welcher Kugeltyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an und erstellt den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kugel erstellen auf (Einfügen | Element | Abhängiges Element | Kugel). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Eingabeelement(e) | Abhängige Elemente
Vier oder mehr Elemente = | Besteinpassungskugel
Ein beliebiges Element = (außer Kugel/Satz) | Kugel am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungskugel
Ebene + ein beliebiges Element = | Projektionskugel
Kugel = | Umkehrkugel


Erstellen eines Geradenelements

Abhängiges Element Gerade erstellen (Dialogfeld)

PC-DMIS bietet verschiedene Möglichkeiten zum Erstellen einer Geraden. In der nachstehenden Tabelle werden die verschiedenen Typen erstellter Geraden zusammen mit der erforderlichen Eingabe aufgeführt. Bei einigen Elementen sind keine Eingaben erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für die Erstellung in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Ausrichtungsgerade | AUSRICHTEN | 0 | - | - | Erstellt eine Gerade durch den Ausrichtungsnullpunkt
Besteinpassungsgerade | BE | Mind. zwei Eingaben sind erforderlich. | - | - | Erstellt eine Besteinpassungsgerade anhand der vorgegebenen Eingaben
Besteinpassung mit Neukompensierungsgeraden | BENEUKO | Mind. zwei Eingaben sind erforderlich. (eine davon muss ein Punkt sein) | - | - | Erstellt eine Besteinpassungsgerade anhand der vorgegebenen Eingaben
Gerade am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Erstellt eine Gerade am Flächenmittelpunkt des Eingabeelements
Schnittlinie | SCHNITT_VON | 2 | Ebene | Ebene | Erstellt eine Gerade am Schnittpunkt von zwei Ebenen
Mittellinie | MITTE | 2 | Gerade, Kegel, Zylinder, Langloch, Ebene | Gerade, Kegel, Zylinder, Langloch, Ebene | Erstellt eine Mittellinie zwischen den Eingabeelementen
Versatzgerade | VERSATZ | Mind. zwei Eingaben sind erforderlich. | Beliebig | Beliebig | Erstellt eine um den angegebenen Wert vom zweiten Element versetzte Gerade durch das erste Element
Parallelgerade | PLZU | 2 | Beliebig | Beliebig | Erstellt eine Gerade parallel zum ersten Element, die durch das zweite Element verläuft
Rechtwinklige Gerade | PRZU | 2 | Beliebig | Beliebig | Erstellt eine Gerade rechtwinklig zum ersten Element, die durch das zweite Element verläuft
Projektionslinie | PROJ | 1 oder 2 | Beliebig | Ebene | Bei Auswahl von nur einem Eingabeelement wird die Gerade in die Arbeitsebene projiziert
Umkehrgerade | UMK | 1 | Gerade | - | Erstellt eine Gerade mit einem Umkehrvektor, die durch das Eingabeelement verläuft.
Scan-Segmentgerade | SCAN_SEGMENT | 1 | Scan | - | Erstellt eine Gerade aus einem Teil eines Offene Linie- oder Geschlossene Linie-Scans.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie eine Gerade:

  1. Wählen Sie in der Menüleiste Abhängiges Element (Einfügen | Element | Abhängiges Element | Gerade). Menü-Übersicht anzeigen

  2. Öffnen Sie das Dialogfeld Abhängiges Element Gerade erstellen.

  3. Geben Sie die gewünschten Elemente ein.

  4. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Auto Gerade

  • Ausrichtungsgerade

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungsgerade

  • Gerade am Schwerpunkt

  • Schnittlinie

  • Mittellinie

  • Versatzgerade

  • Parallelgerade

  • Rechtwinklige Gerade

  • Projektionslinie

  • Gerade in Umkehrrichtung

  • Scan-Segmentgerade

  • Versatzgerade

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
Elementname=ELEMENT/GERADE,TOG1,TOG4
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
ABHÄNGIG/TOG2,TOG3,...

Wenn TOG2 = GERADE und TOG3 = BE oder BENEUKO, dann lautet der Befehl wie folgt:
Elementname=ELEMENT/GERADE,TOG1,TOG4
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
ABHÄNGIG/GERADE,TOG3
AUSREISSER_ENTFERNEN/TOG5, Sigmafaktor
FILTER/TOG5, WELLENLÄNGE=Grenzwellenlänge

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

TOG1 = POLAR oder KART

TOG2 = GERADE

TOG3 = AUSRICHTEN / BE / BENEUKO / SCHWERPKT / SCHNITT_VON / MITTE / VERSATZ / PLZU / PROJ / PRZU / UMK / SCAN_SEGMENT

TOG4 = BEGR / UNBEGR

TOG5 = AUS / EIN

Länge = Dieser Wert gibt die theoretische bzw. tatsächliche Länge der Geraden an.

Sigmafaktor = Anhand dieses Sigmafaktors wird ermittelt, ob ein Messpunkt ein Ausreißer ist oder nicht. Wenn der Punkt weiter von der Geraden entfernt ist als die mit diesem Wert multiplizierte Standardabweichung, handelt es sich um einen Ausreißer, der entfernt wird, wenn Sie die Option Entferne Ausreißer aktiviert haben.

Grenzwellenlänge = Dieser Wert steuert den Glättungsfaktor für die Datenmenge. Je größer der Abstand, desto höher ist der Glättungsfaktor.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Geraden gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Geradentypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

AUTO ist die Standardmethode zur Erstellung. Informationen hierzu finden Sie unter "Auto Geradenerstellung".

In den nachstehenden Themen werden die zum Erstellen einer Geraden verfügbaren Optionen beschrieben.

Siehe auch:

Varianten

Erstellen einer Auto Geraden

Erstellen einer Ausrichtungsgeraden

Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsgeraden

Erstellen einer Geraden am Schwerpunkt

Erstellen einer Schnittgeraden

Erstellen einer abhängigen Geraden (Mitte)

Erstellen einer Parallelgeraden

Erstellen einer rechtwinkligen Geraden

Erstellen einer Projektionsgeraden

Ändern der Richtung einer Geraden

Erstellen einer Geraden aus einem Teil-Scan

Erstellen einer Versatzgeraden


Varianten

Das erste nachstehende Beispiel zeigt, wie das Bearbeitungsfenster aussieht, wenn der Benutzer TOG4 auf BEGR umschaltet. Der erste x-, y- und z-Wert gibt den Anfangspunkt der Geraden an. Der zweite x-, y- und z-Wert gibt den Endpunkt derselben Geraden an. Der letzte Wert gibt die theoretische bzw. tatsächliche Länge der Geraden an.

In diesem zweiten Beispiel wird das Format für eine unbegrenzte Gerade illustriert.

Elementname=ELEMENT/GERADE,TOG1,BEGR
NENN/x_Koord,y_Koord,z_Koord,x_Koord,y_Koord,z_Koord,Länge
MESS/x_Koord,y_Koord,z_Koord,x_Koord,y_Koord,z_Koord,Länge
ABHÄNGIG/TOG2,TOG3,...,Länge

Elementname=ELEMENT/GERADE,TOG1,UNBEGR
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
ABHÄNGIG/TOG2,TOG3,...


Erstellen einer Auto-Geraden

Aus der nachstehenden Tabelle geht hervor, welcher Geradentyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an und erstellt den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Gerade). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Eingabeelement(e) | Abhängige Elemente
Drei oder mehr Elemente = | Besteinpassungsgerade
Ein beliebiges Element (außer Gerade/Satz) =? | Gerade am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungsgerade
Zwei beliebige Elemente + Versatzwert = | Versatzgerade
Kreis + Kreis = | Besteinpassungsgerade
Kreis + Ellipse | Besteinpassungsgerade
Kreis + Punkt | Besteinpassungsgerade
Kreis + Satz = | Besteinpassungsgerade
Kreis + Langloch = | Besteinpassungsgerade
Kreis + Kugel = | Besteinpassungsgerade
Kegel + Kreis = | Parallel zur Linie
Kegel + Kegel = | Mittellinie
Kegel + Zylinder = | Mittellinie
Kegel + Ellipse | Parallel zur Linie
Kegel + Punkt = | Parallel zur Linie
Kegel + Satz = | Parallel zur Linie
Kegel + Kugel = | Parallel zur Linie
Zylinder + Kreis = | Parallel zur Linie
Zylinder + Zylinder = | Mittellinie
Zylinder + Ellipse | Parallel zur Linie
Zylinder + Punkt = | Parallel zur Linie
Zylinder + Satz = | Parallel zur Linie
Zylinder + Kugel = | Parallel zur Linie
Ellipse + Ellipse |  | Besteinpassungsgerade
Ellipse + Satz | Besteinpassungsgerade
Ellipse + Kugel | Besteinpassungsgerade
Gerade = | Umkehrgerade
Gerade + Kreis = | Parallel zur Linie
Gerade + Kegel = | Mittellinie
Gerade + Zylinder = | Mittellinie
Gerade + Ellipse | Parallel zur Linie
Gerade + Gerade = | Mittellinie
Gerade + Punkt = | Parallel zur Linie
Gerade + Satz = | Parallel zur Linie
Gerade + Langloch = | Mittellinie
Gerade + Kugel = | Parallel zur Linie
Punkt + Ellipse | Besteinpassungsgerade
Punkt + Punkt | Besteinpassungsgerade
Punkt + Kugel | Besteinpassungsgerade
Punkt + Langloch | Besteinpassungsgerade
Punkt + Satz | Besteinpassungsgerade
Ebene + ein beliebiges Element (außer Ebene) = | Projektionslinie
Ebene + Ebene = | Schnittlinie
Langloch + Kegel = | Mittellinie
Langloch + Zylinder = | Mittellinie
Langloch + Ellipse | Parallel zur Linie
Langloch + Langloch = | Besteinpassungsgerade


Erstellen einer Ausrichtungsgeraden

Eine Gerade kann durch den aktuellen Nullpunkt lotrecht zur aktuellen Arbeitsebene erstellt werden. (Eingabeelemente sind nicht erforderlich.)

So erstellen Sie eine Ausrichtungsgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Gerade). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Ausrichtung.

  3. Geben Sie keine Eingabeelemente ein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/GERADE,AUSRICHTEN,Länge

Erstellen einer Geraden lotrecht zur Arbeitsebene


Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsgeraden

Die Neukompensation der Besteinpassung ist nur dann genau, wenn eine Gerade mit Hilfe von Punkten erstellt wird.

Eine zwei- oder dreidimensionale Besteinpassungsgerade kann aus zwei oder mehr Elementen erstellt werden. Bei der Besteinpassungs-Erstellungsmethode werden die tatsächlichen Messpunkte verwendet während bei der Besteinpassungs-Neukompensierungsmethode die Kugeltastermitte verwendet wird. In beiden Fällen wird das quadrierte Fehlermittel durch die Methode "Kleinste Quadrate" minimiert und der maximale Fehler wird durch die Minmax-Methode minimiert. Außerdem haben Sie die Wahl, Ausreißer zu entfernen oder einen Gauß-Filter auf der erstellten Geraden anzuwenden.

So erstellen Sie eine Besteinpassungs- oder Besteinpassungs-Neukompensierungsgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Wählen Sie entweder die Option Besteinpassung oder BE Neukompensiert.

  3. Geben Sie mindestens zwei Elemente ein.

  4. Wählen Sie entweder die Option 2D-Gerade oder 3D-Gerade.

Hinweis: Bei der Besteinpassungs-Neukompensierung muss eines der Elemente ein Punkt sein.

  5. Markieren Sie gegebenenfalls das Kontrollkästchen Entferne Ausreißer und geben Sie einen Wert in das Feld Sigma Faktor ein.

  6. Markieren Sie gegebenenfalls das Kontrollkästchen Gauß-Filter verwenden und geben Sie einen Wert in das Feld Grenzwellenlänge ein.

  7. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

ABHÄNGIG/GERADE,BE,Element_1,Element_2, …
AUSREISSER_ENTFERNEN/(EIN | AUS), Sigmafaktor
FILTER/(EIN | AUS),WELLENLÄNGE=Grenzwellenlänge

(Verwendet die tatsächlich gemessenen Punkte zur Erstellung.)
oder

ABHÄNGIG/GERADE,BENEUKO,Element_1,Element_2, …
AUSREISSER_ENTFERNEN/(EIN | AUS), Sigmafaktor
FILTER/(EIN | AUS),WELLENLÄNGE=Grenzwellenlänge

(Für die Messung wird der Tastermittelpunkt zugrundegelegt, die Elemente werden nach der Messung neu kompensiert.)

Erstellen einer Geraden aus zwei oder mehr Elementen

Siehe auch:

Ausreißer entfernen / Sigmafaktor

Gauß-Filter / Grenzfrequenz verwenden


Ausreißer entfernen / Sigma Faktor

Bei einer Besteinpassungs(BE)- oder Besteinpassung-Neukompensierungsgeraden (BENEUKO) haben Sie die Möglichlichkeit, Ausreißer zu entfernen, die durch den Abstand zum Besteinpassungselement definiert werden. Dadurch können während des Messvorgangs auftretende Anomalien beseitigt werden.

PC-DMIS passt zuerst eine Gerade in die Daten ein und bestimmt dann auf Basis des Sigma Faktors, welche Punkte Ausreißer sind. Dann wird folgendermaßen verfahren:

  • PC-DMIS berechnet die Besteinpassungsgerade nach dem Entfernen dieser Ausreißer neu.

  • Das Vorhandensein weiterer Ausreißer wird geprüft.

  • Die Besteinpassungsgerade wird erneut berechnet.

  • Dieser Vorgang wird wiederholt, bis keine Ausreißer mehr zu finden sind oder PC-DMIS die Gerade nicht mehr berechnen kann. (PC-DMIS kann die Gerade nur mit mindestens drei Datenpunkten berechnen).

Bei 2D-Geraden wird die Abweichung in einer parallel zur Arbeitsebene verlaufenden Ebene berechnet.

Bei 3D-Geraden wird die Abweichung als der Abstand zwischen dem gemessenen Punkt und dem Punkt, der am nächsten entlang der Geraden liegt, berechnet.


Gauß-Filter / Grenzwellenlänge verwenden

Linien, die mit den Funktionen Besteinpassung (BE) und Besteinpassung-Neukompensierung (BENEUKO) konstruiert wurden, bieten optional die Möglichkeit, die Abweichungen der gemessenen Datenpunkte von der aus den Messdaten berechneten Besteinpassungslinie zu filtern. Mit dem Kontrollkästchen Gauß-Filter verwenden wird ein Gaußscher Filter aktiviert, der die Glättung anhand der Grenzwellenlänge kontrolliert. Allgemein werden durch eine längere Grenzwellenlänge angeglichenere Filterdaten erzeugt. Wenn Sie das Kontrollkästchen Entferne Ausreißer markiert haben und die Daten filtern, werden die Ausreißerdaten vor der Filterung entfernt.

Bei 2D-Linien werden die Abweichungen in einer parallel zur Arbeitsebene verlaufenden Ebene gefiltert.

Bei 3D-Linien werden die Abweichungen in zwei rechtwinklig zueinander verlaufenden Ebenen gefiltert. Dabei enthalten beide Ebenen die Linie. PC-DMIS filtert diese Abweichungen dreidimensional.


Erstellen einer Geraden am Schwerpunkt

Sie können eine Gerade erstellen, indem Sie ein beliebiges vorhandenes Element in eine Gerade umändern. PC-DMIS erstellt die Gerade am Flächenmittelpunkt des Eingabeelements.

Sie können die Länge der Geraden ändern und damit die Gerade von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn die Gerade dann ausgeführt wird, bedeutet dies, dass die Länge nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie die Geradenlänge in den Fällen kontrollieren, wo das Eingabeelement eigentlich keine Länge hat (wie beispielsweise ein Punkt). Das Feld "Abhängig/unabhängig" ist ein Umschaltfeld, das durch Sie geändert werden kann.

So ändern Sie die Länge einer Geraden:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Klicken Sie auf das Geradenelement.

  3. Drücken Sie die TABULATORTASTE, bis das Längenfeld hervorgehoben wird.

  4. Geben Sie eine neue Länge ein.

  5. Drücken Sie die TABULATORTASTE. PC-DMIS aktualisiert die Länge.

PC-DMIS legt diesen Längenwert allen Berechnungen zugrunde und verwendet keine Standardlänge.

So erstellen Sie eine Gerade am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Geben Sie ein Element beliebigen Typs ein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/GERADE,SCHWERPKT,Element_1,Länge,(ABHÄNGIG | UNABHÄNGIG)

Erstellen einer Geraden aus einem Zylinder


Erstellen einer Schnittgeraden

Eine Gerade kann am Schnittpunkt zweier Ebenen erstellt werden.

So erstellen Sie eine Schnittgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schnitt.

  3. Geben Sie das erste Element ein. Hierbei muss es sich um eine Ebene handeln.

  4. Geben Sie das zweite Element ein. Hierbei muss es sich um eine Ebene handeln.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster: ABHÄNGIG/GERADE,SCHNITT_VON,Element_1,Element_2,Länge

Erstellen einer Geraden aus zwei Ebenen


Erstellen einer abhängigen Geraden (Mitte)

Eine abhängige Gerade (Mitte) kann zwischen einer Gerade (Kegel, Langloch, Zylinder oder Ebene) und einer anderen Geraden (Kegel, Langloch, Zylinder oder Ebene) erstellt werden. PC-DMIS erstellt eine Gerade (Mittellinie), die jeweils im selben Abstand zu den angegebenen Geraden liegt. Diese Option kann bei Geraden verwendet werden, die parallel oder in einem Winkel zueinander liegen. Diese Mittellinie wird auf der Mittelebene zwischen den beiden Eingabeelementen erstellt und halbiert den kleineren zwischen den beiden Eingabeelementen liegenden Winkel.

So erstellen Sie eine abhängige Gerade (Mittellinie):

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Mitte.

  3. Geben Sie das erste Element ein. Die zulässigen Elemente sind Gerade, Kegel, Zylinder oder Langloch.

  4. Geben Sie das zweite Element ein. Die zulässigen Elemente sind Gerade, Kegel, Zylinder oder Langloch.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/GERADE,MITTE,Element_1,Element_2,Länge

Erstellen einer Mittellinie aus zwei Geraden


Erstellen einer Parallelgeraden

Eine Gerade kann parallel zu zwei beliebigen Elementen erstellt werden. PC-DMIS erstellt eine Gerade parallel zum ersten Eingabeelement, die durch den Mittelpunkt des zweiten Eingabeelements verläuft.

So erstellen Sie eine Parallelgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Parallel.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

  5. Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
    ABHÄNGIG/GERADE,PLZU,Element_1,Element_2,
    Länge

Erstellen einer Parallelgeraden


Erstellen einer rechtwinkligen Geraden

Eine Gerade kann im rechten Winkel zum ersten Eingabeelement erstellt werden und durch den Flächenmittelpunkt des zweiten Eingabeelements verlaufen.

So erstellen Sie eine rechtwinklige Gerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Rechtwinklig.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/GERADE,PRZU,Element_1,Element_2,Länge

Erstellen einer rechtwinkligen Gerade


Erstellen einer Projektionsgeraden

Eine Gerade kann aus einem beliebigen Element und einer Ebene erstellt werden. PC-DMIS projiziert die Gerade an die Stelle, an der sich die Ebene mit der Geraden überschneidet. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene.

So erstellen Sie eine Projektionsgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Das erste Element kann beliebiger Art sein. Wenn zwei Elemente ausgewählt werden, muss das Zweite eine Ebene sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Befehlszeile im Bearbeitungsfenster:
ABHÄNGIG/GERADE,PROJ,Element_1,(Element_2),
Länge

Erstellen einer Geraden aus einer Geraden und einer Ebene


Ändern der Richtung einer Geraden

Eine Gerade kann mit einem Umkehrvektor erstellt werden.

So erstellen Sie eine Umkehrgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Gerade). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um eine Gerade handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS kehrt den Geradenvektor sowie die Start- und Endpunkte um.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster: ABHÄNGIG/GERADE,UMK,Element_1,Länge


Erstellen einer Geraden aus einem Teil-Scan

Eine Gerade kann aus einem Segment eines Offene Linie- oder Geschlossene Linie-Scans erstellt werden. PC-DMIS erstellt eine Gerade aus einem Teil-Scan. Einzelheiten zu diesem Erstellungsvorgang werden in diesem Abschnitt näher erläutert.

So erstellen Sie eine Scan-Segment-Gerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Scan-Segment.

  3. Wählen Sie einen zuvor erstellten Offene Linie- oder Geschlossene Linie-Scan.

  4. Klicken Sie auf die Schaltfläche Segmentdaten. Das Dialogfeld Scan-Segment wird angezeigt.

  5. Wählen Sie entweder die Option Besteinpassung oder BE Neuk. aus.

  6. Wählen Sie in diesem Dialogfeld den für das Erstellen verwendeten Teil-Scan aus.

  7. Geben Sie die Anzahl an Punkten an, die verworfen werden sollen, indem Sie die entsprechenden Werte in die Felder Anz. der ignorierten Punkte am Scananfang und Anz. der ignorierten Punkte am Scanende eingeben.

  8. Geben Sie im Feld Max zul. Formtoleranz (Pkt. außerh. werd. ign.) eine Entfernung zur BE-Gerade ein. Diese Toleranz ist eine Formtoleranz. Mit ihr wird gesteuert, welche Endpunkte als Teil der Geraden akzeptiert werden. Wenn die Entfernung vom Scanpunkt zur BE-Geraden diesen Toleranzwert überschreitet, wird der Endpunkt verworfen.

  9. Geben Sie für den Scan einen Wert für Ungefährer Anfangspunkt und Ungefährer Endpunkt ein, indem Sie das Kontrollkästchen Punkte auswählen aktivieren und anschließend in das Grafikfenster klicken, um die X-, Y-, Z-Felder auszufüllen. Sie können im Grafikfenster an eine beliebige Stelle klicken. PC-DMIS platziert den Punkt an der Stelle auf dem Scan, die Ihrem Mausklick am nächsten liegt. Sie können die Punktwerte auch über die Tastatur bearbeiten.

  10. Klicken Sie auf OK, um die Daten zu akzeptieren und das Dialogfeld Scan-Segment zu schließen.

  11. Klicken Sie auf Erzeugen, um aus dem Scan eine Gerade zu erstellen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

ABHÄNGIG/GERADE,SCAN_SEGMENT,Einpassungstyp,Element_1,Startpunkt_x,Startpunkt_y,Startpunkt_z,Endpunkt_x,Endpunkt_y,Endpunkt_z,ignorieren_Startpunkt,ignorieren_Endpunkt,Toleranz

Wenn Sie mehr als nur einen Bogen oder eine Gerade aus einem Scan erstellen möchten, müssen Sie einen weiteren Befehl für einen anderen Scan-Abschnitt hinzufügen.

Siehe auch:

Bestimmen der Daten für die Erstellung einer Geraden


Bestimmen der Daten für die Erstellung einer Geraden

Die zum Erstellen der Geraden verwendeten Daten werden wie folgt bestimmt:

  • Zunächst wird das Segment eines Scans mit Hilfe eines Start- und eines Endpunkts innerhalb des Scans ermittelt. Als Start- und Endpunkt werden die Scanpunkte gewählt, die sich am nächsten zu [Start_x, Start_y, Start_z] bzw. zu [Endpunkt_x, Endpunkt_y, Endpunkt_z] befinden.

  • Die Punkte werden dann von den Anfangs- und Endpunkten des Scans verworfen. Die Anzahl an verworfenen Punkten am Start wird durch die Option Anz. der ignorierten Punkte am Scananfang beziehungsweise am Ende durch Anz. der ignorierten Punkte am Scanende angegeben. Diesem Punktesatz wird dann eine Gerade angepasst.

  • Schließlich werden die Anfangs- und Endpunkte wieder hinzugefügt, sofern sie sich innerhalb des definierten Toleranzbereichs befinden. Diesem neuen Punktesatz wird dann erneut die Gerade angepasst.

Der Wert für Einpassungstyp kann BE (Besteinpassung ) oder BENEUKO (Besteinpassungs-Neukompensierung) lauten. Hierdurch wird festgelegt, ob bei der Berechnung der Geraden eine Besteinpassung oder eine Besteinpassungs-Neukompensierung durchgeführt wird. Weitere Einzelheiten zu diesen beiden Optionen finden Sie unter "Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsgeraden".


Erstellen einer Versatzgeraden

Eine Gerade kann in einem bestimmten Abstand zu den Eingabeelementen erstellt werden.

So erstellen Sie eine Versatzgerade:

  1. Rufen Sie das Dialogfeld Abhängiges Element Gerade erstellen auf (Einfügen | Element | Abhängiges Element | Linie). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Versatz.

  3. Wählen Sie mindestens zwei Elemente aus, anhand derer die Versatzgerade erstellt werden soll. Sie können beliebiger Art sein.

  4. Klicken Sie auf die Schaltfläche Versätze. Das Dialogfeld Geradenversätze erscheint.

Geradenversätze (Dialogfeld)

  5. Klicken Sie auf die Option Nennwerte berechnen und geben Sie die Versatzwerte für die gewünschten Elemente im entsprechenden Feld ein. Sie können jedoch auch auf Versätze berechnen klicken und die Nennwerte ändern (siehe nachfolgende Anweisungen).

  6. Klicken Sie auf OK. Das Dialogfeld Geradenversätze wird geschlossen.

  7. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS iteriert und erstellt eine Gerade so, dass der kürzeste Abstand von jedem Eingabeelement zur Geraden dem Versatzwert entspricht. PC-DMIS nimmt alle Versätze in einer Richtung vor, die rechtwinklig zur gegebenen Oberflächennormalen verläuft. Negative Versatzwerte werden in derselben generellen Richtung angewandt, in der die Punkte gemessen werden. Positive Versatzwerte werden entgegengesetzt zur Antastrichtung angewandt. Gibt es keine Antastrichtung (d. h., wenn die Eingabepunkte erstellt wurden), legt PC-DMIS die aktuelle Arbeitsebene zugrunde, um die generelle Richtung zur Anwendung der Versatzwerte zu bestimmen. Positive Versatzwerte werden in der Plusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt. Negative Versatzwerte werden in der Minusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt.

Hinweis: Das Vorzeichen (positiv oder negativ) des Versatzwertes bestimmt, auf welcher Seite der Eingabeelemente die Gerade erstellt wird. Sollte die Gerade nicht in die Richtung verlaufen, die Sie erwartet hatten, klicken Sie auf "Abbrechen", und erstellen Sie das Element neu, wobei Sie die Vorzeichen der eingegebenen Versatzwerte umkehren. Lauten die Versatzwerte beispielsweise 1,0 / 2,5 / 3,5, ändern Sie diese in -1,0 / -2,5 / -3,5 um.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/GERADE,VERSATZ
OBERFLÄCHENNORMAL = i_Vek, j_Vek, k_Vek, TOG1
ID = ID1, ID2, …
VERSATZ = Wert1, Wert2, …

Note: Mit TOG1 können Sie zwischen MEHRPUNKT und ZWEIPUNKT hin- und herschalten. Der Zweipunkt-Algorithmus ist nur für Werkstücke verfügbar, die mit der PC-DMIS Version 2.1 oder niedriger erstellt wurden.

Sie haben zwei Möglichkeiten zum Berechnen des Versatzwertes:

  • Sie können den Versatz direkt für das gewählte Eingabeelement ändern und anschließend auf Berechnen klicken, um die Nennwerte zu aktualisieren.

  • Sie können die Nominalwerte für das gewählte Eingabeelement ändern und anschließend auf Berechnen klicken, um die Versatzwerte zu aktualisieren.

Diese Methoden werden nachfolgend beschrieben.

Siehe auch:

Ändern von Versatzwerten zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten


Ändern von Versatzwerten zum Berechnen von Nennwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Geradenversätze, indem Sie auf die Schaltfläche Versatz des Dialogfelds Abhängiges Element Gerade erstellen klicken (Einfügen | Element | Abhängiges Element | Gerade). Menü-Übersicht anzeigen

  2. Wählen Sie die Option Nennwerte berechnen. Der Versatzbereich des Dialogfelds kann nun bearbeitet werden.

  3. Klicken Sie in der Spalte Versatz auf den Wert "0,000000" (oder den aktuellen Wert), um ihn hervorzuheben.

  4. Klicken Sie erneut auf den Versatz.

  5. Geben Sie einen neuen Wert ein.

  6. Drücken Sie die EINGABETASTE.

  7. Klicken Sie auf Berechnen, um die Nennwerte basierend auf dem/den von Ihnen gewählten Versatzwert/en zu aktualisieren.

  8. Klicken Sie auf OK, um den Versatz zu speichern.


Beispiel zum Berechnen von Nennwerten

Mit der Schaltfläche Berechnen werden die X-, Y- und Z-Nennwerte auf Basis der neu eingegebenen Versatzwerten berechnet.

Angenommen, es wird eine Versatzgerade zwischen zwei Kreisen (KREIS1 und KREIS2) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Versätze geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 4,5040

Y = 3

Z = 0,1582

Wenn Sie die Versatzwerte für jeden Kreis um den Wert "Zwei" ändern, und dann auf die Schaltfläche Nennwerte berechnen klicken, werden die Werte von X, Y und Z folgendermaßen aktualisiert:

X = 4,5040

Y = 5

Z = 0,1582

Wenn Sie nun zur Konstruktion der Versatzgeraden auf OK klicken, ist zu beobachten, dass die neu erstellte Gerade auf der Y-Achse zwei Einheiten höher liegt.

Geradenversätze wirken sich nur auf die Y-Achse aus.


Ändern von Nennwerten zum Berechnen von Versatzwerten

So geben Sie neue Versatzwerte ein:

1. Öffnen Sie das Dialogfeld Geradenversätze, indem Sie auf die Schaltfläche Versatz des Dialogfelds Abhängiges Element Gerade erstellen klicken (Einfügen | Element | Abhängiges Element | Gerade). Menü-Übersicht anzeigen

2. Wählen Sie die Schaltfläche Versätze berechnen. Der Nennwertbereich des Dialogfelds kann nun bearbeitet werden.

3. Bearbeiten Sie die XYZ-, IJK-Werte oder IJK-Oberflächenwerte.

4. Klicken Sie auf Berechnen, um die Versatzwerte auf Basis der von Ihnen geänderten Nennwerte zu aktualisieren.

5. Klicken Sie auf OK, um den Versatz zu speichern.


Beispiel zum Berechnen von Versatzwerten

Mit der Schaltfläche Versätze berechnen werden die Versatzwerte berechnet, die bei der Änderung des Nennwertes in der Spalte Versatz erscheinen.

Angenommen, es wird eine Versatzgerade zwischen zwei Kreisen (KREIS1 und KREIS2) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Versätze geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 4,5040

Y = 3

Z = 0,1582

Wenn Sie die X-, Y- und Z-Nennwerte nun folgendermaßen ändern:

X = 4,5040

Y = 4,5

Z = 0,1582

und auf die Schaltfläche Versätze berechnen klicken, werden die Versätze der beiden Kreise folgendermaßen aktualisiert:

1,500000 KREIS1

1,500000 KREIS2

Wenn Sie nun zur Konstruktion der Versatzgeraden auf OK klicken, ist zu beobachten, dass die Gerade auf der Y-Achse um 1,5 Einheiten höher konstruiert wird.


 Constructing a Reverse Cone Constructing a Cast Cone Close button Create button Clear button Constructing a Best Fit or Best Fit Recompensate Cone Creating An Auto Circle In / Out Cone Feature List box Select Last # Search ID ID Constructing a Projected Cone

Steht für "theoretisch". Dies ist die Nenngröße oder Positionsinformation.

Dieser Begriff bezieht sich auf den IST-Wert, d.h. die tatsächlich "gemessenen" Größen- oder Positionsdaten im Gegensatz zur "theoretischen" Größen- oder Positionswerten.

Erstellen eines Kegelelements

Abhängiges Element Kegel erstellen (Dialogfeld)

Zum Erstellen eines Kegels mit PC-DMIS stehen mehrere Methoden zur Auswahl. In der nachstehenden Tabelle werden die verschiedenen Arten erstellter Kegel zusammen mit den erforderlichen Eingaben angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen sechs oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für die Erstellung in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungskegel | BE | Mind. sechs Eingaben sind erforderlich. | - | - | Erstellt einen Besteinpassungskegel anhand der vorgegebenen Eingaben
Besteinpassung mit Neukompensierungskegel | BENEUKO | Mind. sechs Eingaben sind erforderlich. (eine davon muss ein Punkt sein) | - | - | Erstellt einen Besteinpassungskegel anhand der vorgegebenen Eingaben
Kegel am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Erstellt einen Kegel im Flächenmittelpunkt des Eingabeelements
Projektionskegel | PROJ | 1 oder 2 | Beliebig | Ebene | Bei einem Eingabeelement wird der Kegel in die Arbeitsebene projiziert
Umkehrkegel | UMK | 1 | Kegel | - | Erstellt den Kegel mit einem Umkehrvektor für die Achse

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie einen Kegel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kegel erstellen auf (Einfügen | Element | Abhängiges Element | Kegel). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungskegel

  • Kegel am Schwerpunkt

  • Projektionskegel

  • Kegel in Umkehrrichtung

  • Auto Kegel

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

Elementname=ELEMENT/KEGEL,TOG1,TOG4,WINK
NENN/x_koord,y_koord,z_koord,i_vek,j_vek,k_vek,Wink
MESS/x_koord,y_koord,z_koord,i_vek,j_vek,k_vek,Wink
ABHÄNGIG/TOG2,TOG3,......

Elementname=ELEMENT/KEGEL,TOG1,TOG4,LÄNGE
NENN/x_koord,y_koord,z_koord,i_vek,j_vek,k_vek,Länge,Durchm_1,Durchm_2
MESS/x_koord,y_koord,z_koord,i_vek,j_vek,k_vek,Länge,Durchm_1,Durchm_2
ABHÄNGIG/TOG2,TOG3,......

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

TOG1 = POLAR oder KART

TOG2 = KEGEL

TOG3 = BE / BENEUKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

TOG5 = WINK / LÄNGE

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Kegeln ähnlich. Die angezeigten theoretischen und tatsächlichen Werte variieren, je nachdem, ob das Element begrenzt oder unbegrenzt ist. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Kegeltypen hin- und herschalten, indem Sie den Cursor auf TOG setzen und die linke Maustaste klicken. Die Werte dieser Felder können auch über die Tastatur umgeschaltet werden (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

Auto ist die Standardmethode zur Erstellung. Diese Option ermittelt automatisch die geeignetste Methode zur Erstellung eines Kegels mit Hilfe eines oder mehrerer Eingabeelemente. Informationen hierzu finden Sie unter "Auto-Kegelerstellung"

In den nachstehenden Abschnitten werden die zur Erstellung eines Kegels verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenkegel

Varianten

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskegels

Erstellen eines Kegels am Schwerpunkt

Erstellen eines Projektionskegels

Ändern der Richtung eines Kegels

Erstellen eines Auto-Kegels


Innen-/Außenkegel

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob der Kegel als interner bzw. als externer Kegel erstellt werden soll.

  • Wird Innen gewählt, erstellt PC-DMIS den Kegel als internen Kegel.

  • Wird Außen gewählt, erstellt PC-DMIS den Kegel als externen Kegel.


Varianten

Das erste nachstehende Beispiel zeigt, wie das Bearbeitungsfenster aussieht, wenn der Benutzer TOG5 auf WINK umschaltet. In diesem ersten Beispiel wird das Format für einen unbegrenzten Kegel illustriert. Das zweite Beispiel zeigt die Ansicht, wenn der Benutzer TOG5 auf LÄNG umschaltet. Durchm._1 ist als Durchmesser der Höhe der ersten drei Messpunkte definiert. Durchm._2 ist der Durchmesser des Punktes, der am weitesten vom ersten Durchmesser entfernt liegt. Länge ist der Abstand zwischen den beiden Durchmessern.

Das begrenzte Kegelformat wird im zweiten Beispiel veranschaulicht.
Elementname=ELEMENT/KEGEL,TOG1,TOG4,WINK
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Wink
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Wink
ABHÄNGIG/TOG2,TOG3,......

Elementname=ELEMENT/KEGEL,TOG1,TOG4,LÄNG
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge,Durchm_1,Durchm_2
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge,Durchm_1,Durchm_2
ABHÄNGIG/TOG2,TOG3,......


Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungskegels

Ein Besteinpassungskegel kann aus sechs oder mehr Elementen erstellt werden. Die ersten drei Eingaben müssen auf einem ungefähr planaren Querschnitt des Kegels liegen, der senkrecht zur Kegelmittellinie verläuft. Die restlichen Punkte sollten entweder oberhalb oder unterhalb der durch die ersten drei Punkte definierten Ebene liegen, jedoch nicht an den beiden Seiten der Ebene. Mit dieser Messmethode werden die besten Ergebnisse erzielt. Die Besteinpassungs-Erstellungsmethode verwendet die tatsächlichen Messpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Neukompensierung). In beiden Fällen berechnet PC-DMIS den Kegel mit der Methode Kleinste Quadrate – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zum Kegel.

So erstellen Sie einen Besteinpassungs- oder Besteinpassungs-Neukompensierungskegel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kegel erstellen auf (Einfügen | Element | Abhängiges Element | Kegel). Menü-Übersicht anzeigen

  2. Wählen Sie entweder die Option Besteinpassung oder BE Neukompensiert.

  3. Geben Sie mindestens sechs Elemente ein.

Hinweis: Bei der Besteinpassungs-Neukompensierung muss mindestens eines der Elemente ein Punkt sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: ABHÄNGIG/KEGEL,BE,Element_1,Element_2,Element_3,Element_4,Element_5,Element_6
(Verwendet die tatsächlich gemessenen Punkte zur Erstellung.)
oder
ABHÄNGIG/KEGEL,BENEUKO,Element_1,Element_2,Element_3,Element_4,Element_5,Element_6
(Für die Messung wird der Mittelpunkt des Tasters verwendet.)

Erstellen eines Kegels aus sechs oder mehr Punkten


Erstellen eines Kegels am Schwerpunkt

Sie können einen Kegel erstellen, indem Sie ein beliebiges vorhandenes Element in einen Kegel umändern. PC-DMIS erstellt den Kegel am Flächenmittelpunkt des Eingabeelements. Ist das Eingabeelement kein Kegel, verwendet PC-DMIS einen Standardwert für den eingeschlossenen Winkel. Ist das Eingabeelement kein Linienelement (Gerade, Zylinder oder Langloch), verwendet PC-DMIS eine Standardlänge für die Achsenlänge.

Sie können die Größe des Kegels ändern und damit den Kegel von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn der Kegel dann ausgeführt wird, bedeutet dies, dass die Größe nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie die Kegelgröße in den Fällen kontrollieren, wo das Eingabeelement eigentlich keine Größe hat (wie beispielsweise ein Punkt). Das Feld "Abhängig/unabhängig" ist ein Umschaltfeld, das durch Sie geändert werden kann.

PC-DMIS legt dann die neuen Attribute (z. B. bei Änderung des Halbwinkels) allen Berechnungen zugrunde und verwendet nicht die oben beschriebenen Standardwerte.

So erstellen Sie einen Kegel am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kegel erstellen auf (Einfügen | Element | Abhängiges Element | Kegel). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KEGEL,SCHWERPKT,Element_1,(ABHÄNGIG | UNABHÄNGIG)


Erstellen eines Projektionskegels

Ein Kegel kann erstellt werden, indem ein beliebiges Element in eine Ebene projiziert wird. Ist das projizierte Eingabeelement kein Kegel, verwendet PC-DMIS Standardwerte für den eingeschlossenen Winkel und die beiden Achsenlängen. Die erste Länge ist der Abstand zwischen der Kegelspitze und dem ersten Kreis. Die zweite Länge ist der Abstand zwischen den beiden Kreisen. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die aktuelle Arbeitsebene.

So erstellen Sie einen Projektionskegel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kegel erstellen auf (Einfügen | Element | Abhängiges Element | Kegel). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Wenn Sie nur ein Element wählen, kann dies beliebiger Art sein. Wenn Sie zwei Elemente wählen, kann das erste beliebiger Art sein. Bei dem zweiten Element muss es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KEGEL,PROJ,Element_1,(Element_2)


Ändern der Richtung eines Kegels

Ein Kegel kann mit einem Umkehrvektor erstellt werden.

So erstellen Sie einen Umkehrkegel:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kegel erstellen auf (Einfügen | Element | Abhängiges Element | Kegel). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um einen Kegel handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/KEGEL,UMK,Element_1


Erstellen eines Auto-Kegels

Aus der nachstehenden Tabelle geht hervor, welcher Kegeltyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und erstellt den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kegel erstellen auf (Einfügen | Element | Abhängiges Element | Kegel). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Eingabeelement(e) | Abhängige Elemente
Sechs oder mehr Elemente = | Besteinpassungskegel
Ebene + ein beliebiges Element = | Projektionskegel
Kegel = | Umkehrkegel
Ein beliebiges Element = (außer Kegel/Satz) | Kegel am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungskegel


 Constructing a Reverse Cylinder Constructing a Cast Cylinder Constructing a Projected Cylinder Constructing a BF or BFRE Cylinder Close button Create button Clear button Constructing an Auto Cylinder In / Out Cylinder Feature List box Select Last # Search ID ID

Erstellen eines Zylinderelements

Abhängiges Element Zylinder erstellen (Dialogfeld)

Zur Erstellung eines Zylinders mit PC-DMIS stehen mehrere Methoden zur Auswahl. In der nachstehenden Tabelle werden die verschiedenen Arten erstellter Zylinder zusammen mit der erforderlichen Eingabe angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen sechs oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für das Erstellen in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungszylinder | BE | Mind. sechs Eingaben sind erforderlich. Siehe Hinweis unten. | - | - | Erstellt einen Besteinpassungszylinder anhand der vorgegebenen Eingaben
Besteinpassungs-Neukompensierungszylinder | BENEUKO | Mind. sechs Eingaben sind erforderlich. (eine davon muss ein Punkt sein) Siehe Hinweis unten. | - | - | Erstellt einen Besteinpassungszylinder anhand der vorgegebenen Eingaben
Zylinder am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Erstellt einen Zylinder im Flächenmittelpunkt des Eingabeelements
Projektionszylinder | PROJ | 1 oder 2 | Beliebig | Ebene | Bei Auswahl von nur einem Eingabeelement wird der Zylinder in die Arbeitsebene projiziert
Umkehrzylinder | UMK | 1 | Zylinder, Kegel, Gerade, Langloch | - | Erstellt einen Zylinder mit einem Umkehrvektor

Hinweis: Besteinpassungs- und Besteinpassungs-Neukompensierungszylinder können jetzt aus zwei Kreisen erstellt werden. Als Typ für die verwendeten Eingabekreise kommen nur "Erstellte Besteinpassung (BE) / Besteinpassungs-Neukompensierung (BENEUKO)" oder gemessene Kreise in Frage. Jeder Kreis muss insgesamt mindestens drei Messpunkte enthalten.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie einen Zylinder:

  1. Rufen Sie das Dialogfeld Abhängiges Element Zylinder erstellen auf (Einfügen | Element | Abhängiges Element | Zylinder). Menü-Übersicht anzeigen

  2. Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungszylinder

  • Zylinder am Schwerpunkt

  • Projektionszylinder

  • Umkehrzylinder

  • Auto Zylinder

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Zylinderkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
Elementname=ELEMENT/ZYLINDER,TOG1,TOG4,TOG5
NENN/x_koord,y_koord,z_koord,i_vek,j_vek,k_vek,Durchm,Länge
MESS/x_koord,y_koord,z_koord,i_vek,j_vek,k_vek,Durchm,Länge
ABHÄNGIG/TOG2,TOG3,......

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

AUTO ist die Standardmethode zur Erstellung. Diese Option ermittelt automatisch die geeignetste Methode zum Erstellen eines Zylinders mit Hilfe eines oder mehrerer Eingabeelemente. Informationen hierzu finden Sie unter "Erstellen eines Auto-Zylinders".

Das grundlegende Format für Zylinder lautet wie folgt:

TOG1 = POLAR oder KART

TOG2 = ZYLINDER

TOG3 = BE / BENEUKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

TOG5 = KLEINSTE_QUAD / PFERCHKREIS / HÜLLKREIS / MINMAX / FESTER_RAD (nur bei gemessenen, BE- und BENEUKO-Kreisen)

Die Länge wird zwischen dem ersten gemessenen Kreis (den ersten drei Messpunkten) und dem Punkt gemessen, der am weitesten von den ersten drei Messpunkten entfernt liegt.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Zylindern gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Zylindertypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

In den nachstehenden Abschnitten werden die zum Erstellen eines Zylinders verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenzylinder

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungszylinders

Erstellen eines Zylinders am Schwerpunkt

Erstellen eines Projektionszylinders

Ändern der Richtung eines Zylinders

Erstellen eines Auto-Zylinders


Innen-/Außenzylinder

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob der Zylinder als interner bzw. als externer Zylinder erstellt werden soll.

  • Wird Innen gewählt, erstellt PC-DMIS den Zylinder als internen Zylinder.

  • Wird Außen gewählt, erstellt PC-DMIS den Zylinder als externen Zylinder.


Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungszylinders

Ein Besteinpassungszylinder kann aus sechs oder mehr Punkten erstellt werden. Die ersten drei Punkte müssen auf einem ungefähr planaren Querschnitt des Zylinders liegen, der senkrecht zur Zylindermittellinie liegt. Die Besteinpassungs-Erstellungsmethode verwendet die tatsächlichen Messpunkte und nicht die Kugeltastermitte (wie bei der Besteinpassungs-Neukompensierung). In beiden Fällen berechnet PC-DMIS den Zylinder mit der Methode der kleinsten Quadrate, wobei der Mittelwert der quadrierten Abstände der Datenpunkte zum Zylinder minimiert wird.

Hinweis: Bei bestimmten Punktmustern (z. B. zwei Reihen mit drei Punkten in gleichem Abstand zueinander oder zwei Reihen mit vier Punkten in gleichem Abstand zueinander) gibt es mehrere Möglichkeiten, einen perfekten Zylinder zu erstellen oder zu messen. Daher kann es vorkommen, dass der Besteinpassungsalgorithmus von PC-DMIS den Zylinder mit einer unerwarteten Lösung erstellt oder misst. Um die besten Ergebnisse zu erzielen, sollte gemessenen oder erstellten Zylindern ein eindeutiges Punktemuster zugrunde liegen.

So erstellen Sie einen Besteinpassungs- oder Besteinpassungs-Neukompensierungszylinder:

  1. Rufen Sie das Dialogfeld Abhängiges Element Zylinder erstellen auf (Einfügen | Element | Abhängiges Element | Zylinder). Menü-Übersicht anzeigen

  2. Wählen Sie entweder die Option Besteinpassung oder BE Neukompensiert.

  3. Geben Sie Ihre Eingabeelemente ein, indem Sie entweder zwei geeignete Kreiselemente oder mindestens sechs beliebige Elemente wählen.

Werden zwei Kreiselemente gewählt müssen diese mit der Besteinpassungs-(BE)/Besteinpassungs-Neukompensierungs-(BENEUKO) Methode, oder mit gemessenen Kreisen erstellt worden sein. Jeder Kreis muss insgesamt mindestens drei Messpunkte enthalten.

Werden sechs Elemente gewählt, können diese Elemente beliebiger Art sein. Wenn Sie jedoch BE Neukompensiert ausgewählt haben, muss mindestens ein Element ein Punkt sein.

4. Klicken Sie auf die Schaltfläche Erzeugen.

Hinweis: Die Berechnung, die PC-DMIS anwendet, um die Punkte von den Eingabeelementen zu erhalten, erfolgt je nach Eingabeelement auf andere Art und Weise. Erstellte Elemente geben im Gegensatz zu den oben beschriebenen entsprechenden Eingabekreisen einen einzigen Punkt zurück. Die oben beschriebenen erstellten BE-, BENEUKO- und gemessenen Kreise geben ihre Eingabepunkte zurück.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ZYLINDER,BE,Element_1,Element_2,Element_3,Element_4,Element_5,Element_6
(Verwendet die tatsächlich gemessenen Punkte zur Erstellung.)
oder
ABHÄNGIG/ZYLINDER,BENEUKO,Element_1,Element_2,Element_3,Element_4,Element_5,...
(Für die Messung wird der Mittelpunkt des Tasters verwendet.)

Erstellen eines Zylinders aus sechs oder mehr Punkten

Siehe auch:

Besteinpassungstyp


Besteinpassungstyp

Die folgende Liste steht zur Auswahl zur Verfügung, wenn Sie bei der Zylindererstellung die Optionen Besteinpassung oder BE Neukompensiert auswählen. Damit können Sie den Typus der zu verwendenden Besteinpassungserstellung bestimmen. Zur Auswahl stehen:

  • KLEINSTE_QUAD

  • PFERCHKR

  • HÜLLKR

  • MINMAX

  • FESTER_RAD

Diese Berechnungsarten wurden bereits im Abschnitt "Besteinpassungstyp" behandelt.


Erstellen eines Zylinders am Schwerpunkt

Sie können einen Zylinder erstellen, indem Sie ein beliebiges vorhandenes Element in einen Zylinder umändern. PC-DMIS erstellt den Zylinder im Flächenmittelpunkt des Eingabeelements. Wird ein Blechpunkt verwendet, dann entspricht der Durchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Durchmesser durch die Breite bestimmt. Bei Elementen, die keinen Durchmesser haben (Geraden, Punkte etc.), wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Sie können die Zylindergröße ändern und den Zylinder damit von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn der Zylinder dann ausgeführt wird, bedeutet dies, dass die Länge und der Durchmesser nicht in Abhängigkeit vom Eingabeelement geändert werden, sondern unabhängig vom Eingabeelement sind. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie die Zylindergröße in den Fällen kontrollieren, wo das Eingabeelement eigentlich keine Länge und keinen Durchmesser hat, wie beispielsweise ein Punkt. Das Feld "Abhängig/unabhängig" ist ein Umschaltfeld, das durch Sie geändert werden kann.

PC-DMIS legt dann die neuen Attribute (z. B. bei Änderung des Durchmessers) allen Berechnungen zugrunde und verwendet nicht die im Vorstehenden beschriebenen Standardwerte.

So erstellen Sie einen Zylinder am Schwerpunkt:

  1. Rufen Sie das Dialogfeld Abhängiges Element Zylinder erstellen auf (Einfügen | Element | Abhängiges Element | Zylinder). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element aus. Das Element kann beliebiger Art sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ZYLINDER,SCHWERPKT,Element_1,(ABHÄNGIG | UNABHÄNGIG)


Erstellen eines Projektionszylinders

Ein Zylinder kann aus einem beliebigen Element und einer Ebene erstellt werden. Der Durchmesser des projizierten Zylinders entspricht dem Durchmesser des ersten Eingabeelements (sofern kreisförmig) oder dem doppelten Tasterdurchmesser, wenn das Element nicht kreisförmig ist. Bei begrenzten Messungen müssen Sie die Länge und den Durchmesser eingeben. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene.

So erstellen Sie einen Projektionszylinder:

  1. Rufen Sie das Dialogfeld Abhängiges Element Zylinder erstellen auf (Einfügen | Element | Abhängiges Element | Zylinder). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Wenn Sie nur ein Element wählen, kann dies beliebiger Art sein. Wenn Sie zwei Elemente wählen, kann das erste beliebiger Art sein. Bei dem zweiten Element muss es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ZYLINDER,PROJ,Element_1,(Element_2)


Ändern der Richtung eines Zylinders

Ein Zylinder kann mit einem Umkehrvektor erstellt werden.

So erstellen Sie einen Umkehrzylinder:

  1. Rufen Sie das Dialogfeld Abhängiges Element Zylinder erstellen auf (Einfügen | Element | Abhängiges Element | Zylinder). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um einen Zylinder handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/ZYLINDER,UMK,Element_1


Erstellen eines Auto-Zylinders

Aus der nachstehenden Tabelle geht hervor, welcher Zylindertyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und erstelltt den angegebenen Elementtyp nicht automatisch.

Eingabeelement(e) | Abhängige Elemente
Fünf oder mehr Elemente = | Besteinpassungszylinder
Ein beliebiges Element = (außer Zylinder/Satz) | Zylinder am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungszylinder
Zylinder = | Umkehrzylinder
Ebene + ein beliebiges Element = | Projektionszylinder

Hinweis: Bei bestimmten Punktmustern (d. h. zwei Reihen mit drei Punkten in gleichem Abstand zueinander oder zwei Reihen mit vier Punkten in gleichem Abstand zueinander) gibt es mehrere Möglichkeiten, einen perfekten Zylinder zu erstellen oder zu messen. Daher kann es vorkommen, dass der Besteinpassungsalgorithmus von PC-DMIS den Zylinder mit einer unerwarteten Lösung erstellt oder misst. Um die besten Ergebnisse zu erzielen, sollte gemessenen oder erstellten Zylindern ein eindeutiges Punktemuster zugrunde liegen.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Zylinder erstellen auf (Einfügen | Element | Abhängiges Element | Zylinder). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.


 Clear button Create button Close button Changing the Direction of a Plane Constructing a Perpendicular Plane Constructing a Cast Plane Constructing a Mid Plane ID Search ID Select Last # Auto Plane Construction Constructing a Plane from an Alignment Feature List box Constructing a High Point Plane Constructing a Parallel Plane

Erstellen eines Ebenenelements

Abhängiges Element Ebene erstellen (Dialogfeld)

PC-DMIS bietet dem Benutzer eine Reihe verschiedener Methoden zum Erstellen einer Ebene. In der nachstehenden Tabelle werden die verschiedenen Arten erstellter Ebenen zusammen mit den erforderlichen Eingaben aufgeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, dass jedes beliebige Element als Eingabe für das Erstellen in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ELEM 3: | ANMERKUNGEN
Ausrichtungsebene | AUSRICHTEN | 0 | - | - | - | Erstellt eine Ebene am AusrichtungsNullpunkt
Besteinpassungsebene | BE | Mind. drei Eingaben sind erforderlich. | - | - | - | Erstellt eine Besteinpassungsebene anhand der vorgegebenen Eingaben
Besteinpassung mit Neukompensierungsebene | BENEUKO | Mind. drei Eingaben sind erforderlich. (eine davon muss ein Punkt sein) | - | - | - | Erstellt eine Besteinpassungsebene anhand der vorgegebenen Eingaben
Ebene am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | - | Erstellt einen Punkt am Flächenmittelpunkt des Eingabeelements
Ebene am Extrempunkt | EXTREMPUNKT | Entweder 1 Satz (mit mind. drei Elementen) oder 1 Scan. | Ist die Eingabe ein Satz, verwenden Sie Beliebige; bei einem Scan verwenden Sie einen Flächen-Scan. |  |  | Erstellt eine Ebene mit den höchsten verfügbaren Punkten.
Abhängige Ebene (Mitte) | MITTE | 2 | Beliebig | Beliebig | - | Erstellt eine Ebene zwischen den Flächenmittelpunkten der Eingabeelemente
Versatzebene | VERSATZ | Mind. drei Eingaben sind erforderlich. | Beliebig | Beliebig | Beliebig | Erstellt einen Ebenenversatz aus den einzelnen Eingabeelementen
Parallelebene | PLZU | 2 | Beliebig | Beliebig | - | Erstellt eine Ebene parallel zum ersten Element, die durch das zweite Element verläuft.
Rechtwinklige Ebene | PRZU | 2 | Beliebig | Beliebig | - | Erstellt eine Ebene rechtwinklig zum ersten Element, die durch das zweite Element verläuft.
Umkehrebene | UMK | 1 | Ebene | - | - | Erstellt eine Ebene mit einem umgekehrten Vektor, die durch das Eingabeelement verläuft.

So erstellen Sie eine Ebene:

  1. Wählen Sie in der Menüleiste Abhängiges Element erstellen (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf Ebene. Das Dialogfeld Abhängiges Element Ebene erstellen erscheint.

  3. Geben Sie die gewünschten Elemente ein.

  4. Wählen Sie die Methode zur Erstellung aus. Die verfügbaren Optionen sind:

  • Ausrichtungsebene

  • Besteinpassungs- oder Besteinpassungs-Neukompensierungsebene

  • Ebene am Schwerpunkt

  • Ebene am Extrempunkt

  • Abhängige Ebene (Mitte)

  • Versatzebene

  • Parallelebene

  • Rechtwinklige Ebene

  • Umkehrebene

  • Auto Ebene

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Ebenenerstellung würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
Elementname=ELEMENT/EBENE,TOG1
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
ABHÄNGIG/TOG2,TOG3,......

Wenn TOG2 = EBENE und TOG3 = BE oder BENEUKO, dann lautet der Befehl wie folgt:
Elementname=ELEMENT/EBENE,TOG1
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
ABHÄNGIG/EBENE,TOG3
AUSREISSER_ENTFERNEN/TOG5, Sigmafaktor
FILTER/TOG5, WELLENLÄNGE=Grenzwellenlänge

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

AUTO ist die Standardmethode zur Erstellung. Diese Option ermittelt automatisch die geeignetste Methode zum Erstellen einer Ebene mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Erstellen einer Auto Ebene".

TOG1 = POLAR oder KART

TOG2 = EBENE

TOG3 = AUSRICHTEN / BE / BENEUKO / SCHWERPKT / EXTREMPUNKT / MITTE / VERSATZ / PLZU / PROJ / PRZU / UMK

TOG5 = EIN/AUS

Sigmafaktor = Anhand dieses Sigmafaktors wird ermittelt, ob ein Messpunkt ein Ausreißer ist oder nicht. Wenn der Punkt weiter von der Ebene entfernt ist als die mit diesem Wert multiplizierte Standardabweichung, handelt es sich um einen Ausreißer, der entfernt wird, wenn Sie die Option Entferne Ausreißer aktiviert haben.

Grenzwellenlänge = Dieser Wert steuert den Glättungsfaktor für die Datenmenge. Je größer der Abstand, desto höher ist der Glättungsfaktor.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Ebenen gleich. Die vierte Zeile weicht je nach Typ des gerade erstellten Elements geringfügig ab. Sie können zwischen den verschiedenen Ebenentypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

In den nachstehenden Abschnitten werden die zum Erstellen einer Ebene verfügbaren Optionen beschrieben.

Siehe auch:

Erstellen einer Ebene am Ausrichtungsnullpunkt

Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsebene

Erstellen einer Ebene am Schwerpunkt

Erstellen einer Ebene an den Extrempunkten

Erstellen einer Ebene (Mitte)

Erstellen einer Versatzebene

Erstellen einer Parallelebene

Erstellen einer rechtwinkligen Ebene

Ändern der Richtung einer Ebene

Erstellen einer Auto Ebene


Erstellen einer Ebene am Ausrichtungsnullpunkt

Eine Ebene kann durch den aktuellen Nullpunkt und parallel zur aktuellen Arbeitsebene erstellt werden. (Eingabeelemente sind nicht erforderlich.)

So erstellen Sie eine Ausrichtungsebene:

1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

2. Klicken Sie auf die Option Ausrichtung.

3. Wählen Sie keine Eingabeelemente aus.

4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster: ABHÄNGIG/EBENE,AUSRICHTEN

Erstellen einer Ebene am Ausrichtungsnullpunkt


Erstellen einer Besteinpassungs- oder Besteinpassungs-Neukompensierungsebene

Eine Besteinpassungsebene kann aus drei oder mehr Elementen erstellt werden. Die Besteinpassungs-Erstellungsmethode verwendet die tatsächlichen Messpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Neukompensierung). In beiden Fällen berechnet PC-DMIS die Ebene mit der Methode Kleinste Quadrate – dabei minimiert PC-DMIS den quadratischen Mittelwert des rechtwinkligen Abstands der Datenpunkte zur Ebene.

So erstellen Sie eine Besteinpassungs- oder Besteinpassung-Neukompensierungsebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Wählen Sie entweder die Option Besteinpassung oder BE Neukompensiert.

  3. Wählen Sie mindestens drei Elemente aus.

Hinweis: Bei der Besteinpassungs-Neukompensierung muss mindestens eines der Elemente ein Punkt sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

ABHÄNGIG/EBENE,BE,Element_1,Element_2, ...

AUSREISSER_ENTFERNEN/(EIN | AUS), Sigmafaktor

FILTER/(EIN | AUS), WELLENLÄNGE=Grenzwellenlänge

(Für die Erstellung werden die tatsächlichen Messpunkte verwendet.)

oder

ABHÄNGIG/EBENE,BENEUKO,Element_1,Element_2, …

AUSREISSER_ENTFERNEN/(EIN | AUS), Sigmafaktor

FILTER/(EIN | AUS), WELLENLÄNGE=Grenzwellenlänge

(Für die Messung wird der Tastermittelpunkt verwendet.)

Erstellen einer Ebene aus drei oder mehr Punkten

Siehe auch:

Ausreißer entfernen / Sigmafaktor

Gauß-Filter / Grenzwellenlänge verwenden


Ausreißer entfernen / Sigma Faktor

Bei einer Besteinpassungs(BE)- oder Besteinpassung-Neukompensierungsebene (BENEUKO) haben Sie die Möglichlichkeit, Ausreißer zu entfernen, die durch den Abstand zum Besteinpassungselement definiert werden. Dadurch können während des Messvorgangs auftretende Anomalien beseitigt werden.

PC-DMIS passt zuerst eine Ebene in die Daten ein und bestimmt dann auf Basis des Sigma Faktors, welche Punkte Ausreißer sind. Dann wird folgendermaßen verfahren:

  1. PC-DMIS berechnet die Besteinpassungsebene nach dem Entfernen dieser Ausreißer neu.

  2. Das Vorhandensein weiterer Ausreißer wird geprüft.

  3. Die Besteinpassungsebene wird erneut berechnet.

  4. Dieser Vorgang wird wiederholt, bis keine Ausreißer mehr zu finden sind oder PC-DMIS die Ebene nicht mehr berechnen kann. (PC-DMIS kann die Ebene nur mit mindestens drei Datenpunkten berechnen).


Gauß-Filter / Grenzwellenlänge verwenden

Ebenen, die mit den Funktionen Besteinpassung (BE) und Besteinpassung-Neukompensierung (BENEUKO) konstruiert wurden, bieten optional die Möglichkeit, die Abweichungen der gemessenen Datenpunkte von der aus den Messdaten berechneten Besteinpassungsebene zu filtern. Mit dem Kontrollkästchen Gauß-Filter verwenden können Sie einen Gaußschen Filter mit einer Grenzwellenlänge anwenden. Allgemein werden durch eine längere Grenzwellenlänge angeglichenere Filterdaten erzeugt. Wenn Sie das Kontrollkästchen Entferne Ausreißer markiert haben und die Daten filtern, werden die Ausreißerdaten vor der Filterung entfernt. Zusätzliche Informationen über Gaußsche Filtermethoden siehe das Thema "Gauß-Filter" unter "Erstellung eines Filtersatzes".


Erstellen einer Ebene am Schwerpunkt

Sie können eine Ebene erstellen, indem Sie ein beliebiges vorhandenes Element in eine Ebene umändern. PC-DMIS erstellt die Ebene im Flächenmittelpunkt des Eingabeelements.

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/EBENE,SCHWERPKT,Element_1


Erstellen einer Ebene an den Extrempunkten

PC-DMIS kann nur aus einer Elementgruppe eine Extrempunktebene erstellen. Diese Gruppe muss mindestens drei Elemente enthalten.

Eine Extrempunkt-Ebene kann aus Elementen erstellt werden, die eine Gruppe oder einen Flächen-Scan darstellen.

So erstellen Sie eine Extrempunkt-Ebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Extrempunkt.

  3. Wählen Sie drei oder mehr Elemente eines beliebigen Typs aus. Auch eine aus mindestens drei Elementen bestehende Gruppe oder ein Flächen-Scan können ausgewählt werden. Siehe auch "Erstellen einer Elementreihe" oder "Durchführen eines fortgeschrittenen Flächen-Scans" im Abschnitt "Scannen Ihres Werkstücks".

  4. Klicken Sie auf die Schaltfläche Erzeugen.

  5. PC-DMIS erstellt zuerst eine Besteinpassungsebene aus den Eingabeelementen. Danach dreht es die Grafik in die Besteinpassungsebene. Dann werden (aus den ausgewählten Elementen) die drei höchsten Punkte auf dieser Ebene ermittelt, aus denen dann die Extrempunkt-Ebene erstellt wird.

Der Flächenmittelpunkt der Eingabeelemente, aus denen die Ebene an den Extrempunkten erstellt wurde, definiert den Schwerpunkt. PC-DMIS erstellt automatisch eine zweite Ebene, wenn der Schwerpunkt nicht in der ersten Extrempunkt-Ebene enthalten ist.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/EBENE, EXTREMPUNKT,Element_1, Element_2, Element_3, . . .

Erstellen einer Extrempunkt-Ebene


Erstellen einer Ebene (Mitte)

Eine Ebene kann aus zwei beliebigen Elementen erstellt werden. Die resultierende Mittelebene liegt in gleich großem Abstand zu den Flächenmittelpunkten der beiden gewählten Eingabeelemente.

So erstellen Sie eine Mittelebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Mittelebene.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster: ABHÄNGIG/EBENE,MITTE,Element_1,Element_2

Erstellen einer Ebene aus zwei Ebenen

Die erstellte Ebene und deren Vektor sind von den zugrundeliegenden Eingabeelementen abhängig.

· Wenn Sie Ebenen für beide Eingabeelemente auswählen, dann liegt die Mittelebene dort, wo sie den kleineren zwischen den beiden Eingabeebenen eingeschlossenen Winkel halbiert.

· Wird keine Ebene für beide Eingabeelemente ausgewählt, dann verläuft die erstellte Mittelebene durch den Punkt in der Mitte zwischen den Flächenmittelpunkten der beiden Eingabeelemente. Der Vektor der erstellten Ebene verläuft vom Flächenmittelpunkt des ersten Eingabeelements bis zum Mittelpunkt des zweiten Eingabeelements.


Erstellen einer Versatzebene

Eine Ebene kann in einem benutzerdefinierten Abstand von den Eingabeelementen erstellt werden.

So erstellen Sie eine Versatzebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Versatz.

  3. Wählen Sie mindestens drei Elemente beliebiger Art aus.

  4. Klicken Sie auf die Schaltfläche Versätze. Das Dialogfeld Ebenenversätze erscheint.

Ebenenversätze (Dialogfeld)

  5. Klicken Sie auf die Option Nennwerte berechnen und geben Sie die Versatzwerte für die gewünschten Elemente im entsprechenden Feld ein. Sie können jedoch auch auf Versätze berechnen klicken und die Nennwerte ändern (siehe nachfolgende Anweisungen).

  6. Klicken Sie auf Berechnen, um entweder die Nennwerte oder die Versatzwerte zu berechnen.

  7. Klicken Sie auf OK. Das Dialogfeld Ebenenversätze wird geschlossen.

  8. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS iteriert und erstellt eine Ebene so, dass der kürzeste Abstand von jedem Eingabeelement zur Ebene dem Versatzwert entspricht. Negative Versatzwerte werden in derselben generellen Richtung angewandt, in der die Punkte gemessen werden. Positive Versatzwerte werden entgegengesetzt zur Antastrichtung angewandt. Gibt es keine Antastrichtung (d. h., wenn die Eingabepunkte erstellt wurden), legt PC-DMIS die aktuelle Arbeitsebene zugrunde, um die generelle Richtung zur Anwendung der Versatzwerte zu bestimmen. Positive Versatzwerte werden in der Plusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt. Negative Versatzwerte werden in der Minusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt.

Hinweis: Das Vorzeichen (positiv oder negativ) des Versatzwertes bestimmt, auf welcher Seite der Eingabeelemente die Ebene erstellt wird. Sollte die Ebene nicht in die Richtung verlaufen, die Sie erwartet hatten, klicken Sie auf "Abbrechen" und erstellen Sie das Element neu, wobei Sie die Vorzeichen der eingegebenen Versatzwerte umkehren. Lauten die Versatzwerte beispielsweise 1,0 / 2,5 / 3,5, ändern Sie diese in -1,0 / -2,5 / -3,5 um.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

ABHÄNGIG/EBENE,VERSATZ
ID=ID1, ID2, ID3, …
VERSATZ=Wert1, Wert2, Wert3, …

Mehr dazu:

Ändern von Versatzwerten zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten


Ändern von Versatzwerten zum Berechnen von Nennwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Ebenenversätze, indem Sie auf die Schaltfläche Versätze des Dialogfelds Abhängiges Element Ebene erstellen klicken (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie in der Spalte Versatz auf den Wert "0,000000" (oder den aktuellen Wert), um ihn hervorzuheben.

  3. Klicken Sie erneut auf den Versatz.

  4. Geben Sie einen neuen Wert ein.

  5. Drücken Sie die EINGABETASTE.

  6. Klicken Sie auf Berechnen, um die Nennwerte basierend auf dem/den von Ihnen gewählten Versatzwert/en zu aktualisieren.

  7. Klicken Sie auf OK, um den Versatz zu speichern.


Beispiel zum Berechnen von Nennwerten

Mit der Schaltfläche Nennwerte berechnen werden die X-, Y- und Z-Nennwerte auf Basis der neu eingegebenen Versatzwerte berechnet.

Angenommen, es wird eine Versatzebene zwischen drei Kreisen (KREIS1, KREIS2 und KREIS3) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Versätze geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 6

Y = 2

Z = 0,95

Wenn Sie die Versatzwerte für jeden Kreis um den Wert 3,0 ändern, und dann auf die Schaltfläche Nennwerte berechnen klicken, werden die Werte von X, Y und Z folgendermaßen aktualisiert:

X = 6

Y = 2

Z = 3,95

Wenn Sie nun zur Konstruktion der Versatzgeraden auf OK klicken, ist zu beobachten, dass die neu erstellte Gerade auf der Z-Achse drei Einheiten höher liegt.

Ebenenversätze wirken sich nur auf die Z-Achse aus.


Ändern von Nennwerten zum Berechnen von Versatzwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Ebenenversätze, indem Sie auf die Schaltfläche Versätze des Dialogfelds Abhängiges Element Ebene erstellen klicken (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Wählen Sie die Option Versätze berechnen. Der Nennwertbereich des Dialogfelds kann nun bearbeitet werden.

  3. Ändern Sie die XYZ- oder IJK-Werte.

  4. Klicken Sie auf Berechnen, um die Versatzwerte auf Basis der von Ihnen geänderten Nennwerte zu aktualisieren.

  5. Klicken Sie auf OK, um den Versatz zu speichern.


Beispiel zum Berechnen von Versatzwerten

Mit der Schaltfläche Versätze berechnen werden die Versatzwerte berechnet, die bei der Änderung des Nennwertes in der Spalte Versatz erscheinen.

Angenommen, es wird eine Versatzebene zwischen drei Kreisen (KREIS1, KREIS2 und KREIS3) erstellt. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Versätze geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 6

Y = 2

Z = 0,95

Wenn Sie die X-, Y- und Z-Nennwerte nun folgendermaßen ändern:

X = 6

Y = 2

Z = 3,95

und auf die Schaltfläche Versätze berechnen klicken, werden die Versätze der drei Kreise folgendermaßen aktualisiert:

3,000000 KREIS1

3,000000 KREIS2

3,000000 KREIS3

Wenn Sie nun zum Erstellen der Versatzgeraden auf OK klicken, ist zu beobachten, dass die Ebene auf der Z-Achse um 3,0 Einheiten höher erstellt wird.


Erstellen einer Parallelebene

Eine Ebene kann parallel zu zwei beliebigen Elementen erstellt werden. PC-DMIS erstellt eine Ebene, die parallel zum ersten Eingabeelement und durch den Flächenmittelpunkt des zweiten Eingabeelements verläuft.

So erstellen Sie eine Parallelebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Parallel.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/EBENE,PLZU,Element_1,Element_2

Erstellen einer Parallelebene aus zwei Ebenen

Erstellen einer Parallelebene aus zwei Geraden


Erstellen einer rechtwinkligen Ebene

Eine Ebene kann zwischen zwei beliebigen Elementen erstellt werden. PC-DMIS erstellt eine Ebene, die im rechten Winkel zum ersten Eingabeelement und durch den Flächenmittelpunkt des zweiten Eingabeelements verläuft.

So erstellen Sie eine rechtwinklige Ebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Rechtwinklig.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ABHÄNGIG/EBENE,PRZU,Element_1,Element_2

Erstellen einer rechtwinkligen Ebene


Ändern der Richtung einer Ebene

Eine Ebene kann mit einem umgekehrten Vektor erstellt werden.

So erstellen Sie eine Umkehrebene:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muss es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/EBENE,UMK,Element_1


Erstellen einer Auto-Ebene

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Methode zur Erstellung:

  1. Rufen Sie das Dialogfeld Abhängiges Element Ebene erstellen auf (Einfügen | Element | Abhängiges Element | Ebene). Menü-Übersicht anzeigen

  2. Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die nachstehende Tabelle zeigt, welcher Ebenentyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an und erstellt den angegebenen Elementtyp nicht automatisch.

Eingabeelement(e) | Abhängige Elemente
Drei oder mehr Elemente (nicht alle müssen gemessene Punkte sein) = | Besteinpassungsebene
Eine Ebene = | Umkehrebene
Ein beliebiges Element =? (außer Ebene/Satz) | Ebene am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungsebene
Alles gemessene Punkte = | Besteinpassungs-Kompensierungsebene


Erstellen eines Langlochelements

Abhängiges Element Langloch erstellen (Dialogfeld)

Es gibt zwei Langlochtypen in PC-DMIS: ein Langloch, das aus zwei Kreisen (Option Kreise) erstellt wird, und ein Langloch, das aus vier oder mehr Eingaben (Option Besteinpassung oder BE Neukompensiert) erstellt wird. Aus der nachstehenden Tabelle gehen die Eingaben für das Langloch und die Definitionen im Bearbeitungsfenster hervor.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Langloch | LANGLOCH | 2 | Kreis | Kreis | Erstellt ein Langloch in der Ebene des ersten Kreises von Mittelpunkt zu Mittelpunkt.
Langloch | BE | 4 oder mehr |  |  | Erstellt ein Besteinpassungs-Langloch anhand der vorgegebenen Eingaben
Langloch | BENEUKO | 4 oder mehr |  |  | Erstellt ein Besteinpassungs-Neukompensierungs-Langloch anhand der vorgegebenen Eingaben

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie ein Langloch:

  1. Rufen Sie das Dialogfeld Abhängiges Element Langloch erstellen auf (Einfügen | Element | Abhängiges Element | Rundloch). Menü-Übersicht anzeigen

  2. Wählen Sie die Option Innen oder Außen, um das erstellte Langloch als ein Loch bzw. als ein Bolzen-Langloch zu definieren.

  3. Bitte wählen Sie eine der folgenden Erstellungsmethoden: Kreise, Besteinpassung oder BE Neukompensiert.

  4. Wählen Sie die Eingaben, basierend auf den Typ des Langlochs, das erstellt werden soll.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Langlocherstellung würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:

Elementname=ELEMENT/LANGLOCH,TOG1
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Breite,Länge
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Breite,Länge
ABHÄNGIG/TOG3,TOG4,,Element_1,Element_2, …

Hinweis: Das angezeigte Protokoll erscheint vollständig in GROSSBUCHSTABEN.

TOG1 = POLAR oder KART

TOG2 = AUSSEN oder INNEN

TOG3 = LANGLOCH

TOG4 = KREISE oder BE oder BENEUKO

Siehe auch:

Innen-/Außenlangloch

Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungslanglochs

Erstellen eines Langlochs aus zwei Kreisen


Innen-/Außenlangloch

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob das Langloch als internes bzw. als externes Langloch erstellt werden soll.

· Wird Innen gewählt, erstellt PC-DMIS das Langloch als internes Langloch.

· Wird Außen gewählt, erstellt PC-DMIS das Langloch als externes Langloch.


Erstellen eines Langlochs aus zwei Kreisen

Das aus zwei Kreisen erstellte Langloch wird hauptsächlich durch den zuerst ausgewählten Kreis definiert. Es wird in derselben Ebene wie der erste Kreis erstellt. Die Breite des Langlochs wird zudem durch den Durchmesser des ersten Kreises bestimmt. Anhand des zweiten Kreises wird lediglich die Länge des Langlochs bestimmt. Die Länge entspricht dem Abstand vom Mittelpunkt des ersten Kreises zum Mittelpunkt des Zweiten plus dem Durchmesser des ersten Kreises.

Sind die beiden Eingabekreise nicht koplanar (also nicht in der gleichen Ebene liegend), wird der Mittelpunkt des zweiten Kreises rechtwinklig in die Ebene des ersten Kreises projiziert. Der Abstand wird dann vom Mittelpunkt des ersten Kreises zum projizierten Mittelpunkt des zweiten Kreises berechnet.

So erstellen Sie ein Langloch aus Kreisen:

  1. Rufen Sie das Dialogfeld Abhängiges Element Langloch erstellen auf (Einfügen | Element | Abhängiges Element | Langloch). Menü-Übersicht anzeigen

  2. Wählen Sie Innen oder Außen.

  3. Klicken Sie auf die Option Kreise.

  4. Wählen Sie zwei Kreiselemente zur Eingabe aus.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Langloch lautet wie folgt:

ABHÄNGIG/LANGLOCH,KREISE,Element_1,Element_2


Erstellen eines Besteinpassungs- oder Besteinpassungs-Neukompensierungslanglochs

Die Besteinpassungs-(BE) und Besteinpassungs-Neukompensierungs(BENEUKO)-Methoden werden aus 4 oder mehr Elementen erstellt. Der Vektor des erstellten Langlochs verläuft senkrecht zur aktuellen Arbeitsebene. Die BENEUKO-Erstellung verwendet die Kugeltastermitte zusammen mit dem Tasterradius zur Berechnung des Langlochs. Die Kompensierung ist ein wesentlicher Teil der Einpassung. Die BE-Erstellung kompensiert die gemessenen Punkte vor der Einpassung.

Der Durchschnittswert aller Eingabeelemente ergibt den Höhenwert des Langlochs über der Arbeitsebene.

So erstellen Sie ein BE- oder BENEUKO-Langloch:

  1. Rufen Sie das Dialogfeld Abhängiges Element Langloch erstellen auf (Einfügen | Element | Abhängiges Element | Langloch). Menü-Übersicht anzeigen

  2. Wählen Sie Innen oder Außen.

  3. Wählen Sie entweder die Option BE oder BENEUKO aus.

  4. Wählen Sie mindestens vier Elemente aus. Sie können beliebiger Art sein.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster angezeigte Befehlzeile für das Besteinpassungs- oder Beisteinpassungs-Neukompensierungslangloch lautet:

ABHÄNGIG/LANGLOCH,BE (oder BENEUKO),Element_1,Element_2, …


Erstellen eines Kurvenelements

Abhängiges Element Kurve erstellen (Dialogfeld)

Abhängiges Element Kurve erstellen (Dialogfeld)

In PC-DMIS sind zwei Arten erstellter Kurven (unabhängige Kurven und abhängige Kurven) verfügbar. Aus der nachstehenden Tabelle gehen die beiden Kurventypen sowie die erforderlichen Eingaben hervor. Bei allen Kurven ist als Eingabe ein Satz erforderlich. Bei einem Satz kann es sich um einen gemessenen Satz, einen erstellten Satz oder einen Scan handeln. Der Eingabesatz muss mindestens vier Elemente (oder im Falle eines Scans Eingabepunkte) enthalten.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL DER EINGABESÄTZE | EINGABE 1: | ANMERKUNGEN
Abhängige Kurve | ABHÄNGIG | 1 | Satz mit mind. vier Eingaben | Kurve wird bei Änderung der Eingabeelemente aktualisiert Hinweis: Durch die Bearbeitung wird eine abhängige Kurve zu einer unabhängigen Kurve.
Unabhängige Kurve | UNABHÄNGIG | 1 | Satz mit mind. vier Eingaben | Eingabeelement dient nur Erstellungszwecken. Benutzer kann Passpunkte der Kurve manuell bearbeiten.

Für eine Beispiel-Kurvenerstellung auf Basis eines abhängigen Kurventyps würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:

elementname

=ELEMENT/KURVE, ABHÄNGIG, Anzahl_Passpunkte, Anzahl_Eingabeelemente, Ausdünnungsparameter

ABHÄNGIG/KURVE,EINGABETYP, Eingabe-ID

Bei einem unabhängigen Kurventyp würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:

elementname

=ELEMENT/KURVE, UNABHÄNGIG, Anzahl_Passpunkte, Anzahl_Eingabeelemente, Ausdünnungsparameter

ABHÄNGIG/KURVE,

Anzahl_Passpunkte = Dies ist die Anzahl der die Kurve definierenden Passpunkte. Durch Angabe weiterer Passpunkte ist es möglich, die Kurve enger durch die Elemente verlaufen zu lassen. Zu viele Passpunkte können jedoch auch zu unerwartetem Verhalten führen.

Anzahl_Eingabeelemente = Dies ist die Anzahl der Elemente, in die eine Einpassung der Kurve versucht wird.

Hinweis: Die beiden Parameter können nicht im Bearbeitungsfenster geändert werden.

Eingabe-ID = Dies ist die ID des Satzes mit den einzupassenden Elementen.

Ausdünnungsparameter = Nähere Informationen hierzu finden Sie im unten beschriebenen Absatz "Ausdünnungsparameter".

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

Siehe auch:

Erstellen einer abhängigen/unabhängigen Kurve

Ausdünnungsparameter


Erstellen einer abhängigen/unabhängigen Kurve

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie eine Kurve:

  1. Rufen Sie das Dialogfeld Abhängiges Element Kurve erstellen auf (Einfügen | Element | Abhängiges Element | Kurve). Menü-Übersicht anzeigen

  2. Geben Sie den gewünschten Satz ein.

  3. Legen Sie den Wert im Feld Berechnungstoleranz fest.

  4. Bearbeiten Sie ggf. die Passpunkte.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Alle erstellten Kurven sind anfänglich ABHÄNGIGE Kurven und müssen aus nur einer Eingabe, und zwar einem Satz, erstellt werden. Die folgenden drei Satztypen sind zulässig:

  • Ein gemessener Satz

  • Ein erstellter Satz

  • Ein Scan mit einer einzelnen Punktreihe (Siehe auch "Erstellen einer Elementreihe".)

Der Eingabesatz muss mindestens vier Elemente oder (im Falle eines Scans) Punkte enthalten.

Hinweis: Der Verlauf der resultierenden Kurve hängt davon ab, in welcher Reihenfolge die Elemente zum Satz hinzugefügt werden (erstes bis letztes).

Eine Kurve kann auch einfach durch Auswahl mehrerer Elemente aus dem Elementlistenfeld anstatt durch Auswahl eines erstellten Satzes aus der Liste erstellt werden. In diesem Fall ist das Feld EINGABETYP des Befehls leer, wenn er im Bearbeitungsfenster angezeigt wird.

In den nachstehenden Abschnitten werden die zum Erstellen einer Kurve verfügbaren Optionen beschrieben.

Siehe auch:

Berechnungstoleranz

Passpunkt bearbeiten

Passpunktliste


Ausdünnungsparameter

Sie können einen von zwei verschiedenen Ausdünnungsparametern anwenden; entweder "Berechnungstoleranz" oder "Faktor der Ausdünnung". Über das Kontrollkästchen Toleranz(en) verwenden in den Dialogfeldern Abhängiges Element Fläche erstellen und Abhängiges Element Kurve erstellen haben Sie die Möglichkeit, zwischen "Toleranz" und "Proportion" zu wechseln:

  • Berechnungstoleranz steuert die Dichte (oder Genauigkeit) der Kurven- bzw. Flächeneinpassung. Gültige Berechnungstoleranzen liegen in einem Bereich von 0,0 bis 5,0, wobei der Standardwert 0,01 ist. Je kleiner die Berechnungstoleranz, desto näher an den Flächenmittelpunkten der im Eingabesatz enthaltenen Elemente verläuft die Kurve. Wenn die Berechnungstoleranz 0,0 ist, verläuft die Kurve oder Fläche durch alle Datenpunkte. Eine höhere Berechnungstoleranz führt zu einer Kurve oder einer Fläche mit weniger Schwankungen (was dazu führt, dass sie nicht in der Nähe der Elemente des Eingabesatzes liegen). Um das zu veranschaulichen, erstellen Sie eine Kurve oder Fläche und ändern dann die Eingabetoleranz. Beobachten Sie, wie sich die Form verändert.

  • Faktor der Ausdünnung kann alternativ zur Steuerung der Einpassungsqualität verwendet werden. Gültige Ausdünnungsfaktoren umfassen den Bereich von 0,0 bis 1,0. Standardwert ist 0,33. Der Faktor der Ausdünnung bestimmt die Anzahl von Freiheitsgraden, die zur Einpassung der Kurve oder Fläche an die Datenpunkte zur Verfügung stehen. Beim zulässigen Mindestwert von 0 versucht der Algorithmus, eine Gerade oder Ebene zu den Datenpunkten einzupassen. Bei 1 wird eine Einpassung berechnet, die durch alle Datenpunkte verläuft.

So machen Sie aus einer ABHÄNGIGEN Kurve eine UNABHÄNGIGE Kurve (die nicht mehr mit dem Eingabesatz verknüpft ist):

1. Öffnen Sie das Bearbeitungsfenster.

2. Markieren Sie das Kurvenelement, das Sie erstellt haben.

3. Navigieren Sie zum Feld ABHÄNGIG dieses Elements.

4. Drücken Sie F7. Dadurch wird von ABHÄNGIG auf UNABHÄNGIG umgeschaltet.

Der Kurvenverlauf kann geändert werden, indem Sie ihre Passpunkte bearbeiten.


Passpunkt bearbeiten

Bei Auswahl einer bereits vorhandenen Kurve enthält das Dialogfeld eine Liste von Passpunkten, die in der Passpunkt liste aufgeführt sind. Wenn Sie einen der Passpunkte auswählen, setzt PC-DMIS die entsprechenden Werte in die Felder X, Y und Z, wo sie bearbeitet werden können.

So bearbeiten Sie diese Passpunkte:

  1. Vergewissern Sie sich, dass bereits ein Kurvenelement vorhanden ist.

  2. Öffnen Sie das Bearbeitungsfenster.

  3. Markieren Sie die Kurve im Bearbeitungsfenster.

  4. Drücken Sie F9, um das Dialogfeld Kurve zu aktivieren.

  5. Markieren Sie den zu ändernden Passpunkt in der Passpunktliste.

  6. Bearbeiten Sie die einzelnen X-, Y-, und Z-Komponenten des Punktes.

  7. Klicken Sie auf OK.

Die Kurve wird nun so aktualisiert, dass sie die Änderungen wiedergibt.

Hinweis: Wenn die Passpunkte einer abhängigen Kurve bearbeitet werden, wird sie automatisch zu einer unabhängigen Kurve, da sie nun nicht mehr auf dem Eingabesatz basiert.


Passpunktliste

Die Passpunkt liste wird nur angezeigt, wenn eine vorhandene Kurve mit dem Dialogfeld verknüpft ist. Wenn eine Kurve vorhanden ist, deren Passpunkte Sie bearbeiten möchten, werden alle Passpunkte dieser Kurve in der Passpunkt liste angezeigt.


Erstellen einer Fläche

Abhängiges Element Fläche erstellen (Dialogfeld)

Abhängiges Element Fläche erstellen (Dialogfeld)

In PC-DMIS sind zwei Arten erstellter Flächen (unabhängige Flächen und abhängige Flächen) verfügbar. Aus der nachstehenden Tabelle gehen die beiden Flächentypen sowie die erforderlichen Eingaben hervor. Die einzige für die Fläche zulässige Eingabe ist ein Flächen-Scan. Der Scan muss mindestens zwei Reihen mit vier Punkten pro Reihe enthalten.

Hinweis: Zukünftige Programmversionen werden Punktewolken zum Erstellen von Flächen unterstützen.

ABHÄNGIGES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL DER EINGABESÄTZE | EINGABE 1: | ANMERKUNGEN
Abhängige Fläche | ABHÄNGIG | 1 | Flächen-Scan mit mind. 2 Reihen (4 Punkte/Reihe) | Fläche wird bei Änderung des Eingabeelements aktualisiert
Unabhängige Fläche | UNABHÄNGIG | 1 | Flächen-Scan mit mind. 2 Reihen (4 Punkte/Reihe). | Eingabeelement dient nur zu Erstellungszwecken

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie eine Fläche:

  1. Rufen Sie das Dialogfeld Abhängiges Element Fläche erstellen auf (Einfügen | Element | Abhängiges Element | Fläche). Menü-Übersicht anzeigen

  2. Geben Sie den gewünschten Flächen-Scan ein.

  3. Wählen Sie die verschiedenen Erstellungsoptionen aus.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Beispielfläche angezeigte Befehlszeile lautet:
Elementname=ELEMENT/OBERFLÄCHE,TOG1,PASSPUNKTE U,
PASSPUNKTE V, ANZAHL DER EINPASSUNGSPUNKTE,TOG2
AUSÜNNUNGSPARAMETER U, AUSDÜNNUNGSPARAMETER V
ABHÄNGIG/OBERFLÄCHE, EINGABETYP, EINGABE ID

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in GROSSBUCHSTABEN.

ABHÄNGIG ist die Standardmethode zur Erstellung.

TOG1 = Abhängig oder Unabhängig.

TOG2 = Toleranz oder Proportion

In den nachstehenden Abschnitten werden die zum Erstellen einer Fläche verfügbaren Optionen beschrieben.

Siehe auch:

Erstellen einer abhängigen/unabhängigen Fläche

Ausdünnungsparameter


Erstellen einer abhängigen/unabhängigen Fläche

Alle erstellten Fächen sind anfänglich abhängige Flächen und müssen aus nur einer Eingabe – einem Flächen-Scan – erstellt werden. Der Flächen-Scan muss mindestens zwei Reihen mit vier Punkten pro Reihe enthalten. Durch die Berechnungstoleranzen wird die Enge der Flächenpassung gesteuert.

  • Geringe Toleranzen: Bei kleinen Werten als Berechnungstoleranzen versucht der Algorithmus die Fläche so anzupassen, dass sie durch alle Flächenmittelpunkte der Mitglieder des Eingabesatzes verläuft.

  • Große Toleranzen: Bei großen Berechnungstoleranzen ist die Fläche eher eine Annäherung an den Scan. Um das zu veranschaulichen, erstellen Sie eine Fläche und ändern Sie dann die Berechnungstoleranzwerte, um zu sehen, wie sich die Flächenform ändert.

Hinweis: Je kleiner die Berechnungstoleranz, desto länger dauert es, bis die Fläche erstellt ist. Bei geringen Toleranzwerten (0,01 - 0,05) kann es sehr lange dauern (bis zu einer Stunde), bis die Fläche erstellt ist, wenn der Eingabescan groß oder nicht einheitlich ist. Gültige Berechnungstoleranzen liegen in einem Bereich von 0,01 bis 5,0, wobei der Standardwert 0,5 ist.

Das Aussehen der Fläche kann durch die Werte der Flächenraster-Dichte gesteuert werden. Die Fläche wird als ein aus Polylinien bestehendes NxM-Netz dargestellt, wobei der Standardwert ein 5x5-Netz, der niedrigste Wert ein 2x2-Netz ist. Wenn Sie die abhängige Fläche unabhängig machen wollen, so dass sie nicht mehr mit dem Eingabe-Scan verknüpft ist, schalten Sie das Feld ABHÄNGIG im Bearbeitungsfenster um.

Hinweis: Die Form der Fläche kann nicht geändert werden.

So erstellen Sie eine abhängige/unabhängige Fläche:

  1. Rufen Sie das Dialogfeld Abhängiges Element Fläche erstellen auf (Einfügen | Element | Abhängiges Element | Fläche). Menü-Übersicht anzeigen

  2. Legen Sie den Wert für das Feld Berechnungstoleranz U fest

  3. Legen Sie den Wert für das Feld Berechnungstoleranz V fest. Dadurch wird ein Toleranzwert auf die V-Achse angewandt.

  4. Legen Sie die Werte für die Flächenrasterdichte fest.

  5. Markieren Sie die gewünschten Optionen zur Erstellung. Dazu gehören:

  • Fläche optimieren

  • Spannungsfaktor anwenden

  • Ecken erstellen

  • Abw. Daten angleichen

  6. Wählen Sie die Elementreihe eines Flächen-Scans aus, der mindestens zwei Reihen mit vier Punkten pro Reihe enthalten muss.

  7. Klicken Sie auf die Schaltfläche Erzeugen.

Siehe auch:

Berechnungstoleranz

Berechnungstoleranz U

Berechnungstoleranz V

Flächenrasterdichte

Fläche optimieren

Spannungsfaktor anwenden

Ecken erstellen

Abw. Daten angleichen


Ausdünnungsparameter U

In diesem Feld können Sie einen Ausdünnungsparameter festlegen, der auf die U-Achse der Oberfläche angewandt wird.


Ausdünnungsparameter V

In diesem Feld können Sie einen Ausdünnungsparameter festlegen, der auf die V-Achse der Oberfläche angewandt wird.


Flächenrasterdichte

In diesem Feld können Sie die Dichte des Flächen-Scans festlegen. Je höher die Werte, desto größer die Anzahl der Splines.


Fläche optimieren

Passpunkte sind Punkte, welche die Start- und Endpunkte von Splines in einem Flächenraster markieren.

Bei Auswahl dieses Kontrollkästchens wird versucht, die Knoten und Passpunkte der Ausgangs-Splines, aus denen die Fläche erstellt wird, zu optimieren.

Flächenraster mit Passpunkten, Knoten und Splines.


Spannungsfaktor anwenden

Oberflächen, die mit dem aktivierten Kontrollkästchen Spannungsfaktor anw. erstellt wurden, sind tendenziell straffer und kürzer, können jedoch geringfügig von den Eingabedaten abweichen.


Ecken erstellen

Mit diesem Kontrollkästchen können an den Stellen, an denen die Daten eine jähe Richtungsänderung aufweisen, Ecken zur Oberfläche hinzugefügt werden.


Abw. Daten angleichen

Bei Aktivierung dieses Kontrollkästchens wird versucht, abweichende Daten zu eliminieren. Abweichende Daten sind Daten, die eine jähe Richtungsänderung aufweisen. Diese Option ist praktisch das Gegenteil der Option Ecken erstellen.


Erstellen einer Elementgruppe

Abhängige Elementgruppe erstellen (Dialogfeld)

Mit dem Menübefehl Gruppe können Sie eine Gruppe von Elementen erstellen. Dies geschieht durch Auswahl (oder Eingabe) sämtlicher Elemente, die in der Gruppe verwendet werden sollen. Wenn Sie dann auf die Schaltfläche Erzeugen klicken, bildet PC-DMIS einen Durchschnittswert aller Eingabeflächenmittelpunkte und zeigt zusammen mit der neuen ID für die Gruppe eine Gruppenmarkierung an.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "[Element] kann nicht erstellt werden. Die Kombination von Eingabeelementen wird nicht unterstützt".

So erstellen Sie eine abhängige Elementgruppe:

  1. Rufen Sie das Dialogfeld Abhängige Elementgruppe erstellen auf (Einfügen | Element | Abhängiges Element | Gruppe). Menü-Übersicht anzeigen

  2. Wählen Sie die Elemente aus, die Ihre Elementgruppe enthalten soll.

  3. Klicken Sie auf die Schaltfläche Erzeugen. Die neue Elementreihe erhält eine Element-ID und wird in der Grafikanzeige platziert.

Die im Bearbeitungsfenster für die Erstellung einerBeispielflächenerstellung angezeigte Befehlszeile lautet:
Elementname=ELEMENT/GRUPPE,TOG1,
NENN/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,
MESS/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,
ABHÄNGIG/TOG2,Element_1, Element_2, Element_3...

TOG1 = POLAR oder KART

TOG2 = GRUPPE

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen erstellten Gruppen gleich. Die vierte Zeile weicht je nach Anzahl der in der Gruppe enthaltenen Elemente geringfügig ab.

Für Gruppen gibt es in PC-DMIS für Windows derzeit zwei Verwendungsmöglichkeiten:

Siehe auch:

Profilfehler aus einer Gruppe

Durchschnittswerte aus einer Gruppe

Messpunktreihe eines Scans als Eingabe verwenden


Profilfehler aus einer Gruppe

Bei Einsatz von CAD-Daten kann eine Gruppe aus den auf einer Fläche liegenden Messpunkten erstellt werden. Wenn der Benutzer dann das PROFIL der Elementgruppe abfragt, meldet PC-DMIS die Zone zwischen dem minimalen Fehler senkrecht zur Fläche und dem maximalen Fehler senkrecht zur Fläche zurück. (Weitere Informationen finden Sie unter "Merkmale "Flächenprofil" oder "Linienprofil" erstellen" im Abschnitt "Merkmale für Elemente erstellen".)


Durchschnittswerte aus einer Gruppe

Wenn ein Satz aus Eingabeelementen besteht, bildet PC-DMIS den Durchschnitt aus den X-, Y-, und Z-Werten der Eingabeelemente. Diese Gruppe kann beispielsweise dazu dienen, den Z-Durchschnittswert aus einer Reihe von Messpunkten zu bilden.


Messpunktreihe eines Scans als Eingabe verwenden

In der Version 3.6 und höher können Sie die Messpunktreihe eines vorhandenen Scans für Ihre Elementgruppeneingaben verwenden, anstatt Einzelelemente auszuwählen.

Vorgehensweise:

1. Öffnen Sie das Dialogfeld Abhängige Elementgruppe erstellen.

2. Markieren Sie einen Scan, der als Eingabe verwendet werden soll.

3. Klicken Sie auf OK. Der Befehl erscheint im Bearbeitungsfenster.

4. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

5. Gehen Sie zu dem Befehl "Elementgruppe" im Bearbeitungsfenster.

6. Wählen Sie die Scan-ID in der Befehlszeile ABHÄNGIG/GRUPPE aus.

7. Ändern Sie die Scan-ID zur Aufnahme einer Messpunktreihe, wobei Sie eine Syntax gemäß dem folgenden Beispiel verwenden:

<ID>.MESSPKT<ANFANGMESSPKT>..<ENDEMESSPKT>

<ID> - Gibt die ID des Scans an.

<STARTMESSPKT> - Wert, der den Anfangsmesspunkt in der Messpunktreihe angibt.

<ENDMESSPKT> - Wert, der den letzten Messpunkt in der Messpunktreihe angibt.

Der folgende Kode zeigt beispielsweise einen erstellten Satz, der die Messpunkte 1 bis 10 eines als SCN1 bezeichneten Scans für seine Eingabeelemente verwendet.

GRUPPE1 =ELEMENT/GRUPPE,KART
NENN/2,2953,3,7467,0,95,0,0,1
MESS/2,2953,3,7467,0,95,0,0,1
ABHÄNGIG/GRUPPE,BASIS,SCN1.MESSPKT[1..10],,

Sie können einen konkreten (mit dem Eingabekode vergleichbaren) Ausdruck verwenden, um einem Array die X-Werte der ersten fünf Elemente des erstellten Satzes zuzuordnen. Mit dem folgenden Kode würden der Variablen V2 beispielsweise nur die X-Werte der ersten fünf Messpunkte zugewiesen werden. Die Werte werden dann in einem Bedienerkommentar angezeigt.

ZUWEISEN/V2 = GRUPPE1.MESSPKT[1..5].X
KOMMENTAR/BEDIENER,JA,V2 ist:
,V2

Weitere Informationen zur Verwendung von Ausdrücken, um eine Messpunktreihe als Array wiederzugeben, finden Sie unter "Messpunkt-Arrays" im Abschnitt "Verwenden von Ausdrücken und Variablen".


 Standard Deviation Multiple box Cutoff Wavelength box Smoothing Parameter box Polar option Cuttoff Frequency box Filter Width box Constructing a BF or BFRE Cylinder Close button Create button Clear button Remove Outliers check box Linear option Feature List box Select Last # Search ID ID

Erstellen eines Filtersatzes

Element filtern (Dialogfeld)

Mit diesem Befehl können Sie einen Filtersatz aus einem Scan, einigen erstellten Elementen oder einem anderen Filtersatz erstellen. Dies erfolgt über die Auswahl oder Eingabe des Eingabeelements, der Art des gewünschten Filters und der mit dem Filter anzuwendenden Parameter. Wenn Sie dann auf die Schaltfläche Erzeugen klicken, wendet PC-DMIS die Filterroutine auf die Daten im Eingabeelement an und zeigt dann, zusammen mit der neuen ID für die Gruppe, eine Gruppenmarkierung an.

Dieser Befehl wird in der Regel zur Angleichung der bei einem Scan in der Tasterkugelmitte erfassten Daten verwendet. PC-DMIS wendet einen Tiefpassfilter Gaußscher oder anderer Art an, um die Daten zu glätten.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS folgende Fehlermeldung an: "Element kann nicht erstellt werden."

So erstellen Sie einen Filtersatz:

  1. Rufen Sie das Dialogfeld Element filtern auf (Einfügen | Element | Abhängiges Element | Filter). Menü-Übersicht anzeigen

  2. Wählen Sie ein Eingabeelement für den Filtersatz aus.

  3. Wählen Sie entweder die Option Polar oder Linear, um kreisförmige beziehungsweise lineare Daten zu glätten.

  4. Wählen Sie die Art des Filters aus der Liste Filtertyp aus.

  5. Geben Sie die Werte für einen beliebigen der Filterparameter ein.

  6. Sollen vor der Filterung Ausreißer entfernt werden, aktivieren Sie die Kontrollkästchen Ausreißer entfernen und Sigma Faktor.

  7. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ABHÄNGIG/GRUPPE/FILTER,TOG1,TOG2,Element_1,
WERT1,WERT2,AUSREISSER_ENTFERNEN/TOG3,BETR3

Beispiel:

ÄNGIG/GRUPPE,FILTER,GAUSS,POLAR,SCN1,
BREITE=3,WPU =50,AUSREISSER_ENTFERNEN/EIN,3

TOG1 = Gauss / Spline/ Gleichmäßig/Dreieck/Zylindrisch

TOG2 = Polar / Linear

Elem_1 = Dies ist das Eingabeelement für diesen Filter.

WERT1= Filterbreite.

WERT2 = Grenzfrequenz in "Wellen pro Umdrehung" (WPU).

TOG3 = Dieses Umschaltfeld kann zwischen EIN und AUS umgeschaltet werden. Hier wird festgelegt, ob Ausreißer vor der Filterung entfernt werden sollen.

WERT3 = Standardabweichungsmultiplikator (Sigmafaktor) Wenn TOG3 EINgeschaltet ist, werden alle Punkte in der Eingabe, deren Wert die Standardabweichungen von dem nach der Methode "Kleinste Quadrate" berechneten Substitutionselement (z.B. Kreis oder Gerade) überschreitet, vor der Filterung entfernt.

Die in diesem Dialogfeld verfügbaren Optionen werden nachstehend erläutert.

Siehe auch:

Option "Linear"

Option "Polar"

Liste "Filtertyp"

Feld "Filterbreite"

Feld "Grenzwellenlänge"

Feld "Grenzfrequenz"

Feld "Glättungsfaktor"

Kontrollkästchen "Entferne Ausreißer"

Feld "Sigma Faktor"


Option "Linear"

The Mit der Option Linear können Sie die Daten eines Elements filtern, das kein kreisförmiger Scan ist. Dieser Fall behandelt die Abweichungen, die rechtwinklig zur Arbeitsebene verlaufen.

Note: Bei linearen Filtern darf die Anzahl der Punkte im Filtersatz niedriger als die Anzahl der Eingabepunkte sein. PC-DMIS entfernt Punkte an beiden Enden, für die (rechts oder links) nicht genügend Daten zur Verfügung stehen. Informationen zur Berechnung eines gültigen Ausgabepunkts finden Sie unter Feld "Filterbreite"".


Option "Polar"

Mit der Option Polar können Sie einen Filter auf die Daten eines kreisförmigen Scans anwenden. PC-DMIS geht davon aus, dass die Daten periodischer Natur sind (was bedeutet, dass ein vollständiger, geschlossener Kreis gebildet wird). Dieser Fall behandelt die radialen Abweichungen.


Liste "Filtertyp"

Sie können folgende Filtertypen aus der Liste Filtertyp auswählen:

  • GAUSS

  • SPLINE

  • GLEICHMÄSSIG

  • DREIECK

  • ZYLINDRISCH.

Die richtige Wahl der Arbeitsebene ist äußerst wichtig, wenn Sie entweder GAUSS, GLEICHMÄSSIG oder DREIECK auswählen. Für diese drei Filtertypen gilt Folgendes:

Wenn Sie die Option Linear wählen, erfolgt die Filterung senkrecht zur Arbeitsebene.

Wenn Sie die Option Polar wählen, erfolgt die Filterung in einer radialen Richtung innerhalb der Arbeitsebene.

Siehe auch:

Gauß

Spline

Gleichmäßig

Dreieck

Zylindrisch


Gauß

Die Option "Gauß-Filter" ist die am häufigsten verwendete Filteroption.

Mit der Option "Gauß-Filter verwenden" können Sie die Daten durch Anwendung eines linearen oder polaren Gauß'schen Tiefpassfilters gemäß ISO 11562 filtern. Der Glättungsfaktor wird durch die Werte Grenzwellenlänge, Grenzfrequenz oder Filterbreite kontrolliert.

Bei der Option polarer Gauß-filter sollte es sich bei den Daten um einen kompletten Kreis-Scan mit radialen Abweichungen handeln. Ein Kreis-Teilscan würde für diesen Filter nur ungenau funktionieren. Der geeignete Filter für einen Kreis-Teilscan ist der Zylinderfilter.

Bei der Option linearer Gauß-Filter sollten die Daten theoretisch in einer Ebene liegen und die Abweichungen senkrecht zur Ebene verlaufen. Für diesen Filter erscheint die Grenzwellenlänge in Längeneinheiten. Die nachfolgenden Abschnitte beschreiben die Funktionsweise eines linearen Gauß-Filters:

  • Der Punktabstand Delta wird als Mittelwert der Abstände der X,Y-Koordinaten der 3D-Punkte berechnet. Diese sollten in gleichmäßigen Abständen zueinander und in der gleichen Ebene liegen. Dadurch werden die Z-Koordinaten geglättet.

  • Ist der Glättungsparameter
    m = Filterbreite     (d.h. der geglättete Punkt liegt in der Mitte von 2m+1 Punkte, die für den gewichteten Mittelwert benutzt werden, angefangen beim Punkt m), dann wird die Grenzwellenlänge Lambda wie folgt berechnet:

Lambda = m * Delta / Konst,(wobeiKonst eine numerische Konstante ist.)

  • Ist der Eingabeparameter Lambda = Grenzwellenlänge, dann wird die Filterbreite m so berechnet:

m = Lambda * Konst / Delta (aufgerundet zur nächst höheren Ganzzahl).

Die Grenzwellenlänge verwendet also die gleichen Einheiten wie die Punktabstände. Nur die Filterbreite wird ohne Einheiten angegeben.


Spline

Mit der Option Spline-filter können Sie die Daten durch Einpassung auf einen glättenden Spline (smoothing spline) angleichen. Mit dem im Feld Glättungsfaktor eingegebenen Wert wird die Glättungsstärke kontrolliert. Wenn Sie allerdings den nach dem verallgemeinerten Kreuzvalidierungsverfahren (Generalized Cross-Validation - GCV) berechneten "optimalen" Wert verwenden wollen, sollten Sie diesen Wert auf "0" setzen. Die Option Spline-Filter ist eine 3D-Filteroption — die Abweichungen in alle rechtwinklig zur betreffenden Gerade verlaufende Richtungen beeinflusst.

Funktionsweise: Der Spline-Filter passt eine Spline-Annäherung auf die Daten ein und erfasst diese erneut. Auf diese Art werden die Daten in allen Richtungen geglättet, nicht nur radial oder rechtwinklig zur Arbeitsebene. Der eingepasste Spline ist ein natürlicher, glättender Spline (natural smoothing spline). Er verfügt über einen Parameter, der zwischen der reinen Dateninterpolation — in der versucht wird, jeden Datenpunkt durchgehen zu lassen, wobei alle Schwankungen beibehalten würden — und der Annäherung der Daten mit einer Folge immer glatteren Splines, in dem Sinne, dass die Schwankungen gedämpft werden, vermittelt. In den zwei Extremen resultiert der Glättungsfaktor in einer interpolierenden Kurve (mit allen ursprünglichen Schwankungen) und einer Geraden. Ein Wert "Null" für den Spline-Filter ergibt einen Spline, der die erwartete Standardabweichung zwischen dem Spline und der zugrundeliegenden unbekannten Kurve (asymptotisch) minimiert. In der Regel sollten Sie den Nullwert verwenden, da Störungen dadurch entfernt werden, die zugrundeliegende Form jedoch angemessen erhalten bleibt.

Informationen zur Mathematik: Da der relevante Bereich für den tatsächlichen (internen) Glättungsfaktor Lambda gewöhnlich kleine Werte beinhaltet, wird folgender Wert im Dialogfeld Element filtern erwartet:

-log10 (Lambda).

Anstelle von 1-e-6 wird einfach nur 6 eingegeben. Durch niedrigere Werte für den Glättungsfaktor wird eine stärkere Glättung erzielt. Wird beispielsweise eine 5 für den Spline-Filter eingegeben, erhalten Sie eine stärkere Glättung als mit einem Wert 6.


Gleichmäßig

Mit der Filter-Option Gleichmäßig können die Daten gefiltert werden, indem der Durchschnitt aller Punkte in einem "Moving-Window" ermittelt wird. Die Fensterbreite kann entweder durch die Werte Glättungsfaktor oder Filterbreite vorgegeben werden.

Wird der Wert Filterbreite beispielsweise auf m gesetzt, dann hat das Fenster eine Breite von 2m * Delta , wobei Delta dem Punktabstand entspricht.


Dreieck

Mit der Filter-Option Dreieck werden die Daten anhand des gewichteten gleitenden Durchschnitts aller Punkte in einem Moving-Window gefiltert. Die Gewichtungen werden auf Basis einer Dreiecksfunktion, mit der Spitze in der Mitte des Fensters, ermittelt. Die Fensterbreite kann entweder durch die Werte Glättungsfaktor oder Filterbreite vorgegeben werden.

Wird der Wert Filterbreite beispielsweise auf m gesetzt, dann hat das Fenster eine Breite von 2m * Delta wobei Delta dem Punktabstand entspricht.


Zylindrisch

Mit der Filter-Option Zylindrisch werden Daten in einem spiralförmigen oder kreisförmigen Scan, der sich mehr oder weniger über einen vollständigen Kreis erstreckt, gefiltert. In diesem Fall handelt es sich um radiale Abweichungen. Da PC-DMIS die Daten (die einen vollständigen geschlossenen Kreis bilden müssten) nicht als periodisch einstuft, ist eine der Filterweite entsprechende Anzahl von Punkten am Anfang und Ende des Scans nicht im Filtersatz enthalten.


Feld "Filterbreite"

Der Wert Filterbreite ist ein optionaler Glättungsparameter für alle Filtertypen mit Ausnahme des Spline-Filters. Der in diesem Feld eingegebene Wert gibt die Anzahl der Datenpunkte vor, die rechts und links von jedem geglätteten Datenpunkt zur Filterung verwendet werden. Wird der Wert Filterbreite beispielsweise auf m gesetzt, dann hat das Fenster eine Breite von 2m * Delta wobei Delta dem Punktabstand entspricht. Der Standardwert für diesen Parameter ist 3.

Der von Ihnen eingegebene Wert kann eine Null oder ein beliebiger positiver Wert sein.

  • Wird überhaupt kein Wert eingegeben (oder beträgt der Wert "Null"), dann wird der Grenzfrequenz-Wert oder der Grenzwellenlängen-Wert zur Bestimmung der Glättungsmenge zugrundegelegt.

  • Wenn der Grenzfrequenz-Wert oder der Grenzwellenlängen-Wert einen beliebigen positiven Wert beträgt, dann wird die Filterbreite entsprechend der eingegebenen Grenzfrequenz angezeigt.

  • Werden weder für die Filterbreite noch für die Grenzfrequenz oder die Grenzwellenlänge Werte eingegeben (oder beträgt der Wert "Null"), werden die Daten nicht gefiltert.

Mit dem Wert Filterbreite wird auch die Anzahl der Punkte festgelegt, die im Falle einer linearen Filterung aus dem Filtersatz ausgeklammert sind. PC-DMIS entfernt die Punkte, die rechts oder links nicht genügend Daten aufweisen, um das Datenfenster auszufüllen.

Hinweis: Ein Teifpassfilter, also ein Filter, der höhere Frequenzen herausfiltert, aber die Form und Welligkeit, die niedrigeren Frequenzen haben, durchlässt, funktioniert durch Ersetzen des Wertes an einem Datenpunkt mit einem gewichteten Mittel der Werte einer Folge benachbarter Datenpunkte. Beim Gauß-Filter beispielsweise wird durch die Option Filterbreite die Anzahl von Punkten, die den gewichteten Mittelwert links und rechts eines Punkts ausmachen, angegeben. Die Gewichtungen (die positiv sind und einen Gesamtwert von 1 ergeben), sind Werte einer Gauß'schen Verteilungsfunktion (auch bekannt unter dem Namen "Gauß'sche Glockenkurve"). Ist die Filterbreite gleich m, dann befindet sich der geglättete Punkt im Zentrum der 2m+1 Punkte, die beim gewichteten Mittelwert verwendet werden. Sind die Daten periodisch, dann ist das Ende der Punktfolge auch deren Anfang und es sind stets genügend Punkte links und rechts eines Punkts vorhanden, um diesen Mittelwert zu berechnen. Dies ist der Fall bei einem Polarfilter. Bei einem Linearfilter jedoch haben die ersten und letzten m Punkte nicht genug benachbarte Punkte, um den vollen gewichteten Mittelwert zu berechnen. Diese Punkte sind deshalb im gefilterten Datensatz nicht mehr vorhanden.


Feld "Grenzwellenlänge"

Mit dem Wert Grenzwellenlänge wird die Wellenlänge der Datenschwingungen festgelegt. Unter diesem Wert werden die Schwingungsamplituden im Falle der Anwendung eines linearen Gauß-Filters reduziert.


Feld "Grenzfrequenz"

Mit dem Wert Grenzfrequenz wird die Anzahl der "Wellen pro Umdrehung" (oder WPU) in den Kreisdaten festgelegt. Über diesen Wert werden die Schwingungsamplituden in den Daten im Falle der Anwendung eines polar Gauß-Filters oder eines zylindrischen Filters reduziert.


Feld "Glättungsfaktor"

Mit dem Wert Glättungsfaktor wird der Glättungsgrad für die Filtertypen Spline, gleichmäßig und Dreieck festgelegt.

Im Falle des Spline-Filters wird der Wert am besten auf 0 gesetzt, um zu zeigen, dass der via GCV berechnete Wert verwendet werden soll. Die im Bearbeitungsfenster angezeigte Null wird dann durch den berechneten Wert ersetzt.

Im Falle der Filtertypen "gleichmäßig" und "Dreieck" stellt der Glättungsfaktor eine Hälfte der für den (gewichteten) gleitenden Durchschnitt verwendeten Fensterbreite dar.


Kontrollkästchen "Entferne Ausreißer"

Wird das Kontrollkästchen Entferne Ausreißer aktiviert, versucht PC-DMIS, alle Punkte, die eine bestimmte Anzahl von Standardabweichungen vom Substitutionselement (in der Regel ein Kreis oder eine Gerade) entfernt sind, zu entfernen. Sie können die Anzahl der Standardabweichungen im Feld Sigma Faktor festlegen. Siehe auch "Feld "Sigma Faktor"".

Das Entfernen der Ausreißer funktioniert ähnlich wie die Filterung:

Wenn Sie die Option Linear auswählen, basiert die Entfernung der Ausreißer auf dem 3D-Abstand vom fraglichen Punkt zur Geraden (Besteinpassungsgerade, die durch die Daten verläuft).

Wenn Sie die Option Polar auswählen, erfolgt die Entfernung der Ausreißer in einer radialen Richtung (parallel zur Arbeitsebene).


Feld "Sigma Faktor"

Mit dem Wert Sigma Faktor wird die Anzahl der Standardabweichungen von dem (nach kleinsten Quadraten berechneten) Substitutionselement festgelegt. Im Falle einer Überschreitung dieses Werts werden die Punkte als Ausreißer identifiziert. Der Standardwert ist 3.


Erstellen eines abhängigen Elements mittels eines ADJUST Filters

Mit dem Erstellungstyp ADJUST Filter können Sie Scandaten justieren, die während des Scans um diese geometrischen Standardelemente herum erfasst wurden:

  • Kugel

  • Kegel

  • Zylinder

Normalerweise werden Sie diese Scans mit einem analogen Taster, wie dem SP600, durchführen. Wenn Sie sich beispielsweise einen Scan um das obere Viertel einer Kugel vorstellen, würden Sie idealerweise Punkte erhalten, die innerhalb einer Ebene liegen, die die Kugel auf folgende Weise schneidet:

Jedoch in Wirklichkeit, während der Taster um die Kugel herum scannt, ist es technisch gesehen unmöglich, dass alle Punkte innerhalb der Schnittebene bleiben. Ursache dafür ist die natürliche schwebende Bewegung des KMGs nach oben und unten.

Durch die Erstellung eines ADJUST Filters können die bereits vorhandenen, gescannten Punkte durch bekannte mathematische Elementeigenschaften besser kompensiert werden als es bei den Punkten, die während des Messvorgangs gesammelt wurden, möglich ist. Die Punkte werden so angeordnet, dass sie eher auf der Schnittebene liegen. Dazu wenden Sie das Dialogfeld ADJUST Filter an. Wählen Sie aus der Menüleiste Einfügen | Element | Abhängiges Element | ADJUST Filter, um auf dieses Dialogfeld zuzugreifen.

ADJUST Filter (Dialogfeld)

ADJUST Filter (Dialogfeld)

Dialogfeldeintrag | Beschreibung
Elementtyp | Hiermit wird das zu scannende Element definiert. Sie können lediglich Kugel, Kegel oder Zylinder auswählen.
Filtertyp | Hiermit wird der Filtertyp, den Sie verwenden, definiert. Sie können entweder Axial oder Radial auswählen (für Kegel- und Zylinder-Grundelemente).
Element Info | Hiermit werden die Angaben für das zugrundeliegende Element gemacht. XYZ – Die Nennwertposition des Elements. IJK – Der vertikale Vektor des Elements. Radius/Winkel - Hiermit wird der Radius der Kugel oder des Zylinders oder der Kegelwinkel festgesetzt.
Daten Schnittebene | In diesem Bereich werden die Lage und der Vektor der Schnittebene definiert. XYZ – Lage der Schnittebene IJK – Vektor der Schnittebene

So passen Sie Scan-Daten an:

Um die Daten korrekt im Scan anzupassen, müssen genügend Angaben bereitgestellt werden, um das Grundelement mathematisch zu definieren.

  1. Wählen Sie aus der Elementliste ein bereits vorhandenes Scan-Element aus. Normalerweise wird Ihr gescanntes Element ein bereits vorhandener "Geschlossene Linie-Scan" sein. Beim Scan sind nur die Elemente Kugel, Kegel und Zylinder zulässig.

  2. Wählen Sie den Elementtyp, den Sie mit dem aus der Liste Elementtyp gewählten Scan gescannt haben, aus.

  3. Wählen Sie aus der Liste Filtertyp den richtigen Filtertyp für ein Kegel- oder Zylinderelement aus. Der Filter gibt an, wie die Daten kompensiert werden.

    • Wenn Sie rechtwinklig zur Achse des Zylinders oder des Kegels scannen, wählen Sie den Radialfilter aus. Dadurch wird der Kreis, der zur Anpassung der Punkte verwendet wird, definiert.

    • Wenn Sie parallel zur Elementachse scannen, wählen Sie den Axialfilter aus. Dadurch wird die Gerade, die zur Anpassung der Punkte verwendet wird, definiert.

  4. Definieren Sie die XYZ-Nennposition des Grundelements, indem Sie die Werte in die XYZ-Felder eingeben.

  5. Definieren Sie den vertikalen Vektor des Grundelements, indem Sie die Werte in die XYZ-Felder eingeben.

  6. Definieren Sie die Größe des Grundelements, indem Sie einen Wert in das Feld Radius oder Winkel eingeben.

  7. Im Bereich Daten Schnittebene definieren Sie die Schnittebene des Scans. Nachdem Sie alle Nennwertangaben für das gescannte Element angegeben haben, können Sie mit dem Erstellen beginnen.

  7. Klicken Sie auf Erzeugen. Alle Punkte werden auf die Schnittebene entlang der theoretischen Definition des Elements projiziert (wobei die bekannte Geometrie berücksichtigt wird), anstatt einer direkten Projektion entlang des Normalvektors des Elements.


Erstellen von benutzerdefinierten Elementen

Erstellen von benutzerdefinierten Elementen: Einführung

Beschreibung von benutzerdefinierten Elementen

Sinn und Zweck von benutzerdefinierten Elementen

Befehlsformat für benutzerdefinierte Elemente

Erstellen eines benutzerdefinierten Elements

Hinzufügen eines benutzerdefinierten Elements

Beschreibung des Dialogfelds "Benutzerdefiniertes Element erstellen"

Elementtyp

Datentyp

XYZ-Felder

IJK-Felder

Ausrichtungsabhängiges allgemeines Element

Ausrichtungsunabhängiges allgemeines Element

Polar/Kartesisch

Elementname

Radius/Durchmesser

Winkel

Abstand

Erstellen eines Lesepunkts an der Tasterposition


Erstellen von benutzerdefinierten Elementen: Einführung

In diesem Abschnitt werden das Hinzufügen von allgemeinen Elementen zum Werkstückprogramm sowie das Erstellen von Punktelementen an der aktuellen Position des Tasters beschrieben.

Dieser Abschnitt umfasst folgende Hauptthemen:

  • Befehlsformat für benutzerdefinierte Elemente

  • Erstellen eines benutzerdefinierten Elements

  • Erstellen eines Lesepunkts an der Tasterposition


Beschreibung von benutzerdefinierten Elementen

Beim Messen von Elementen Ihres Werkstücks erkennt PC-DMIS den richtigen Elementtyp normalerweise abhängig von der Anzahl der aufgenommenen Messpunkte und des verfügbaren Elementtyps des importierten CAD-Modells selbst.

Benutzerdefinierte Elemente werden jedoch nicht von PC-DMIS erkannt, sondern vom Benutzer erstellt und eingefügt.


Sinn und Zweck von allgemeinen Elementen

Allgemeine Elemente dienen zur Zwischenspeicherung und Übertragung von Werten. These values can be used to create new constructed features or modify existing features via the CALCULATION command.

Weitere Informationen zum Erstellen von neu konstruierten Elementen finden Sie unter "Konstruieren von neuen Elementen aus vorhandenen Elementen".


Befehlsformat für benutzerdefinierte Elemente

Alle allgemeinen Elemente haben XYZ- und IJK-Werte. Die Werte können je nach dem Typ, der dem Element zugewiesen wurde, WINKEL-, DURCHMESSER/RADIUS- oder ABSTANDS-Werte besitzen.

Das Umschaltfeld "Nennwerte/Messwerte" gibt an, welche Werte für das allgemeine Element verwendet werden.

Befehlszeile im Bearbeitungsfenster (Darstellung eines Kegels):

Elementname=BENUTZERDEFINIERT/TOG1,TOG2, TOG3, TOG4
NENN/XYZ,x-Koord,y-Koord,z-Koord
MESS/XYZ,x-Koord,y-Koord,z-Koord
NENN/IJK,i-Koord,j-Koord,k-Koord
MESS/IJK,i-Koord,j-Koord,k-Koord
[RADIUS/Radius] | [DURCHMESSER/Durchmesser]
[WINKEL/Wink]
[ABSTAND/Abst]

TOG1 = PUNKT, EBENE, GERADE, KREIS, KUGEL, ZYLINDER, KEGEL, LANGLOCH oder KEINE

TOG2 = Gibt an, ob das allgemeine Element abhängig oder unabhängig von der Ausrichtung ist.

TOG3 = Gibt an, ob das Element polare oder kartesische Koordinaten verwendet.

TOG4 = Gibt an, ob das Element ein INNEN- (Loch) oder ein AUSSEN- (Bolzen) Element ist.

[ ] = Die in eckigen Klammern aufgeführten Optionen sind wahlfrei. Ihre Verfügbarkeit ist abhängig vom Typ, der dem Element durch TOG1 zugewiesen wird. RADIUS und DURCHMESSER sind einander ausschließende Darstellungen für den Wert, der den Radius oder Durchmesser repräsentiert.


Erstellen eines benutzerdefinierten Elements

Sie können ein benutzerdefiniertes Element erstellen, indem Sie im Befehlsmodus des Bearbeitungsfensters den Befehl BENUTZERDEFINIERT eingeben und die TABULATORTASTE drücken. PC-DMIS bietet jedoch eine noch einfachere Methode zum Erstellen neuer benutzerdefinierter Elemente. Das Dialogfeld Benutzerdefiniertes Element erstellen (Einfügen | Element | Benutzerdefiniertes Element) bietet hierfür eine elegante Lösung. Menü-Übersicht anzeigen

Siehe auch:

Hinzufügen eines benutzerdefinierten Elements

Beschreibung des Dialogfelds "Benutzerdefiniertes Element erstellen"


Hinzufügen eines benutzerdefinierten Elements

So fügen Sie ein benutzerdefiniertes Element hinzu:

  1. Setzen Sie den Cursor in eine neue Zeile des Bearbeitungsfensters.

  2. Mit einer der folgenden Methoden greifen Sie auf das Dialogfeld Benutzerdefiniertes Element erstellen zu:

  • Wählen Sie die gewünschte Menüoption Einfügen | Element | Benutzerdefiniertes Element. Menü-Übersicht anzeigen

  • Geben Sie im Befehlsmodus des Bearbeitungsfensters den Befehl BENUTZERDEFINIERT ein.

  • Wählen Sie in der Liste, die nach Auswahl der Option Befehl hinzufügen im Übersichtsmodus angezeigt wird, den Eintrag "Benutzerdefiniertes Element" aus.

  3. Nehmen Sie die gewünschten Änderungen vor.

  4. Klicken Sie auf OK, um das Element zu erstellen. PC-DMIS speichert das benutzerdefinierte Element und aktualisiert die Informationen zum Element im Bearbeitungs- und im Grafikfenster.


Beschreibung des Dialogfelds "Benutzerdefiniertes Element erstellen"

Benutzerdefiniertes Element erstellen (Dialogfeld)

Verwenden Sie dieses Dialogfeld, um neue Elemente zu erstellen. Nach Auswahl der Menüoption Einfügen | Element | Benutzerdefiniertes Element können Sie auf dieses Dialogfeld zugreifen. In den folgenden Themen werden die in diesem Dialogfeld verfügbaren Optionen beschrieben. Menü-Übersicht anzeigen

Siehe auch:

Elementtyp

Datentyp

XYZ-Felder

IJK-Felder

Ausrichtungsabhängiges allgemeines Element

Ausrichtungsunabhängiges allgemeines Element

Polar/Kartesisch

Elementname

Radius/Durchmesser

Winkel

Abstand


Elementtyp

In diesem Bereich können Sie die folgenden allgemeinen Elementtypen erstellen:

  • Punkt

  • Ebene

  • Gerade

  • Kreis

  • Kugel

  • Zylinder

  • Langloch

  • Rechteckloch

  • Kegel

  • Keine

In Abhängigkeit des gewählten Elementtyps werden weitere Bereiche dieses Dialogfelds aktiviert oder deaktiviert.


Datentyp

Im Bereich Datentyp können Sie festlegen, welche Werte des allgemeinen Elements von den im Dialogfeld vorgenommenen Änderungen betroffen sind. Die Optionen beinhalten Messwerte und Nennwerte.


XYZ-Felder

In den Feldern X, Y, und Z können Sie die X-, Y-, und Z-Positionen für das benutzerdefinierte Element festlegen.


IJK-Felder

In den Feldern I, J, und K können Sie den Vektor für das benutzerdefinierte Element festlegen.


Ausrichtungsabhängiges allgemeines Element

Einige Werte ausrichtungsabhängiger allgemeiner Elemente sind von der Ausrichtung abhängig, von der aus Bezug auf sie genommen wird. Sie ändern sich so, dass sie sich im Verhältnis zur aktuellen Ausrichtung befinden. Im 3D-Raum bleibt ihre Position unverändert.

Beispiel in 2D: Angenommen, 0,0 ist der Nullpunkt Ihrer Maschine. Es ist eine Ausrichtung eingerichtet, die den Nullpunkt bei 5,5 bestimmt. Nun wird nach der Ausrichtung mit den Werten 2 für x und 2 für y ein ausrichtungsabhängiges Element definiert. Im Verhältnis zur Ausrichtung lauten die Werte des Elements 2 und 2. Im Verhältnis zum Nullpunkt lauten diese Werte 7 und 7. Egal im Verhältnis zu welcher Ausrichtung die Zahlen angegeben werden, befindet sich der Punkt immer bei 7,7 im Verhältnis zum wahren Nullpunkt.


Ausrichtungsunabhängiges allgemeines Element

Unabhängige allgemeine Elemente verfügen über Werte, die unverändert bleiben, ungeachtet der Ausrichtung, von der auf sie Bezug genommen wurde (daher "unabhängig"). Ihre Position im 3D-Raum ändert sich in dem Maße, in dem sich die Ausrichtung ändert.

Beispiel in 2D: Beschäftigen wir uns nun noch einmal mit dem Beispiel 2,2 (siehe "Ausrichtungsabhängiges Beispiel"), diesmal jedoch bei einem ausrichtungsunabhängigen allgemeinen Element. Wenn Sie den x- und y-Wert im Verhältnis zur Ausrichtung ermitteln möchten, gibt das Objekt 2,2 zurück. Wenn Sie seinen Wert im Verhältnis zum Nullpunkt abfragen, gibt das Objekt ebenfalls 2,2 zurück. Der Satz 2,2 im Verhältnis zur Ausrichtung befindet sich bei 7,7 im Verhältnis zum wahren Nullpunkt. Der Satz 2,2 im Verhältnis zum Nullpunkt lautet genau: 2,2. Somit scheint sich der Punkt im 2D-Raum zu bewegen.

Hinweis: Die unabhängige Option wurde hinzugefügt, damit ein allgemeines Element mit der Bezeichnung X_ACHSE immer als Eingabeelement für eine Erstellung oder als Bezugselement für ein Merkmal verwendet werden kann und immer die Werte 1,0,0 aufweist, unabhängig von der aktuellen Ausrichtung.


Polar/Kartesisch

Über diese Liste können Sie auswählen, welches Koordinatensystem für das benutzerdefinierte Element verwendet werden soll. Es stehen die Optionen POLAR oder KART zur Auswahl.


Elementname

In diesem Feld können Sie den Namen des Elements festlegen. Diese ID wird dann auf dem Element-ID-Etikett und im Bearbeitungsfenster angezeigt.


Radius/Durchmesser

Für ein Kreiselement können Sie entweder einen Radius oder einen Durchmesser definieren. Wählen Sie entweder die Option Radius oder die Option Durchmesser, und geben Sie einen Wert in das entsprechende Feld ein.


Winkel

Im Feld Winkel können Sie den Winkel eines Kegels definieren. Dieses Feld steht zur Verfügung, wenn Sie im Bereich Elementtyp die Option Keine gewählt haben.


Abstand

Mit dem Feld Abstand können Sie die Höhe oder Länge aller allgemeinen Elemente festlegen, die über diese Eigenschaften verfügen.


Erstellen eines Lesepunkts an der Tasterposition

Durch Wahl der Menüoption Lesepunkt wird PC-DMIS veranlasst, die aktuelle Position des Tasters einzulesen und einen Punkt an der eingelesenen Position im Bearbeitungsfenster einzufügen.

Die nachfolgende Syntax veranschaulicht, was in das Bearbeitungsfenster eingefügt wird.

E_ID= ELEMENT/ PUNKT, TOG1

NENN/ x, y, z, i, j, k

MESS/ x, y, z, i, j, k

LESEPUNKT

E_ID – Dies ist die Element-ID.

TOG1 - Mit diesem Feld können Sie zwischen den Koordinatensystemen POLR und KART hin- und herschalten.

X,Y,Z - Dies ist die X-, Y-, Z-Lage des erstellten Punktes.

I,J,K - Dies ist der I-, J-, K-Antastvektor des Tasters.

LESEPUNKT - Identifiziert dieses Element als an der Tasterposition erstellten Lesepunkt.

Es folgt ein Beispiel für ein Lesepunkt-Element:

F7 =ELEMENT/PUNKT,KART
NENN/7,4982;2,0111;0,95;0;0;1
MESS/7,4982;2,0111;0,95;0;0;1
LESEPUNKT/


Erstellen und Verwenden von Ausrichtungen

Erstellen und Verwenden von Ausrichtungen: Einführung

Befehlsformat für Ausrichtungen

Befehl "Ausrichtung/Start"

Ausrichtung/Ende (Befehl)

Hinzufügen von Zeilen

Löschen von Zeilen

Konventionen

Beschreibung zum Dialogfeld "Ausrichtungen"

Zugreifen auf das Dialogfeld

Ausrichtungs-ID

Liste aktiver Ausrichtungen

Auswahllisten der Achsen

Layer

Drehen

Drehen um einen Versatz

Drehen auf eine Linie zwischen zwei Kreisen

Festlegen des Nullpunktversatzes

Nullpunkt

Zu einem Element gehen

Verschieben um einen Versatz

Aufrufen

Iterativ

Besteinpassung

Auto-Ausrichten

CAD gleich Werkstück

Erstellen einer 3-2-1-Ausrichtung

Schritt 1: Messen der Ausrichtungselemente

Schritt 2: Nivellieren, Drehen und Übertragen auf die Elemente

Schritt 3: Fertigstellen der Ausrichtung

Erstellen einer Besteinpassungs-Ausrichtung

Informationen zu Besteinpassungs-Ausrichtungen

Befehlszeilenformat für die 2D-Besteinpassung

Befehlszeilenformat für die 3D-Besteinpassung

2D- oder 3D-Besteinpassungs-Ausrichtungen

Verfügbare Besteinpassungs-Typen

Einschränkungen für 3D-Besteinpassungs-Ausrichtungen

Elementgewichtungen

Elementgruppen als Eingaben bei der Besteinpassungs-Ausrichtung

Scans als Eingaben bei der Besteinpassungs-Ausrichtung

Gekennzeichnete Elemente in einer Elementgruppe oder einem Scan

3D-Ausrichtung des Rotationszentrums

Punkteinpassung

So erstellen Sie eine Besteinpassungs-Ausrichtung

Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung"

Eingabeliste

Gewichtungen bearbeiten

Gewichtungen erstellen

Drehen um

Neuer Wert

Eingabe

Theoretisch

Messwert

3D

2D

Aktive Ebene

Kleinste Quadrate

Vektor

Min./Max.

Drehen & Verschieben

Nur Drehen

Nur Verschieben

Erstellen einer iterativen Ausrichtung

Informationen zu iterativen Ausrichtungen

Befehlsformat für iterative Ausrichtungen

Regeln der iterativen Ausrichtung

So erstellen Sie eine iterative Ausrichtung

Beschreibung zum Dialogfeld "Iterative Ausrichtung"

Layer

Drehen

Nullpunkt

Auswählen

Iteriere einmal

Iteriere bis Abbruch

Punkte-Zielradius

Vorrichtungs-Toleranz

Iteriere max. bis

Startsprungmarke

Fehlersprungmarke

Speichern einer Ausrichtung

So speichern Sie eine Ausrichtung

Bearbeiten des Befehls SPEICHERN/AUSRICHTUNG

Beschreibung zum Dialogfeld "Ausrichtung speichern"

Dateiname

Verzeichnisse

Dateitypen auflisten

Laufwerke

Name der Ausrichtung

Einheiten

Aufrufen einer vorhandenen Ausrichtung

So rufen Sie eine Ausrichtung auf

Befehlszeilenformat für das Aufrufen von Ausrichtungen

Arbeiten mit einer Ausrichtung in Schleifen

Angleichen einer Ausrichtung

So ändern Sie eine Werkstückposition und -ausrichtung

So führen Sie eine Wiederherstellung nach einem versehentlichen Verschieben eines Werkstücks durch

Beschreibung zum Dialogfeld "Ausrichtung angleichen"

Ursprüngliche Ausrichtung angleichen

An Ausrichtung angleichen

Angleichen von CAD an gemessene Werkstückdaten

Durchführen einer KMG-Verschiebung

Mess-Optionen

Anzahl der Messpunkte

Bezug Programmdatei

Listen "Verfügbar" und "Verwendet"

Markierte messen

Alle messen

Bereich "Ergebnisse"

Rücksetzen

OK

Ändern von Ausrichtungs-Nennwerten

D urchführen einer KMG-Verschiebung

Mess-Optionen

Anzahl der Messpunkte

Bezug Programmdatei

Listen "Verfügbar" und "Verwendet"

Markierte messen

Alle messen

Bereich "Ergebnisse"

Rücksetzen

OK


Erstellen und Verwenden von Ausrichtungen: Einführung

Nachdem eine Tastspitze aktiviert und Elemente gemessen wurden, kann ein Koordinatensystem (oder eine Ausrichtung) erstellt werden. PC-DMIS bietet eine Vielzahl an Werkzeugen zur Erstellung und Verwaltung von Koordinatensystemen. Um auf die Werkzeuge zugreifen zu können, die beim Arbeiten mit Ausrichtungen erforderlich sind, wählen Sie die gewünschten Menüoptionen im Untermenü Einfügen | Ausrichtungen. Menü-Übersicht anzeigen

Die in diesem Abschnitt behandelten Themen beschreiben, wie Sie diese Werkzeuge effektiv einsetzen können, um Ausrichtungen in Ihrem Werkstückprogramm zu erstellen und zu verwalten. Dazu gehören:

  • Befehlsformat für Ausrichtungen

  • Beschreibung zum Dialogfeld "Ausrichtungen"

  • Erstellen einer 3-2-1-Ausrichtung

  • Erstellen einer Besteinpassungs-Ausrichtung

  • Erstellen einer iterativen Ausrichtung

  • Speichern einer Ausrichtung

  • Aufrufen einer vorhandenen Ausrichtung

  • Arbeiten mit einer Ausrichtung in Schleifen

  • Angleichen einer Ausrichtung

  • Angleichen von CAD an gemessene Werkstückdaten

  • Durchführen einer KMG-Verschiebung

  • Ändern von Ausrichtungs-Nennwerten


Befehlsformat für Ausrichtungen

Alle gemessenen Elemente werden im nachfolgenden Format im Befehlsmodus des Bearbeitungsfensters angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden.

Zum Beispiel:

A1=AUSRICHTUNG/ANFANG, AUFRUFEN:,LISTE=JA/NEIN
AUSRICHTUNG/RAUM,'Elementname'
AUSRICHTUNG/DREHEN,XPLUS,ZU,Elementname,DREHEN UM,ZPLUS
AUSRICHTUNG/ÜBERTR,X_ACHSE,Elementname
AUSRICHTUNG/ÜBERTR,Y_ACHSE,Elementname
AUSRICHTUNG/ÜBERTR,Z-ACHSE,Elementname
AUSRICHTUNG/ENDE

Regeln zu Feldern finden Sie unter "Konventionen".

Beschreibungen zu den Ausrichtungsbefehlen finden Sie an diesen Stellen:

  • Befehl "Anfang": siehe "Befehl "Ausrichtung/Anfang"".

  • Befehl "Ende": siehe "Befehl "Ausrichtung/Ende"".

  • Befehl "Aufrufen": siehe "Aufrufen".

  • Befehl "Raum": siehe "Raum".

  • Befehl "Drehen": siehe "Drehen".

  • Befehl "Übertragen": siehe "Nullpunkt".

Siehe auch:

Befehl "Ausrichtung/Anfang"

Befehl "Ausrichtung/Ende"

Hinzufügen von Zeilen

Löschen von Zeilen

Konventionen


Befehl "Ausrichtung/Anfang"

Die Zeile zum Starten der Ausrichtung lautet:

AUSRICHTUNGS_ID=AUSRICHTUNG/ANFANG,AUFRUFEN:ID, LISTE=JA/NEIN

Veränderbare Felder:
"Ausrichtungs-ID"
Dies ist die ID, unter der die Ausrichtung gespeichert wird. Die ID wird vom Bediener zugewiesen. Wird keine ID angegeben, wird ein Standardname zugewiesen. Beispiel: A1.

"ID"
Die ID identifiziert eine vorherige interne Ausrichtung, die für den Start einer neuen Ausrichtung aufgerufen wird. Beachten Sie bitte, dass Sie in Version 3.6 und höher auch das Kennwort AKTUELLE_AUSRICHTUNG in dieses Feld eingeben können. Daraufhin verwendet PC-DMIS eine aktive Ausrichtung, statt eine gespeicherte Ausrichtung aufzurufen. Dies ist nur dann hilfreich, wenn mit Ausrichtungen mit Schleifen und bedingungsabhängigen Verzweigungen gearbeitet wird. Weitere Informationen hierzu finden Sie unter "Arbeiten mit einer Ausrichtung in Schleifen".

"LISTE"
Mit der Einstellung JA oder NEIN können Sie festlegen, ob PC-DMIS die Ausrichtungs-ID in der Liste Ausrichtungen auf der Symbolleiste Einstellungen anzeigen soll, so dass sie später in das Werkstückprogramm eingefügt werden kann. Die Standardeinstellung lautet JA. Die Einstellung NEIN ist dann sinnvoll, wenn Sie viele temporäre Ausrichtungen verwenden und nicht alle in der Liste Ausrichtungen auf der Symbolleiste Einstellungen angezeigt werden sollen (siehe auch "Liste aktiver Ausrichtungen").


Befehl "Ausrichtung/Ende"

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/ENDE

In diesem Befehl gibt es keine Felder, die verändert werden können. Dieser Befehl muss jedesmal in Verbindung mit dem Befehl AUSRICHTUNG/ANFANG verwendet werden.


Hinzufügen von Zeilen

Um eine Zeile hinzuzufügen, setzen Sie den Cursor an die gewünschte Stelle und drücken die EINGABETASTE. Beginnen Sie durch Eingabe des Wortes AUSRICHTUNG. Drücken Sie die TABULATORTASTE. PC-DMIS fügt die neue Zeile abhängig von der Cursorposition hinzu. Befindet sich der Cursor inmitten eines Befehls, wird eine neue Zeile unterhalb der aktuellen Zeile erstellt. Befindet sich der Cursor am Anfang einer Befehlszeile, wird die neue Zeile oberhalb der aktuellen Cursorposition positioniert.

Die erste neu erstellte Zeile zeigt immer den Nebenbefehl an: RAUM. Dies ist durch Eingabe eines neuen Befehls leicht änderbar. Die nach der ersten Zeile zusätzlich erstellten Zeilen zeigen den aktuellsten Befehl an.


Löschen von Zeilen

Um eine Leerzeile zu löschen, drücken Sie die NACH-UNTEN-TASTE oder die EINGABETASTE. Die Zeile kann auch markiert und dann gelöscht werden (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)


Konventionen

  • Alle Textbefehle zur Ausrichtung besitzen ein Makroformat und verfügen über einen Anfangs- und einen Ende-Befehl.

  • Der Befehl AUSRICHTUNG/ANFANG ist immer die erste und der Befehl AUSRICHTUNG/ENDE die letzte Zeile der Ausrichtungsanweisung.

  • Alle Ausrichtungsfunktionen müssen sich innerhalb der Befehle "Anfang" und "Ende" befinden. Einzige Ausnahme ist der Befehl "AUSRICHTUNG/AUFRUFEN", bei dem die Befehle "Anfang" und "Ende" als ein Befehl ausgeführt werden.

  • Sie können bei jedem der Befehle (mit Ausnahme von "Anfang", "Ende" und "Aufrufen") im zweiten Feld zwischen Auswahloptionen umschalten. Alle anderen bedienerabhängigen Felder ändern sich dann entsprechend dem gegenwärtig aktiven Feld.


 Search ID Select Last # Feature List box Clear button OK button Cancel button ID Recall button Delete button Iterative button Best Fit button Active Alignment List Level button Drop Down Axes Rotate button Rotate by an Offset Origin Offset check boxes Set Origin Offset Distance Origin button Auto Align button CAD Equals Part button

Beschreibung zum Dialogfeld "Ausrichtungen"

Ausrichtungen (Dialogfeld)

Wenn Sie ein neues Werkstückprogramm erstellen, zeigt das Dialogfeld beim ersten Öffnen des Dialogfelds Ausrichtungen den START-Befehl an. (Einfügen | Ausrichtung | Neu). Menü-Übersicht anzeigen

Wenn sich der Cursor in der letzten Zeile des Bearbeitungsfensters befindet, wird die Ausrichtungs-ID eine neue Kennung und die aktuelle Ausrichtung anzeigen.

Im Befehlsmodus wird im Bearbeitungsfenster beispielsweise folgendes angezeigt:

Ausrichtungs-ID=A5
Ausrichtungs-ID aufrufen=A4

Sie können jede im Auswahlfeld Aufrufen zur Verfügung stehende Ausrichtung abrufen. Es stehen nur solche Ausrichtungen zur Auswahl, die vor der aktuellen Cursorposition erstellt werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

AUSRICHTUNG/ANFANG
AUSRICHTUNG/BE2D,'Element_ID'
AUSRICHTUNG/ENDE

Hinweis: Eine Ausrichtung gilt erst dann als abgeschlossen, wenn auf die Schaltfläche OK geklickt und die Liste aktiver Ausrichtungen aktualisiert wurde.

Nach abgeschlossener Ausrichtung gibt PC-DMIS die Rotation der Ausrichtung in der linken Ecke des Grafikfensters an. Bei der Größenanpassung der Werkstückgrafik an den Bildschirm wird der Ausrichtungsversatz berichtigt (sobald die Achsenangabe aus der Ecke des Fensters ausgeblendet wird).

Sind auf Ihrer erstellten Ausrichtung uneingeschränkte Achsen vorhanden, werden Sie von PC-DMIS gewarnt. Das rote X-, Y- und Z-Nullpunktsymbol (oder Trieder) wird dann im Grafikfenster kontinuierlich zwischen diesen Achsen hin und her bewegt. Nachdem die Ausrichtung vollkommen eingeschränkt ist, zeigt PC-DMIS das Dreibein an einer festen Stelle an, um die Ausrichtungsposition darzustellen:

Ausrichtungs-Trieder (Dreiflächner)

Siehe auch:

Zugreifen auf das Dialogfeld

Ausrichtungs-ID

Liste aktiver Ausrichtungen

Auswahllisten der Achsen

Raum

Rotieren

Festlegen des Nullpunktversatzes

Nullpunkt

Standard holen

Iterativ

Besteinpassung

Auto Ausrichten

CAD gleich Werkstück


Zugreifen auf das Dialogfeld

In PC-DMIS können Sie das Dialogfeld Ausrichtung über das Bearbeitungsfenster aufrufen. Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Navigieren Sie im Bearbeitungsfenster zum Ausrichtungsblock.

  3. Setzen Sie den Cursor auf die erste Zeile.

  4. Drücken Sie den Tastaturbefehl F9. Das mit dem Ausrichtungsblock verknüpfte Dialogfeld erscheint.

Im Dialogfeld wird die Ausrichtung des aktuellen Elements angezeigt, an der Sie Änderungen vornehmen können.


Ausrichtungs-ID

In diesem Feld wird die ID der aktuellen Ausrichtung angezeigt.

So ändern Sie diesen Wert:

  1. Heben Sie den aktuellen Wert hervor.

  2. Geben Sie eine neue ID ein.

  3. Drücken Sie die TABULATORTASTE.


Liste aktiver Ausrichtungen

Während der Erstellung einer Ausrichtung oder immer dann, wenn Sie eine Ausrichtung bearbeiten möchten, zeigt diese Liste die verschiedenen Komponenten an, die die aktuelle Ausrichtung ausmachen. Dazu gehören die Ausrichtungs-ID, alle bisher verwendeten aufgerufenen Ausrichtungen, der Ausrichtungstyp und die Elemente, die von der Ausrichtungsachse zur Durchführung der Rotation und Übertragung verwendet werden.

Bearbeiten einer Ausrichtung

Obwohl Sie jede beliebige Ausrichtung, die bereits innerhalb des Übersichts- oder Befehlsmodus im Bearbeitungsfenster erstellt worden ist, bearbeiten können, haben Sie auch die Möglichkeit, eine vorhandene Ausrichtung durch Klicken auf eines der Elemente in dieser Liste zu bearbeiten und die nötigen Änderungen vorzunehmen. Nachdem Sie einen Eintrag ausgewählt haben, steht der entsprechende Bereich des Dialogfels Ausrichtungen zur Bearbeitung zur Verfügung. Klicken Sie auf OK, nachdem Sie die Änderung an der Ausrichtung vorgenommen haben.

Wenn Sie beispielsweise das Element, auf das die Ausrichtung gedreht wird, ändern möchten, wählen Sie aus der Liste den Eintrag "...s 'drehen Raum' auf...s ID=...s" aus. Wie in der folgenden Abbildung veranschaulicht, zeigt PC-DMIS in einem solchen Fall das aktuelle, für den 'drehen Raum'-Vorgang der Ausrichtung verwendete Element an. Danach wären die Schaltfläche Raum und die Liste der Achsen verfügbar.

Beispiel der Liste "Aktive Ausrichtung", die zur Bearbeitung einer vorhandenen Ausrichtung verwendet wird

Beispiel der Liste "Aktive Ausrichtung", die zur Bearbeitung einer vorhandenen Ausrichtung verwendet wird

Wählen Sie einfach ein neues Element und eine Achse aus und klicken Sie auf Raum. PC-DMIS aktualisiert die Ausrichtungsliste, um die Änderungen wiederzugeben. Klicken Sie auf OK, um die Änderungen zu speichern.


Auswahllisten der Achsen

Mit Hilfe dieser Dropdown-Listen können Sie Achsen wählen, die in verschiedenen Stadien der Erstellung einer neuen Ausrichtung verwendet werden. Folgende Achsen stehen in jeder Auswahlliste zur Verfügung :

  • XPLUS

  • XMINUS

  • YPLUS

  • YMINUS

  • ZPLUS

  • ZMINUS


Raum

Mit der Schaltfläche Raum können Sie die Ausrichtung der senkrechten Achse der aktuellen Arbeitsebene festlegen.

So wählen Sie ein Element zur "räumlichen" Ausrichtung:

  1. Geben Sie das zu verwendende Element im Feld Elementliste an.

  2. Klicken Sie auf die Option Raum.

Sie können die Achse, die zum Festlegen der Richtung dienen soll, auch in der Auswahlliste auswählen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/RAUM,ZPLUS,'Element_ID'

Veränderbare Felder:
"ZPLUS"
Hierbei handelt es sich um ein Feld, mit dem Sie zwischen den Feldern ZPLUS, XPLUS, YPLUS, ZMINUS, XMINUS, und YMINUS im Bearbeitungsfenster umschalten können. Dieses Feld gibt die Richtung der angegebenen Achse an, an der das Element räumlich ausgerichtet wird.

"Element_ID"
Die Ausrichtung wird auf das angegebene Element nivelliert.
Beispiel: EBENE1.


Rotieren

Über die Schaltfläche Drehen können Sie die definierte Achse der Arbeitsebene zum Element hin oder parallel zum Element drehen. PC-DMIS dreht die definierte Achse um den Flächenmittelpunkt, der als Nullpunkt dient. Sie können definieren, welche Achse gedreht und um welche Achse gedreht werden soll.

So wählen Sie ein Element, in dessen Richtung gedreht werden soll:

  1. Wählen Sie das richtige Bezugselement aus dem Feld Elementliste aus.

  2. Klicken Sie auf die Schaltfläche Drehen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/DREHEN,XPLUS,zu,'Element-ID',drehen um,ZPLUS

Veränderbare Felder:
"XPLUS","ZPLUS"
Dies ist ein Umschaltfeld, mit dem Sie zwischen folgenden Feldern im Bearbeitungsfeld umschalten können:

ZPLUS

XPLUS

YPLUS

ZMINUS

XMINUS

YMINUS

PC-DMIS legt diese Achse parallel zum eingegebenen Element fest. Es dreht dann um die zweite Achse.

"Element-ID"
Die Ausrichtung dreht sich parallel zum angegebenen Element. Beispiel: ZEILE1.

Siehe auch:

Drehen um einen Versatz

Drehen auf eine Gerade zwischen zwei Kreisen


Drehen um einen Versatz

Wenn Sie um einen Versatz drehen möchten, wählen Sie die Option VERSATZ durch Eingabe des gewünschten Winkels im Feld Drehwinkel. Der neue Wert ersetzt den alten Rotationsversatz.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/DREH_VERSATZ,'numerischer_Wert'

Veränderbares Feld: "numerischer_Wert"
Hierbei handelt es sich um den Wert, um den die Ausrichtung in Winkelgraden (zum Beispiel -14,36) gedreht wird. Die Rotation erfolgt um die Achse, senkrecht zur aktiven Arbeitsebene. Die Rotation erfolgt bei einem negativen Winkel im Uhrzeigersinn und bei einem positiven Winkel gegen den Uhrzeigersinn.


Drehen auf eine Gerade zwischen zwei Kreisen

Um auf eine Gerade zwischen zwei Kreisen zu drehen, markieren Sie zwei Kreise im Feld Elementliste und klicken Sie auf die Schaltfläche Ebene. Wie auch bei den anderen Rotationsarten wählen Sie die zu drehende Achse sowie die Achse, um die gedreht wird, und geben Sie (falls gewünscht) den Versatzwert ein.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/KREIS_DREHEN , ID

Veränderbare Felder: "ID"

Hierbei handelt es sich um eine der beiden IDs, an die gedreht wird.


Festlegen des Nullpunktversatzes

Im Feld Versatz können Sie den Nullpunkt mit einem bestimmten Versatz festlegen.

Vorgehensweise:

  1. Klicken Sie auf das Feld Versatz.

  2. Geben Sie den gewünschten Wert für den Versatz ein.

  3. Drücken Sie die TABULATORTASTE.

  4. Klicken Sie auf die Schaltfläche Nullpunkt (setzen).


Nullpunkt

Mit der Schaltfläche Nullpunkt können Sie den Nullpunkt des Werkstücks an eine bestimmte Position oder um einen bestimmten Versatzwert verschieben.

So verschieben Sie den Nullpunkt des Werkstücks:

  1. Aktivieren Sie den zu verschiebenden Nullpunkt durch Auswahl des entsprechenden Kontrollkästchens (X, Y, Z oder AUTO).

  2. Klicken Sie auf die Schaltfläche Nullpunkt. Mit AUTO werden die zu verschiebenden Achsen basierend auf dem Elementtyp, der Ausrichtung dieses Elements und der Arbeitsebene gewählt.

Siehe auch:

Zu einem Element gehen

Verschieben um einen Versatz


Zu einem Element gehen

Um zu einem Element zu gehen, markieren Sie einfach das betreffende Element.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/ÜBERTR,Z_ACHSE,'Element_ID'

Veränderbare Felder:
"Z_ACHSE"
Mit diesem Feld im Bearbeitungsfenster können Sie zwischen den Feldern Z_ACHSE, X_ACHSE, und Y_ACHSE umschalten. Dieses Feld gibt die Achse an, an der der Nullpunkt bis zur Übereinstimmung mit der eingegebenen "Element-ID" verschoben wird.

"Element-ID"
Hierbei handelt es sich um das Element, auf das die Ausrichtung den Nullpunkt entlang der vorgegebenen Achse setzt. Beispiel: KREIS1.


Verschieben um einen Versatz

Wenn Sie um einen Versatz verschieben möchten, wählen Sie die Option VERSATZ durch Eingabe eines neuen Versatzwertes.

Die im Bearbeitungsfenster für diese Option angzeigte Befehlszeile lautet:
AUSRICHTUNG/VERSATZÜBERTR,Z_ACHSE,'numerischer_Wert'

Veränderbare Felder:
"Z_ACHSE"
Mit diesem Feld im Bearbeitungsfenster können Sie zwischen den Feldern Z_ACHSE, X_ACHSE und Y_ACHSE umschalten. Diese Felder geben die Achse an, an der der Nullpunkt um den Eingabewert 'numerischer_Wert' verschoben wird.

"numerischer_Wert"
Hierbei handelt es sich um den Wert, um den die Ausrichtung versetzt wird (zum Beispiel: 5.12). Der positive Wert bewirkt eine Verschiebung in die positive Richtung, der negative Wert eine Verschiebung in die negative Richtung.


Aufrufen

Mit der Schaltfläche Aufrufen werden gespeicherte Ausrichtungen aufgerufen und im aktuellen Werkstückprogramm verwendet. Siehe auch "Aufrufen einer vorhandenen Ausrichtung".


Iterativ

Mit der Schaltfläche Iterativ wird das Dialogfeld Iterative Ausrichtung geöffnet. Verwenden Sie dieses Dialogfeld, um iterative Ausrichtungen zu erstellen. Siehe auch "Iterative Ausrichtung erstellen".


Besteinpassung

Mit der Schaltfläche Besteinpassung wird das Dialogfeld Besteinpassung geöffnet. Verwenden Sie dieses Dialogfeld, um Besteinpassungs-Ausrichtungen zu erstellen. Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung".


Auto Ausrichten

Mit der Schaltfläche Auto Ausrichten können Sie drei Elemente wählen, aus denen PC-DMIS dann automatisch eine Ausrichtung erstellt. Die Reihenfolge, in der die drei Elemente gewählt werden, ist äußerst wichtig.

  • Das erste der drei Elemente dient zum Festlegen der Richtung der Achse, die lotrecht zur aktuellen Arbeitsebene steht.

  • Die aktuelle Arbeitsebene wird dann zum zweiten Element hin gedreht.

  • Zuletzt wird der Werkstücknullpunkt dem dritten Elementtyp entsprechend festgelegt.

Angenommen, Sie wählen eine:

Ebene, Gerade und einen Punkt mit ZPLUS als Arbeitsebene:
Die Ebene legt dann die Ausrichtung des Werkstücks in ZPLUS fest. Die gemessene Gerade wird zur XPLUS-Hauptachse. Der Nullpunkt der Ebene wird dem Nullpunkt der Z-Achse gleichgesetzt. Das Y entspricht dem der Geraden und das X dem des Punkts.

Ebene, Gerade und ein gemessener Kreis mit YMINUS als Arbeitsebene:
Die Ebene legt dann die Ausrichtung des Werkstücks in YMINUS fest. Die gemessene Gerade wird zur ZMINUS-Hauptachse. Der Nullpunkt der Ebene wird dem Nullpunkt der Y-Achse gleichgesetzt. Die X- und Z-Nullpunkte entsprechen dem Kreismittelpunkt.

Falls PC-DMIS nicht in der Lage ist, eine neue Ausrichtung anhand der drei gewählten Elemente zu erstellen, erscheint ein Popup-Fenster mit einer entsprechenden Fehlermeldung.

Achtung: Bei einer Auto Ausrichtung basiert der Nullpunkt der Ausrichtung auf dem dritten verwendeten Element.

¨ Handelt es sich um einen Punkt, dann stellt PC-DMIS den Achsennullpunkt ein. Handelt es sich nicht um einen Punkt, dann prüft PC-DMIS die Standardachsen des Elements.

¨ Handelt es sich um eine Auto Gerade, gibt PC-DMIS X, Y und Z zurück und setzt den Nullpunkt auf die X-,Y- und Z-Werte.

¨ Handelt es sich um eine gemessene Gerade, bestimmt PC-DMIS, welcher Antastvektor der Achse am nächsten liegt, und setzt die anderen beiden Achsenwerte auf Null.

¨ Handelt es sich um einen Auto Kreis, dann stellt PC-DMIS alle drei Achsen ein.

¨ Handelt es sich um einen gemessenen Kreis, wirft PC-DMIS einen Blick auf die Arbeitsebene und stellt nur zwei Achsen ein.


CAD gleich Werkstück

Die Schaltfläche CAD gleich Werkstück ist hilfreich, wenn Sie CAD-Daten online benutzen.

So setzen Sie das CAD dem Werkstück gleich:

  1. Messen Sie Elemente am Werkstück oder an der Spannvorrichtung.

  2. Verwenden Sie zum Erstellen einer Ausrichtung die Ausrichtungsoptionen (RAUM, EBENE und NULLPUNKT SETZEN).

  3. Klicken Sie auf die Schaltfläche CAD gleich Werkstück.

PC-DMIS bildet eine Brücke zwischen den CAD-Daten und den Messdaten. Auf diese Weise können die Messdaten über den CAD-Daten angezeigt werden. Die CAD-Daten werden außerdem zur maßlichen Prüfung des Werkstücks eingesetzt. Diese Option steht erst zur Auswahl, nachdem eine erstellte Ausrichtung den Nullpunkt/die Ausrichtung des Werkstücks an der gleichen Stelle wie den Nullpunkt/die Ausrichtung des CAD positioniert hat.

Nachdem für ein Werkstück auf die Schaltfläche CAD gleich Werkstück geklickt wurde, ist die gleichnamige Menüoption ausgewählt.


Erstellen einer 3-2-1-Ausrichtung

Nachfolgend werden die Schritte erläutert, die Sie zum Erstellen einer standardmäßigen 3-2-1-Ausrichtung durchführen müssen.

Hinweis: Klicken Sie auf folgendes Symbol aus der Symbolleiste des Assistenten, [image] um den PC-DMIS Assistenten für die 3-2-1-Ausrichtung aufzurufen.

Siehe auch:

Schritt 1: Messen der Ausrichtungselemente

Schritt 2: Nivellieren, Drehen und Übertragen auf die Elemente

Schritt 3: Fertigstellen der Ausrichtung


Schritt 1: Messen der Ausrichtungselemente

Zunächst müssen Sie die Elemente messen, die Sie für die 3-2-1-Ausrichtung verwenden. Es werden drei standardmäßige Elementtypen für die Erstellung einer 3-2-1-Ausrichtung verwendet. Die Zahlen 3, 2 und 1 verweisen auf die Mindestanzahl an Messpunkten, die zum Messen dieser Elemente erforderlich sind.

  • Messen einer Ebene. Das erste Element ist das Ebenenelement, das eine aus drei Messpunkten bestehende Ebene darstellen sollte. PC-DMIS nivelliert das Werkstück auf dieses Element. Hierbei werden der Nullpunkt und die Richtung der ersten Achse (normalerweise der Z-Achse) bestimmt.

  • Messen einer Geraden. Das zweite Element ist das Drehelement, das eine aus zwei Messpunkten bestehende Gerade darstellen sollte. PC-DMIS dreht das Werkstück auf dieses Element, wobei die zweite Achse ausgerichtet wird. Der zweite Messpunkt dieses Elements sollte relativ zu Ihrem ersten Messpunkt in der positiven Richtung der Achse liegen. Dieses Element definiert die Richtung der zweiten Achse (normalerweise der X-Achse) und den Nullpunkt der dritten Achse (normalerweise der Y-Achse).

  • Messen eines Punktes. Das dritte und letzte Element ist das Nullpunktelement, das nur aus einem Messpunkt besteht. Da PC-DMIS den Nullpunkt für diese Achse anhand der ersten beiden Elemente erstellt, wird mit dem dritten Punkt lediglich der Nullpunkt der gesamten Ausrichtung bestimmt. PC-DMIS überträgt das Werkstück auf dieses Element, wobei für das Nullpunktelement die Lage X=0, Y=0 und Z=0 eingestellt wird.

Wenn Sie die notwendigen Elemente gemessen haben, können Sie die Ausrichtung erstellen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 2: Nivellieren, Drehen und Übertragen auf die Elemente

In diesem Schritt wird das Dialogfeld Ausrichtungen zum Ebnen, Drehen und Übertragen des im vorangehenden Schritt gemessenen Werkstücks verwendet.

Klicken Sie hier, um die Beschreibung zum Dialogfeld Ausrichtungen anzuzeigen.

  1. Menü-Übersicht anzeigen Öffnen Sie das Dialogfeld Ausrichtungen (Einfügen | Ausrichtung | Neu). Beachten Sie, dass in der Elementliste alle möglichen Elemente angezeigt werden, die zum Ebnen, Drehen oder Übertragen des Werkstücks verwendet werden können.

  2. Klicken Sie in der Elementliste auf das Ebenenelement, das Sie im vorangehenden Schritt erstellt haben. Nachdem PC-DMIS das Element gewählt hat, wählen Sie die Achse, auf die PC-DMIS das Werkstück ebnen soll, und klicken Sie auf Raum. PC-DMIS zeigt im Dialogfeld Ausrichtungen eine Textzeile mit Informationen zum Element und zur Achse an, die für diesen Nivellierungsvorgang verwendet werden.

  3. Klicken Sie in der Elementliste auf das Geradenelement, das Sie im vorangehenden Schritt erstellt haben. Nachdem PC-DMIS das Element gewählt hat, legen Sie fest, auf welche Achse und um welche Achse das Werkstück gedreht werden soll, und klicken Sie auf Drehen. PC-DMIS zeigt wiederum das Element und die Achse für diesen Rotationsvorgang an.

  4. Klicken Sie in der Elementliste auf das Punktelement, das Sie im vorangehenden Schritt erstellt haben. Nachdem PC-DMIS das Element gewählt hat, aktivieren Sie das entsprechende Kontrollkästchen für die Achse. Legen Sie fest, welche Achse (oder Achsen) auf dieses Nullpunktelement gestellt werden soll, und klicken Sie auf Nullpunkt.

Hinweis: Als Alternative können Sie auch alle drei Elemente aus der Elementliste auswählen und auf Auto Ausrichten klicken. PC-DMIS ebnet dann automatisch auf das erste gewählte Element, dreht auf das zweite gewählte Element und überträgt die Achsen auf das dritte gewählte Element.

Nun können Sie die Ausrichtung fertigstellen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 3: Fertigstellen der Ausrichtung

So stellen Sie die Ausrichtung fertig:

  1. Stellen Sie sicher, dass die Informationen im geöffneten Dialogfeld richtig sind.

  2. Klicken Sie auf OK, wenn Sie fertig sind. PC-DMIS schließt das Dialogfeld, fügt den Code für die Ausrichtung im Bearbeitungsfenster ein und zeigt die Ausrichtung grafisch auf dem CAD-Modell im Grafikfenster an.

  3. Sie können den Ausrichtungscode jederzeit bearbeiten. Anweisungen hierzu finden Sie unter "Verwenden des Bearbeitungsfensters".


 Feature List Box Input List Edit Weights Create Weights Rotate About New Value box Enter button Theoretical Measured 3d option button 2D option button Active Plane Least Squares option Vector option OK button Cancel button Min Max option Rotate and Translate Rotate Only Translate Only

Erstellen einer Besteinpassungs-Ausrichtung

Besteinpassungs-Ausrichtung (Dialogfeld)

Beim Klicken auf die Schaltfläche Besteinpassung im Dialogfeld Ausrichtungen Menü-Übersicht anzeigen
zeigt PC-DMIS das Dialogfeld Besteinpassung an. Über dieses Dialogfeld können Sie eine Besteinpassung der Messdaten an die Nennpunkte vornehmen. Dieses Verfahren setzt die Messung von mindestens drei Elementen voraus.

Siehe auch:

Informationen zu Besteinpassungs-Ausrichtungen

So erstellen Sie eine Besteinpassungs-Ausrichtung

Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung"


Informationen zu Besteinpassungs-Ausrichtungen

Um die Besteinpassungs-Ausrichtung korrekt zu erstellen, beachten Sie bitte folgende Informationen.

Werden zwei Elementgruppen in PC-DMIS miteinander verglichen, wird die Differenz zwischen den tatsächlichen Elementpositionen und ihren entsprechenden theoretischen Positionen gemessen. Wird eine Punktreihe mit dem aus diesen Punkten berechneten Element verglichen, misst PC-DMIS die Differenz zwischen den Punkten und ihrer orthogonalen Projektion auf das Element. Mit der Besteinpassung wird versucht, den globalen Minimalwert für das Verfahren zu finden, mit dem der "Abstand" zwischen den Punkten und dem Element ermittelt wurde.

Die nachfolgenden Themen helfen zum Verständnis der wichtigen Aspekte der Besteinpassungs-Ausrichtungen.

Siehe auch:

Befehlszeilenformat für die 2D-Besteinpassung

Befehlszeilenformat für die 3D-Besteinpassung

2D- oder 3D-Besteinpassungs-Ausrichtungen

Verfügbare Besteinpassungs-Typen

Einschränkungen für 3D-Besteinpassungs-Ausrichtungen

Elementgewichtungen

Elementgruppen als Eingaben bei der Besteinpassungs-Ausrichtung

Scans als Eingaben bei der Besteinpassungs-Ausrichtung

Gekennzeichnete Elemente in einer Elementgruppe oder einem Scan

3D-Ausrichtung des Rotationszentrums

Punkteinpassung


Befehlszeilenformat für die 2D-Besteinpassung

Die im Bearbeitungsfenster für die Option 2D-Besteinpassung angezeigte Befehlszeile lautet:

AUSRICHTUNG/BE2D,TOG1,TOG2,GEWICHTE ERSTELLEN=JA,TOG3,0,0,0,0

ALLE_EINGABEN_EINBLENDEN=JA,ALLEPARAMANZEIGEN=JA

ID =

Verfügbare Felder:

"TOG1" Mit diesem Feld können Sie zwischen den verfügbaren Arbeitsebenen umschalten. Die aktuelle Arbeitsebene sollte angezeigt werden.

"TOG2" Mit diesem Feld können Sie zwischen den verfügbaren Besteinpassungs-Verfahren umschalten. KLEINSTEQUAD, VEKEINPASS, MINMAX. Weitere Informationen finden Sie unter "Verfügbare Besteinpassungs-Typen".

GEWICHTE ERSTELLEN= Mit dieser Option können Sie bestimmen, ob PC-DMIS Gewichtungen für die in der Besteinpassungs-Ausrichtung verwendeten Elemente erstellt oder nicht. Verfügbare Optionen sind JA oder NEIN. See "Elementgewichtungen".

"TOG3" Dieses Feld bestimmt die Freiheitsgrade für die 2D-Ausrichtung. Zur Auswahl stehen folgende Optionen: NURDREHEN (Nur Drehung) , DREHENUNDVERSETZ (Drehen und versetzen), NURVERSETZ (Nur versetzen).

ALLE_EINGABEN_EINBLENDEN= Über diese Option können Sie bestimmen, ob der Codeblock der Ausrichtung die zur Erstellung der Ausrichtung verwendeten Eingabeelemente anzeigt oder nicht. Verfügbare Optionen sind JA oder NEIN.

ALLEPARAMANZEIGEN= Über diese Option können Sie bestimmen, ob der Codeblock der Ausrichtung alle Parameter für die Eingabeelemente anzeigt oder nicht. Verfügbare Optionen sind JA oder NEIN.

Wird diese Option auf JA eingestellt, zeigt PC-DMIS diese Angaben für jedes Eingabeelement an: Bezugs-ID, Elementtyp, Merkmal ID, Gewichtung, Verwendetes Element.

Dies könnte zum Beispiel folgendermaßen aussehen:

ID = KREIS2,Kreise,LAGE12,2.000000,JA

Wird diese Option auf NEIN eingestellt, zeigt PC-DMIS lediglich die ID des Eingabeelements an.

ID = KREIS2

ID=Jede Zeile, die mit "ID=" beginnt, stellt ein in der Ausrichtung verwendetes Eingabeelement dar.


Befehlszeilenformat für die 3D-Besteinpassung

Die im Bearbeitungsfenster für die Option 3D-Besteinpassung angezeigte Befehlszeile lautet:

AUSRICHTUNG/BE3D,TOG1,GEWICHTE ERSTELLEN=JA,TOG2,0,0,0,0,0,0

ROTATIONSMITTELPUNKT,MESS_X,MESS_Y,MESS_Z,NENN_X,NENN_Y,NENN_Z

ALLE_EINGABEN_EINBLENDEN=JA,ALLEPARAMANZEIGEN=JA

ID =

Verfügbare Felder:

"TOG1" Mit diesem Feld können Sie zwischen den verfügbaren Besteinpassungsverfahren umschalten.

"TOG2" Mit diesem Feld können Sie zwischen den verfügbaren Beschränkungsarten für die 3D-Ausrichtung umschalten. Zur Auswahl stehen folgende Optionen: NURDREHEN (Nur Drehung) , DREHENUNDVERSETZ (Drehen und versetzen), NURVERSETZ (Nur versetzen).

ROTATIONSMITTELPUNKT Dieses Feld stellt zusammen mit den mit ihm verknüpften, gemessenen und theoretischen X-,Y-,Z-Werten den Rotationsmittelpunkt dar. Es erscheint nur dann, wenn NURDREHEN oder DREHENUNDVERSETZ im das Feld TOG2 verwendet wird.

ALLE_EINGABEN_EINBLENDEN= Über diese Option können Sie bestimmen, ob der Codeblock der Ausrichtung die zur Erstellung der Ausrichtung verwendeten Eingabeelemente anzeigt oder nicht. Verfügbare Optionen sind JA oder NEIN.

ALLEPARAMANZEIGEN= Über diese Option können Sie bestimmen, ob der Codeblock der Ausrichtung alle Parameter für die Eingabeelemente anzeigt oder nicht. Verfügbare Optionen sind JA oder NEIN.

Wird diese Option auf JA eingestellt, zeigt PC-DMIS diese Angaben für jedes Eingabeelement an: Bezugs-ID, Elementtyp, Merkmal ID, Gewichtung, Verwendetes Element.

Dies könnte zum Beispiel folgendermaßen aussehen:

ID = KREIS2,Kreise,LAGE12,2.000000,JA

Wird diese Option auf NEIN eingestellt, zeigt PC-DMIS lediglich die ID des Eingabeelements an.

D = KREIS2

ID=Jede Zeile, die mit "ID=" beginnt, stellt ein in der Ausrichtung verwendetes Eingabeelement dar.


2D- oder 3D-Besteinpassungs-Ausrichtungen

Besteinpassungs-Ausrichtungen können entweder in zwei- oder dreidimensionaler Richtung erfolgen. Es gibt einen bedeutenden Unterschied zwischen einer 2D- und einer 3D-Besteinpassung.

  • Eine 2D-Besteinpassungs-Ausrichtung setzt eine Erstausrichtung voraus. Die Ausrichtung wird in der aktuell angegebenen Arbeitsebene erstellt und basiert auf der aktuellen Ausrichtung.

  • Bei einer 3D-Besteinpassungs-Ausrichtung werden die Rohdaten (Maschinendaten) verwendet und Korrelationen zu den theoretischen Werten hergestellt. Dabei wird KEINE vorherige Ausrichtung verwendet, sondern eine völlig Neue erstellt.


Verfügbare Besteinpassungs-Typen

Beim Erstellen einer Besteinpassungs-Ausrichtung stehen mehrere Optionen zur Auswahl. Es gibt drei verschiedene Arten von Besteinpassungsoptionen:

  1. Kleinste Quadrate (Standard) – minimiert das quadrierte Fehlermittel der Anpassung von allen in die Besteinpassung einbezogenen Elementen. Dies ist der häufigste Besteinpassungstyp. Der Fehlerwert ist die Summe der quadrierten Abstände. Ausreißer haben keine Wirkung als Abweichung und die Richtung des Fehlers spielt keine Rolle bei diesem Besteinpassungstyp.

  2. Vektor (auch bekannt als projizierte kleinste Quadrate) – minimiert auch das quadrierte Fehlermittel aller in die Anpassung einbezogenen Elemente. Bewirkt jedoch zuerst das Wiedereinrasten (oder die Projektion) der Punkte auf die Nennvektoren des Elements. Auf diese Weise befinden sich alle Fehler entlang der Nennvektoren. Der Fehlerwert ist die Summe der quadrierten projizierten Abstände. Dieser Besteinpassungstyp findet in der Regel dann Anwendung, wenn eine Punktreihe in Kurven und/oder Flächen eingepasst wird. Mit diesem Besteinpassungstyp bietet PC-DMIS die Möglichkeit, Punkte entlang einer Fläche "gleiten" zu lassen. Dabei wird verhindert, dass sich die Punkte aus der Fläche zurückziehen.
    Beispiel:     Ist der Nennpunkt: 1.1.1 mit dem Vektor: 0,0,1 und sind die Messwerte 4,2,0.95, dann werden die Messdaten auf 1,1,0.95 eingestellt und bei Vektor 0,0,1 eingerastet.

  3. Min/Max – minimiert den max. Fehler (den größten Abstand) unter den eingepassten Elementen. Messungen mit starken Abweichungen haben eine drastische Wirkung auf diesen Fehlerwert. Dieser Ausrichtungstyp kann verwendet werden, um zu bestimmen, ob es eine Ausrichtung gibt, bei der alle für die Besteinpassungs-Ausrichtung vorzunehmenden Elementeingaben im vorgegebenen Toleranzbereich liegen. Dieser Besteinpassungstyp wird über Y14,5 vorgegeben.

Hinweis: Die Option Min/Max ist nur für 2D-Besteinpassungs-Ausrichtungen verfügbar.


Einschränkungen für 3D-Besteinpassungs-Ausrichtungen

Auch 3D-Besteinpassungs-Ausrichtungen können Beschränkungen auferlegt werden. Die Beschränkungsoptionen lauten wie folgt:

  1. Drehen & Verschieben (Standard) – Damit erhält die Ausrichtung bei der Korrelation von Maschinendaten und theoretischen Werten uneingeschränkte Flexibilität.

  2. Nur drehen – Diese Option beschränkt die Ausrichtung auf Drehen und unterstützt keine Verschiebungen.

  3. Nur verschieben – Diese Option beschränkt die Ausrichtung auf Verschiebungen und unterstützt keine Drehungen.


Elementgewichtungen

Jedes als Eingabe verwendete Element besitzt eine zugehörige Gewichtung. Der Standardwert ist 1. Die Werte der Gewichtungen wirken sich auf die Ergebnisausrichtung aus. Je größer die Gewichtung eines bestimmten Elements, desto genauer stimmt bei der Ergebnisausrichtung der Messwert dieses Elements mit dem theoretischen Wert überein. Dies bietet Ihnen die Möglichkeit, den Elementen in der Ausrichtung Prioritäten zuzuweisen. Wenn die Gewichtungen aller Eingabeelemente identisch sind, dann werden die Elemente gleich behandelt, unabhängig vom Wert der Gewichtung.

Je nach zugehörigem Merkmal können jedem Element Gewichtungen zugewiesen werden. Gibt es kein entsprechendes Merkmal, wird dem Element eine Standardtoleranz zugewiesen. Die Gewichtungen werden durch Klicken auf die Schaltfläche Gewichtungen erstellen zugewiesen. Alle Gewichtungen können bearbeitet werden, indem das entsprechende Element in der Eingabeliste ausgewählt und auf Gewichtung bearbeiten geklickt wird. Dem Element wird dann die neue Gewichtung zugewiesen, die bei den Berechnungen zugrundegelegt wird.


Elementgruppen als Eingaben bei der Besteinpassungs-Ausrichtung

Bei Verwendung von Elementgruppen (konstruierten Sätzen oder Scans) als Eingaben bei der Besteinpassungs-Ausrichtung erscheint neben der Element-ID im Feld Eingabeliste ein Plus-Zeichen (+). Durch einmaliges Klicken auf das Plus-Zeichen (+) werden die Elemente, aus denen die Elementgruppe besteht, angezeigt. Anfänglich sind die Gewichtungen jedes Elements identisch mit denen des übergeordneten Elements (der Ausgangsgruppe). Die Gewichtung jedes untergeordneten Elements der Gruppe kann auf die gleiche Weise wie oben beschrieben bearbeitet werden. Um die Gewichtung aller Elemente in der Gruppe zu ändern, bearbeiten Sie einfach die Gewichtung der Elementgruppe an sich, und diese Gewichtung wird dann auf alle abhängigen Elemente übertragen.


Scans als Eingaben bei der Besteinpassungs-Ausrichtung

Beim Arbeiten mit einem Scan gibt es eine Komponente mehr als beim Arbeiten mit einem Element. Scans setzen sich aus Basis-Scans zusammen. Jeder Basis-Scan besteht aus einzelnen Punkten. Wenn Sie auf das Pluszeichen (+) neben einem Scan klicken, werden alle damit verknüpften Basis-Scans angezeigt. Ein Pluszeichen (+) erscheint neben jedem Basis-Scan. Wenn Sie auf das Pluszeichen (+) neben jedem Basis-Scan klicken, werden alle mit dem Basis-Scan verknüpften Einzelpunkte angezeigt. Die Gewichtung jedes Punkts, die Gewichtung des Basis-Scans (und aller seiner Punkte) und die Gewichtung des Scans selbst können bearbeitet werden.


Gekennzeichnete Elemente in einer Elementgruppe oder einem Scan

Es können auch einzelne Elemente in einer Elementgruppe markiert werden, um ihre Verwendung auszuschließen. Um die Verwendung eines Element einer Gruppe bei der Besteinpassungs-Ausrichtung durch Kennzeichnung auszuschließen, doppelklicken Sie im Feld Eingabeliste auf das Element. Dadurch ändert sich der Eintrag "JA" in der Spalte Verwenden im Feld Eingabeliste auf "NEIN". Beim Doppelklicken auf einen Basis-Scan werden dieser und alle zugehörigen Punkte mit "NEIN" gekennzeichnet und nicht bei den Berechnungen verwendet.


3D-Ausrichtung des Rotationszentrums

Für bestimmte Besteinpassungs-Ausrichtungen kann ein Rotationszentrum vorgegeben werden. Hierfür gibt es zwei Möglichkeiten:

  1. Markieren Sie ein Element im Feld Eingabeliste. Klicken Sie danach auf die Schaltfläche Drehen. Die theoretischen und gemessenen Werte werden automatisch in die entsprechenden Felder im Bereich Drehen um eingegeben.

  2. Ist eine bestimmte Koordinate erwünscht, kann der Wert manuell durch Eingabe der XYZ-Koordinate in die Felder Theoretisch und Messwert eingetragen werden. Gültige Eingaben für den Wert müssen durch Komma begrenzt sein, z.B. Xtheo, Ytheo, Ztheo.


Punkteinpassung

Standardmäßig passt PC-DMIS die Punkte in Ihre Besteinpassungs-Ausrichtung an die ursprüngliche theoretische Punktewolke an. Sie können jedoch stattdessen die Besteinpassungs-Ausrichtung die Punkte an die Flächen oder Kurven anpassen lassen. Um diese Funktionalität zu aktivieren, müssen Sie auf den PC-DMIS-Einstellungseditor zugreifen und den Registrierungseintrag IterateAndRePierceCadOnBestFitAlignments auf TRUE setzen. Dieser Eintrag ist standardmäßig auf FALSE gestellt.

Beim Öffnen von vorhandenen Werkstückprogrammen werden die Ausrichtungen nicht automatisch neu berechnet. Sie müssen eine neue Berechnung veranlassen, indem Sie den Typ im Bereich Besteinpassungsverfahren von Vektor auf Min/Max ändern. Normalerweise werden Sie ohnehin Min/Max für Profilberechnungen verwenden. Außerdem müssen Sie Ihre Merkmale möglicherweise neu berechnen. Hierzu geben Sie den Namen des Scans erneut in das Bearbeitungsfenster ein. Nun sollte ein wesentlich kleinerer Profilfehler angezeigt werden.

Hierzu gehören zwei weitere Einstellungen.

IterateAndRePierceCadOnBestFitAlignmentsToleranceInMM - Hierdurch wird der Toleranzwert für die Nennwertsuche festgesetzt, der dann für die Anpassung verwendet wird. Stellen Sie sicher, dass dieser Wert größer als der Tasterradius ist. In den meisten Fällen ist der Standardwert von 20 Millimetern ausreichend.

IterateAndRePierceCadOnBestFitAlignmentsMaxLoops - Hierdurch wird die Höchstzahl an Wiederholungen festgesetzt, falls PC-DMIS an keine Lösung konvergiert. In den meisten Fällen sollte der Standardwert von 100 ausreichend sein.

Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


So erstellen Sie eine Besteinpassungs-Ausrichtung

So erstellen Sie eine Besteinpassungs-Ausrichtung:

  1. Öffnen Sie das Dialogfeld Ausrichtungen (Einfügen | Ausrichtung | Neu). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Schaltfläche Besteinpassung. Das Dialogfeld Besteinpassungs-Ausrichtung wird angezeigt. Verwenden Sie dieses Dialogfeld, um die Besteinpassungs-Ausrichtung zu erstellen. Weitere Informationen zu diesem Dialogfeld finden Sie unter "Beschreibung des Dialogfeldes "Besteinpassungs-Ausrichtung"".

  3. Wählen Sie die zu verwendenden Elemente aus dem Feld Elementliste aus. Diese werden im Feld Eingabeliste angezeigt.

  4. Wählen Sie die Richtung der Ausrichtung durch Auswahl der Ausrichtungsoptionen 2-dimensional oder 3-dimensional im Bereich Richtungs-Vektoren aus. Wählen Sie bei der 2D-Ausrichtung zudem die richtige aktive Ebene aus der Auswahlliste Raumachse aus.

  5. Wählen Sie die beste Art der Einpassung, indem Sie im Bereich Besteinpassungsverfahren die entsprechende Option aktivieren. Wählen Sie bei der 3D-Ausrichtung außerdem die entsprechende Beschränkung im Bereich Besteinpassungsverfahren.

  6. Um die Gewichtungen der Elemente zu bearbeiten, klicken Sie auf die Schaltfläche Gewichtungen erstellen. Wählen Sie das Element, dessen Gewichtung geändert werden soll. Klicken Sie auf die Schaltfläche Gewichtung bearbeiten. Geben Sie die neue Gewichtung in das Feld Neuer Wert im Bereich Gewichtungs-Editor ein, und klicken Sie auf die Schaltfläche Eingabe.

  7. Um den Drehpunkt um ein bestimmtes Element festzulegen, wählen Sie das Element aus der Eingabeliste aus und klicken Sie auf die Schaltfläche Drehen um. Sie können aber auch einen Wert in die Felder Theoretisch und Messwert im Bereich Drehen um des Dialogfeldes eingeben.

  8. Klicken Sie auf OK.


Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung"

In den folgenden Themen werden die einzelnen Einträge des Dialogfelds Besteinpassungs-Ausrichtung beschrieben.

Siehe auch:

Eingabeliste

Gewichtungen bearbeiten

Gewichtungen erstellen

Drehen um

Neuer Wert

Eingabe

Theoretisch

Messwert

3D

2D

Aktive Ebene

Kleinste Quadrate

Vektor

Min./Max.

Drehen & Verschieben

Nur Drehen

Nur Verschieben


Eingabeliste

Das Feld Eingabeliste enthält die Elemente, die zur Erstellung der Besteinpassungs-Ausrichtung verwendet werden. Die Liste dient außerdem zur Bearbeitung der Elemente vor Erstellung der Ausrichtung.


Gewichtungen bearbeiten

Mit der Schaltfläche Gewichtung bearbeiten wird die aktuelle Gewichtung des ausgewählten Elements in das Feld Neuer Wert des Bereichs Gewichtungs-Editor eingegeben, so dass sie geändert werden kann.


Gewichtungen erstellen

Mit der Schaltfläche Gewichtungen erstellen werden automatisch Gewichtungen für jedes Element im Feld Eingabeliste erstellt.


Drehen um

Beim Klicken auf die Schaltfläche Drehen um werden die theoretischen und gemessenen Werte des im Feld Eingabeliste markierten Element genommen und in die Felder Theo und Messwert des Bereichs Drehen um eingesetzt. Der Wert dient bei der Berechnung der Besteinpassungs-Ausrichtung als Rotationszentrum.


Neuer Wert

In das Feld Neuer Wert wird die neue Gewichtung eingegeben.


Eingabe

Beim Klicken auf die Schaltfläche Eingabe wird der Wert im Feld Neuer Wert übernommen und die Gewichtung des im Feld Eingabeliste markierten Elements entsprechend geändert.


Theo

Dieses Feld enthält den theoretischen Wert des Rotationszentrums für 3D-Besteinpassungs-Ausrichtungen.


Messwert

Dieses Feld enthält den Messwert des Rotationszentrums für 3D-Besteinpassungs-Ausrichtungen.


3D

Ist die Option 3D markiert, erfolgt die Ergebnisausrichtung in 3D.


2D

Ist die Option 2D markiert, erfolgt die Ergebnisausrichtung in 2D.


Aktive Ebene

In der Auswahlliste Aktive Ebene wird die Ebene festgelegt, in der eine 2D-Ausrichtung berechnet werden soll.


Kleinste Quadrate

Ist die Option Kleinste Quadrate markiert, werden die quadrierten Fehlermittel für die eingegebenen Elemente in der Ausrichtung minimiert.


Vektor

Ist die Option Vektor markiert, werden die Ergebnispunkte in den Eingabeelementen auf den theoretischen Vektoren eingerastet, bevor das quadrierte Fehlermittel minimiert wird.


Min./Max.

Ist die Option Min/Max markiert, wird bei der Ausrichtung eine Lageanpassung des Werkstücks versucht, so dass PC-DMIS den maximalen Fehler in allen Eingabeelementen minimiert.

Hinweis: Dies gilt nur für 2D-Besteinpassungen.


Drehen & Verschieben

Mit der Option Drehen & Verschieben wird bei der Berechnung der Ausrichtung maximale Freiheit gelassen; es kann frei gedreht und verschoben werden.


Nur Drehen

Mit der Option Nur Drehen wird die Ausrichtung bei ihrer Berechnung auf die Drehung beschränkt.


Nur Verschieben

Mit der Option Nur verschieben wird die Ausrichtung bei ihrer Berechnung auf das Verschieben beschränkt.


 Select button Origin Rotate Search ID Select Last # Feature List box Clear button OK button Cancel button Level Measure All Once Measure All Always Max Iterations Start Label Point Target Radius Fixture Tolerance Error Label

Erstellen einer iterativen Ausrichtung

Iterative Ausrichtung (Dialogfeld)

In der Automobilfachsprache liefert eine iterative Ausrichtung "Aufbau"-Koordinaten.

Wird die Schaltfläche Iterativ im Dialogfeld Ausrichtungen angeklickt (Einfügen | Ausrichtung | Neu), Menü-Übersicht anzeigen
zeigt PC-DMIS das Dialogfeld Iterative Ausrichtung an. Dieses Dialogfeld ermöglicht Ihnen die bestmögliche Anpassung der Messdaten an die Nennpunkte (oder Oberflächen, falls vorhanden). Dieses Verfahren setzt die Messung von mindestens drei Elementen voraus. Bestimmte Elementtypen, wie beispielweise Punkte und Geraden, haben schlechte dreidimensionale Lagen. Wird einer dieser Elementtypen gewählt, sind zur Bereitstellung genauer Messdaten zusätzliche Elemente erforderlich.

  • Die erste Elementgruppe legt die Ausrichtung der senkrechten Achse der aktuellen Arbeitsebene fest, indem eine Ebene durch die Flächenmittelpunkte des Elements hindurch eingepasst wird. In diesem Profilschnitt (EBENE - 3 +) müssen mindestens drei Elemente verwendet werden.

  • Die nächste Elementgruppe dreht die für die Arbeitsebene definierte Achse zu den Elementen hin und passt dabei eine Gerade durch die Elemente hindurch ein. In diesem Profilschnitt (DREHEN -2 +) müssen mindestens zwei Elemente verwendet werden.
    Falls keine Elemente markiert wurden, verwendet die Ausrichtung Elemente aus dem Profilschnitt RAUM. (Bei den beiden aus dem Profilschnitt RAUM verwendeten Elementen handelt es sich um das zweit- und drittletzte Element.)

  • Die letzte Elementgruppe verschiebt den Nullpunkt des Werkstücks an eine bestimmte Position (NULLPUNKT SETZEN – 1
    ). Falls keine Elemente markiert wurden, verwendet die Ausrichtung das letzte Element aus dem Profilschnitt RAUM.

Siehe auch:

Informationen zu iterativen Ausrichtungen

So erstellen Sie eine iterative Ausrichtung

Beschreibung zum Dialogfeld "Iterative Ausrichtung"


Informationen zu iterativen Ausrichtungen

Die hier angeführten Informationen sollen Sie beim Erstellen einer iterativen Ausrichtung unterstützen. Die folgenden Themen dienen zum besseren Verständnis einiger wichtiger Aspekte von iterativen Ausrichtungen.

Siehe auch:

Befehlsformat für iterative Ausrichtungen

Regeln der iterativen Ausrichtung


Befehlsformat für iterative Ausrichtungen

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
AUSRICHTUNG/WIEDERH,'Element_ID'
, PUNKTE_ZIELRADIUS=n, STARTSPRUNGMARKE=Sprungmarke, VORRICHTUNG TOL = n, FEHLERSPRUNGMARKE=Sprungmarke
MESSE ALLE ELEM=NO/IMMER/EINMAL,
MAX_SCHLEIFEN = n
RAUMACHSE_3 =Achse, DREHACHSE_2=Achse, NULLPUNKTACHSE_1=Achse
RAUM = ID , ID, ID,…
DREHEN = ID, ID,…
NULLPUNKT = ID,…

Veränderbares Feld: "Element_ID"
Hierbei handelt es sich um die Elemente, die zur Durchführung der iterativen Ausrichtung verwendet werden. Gegenwärtig müssen mindestens drei verschiedene Elemente für die Kalibrierung gewählt werden. Elemente, die in mehreren Richtungen liegende Bezugselement-Achsen bilden können, (wie z.B. ein Kreis oder Langloch) können auf mehr als einer Bezugselement-Achse vorgegeben werden. Beispielsweise kann ein Kreis sowohl zur Festlegung der Raumachse als auch der Drehachse verwendet werden. In der Regel kann anhand von Messpunkten (einschließlich Vektor- und Oberflächenpunkten) nur eine Bezugselement-Achse festgelegt werden.

PUNKTE_ZIELRADIUS = Diese Option gibt den Zielradius-Wert der bei der Ausrichtung verwendeten gemessenen Punktelemente an. Vollständige Informationen finden Sie unter "Punkte-Zielradius".

STARTSPRUNGMARKE = PC-DMIS beginnt mit der Neubemessung der Ausrichtungselemente bei der hier angegebenen Sprungmarke. Dies funktioniert nur, wenn MESSE ALLE ELEM auf IMMER eingestellt ist. Vollständige Informationen finden Sie unter "Startsprungmarke".

VORRICHTUNG TOL = Unter Verwendung dieses Toleranzwertes vergleicht PC-DMIS gemessene Ausrichtungselemente mit deren theoretischen Werten. Vollständige Informationen finden Sie unter "Vorrichtungs-Toleranz".

FEHLERSPRUNGMARKE = PC-DMIS geht zu dieser Sprungmarke, wenn der Toleranzwert für die Spannvorrichtung überschritten wird. Wenn Sie keine Sprungmarke definieren, gibt PC-DMIS eine Fehlermeldung aus, die den Fehlerwert der einzelnen Eingabeelemente anzeigt. Vollständige Informationen finden Sie unter "Fehlersprungmarke".

RAUMACHSE_3 = PC-DMIS legt die Ausrichtung und den Nullpunkt der hier angegebenen Achse unter Verwendung der Eingabeelemente für RAUM fest. Vollständige Informationen finden Sie unter "Raum".

DREHACHSE_2 = PC-DMIS legt die Drehung der hier angegebenen Achse um die Raumachse unter Verwendung der Eingabeelemente für DREHEN fest. Der Nullpunkt der hier angegebenen Achse wird ebenfalls unter Verwendung der Eingabeelemente für DREHEN festgelegt. Vollständige Informationen finden Sie unter "Drehen".

NULLPUNKTACHSE_1 = PC-DMIS legt den Nullpunkt der hier angegebenen Achse unter Verwendung der Eingabeelemente für NULLPUNKT fest. Vollständige Informationen finden Sie unter "Nullpunkt".

ALLE ELEMENTE MESSEN = Diese Option bestimmt, ob PC-DMIS die Eingabeelemente neu misst oder automatisch einen Teil des Werkstückprogramms erneut im CNC-Modus ausführt. Für diese Option gibt es drei mögliche Einstellungen. Diese sind:

· NEIN. Vollständige Informationen finden Sie unter "Punkte Zielradius".

· EINMAL. Vollständige Informationen finden Sie unter "Iteriere einmal".

· IMMER. Vollständige Informationen finden Sie unter "Iteriere bis Abbruch".

MAX_SCHLEIFEN = Diese Option bestimmt die maximal zulässige Anzahl von Iterationen, die PC-DMIS für diese iterative Ausrichtung durchführen wird.


Regeln der iterativen Ausrichtung

Bei Durchführung einer iterativen Ausrichtung gelten einige allgemeine Regeln.

PC-DMIS benötigt für jedes der Elemente in den Gruppen die gemessenen und theoretischen Werte. Die senkrechten Vektoren der ersten Gruppe von Elementen müssen annähernd parallel sein. Die einzige Ausnahme dieser Regel gilt dann, wenn nur drei Elemente in der Gruppe verwendet werden.

Werden Messpunkte (VEKTOR, KANTE oder FLÄCHE) verwendet, so sind zur Definition der Ausrichtung alle drei Elementgruppen erforderlich (drei Elemente für "Raum", zwei Elemente für "Drehen" und ein Element für "Nullpunkt setzen"). Es kann jeder beliebige Elementtyp verwendet werden, dreidimensionale Elemente sind jedoch besser definiert und erhöhen somit die Genauigkeit. Zu den in Frage kommenden 3D-Elementen gehören Blechkreise, Langlöcher, Zylinder, Kugeln oder Eckpunkte.

Hinweis: Blechkreise, Langlöcher und Zylinder benötigen mindestens drei Stützpunkte.

Die Problematik bei Verwendung von Messpunkten besteht in der Ungewissheit, an welcher Stelle die Messung bis nach vorgenommener Ausrichtung erfolgen soll. Dies stellt ein Problem dar, da die Punkte vor der Ausrichtung gemessen werden müssen. Bei den für diesen Zweck als dreidimensional bezeichneten Elementen handelt es sich um Elemente, die beim ersten Mal präzise gemessen werden können.

Bei Verwendung von Messpunkten (VEKTOREN, KANTE oder FLÄCHE) müssen außerdem die Elemente der Gruppe DREHEN über vertikale Vektoren verfügen, die annähernd senkrecht zu den Vektoren der Elemente der Gruppe RAUM stehen. Die Elemente der Gruppe NULLPUNKT müssen über einen vertikalen Vektor verfügen, der ungefähr senkrecht zu den Vektoren der Elemente der Gruppen RAUM und DREHEN verläuft.

Wenn Messpunkte (VEKTOREN, KANTE oder FLÄCHE) als Teil der Gruppe verwendet werden, fordert PC-DMIS eventuell zur erneuten Messung auf, wenn sie zu weit entfernt von der Nennposition aufgenommen wurden. Es erfolgt dann zunächst eine "Besteinpassung" der Messdaten in die Nenndaten. Als Nächstes überprüft PC-DMIS, wie weit jeder Messpunkt entfernt ist. Überschreitet der Abstand den im Feld Punkte-Zielradius angegebenen Wert, fordert PC-DMIS zur erneuten Messung des Punktes auf. PC-DMIS setzt im Prinzip einen zylindrischen Toleranzbereich um die theoretische Position jedes Vektors, jeder Fläche bzw. jedes Kantenpunkts. Der Radius dieses Toleranzbereichs entspricht der im Dialogfeld angegebenen Punkttoleranz. PC-DMIS setzt die erneute Messung der Punktelemente solange fort, bis alle Messpunkte in den "Toleranzbereich" fallen. Der Toleranzbereich wirkt sich nur auf Messpunkte aus.

Mit Hilfe einer Spezialfunktion von PC-DMIS können Sie den Mittelpunkt eines Langlochs entlang der Achse auf- und abschieben, falls dies erforderlich ist. Bei Verwendung eines Langlochs als Teil der Gruppe NULLPUNKT wird daher keine Konvergenz der iterativen Ausrichtung erzielt. Um ein Langloch dennoch als Teil der Gruppe NULLPUNKT zu verwenden, können Sie zuerst einen Punkt aus dem Langloch konstruieren und diesen konstruierten Punkt dann in der Gruppe NULLPUNKT verwenden.

Bei der iterativen Ausrichtung empfiehlt es sich nicht, ein Langloch als Teil der Gruppe NULLPUNKT zu verwenden.

Verwendeter Elementtyp: | Erforderliche Mindestanzahl von Elementen:
Kreis | 3 Kreise | Diese Methode verwendet 3 CNC-Kreise für die Ausrichtung.
Gerade | Dieser Elementtyp wird nicht empfohlen.
Punkt | 6 Punkte: | Die Punkte dienen zur 3-2-1-Ausrichtung.
Langloch | Dieser Elementtyp wird nicht als Teil der Gruppe NULLPUNKT empfohlen.
Kugel | 3 Kugeln | Diese Methode verwendet 3 Sätze an Kugeln zur Ausrichtung.


So erstellen Sie eine iterative Ausrichtung

Hinweis: Klichen Sie auf dieses Symbol aus der Symbolleiste des Assistenten, um PC-DMIS' Assistenten für die iterative Ausrichtung aufzurufen.

So erstellen Sie eine iterative Ausrichtung:

  1. Öffnen Sie das Dialogfeld Ausrichtungen (Einfügen | Ausrichtung | Neu). Menü-Übersicht anzeigen

  2. Klicken Sie auf die Schaltfläche Iterativ. Das Dialogfeld Iterative Ausrichtung wird angezeigt. Verwenden Sie dieses Dialogfeld, um die iterative Ausrichtung zu erstellen. Weitere Informationen zu diesem Dialogfeld finden Sie unter "Beschreibung des Dialogfeldes "Besteinpassungs-Ausrichtung"".

  3. Markieren Sie im Feld Elementliste die erste Elementgruppe (mit mindestens drei Elementen), die zur Ausrichtung der senkrechten Achse auf der aktuellen Arbeitsebene dienen soll.

  4. Vergewissern Sie sich, dass die Option Raum markiert ist.

  5. Klicken Sie auf die Schaltfläche Auswählen.

  6. Markieren Sie mit der Maus die zweite Elementgruppe (mit mindestens zwei Elementen), die beim Rotationsverfahren verwendet werden soll.

  7. Vergewissern Sie sich, dass die Option Ebene markiert ist.

  8. Klicken Sie auf die Schaltfläche Auswählen.

  9. Markieren Sie die letzte Elementgruppe (mit mindestens einem Element), welche die gewünschte Position des Werkstücknullpunkts angibt. (Dieselben Elemente können bei mehr als einem Vorgang verwendet werden.)

  10. Vergewissern Sie sich, dass die Option Nullpunkt markiert ist.

  11. Klicken Sie auf die Schaltfläche Auswählen.

  12. Klicken Sie auf OK. Das Dialogfeld Iterative Ausrichtung wird geschlossen.

  13. Klicken Sie im Dialogfeld Ausrichtungen auf OK, um die Ausrichtung abzuschließen.

Hinweis: Werden die Optionen Raum, Drehen (in der Ebene) oder Nullpunkt markiert, nachdem sie bereits bestimmten Elementen zugewiesen wurden, werden die für die betreffende Option angegebenen Eingabeelemente angezeigt.

Nachdem dieser Vorgang abgeschlossen ist, nimmt PC-DMIS die dreidimensionale "Besteinpassung" der Messdaten vor und zeigt die neue Ausrichtung im Grafikfenster und im Bearbeitungsfenster an. Siehe auch "Befehlsformat für iterative Ausrichtungen".


Beschreibung zum Dialogfeld "Iterative Ausrichtung"

Nachfolgend werden die einzelnen Einträge des Dialogfelds Iterative Ausrichtung beschrieben.

Siehe auch:

Layer

Drehen

Nullpunkt

Auswählen

Iteriere einmal

Iteriere bis Abbruch

Punkte-Zielradius

Vorrichtungs-Toleranz

Iteriere max. bis

Startsprungmarke

Fehlersprungmarke


Raum

Die Option Raum - 3 wird in Verbindung mit mindestens drei der im Feld Elementliste markierten Elemente verwendet. Diese Elementgruppe legt die Ausrichtung der senkrechten Achse der aktuellen Arbeitsebene fest, indem eine Ebene durch die Flächenmittelpunkte des Elements hindurch eingepasst wird.

Zur Anwendung der Option "Raum" müssen mindestens drei Elemente verwendet werden.


Drehen

Die Option Ebene - 2 wird in Verbindung mit mindestens zwei der im Feld Elementliste markierten Elemente verwendet. Diese Elementgruppe dreht die für die Arbeitsebene definierte Achse zu den Elementen hin und passt dabei eine Gerade durch die Elemente hindurch ein.

Zum Drehen müssen mindestens zwei Elemente verwendet werden.

Hinweis: Falls keine Elemente markiert wurden, verwendet die Ausrichtung Elemente aus dem Abschnitt "Raum". (Bei den beiden aus dem Abschnitt "Raum" verwendeten Elementen handelt es sich um das zweit- und drittletzte Element.)


Nullpunkt

Die Option Nullpunkt - 1 wird in Verbindung mit einem im Feld Elementliste markierten Element verwendet. Diese Elementgruppe verschiebt (oder bewegt) den Nullpunkt des Werkstücks an eine bestimmte Position.

Zum Setzen des Nullpunkts muss mindestens ein Element verwendet werden.

Hinweis: Falls keine Elemente markiert wurden, verwendet die Ausrichtung das letzte Element aus dem Profilschnitt RAUM.


Auswählen

Mit der Schaltfläche Auswählen können Sie die im Feld Elementliste hervorgehobenen Elemente auswählen und diese Elemente bei einer iterativen Ausrichtung zum Nivellieren (oder "Ebnen"), Drehen und Versetzen (oder Verschieben) des Nullpunkts einsetzen.


Iteriere einmal

Wenn Sie das Kontrollkästchen Iteriere einmal aktivieren, geschieht folgendes:

  • PC-DMIS misst alle Eingabeelemente mindestens einmal im CNC-Modus neu.

  • Die Reihenfolge, in der sie gemessen werden, wird durch den Befehl für eine iterative Ausrichtung im Bearbeitungsfenster festgelegt.

  • In einem Meldungsfeld wird angegeben, welches Element jeweils gemessen wird.

  • Bevor Sie die Bewegung akzeptieren, vergewissern Sie sich, dass der Taster das (die) angegebene(n) Element(e) erreichen kann, ohne mit dem Werkstück zu kollidieren.

  • Vor oder nach den einzelnen Elementen gefundene gespeicherte Bewegungen werden nicht ausgeführt.

  • Nachdem alle Elemente mindestens einmal gemessen wurden, wird die Neumessung der Elemente bei gemessenen Punkttypen von Elementen sowie bei Punkten fortgesetzt, die den angepeilten Punkte-Zielradius (siehe "Punkte-Zielradius") verfehlt haben.

Hinweis: Kreise werden in diesem Modus nicht mehr als einmal gemessen, da sich ihre Lage nie ändert.


Iteriere bis Abbruch

Wenn Sie das Kontrollkästchen Iteriere bis Abbruch aktivieren, führt PC-DMIS einen Teil des aktuellen Werkstückprogramms mindestens einmal erneut im CNC-Modus aus. Welcher Teil erneut ausgeführt wird, wird durch die Startmarke (siehe "Startmarke") festgelegt.

Wenn Sie eine Startmarke angeben,

  • führt PC-DMIS den Programmabschnitt ab der festgelegten Sprungmarke bis hin zu dem AUSRICHTUNG/ANFANG-Befehl erneut aus, der den derzeitigen Ausführungsbefehl für eine iterative Ausrichtung enthält.

Wenn Sie keine Startmarke angeben,

  • beginnt PC-DMIS mit der erneuten Ausführung bei dem ersten gemessenen Element im Programm, von dem der Befehl für eine iterative Ausrichtung Gebrauch macht.

  • Sind im ersten Element voranliegende Bewegungspunkte gespeichert, dann werden diese ebenfalls ausgeführt.

  • Die erneute Ausführung wird bis zu dem zuletzt gemessenen Element, von dem der Befehl für eine iterative Ausrichtung Gebrauch macht, fortgesetzt.

  • Alle hinter diesem Befehl liegenden gespeicherten Bewegungen werden nicht ausgeführt.

Nach Beendigung der erneuten Ausführung berechnet PC-DMIS die Ausrichtung neu und testet, ob alle gemessenen Eingabepunkte innerhalb des unter Punkte Zielradius angegebenen Toleranzradius liegen.

  • Liegen sie alle innerhalb des Zielbereichs, muss die erneute Ausführung nicht fortgesetzt werden. PC-DMIS sieht den Befehl für eine iterative Ausrichtung als vollständig an.

  • Verfehlen irgendwelche Punkte den Zielbereich, dann wird derselbe Programmabschnitt wie oben beschrieben erneut ausgeführt.


Punkte Zielradius

Im Feld Punkte Zielradius können Sie die Zielradius-Toleranz für gemessene Punktelemente angeben, die als Eingaben bei der Ausrichtung dienen. Gemessene Eingabepunkte beinhalten:

  • MESS/PUNKT

  • AUTO/VEKTOR

  • AUTO/KANTE

  • AUTO/OBERFLÄCHE

  • AUTO/WINKEL

Während sich die zum Messen eines Kreises auf einem Werkstück gemessene Stelle leicht bestimmen lässt, ist es wesentlich schwieriger, die genaue Stelle zum Messen eines Punktes auf der Oberfläche zu finden. Wenn der zu messende Punkt nicht visuell ausgewiesen ist, ist es schwierig, den Punkt an der richtigen Stelle manuell zu messen. Mit dem Punkte Zielradius ist es möglich, einen imaginären Toleranzbereich (oder Zielbereich) in der Größe eines bestimmten Radius um jeden Punkt anzugeben. Auf diese Weise ist eine Berührung an jeder beliebigen Stelle innerhalb des angegebenen Toleranzbereichs gültig. Wurde der Messpunkt nicht innerhalb dieses Bereichs aufgenommen, misst PC-DMIS den Punkt erneut im CNC-Modus.

PC-DMIS versucht, die Eingabeelemente basierend auf den im Dialogfeld Iterative Ausrichtung markierten Kontrollkästchen neu zu messen (siehe "Iteriere einmal" und "Iteriere bis Abbruch" ).

Wenn Sie das Kontrollkästchen Iteriere bis Abbruch oder Iteriere einmal nicht markieren (oder manuell im Bearbeitungsfenster MESSE ALLE ELEM=NEIN festlegen):

  • passt PC-DMIS die Bezugselemente ein und überprüft, ob irgendwelche der gemessenen Eingabepunkte ihr Ziel verfehlt haben. Wenn dies der Fall ist, werden nur diese Elemente erneut im CNC-Modus gemessen.

  • PC-DMIS zeigt in einem Dialogfeld das zu messende Element an. Auf diese Weise können Sie sich zuvor vergewissern, dass der Taster das angegebene Element erreichen kann, ohne mit dem Werkstück zu kollidieren.

  • Wenn alle Punktelemente im Zielbereich liegen, sieht PC-DMIS den Befehl für eine iterative Ausrichtung als abgeschlossen an.

  • Sind gemessene Punktelemente vorhanden, die ihren Zielbereich verfehlt haben, misst PC-DMIS sie so lange neu, bis sie in den Zielbereich fallen.

Hinweis: Es ist wichtig, für den Punkte Zielradius keinen zu kleinen Vektorwert festzulegen (z.B. 50 Mikron). Viele KMGs sind nicht in der Lage, den Taster so genau zu positionieren, dass jeder Messpunkt in einem winzigen Zielbereich berührt wird. Ein Toleranzwert von etwa 0,5 mm wäre die bessere Wahl. Nimmt die Neubemessung kein Ende, sollten Sie diesen Wert erhöhen.


Vorrichtungs-Toleranz

Über das Feld Vorrichtungs-Toleranz können Sie einen Einpassungstoleranzwert eingeben, den PC-DMIS zum Vergleich der Elementkomponenten der iterativen Ausrichtung mit den theoretischen Werten heranzieht.

Weisen ein oder mehrere Eingabeelemente nach Einpassung der gemessenen Werte in die theoretischen Werte eine fehlerhafte Abweichung entlang ihrer zugewiesenen Bezugselement-Achse auf, die diesen Toleranzwert überschreitet, geht PC-DMIS automatisch zur Fehlersprungmarke (sofern eine vorhanden ist). Siehe "Fehlersprungmarke".

Wenn Sie keine Fehlersprungmarke angeben, zeigt PC-DMIS die Fehler entlang der einzelnen Bezugselemente in einer Fehlermeldung an. Sie können dann entscheiden, die Abweichungen des Bezugselements zu akzeptieren und das restliche Werkstückprogramm fortzusetzen oder die Ausführung des Werkstückprogramms abzubrechen.

PC-DMIS kann den Toleranzwert für die Spannvorrichtung nur dann zugrundelegen, wenn Sie zur Erstellung des Elements mehr Punkte als die erforderliche Mindestanzahl verwendet haben. Wenn Sie beispielsweise eine Ebene messen, wird hierfür in der Regel eine Mindestanzahl von drei Punkten benötigt. Wenn allerdings der Toleranzwert für die Spannvorrichtung zugrundegelegt werden soll, müssen mindestens vier Punkte gemessen werden. Werden nur drei Punkte verwendet, steht nur eine Lösung zur Auswahl und PC-DMIS kann keine Anpassung vornehmen oder erneut iterieren.


Iteriere max. bis

Hiermit wird die Höchstzahl an Wiederholungen festgelegt, die PC-DMIS bei der Erstellung der iterativen Ausrichtung durchführt.


Startsprungmarke

In dem Feld Startmarke können Sie eine Sprungmarke festlegen, zu der PC-DMIS bei der erneuten Messung von Elementen für eine iterative Ausrichtung geht, sofern das Kontrollkästchen Iteriere bis Abbruch aktiviert ist.

  • Die erneute Messung wird im CNC-Modus ab der festgelegten Sprungmarke durchgeführt und endet bei dem Befehl AUSRICHTUNG/ANFANG (der dem Befehl AUSRICHTUNG/WIEDERH vorausgeht). Dies ist die von PC-DMIS erwartete Funktionsweise dieses Befehls.

Wenn Sie keine Startmarke festlegen,

  • geht PC-DMIS zum ersten Element der iterativen Ausrichtung und beginnt dort mit der CNC-Messung (hierbei werden alle diesem Element direkt vorausgehenden Bewegungen mitberücksichtigt).

  • Die Befehle des Werkstückprogramms werden der Reihe nach erneut ausgeführt, bis das letzte Element der iterativen Ausrichtung erreicht ist. Alle hinter diesem Endelement liegenden Bewegungen werden nicht ausgeführt.

Informationen zum Erstellen einer Sprungmarke finden Sie unter "Erstellen von Sprungmarken" im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Fehlersprungmarke

Im Feld Fehlersprungmarke können Sie eine Sprungmarke festlegen, zu der PC-DMIS geht, wenn die fehlerhafte Abweichung entlang des Bezugselements der einzelnen Eingabeelemente den im Feld Vorrichtungs-Toleranz festgelegten Toleranzwert für die Spannvorrichtung überschreitet.

Hinweis: Wenn Sie die Mindestzahl von Eingaben für jede der Bezugselement-Achsen angeben, (drei für das Bezugselement Raum, zwei für das Bezugselement Drehen und eine für das Bezugselement Nullpunkt ), kann PC-DMIS den Messwert des Eingabeelements fehlerlos in dessen theoretische Werte einpassen. In diesem Fall ist für PC-DMIS die Vorrichtungs-Toleranz nicht wirklich erforderlich. Wenn Sie für eines der festgelegten Bezugselemente mehr als die Mindestzahl von Eingaben angeben, können Werkstück- oder Spannsystemfehler verhindern, dass die Messwerte mit einem geringeren Fehlerwert als die angegebene Vorrichtungs-Toleranz in die theoretischen Werte eingepasst werden.

Wenn Sie keine Fehlermarke festlegen, zeigt PC-DMIS eine Fehlermeldung mit der fehlerhaften Abweichung der einzelnen Bezugselemente an. Sie können die Ausführung mit den abweichenden Bezugselementen fortsetzen oder sie ganz abbrechen.

Informationen zum Erstellen einer Sprungmarke finden Sie unter "Erstellen von Sprungmarken" im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Speichern einer Ausrichtung

Ausrichtung speichern (Dialogfeld)

Die Menüoption Einfügen | Ausrichtung | Speichern speichert die aktuelle Ausrichtung in einer externen Datei, die dann von einem anderen Werkstückprogramm aufgerufen werden kann. In den hier angeführten Themen wird das Dialogfeld Ausrichtung speichern beschrieben. Außerdem erfahren Sie, wie eine Ausrichtung gespeichert wird, um sie später in anderen Werkstückprogrammen zu verwenden.

Siehe auch:

So speichern Sie eine Ausrichtung

Beschreibung zum Dialogfeld "Ausrichtung speichern"


So speichern Sie eine Ausrichtung

Beachten Sie, dass Sie (bei Anwendung des folgenden Verfahrens) nur dann eine Ausrichtung speichern müssen, wenn diese in einem anderen Werkstückprogramm aufgerufen werden soll. Alle Ausrichtungen werden bei Verwendung in einem Werkstückprogramm automatisch gespeichert.

So speichern Sie eine Ausrichtung:

  1. Wählen Sie in der Menüleiste Einfügen | Ausrichtung | Speichern. Das Dialogfeld Ausrichtung speichern wird angezeigt. Menü-Übersicht anzeigen

  2. Geben Sie im Feld Dateiname einen Namen für die Ausrichtung ein (maximal zehn Zeichen).

  3. Je nachdem, ob die Ausrichtung in Zoll oder Millimeter gespeichert werden soll, klicken Sie entweder auf die Option Zoll oder Millimeter. Bei der Standardmaßeinheit jeder Ausrichtung handelt es sich um die gleiche Maßeinheit, die vom Programm verwendet wird, für das die Ausrichtung erstellt wurde. Wenn Sie eine Ausrichtung in einem anderen Werkstückprogramm verwenden möchten, müssen Sie die Maßeinheiten der Ausrichtung nicht in den Maßeinheiten des neuen Werkstückprogramms speichern. Die Ausrichtung wird automatisch in die Maßeinheiten des neuen Werkstückprogramms konvertiert (siehe auch "Aufrufen").

  4. Klicken Sie auf OK.

Wird kein Name für die Ausrichtungs-ID eingegeben, wird PC-DMIS den Dateinamen automatisch zu externen Speicherzwecken kopieren. Die Ausrichtung kann in jedem beliebigen Verzeichnis gespeichert werden. Damit die Ausrichtung jedoch auf dem Bildschirm angezeigt werden kann, muss sie im gleichen Verzeichnis wie das Werkstückprogramm gespeichert werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
SPEICHERN /AUSRICHTUNG,Ausrichtungsname,Dateiname, TOG1

TOG1
Dieses Feld kann zwischen BEIDE und MASCHINE_IN_WERKST umgeschaltet werden. Wählen Sie BEIDE, um die Umwandlungsmatrizen von Maschinen- und CAD-in-Werkstückdaten zu speichern. Wählen Sie MASCHINE_IN_WERKST, wenn nur die Umwandlung der Maschinendaten in Werkstückdaten gespeichert werden soll.


Bearbeiten des Befehls SPEICHERN/AUSRICHTUNG

Sie haben die Möglichkeit, die Befehlszeile mit einem weiteren Dialogfeld Ausrichtung speichern zu bearbeiten, indem Sie die Maus auf dem Befehl SPEICHERN/AUSRICHTUNG platzieren und die F9-Taste betätigen.

Ausrichtung speichern (Dialogfeld)

In diesem Dialogfeld Ausrichtung speichern können Sie neue Dateinamen für die gespeicherte Ausrichtung erstellen. Wählen Sie die Ausrichtung einfach aus der Liste aus, ändern Sie den Dateinamen im Feld Dateiname und klicken Sie auf OK. PC-DMIS erstellt auf Basis des alten Dateinamen einen neuen Dateinamen. Die Änderung erfolgt ebenfalls am Befehl SPEICHERN/AUSRICHTUNG im Bearbeitungsfenster.

In diesem Dialogfeld können die Kontrollkästchen Hauptverzeichnis zeigen und Arbeitsverzeichnis zeigen nicht aktiviert werden. Sie geben lediglich die Einstellungen im Dialogfeld Suchpfad zum Laden von Ausrichtungen wieder. Sie können diese Kontrollkästchen ändern, indem Sie die Anweisungen unter "Angeben externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen" befolgen.

Ist das Kontrollkästchen Arbeitsverzeichnis zeigen aktiviert, werden alle .aln-Dateien des Arbeitsverzeichnisses folgendermaßen in der Ausrichtungsliste angezeigt:

ARBEITSVERZEICHNIS\dateiname1.aln

ARBEITSVERZEICHNIS\dateiname2.aln

ARBEITSVERZEICHNIS\dateiname3.aln

Ist das Kontrollkästchen Hauptverzeichnis zeigen aktiviert, werden alle .aln-Dateien des Stammverzeichnisses folgendermaßen in der Ausrichtungsliste angezeigt:

STAMMVERZEICHNIS\dateiname1.aln

STAMMVERZEICHNIS\dateiname2.aln

STAMMVERZEICHNIS\dateiname3.aln


Beschreibung zum Dialogfeld "Ausrichtung speichern"

Nachfolgend werden die einzelnen Bestandteile des Dialogfelds Ausrichtung speichern beschrieben.

Siehe auch:

Dateiname

Verzeichnisse

Dateitypen auflisten

Laufwerke

Name der Ausrichtung

Einheiten


Dateiname

Im Feld Dateiname können Sie die Datei der zu speichernden Ausrichtung benennen.


Verzeichnisse

Über die Verzeichnisstruktur können Sie das Verzeichnis ansteuern, in dem Sie die Ausrichtung speichern möchten.


Dateitypen auflisten

In der Auswahlliste Dateityp werden alle im aktuellen Verzeichnis enthaltenen Dateien unter Berücksichtigung eines bestimmten Dateityps angezeigt. Der Standarddateityp lautet *.aln. Das bedeutet, dass nur die Dateien mit der Ausrichtungserweiterung (*.aln) im Fenster angezeigt werden.


Laufwerke

In der Auswahlliste Laufwerke können Sie festlegen, auf welcher Festplatte bzw. welchem Laufwerk die Ausrichtung gespeichert werden soll.


Name der Ausrichtung

Das Feld Ausrichtung zeigt die Ausrichtungs-ID der zu speichernden Ausrichtung an.

Wird keine Ausrichtungs-ID eingegeben, fertigt PC-DMIS zu externen Speicherzwecken automatisch ein Duplikat des Dateinamens an. Die Ausrichtungs-ID kann in jedem beliebigen Verzeichnis gespeichert werden. Damit die Ausrichtung jedoch auf dem Bildschirm angezeigt werden kann, muss sie im gleichen Verzeichnis wie das Werkstückprogramm gespeichert werden.

Verwenden Sie diese Option nur, wenn die Ausrichtung in einem anderen Werkstückprogramm aufgerufen werden soll. Alle Ausrichtungen werden bei Verwendung in einem Werkstückprogramm automatisch gespeichert.


Einheiten

Mit den Optionen Zoll und Millimeter im Bereich Einheiten können Sie bestimmen, in welcher Maßeinheit die Ausrichtung gespeichert wird: Zoll oder Millimeter.


Aufrufen einer vorhandenen Ausrichtung

Der Ausrichtungsblock ist der Textblock im Bearbeitungsfenster, mit dem die Ausrichtung festgelegt wird. Er beginnt mit dem Befehl AUSRICHTUNG/ANFANG und endet mit dem Befehl AUSRICHTUNG/ENDE.

Mit der Menüoption Einfügen | Ausrichtung | Aufrufen können Sie eine Ausrichtung, die zuvor im aktuellen Programm (interne Ausrichtung) erstellt oder von einem anderen Werkstückprogramm (externe Ausrichtung) gespeichert wurde, aufrufen.

Dieser Befehl kann nur außerhalb von einem Ausrichtungsblock eingefügt werden.

Hinweis: Auch mit der Schaltfläche Aufrufen des Dialogfelds Ausrichtungen können Sie eine vorhandene Ausrichtung aufrufen. Es können aber nur Ausrichtungen aufgerufen werden, die zuvor in diesem Werkstückprogramm (interne Ausrichtungen) erstellt wurden.

Eine Ausrichtung muss zuerst mit der Menüoption Einfügen | Ausrichtung | Speichern gespeichert werden, bevor sie in einem anderen Werkstückprogramm aufgerufen werden kann. Siehe auch "Speichern einer Ausrichtung". Menü-Übersicht anzeigen

Wurde die aufgerufene Ausrichtung mit anderen Maßeinheiten als im aktuellen Werkstückprogramm gespeichert, werden die Ausrichtungseinheiten automatisch in die Maßeinheiten des aktuellen Werkstückprogramms konvertiert.

Siehe auch:

So rufen Sie eine Ausrichtung auf


So rufen Sie eine Ausrichtung auf

So rufen Sie eine Ausrichtung auf:

  1. Klicken Sie auf die Menüoption Einfügen | Ausrichtung | Aufrufen (oder öffnen Sie das Dialogfeld Ausrichtungen und klicken Sie auf Aufrufen). Das Auswahlfeld Wählt die Ausrichtung aus wird angezeigt. Menü-Übersicht anzeigen

  2. Geben Sie die maximal 15 Zeichen lange, gespeicherte Ausrichtungs-ID ein, oder wählen Sie die gewünschte Ausrichtung aus der Dropdown-Liste aus.

  3. Klicken Sie auf OK. PC-DMIS fügt den Befehl AUFRUFEN/AUSRICHTUNG in das Bearbeitungsfenster ein.

Siehe auch:

Befehlszeilenformat für das Aufrufen von Ausrichtungen


Befehlszeilenformat für das Aufrufen von Ausrichtungen

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

AUFRUFEN/AUSRICHTUNG, INTERN, 'Ausrichtungs_ID'

AUFRUFEN/AUSRICHTUNG, EXTERN, 'Ausrichtungs_ID',

DATEINAME:'Ausrichtungs_ID'

Code zum Aufrufen einer internen Ausrichtung…

AUFRUFEN/AUSRICHTUNG, INTERN, 'Ausrichtungs_ID'

Ausrichtungs-ID
Hierbei handelt es sich um die interne Ausrichtung, die von innerhalb des aktuellen Werkstückprogramms aufgerufen wird. Damit alle anderen Ausrichtungsbefehle funktionieren können, muss PC-DMIS zuerst die angegebene Ausrichtungs-ID mit AUFRUFEN aufrufen. Für diesen Befehl werden weder die Befehle AUSRICHTUNG/ANFANG noch AUSRICHTUNG/ENDE im Bearbeitungsfenster benötigt.

Code zum Aufrufen einer externen Ausrichtung…

AUFRUFEN/AUSRICHTUNG, EXTERN, 'Ausrichtungs_ID',DATEINAME: 'Ausrichtungs_ID'

Ausrichtungs-ID
Hierbei handelt es sich um die externe Ausrichtung, die von einem anderen als dem aktuellen Werkstückprogramm aufgerufen wird. Damit alle anderen Ausrichtungsbefehle funktionieren können, muss PC-DMIS zuerst die angegebene Ausrichtungs-ID mit AUFRUFEN aufrufen. Für diesen Befehl werden weder die Befehle AUSRICHTUNG/ANFANG noch AUSRICHTUNG/ENDE im Bearbeitungsfenster benötigt.

DATEINAME:
Hierbei handelt es sich um den Dateinamen mit der Erweiterung .aln für die gespeicherte externe Ausrichtung.


Arbeiten mit einer Ausrichtung in Schleifen

In der Version PC-DMIS 3.6 und höher wird das Ändern von Ausrichtungen innerhalb eines Werkstückprogramms, das Schleifen oder bedingte Verzweigungen verwendet, durch die Eingabe des Kennworts AKTUELLE_AUSRICHTUNG vereinfacht.

Mit einem Blick auf die Befehlszeile AUSRICHTUNG/ANFANG werden Sie feststellen, dass das Programm durch das direkt auf den Text AUFRUFEN: folgende Feld angewiesen wird, zuerst eine gespeicherte Anfangsausrichtung zu verwenden. Im folgenden Beispiel beginnt die Ausrichtung D_1 mit der Ausrichtung ab D_0 und vollführt dann eine 45-Grad-Drehung um ZPLUS.

D_1 =AUSRICHTUNG/ANFANG,AUFRUFEN:D_0, LISTE= JA
AUSRICHTUNG/DREH_VERSATZ,45,0,DREHEN UM,ZPLUS
AUSRICHTUNG/ENDE

Wird allerdings das Kennwort AKTUELLE_AUSRICHTUNG verwendet, können Sie veranlassen, dass PC-DMIS eine 45-Grad-Drehung von der aktuellen Ausrichtung aus vollführt:

D_1 =AUSRICHTUNG/ANFANG,AUFRUFEN:AKTUELLE_AUSRICHTUNG, LISTE= JA
AUSRICHTUNG/DREH_VERSATZ,45,0,DREHEN UM,ZPLUS
AUSRICHTUNG/ENDE

Wenn Sie dieses Kennwort für eine Ausrichtung in einer Schleife verwenden,

  • wird die aktive Ausrichtung beim ersten Durchgang durch die Schleife die letzte ausgeführte Ausrichtung vor der Schleife sein.

  • Bei weiteren Durchgängen bleibt die aktive Ausrichtung, wie sie ist, und vollführt eine weitere 45-Grad-Drehung gegenüber dem ersten Durchgang durch die Schleife.

Wenn Sie das Kennwort AKTUELLE_AUSRICHTUNG verwenden, sollten Sie in jedem Fall die Auswahl des Kontrollkästchens Globale Einstellungen beim Verzweigen zurücksetzen aufheben, und das Kontrollkästchen Nennwerte in WS-Koordinaten speichern des Dialogfelds Setup-Optionen, auf der Registerkarte Allgemein markieren. Menü-Übersicht anzeigen
Vollständige Informationen zum Bearbeiten der Einstellungen finden Sie im Abschnitt "Voreinstellungen".

Weitere Informationen zu Schleifen finden Sie unter "Erstellen allgemeiner Schleifen" unter " Verzweigen mit Hilfe der Programmablaufsteuerung".


Angleichen einer Ausrichtung

Ausrichtung angleichen (Dialogfeld)

Die Option Einfügen | Ausrichtung | Angleichen gleicht zwei Ausrichtungen an. Diese Option ermöglicht Folgendes:

  • Ändern der Position oder Ausrichtung eines Werkstücks, wobei jedoch die vorherigen Merkmalsdaten beibehalten werden.

  • Neuausrichten des Werkstücks und Speichern der zuvor gemessenen Daten, wenn das Werkstück während des Prüfverfahrens versehentlich angestoßen oder verschoben wurde.

Hinweis: Damit die Funktion "Ausrichtung angleichen" ordnungsgemäß funktioniert, müssen die Elemente, auf die in der neuen Ausrichtung hingewiesen wird, nach dem Bewegen des Werkstücks gemessen werden. Zusätzlich sollten Sie auf alle Elemente für die neue Ausrichtung in einem einzigen Ausrichtungsblock hinweisen.

Siehe auch:

So ändern Sie eine Werkstückposition und -ausrichtung

Beschreibung zum Dialogfeld "Ausrichtung angleichen"


So ändern Sie eine Werkstückposition und -ausrichtung

Gehen Sie beispielsweise wie folgt vor, um ein Merkmal zu messen, das auf Elemente an zwei Seiten des Werkstücks verweist, die von einer einzelnen Werkstückausrichtung aus nicht zugänglich sind:

  1. Messen Sie die Ausrichtungselemente auf der ersten Seite des Werkstücks.

  2. Erstellen Sie die ursprüngliche Ausrichtung.

  3. Messen Sie alle erforderlichen Elemente, die von der ersten Ausrichtung des Werkstücks erreichbar sind.

  4. Verschieben Sie das Werkstück an seine neue Position.

  5. Messen Sie die neuen Ausrichtungselemente. Die anzugleichenden Ausrichtungen müssen denselben Nullpunkt und die gleiche Achsenrichtung aufweisen. Dies ist am einfachsten verständlich, wenn Sie sich vorstellen, dass die Pfeile des ursprünglichen Nullpunkts und der ursprünglichen Achse vor dem Verschieben auf das Werkstück aufgeklebt wurden. Die neue Ausrichtung platziert die Pfeile des Nullpunkts und der Achsen mit Bezug auf das Werkstück in die gleiche Position.

  6. Wählen Sie die Menüoption Einfügen | Ausrichtung | Angleichen. Das Dialogfeld Ausrichtung angleichen wird angezeigt. Menü-Übersicht anzeigen

  7. Wählen Sie die ursprüngliche Ausrichtung in der Liste Originalausrichtung angleichen aus.

  8. Wählen Sie die neue Ausrichtung in der Liste An neue Ausrichtung aus.

  9. Klicken Sie auf OK. Das CAD-Modell wird sich nicht relativ zu den Ausrichtungsachsen bewegen, wohingegen die gemessenen Werte verschoben werden, sobald PC-DMIS die Angleichung der Ausrichtung durchführt.


So führen Sie eine Wiederherstellung nach einem versehentlichen Verschieben eines Werkstücks durch

Wenn ein Werkstück versehentlich verschoben wurde, gehen Sie wie folgt vor:

  1. Wählen Sie die Menüoption Einfügen | Ausrichtung | Angleichen. Menü-Übersicht anzeigen

  2. Geben Sie die ID der neu zu messenden Ausrichtung als die erste und zweite Ausrichtungs-ID ein.

  3. Messen Sie die Ausrichtungselemente erneut. Nach abgeschlossener Messung werden alle Merkmals- und Elementsinformationen auf die neue Position des Werkstücks übertragen. Das CAD-Modell wird sich nicht relativ zu den Ausrichtungsachsen bewegen, wohingegen die gemessenen Werte verschoben werden, sobald PC-DMIS die Angleichung der Ausrichtung durchführt.

Wird dieser Befehl zur Gleichsetzung derselben Ausrichtung in einem Werkstückprogramm verwendet, zeigt PC-DMIS die Befehlszeile im Bearbeitungsfenster nicht an.

Im Bearbeitungsfenster erscheint nur dann eine Befehlszeile, wenn zwei verschiedene Ausrichtungen gewählt werden. Eine externe Ausrichtung kann verwendet werden, solange sie sich von der gleichgesetzten Ausrichtung unterscheidet. Die externe Ausrichtung muss mit dem Befehl AUFRUFEN/AUSRICHTUNG, EXTERN aufgerufen werden, bevor sie angezeigt wird.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
ANGLEICHEN/"Name"ZU AUSRICHTUNG,"Ausrichtungsname"


Beschreibung zum Dialogfeld "Ausrichtung angleichen"

Nachfolgend werden die einzelnen Einträge des Dialogfelds Ausrichtung angleichen beschrieben.

Siehe auch:

Ursprüngliche Ausrichtung angleichen

An Ausrichtung angleichen


Ursprüngliche Ausrichtung angleichen

In der Auswahlliste Ausrichtung angleichen können Sie die anzugleichende Ausrichtung auswählen. Hierbei handelt es sich um eine vorher erstellte Ausrichtung, die Sie an eine vorhandene, neue Ausrichtung angleichen.


An neue Ausrichtung

In der Auswahlliste An neue Ausrichtung können Sie die Ausrichtung auswählen, an die angeglichen wird. Hierbei handelt es sich um eine soeben erstellte Ausrichtung, an die Sie eine frühere Ausrichtung angleichen.


Angleichen von CAD an gemessene Werkstückdaten

Mit der Menüoption Vorgang | Grafikfenster | CAD gleich Werkstück (oder der Schaltfläche CAD = Werkstück im Dialogfeld Ausrichtungen) können Sie CAD-Daten mit gemessenen Daten verbinden. Diese Option steht erst zur Auswahl, nachdem eine erstellte Ausrichtung den Nullpunkt/die Ausrichtung des Werkstücks an der gleichen Stelle wie den Nullpunkt/die Ausrichtung des CAD positioniert hat. PC-DMIS stellt die Option CAD GLEICH WERKSTÜCK in zwei Bereichen innerhalb der Option Ausrichtung zur Auswahl (siehe auch "CAD gleich Werkstück"). Bei Auswahl dieser Option zeigt PC-DMIS die Messdaten über den CAD-Daten an. Die CAD-Daten werden damit zur Prüfung des Werkstücks eingesetzt.

Wurde die Option CAD gleich Werkstück in einem Werkstückprogramm verwendet, ist das Menüelement CAD gleich Werkstück markiert.


Durchführen einer KMG-Verschiebung

Dialogfeld "LeapFrog / Verlagerung"

Dialogfeld "LeapFrog / Verlagerung"

Die Option "KMG-Verschiebung" ist für einige transportable Geräte verfügbar. Dazu gehören derzeitig FARO, ROMER, Garda und GOM. Um die transportablen Geräte zu unterstützen, muss auch Ihr Hardware-Schlüssel (Anschlusssperre) programmiert sein.

Die Menüoption Einfügen | Ausrichtung | Messgerät versetzen zeigt das Dialogfeld LeapFrog / Verlagerung an.

Mit Hilfe dieses Dialogfelds können Sie Ihr transportables KMG verschieben und somit Werkstücke messen, die zu groß für das KMG sind. Bevor Sie dieses Verfahren anwenden, sollten Sie sich der beschränkten Genauigkeit der Maschine bewusst sein.

Die KMG-Verschiebung besteht im Grunde in der Messung einer Reihe von Elementen und – nach Verschiebung der Maschine – in einer erneuten Messung derselben Elemente in derselben Reihenfolge. Dies hat eine Umgestaltung zur Folge, und die Maschine verhält sich dabei, als ob es sich beim Koordinatensystem um dasselbe wie vor der Verschiebung handelt.

Die Umgestaltung erfolgt unabhängig von allen Werkstückprogrammen und wirkt sich auf die Art der Berichterstattung des KMG an PC-DMIS aus. Eine zuvor verwendete KMG-Verschiebung können Sie mit der Schaltfläche Rücksetzen im Dialogfeld entfernen.

Der Befehl zur KMG-Verschiebung wird durch Anklicken der Schaltfläche Akzeptieren in das Bearbeitungsfenster eingegeben.

Die Befehlszeile im Bearbeitungsfenster lautet:
KMG_VERSCHIEBUNG/TOG1, NUM, TOG2

TOG1 Der erste Parameter des KMG-Verschiebungsbefehls ist ein Umschaltfeld für die drei Typen, die im Bereich Messung 3 des Dialogfeldes verfügbar sind. Dazu gehören:

  1. KUGELN

  2. Punktgruppen (werden im Befehl als PKTGRUPPEN angegeben)

  3. PUNKTE

  4. BEZÜGE

Für diesen Parameter gibt es auch den Wert AUS, der bewirkt, dass die anderen beiden Parameter nicht angezeigt werden. Durch den Wert AUS wird die KMG-Verschiebung deaktiviert.

NUM: Dieser zweite Parameter im KMG-Verschiebungsbefehl gibt die Anzahl der aufzunehmenden Messpunkte an. Er entspricht dem Feld Anzahl der Messpunkte des Dialogfelds KMG-Versetzen.

TOG2: Dieser letzte Parameter des KMG-Verschiebungsbefehls ist ein Umschaltfeld, über das zwischen einer VOLLSTÄNDIGEN oder PARTIELLEN KMG-Verschiebung umgeschaltet werden kann. Dieser Parameter entspricht den Optionen Vollständig und Teilweise im Dialogfeld. Wenn dieser Befehl ausgeführt wird, werden Sie zur Aufnahme der Messpunkte aufgefordert. Die KMG-Verschiebung wird dann nach Aufnahme aller Messpunkte wirksam.

Siehe auch:

Mess-Optionen

Anzahl der Messpunkte

Bezug Programmdatei

Listen "Verfügbar" und "Verwendet"

Markierte messen

Alle messen

Bereich "Ergebnisse"

Rücksetzen

OK


Mess-Optionen

Über die verfügbaren Schaltflächen zu den Mess-Optionen haben Sie die Möglichkeit, zu bestimmen, welche Methode PC-DMIS zum Vorgang 'Vergleichen der Verschiebung' anwendet.

  • Über die Option 3 Kugeln messen wird PC-DMIS angewiesen, Kugeln als Elemente zum Vergleichen der Verschiebung zu verwenden. Bei dieser Methode wird der Mittelpunkt jeder gemessenen Kugel verwendet.

  • Die Option 3 Punktgruppen messen bewirkt, dass PC-DMIS den Flächenmittelpunkt einer Punktgruppe verwendet. Es empfiehlt sich, die Unterseite eines umgekehrten Kegels mit einem starren Taster zu verwenden. Diese Methode ist etwas genauer als die Methode mit Kugeln und viel schneller für den Bediener.

  • Über die Option 3 Punkte messen wird PC-DMIS angewiesen, lediglich drei Punkte zu verwenden. Dies ist die ungenaueste der drei Methoden.

  • Über die Option Bezüge messen wird PC-DMIS angewiesen, vorhandene Bezugselemente eines beliebigen Werkstückprogramms zu verwenden.


Anzahl der Messpunkte

Im Feld Anzahl der Messpunkte können Sie die für jedes Element zu verwendende Anzahl von Messpunkten angeben. Dies wird bei der Punktmethode natürlich nicht verwendet.


Bezug Programmdatei

In diesem Bereich können Sie festlegen, welche Programmdatei Sie als Bezug Programmdatei verwenden möchten. Dieses Feld wird durch Klicken auf die Optionsschaltfläche Bezugselemente messen aktiviert. Sie können den vollständigen Pfad in die Werkstück-Programmdatei (.PRG) eingeben oder mit der Schaltfläche Suchen die Verzeichnisstruktur durchsehen, um einen geeigneten Pfad auf diese Weise auszuwählen.

Nachdem eine Datei ausgewählt ist, erscheinen die für den Vorgang "KMG-Verschiebung" zur Verfügung stehenden Elemente in der Liste Verfügbar.


Listen "Verfügbar" und "Verwendet"

Listen "Verfügbar" und "Verwendet"

Listen "Verfügbar" und "Verwendet"

Die Listen Verfügbar und Verwendet zeigen Bezugselemente an, die zur Verwendung zur Verfügung stehen oder die Sie zur Verwendung bei der KMG-Versetzung ausgewählt haben.

Liste "Verfügbar"

Wenn Sie eine Programmdatei auswählen, um sie im Bereich Bezug Programmdatei zu verwenden, erscheinen die verfügbaren Elemente aus dieser Programmdatei in der Liste Verfügbar. Sie können der aktuellen KMG-Versetzung dann Elemente zuordnen, indem sie sie zuerst auswählen und dann auf die Schaltfläche >>> klicken.

Liste "Verwendet"

Zugeordnete Elemente, die in der Liste Verwendet erscheinen, werden durch Klicken auf die Schaltfläche Markierte messen oder Alle messen in der Reihenfolge gemessen, wie sie in der Liste Verwendet aufgeführt sind. Diese können durch Klicken auf die Schaltfläche <<< aus der Liste Verwendet entfernt werden. Sie können die Reihenfolge der Ausführung eines Elements ändern, indem Sie durch Klicken auf die NACH-OBEN- bzw. NACH-UNTEN-TASTE ein Element auswählen.


Markierte messen

Die Schaltfläche Markierte Messen funktioniert nur bei der Verwendung von Bezugselementen. Auf diese Weise ist es möglich, alle ausgewählten Elemente aus der Liste Verwendet zu messen. PC-DMIS wird diese Elemente bei der KMG-Verschiebung verwenden. Wenn Sie auf diese Schaltfläche klicken, zeigt PC-DMIS das Dialogfeld Ausführungsoptionen an und fordert Sie auf, die ausgewählten Elemente erst nachdem Sie das KMG versetzt haben, zu messen, und nicht davor.

Das Ergebnisfeld zeigt dann den vor und nach der Verschiebung des KMGs erfassten 3D-Abstand zwischen den Elementen an. Wenn die Ergebnisse nicht zufriedenstellend sind, können Sie die letzten drei Elemente noch einmal messen, denn die Schaltfläche trägt jetzt die Bezeichnung: Neu messen.

Hinweis: Sind die Ergebnisse auch nach erneuter Messung nicht zufriedenstellend, so müssen Sie die KMG-Verschiebung rücksetzen und von vorne beginnen. Dies stellt bei allen Systemen mit KMG-Verschiebung ein Problem dar, dessen Sie sich bewusst sein sollten.


Alle messen

Über die Schaltfläche Alle messen wird das Dialogfeld Ausführungsoptionen geöffnet.

  • Wenn Sie entweder die Option 3 Kugeln messen, 3 Punktgruppen messen oder 3 Punkte messen verwenden, werden Sie durch dieses Dialogfeld zurerst aufgefordert, die drei Elemente zu messen. Danach werden Sie aufgefordert, das KMG zu verschieben. Nach der KMG-Verschiebung werden Sie aufgefordert, dieselben Elemente in derselben Reihenfolge noch einmal zu messen.

  • Wenn Sie die Option Bezüge messen verwenden, werden Sie durch dieses Dialogfeld zuerst aufgefordert, alle Bezugselemente der Liste Verwendete zu messen, bevor Sie das KMG verschieben sollen. Nach der KMG-Verschiebung werden Sie aufgefordert, dieselben Elemente in derselben Reihenfolge noch einmal zu messen.

Das Ergebnisfeld zeigt dann den vor und nach der Verschiebung des KMGs erfassten 3D-Abstand zwischen den Elementen an. Wenn die Ergebnisse nicht zufriedenstellend sind, können Sie die letzten drei Elemente noch einmal messen, denn die Schaltfläche trägt jetzt die Bezeichnung: Neu messen.

Hinweis: Sind die Ergebnisse auch nach erneuter Messung nicht zufriedenstellend, so müssen Sie die KMG-Verschiebung rücksetzen und von vorne beginnen. Dies stellt bei allen Systemen mit KMG-Verschiebung ein Problem dar, dessen Sie sich bewusst sein sollten.


Feld "Ergebnisse"

Bereich "Ergebnisse"

Bereich "Ergebnisse"

Im Bereich Ergebnisse werden die Abweichungen zwischen der ersten Position und der/den nachfolgenden Positione/en des KMGs aufgelistet, indem der vor und nach der Verschiebung des KMGs erfasste 3D-Abstand zwischen den Elementen angezeigt wird.


Rücksetzen

Die Schaltfläche Rücksetzen entfernt alle Verschiebungen durch hinzufügen eines KMG_VERSCHIEBUNG/AUS-Befehls im Bearbeitungsfenster.


OK

Wenn Sie das Dialogfeld LeapFrog / Verlagerung ausgefüllt haben, müssen Sie auf die Schaltfläche OK klicken, damit die KMG-Verschiebung verwendet wird. Durch das Klicken auf OK wird der Befehl KMG_VERSCHIEBUNG in das Werkstückprogramm eingefügt . Wenn Sie nicht auf die Schaltfläche Übernehmen klicken, aber auf das "X" in der oberen, rechten Ecke klicken, um das Dialogfeld zu schließen, geht die erstellte KMG-Verschiebung verloren.


Ändern von Ausrichtungs-Nennwerten

Wenn Sie die theoretischen Werte eines Ausrichtungselements während des Ausführungsmodus ändern, ändert PC-DMIS die "CAD zu Werkstück"-Ausrichtung. Das bedeutet, dass Elemente im Werkstückprogramm, die der Ausrichtung folgen und relativ zu den Ausrichtungselementen gemessen werden, sich um den Betrag der geänderten theoretischen Werte verschieben.

Wenn Sie das Kontrollkästchen CAD zu Werkstück ignorieren im Dialogfeld Setup-Optionen ausgewählt haben, ändert sich die "CAD zu Werkstück"-Ausrichtung nicht, wenn sich die theoretischen Werte des Ausrichtungselements ändern. Die Elemente unter der Ausrichtung werden dann in ihrer jeweiligen Position gemessen. Weitere Informationen finden Sie unter "CAD zu Werkstück ignorieren" im Abschnitt "Voreinstellungen".

Hinweis: Sie können die Funktion CAD zu Werkstück ignorieren nicht gleichzeitig mit der Funktion "Position" in Ihrem Werkstückprogramm anwenden.

Sie können außerdem bestimmen, wie PC-DMIS die Nennwerte der Elemente handhabt, wenn Sie unter Verwendung des Registrierungseintrags UpdateBelowChangedAlignmentDuringExecution im Einstellungseditor von PC-DMIS die theoretischen Werte einer Ausrichtung aktualisieren. Zusätzliche Informationen finden Sie unter "Ändern von Registrierungseinträgen".


Merkmale für Elemente erstellen

Merkmale für Elemente erstellen: Einführung

Befehlsformat für Merkmale

Hinzufügen von Zeilen

Löschen von Zeilen

Bearbeiten von Zeilen

Konventionen

Zugreifen auf das Dialogfeld

Ausdrucken von Merkmalen im Prüfprotokoll

So erstellen Sie automatisch Merkmale im Bearbeitungsfenster

So ändern Sie das Merkmal vor dem Drucken

Merkmale in .rtf- und .pdf-Dateien anzeigen

Gemeinsame Optionen in den Merkmalsdialogfeldern

Materialbedingungen

Schaltfläche "Standard holen"

Merkmal-Info einblenden

Standard-Merkmal-Info bearbeiten

Schaltfläche "Rücksetzen"

Einheiten

Analyse-Einstellungen

Als Text

Wechseln zwischen polaren und kartesischen Koordinaten für die Textanalyse

Grafisch

Multiplikator

Option "Beide" (bei Position und Lage)

Option "Form" (bei Position und Lage)

Ausgabe an

Merkmal für Lage erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option LAGE

Standardachsen für Lagemerkmale

Blechachsen

Lage-Optionen

"Nur Bund" für Lagemerkmale

"Nur Spalt" für Lagemerkmale

Toleranzen für Lagemerkmale

Auswahlliste "Achsen"

Obere Toleranzen

Untere Toleranzen

ISO-Grenzen und Einp.

Nenngröße

Toleranzklasse

Toleranzgrad

Merkmal "Position" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option POSITION

So wenden Sie die Funktion "Position" auf eine Gruppe von Kreisen und Zylindern an

Verwenden von Bezugselementen

Verwenden der gleichen Bezugselemente beim Wiederholen von Merkmalen

Standardachsen für Positionsmerkmale

Abweichung

An Bezüge anpassen

Rechtwinklig zur Mittellinie verlaufende Abweichung

Als Radius anzeigen

Axialelemente

Toleranzen für Positionsmerkmale

Achsen

OTol

UTol

Merkmal "Abstand" erstellen

So bestimmen Sie das Merkmal "Abstand" mit der Option ABSTAND

Toleranzen für Abstandsmerkmale

Obere Toleranz

Untere Toleranz

Nennwert für Abstand

Allgemeine Regeln für 2D- und 3D-Abstandsmerkmale

2D-Abstand

3D-Abstand

Relationen für Abstandsmerkmale

Kontrollkästchen "Zum Element"

Kontrollkästchen "Zur X-Achse"

Kontrollkästchen "Zur Y-Achse"

Kontrollkästchen "Zur Z-Achse"

Ausrichtung für Abstandsmerkmale

Rechtwinklig zu

Parallel zu

Kreisoptionen

Merkmal "Winkel" erstellen

So bestimmen Sie das Merkmal "Winkel" zwischen zwei Elementen

Toleranzen für Winkelmerkmale

Obere Toleranz

Untere Toleranz

Nennwert für Zwischenwinkel

Winkeltyp

Zweidimensionaler Winkeltyp

Dreidimensionaler Winkeltyp

Relation für Zwischenwinkelmerkmale

Zum Element

Zur X-Achse

Zur Y-Achse

Zur Z-Achse

Merkmal "Konzentrizität" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option KONZENTRIZITÄT

Toleranz für Konzentrizitätsmerkmale

Merkmal "Koaxialität" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option KOAXIALITÄT

Obere Toleranz für Koaxialmerkmale

Projizierter Abstand für die Koaxialität

Merkmal "Rundheit" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option RUNDHEIT

Obere Toleranz für Rundheitsmerkmale

Merkmal "Zylindrizität" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option ZYLINDRIZITÄT

Obere Toleranz für Zylindrizitätsmerkmale

Merkmal "Geradheit" erstellen

So erstellen Sie das Merkmal eines Elements mit der Option GERADHEIT

Obere Toleranz für Geradheitsmerkmale

Merkmal "Ebenheit" erstellen

So erstellen Sie das Merkmal eines Elements mit der Option EBENHEIT

Obere Toleranz für Ebenheit

Merkmal "Rechtwinkligkeit" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option RECHTWINKLIGKEIT

Obere Toleranz für Rechtwinkligkeitsmerkmale

Projizierter Abstand für Rechtwinkligkeitsmerkmale

Merkmal "Parallelität" erstellen

So erstellen Sie ein Merkmal mit der Option PARALLELITÄT

Obere Toleranz für Parallelitätsmerkmale

Projizierter Abstand für Parallelitätsmerkmale

Merkmale "Gesamtlauf" oder "Rundlauf" erstellen

Informationen zur Funktion "Lauf"

Wie Lauf gemessenen wird

Zwei Laufkategorien: "Rund" oder "Gesamt"

Lauf zur Prüfung eines Zylinderendes verwenden

So bestimmen Sie das Merkmal eines Elements mit der Option LAUF

Obere Toleranz für Laufmerkmale

Merkmal "Flächenprofil" erstellen

So erstellen Sie das Merkmal eines Elements mit der Option FLÄCHENPROFIL

Anzeigen von Profilkonturzeichnungen

So erstellen Sie das Merkmal eines 2D-Elements mit der Option LINIENPROFIL

Anzeigen von Profilkonturzeichnungen

Toleranzen für Flächenprofilmerkmale

Obere Toleranz

Untere Toleranz

Toleranzen für Linienprofilmerkmale

Obere Toleranz

Untere Toleranz

Steuerungsoptionen für Flächenprofilmerkmale

Nur Form

Form und Lage

Steuerungsoptionen für Linienprofilmerkmale

Nur Form

Form und Lage

Besteinpassungsoptionen für Flächenprofilmerkmale

Besteinpassungsoptionen für Linienprofilmerkmale

Merkmal "Neigung" erstellen

So berechnen Sie den Neigungsfehler mit der Option NEIGUNG

Bezugswinkel

Obere Toleranz für Neigungsmerkmale

Projizierter Abstand für Neigungsmerkmale

Merkmal "Symmetrie" erstellen

So bestimmen Sie das Merkmal eines Elements mit der Option SYMMETRIE

Obere Toleranz für Symmetrie

Merkmal mit Hilfe von Tastatureingaben erstellen

So fügen Sie Merkmale mit der Option EINGABE hinzu

Nennwert

Aktuell

Toleranzen für mit der Tastatur erstellte Merkmale

Obere Toleranz

Untere Toleranz

Merkmal "Variablen" erstellen

Beispiel eines Merkmals mit Variablen


Merkmale für Elemente erstellen: Einführung

Wenn ein Element (oder mehrere Elemente) einmal gemessen bzw. erzeugt worden ist, kann ein Prüfprotokoll erstellt werden. Der erste Schritt bei der Erstellung eines Protokolls ist die Berechnung der Merkmale gemäß spezifischer Anforderungen. Die Merkmale können entweder direkt nach der erfolgten Messung oder zu einem späteren Zeitpunkt im Programmablauf berechnet werden. PC-DMIS zeigt das Ergebnis jeder Merkmalsoperation im Bearbeitungsfenster an.

Allgemeine Hinweise zur Veränderung des Bearbeitungsfensterprotokolls finden Sie im Abschnitt "Bearbeiten eines Werkstückprogramms".

PC-DMIS gestattet auch die Angabe von Nennwerten, die Modifizierung des Ausgabeformats und/oder den Ausdruck der errechneten Ergebnisse.

  • Wenn Sie die Nenn- oder Toleranzwerte im Bearbeitungsfenster ändern wollen, klicken Sie auf den zu ändernden Wert und geben Sie einen neuen Wert ein.

  • Wenn Sie die Nennwerte oder Toleranzfelder im Bearbeitungsfenster ein- oder ausblenden möchten, ändern Sie die ausgewählten Kontrollkästchen im Bereich Ausgabeformat Merkmal: der Registerkarte Merkmal im Dialogfeld Parameter (Bearbeiten | Einstellungen | Parameter. Menü-Übersicht anzeigen Siehe "Parametereinstellungen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".

  • Weitere Hinweise zum Ändern der Messwerte eines Elements (um beispielsweise den Radius eines Kreises auszudrucken), finden Sie unter "Ändern der Protokoll- und Bewegungsparameter" im Abschnitt "Voreinstellungen".

Um ein Merkmal für ein Element zu erstellen, wählen Sie in der Menüleiste das Untermenü Einfügen | Merkmal oder öffnen Sie die Symbolleiste Merkmal und wählen Sie das gewünschte Merkmal aus. In diesem Abschnitt werden die V37-kompatiblen Merkmale des Untermenüs Merkmal behandelt.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Befehlsformat für Merkmale

  • Ausdrucken von Merkmalen im Prüfprotokoll

  • Gemeinsame Optionen in den Merkmalsdialogfeldern

  • Merkmal "Lage" erstellen

  • Merkmal "Position" erstellen

  • Merkmal "Abstand" erstellen

  • Merkmal "Winkel" erstellen

  • Merkmal "Konzentrizität" erstellen

  • Merkmal "Koaxialität" erstellen

  • Merkmal "Rundheit" erstellen

  • Merkmal "Geradheit" erstellen

  • Merkmal "Ebenheit" erstellen

  • Merkmal "Rechtwinkligkeit" erstellen

  • Merkmal "Parallelität" erstellen

  • Merkmale "Gesamtlauf" oder "Rundlauf" erstellen

  • Merkmale "Flächenprofil" oder "Linienprofil" erstellen

  • Merkmal "Neigung" erstellen

  • Merkmal "Symmetrie" erstellen

  • Merkmal mit Hilfe von Tastatureingaben erstellen

  • Merkmal "Variablen" erstellen


Befehlsformat für Merkmale

Alle dimensionierten Elemente werden im folgenden Format angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden.

PC-DMIS wird die Merkmale, die überhaupt keine Verknüpfung mit Elementen aufweisen, in der Farbe darstellen, die Sie für Text außerhalb der Toleranz definiert haben.

Im Bearbeitungsfenster werden Merkmale z.B. folgendermaßen angezeigt:
Merkmalsname = MERKMALSTYP,Elem_1 EINHEITEN=ZOLL ,$
GRAF=AUS TEXT=AUS MULT=1,00 AUSGABE=BEIDE

ACH

NENNW

OTOL

UTOL

MESS

MAX

MIN

ABW

AUSTOL

x

8.0000

0.1000

0.1000

8.0000

8.5000

7.5000

0.0000

0.0000

y

3.0000

0.1000

0.1000

3.0000

3.5000

2.5000

0.0000

0.0000

z

0.4947

0.1000

0.1000

0.4947

0.1428

0.8466

0.0000

0.0000

d

1.0000

0.1000

0.1000

1.0000

1.0000

1.0000

0.0000

0.0000

v

0.0000

0.5938

0.8046

ENDE MERKMAL Merkmalsname (nur für LAGE)

Regeln zu Feldern finden Sie unter "Konventionen".

MERKMALSTYP: gibt den Merkmalstyp an. Dieses Feld kann nur durch Ändern des Elementnamens geändert werden.

Elem_1: Name des Elements, für das ein Merkmal erstellt werden soll. Dieses Feld kann vom Benutzer bearbeitet werden.

Alle Nenn- und Toleranzwerte in einem Merkmal können bearbeitet werden. Verfahren Sie dazu wie folgt:

  1. Rücken Sie den Cursor mit Hilfe der TABULATORTASTE in die gewünschte Zelle, oder doppelklicken Sie mit der linken Maustaste auf das Feld.

  2. Geben Sie den gewünschten Wert ein.

  3. Drücken Sie noch einmal die TABULATORTASTE oder klicken Sie auf einen Bereich außerhalb des Merkmals.

Durch Drücken der EINGABETASTE wird eine Zeile hinzugefügt (Siehe auch "Merkmal "Lage" erstellen")

Siehe auch:

Hinzufügen von Zeilen

Löschen von Zeilen

Bearbeiten von Zeilen

Konventionen

Zugreifen auf das Dialogfeld


Hinzufügen von Zeilen

So erstellen Sie eine weitere Zeile innerhalb des Lagemerkmals:

  1. Setzen Sie den Cursor auf die gewünschte Position.

  2. Drücken Sie die EINGABETASTE.

  3. Geben Sie die gewünschte Achse (X, Y, Z, D, R, A, V, T, L, S, H, M, PR, PA, PD) ein.

  4. Drücken Sie die TABULATORTASTE oder die EINGABETASTE.

PC-DMIS zeigt dann die Werte für die hinzugefügte Achse an. PC-DMIS fügt die neue Zeile abhängig von der Cursorposition ein. Befindet sich der Cursor inmitten eines Befehls, wird eine neue Zeile unterhalb der aktuellen Zeile erstellt. Wenn der Cursor am Anfang einer Befehlszeile steht, erstellt PC-DMIS die neue Zeile oberhalb der aktuellen Zeile.


Löschen von Zeilen

Wenn Sie eine einzelne Achse innerhalb eines Lagemerkmals löschen wollen, markieren Sie die gewünschte Achse, und drücken Sie die RÜCKTASTE oder ENTF. (Siehe auch "Tasterfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)


Bearbeiten von Zeilen

Wenn die Toleranzen eines Merkmals im Bearbeitungsfenster bearbeitet werden, erscheint ein Dialogfeld, in dem Sie angeben können, ob die geänderten Toleranzen auf andere Merkmale desselben Typs übertragen werden sollen. Wenn Sie mit Ja antworten, beginnt PC-DMIS an diesem Punkt im Werkstückprogramm eine Suche, bei der die Toleranzen in alle Merkmale kopiert werden, die denselben Typ und dieselben ursprünglichen Toleranzwerte aufweisen.

Wenn die Nennwerte eines Merkmals im Bearbeitungsfenster bearbeitet werden, erscheint ein Dialogfeld, in dem Sie angeben können, ob die geänderten Nennwerte zum Element zurückgeführt werden sollen. Wenn Sie mit Ja antworten, ändert PC-DMIS die Elementnennwerte in die neuen Nennwerte.


Konventionen

Durch Aktivieren der Registerkarte Merkmal im Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten) können Sie Parameter für die angezeigten Merkmale definieren.

  • Alle Winkel können mit einer Genauigkeit von 1-5 Stellen nach dem Dezimalzeichen dargestellt werden. Wie viele Dezimalstellen angezeigt werden, richtet sich nach der Parametereinstellung auf der Registerkarte Merkmal.

  • Alle Längen, Abstände (x-Koord, y-Koord, z-Koord, Durchm., Höhe, Länge usw.) und Vektoren (i-Vekt, j-Vekt, k-Vekt) in den Merkmalen werden mit einer Genauigkeit von 1-5 Stellen hinter dem Dezimalzeichen angegeben. Der tatsächlich angezeigte Nennwert richtet sich nach der Parametereinstellung auf der Registerkarte Merkmal.

Weitere Informationen zur Registerkarte Merkmal finden Sie unter "Setup-Optionen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".


Zugreifen auf das Dialogfeld

So rufen Sie das entsprechende Dialogfeld "Merkmal" auf, in dem das Merkmal des Bearbeitungsfensters erstellt wurde:

  1. Öffnen Sie das Bearbeitungsfenster (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Klicken Sie im Bearbeitungsfenster mit der Maus auf das Merkmal.

  3. Drücken Sie "F9". Damit wird das Dialogfeld "Merkmal" aufgerufen.

Mit Hilfe dieses Dialogfelds können Sie alle gewünschten Änderungen an dem vorhandenen Merkmal vornehmen. Wenn Sie auf die Schaltfläche Erzeugen klicken, werden die Änderungen auch auf den Merkmaltext im Bearbeitungsfenster angewandt.


Ausdrucken von Merkmalen im Prüfprotokoll

Sie können Merkmale einfach im Bearbeitungsfenster erzeugen, das diese Merkmale wiederum in Ihrem Prüfprotokoll generieren wird.

Siehe auch:

So erstellen Sie automatisch Merkmale im Bearbeitungsfenster

So ändern Sie das Merkmal vor dem Drucken

Merkmale in .rtf- und .pdf-Dateien anzeigen


So erstellen Sie automatisch Merkmale im Bearbeitungsfenster

Wenn PC-DMIS im Bearbeitungsfenster automatisch Merkmale erstellen soll, verfahren Sie wie folgt:

  1. Öffnen Sie das Bearbeitungsfenster (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Setzen Sie den Cursor an die Stelle, an der die Merkmalangaben stehen sollen.

  3. Geben Sie das entsprechende Schlüsselwort ein.

ODER

  1. wählen Sie die Menüoption Bearbeiten | Einstellungen | Einrichten, um das Dialogfeld Setup-Optionen aufzurufen. Menü-Übersicht anzeigen

  2. Wählen Sie die Registerkarte Merkmal in diesem Dialogfeld.

  3. Wählen Sie die Option Auto-Merkmal erstellen.

  4. Wählen Sie gegebenenfalls weitere Optionen.

  5. Klicken Sie auf OK.

Beim nächsten Messvorgang für ein Element wird ein automatisches Merkmal erstellt und in das Bearbeitungsfenster eingefügt.


So ändern Sie das Merkmal vor dem Drucken

In vielen Fällen müssen vor Ausdruck der Ergebnisse Nennwerte, Toleranzwerte oder das Ausgabeformat modifiziert werden.

So ändern Sie die Nenn- oder Toleranzwerte im Bearbeitungsfenster:

  1. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Klicken Sie im Bearbeitungsfenster auf das Merkmal.

  3. Rücken Sie mit Hilfe der TABULATORTASTE zu dem Wert vor, der geändert werden soll.

  4. Geben Sie einen neuen Wert ein.

So ändern Sie die Nenn- oder Toleranzwerte mit Hilfe des Merkmal-Dialogfelds:

  1. Klicken Sie im Bearbeitungsfenster auf das Merkmal.

  2. Drücken Sie F9. Damit wird das zum Merkmal gehörige Dialogfeld aufgerufen.

  3. Ändern Sie die Werte, die geändert werden müssen.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Wenn Sie den Inhalt des Merkmalprotokolls ändern möchten, klicken Sie im Dialogfeld Parametereinstellungen auf die Registerkarte Merkmal (siehe auch "Parametereinstellungen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen"), und ändern Sie die Merkmalinformationen, die PC-DMIS anzeigen soll.

Hinweis: Im Bereich "Analyseeinstellungen" des zum jeweiligen Merkmal gehörigen Dialogfelds können Sie die Druckausgabe in einem Format anzeigen, das für eine eingehendere Untersuchung geeignet ist.


Merkmale in .rtf- und .pdf-Dateien anzeigen

Sie können das Prüfprotokoll mit den Merkmalen an eine externe RTF (Rich Text Format)-Datei oder PDF (Portable Document Format)-Datei senden, indem Sie eine der Ausgabeoptionen im Dialogfeld Druckoptionen im Bearbeitungsfenster wählen. Siehe auch "Drucken aus dem Prüfprotokoll" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Beachten Sie bitte, dass die Merkmale in den beiden Dateien aufgrund von eingeschränkten Formatierungsmöglichkeiten abweichend dargestellt werden.

  • In RTF-Dateien werden die Merkmale mit einem dünnen Rand um die Kopfzeile herum, einem blauen Hintergrund und dem Merkmalssymbol gedruckt.

  • In PDF-Dateien werden die Merkmale ohne Rahmen, ohne Hintergrundfarbe und ohne Merkmalssymbol gedruckt. Die Merkmale werden mit einem linken Seitenrand ausgedruckt.


Gemeinsame Optionen in den Merkmalsdialogfeldern

Viele der zu den jeweiligen Merkmalen gehörigen Dialogfelder enthalten die gleichen Optionen.

Siehe auch:

Materialbedingungen

Merkmal-Info einblenden

Standard-Merkmal-Info bearbeiten

Einheiten

Analyse-Einstellungen

Ausgabe an


Materialbedingungen

Der Bereich Materialbedingungen umfasst die folgenden Methoden zur Festlegung von Toleranzen:

Optionsschalter | Steht für | Beschreibung
M | MMC | Maximale Materialbedingung gilt entweder für das Element oder ein Bezugselement.
R | RFS | Ungeachtet der Elementgröße gilt entweder für das Element oder ein Bezugselement.
L | LMC | Geringste Materialbedingung gilt entweder für das Element oder ein Bezugselement.

Derzeit können Materialbedingungs-Optionsschalter für die Merkmale Position, Parallelität und Rechtwinkligkeit ausgewählt werden.

Beachten Sie bitte, dass im Falle von Positionsmerkmalen die Ausrichtung der Bezugselemente für die XYZ-Ausgabewerte verwendet wird, wenn das Kontrollkästchen Bezüge verwenden markiert ist.

Siehe auch:

Schaltfläche "Standard holen"


Schaltfläche "Standard holen"

Die Schaltfläche Standard holen im Bereich Materialbedingungen ermöglicht die einfache Auswahl von Bezugselementen, die zuvor für ein ähnliches Merkmal verwendet wurden. Diese Schaltfläche steht erst dann zur Auswahl, wenn Sie aus der Liste Element ein Element für das Merkmal auswählen.

Gehen wir von einem Beispiel aus, in dem Sie vier Kreise als Bezugselement in einem früheren Positionsmerkmal verwendet haben. Sie können PC-DMIS anweisen, dieselben Kreise als Elemente zu verwenden, indem Sie in der Liste Element das Element für das zu erstellende Merkmal auswählen und die Schaltfläche Standard holen anklicken. PC-DMIS wählt die Bezugselemente aus der Elementliste aus.


Merkmal-Info einblenden

Über das Kontrollkästchen Anzeige wird im Bearbeitungsfenster der Befehl MERKMALINFO erstellt. Dieser Befehl wird nach dem Merkmal eingefügt und veranlasst die Anzeige aller Merkmalinformationen in einem Grafikfenster neben dem im Feld Elementliste ausgewählten Element. Durch den Befehl MERKMALINFO werden auch dieselben Merkmalsachsen angezeigt, die im Bearbeitungsfenster für das betreffende Merkmal verfügbar sind.

So verwenden Sie die Anzeige-Option:

  1. Markieren Sie das Kontrollkästchen Anzeige.

  2. Wählen Sie das Element, für das ein Merkmal erstellt werden soll.

  3. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal-Infos erscheinen dann im Grafikfenster.

Merkmaldaten, die im Grafikfenster angezeigt werden.

Detaillierte Informationen zu den Feldern MERKMALINFO und Regeln zu deren Erstellung finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".


Standard-Merkmal-Info bearbeiten

Beim Klicken auf die Schaltfläche Bearbeiten wird das Dialogfeld Standard Merkmal Info bearbeiten aufgerufen.

Dialogfeld "Standard Merkmal Info bearbeiten"

Über die folgenden Kontrollkästchen können Sie festlegen, welche Informationen für die einzelnen Merkmale im Grafikfenster angezeigt werden sollen. Zur Auswahl stehen:

Auto | Bei markiertem Kontrollkästchen werden die folgenden Informationen automatisch angezeigt: Messwert, Nennwert, Toleranzen, Abweich., Min./Max. und Außer Tol.
Messwert | Bei markiertem Kontrollkästchen werden die tatsächlich gemessenen Merkmale angezeigt.
Nennwert | Bei markiertem Kontrollkästchen werden die theoretischen Werte für das Merkmal angezeigt.
Toleranzen | Bei markiertem Kontrollkästchen werden die zulässigen Toleranzbereiche entweder größer oder kleiner als der Nennwert angezeigt.
Abweich. | Bei markiertem Kontrollkästchen wird die Abweichung des gemessenen Werts vom Nennwert angezeigt.
Min./Max. | Bei markiertem Kontrollkästchen werden die maximalen und minimalen Werte der Merkmale angezeigt.
Außer Tol. | Bei markiertem Kontrollkästchen wird angezeigt, wie weit der gemessene Wert außerhalb der Toleranz liegt bzw. vom Nennwert abweicht.
Mittelwert | Bei markiertem Kontrollkästchen wird der Durchschnitt aller Abweichungen für das Merkmal angezeigt.
StdAbw. | Bei markiertem Kontrollkästchen wird die Standardabweichung aller Abweichungen für das Merkmal angezeigt.
Anzahl Punkte | Bei markiertem Kontrollkästchen wird angezeigt, wie viele Punkte verwendet werden, um das Element dieses Merkmals zu messen.

Detaillierte Informationen zum Bearbeiten von Merkmalen und Regeln zu deren Erstellung finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen". Die folgenden fünf Schaltflächen: OK, Abbrechen, Standard, Standard holen und Rücksetzen sind alle im Dialogfeld Standard Merkmal Info bearbeiten zu finden.

Siehe auch:

Schaltfläche "Rücksetzen"


Schaltfläche "Rücksetzen"

Mit der Schaltfläche Rücksetzen werden alle Kontrollkästchen im Dialogfeld Standard Merkmal Info bearbeiten deaktiviert, und das Kontrollkästchen Auto wird aktiviert.


Einheiten

Im Bereich Einheiten können Sie eine der folgenden beiden Optionen wählen:

  • Zoll = Zoll

  • mm = Millimeter

Die ausgewählte Einheit wird so lange für die Merkmalerstellung verwendet, wie das aktuelle Dialogfeld offen ist. Die Standardeinstellung ist die im aktuellen Werkstückprogramm gewählte Einstellung für die Maßeinheiten.


Analyse-Einstellungen

Bereich Analyse für Lage- und Positionsmerkmale

Bereich Analyse für alle anderen Merkmale

Im Bereich Analyse können Sie als Merkmalanalyse-Ausgabeformat Text, Grafik oder beides einstellen, um die Abweichungen des Merkmals anzuzeigen.

Nur bei Lage- und Positionsmerkmalen kann über den Bereich Analyse festgelegt werden, ob zusätzlich zur Lage eines Elements auch dessen Form analysiert werden soll.

Hinweis: Wenn die grafischen Daten eines Lage- oder Positionsmerkmals zusammen mit dessen integriertem Formmerkmal interpretiert werden, ist Vorsicht geboten. Sie werden feststellen, dass sich die Analysetoleranzlinien wahrscheinlich überlappen werden und nur schwer zu unterscheiden sind.

Siehe auch:

Als Text

Wechseln zwischen polaren und kartesischen Koordinaten für die Textanalyse

Grafisch

Multiplikator

Option "Beide" (bei Position und Lage)

Option "Form" (bei Position und Lage)


Als Text

Wenn das Kontrollkästchen Als Text aktiviert ist (bzw. die Option Ein bei Lage- und Positionsmerkmalen) druckt PC-DMIS im Prüfprotokoll folgende Informationen für jeden im Merkmal verwendeten Messpunkt aus:

  • Gemessene Werte für X, Y und Z

  • Gemessene Werte für I, J und K

  • Abweichung jedes einzelnen Messpunkts

  • "MAX"- oder "MIN"-Markierungen am Ende jeder Zeile, wenn der Messpunkt entweder eine maximale oder minimale Abweichung erzeugt.

Beispiel eines Textanalyseprotokolls

Sie können festlegen, ob in der Textanalyseanzeige ein Polar- oder ein kartesisches Koordinatensystem verwendet werden soll, indem Sie die Anweisungen unter "Wechseln zwischen Polar- und kartesischen Koordinaten für die Textanalyse" befolgen.


Wechseln zwischen polaren und kartesischen Koordinaten für die Textanalyse

Mit der Menüoption Polar-/kartesische Textanalyse Ein/Aus können Sie die Darstellung der Textanalyse eines Merkmals umschalten und bewirken, dass die Position eines oder mehrerer Messpunkte entweder in kartesischen oder polaren Koordinaten angezeigt werden. Der Buchstabe "P" neben den numerischen Daten zeigt an, dass sich PC-DMIS im polaren Anzeigemodus befindet.

  • Die gesamte Textanalyse eines Merkmals wird eingeblendet, wenn der Cursor im Befehlsmodus über dem Merkmal positioniert wird.

  • Befindet sich der Cursor über einer Zeile der Textanalyse, wenn diese Menüoption gewählt wird, wird die betreffende einzelne Textanalysezeile eines Merkmals umgeschaltet. Wenn ein einzelner Messpunkt in der Textanalyse mit seinen polaren Koordinaten angezeigt wird, werden Radius, Winkel und Z-Werte in den Spalten X, Y bzw. Z angezeigt.

So ändern Sie das in der Textanalyseanzeige verwendete Koordinatensystem:

  1. Setzen Sie den Cursor im Protokollmodus auf die Kopfzeile des Merkmals oder auf einen einzelnen Messpunkt.

  2. Wählen Sie die Menüoption Polar-/kartesische Textanalyse Ein/Aus. Der Buchstabe "P" wird in die Zeilen der Textanalyse gesetzt, um anzugeben, welche der Messpunkte in polaren Koordinaten angezeigt werden.


Grafisch

Wenn Sie das Kontrollkästchen Grafisch markieren (oder die Option Ein bei Lage- und Positionsmerkmalen), können Sie die Ausgabe des Merkmalprotokolls in einem für eine eingehendere Untersuchung geeigneten Format gestalten.

Ist es markiert, stellt PC-DMIS die Abweichung jedes einzelnen Messpunkts für die Merkmale, die für das Werkstück verwendet wurden, im Grafikfenster grafisch dar. Das Programm zeigt den Fehler für jeden Messpunkt in Form einzelner Pfeile an. Aus den Pfeilen gehen anhand ihrer Farben und Ausrichtungen die relativen Größen sowie die Richtungungen der Fehler hervor.

Befehlszeile im Bearbeitungsfenster:
...GRAF=EIN TEXT=AUS MULT=1,00

Sehen Sie sich dieses Beispiel, das die im Textanalysebeispiel dargestellte Merkmal-Info verwendet, im Abschnitt "Als Text" an.

Beispiel eines Rundheitsmerkmals mit der Grafikanalyse unter Zugrundelegung eines Multiplikators von zehn (links) und eins (rechts).

Das oben angeführte Beispiel zeigt unterschiedlich gefärbte Linien, Pfeile und Kreise. In der folgenden Tabelle werden die farbigen Elemente des Beispiels beschrieben und ihre Bedeutung erläutert:

Farbiges Element | Beschreibung
Schwarzer Kreis | Zeigt den Nennkreis.
Roter Kreis | Zeigt den gemessenen Kreis, der außerhalb des Toleranzbereichs liegt.
Blaue Kreise | Zeigen die Toleranzbänder.
Farbige Linien | Zeigen die Linien zwischen Messpunkten.
Farbige Pfeile | Zeigen die Messpunkte selbst (die Spitze des Pfeiles), die relative Größe der Abweichung für jeden Messpunkt (durch den farbigen Pfeil) und die Richtung der Abweichung (die Richtung, in die der Pfeil zeigt).

Die in diesem Beispiel verwendeten Farben sind die standardmäßigen Merkmalfarben. Sie können diese Farben gegebenenfalls problemlos ändern. Die Farben entsprechen den Farben der Grafikleiste in den Merkmal- und Punkt-Infofeldern. Siehe auch "Merkmalfarben bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".


Multiplikator

Das Kontrollkästchen Multiplikator aktiviert einen Skalierungsfaktor, mit dem die Abweichungspfeile und Toleranzbereiche im Grafikanalysemodus um den eingegebenen Wert vergrößert werden. Wird hier ein Wert von 2,0 eingegeben, skaliert PC-DMIS die Pfeile so, dass sie doppelt so groß sind wie die errechnete Abweichung für jeden Messpunkt am Element.

Hierdurch wird die Größe der Pfeile lediglich für Ansichtszwecke geändert. Die Abweichungsgröße im ausgedruckten Protokolltext wird dadurch nicht beeinträchtigt.


Option "Beide" (bei Position und Lage)

  • Als Text: Wird Beide gewählt, werden im Prüfprotokoll sowohl Abweichungen für die Lage- als auch für die Formachse angezeigt.

  • Grafisch: Wird Beide gewählt, werden sowohl Toleranzauswahllinien für das Lagemerkmal eines Elements als auch das integrierte Formmerkmal angezeigt, die sich möglicherweise überlappen können.


Option "Form" (bei Position und Lage)

Mit der Option Form ist es möglich, Merkmal-Infos für die Lage eines Elements und für die Form eines Elements gleichzeitig zu analysieren (bei Versionen vor Version 3.25 war ein separates Merkmal für die Form eines Elements erforderlich).

Nicht vergessen: Damit der Bereich Analyse zur Protokollierung der Form eines Elements verwendet werden kann, muss das Kontrollkästchen Form im Bereich Achsen des Dialogfelds markiert werden. Siehe "Standardachsen" für weitere Informationen.

Wenn Sie die Option Form aktivieren, hat dies dieselbe Wirkung, als wäre automatisch auch die Option Beide aktiviert worden, da sowohl eine grafische als auch eine textliche Analyse erstellt werden.


Ausgabe nach

Die Ausgabe des Merkmals kann entweder in das Prüfprotokoll oder in Statistikdateien für die Statistiksoftware übertragen werden. Es können auch beide Optionen oder überhaupt keine gewählt werden. Dies wird im Dialogfeld im Bereich Ausgabe nach bestimmt, in dem sich die folgenden Optionen befinden:

  • Statistik – leitet die Ausgabe in statistische Dateien

  • Protokoll – leitet die Ausgabe in das Prüfprotokoll

  • Beide – leitet die Ausgabe in das Prüfprotokoll und in Statistikdateien

  • Keine – leitet die Merkmalausgabe nirgendwo hin

Bei Ausführung des Merkmals wird die Ausgabe in das Prüfprotokoll, in die Statistikdatei, in beide oder nirgendwohin geleitet (je nach Auswahl).

Beachten Sie bitte, dass im Bearbeitungsfenster ein vorangehender Befehl STAT / EIN vorhanden sein muss, wenn die Option Statistik oder Beide gewählt wird, damit dieses Merkmal in die Statistikdatei geleitet werden kann.


 Units area Analysis area Edit button Clear button Tolerances for Location Dimensions Close button Create button Display check box Feature List box ID Feature Search ID Output To area Axes area ISO Limits and Fits area Search Last # Sheet Metal Axes area Location Options area

Merkmal "Lage" erstellen

Dialogfeld "Lage"

Mit der Menüoption Einfügen | Merkmal | Lage können Sie den Abstand des Elements zu den X-, Y- und Z-Nullpunkten, parallel zur jeweiligen Achse berechnen. Durchmesser, Winkel und Vektor des Elements werden ebenfalls in der Berechnung berücksichtigt. Dieser Abschnitt bezieht sich nur auf die Lage- bzw. Koordinatenerstellung des Merkmals. Informationen zu Positionsmerkmalen finden Sie unter "Merkmal "Position" erstellen".

Die Lage kann unter Zugrundelegung der kartesischen oder polaren Koordinaten, der Position oder der Kästchentoleranzauswahl berechnet werden.

  • Wenn Sie zwischen kartesischen und polaren Koordinaten hin- und herschalten möchten, wählen Sie PWin bzw. PRad im Dialogfeld Lage.

  • Wenn Sie zwischen den Toleranzauswahlmethoden POSITION und KART hin- und herwechseln wollen, finden Sie weitere Informationen hierzu unter "Merkmal "Position" erstellen" dimension option.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option LAGE

Standardachsen für Lagemerkmale

Blechachsen

Lage-Optionen

Toleranzen für Lagemerkmale

ISO Grenzen und Einp.


So bestimmen Sie das Merkmal eines Elements mit der Option LAGE

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Lage. Das Dialogfeld Lage wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Wählen Sie dann die Achsen aus. Das Kontrollkästchen Auto ist markiert (Standardeinstellung).

Wenn das Kontrollkästchen Auto markiert ist, bestimmt PC-DMIS automatisch die Standardachsen, die in dem Merkmal angezeigt werden sollen. Die Standardachsen richten sich nach dem Elementtyp (vgl. hierzu die nachstehende Tabelle).

Das Standard-Ausgabeformat für die folgenden Elemente lautet:

KREIS | X, Y, D (basierend auf der Arbeitsebene)
KEGEL | X, Y, Z, A
ZYLINDER | X, Y, Z, D, L (basierend auf der Arbeitsebene)
GERADE | Basierend auf der Achse, die im rechten Winkel zu der Achse verläuft, die am nächsten zur Arbeitsebene (und der damit verbundenen Achse) liegt, in der die Gerade gemessen wird.
EBENE | Basierend auf der Achse, die am engsten mit der Ebene verbunden ist.
PUNKT | X, Y, Z, T
LANGLOCH | X, Y, D, R, L (basierend auf der Arbeitsebene)
KUGEL | X, Y, Z, D

  4. Wählen Sie in der Auswahlliste Achsen die Achsen, für die Plus- und Minustoleranzen gelten sollen.

  5. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  6. Geben Sie einen Minustoleranzwert in das Feld UTol ein.

  7. Geben Sie einen Wert für die Nenngröße in das Feld Nennwertgröße ein.

  8. Wählen Sie in der Auswahlliste Toleranzklasse eine Toleranzklasse.

  9. Wählen Sie in der Auswahlliste Toleranzgrad einen Toleranzgrad.

  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  11. Wählen Sie im Bereich Einheiten des Dialogfelds entweder die Option Zoll oder mm.

  12. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  13. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  14. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  15. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = ART DES MERKMALS,elem_1 EINHEITEN=ZOLL ,$
GRAF=AUS TEXT=AUS MULT=1,00 AUSGABE=BEIDE

 | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
x | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

ENDE DES MERKMALS Merkmalsname (nur für LAGE)


Standardachsen für Lagemerkmale

Über das Kontrollkästchen Standard können Sie das Format der Standardausgabe ändern. Wenn das Kontrollkästchen Auto markiert ist, werden die im Merkmal angezeigten Achsen entsprechend der Standardachsen des Elementtyps ausgewählt. In manchen Situationen könnte es jedoch erforderlich sein, die Standardeinstellung zu übersteuern. So ändern Sie die Standardausgabe:

  1. Markieren Sie die entsprechenden Kontrollkästchen.

X = druckt den Wert für die X-Achse.
Y = druckt den Wert für die Y-Achse.
Z = druckt den Wert für die Z-Achse.
PRad = druckt den Polarradius.
PWin = druckt den Polarwinkel.
D = druckt den Wert des Durchmessers.
R = druckt den Wert des Radius (die Hälfte des Durchmessers).
A = druckt den Wert des Winkels (bei Kegeln).
L = druckt die Länge (bei Zylindern und Langlöchern).
H = druckt den Wert für die Höhe (in der Regel ist dies die Höhe bei Langlöchern, kann aber auch die Länge bei Kegeln, Zylindern und Ellipsen sein).
V = druckt die Vektorlage.
Form = druckt das integrierte Formmerkmal des Elements zusammen mit dem Lagemerkmal aus.

  • Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal.

  • Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal.

  • Bei einem Geradenelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.

  2. Kreuzen Sie das Kontrollkästchen Standard an.

Wenn die Ausgabewerte abweichend von den Standardwerten geändert wurden, verwendet PC-DMIS die neue Einstellung für alle nachfolgenden Merkmale. Wenn PC-DMIS dann wieder die ursprünglichen Standardachsen verwenden soll, müssen Sie das Format auf die Standardeinstellungen zurücksetzen.

Verfahren Sie dazu wie folgt:

  1. Markieren Sie das Kontrollkästchen Auto.

  2. Kreuzen Sie das Kontrollkästchen Standard an.

  3. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS setzt das Merkmal automatisch zurück, so dass die Standardachsen dem Elementtyp entsprechend gedruckt werden.


Blechachsen

Die Kontrollkästchen im Bereich Blechachsen stehen nur dann zur Auswahl, wenn Merkmale für Blechelemente erstellt werden.

T = druckt den Fehler entlang dem Antastvektor (für Punkte auf gekrümmten Oberflächen)
S = druckt die Abweichung entlang dem Oberflächenvektor
RT = druckt die Abweichung entlang dem Protokollvektor
RS = druckt die Abweichung entlang dem Oberflächenprotokoll
PD = druckt den Durchmesser eines Kreises (im rechten Winkel zum Stiftvektor)

Wird eine T-, RT-, S- oder RS-Achse verwendet, wird keines der anderen Lagemerkmale für die (grafische oder textliche) Analyse verwendet.

Das Standard-Ausgabeformat für folgende Blechelemente lautet:

VEKTORPUNKT: RT
OBERFLÄCHE: RT
KANTE: X,Y,Z und T
KREIS: PD


Lage-Optionen

PC-DMIS gestattet auch den Ausdruck von zwei Sonderachsen:

  • Nur Bund

  • Nur Spalt

Jede dieser beiden Optionen kann im Bereich Lage-Optionen des Dialogfelds Lage ausgewählt werden. Alle zukünftigen Lagen von Vektor-, Oberflächen- oder Kantenpunkten im Werkstückprogramm werden dann so lange unter Zugrundelegung der entsprechenden Sonderachsen gedruckt, bis die Option wieder AUSgeschaltet wird.

Siehe auch:

"Nur Bund" für Lagemerkmale

"Nur Spalt" für Lagemerkmale


"Nur Bund" für Lagemerkmale

Dieses Kontrollkästchen ist bei der Merkmalerstellung von Vektor- und Oberflächenpunkten verfügbar. Wenn die Option "Nur Bund" für gültige Punkte gewählt worden ist, werden die Lageachsen wie folgt berechnet:

· Durch das Aufsuchen der größten Komponente des theoretischen vertikalen Oberflächenvektors (größte Komponente in x-, y- bzw. z-Richtung).

· Durch die Projektion des gemessenen Punktes auf diesen größten Komponentenvektor, so dass im rechten Winkel zum ursprünglichen theoretischen vertikalen Oberflächenvektor verläuft.

Die Lageachsen werden dann auf Basis dieses neuen, projizierten Punktes berechnet.


"Nur Spalt" für Lagemerkmale

Das Kontrollkästchen Nur Spalt ist bei der Merkmalerstellung von Kantenpunkten verfügbar. Wenn das Kontrollkästchen Nur Spalt markiert und ein Kantenpunkt gemessen wird, werden die Lageachsen wie folgt berechnet:

  • Durch Projektion des gemessenen Punktes (1) auf die theoretische Oberfläche.

  • Durch Projektion dieses neuen Punktes auf den theoretischen Antastvektor.

Die Lageachsen werden dann auf Basis dieses neuen Punktes berechnet.


Toleranzen für Lagemerkmale

Im Bereich Toleranzen können Sie obere und untere Toleranzen für jede der folgenden in der Auswahlliste Achsen vorgefundenen Achsen eingeben.

Vorgehensweise:

  1. Wählen Sie in der Dropdown-Liste Achsen die Achsen, für die Sie die Toleranzen festlegen möchten.

  2. Geben Sie in das Feld OTol den oberen Toleranzwert für diese Achse ein.

  3. Geben Sie in das Feld UTol den unteren Toleranzwert für diese Achse ein.

PC-DMIS lässt positiv-niedrigere Toleranzen (oder eine positive Toleranz im negativen Bereich) zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld UTol.

PC-DMIS lässt auch negative Toleranzen im positiven Bereich zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld OTol.

Beispiel: Werden ein Nennwert von 1,000, eine obere Toleranz von 0,003 und eine untere Toleranz von 0,001 eingegeben, würden diese Eingaben als 1,000 + 0,003 / -0,001 interpretiert. Um den niedrigeren Toleranzwert auf +0,001 zu bringen (Änderung des Vorzeichens), geben Sie einfach 1,000 (Nennwert) ein, 0,003 (obere Toleranz) und -0,001 (untere Toleranz). Damit erhalten Sie einen Toleranzbereich von 1,000 + 0,003 / + 0,001.

Hinweis: Negative Toleranzen im positiven Bereich werden unter Umständen mit einem Minuszeichen angezeigt, wenn die Option Minus-Tol. negativ anzeigen markiert wurde. Siehe auch "Minus-Tol. negativ anzeigen" im Abschnitt "Voreinstellungen".

Siehe auch:

Auswahlliste "Achsen"

Obere Toleranzen

Untere Toleranzen


Auswahlliste "Achsen"

In der Auswahlliste Achsen finden Sie eine Auflistung aller verfügbaren Achsen, auf die Sie Obere- bzw. Untere Toleranzen anwenden können. Die Liste enthält folgendes:

ALLE | Anzeige aller Achsen und Optionen in der Auswahlliste
X | X-Achsen-Wert
Y | Y-Achsen-Wert
Z | Z-Achsen-Wert
D | Durchmesser
R | Radius (Hälfte des Durchmessers)
A | Winkel (für Kegel)
L | Länge (für Zylinder, Langlöcher, Kegel und Ellipsen)
H | Höhe
PR | Polarradius
PA | Polarwinkel
T | Fehler entlang dem Antastvektor (für Punkte auf gekrümmten Oberflächen)
RT | Abweichung entlang dem Protokollvektor
S | Abweichung entlang dem Oberflächenvektor
RS | Abweichung entlang dem Oberflächenprotokoll
PD | Durchmesser eines Kreises (im rechten Winkel zum Stiftvektor)
FORM | Integriertes Formmerkmal des Elements. § Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal. § Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal. § Bei einem Geradenelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.


Obere Toleranzen

In das Feld OTol können Sie die positiven Toleranzwerte für die in der Dropdown-Liste Achsen gewählte Achse oder Achsen eingeben.


Untere Toleranzen

In das Feld UTol können Sie die negativen Toleranzwerte für die in der Dropdown-Liste Achsen gewählte Achse oder Achsen eingeben.


ISO Grenzen und Einp.

Im Bereich ISO Grenzen und Einp. des Dialogfelds können Sie nach ISO normierte Toleranzen auf den Durchmesser kreisförmiger Elemente anwenden. Wenn eine Toleranzklasse und ein Toleranzgrad gewählt worden sind, ermittelt PC-DMIS die entsprechenden Toleranzen für den Durchmesser eines Zylinders oder Kreises aus den ISO-Tabellen für Grenzwerte und Einpassungen. (Die ISO oder "International Organization for Standardization" ist das internationale Normungsgremium.) In diesen Tabellen werden die Toleranzwerte für verschiedene Design-Klassen und Durchmessergrade definiert. PC-DMIS gestattet zwar die Berechnung von ISO-Toleranzen im englischen Maßsystem (Zoll) und im metrischen System (mm), aber die Werte sind von der ISO nur zur Anwendung mit metrischen (mm) Maßeinheiten definiert. Da diese Tabellen verschiedene Durchmesserklassen und -grade verwenden, sind Zylinder und Kreise die einzigen Elemente, die für diese Option geeignet sind. Wenn kein anderslautender Nenndurchmesser angegeben wird, verwendet PC-DMIS den Nenndurchmesser des Elements für die Berechnung der Toleranzen.

Siehe auch:

Nenngröße

Toleranzklasse

Toleranzgrad


Nenngröße

Im Feld Nennwertgröße können Sie den Nenndurchmesser des gewählten Elements angeben.


Toleranzklasse

In der Auswahlliste Toleranzklasse können Sie eine der folgenden ISO-Toleranzklassen wählen:

A

B

C

CD

D

E

EF

F

FG

G

H

J

JS

K

M

N

P

R

S

T

U

V

X

Y

Z

ZA

ZB

ZC


Toleranzgrad

In der Auswahlliste Toleranzgrad können Sie eine der folgenden ISO-Toleranzgrade wählen:

IT1 | IT7 | IT13
IT2 | IT8 | IT14
IT3 | IT9 | IT15
IT4 | IT10 | IT16
IT5 | IT11 | IT17
IT6 | IT12 | IT18


 ID Feature Search ID Feature List box Clear button Display check box Create button Close button Tolerances for True Position Dimensions Edit button Output To area Analysis area Units area Axes area Material Conditions area Deviation area For Axial Features area

Merkmal "Position" erstellen

Dialogfeld "Position"

Mit der Menüoption Einfügen | Merkmal | Position können Sie den Abstand des Elements von den X-, Y- und Z-Nullpunkten parallel zur jeweiligen Achse berechnen. Durchmesser, Winkel und Vektor des Elements werden ebenfalls in der Berechnung berücksichtigt.

Dieser Abschnitt bezieht sich nur auf Positionsmerkmale. Weitere Informationen über die Erstellung von Lage- oder Koordinatenmerkmalen finden Sie unter "Merkmal "Lage" erstellen".

Wichtig: Bei der Verwendung von Bezugselementen werden die gemessenen und abweichenden XYZ-Werte relativ zur Ausrichtung der Bezugselemente berechnet; sie werden jedoch mit der aktuellen Ausrichtung angezeigt, um die Werte zu interpretieren. Das heißt, ein Element, das mit einer Positionsabmessung protokolliert wurde, kann andere gemessene und abweichende Werte aufweisen als eine andere Positionsabmessung, wenn für die Merkmale unterschiedliche oder gar keine Bezugselemente definiert wurden, selbst wenn sie die gleichen Nominalwerte aufweisen.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option POSITION

So wenden Sie die Funktion "Position" auf eine Gruppe von Kreisen und Zylindern an

Verwenden von Bezugselementen

Standardachsen für Positionsmerkmale

Abweichung

Axialelemente

Toleranzen für Positionsmerkmale


So bestimmen Sie das Merkmal eines Elements mit der Option POSITION

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Position. Das Dialogfeld Position wird eingeblendet. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Wird ein Bezugselement gewünscht, aktivieren Sie das Kontrollkästchen Bezüge verwenden. Wird dieses Kontrollkästchen aktiviert, wird das Merkmal unter Berücksichtigung der Bezugselemente berechnet. Die XYZ-Ausgabewerte werden jedoch relativ zur aktuellen Ausrichtung im Werkstückprogramm angezeigt.

  4. Markieren Sie die gewünschten Elemente im Feld Elementliste.

  5. Legen Sie dann die Materialbedingungen für das Element und das Bezugselement bzw. die Elemente und die Bezugselemente fest, indem Sie die entsprechenden Optionen im Bereich Materialbedingungen auswählen.

  6. Aktivieren Sie die gewünschten Kontrollkästchen im Bereich Abweichung.

  7. Geben Sie beim Messen eines Axialelements (wie beispielsweise eines Zylinders) im Feld Bezugslänge einen Wert ein, und wählen Sie die passende Option im Bereich Für Achsenelemente aus.

  8. Wählen Sie dann die Achsen aus. Das Kontrollkästchen Auto ist markiert (Standardeinstellung).

  9. Wählen Sie die Achsen, auf die Sie Plus- und Minustoleranzen anwenden wollen.

  10. Geben Sie einen oberen Toleranzwert in das Feld OTol ein.

  11. Geben Sie einen unteren Toleranzwert in das Feld UTol ein.

  12. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  13. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  14. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  15. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  16. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

MERKMAL Merkmalsname = POSITION VON ELEMENT_ID EINHEITEN = ZOLL / mm,
GRAF=EIN/AUS, TEXT=EIN/AUS, MULT=n, AUSGABE=PROTOKOLL/STAT/BEIDE/KEINE
AN BEZÜGE ANPASSEN=EIN/AUS ABW RECHTW ZUR MITTELLINIE=EIN/AUS ANZEIGE=DURCHM/RADIUS

ACH | NENNW | MESS | OTOL | UTOL | BONUS | ABW | ABWINK | AUSTOL
X | 0.7500 | .07500 | 0.0000 |  |  | 0.0000 |  |
Y | 3.0000 | 3.0000 | 0.0000 |  |  | 0.0000 |  |
DF | 1.0000 | 1.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000 |  | 0.0000
D1 D2 D3 TP | 1.0000 1.0000 MMC | 1.0000 1.0000 1.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 | 0.0000 0.0000 0.0000 | EBENE KREIS KREIS 0.0000 | P1 BEI RFS C1 BEI MMC C2 BEI MMC 0.000 | 0.0000

ENDE Merkmalsname


So wenden Sie die Funktion "Position" auf eine Gruppe von Kreisen und Zylindern an

  1. Erstellen Sie über die Menüoption Einfügen | Element | Abhängiges Element | Gruppe eine Elementgruppe der Bohrungen (siehe auch "Erstellen einer Elementgruppe" im Abschnitt "Erstellen von neuen Elementen aus vorhandenen Elementen"). Menü-Übersicht anzeigen

  2. Wählen Sie die Menüoption Position. Das Dialogfeld Position wird angezeigt.

  3. Wählen Sie im Dialogfeld Position die erstellte Elementgruppe als Eingabeelement aus sowie weitere Optionen für das Merkmal, falls erforderlich.

  4. Aktivieren Sie im Bereich Analyse das Kontrollkästchen Als Text.

  5. Greifen Sie auf das Protokollfenster zu (Ansicht | Protokollfenster) und wählen Sie aus der Symbolleiste Protokollieren das Symbol Protokollmodus anzeigen aus. Jetzt können Sie die Abweichung jedes einzelnen Elements erkennen und die Verschiebung und Drehung ermitteln, die erforderlich sind, um die Elemente in den Toleranzbereich zu bringen. Ergebnisse werden stets elementsgrößenneutral (RFS) auf dem Bezugselement angezeigt, damit die maximale Abweichung ersichtlich ist.


Verwenden von Bezugselementen

Als Bezugselemente für Positionsmerkmale kommen zwar viele verschiedene Elementkombinationen in Frage, bei der Auswahl der Bezugselemente sind jedoch einige allgemeine Richtlinien zu beachten.

Eine geläufige Situation, in der Positionsmerkmale zur Anwendung kommen, ist die Verwendung eines Kreises oder Zylinders als einziges Bezugselement.

Ein weiteres akzeptiertes Verfahren ist die Auswahl einer Gruppe von Bezugselementen, für die die 3-2-1-Ausrichtungsrichtlinien gelten. (Zur Erinnerung: Die Mindestdefinition für ein Bezugselement sind 3 Bezugselementpunkte zur Beschreibung des ersten Bezugselements, 2 Bezugselementpunkte zur Beschreibung des zweiten Bezugselements und 1 Bezugselementpunkt zur Beschreibung des dritten Bezugselements.) Die ausgewählten Elemente wären also eine Ebene, eine Gerade und dann ein einzelner Punkt.

3-2-1-Ausrichtungsrichtlinien können auch auf die Kombinationen Ebene/Gerade/Gerade, Ebene/Gerade/Kreis, Ebene/Zylinder/Zylinder und viele andere Kombinatinonen angewandt werden.

Wenn mehrere kreisförmige Elemente mit dem maximalen Materialwert (MMC) oder dem geringsten Materialwert (LMC) verwendet wurden:

  • Die Bonustoleranz von der TP-Achse ist wahrscheinlich keine einfache Addition anderer Bonustoleranzen, da eine Besteinpassungs-Berechnung zur Bestimmung der korrekten Bonustoleranz stattfindet.

  • Alle kreisförmigen oder Langloch-Elemente können unter Verwendung des MMC oder LMC gemessen werden.

  • Alle nicht kreisförmigen Elemente werden elementsgrößenneutral (RFS) gemessen.

Hinweis: Wurden Bezugselemente ausgewählt, werden die gemessenen und abgeleiteten Positionen der XYZ-, PA- und PR-Achsen relativ zur Ausrichtung der Bezugselemente berechnet; sie werden jedoch mit der aktuellen Ausrichtung angezeigt, um die Werte zu interpretieren. Die Bezugselemente müssen unter Verwendung der allgemeinen hier besprochenen Verfahren ausgewählt werden, da das Merkmal andernfalls unerwartete Ergebnisse erzielen könnte.

Siehe auch:

Verwenden der gleichen Bezugselemente beim Wiederholen von Merkmalen


Verwenden der gleichen Bezugselemente beim Wiederholen von Merkmalen

Wenn Sie die gleichen Bezugselemente eines früheren Positionsmerkmals verwenden möchten, wählen Sie das Element aus, für das ein Merkmal erstellt werden soll, und klicken Sie im Bereich Materialbedingungen auf die Schaltfläche Standard holen. Siehe auch Schaltfläche "Aufrufen".


Standardachsen für Positionsmerkmale

Über das Kontrollkästchen Standard können Sie das Format der Standardausgabe ändern. Wenn das Kontrollkästchen Auto markiert ist, werden die im Merkmal angezeigten Achsen entsprechend der Standardachsen des Elementtyps ausgewählt. In manchen Situationen könnte es jedoch erforderlich sein, die Standardeinstellung zu übersteuern. Wenn Sie die Standardausgabe ändern wollen, markieren Sie einfach die entsprechenden Kontrollkästchen.

X = druckt den Wert für die X-Achse.
Y = druckt den Wert für die Y-Achse.
Z = druckt den Wert für die Z-Achse.
PA = druckt den Wert für den Polarwinkel.
PR = druckt den Wert für den Polarradius.
D1 = druckt den Wert für den Durchmesser/die Breite des ersten Bezugselements.
D2 = druckt den Wert für den Durchmesser/die Breite des zweiten Bezugselements.
D3 = druckt den Wert für den Durchmesser/die Breite des dritten Bezugselements.
DF = druckt den Wert für den Durchmesser des Elements.
LF = druckt den Wert für die Länge des Elements, wenn dieses Element ein Langloch ist.
WF = druckt den Wert für die Breite des Elements, wenn es sich bei dem Element um ein Langloch handelt.
LD = druckt den Wert für die Länge des Bezugselements, wenn es sich dabei um ein Langloch handelt.
WD = druckt den Wert für die Breite des Bezugselements, wenn es sich dabei um ein Langloch handelt.
TP = druckt die Positionstoleranz und die dazugehörige Abweichung.
Form = druckt das integrierte Formmerkmal des Elements.
§ Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal.
§ Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal.
§ Bei einem Geradenelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.

Wenn die Ausgabewerte abweichend von den Standardwerten geändert wurden, verwendet PC-DMIS die neue Einstellung für alle nachfolgenden Merkmale. Wenn PC-DMIS dann wieder die ursprünglichen Standardachsen verwenden soll, müssen Sie das Format auf die Standardeinstellungen zurücksetzen.

Verfahren Sie dazu wie folgt:

  1. Markieren Sie das Kontrollkästchen Auto.

  2. Kreuzen Sie das Kontrollkästchen Standard an.

  3. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS setzt das Merkmal automatisch zurück, so dass die Standardachsen dem Elementtyp entsprechend gedruckt werden.

Hinweis: Wenn das Kontrollkästchen Auto markiert ist, bestimmt PC-DMIS die zu druckenden Standard achsen automatisch. Das Standardausgabeformat richtet sich nach dem Elementtyp. PC-DMIS bestimmt automatisch die Position des ausgewählten Elements anhand des dokumentierten Achsenformats (siehe Kästchen weiter oben).


Abweichung

Im Bereich Abweichung können Sie Optionen auswählen, die festlegen, auf welche Weise Abweichungen durchgeführt und im Bearbeitungsfenster angezeigt werden.

Siehe auch:

An Bezüge anpassen

Rechtwinklig zur Mittellinie verlaufende Abweichung

Als Radius anzeigen


An Bezüge anpassen

Das Kontrollkästchen An Bezüge anpassen bestimmt, ob PC-DMIS bei der Verwendung von Bezügen den Einpassungsalgorithmus aufruft oder nicht.

  • Ist dieses Kontrollkästchen aktiviert, ruft PC-DMIS den Einpassungsalgorithmus bei Angabe der Bezüge auf. Das betreffende Element wird dann in der eingepassten Position mit der Gesamtbonustoleranz, die die nach der Einpassung verbleibende Bonustoleranz darstellt, protokolliert.

  • Nachdem die Auswahl aufgehoben ist, analysiert PC-DMIS das Positionsmerkmal mit Elementen in ihrer gemessenen Position, ohne auf sie eine Einpassung anzuwenden. Bei der protokollierten Gesamtbonustoleranz handelt es sich um die gesamte, verfügbare Bonustoleranz des betreffenden Elements und des Bezugs, entsprechend den Bezugseinschränkungen.


Rechtwinklig zur Mittellinie verlaufende Abweichung

Über das Kontrollkästchen Rechtw. zur Mittellinie können Sie bestimmen, ob PC-DMIS die Abweichung rechtwinklig zur theoretischen Mittellinie des Elements berechnen soll oder ob sie rechtwinklig zu den direkten X-, Y- und Z-Werten berechnet wird.

  • Ist es ausgewählt, berechnet PC-DMIS die Abweichung rechtwinklig zur theoretischen Mittellinie des Elements, wobei jegliche Abweichung in Richtung der Mittellinie ignoriert wird.

  • Ist es nicht ausgewählt, berechnet PC-DMIS die Abweichung rechtwinklig zu den X-, Y- und Z-Werten des Elements.

Dieses Kontrollkästchen ist insbesondere bei Blechelementpunkten hilfreich, bei denen die Antastvektoren möglicherweise nicht entlang der X-, Y- oder Z-Achse ausgerichtet sind. Mit Hilfe dieses Kontrollkästchens ist es möglich, die Abweichung rechtwinklig zum Antastvektor ausfindig zu machen.


Als Radius anzeigen

Das Kontrollkästchen Als Radius anzeigen bestimmt, ob PC-DMIS anstelle der Durchmesser die Radii der Elemente und Bezugselemente anzeigt.

  • Wird dieses Kontrollkästchen aktiviert, zeigt PC-DMIS die Radii in den DF-, D1-, D2-, D3- und TP-Zeilen an und fügt Text in das Merkmalsfeld des Bearbeitungsfensters ein, wobei angegeben wird, ob das Merkmal den Radius oder den Durchmesser des Elements darstellt.

  • Wird das Kontrollkästchen deaktiviert, zeigt PC-DMIS die üblichen Durchmesser an.

Wichtig: Beachten Sie bitte, dass die Aktivierung dieses Kontrollkästchens nicht konform mit den ISO-Normen ist.


Axialelemente

Bei Axialelementen, wie beispielsweise Zylindern, können Sie bestimmen, an welcher Stelle der Achse das Positionsmerkmal durch PC-DMIS erzeugt werden soll. Sie können PC-DMIS anweisen, das Merkmal am Achsenschwerpunkt (oder Mittelpunkt), am Achsenanfangspunkt, am Achsenendpunkt, am schlechtesten Achsenende (dem Ende mit der größten Abweichung) oder an beiden Achsenenden zu erzeugen. Außerdem können Sie ein Merkmal in einer durch eine bestimmte Bezugslänge vorgegebenen Entfernung vom ausgewählten Punkt auf der Achse erstellen.

So arbeiten Sie mit der Bezugslänge:

  1. Geben Sie den gewünschten Wert in das Feld Bezugslänge ein.

  2. Wählen Sie einen der Optionsschalter aus (Vom Achsenschwerpunkt, Vom Achsenanfangspunkt, Vom Achsenendpunkt, Vom schlechtesten Achsenendpunkt oder Von beiden Achsenenden).

  3. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS lokalisiert den ausgewählten Punkt (oder die Punkte, wenn Sie die Option Von beiden Achsenenden gewählt haben) und bewegt sich über die durch die Bezugslänge vorgegebene Entfernung entlang der Achse, um dann dort das/die Merkmal/e zu erzeugen.

Option | Beschreibung
Bezugslänge | Der Wert in diesem Feld gibt die Entfernung von dem ausgewählten Punkt oder Achsenende an, an dem PC-DMIS das Positionsmerkmal erstellt.
Vom Achsenschwerpunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom Achsenschwerpunkt (oder -mittelpunkt) aus zu erstellen.
Vom Achsenanfangspunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom Achsenanfangspunkt aus zu erstellen.
Vom Achsenendpunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom Achsenendpunkt aus zu erstellen.
Vom schlechtesten Achsenendpunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom dem Achsenanfangs- oder Achsenendpunkt aus zu erzeugen, der die ungünstigsten Bedingungen der Messung aufweist. PC-DMIS erstellt das Merkmal an dem Achsenende, das am stärksten vom Nennwert abweicht. Wenn das Werkstück beispielsweise einen schräg verlaufenden Zylinder enthält, ist das Ende der Zylinderachse, das am stärksten vom Nennwert abweicht, der Punkt, bei dem die ungünstigsten Bedingungen erzielt werden.
Von beiden Achsenenden | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement sowohl vom Anfangs- als auch vom Endpunkt der ausgewählten Achse aus zu erstellen. PC-DMIS erstellt ein Merkmal an beiden Achsenenden.


Toleranzen für Positionsmerkmale

Im Bereich Toleranzen können Sie obere und untere Toleranzen für jede der Achsen in der Dropdown-Liste Achsen eingeben und bestimmte Materialbedingungs-Modifikatoren definieren.

So geben Sie Achsentoleranzen ein:

  1. Wählen Sie die Achse, für die Sie den Toleranzwert eingeben wollen.

  2. Geben Sie in das Feld OTol die Obere Toleranz für diese Achse ein.

  3. Geben Sie in das Feld UTol die Untere Toleranz für diese Achse ein.

  4. Wählen Sie die Materialbedingungs-Modifikatoren im Bereich Materialbedingung aus.

Sie können aus der Liste Toleranzen für mehrere Achsen festlegen. PC-DMIS speichert die definierten Toleranzen zusammen mit dem ausgewählten Listeneintrag. Selbst wenn Sie einen anderen Eintrag aus der Liste Achsen wählen und diesem andere Toleranzwerte zuordnen, haben Sie die Möglichkeit, zwischen den verfügbaren Achsen hin- und herzuschalten, um deren individuell gespeicherten Toleranzwerte anzuzeigen und (neu) festzulegen.

Siehe auch:

Achsen

OTol

UTol


Achsen

In der Auswahlliste Achsen finden Sie eine Auflistung aller verfügbaren Achsen, auf die Sie Obere- bzw. Untere Toleranzen anwenden können. Die Liste enthält folgendes:

ALLE | Anzeige aller Achsen und Optionen in der Auswahlliste
D1 | Durchmesser/Breite des ersten Bezugselements
D2 | Durchmesser/Breite des zweiten Bezugselements
D3 | Durchmesser/Breite des dritten Bezugselements
DF | Durchmesser/Breite des Elements
LF | Länge des Elements, wenn es sich bei dem Element um ein Langloch handelt
WF | Breite des Elements, wenn es sich bei dem Element um ein Langloch handelt
LD | Länge des Bezugselements, wenn es sich bei dem Bezugselement um ein Langloch handelt
WD | Breite des Bezugselements, wenn es sich bei dem Bezugselement um ein Langloch handelt
TP | Positionstoleranz und dazugehörige Abweichung
FORM | Das integrierte Formmerkmal des Elements. § Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal. § Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal. § Bei einem Geradenelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.


OTol

In das Feld OTol können Sie die positiven Toleranzwerte für die in der Dropdown-Liste Achsen gewählte Achse oder Achsen eingeben.


Untere Toleranz

In das Feld UTol können Sie die negativen Toleranzwerte für die in der Dropdown-Liste Achsen gewählte Achse oder Achsen eingeben.


 Units Analysis area Edit button Clear button Tolerances for Concentricity Dimensions Close button Create button Display check box Last Two button Feature List box ID Feature Search ID Output To area Units Analysis area Edit button Clear button Tolerances for Distance Dimensions Close button Create button Display check box Last Two button Feature List box ID Feature Search ID Output To area Distance Type area Orientation area Relationship area Circle Options area

Merkmal "Abstand" erstellen

Dialogfeld "Abstand"

Mit der Menüoption Einfügen | Merkmal | Abstand können Sie den Abstand zwischen zwei Elementen berechnen. Sie können ein drittes Element oder eine Achse für die in der Berechnung zu verwendende Richtung auswählen.

Die Berechnung des Abstands ist vom Konzept her etwas schwieriger als die meisten anderen Merkmalsberechnungen. Zur Berechnung des Abstands zwischen zwei Elementen wird entweder die Standardmethode oder die Geraden-Methode verwendet. Zweidimensionale Abstände, für die eine Gerade verwendet wurde, verlaufen parallel zur Arbeitsebene. Dreidimensionale Abstände, für die eine Gerade verwendet wurde, verlaufen von Flächenmittelpunkt zu Flächenmittelpunkt.

Siehe auch:

So bestimmen Sie das Merkmal eines Abstands mit der Option ABSTAND

Toleranzen für Abstandsmerkmale

Allgemeine Regeln für 2D- und 3D-Abstandsmerkmale

Relationen für Abstandsmerkmale

Ausrichtung für Abstandsmerkmale

Kreisoptionen


So bestimmen Sie das Merkmal "Abstand" mit der Option ABSTAND

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Abstand. Das Dialogfeld Abstand wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen oberen Toleranzwert in das Feld OTol ein.

  4. Geben Sie einen unteren Toleranzwert in das Feld UTol ein.

  5. Bestimmen Sie den Abstandstyp durch Auswahl der Option 2-dimensional bzw. 3-dimensional.

  6. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  7. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  8. Bestimmen Sie die Relation, durch die der Abstand definiert wird, durch die Auswahl der entsprechenden Option: Zum Element, Zur X-Achse , Zur Y-Achse oder Zur Z-Achse.

  9. Wählen Sie dann den Optionsschalter Rechtw. zu oder Parallel zu.

  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch auswählen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  13. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

MERKMAL Merkmalsname = 2D_ABSTAND VON Element_1 ZU Element_2 TOG1 ZU TOG2, TOG3, EINHEITEN=mm/ZOLL,
GRAF=EIN/AUS TEXT=EIN/AUS MULT=n AUSGABE=KEINE/PROTOKOLL/STAT
oder
MERKMAL Merkmalsname = 3D_ABSTAND VON Element_1 ZU Element_2, TOG3, EINHEITEN=mm/ZOLL,
GRAF=EIN/AUS TEXT=EIN/AUS MULT=n AUSGABE=KEINE/PROTOKOLL/STAT

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

TOG1 = PARAL / RECHTW (Parallel oder Rechtwinklig)

TOG2= X_ACHSE / Y_ACHSE / Z_ACHSE / Element

Arbeitsebene = dieses Feld kann auf jedes beliebige Element geändert werden. Die Standardeinstellung ist die aktuelle Arbeitsebene.

TOG3 = ADD_RAD/SUB_RAD


Toleranzen für Abstandsmerkmale

Im Bereich Toleranzen können Sie obere und untere Toleranzen für Abstände entlang der Plus- und Minus-Richtungen angeben.

Siehe auch:

Obere Toleranz

Untere Toleranz

Nennwert für Abstand


Obere Toleranz

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass alle Winkel, deren gemessener Wert größer als der Nenn- oder theoretische Winkel ist, gültige Winkel sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Untere Toleranz

In das Feld UTol können Sie einen Toleranzwert für die Minus- Richtung eingeben. Das bedeutet, dass alle Winkel, deren gemessener Wert kleiner als der Nenn- oder theoretische Winkel ist, gültige Winkel sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Nennwert für Abstand

Die Nennwerte für den Abstand zwischen Elementen basieren nicht immer auf CAD-Daten oder gemessenen Daten. Häufig erhalten Sie diese ausgedruckt auf Papier. Sie können dann das Feld Nennwert verwenden, um den auf der Papiervorlage angegebenen Nennwert für den Abstand einzugeben.


Allgemeine Regeln für 2D- und 3D-Abstandsmerkmale

Bei 2D- oder 3D-Abstandsmerkmalen kommen je nach zugehörigen Elementen folgende Regeln zur Anwendung:

Behandlung der Elemente

  • Kugeln, Punkte und Gruppen werden als Points behandelt.

  • Langlöcher, Zylinder, Kegel, Geraden und Kreise werden als Geraden behandelt.

  • Ebenen werden normal, d.h. als Ebenen behandelt.

Weitere Regeln

  • Wenn es sich bei beiden Elementen um Punkte gemäß der obigen Definition handelt, gibt PC-DMIS den kürzesten Punkt-zu-Punkt-Abstand aus.

  • Wenn eines der Elemente eine Gerade gemäß der obigen Definition darstellt und das andere einen Punkt, gibt PC-DMIS den kürzesten Abstand zwischen der Geraden (oder Mittellinie) und dem Punkt aus.

  • Wenn es sich bei beiden Elementen um Geraden handelt, gibt PC-DMIS den kürzesten Abstand zwischen dem Flächenmittelpunkt der zweiten Gerade und der ersten Gerade aus.

  • Wenn eines der Elemente eine Ebene und das andere eine Gerade ist, gibt PC-DMIS den kürzesten Abstand zwischen dem Flächenmittelpunkt der Geraden und der Ebene aus.

  • Wenn eines der Elemente eine Ebene und das andere ein Punkt ist, gibt PC-DMIS den kürzesten Abstand zwischen dem Punkt und der Ebene aus.

  • Wenn es sich bei beiden Elementen um Ebenen handelt, gibt PC-DMIS den kürzesten Abstand zwischen dem Flächenmittelpunkt der zweiten Ebene und der ersten Ebene aus.

Siehe auch:

2D-Abstand

3D-Abstand


2D-Abstand

Der maximale und minimale Abstand ist der zwischen zwei Geraden entlang der Länge dieser Geraden gemessene Abstand.

Mit der Option 2-dimensional wird die Berechnung des zweidimensionalen Abstands zwischen einzelnen Elementen veranlasst. Alle Elemente, die zur Berechnung des 2D-Abstands verwendet werden, werden vor Berechnung des Abstands in die aktuelle Arbeitsebene projiziert. PC-DMIS berechnet den größten, kleinsten und durchschnittlichen Abstand zwischen den beiden Elementen. Wenn der Abstand zwischen zwei Geraden oder Ebenen liegt, werden Maximum, Minimum und Durchschnitt auf Basis der Messpunktdaten berechnet. (Vergewissern Sie sich, dass der Abstandstyp auf 2-dimensional eingestellt ist.)

Zweidimensionale Abstände, die unter Verwendung von drei Elementen berechnet werden, verlaufen entweder parallel oder im rechten Winkel zu einem Bezugselement. Das Bezugselement kann ein beliebiges, bereits gemessenes oder erstelltes Element sein.

So berechnen Sie den Abstand auf Basis von drei Elementen:

  1. Wählen Sie zwei der Elemente, die zur Berechnung des Abstands verwendet werden sollen.

  2. Wählen Sie das dritte (Bezugs-) Element. (Sie erzielen die besten Ergebnisse, wenn Sie als drittes Element eine Gerade wählen.)

  3. Vergewissern Sie sich, dass die richtige Ausrichtung markiert ist.

  4. Wählen Sie das Kontrollkästchen Zum Element aus.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS berechnet den Abstand zwischen den ersten beiden Elementen parallel oder im rechten Winkel zum dritten (Bezugs-) Element oder der Achse.

Hinweis: Wird die Schaltfläche Schließen gewählt, schließt PC-DMIS das Dialogfeld Abstand, ohne ein weiteres Merkmal zu erstellen.


3D-Abstand

Mit der Option 3-dimensional wird die Berechnung des dreidimensionalen Abstands zwischen zwei Elementen veranlasst.

  • Wenn eines der Eingabeelemente eine Gerade, Mittellinie oder Ebene ist, berechnet PC-DMIS den 3D-Abstand senkrecht zu diesem Element.

  • Wenn beide Elemente Geraden, Mittellinien oder Ebenen sind, wird das zweite Element als Bezugselement verwendet.

  • Wenn keines der Eingabeelemente eine Gerade, Mittellinie oder Ebene ist, berechnet PC-DMIS den kürzesten Abstand zwischen den beiden Elementen. (Vergewissern Sie sich, dass 3-dimensional eingestellt ist.)


Relationen für Abstandsmerkmale

Mit Hilfe der Kontrollkästchen in dem Bereich Relation des Dialogfelds können Sie bestimmen, ob der Abstand, der zwischen zwei Elementen ermittelt wird, im rechten Winkel oder parallel zu einer bestimmten Achse verläuft, oder ob er im rechten Winkel oder parallel zu einem ausgewählten Element verläuft.

Siehe auch:

Zum Element

Zur X-Achse

Zur Y-Achse

Zur Z-Achse


Kontrollkästchen "Zum Element"

Wenn Sie das Kontrollkästchen Zum Element aktivieren, werden die Optionen Rechtw. zu und Parallel zu im Bereich Richtung zur Auswahl verfügbar. Über diese Optionen wird PC-DMIS angewiesen, den Abstand zwischen dem ersten ausgewählten Element und dem zweiten ausgewählten Element parallel oder rechtwinklig zu einem bestimmten Element zu messen.

Wenn nur zwei Elemente aus der Liste ausgewählt wurden, berechnet PC-DMIS den Abstand zwischen Element 1 und Element 2 parallel oder rechtwinklig zu Element 2.

Wenn drei Elemente aus der Liste ausgewählt wurden, berechnet PC-DMIS den Abstand zwischen Element 1 und Element 2 parallel oder rechtwinklig zu Element 3.

Das Element, das zur Bildung der Relation verwendet wird, sollte ein lineares Element sein.


Kontrollkästchen "Zur X-Achse"

Wählen Sie das Kontrollkästchen Zur X-Achse, wenn Sie den Abstand vom ersten ausgewählten Element zum zweiten ausgewählten Element parallel oder rechtwinklig zu dessen X-Achse messen wollen.


Kontrollkästchen "Zur Y-Achse"

Wählen Sie das Kontrollkästchen Zur Y-Achse, wenn Sie den Abstand vom ersten ausgewählten Element zum zweiten ausgewählten Element parallel oder rechtwinklig zu dessen Y-Achse messen wollen.


Kontrollkästchen "Zur Z-Achse"

Wählen Sie das Kontrollkästchen Zur Z-Achse, wenn Sie den Abstand vom ersten ausgewählten Element zum zweiten ausgewählten Element parallel oder rechtwinklig zu dessen Z-Achse messen wollen.


Ausrichtung für Abstandsmerkmale

Bei der Messung des Abstands zwischen zwei Elementen können Sie mit Hilfe der folgenden beiden Optionen bestimmen, wie der Abstand gemessen werden soll.

  • Der Abstand kann entweder parallel oder rechtwinklig zwischen dem ersten und dem zweiten ausgewählten Element oder einem anderen ausgewählten Element gemessen werden.

  • Der Abstand zwischen dem ersten und dem zweiten ausgewählten Element kann parallel oder im rechten Winkel zu einer bestimmten Achse gemessen werden.

Mit Hilfe der Optionen Rechtw. zu bzw. Parallel zu können Sie die Ausrichtung der Elemente bestimmen.

Siehe auch:

Rechtwinklig zu

Parallel zu


Rechtwinklig zu

Markieren Sie die Option Rechtw. zu, wenn der Abstand zwischen den beiden Elementen entweder im rechten Winkel zum zweiten Element oder im rechten Winkel zu einer bestimmten Achse verläuft.


Parallel zu

Markieren Sie die Option Parallel zu, wenn der Abstand zwischen den beiden Elementen entweder parallel zum zweiten Element oder parallel zu einer bestimmten Achse verläuft.


Kreisoptionen

Mit der Option Radius add. bzw. Radius subtr. im Bereich Kreisoptionen können Sie PC-DMIS anweisen, den Radius des gemessenen Elements zum Gesamtabstand hinzuzuaddieren bzw. von diesem zu subtrahieren. Der addierte bzw. subtrahierte Betrag verläuft stets entlang desselben Vektors, mit dem der Abstand berechnet wird. Es steht nur jeweils eine der Optionen zur Verfügung.

Bei Verwendung der Option Kein Radius wird der Radius des Elements nicht auf den gemessenen Abstand angewendet.


 ID Feature Search ID Feature List box Last Two button Clear button Display check box Create button Close button Tolerances for Angle Dimensions Edit button Output To area Analysis area Relationship area Angle Type area

Merkmal "Winkel" erstellen

Dialogfeld "Winkel"

Mit der Menüoption Einfügen | Merkmal | Winkel können Sie den Winkel zwischen zwei ausgewählten Elementen berechnen. (Stellen Sie sicher, dass die Option Zum Element ausgewählt ist.) Wird nur ein Element angegeben, wird der Winkel zwischen der Hauptachse der aktuellen Arbeitsebene (X ist die Standardachse) und dem ausgewählten Element berechnet. Wenn der von PC-DMIS zurückgegebene Winkel nicht im richtigen Quadranten liegt (0,0 und nicht 180,0), geben Sie einfach den richtigen Nennwinkel in das Bearbeitungsfenster ein. PC-DMIS wandelt den Quadranten automatisch um, so dass dieser dem Nennwinkel entspricht.

Die Richtung der Linien bestimmt den Winkel, der gemessen wird.

Mit dem Winkelmerkmal wird der Winkel zwischen den angegebenen Elementen berechnet und geprüft, ob sich der Winkel innerhalb der Toleranzen befindet. Das Toleranzband des Winkelmerkmals ist in Radianten oder Grad definiert und bildet einen Winkel.

Der gemessene Wert ist ein Winkel (blau). Das Toleranzband des Winkels ist ein anderer Winkel (schwarz).

Siehe auch:

So bestimmen Sie das Merkmal "Winkel" zwischen zwei Elementen

Toleranzen für Winkelmerkmale

Winkeltyp

Relation für Zwischenwinkelmerkmale


So bestimmen Sie das Merkmal "Winkel" zwischen zwei Elementen

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Winkel. Das Dialogfeld Winkel wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Geben Sie einen Minustoleranzwert in das Feld UTol ein.

  5. Bestimmen Sie den Winkeltyp durch Wahl der Option 2-dimensional oder 3-dimensional.

  6. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  7. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  8. Bestimmen Sie die Relation, durch die der Winkel definiert wird, durch die Auswahl der entsprechenden Option: Zum Element, Zur X-Achse , Zur Y-Achse oder Zur Z-Achse.

  9. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  10. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  11. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = 2D_WINKELTOG1,ZW. elem_1,ZU elem_2,TOG2,Arbeitsebene
oder
Merkmalsname = 3D_WINKELTOG1,ZW. elem_1,ZU elem_2,TOG2,Arbeitsebene

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
A | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

TOG1= WAHR / KOMPLEMENT Anhand dieses Felds kann überprüft bzw. geändert werden, ob die Winkelabmessung den wahren Winkel oder eine Ergänzung des wahren Winkels zwischen den beiden Elementen ermittelt.

TOG2= PARALLELzu / RECHTWINKLIGzu

Arbeitsebene = dieses Feld kann auf jedes beliebige Element geändert werden. Die Standardeinstellung ist die aktuelle Arbeitsebene.


Toleranzen für Winkelmerkmale

Im Bereich Toleranzen können Sie Plus- und Minustoleranzen (obere oder untere Toleranzen) entlang der Plus- und Minus-Richtungen angeben.

Siehe auch:

Obere Toleranz

Untere Toleranz

Nennwert für Zwischenwinkel


Obere Toleranz

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass alle Profile, deren gemessener Wert größer als das Nenn- oder theoretische Profil ist, nach wie vor gültige Messungen sein können, sofern es innerhalb des angegebenen Toleranzbereichs liegen.

PC-DMIS lässt auch negative Toleranzen im positiven Bereich zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld OTol.


Untere Toleranz

In das Feld UTol können Sie einen Toleranzwert für die Minus- Richtung eingeben. Das bedeutet, dass alle Profile, deren gemessener Wert kleiner als das Nenn- oder theoretische Profil ist, gültige Messungen sein können, solange sie innerhalb des angegebenen Toleranzbereichs liegen.

PC-DMIS lässt positiv-niedrigere Toleranzen (oder eine positive Toleranz im negativen Bereich) zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld UTol.


Nennwert für Zwischenwinkel

Die Nennwerte für Winkelmerkmale basieren nicht immer auf CAD-Daten oder gemessenen Daten. Häufig erhalten Sie diese ausgedruckt auf Papier. Sie können dann das Feld Nennwert verwenden, um den auf der Papiervorlage angegebenen Nennwert für den Abstand einzugeben.


Winkeltyp

Im Bereich "Winkeltyp" wird angegeben, ob der Winkel zwei- oder dreidimensional ist.

Siehe auch:

Zweidimensionaler Winkeltyp

Dreidimensionaler Winkeltyp


Zweidimensionaler Winkeltyp

Mit der Option 2-dimensional wird die Berechnung des zweidimensionalen Abstands (Winkel) zwischen einzelnen Elementen veranlasst.


Dreidimensionaler Winkeltyp

Mit der Option 3-dimensional wird die Berechnung des dreidimensionalen Winkels zwischen einzelnen Elementen veranlasst. Ist nur ein Element ausgewählt, wird der Winkel zwischen der aktuellen Arbeitsebene und dem ausgewählten Element berechnet. Hinweise zur Umwandlung des Quadranten des zurückgegebenen Winkels finden Sie unter "Merkmal "Winkel" erstellen".


Relation für Zwischenwinkelmerkmale

Mit den Kontrollkästchen in dem Bereich Realtion des Dialogfelds können Sie bestimmen, ob das Winkelmerkmal den Winkel zwischen zwei Elementen oder zwischen dem Element und einer bestimmten Achse: X-Achse, Y-Achse und Z-Achse berechnet.

Siehe auch:

Zum Element

Zur X-Achse

Zur Y-Achse

Zur Z-Achse


Zum Element

Wählen Sie das Kontrollkästchen Zum Element, wenn Sie den Winkel zwischen zwei Elementen messen wollen.

Das zweite Element ist dann das Bezugselement.


Zur X-Achse

Markieren Sie das Kontrollkästchen Zur X-Achse, wenn Sie den Winkel zwischen einem Element und der X-Achse messen wollen.


Zur Y-Achse

Markieren Sie das Kontrollkästchen Zur Y-Achse, wenn Sie den Winkel zwischen einem Element und der Y-Achse messen wollen.


Zur Z-Achse

Markieren Sie das Kontrollkästchen Zur Z-Achse, wenn Sie den Winkel zwischen einem Element und der Z-Achse messen wollen.


Merkmal "Konzentrizität" erstellen

Dialogfeld "Konzentrizität"

Wird als erstes Element eine Kugel gewählt, so muss das zweite Element ebenfalls eine Kugel sein. PC-DMIS nimmt dann eine dreidimensionale Berechnung der Konzentrizität zwischen den beiden Elementen vor.

Mit der Menüoption Einfügen | Merkmal | Konzentrizität können Sie die Konzentrizität von zwei Kreisen oder Zylindern, Kegeln oder Kugeln berechnen. Als zweites Element wird stets das Bezugselement eingegeben. Dies kann ein Geradenelement sein, das eine Achse darstellt. Ist nur ein Element ausgewählt, wird die aktuelle Arbeitsebene zum Bezugselement. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option KONZENTRIZITÄT

Toleranz für Konzentrizitätsmerkmale


So bestimmen Sie das Merkmal eines Elements mit der Option KONZENTRIZITÄT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Konzentrizität. Das Dialogfeld Konzentrizität wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = KONZENTRIZITÄT,VON elem_1, ZU elem_2

oder

Merkmalsname = KONZENTRIZITÄT,VON elem_1, ZUM NULLPUNKT

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Toleranz für Konzentrizitätsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Konzentrizität, deren gemessener Wert größer als die Nenn- oder theoretische Konzentrizität ist, nach wie vor eine gültige Konzentrizität sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


 Projection area Units area Analysis area Edit button Clear button Plus Tolerance for Coaxiality Close button Create button Display check box Last Two button Feature List box ID Feature Search ID Output To area

Merkmal "Koaxialität" erstellen

Dialogfeld "Koaxialität"

Mit der Menüoption Einfügen | Merkmal | Koaxialität wird die Koaxialität eines Zylinders, Kegels oder einer Geraden mit einem Bezugselement berechnet. Als zweites Element wird stets das Bezugselement eingegeben. Dies kann ein Zylinder, Kegel, eine Gerade oder ein Kreis sein. Wenn nur ein Element ausgewählt wurde und Sie auf Erzeugen klicken, wird PC-DMIS die Inhalte des Listenfelds löschen und Ihnen in einer eingeblendeten Meldung mitteilen, dass ein zweites Element benötigt wird.

Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option KOAXIALITÄT

Plustoleranz für Koaxialmerkmale

Projizierter Abstand für die Koaxialität


So bestimmen Sie das Merkmal eines Elements mit der Option KOAXIALITÄT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Koaxialität. Das Dialogfeld Koaxialität wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie eines der Kontrollkästchen oder beide markieren. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = KOAXIALITÄT, BEZÜGLICH elem_1, ZU elem_2
oder
Merkmalsname = KOAXIALITÄT, BEZÜGLICH elem_1, ZUM NULLPUNKT

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Hinweis: Das Dialogfeld bleibt offen, nachdem das Merkmal erstellt worden ist. Bei Bedarf können Sie jetzt auf die Schaltfläche Bearbeiten klicken und Aspekte Ihrer Merkmalsinformationen bearbeiten (siehe "Standard-Merkmal-Info bearbeiten").


Obere Toleranz für Koaxialmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Koaxialität, deren gemessener Wert größer als die Nenn- oder theoretische Koaxialität ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für die Koaxialität

PC-DMIS gestattet auch die Projektion eines Bezugsabstands. Diese Option ist nützlich, wenn die Punkte entlang der Elementachse zur Berechnung der Koaxialität verwendet werden sollen. Wenn dieser Abstand gleich Null ist, werden die beiden Endpunkte der Elementachse als Berechnungspunkte verwendet. Wenn dieser Abstand ungleich Null ist, werden als Berechnungspunkte der Anfangspunkt der Achse sowie der Abstand vom Anfangspunkt entlang des Achsenvektors verwendet.

Der Fehler wird durch eine Erhöhung des projizierten Abstands vergrößert. Eine Verringerung des Abstands reduziert den Fehler. Angenommen, es liegen zwei Zahnstocher in einer Linie aufgereiht auf dem Tisch, die einander an einem Ende berühren. Am anderen Ende des Zahnstochers, etwa 5 cm weiter, könnte die Abweichung von ihren Mittellinien 0,012 cm betragen. Nehmen wir nun an, dass diese Zahnstocher 50 cm lang wären, sich immer noch an einem Ende berühren würden und die Abweichung über einen Abstand von 5 cm 0,012 cm betragen würde. In 50 cm Entfernung vom ersten Ende könnten die Zahnstocher jedoch einen Fehler von 0,12 cm aufweisen.

Mit dem Wert, den Sie in das Feld Abstand eingeben, wird die Gesamtlänge des Elements angegeben.


Merkmal "Rundheit" erstellen

Dialogfeld "Rundheit"

Zur Bestimmung der Rundheit dieses Elements sind ein Messpunkt sowie die Mindestanzahl an Messpunkten dieses Elements notwendig. Zusätzliche Messpunkte liefern eine bessere Darstellung der Rundheit des gesamten Elements.

Mit der Menüoption Einfügen | Merkmal | Rundheit können Sie die Rundheit eines Kreises, die Sphärizität (Kugelförmigkeit) einer Kugel und die Konizität (Kegelformigkeit) eines Kegels ermitteln. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option RUNDHEIT

Plustoleranz für Rundheitsmerkmale


So bestimmen Sie das Merkmal eines Elements mit der Option RUNDHEIT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Rundheit. Das Dialogfeld Rundheit wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = RUNDHEIT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Obere Toleranz für Rundheitsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Rundheit, deren gemessener Wert größer als die Nenn- oder theoretische Rundheit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal "Zylindrizität" erstellen

Dialogfeld "Zylindrizität"

Mit der Menüoption Einfügen | Merkmal | Zylindrizität können Sie die Zylindrizität eines Zylinders ermitteln. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option ZYLINDRIZITÄT

Plustoleranz für Zylindrizitätsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option ZYLINDRIZITÄT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Zylindrizität. Das Dialogfeld Zylindrizität wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en. Sie können lediglich das Element Zylinder auswählen.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = ZYLINDRIZITÄT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Obere Toleranz für Zylindrizitätsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Parallelität, deren gemessener Wert größer als die Nenn- oder theoretische Parallelität ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal "Geradheit" erstellen

Dialogfeld "Geradheit"

Zur Bestimmung der Geradheit einer Geraden sind mindestens drei Messpunkte erforderlich.

Mit der Option Einfügen | Merkmal | Geradheit wird die Geradheit einer Geraden berechnet. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option GERADHEIT

Obere Toleranz für Geradheitsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option GERADHEIT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Geradheit. Das Dialogfeld Geradheit wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen "Grafisch" markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = GERADHEIT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Obere Toleranz für Geradheitsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Geradheit, deren gemessener Wert größer als die Nenn- oder theoretische Geradheit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal "Ebenheit" erstellen

Dialogfeld "Ebenheit"

Zur Bestimmung der Ebenheit einer Ebene sind mindestens vier Messpunkte erforderlich.

Mit der Menüoption Einfügen | Merkmal | Ebenheit können Sie die Ebenheit einer Ebene ermitteln. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option EBENHEIT

Obere Toleranz für Ebenheit


So erstellen Sie das Merkmal eines Elements mit der Option EBENHEIT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Ebenheit. Das Dialogfeld Ebenheit wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = EBENHEIT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Obere Toleranz für Ebenheit

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Ebenheit, deren gemessener Wert größer als die Nenn- oder theoretische Ebenheit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


 Units area Analysis area Edit button Clear button Plus Tolerance for Perpendicularity Close button Create button Display check box Last button Feature List box ID Feature Search ID Output To area Projected Distance Material Conditions area

Merkmal "Rechtwinkligkeit" erstellen

Dialogfeld "Rechtwinkligkeit"

Mit der Menüoption Einfügen | Merkmal | Rechtwinkligkeit können Sie die Rechtwinkligkeit zwischen zwei Elementen berechnen. Das zweite Element ist stets das Bezugselement. Ist nur ein Element ausgewählt, wird die aktuelle Arbeitsebene zum Bezugselement. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option RECHTWINKLIGKEIT

Obere Toleranz für Rechtwinkligkeitsmerkmale

Projizierter Abstand für Rechtwinkligkeitsmerkmale


So bestimmen Sie das Merkmal eines Elements mit der Option RECHTWINKLIGKEIT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Rechtwinkligkeit. Das Dialogfeld Rechtwinkligkeit wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Wählen Sie die entsprechenden Optionen für Materialbedingung für das Element (bzw. die Elemente) und das Bezugselement aus.

  4. Wird ein Bezugselement gewünscht, aktivieren Sie das Kontrollkästchen Bezüge verwenden und wählen Sie ein weiteres Element im Feld Elementliste aus.

  5. Wählen Sie die entsprechenden Optionen für Materialbedingung für das Element (bzw. die Elemente) und das Bezugselement aus.

  6. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  7. Geben Sie den projizierten Abstand in das Feld Abstand ein.

  8. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  9. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  13. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = RECHTWINKLIG,ZU elem_1, ZU elem_2

oder

Merkmalsname = RECHTWINKLIG,ZU elem_1,ZUArbeitsebene

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Obere Toleranz für Rechtwinkligkeitsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Rechtwinkligkeit, deren gemessener Wert größer als die Nenn- oder theoretische Rechtwinkligkeit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für Rechtwinkligkeitsmerkmale

PC-DMIS gestattet die Eingabe eines Bezugsabstands in das Feld Abstand. Diese Option ist nützlich, wenn sich das Element nicht nur im rechten Winkel zum Bezugselement befinden, sondern auch in einem bestimmten Abstand vom Bezugselement berechnet werden muss.


 Units area Analysis area Edit button Clear button Plus Tolerance for Parallelism Close button Create button Display check box Last button Feature List box ID Feature Search ID Output To area Projected Distance Material Conditions area

Merkmal "Parallelität" erstellen

Dialogfeld "Parallelität"

Mit der Menüoption Einfügen | Merkmal | Parallelität können Sie die Parallelität zwischen zwei Elementen ermitteln. Das zweite Element ist stets das Bezugselement. Ist nur ein Element ausgewählt, wird die aktuelle Arbeitsebene zum Bezugselement. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie ein Merkmal mit der Option PARALLELITÄT

Obere Toleranz für Parallelitätsmerkmale

Projizierter Abstand für Parallelitätsmerkmale


So erstellen Sie ein Merkmal mit der Option PARALLELITÄT

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Parallelität. Das Dialogfeld Parallelität wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Wird ein Bezugselement gewünscht, aktivieren Sie das Kontrollkästchen Bezüge verwenden

  4. und wählen Sie im Feld Elementliste ein weiteres Element aus.

  5. Wählen Sie die entsprechenden Optionen für Materialbedingung für das Element (bzw. die Elemente) und das Bezugselement aus.

  6. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  7. Geben Sie unter Projektion den Abstand in das Feld Abstand ein.

  8. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  9. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  13. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = PARALLELITÄT,VON elem_1,TOG1,ZU elem_2,TOG1

oder

Merkmalsname = PARALLELITÄT,VON elem_1,TOG1,ZUArbeitsebene

ACH | NENNW | OTOL | UTOL | BON | MESS | MAX | ABW | AUSTOL
DF D1 M | 1.0000 0.0000 0.0000 | 0.0100 0.0100 0.0100 | 0.0100 0.0100 0.0100 | 0.0000 0.0000 0.0000 | 1.0000 0.0000 0.0000 | 0.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 0.0000

TOG1= MMC / RFS / LMC


Obere Toleranz für Parallelitätsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Parallelität, deren gemessener Wert größer als die Nenn- oder theoretische Parallelität ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für Parallelitätsmerkmale

PC-DMIS gestattet die Eingabe eines Bezugsabstands in das Feld Abstand. PC-DMIS legt diesen Wert bei der Berechnung des Parallelitätsmerkmals bei Zylinder-, Kegel- und Geradenelementen zugrunde.

Bei diesen Elementen werden der Endpunkt der Achse und ein von diesem Endpunkt entlang der Elementachse projizierter Punkt als Punkte für die Berechnung der Parallelität zugrundegelegt.

Der Abstand zwischen diesen beiden Punkten ist der Abstand, auf den Bezug genommen wird. Bei anderen Elementen wirkt sich dieser Abstand nicht auf das Merkmal aus. Diese Option ist nützlich, wenn das Merkmal in einem bestimmten Abstand entlang des Elements berechnet werden muss.

Hinweise zum Projektionsabstand bei der Parallelität

In der Regel verwendet das Parallelitätsmerkmal den Geradenvektor eines Bezugselements und prüft die Endpunkte des Elements, für das das Merkmal erstellt wird, daraufhin, ob sie innerhalb der angezeigten Toleranz liegen:

In einigen Fällen kann jedoch nicht immer ganz bis zur Geradenkante gemessen werden. In diesen Fällen müssen Sie die Gerade um einen bestimmten Abstand verlängern.

Da Extremabweichungen gewöhnlich an den Geradenenden auftreten, werden Sie in der Regel größere Abweichungen erhalten, wenn Sie die Gerade um mehr als die tatsächliche Geradenlänge verlängern. Es besteht auch die Möglichkeit, die der Geraden gegenüberliegende Richtung zu verlängern, indem eine negative Bezugslänge verwendet wird.

Eine verlängerte Gerade könnte etwa folgendermaßen aussehen:

Sie können auch über das Feld Abstand eine Bezugslänge eingeben, um beispielsweise eine Zylinderachse zu prüfen.


Merkmal "Lauf" erstellen

 Units area Analysis area Edit button Clear button Plus Tolerance for Parallelism Close button Create button Display check box Last button Feature List box ID Feature Search ID Output To area Units area Analysis area Edit button Clear button Plus Tolerance for Parallelism Close button Create button Display check box Last button Feature List box ID Feature Search ID Output To area

Merkmale "Gesamtlauf" oder "Rundlauf" erstellen

Dialogfelder "Gesamtlauf" und "Rundlauf"

Mit der Menüoption Einfügen | Merkmal | Lauf und Gesamtlauf können Sie den Umlauf des ersten Elements in Bezug auf das zweite Element ermitteln (d.h., das zweite Element wird zum Bezugselement). Ist nur ein Element ausgewählt, werden der Nullpunkt und die aktuelle Arbeitsebene zum Bezugselement. In diesem Fall verwendet PC-DMIS die Position des Nullpunkts und der Richtung der Arbeitsebene für das Bezugselement. Der im Bearbeitungsfenster für das Bezugselement angezeigte Text lautet "DER NULLPUNKT".

  • Die Option "Rundlauf" kann in Verbindung mit Kreisen, Kegeln, Zylindern und Kugeln eingesetzt werden.

  • "Gesamtlauf" wird in Verbindung mit Zylindern, Kegeln und Ebenen eingesetzt.

Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

Informationen zur Funktion "Lauf"

So bestimmen Sie das Merkmal eines Elements mit der Option LAUF

Obere Toleranz für Laufmerkmale


Informationen zur Funktion "Lauf"

Ein Laufmerkmal findet allgemein Anwendung für Operationen in Verbindung mit Nockenwellen. Eine Nockenwelle ist zur Rotation um eine Mittellinie konzipiert. Aufgrund der Tatsache, dass die einzelnen Zylinder der Nockenwelle alle auf derselben Mittellinie liegen, ist nicht nur sicherzustellen, dass die Mittellinie parallel ist, sondern auch, dass die Zylinder koaxial (oder konzentrisch) sind.

Beispiel für eine Nockenwelle

Außerdem sollten Sie sich vergewissern, dass die Zylinderoberfläche rund und gerade ist (das heißt, gerade im Vergleich mit einer separaten Bezugs-Achse, nicht nur mit der eigenen Achse).

Der Hauptunterschied zwischen "Lauf" und "Parallelität" besteht darin, dass das Laufmerkmal die Punkte auf der Oberfläche eines Zylinders prüft und nicht nur die Achse des Zylinders. Das Laufmerkmal unterscheidet sich auch von dem Geradheitsmerkmal eines Zylinders, da es die Zylinderoberfläche mit einer Bezugsachse und nicht nur mit der eigenen Achse vergleicht. Ein Laufmerkmal prüft diese Bedingungen.

Siehe auch:

Wie Lauf gemessenen wird

Zwei Laufkategorien: "Rund" oder "Gesamt"

Lauf zur Prüfung eines Zylinderendes verwenden


Wie Lauf gemessenen wird

Das übliche Verfahren zur Messung eines Laufs ohne ein KMG ist, eine kleine Messuhr auf die Oberfläche eines Zylinders zu setzen, die Uhr zu nullen und den Zylinder dann zu drehen. Während der Zylinderdrehung misst die Messuhr alle Differenzen entlang des Kreises.

Lauf mit einer Messuhr

Ein KMG wendet im Grunde dasselbe Verfahren an. Allerdings dreht sich der KMG-Taster um den Zylinder und nimmt eine bestimmte Anzahl von Messpunkten auf, statt dass der Zylinder gedreht wird.

Das Toleranzband für den Lauf würde etwa folgendermaßen aussehen:

Beispiel Toleranzband für Lauf (gestrichelte Linien)

Das Toleranzband hat folgende Eigenschaften:

  • Die Breite entspricht dem Wert der oberen Toleranz.

  • Es verläuft parallel zum Bezugsvektor (etwa der Achse einer anderen Geraden oder eines Zylinders).

  • Es ist in einem bestimmten Radius von der Zylinderachse fixiert.


Zwei "Lauf"-Kategorien: "Rund" oder "Gesamt"

Es gibt zwei Kategorien für Lauf:

  • Mit der Option "Rundlauf" wird nur ein Kreis, also eine Messpunktreihe, um den Zylinder herum gemessen.

  • Der Gesamtlauf misst mehrere Kreise in Aufwärts- und Abwärtsrichtung entlang der gesamten Zylinderoberfläche mit mehreren Messpunktreihen.

Offensichtlich unterliegt die Verwendung eines KMGs für den Gesamtlauf Beschränkungen, da Sie kaum 100 Messpunktreihen um den Zylinder aufnehmen werden. Wenn aber beispielsweise nur drei Messpunktreihen aufgenommen werden, wird dies kaum zur Bestimmung des Gesamtlaufs ausreichen.

Dennoch bietet PC-DMIS die Möglichkeit, sowohl den kreisförmigen als auch den gesamten Lauf zu bemaßen. Sie selbst können bestimmen, ob genug Reihen für den Zylinder gemessen wurden oder nicht.


Lauf zur Prüfung eines Zylinderendes verwenden

PC-DMIS bietet Ihnen außerdem die Möglichkeit, noch ein anderes im Standard vorgegebenes Laufmerkmal zu prüfen: die Ebenenprüfung für eines der Zylinderenden. Die Toleranz für diesen Lauftyp liegt auf einer festen Ausrichtung im rechten Winkel zur Bezugs-Achse.

Beispiel-Lauf eines Zylinderendes


So bestimmen Sie das Merkmal eines Elements mit der Option LAUF

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Gesamtlauf oder Rundlauf. Es erscheint das Dialogfeld Gesamt lauf oder Rundlauf. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = LAUF,VON elem_1, ZU elem_2

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Obere Toleranz für Laufmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass jeder Lauf, dessen gemessener Wert größer als der Nenn- oder theoretische Lauf ist, nach wie vor eine gültige Messung sein kann, sofern er innerhalb des angegebenen Toleranzbereichs liegt.


 ID Feature Search ID Feature List box Last button Clear button Display check box Create button Close button Tolerance for Straightness Dimensions Edit button Output To area Analysis area Units area Control Options area Best Fit Options area Units area Analysis area Edit button Clear button Tolerances for Line Profile Close button Create button Display check box Last Two button Feature List box ID Feature Search ID Output To area Control Options area Best Fit Options area

Merkmale "Flächenprofil" oder "Linienprofil" erstellen

Dialogfeld "Flächenprofil"

Dialogfeld "Linienprofil"

Mit der Menüoption Flächenprofil wird der dreidimensionale Profilfehler einer Fläche oder eines Kurvenelements berechnet Einfügen | Merkmal | Profil | Fläche). Menü-Übersicht anzeigen

Mit der Menüoption Linienprofil wird der zweidimensionale Profilfehler einer Kurve berechnet (Einfügen | Merkmal | Profil | Linie ). Menü-Übersicht anzeigen

Hinweis: Die Option für das Profilmerkmal wurde gegenüber PC-DMIS 3.0 und früheren Versionen geändert. In der aktuellen Version kann jetzt jedes beliebige Element für einen Profil-Scan verwendet werden.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option FLÄCHENPROFIL

So erstellen Sie das Merkmal für ein 2D-Element mit der Option LINIENPROFIL

Toleranzen für Flächenprofilmerkmale

Toleranzen für Linienprofilmerkmale

Steuerungsoptionen für Flächenprofilmerkmale

Steuerungsoptionen für Linienprofilmerkmale

Besteinpassungsoptionen für Flächenprofilmerkmale

Besteinpassungsoptionen für Linienprofilmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option FLÄCHENPROFIL

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Fläche. Das Dialogfeld Flächenprofil wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en. Wenn auch ein Bezugselement gewählt wird, muss es sich dabei um eine Ebene handeln.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Geben Sie einen Minustoleranzwert in das Feld UTol ein.

  5. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  6. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  7. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  8. Wählen Sie im Bereich Steuerungsoptionen des Dialogfelds die Option Nur Form oder Form und Lage.

  9. Wenn Sie Nur Form gewählt haben, aktivieren Sie das Kontrollkästchen Besteinpassung verwenden. Dadurch wird veranlasst, dass das Merkmal die Funktion der internen Besteinpassungsausrichtung nutzt, so dass die Form solange gedreht und verschoben wird, bis die Besteinpassung für das Element gefunden wurde.

  10. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  11. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  • Wenn Sie zuvor die Option Form und Lage ausgewählt haben, vergewissern Sie sich, dass Sie das Kontrollkästchen Min./Max. im Bereich Merkmallayout des Dialogfelds Standard Merkmal Info bearbeiten markiert haben.

  • Wenn Sie zuvor die Option Nur Form ausgewählt haben, vergewissern Sie sich, dass Sie das Kontrollkästchen Messwert im Bereich Merkmallayout des Dialogfelds Standard Merkmal Info bearbeiten markiert haben.

  12. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = PROFIL,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Siehe auch:

Anzeigen von Profilkonturzeichnungen


Anzeigen von Profilkonturzeichnungen

PC-DMIS bietet Ihnen die Möglichkeit, eine farbige Konturzeichnung anzeigen zu lassen, die im Grafikfenster auf der Oberfläche des CAD-Modells verbleibt, wenn Sie Teilflächen-Scans zur Erstellung eines Profilmerkmals verwenden.

Vorgehensweise:

  1. Importieren Sie ein schattiertes CAD-Modell.

  2. Öffnen Sie das Dialogfeld Ansicht einrichten. Menü-Übersicht anzeigen

  3. Aktivieren Sie für eine Ihrer Ansichten das Kontrollkästchen Schattiert und schließen Sie anschließend das Dialogfeld.

  4. Versetzen Sie PC-DMIS in den Flächenmodus.

  5. Erstellen Sie einen Flächen- oder UV-Scan (siehe "Durchführen eines fortgeschrittenen Scans für eine Fläche" oder "Durchführen eines fortgeschrittenen UV-Scans" im Abschnitt "Scannen Ihres Werkstücks").

  6. Wählen Sie die Menüoption Einfügen | Protokollbefehl | Analyse aus. Es erscheint das Dialogfeld Analyse. Menü-Übersicht anzeigen

  7. Klicken Sie auf Fenster anzeigen und wählen Sie dann Optionen | Merkmaloptionen aus. Es erscheint das Dialogfeld Optionen für Merkmalsanalyse.

  8. Wählen Sie die Option Konturzeichnung einblenden aus und klicken Sie auf OK, bis Sie zum Hauptbildschirm von PC-DMIS zurückkehren.

  9. Öffnen Sie das Dialogfeld Flächenprofil. Menü-Übersicht anzeigen

  10. Wählen Sie den Flächen- oder UV-Scan im Feld Elementliste aus.

  11. Aktivieren Sie im Bereich Analyse das Kontrollkästchen Grafisch.

  12. Nehmen Sie im Dialogfeld Flächenprofil die übrigen gewünschten Änderungen vor.

  13. Klicken Sie auf Erzeugen, um das Merkmal zu erzeugen.

Sie werden feststellen, dass PC-DMIS eine farbige Konturzeichnung direkt auf der Modelloberfläche, auf der sich der Scan befand, platziert.


So erstellen Sie das Merkmal für ein lineares Element mit der Option LINIENPROFIL

So erstellen Sie das Merkmal für ein 2D-Element mit der Option LINIENPROFIL

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Profil | Linie. Das Dialogfeld Linienprofil wird angezeigt. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en. Sie können jedes beliebige 2D-Element auswählen. Wenn auch ein Bezugselement gewählt wird, muss es sich dabei um eine Ebene handeln.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Geben Sie einen Minustoleranzwert in das Feld UTol ein.

  5. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  6. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  7. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  8. Wählen Sie im Bereich Steuerungsoptionen des Dialogfelds die Option Nur Form oder Form und Lage.

  9. Wenn Sie Nur Form gewählt haben, aktivieren Sie das Kontrollkästchen Besteinpassung verwenden. Dadurch wird veranlasst, dass das Merkmal die Funktion der internen Besteinpassungsausrichtung nutzt, so dass die Form solange gedreht und verschoben wird, bis die Besteinpassung für das Element gefunden wurde.

  10. Wenn Sie das Kontrollkästchen Besteinpassung verwenden markiert haben, wählen Sie die gewünschte Arbeitsebene für die Rotation und Verschiebung aus. Durch die Verwendung einer Arbeitsebene wird die Ausrichtung auf eine zweidimensionale Ausrichtung beschränkt.

  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  • Wenn Sie zuvor die Option Form und Lage ausgewählt haben, vergewissern Sie sich, dass Sie das Kontrollkästchen Min./Max. im Bereich Merkmallayout des Dialogfelds Standard Merkmal Info bearbeiten markiert haben.

  • Wenn Sie zuvor die Option Nur Form ausgewählt haben, vergewissern Sie sich, dass Sie das Kontrollkästchen Messwert im Bereich Merkmallayout des Dialogfelds Standard Merkmal Info bearbeiten markiert haben.

  13. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = PROFIL,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Siehe auch:

Anzeigen von Profilkonturzeichnungen


Anzeigen von Profilkonturzeichnungen

Mit PC-DMIS können Sie eine farbige Konturzeichnung für lineare oder Kurvenelemente anzeigen, die im Grafikfenster auf der Oberfläche des CAD-Modells ruht.

Für ein Flächenprofil folgen Sie den Anweisungen, die unter "Anzeigen von Profilkonturzeichnungen" aufgelistet sind, und ersetzen Sie das Eingabeelement einfach mit dem entsprechenden Geraden- oder Kurvenelement (oder mit dem Scan).


Toleranzen für Flächenprofilmerkmale

Dieser Merkmalstyp gilt entweder als einseitig, d.h., es gilt ein einziger positiver Toleranzwert, oder als zweiseitig, d.h., es gelten obere und untere Toleranzwerte.

  • Wenn die Option Nur Form markiert wurde, kann nur eine obere Toleranz angewandt werden.

  • Wenn die Option Form und Lage markiert wurde, kann die Profilabmessung ein- oder zweiseitig sein.

Siehe auch:

Obere Toleranz

Untere Toleranz


Toleranzen für Linienprofilmerkmale

Dieser Merkmalstyp gilt entweder als einseitig, d.h., es gilt ein einziger positiver Toleranzwert, oder als zweiseitig, d.h., es gelten obere und untere Toleranzwerte.

  • Wenn die Option Nur Form markiert wurde, kann nur eine obere Toleranz angewandt werden.

  • Wenn die Option Form und Lage markiert wurde, kann die Profilabmessung ein- oder zweiseitig sein.

Siehe auch:

Obere Toleranz

Untere Toleranz


Obere Toleranz

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass alle Messungen, deren gemessener Wert größer als der Nenn- oder theoretische Messwert ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Untere Toleranz

In das Feld UTol können Sie einen Toleranzwert für die Minus- Richtung eingeben. Das bedeutet, dass alle Messungen, deren gemessener Wert kleiner als der Nenn- oder theoretische Messwert ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Steuerungsoptionen für Flächenprofilmerkmale

Mit den Optionen in diesem Bereich können Sie bestimmen, ob ein Profil dieselbe Form bzw. Form und Lage wie der entsprechende Nennwert aufweist.

Siehe auch:

Nur Form

Form und Lage


Nur Form

Wenn Sie ein Merkmal für ein Profil mit Auswahl der Option Nur Form erstellen, können Sie PC-DMIS anweisen, nur zu ermitteln, ob ein bestimmtes Profil mit der Form seines Nennwerts übereinstimmt. Bei dieser Option wird die Lage des Profils ignoriert, d.h., es kann außerhalb der akzeptablen Toleranzen liegen.

Achten Sie bei einem Nur Form-Merkmal auf die Gemessenen Werte des erzeugten Merkmals.


Form und Lage

Wenn Sie ein Merkmal für ein Profil erstellen, können Sie mit Hilfe der Option Form und Lage ermitteln, ob ein bestimmtes Profil in seiner Form und Lage mit seinem Nennwert übereinstimmt. Diese Option unterscheidet sich darin von Nur Form, dass auch die Lage des Profils innerhalb der akzeptablen Toleranzen liegen muss.

Achten Sie bei einem Form und Lage-Merkmal auf die Min.- und Max.-Werte des erzeugten Merkmals.


Steuerungsoptionen für Linienprofilmerkmale

Mit den Optionen in diesem Bereich können Sie bestimmen, ob ein Profil dieselbe Form bzw. Form und Lage wie der entsprechende Nennwert aufweist.

Siehe auch:

Nur Form

Form und Lage


Besteinpassungsoptionen für Flächenprofilmerkmale

Hinweis: Im Dialogfeld erscheint dieser Bereich nur, wenn Sie die Option Nur Form im Bereich Steuerungsoptionen auswählen.

Im Bereich BE Optionen können Sie eine interne Besteinpassungs-Ausrichtung des dimensionierten Elements erstellen, wobei Sie eine der folgenden Methoden anwenden:

  • Keine Einpassung - Es wird keine Ausrichtung erstellt.

  • Kleinste Quadrate - Diese Einpassung findet eine Position mit minimalsten Abweichungen. Auf diese Weise kann die Lage des Elements bei der Option Nur Form ignoriert und gleichzeitig geprüft werden, dass die Kurve so genau wie möglich ihrer theoretischen Form entspricht.

  • Vektor - Bei dieser Einpassung werden die Abweichungen bei den Eingabeelementen auf den theoretischen Vektoren eingerastet, bevor das quadrierte Fehlermittel minimiert wird.

  • Min / Max - Diese Einpassung minimiert den maximalen Fehler in allen Eingabeelementen.

Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung" unter "Erstellen und Verwenden von Ausrichtungen".


Besteinpassungsoptionen für Linienprofilmerkmale

Hinweis: Im Dialogfeld erscheint dieser Bereich nur, wenn Sie die Option Nur Form im Bereich Steuerungsoptionen auswählen.

Im Bereich BE Optionen können Sie eine interne Besteinpassungs-Ausrichtung des dimensionierten Elements erstellen, wobei Sie eine der folgenden Methoden anwenden:

  • Keine Anpassung - Es wird keine Ausrichtung erstellt.

  • Kleinste Quadrate - Diese Einpassung findet eine Position mit minimalsten Abweichungen. Auf diese Weise kann die Lage des Elements bei der Option Nur Form ignoriert und gleichzeitig geprüft werden, dass die Kurve so genau wie möglich ihrer theoretischen Form entspricht.

  • Vektor - Bei dieser Einpassung werden die Abweichungen bei den Eingabeelementen auf den theoretischen Vektoren eingerastet, bevor das quadrierte Fehlermittel minimiert wird.

  • Min / Max - Diese Einpassung minimiert den maximalen Fehler in allen Eingabeelementen.

Arbeitsebene

Wenn Sie das Linienprofilmerkmal verwenden, erzeugt PC-DMIS eine interne zweidimensionale Ausrichtung, die innerhalb der ausgewählten Arbeitsebene in alle Richtungen gedreht und verschoben wird, um die Abweichungen von Einzelpunkten zu minimieren. Wird eine Arbeitsebene in Abweichung von der zweidimensionalen Kurvenprojektion ausgewählt, ergibt sich eine falsche Berechnung.

Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung" unter "Erstellen und Verwenden von Ausrichtungen".


 ID Feature Search ID Feature List box Last Two button Clear button Display check box Create button Close button Tolerances for Angle Dimensions Edit button Output To area Analysis area Units Projected Distance Reference Angle ID Feature Search ID Feature List box Last Two button Clear button Display check box Create button Close button Tolerances for Angle Dimensions Edit button Output To area Analysis area Units Projected Distance Reference Angle

Merkmal "Neigung" erstellen

Dialogfeld "Neigung"

Mit der Menüoption Einfügen | Merkmal | Neigung können Sie den Neigungsfehler einer Ebene oder Geraden im Verhältnis zu einem entsprechenden Bezugselement (Ebene oder Gerade) berechnen. (Wird nur ein Element ausgewählt oder eingegeben, verwendet PC-DMIS die aktuelle Arbeitsebene als Bezugselement.)

Ähnlich wie bei den Merkmalen Rechtwinkligkeit oder Parallelität können Sie für das Neigungsmerkmal einen Winkel vorgeben, der nicht 90 Grad (Rechtwinkligkeit) oder 0 Grad (Parallelität) beträgt. Wenn Sie beispielsweise einen Winkel von 45 Grad vorgeben, erzeugt PC-DMIS bei 45 Grad ein Toleranzband und überprüft, dass die Messpunkte innerhalb dieses Toleranzbandes liegen.

Der gemessene Wert ist ein Winkel (blau). Das Toleranzband des Neigungsmerkmals sind zwei parallele Linien oder Ebenen (schwarz), die nie zusammentreffen.

Siehe auch:

So berechnen Sie den Neigungsfehler mit der Option NEIGUNG

Bezugswinkel

Plustoleranz für Neigungsmerkmale

Projizierter Abstand für Neigungsmerkmale


So berechnen Sie den Neigungsfehler mit der Option NEIGUNG

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Neigung. Das Dialogfeld Neigung wird angezeigt. Menü-Übersicht anzeigen

  2. Geben Sie den Winkelnennwert vom Bezugselement in das Feld Winkel ein.

  3. Wählen Sie die Ebene/Gerade, das Element und das Bezugselement, bzw. machen Sie die entsprechenden Eingaben.

  4. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  5. Geben Sie unter Projektion den Abstand in das Feld Abstand ein.

  6. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  7. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  8. Aktivieren Sie das optionale Kontrollkästchen Anzeige, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  9. Wählen Sie im Bereich Steuerungsoptionen des Dialogfelds die Option Nur Form oder Form und Lage.

  10. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Als Text bzw. Grafisch auswählen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  11. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  12. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalname = NEIGUNG VON Element_1 ZU Element_2 VERLÄNGERN=n WINK=n EINHEITEN=MM/ZOLL

GRAF=EIN/AUS TEXT=EIN/AUS MULT=n AUSGABE=KEINE/BEIDE/STAT/PROTOKOLL

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Element_2: GERADE oder EBENE.

PC-DMIS berechnet dann den Neigungsfehler und zeigt ihn im aktuellen Merkmalfenster an.


Bezugswinkel

In das Feld Winkel können Sie den Nennwinkel (vom Bezugselement) angeben. Dies ist der Winkel zwischen den beiden Elementen. PC-DMIS berechnet anschließend die Abweichung des einen Elements vom Winkel.

Wenn Sie auf Theo. Wink. berechnen klicken, wird aus den theoretischen Werten der ausgewählten Elemente der Nennbezugswinkel berechnet, den Sie verwenden sollten. Auf diese Weise müssen Sie den Winkel nicht im Bearbeitungsfenster nachsehen.


Obere Toleranz für Neigungsmerkmale

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass ein Neigungsfehler, der vom Nenn- oder theoretischen Neigungsfehler abweicht, eine gültige Messung sein kann, sofern er innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für Neigungsmerkmale

PC-DMIS gestattet auch die Projektion eines Bezugsabstands. Diese Option kommt bei Linienelementen zur Berechnung des Neigungsmerkmals zum Einsatz.

Bei diesen Elementen werden der Endpunkt der Achse und ein von diesem Endpunkt entlang der Elementachse projizierter Punkt als Punkte für die Berechnung der Neigung zugrundegelegt.

Der Abstand zwischen diesen beiden Punkten ist der Abstand, auf den Bezug genommen wird. Bei anderen Elementen wirkt sich dieser Abstand nicht auf das Merkmal aus. Diese Option ist nützlich, wenn das Merkmal in einem bestimmten Abstand entlang des Elements berechnet werden muss.


Merkmal "Symmetrie" erstellen

Dialogfeld "Symmetrie"

Mit der Menüoption Einfügen | Merkmal | Symmetrie wird die Symmetrie eines Punktesatzes mit einem Bezugselement oder von zwei gegenüberliegenden Geraden mit einem Bezugselement berechnet.

  • Handelt es sich beim ersten Element um eine Gruppe, ist das zweite eingegebene Element das Bezugselement und muss entweder eine Ebene oder eine Gerade sein.

  • Handelt es sich beim ersten Element um eine Gerade, muss das zweite Element ebenfalls eine Gerade sein. Das dritte eingegebene Element ist das Bezugselement und muss in diesem Fall eine Ebene oder eine Gerade sein. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

  • Handelt es sich beim dritten Element um eine Ebene, versucht der Symmetrie-Algorithmus eine Gerade auf der Ebene zu finden, die das Bezugselement darstellt. Die Arbeitsebene wird durch die ausgewählte Ebene geschnitten (oder gekreuzt), um die korrekte Gerade zu finden. Aus diesem Grund sollten Sie sicherstellen, dass die richtige Arbeitsebene verwendet wird.

In Übereinstimmung mit dem geometrischen Merkmals- und Toleranzstandard wird in der folgenden Grafik dargestellt, wie ein Symmetriemerkmal interpretiert und angezeigt wird.

So interpretiert PC-DMIS Symmetriemerkmale

Aufgrund der Art und Weise, wie Symmetrien definiert werden, begrenzt PC-DMIS die Anzahl der Elemente, die für ein Symmetriemerkmal verwendet werden können. Da die Punkte auf dem Bezugselement gleichmäßig angeordnet sein müssen, so dass zwischen ihnen Mittelpunkte gefunden werden können, müssen Sie entweder eine Elementgruppe mit wechselnden Punkten oder zwei gegenüberliegende Geraden mit derselben Anzahl an Punkten auswählen.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option SYMMETRIE

Obere Toleranz für Symmetrie


So bestimmen Sie das Merkmal eines Elements mit der Option SYMMETRIE

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Symmetrie. Das Dialogfeld Symmetrie wird geöffnet. Menü-Übersicht anzeigen

  2. Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Geben Sie einen Plustoleranzwert in das Feld OTol ein.

  4. Wählen Sie entweder Zoll oder mm im Bereich Einheiten.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.

  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie eines der Kontrollkästchen oder beide markieren. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.

  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal Info und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.

  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = SYMMETRIE,VON elem_1 ZU elem_2

oder

Merkmalsname = SYMMETRIE,VON elem_1 UND elem 2 ZU elem 3

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Hinweis: Das Dialogfeld bleibt offen, nachdem das Merkmal erstellt worden ist. Bei Bedarf können Sie jetzt auf die Schaltfläche Bearbeiten klicken und Aspekte Ihrer Merkmalsinformationen bearbeiten (siehe "Standard-Merkmal-Info bearbeiten").

Siehe auch:

Anzeigen von Profilkonturzeichnungen


Obere Toleranz für Symmetrie

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass eine Symmetrie, deren gemessener Wert größer als die Nenn- oder theoretische Symmetrie ist, eine gültige Messung sein kann, solange sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal mit Hilfe von Tastatureingaben erstellen

Dialogfeld "Maßeingabe"

Mit der Menüoption Einfügen | Merkmal | Eingabe können Sie Daten, die nicht vom KMG gemessen wurden, über die Tastatur erfassen und "eingeben" (beispielsweise können Sie ein mit einem Messschieber gemessenes Merkmal hinzufügen). Mit dieser Option können Sie alle Prüfergebnisse im Prüfprotokoll ausdrucken (und nicht nur die Elemente, die vom KMG gemessen wurden). Diese Option ist auch bei der Erfassung von Daten für die statistische Analyse von Nutzen.

Siehe auch:

So fügen Sie Merkmale mit der Option EINGABE hinzu

Nennwert

Aktuell

Toleranzen für mit der Tastatur erstellte Merkmale


So fügen Sie Merkmale mit der Option EINGABE hinzu

  1. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Eingabe. Das Dialogfeld Maßeingabe wird angezeigt. Menü-Übersicht anzeigen

  2. Geben Sie die ID für das Merkmal in das Feld ID = ein.

  3. Geben Sie den Nennwert in das Feld Nennwert ein.

  4. Geben Sie den Istwert in das Feld Aktuell ein.

  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie entweder die Option Statistik, Protokoll, Beide oder Keine.

  6. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = EINGABE,elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSTOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Nennwert

In das Feld Nennwert können Sie den Nenn- (theoretisch perfekten) Messwert für ein Element eingeben.


Aktuell

In das Feld Aktuell können Sie den tatsächlichen Messwert für ein Element eingeben.


Toleranzen für mit der Tastatur erstellte Merkmale

Sie können Toleranzen entlang der Plus- und Minus-Richtungen des soeben erzeugten Merkmals eingeben.

Siehe auch:

Obere Toleranz

Untere Toleranz


Merkmal "Variablen" erstellen

Manchmal kann es beim Arbeiten mit Ausdrücken und Variablen vorkommen, dass Sie Merkmale aus Variablen erstellen möchten, die gespeicherte Werte enthalten. Eine gebräuchliche Methode ist, dass man zunächst ein benutzerdefiniertes Element erstellt, die Felder des benutzerdefinierten Elements mit den zu verwendenden variablen Ausdrücken füllt, und dann ein Merkmal aus dem benutzerdefinierten Element erstellt.

Weitere Informationen zu allgemeinen Elementen finden Sie unter "Erstellen von benutzerdefinierten Elementen". Informationen zu Variablen finden Sie unter "Verwenden von Ausdrücken und Variablen".

Siehe auch:

Beispiel eines Merkmals mit Variablen


Beispiel eines Merkmals mit Variablen

Angenommen, Sie haben folgende Variablen und möchten aus ihnen ein Lagemerkmal erzeugen:

ZUWEISEN/V_NENNX = 10

ZUWEISEN/V_NENNY = 5

ZUWEISEN/V_NENNZ = 1

ASSIGN/V_MESSX = 10.008

ASSIGN/V_MESSY = 5.035

ASSIGN/V_MESSZ = 0.997

Hinweis: Um die Anwendung zu erleichtern, bietet dieses Beispiel konstante Variablenwerte. Beim tatsächlichen Betriebsablauf weisen die Variablen höchstwahrscheinlich dynamische Werte auf, die aufgrund von Benutzereingaben oder anderer externer Ursachen variieren.

So erstellen Sie Merkmale für diese Variablen:

  1. Erstellen Sie ein benutzerdefiniertes Element durch Auswahl der Menüoption Einfügen | Element | Benutzerdefiniertes Element .Es erscheint das Dialogfeld Benutzerdefiniertes Element erstellen.

  2. Klicken Sie auf die Option Punkt.

  3. Klicken Sie auf die Option Messwerte und geben Sie in die X-, Y- und Z-Felder den Wert "Null" ein. Führen Sie denselben Vorgang mit der Option Nennwerte durch.

  4. Klicken Sie auf OK. PC-DMIS fügt ein leeres benutzerdefiniertes Element (normalerweise wird das erste benutzerdefinierte Element mit "F1" beschriftet) in das Bearbeitungsfenster ein.

  5. Setzen Sie das Bearbeitungsfenster in den Befehlsmodus und es erscheint Folgendes:

F1 =BENUTZERDEFINIERT/PUNKT,ABHÄNGIG,KART ,$

NENNW/XYZ,0,0,0,$

MESS/XYZ,0,0,0,$

NENNW/IJK,0,0,1,$

MESS/IJK,0,0,1

  6. Navigieren Sie nun zur Zeile NENNW/XYZ und geben Sie in die ersten drei "0"-Felder V_NENNX, V_NENNY und V_NENNZ ein. Dies sind Ihre Nennvariablen.

  7. Gehen Sie genauso in der Zeile MESS/XYZ vor, nur dass Sie V_MESSX, V_MESSY, and V_MESSZ in die frei "0"-Felder dieser Zeile eingeben. Ihr Befehl sollte jetzt so aussehen:

F1 =BENUTZERDEFINIERT/PUNKT,ABHÄNGIG,KART,$

NENNW/XYZ,V_NENNX,V_NENNY,V_NENNZ,$

MESS/XYZ,V_MESSX,V_MESSY,V_MESSZ,$

NENNW/IJK,0,0,1,$

MESS/IJK,0,0,1

  8. Drücken Sie zur Markierung des benutzerdefinierten Elements auf F3.

  9. Erzeugen Sie mit Hilfe dieses Elements ein Lagemerkmal. Geben Sie ihm einen oberen und unteren Toleranzwert von 0,02.

  10. Führen Sie das Werkstückprogramm aus.

Das Merkmal sollte in Ihrem Protokoll folgendermaßen aussehen:


Verwenden von Toleranzrahmen

Verwenden von Toleranzrahmen: Einführung

Was ist ein Toleranzrahmen?

Erstellen eines Toleranzrahmen-Merkmals

Definieren von Bezügen

Dialogfeld "Form- & Lagetoleranz"

Registerkarte "Toleranzrahmen"

Registerkarte "Erweitert"

Befehlsblock Toleranzrahmen

Toleranzrahmen Trieder (Dreiflächner)

Simultanes Auswerten der Toleranzrahmen

Protokollieren eines Toleranzrahmens für das Merkmal "Position"


Verwenden von Toleranzrahmen: Einführung

Bei PC-DMIS können Sie nützliche Merkmalsangaben in Form eines Toleranzrahmens (TR) in das Werkstückprogramm einfügen. TR sind spezielle, rechteckige Felder, die Standardsymbole und -angaben zur Form- & Lagetoleranz enthalten. Wenn Sie einen TR in das Bearbeitungsfenster einfügen, zeichnet PC-DMIS auch den tatsächlichen Rahmen ins Grafikfenster.

Beispiel eines Toleranzrahmens mit der Anzeige von Rechtwinkligkeit zwischen GERADE1 und GERADE3

Beispiel eines Toleranzrahmens (siehe TR1)

Um einen TR-Befehl einzufügen, greifen Sie auf das Untermenü Einfügen | Merkmal zu, stellen sicher, dass der Menüeintrag V37 kompatible Merkmale nicht markiert ist und wählen dann das entsprechende Merkmal aus. PC-DMIS blendet das Dialogfeld Form- & Lagetoleranz für dieses Merkmal ein. Nachdem Sie den TR erstellt haben, fügt PC-DMIS ihn zusammen mit den Merkmalsangaben in das Werkstückprogramm ein.

Hinweis: Mit TRs erhalten Sie eine neue Methode, Merkmale für das Werkstück zu erstellen. Die gleichen Optionen, die Sie schon bei der früheren Merkmalsfunktionalität verwendet haben, stehen Ihnen auch jetzt bei der Erstellung von TRs zur Verfügung (siehe Registerkarte Erweitert im Dialogfeld Form- & Lagetoleranz). Wenn Sie jedoch mit der älteren Methode zur Erstellung von Merkmalen fortfahren wollen, wählen Sie einfach den Menüeintrag V37 kompatible Merkmale und PC-DMIS fügt die Merkmale auf die herkömmliche Art und Weise ein. Weitere Informationen zu Legacy-Merkmalen finden Sie unter "Merkmale für Elemente erstellen".

Da die Merkmale Lage , Abstand , Winkel und Eingabe nicht Teil der ASME und des ISO-Standards sind, werden sie immer unter Verwendung von Legacy-Merkmalen erstellt, selbst wenn Sie die Auswahl des Menüeintrags V37 kompatible Merkmale aufheben.

Dieser Abschnitt enthält die folgenden Themen:

  • Was ist ein Toleranzrahmen?

  • Erstellen eines Toleranzrahmen-Merkmals

  • Definieren von Bezügen

  • Dialogfeld "Form- & Lagetoleranz"

  • Befehlsblock Toleranzrahmen

  • Toleranzrahmen Trieder (Dreiflächner)

  • Simultanes Auswerten der Toleranzrahmen


Erstellen eines Toleranzrahmen-Merkmals

Im Folgenden werden Sie über die einzelnen Arbeitsschritte bei der Erstellung eines Toleranzrahmen-Merkmals informiert:

  1. Erstellen Sie die Elemente, die zu Bezugselementen werden. Dies können gemessene Elemente, Auto-Elemente oder erstellte Elemente sein.

  2. Wählen Sie Einfügen | Merkmal | Bezugsdefinition. Das Dialogfeld Bezugsdefinition wird eingeblendet.

  3. Verwenden Sie das Dialogfeld, um die Bezugselemente auszuwählen und ordnen Sie ihnen Bezugsbuchstaben zu. Informationen hierzu finden Sie unter "Definieren von Bezügen".

  4. Schließen Sie das Dialogfeld nach dem Definieren der Bezüge.

  5. Stellen Sie sicher, dass die Menüoption Einfügen | Merkmal | V37 kompatible Merkmale nicht markiert ist. Sollte diese Option markiert sein, wählen Sie den Menüeintrag aus, um die Markierung aufzuheben.

  6. Wählen Sie das entsprechende Merkmal aus dem Untermenü Einfügen | Merkmal. Es erscheint das Dialogfeld Form- & Lagetoleranz für dieses Merkmal.

  7. Wählen Sie in diesem Dialogfeld die Registerkarte Toleranzrahmen aus.

  8. Wählen Sie auf dieser Registerkarte die Elemente zur Merkmals- und Toleranzrahmen-Erstellung aus. Weitere Informationen zu den verfügbaren Optionen auf dieser Registerkarte finden Sie unter "Registerkarte "Toleranzrahmen"".

  9. Wählen Sie die Registerkarte Erweitert aus.

  10. Wählen Sie die entsprechenden Optionen aus dieser Registerkarte aus, um die Darstellung des Merkmals zu definieren. Weitere Informationen zu den verfügbaren Optionen auf dieser Registerkarte finden Sie unter "Registerkarte "Erweitert"".

  11. Klicken Sie auf Erzeugen. PC-DMIS fügt einen TR-Befehl in das Werkstückprogramm ein und im Grafikfenster erscheint eine TR-Grafik.

Bedingungen für die TR-Erstellung

Die hier angeführten Informationen sollen PC-DMIS bei der Erstellung eines TR-Merkmals unterstützen. Dazu müssen die entsprechenden Bedingungen für den zu erstellenden Merkmalstyp erfüllt werden. Die folgende Tabelle wird Sie bei der Merkmalserstellung unterstützen:

Merkmalstyp | Zu erfüllende Bedingungen
Form-Merkmale: | Keine Bezüge. Keine Materialbedingungen. Keine projizierte Zone.
Profilmerkmale: | Mit oder ohne Bezüge. Keine Materialbedingungen. Keine projizierten Zonen.
Ausrichtungsmerkmale: | Bezüge müssen vorhanden sein. Materialbedingungen können vorhanden sein. Projizierte Zonen können vorhanden sein.
Laufmerkmale: | Bezüge müssen vorhanden sein. Keine Materialbedingungen. Keine projizierten Zonen.
Positionsmerkmale: | Bezüge können vorhanden sein. Materialbedingungen können vorhanden sein. Projizierte Zonen können vorhanden sein.
Andere Lagemerkmale (dazu gehören Merkmale für Symmetrie, Konzentrizität, Koaxialität): | Bezüge müssen vorhanden sein. Keine Materialbedingungen. Keine projizierten Zonen.


Was ist ein Toleranzrahmen?

Beispiel-Toleranzrahmen

Ein Toleranzrahmen (TR) ist eine rechteckige Grafik, die bestimmte Merkmalsangaben für ein oder mehrere Elemente darstellt. Normalerweise erscheint der TR auf einer Blaupause oder in einer CAD-Datei, um Toleranz-Spezifikationen für bestimmte Merkmalstypen zu definieren. Der ISO-Standard "ASME Y 14.5 - 1994 Geometric Dimensioning and Tolerancing" (Geometrische Bemaßung und Toleranzfestlegung) beschreibt die sachgerechte Verwendung des Toleranzrahmens (TR).

Werden im TR mehrere Elemente ausgewählt, erzeugt PC-DMIS eine erstellte TR-interne Gruppe. Diese Gruppe verwendet die Eingabeelemente, um ein Elementmuster zu erstellen, in dem die Zeile mit den primären Merkmalen auf das Elementmuster und die sekundären Merkmale auf die einzelnen Elemente angewandt wird. Im oben stehenden Beispiel eines Toleranzrahmens erhält das Modell eine Toleranz für seine Position innerhalb von 0,01, während die einzelnen Elemente einen Toleranzwert von 0,005 erhalten. Weitere Informationen über die Art und Weise, wie diese Toleranzwerte angewandt werden, finden Sie im ISO-Standard ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing.

Elemente eines TR in PC-DMIS

Ein TR in PC-DMIS besteht aus vier verschiedenen Zeilen, die nach dem Form- & Lagetoleranz-Standard definiert werden.

Elemente eines Toleranzrahmens

  1. Maßtoleranzen - Die oberste Zeile enthält die Anzahl der Elemente, X, Symbol Durchmesser, Nenngröße, Plus- und Minustoleranz.

  2. Primäre Merkmale - Eine zweite Zeile (erste Reihe im rechteckigen Gitter) muss immer vorhanden sein, auch wenn nicht alle Felder verwendet werden. Diese Zeile enthält das Symbol für die primären Merkmale, den Durchmesser, die Haupttoleranz, die Materialbedingung des Elements, die projizierte Toleranzzone, die Materialbedingung der Toleranzzone, den primären Bezug, den primären Bezug Materialbedingung, den sekundären Bezug, den sekundären Bezug Materialbedingung, den tertiären Bezug und den tertiären Bezug Materialbedingung. Bezüge, Materialbedingungen sowie projizierte Toleranzzonen sind häufig nicht erforderlich oder verfügbar.

  3. Sekundäre Merkmale - Die dritte Zeile (zweite Reihe im rechteckigen Gitter) ist nur für Position und Profiltypen vorhanden. Es sind nicht alle Felder erforderlich. Die Zeile enthält das Symbol für das sekundäre Merkmal, das Symbol Durchmesser, die Haupttoleranz, die Materialbedingung des Elements, die projizierte Toleranzzone, die Materialbedingung der Toleranzzone, den primären Bezug, den primären Bezug Materialbedingung, den sekundären Bezug, den sekundären Bezug Materialbedingung, den tertiären Bezug, den tertiären Bezug Materialbedingung.

  4. Anmerkungen - Die vierte Zeile enthält ein Textfeld, in das Sie weitere Beschreibungen oder Anweisungen für den TR eingeben können. Standardmäßig platziert PC-DMIS die TR-ID in dieses Feld, um die Identifizierung des TR im Grafikfenster zu erleichtern. Dieser Text kann, falls gewünscht, geändert werden.


Definieren von Bezügen

Ein Bezug ist eine theoretisch perfekte Ebene, Punkt oder ein Achsen-Bezugselement. Eine Merkmalsmessung beginnt da, wo sich der Bezug befindet. Bezüge werden von Toleranzrahmen (TR) verwendet, wenn Form- & Lagetoleranz-Angaben angezeigt werden. Um Bezüge zu definieren, die in Toleranzrahmen verwendet werden, sollten Sie zuerst die Elemente erstellen, die zum Bezug werden. Diese Elemente können von Auto-Elementen, gemessenen Elementen oder von erstellten Elementen stammen. Nachdem Sie die Elemente erstellt haben, verwenden Sie die Bezugsdefinitionsbefehle (BEZUGDEFINITION), um sie als Bezüge zu definieren. Jeder BEZUGDEFINITION-Befehl ist einem Bezugsbuchstaben (beispielsweise Bezug A) mit einem Element im Programm zugeordnet.

Erstellen einer Bezugsdefinition

Um einen Bezug zu definieren, wählen Sie Einfügen | Merkmal | Bezugsdefinition oder klicken Sie auf Bezugsdefinitionen im Dialogfeld Form- & Lagetoleranz. Daraufhin wird das Dialogfeld Form- & Lagetoleranz eingeblendet.

Dialogfeld "Bezugsdefinition"

Der Bezugsbuchstabe (im oben stehenden Beispiel ist dieser Buchstabe "A") ist standardmäßig für den nächsten verfügbaren Buchstaben. PC-DMIS beschriftet Bezüge von "A" nach "Z" und dann von "AA" nach "ZZ". Wählen Sie einfach ein Element in der Liste der Elemente aus, dem dieser Bezugsbuchstabe zugeordnet werden soll und klicken Sie auf Erzeugen. Die Schaltfläche Erzeugen wird jedesmal dann aktiviert, wenn Sie ein Element aus der Liste der Elemente auswählen. Wenn Sie eine Definition erstellen, fügt PC-DMIS einen BEZUGDEFINITION-Befehl in das Bearbeitungsfenster ein. Haben Sie beispielsweise EBENE1 ausgewählt und mit dem Buchstaben "A" verbunden, lautet der Befehl im Bearbeitungsfenster wie folgt:

BEZUGDEFINITION/ELEMENT=EBENE1,BEZUG=A

Im Dialogfeld Bezugsdefinition wird das Feld Bezug automatisch auf den nächsten, verfügbaren Buchstaben aktualisiert und das ausgewählte Element erscheint in der Liste der Elemente mit dem verbundenen Buchstaben in Klammern. Das oben angegebene Beispiel EBENE1 würde dann in der Liste als "EBENE1(A)" erscheinen.

Zur Erstellung zusätzlicher BEZUGDEFINITION-Befehle fahren Sie mit der Auswahl von Elementen fort und klicken auf Erzeugen. Wenn Sie die Bezüge in der standardmäßigen, alphabetischen Reihenfolge erstellen, können Sie auf einfache Weise den Buchstaben im Feld Bezug ändern, bevor Sie auf Erzeugen klicken.

Nachdem alle Bezüge mit Hilfe des Dialogfelds Bezugsdefinition erstellt worden sind, können Sie die Merkmale für den Toleranzrahmen (TR) unter Verwendung des Dialogfelds Form- & Lagetoleranzen erzeugen und die definierten Bezugselemente diesen Merkmalen zuordnen.


Dialogfeld "Form- & Lagetoleranz"

Dialogfeld "Form- & Lagetoleranz"

Dialogfeld "Form- & Lagetoleranz"

Über das Dialogfeld Form- & Lagetoleranz können Sie Merkmale für Toleranzrahmen (TR) erstellen und diese in das Werkstückprogramm einfügen. Das Dialogfeld erscheint immer dann, wenn Sie ein unterstütztes TR-Merkmal aus dem Untermenü Einfügen | Merkmal auswählen und der Menüeintrag V37 kompatible Merkmale nicht markiert ist.

Das Dialogfeld besteht aus zwei Registerkarten: Toleranzrahmen und Erweitert, wobei jede Registerkarte mit verschiedenen Steuerelementen ausgestattet ist, über die Sie den TR und die zugehörigen Merkmalsangaben erstellen können.

Siehe auch:

Registerkarte "Toleranzrahmen"

Registerkarte "Erweitert"


Registerkarte "Toleranzrahmen"

Dialogfeld "Form- & Lagetoleranz" - Registerkarte "Toleranzrahmen"

Dialogfeld "Form- & Lagetoleranz"

Dialogfeld "Form- & Lagetoleranz" - Registerkarte "Toleranzrahmen"

Die Registerkarte Toleranzrahmen wird Sie bei der Erstellung eines Toleranzrahmens (TR) unterstützen. Sie bietet Ihnen Möglichkeiten zur Definition von Bezugselementen, zur Auswahl der für die TR-Merkmale verwendeten Elemente, einen Editor zur Definition der angegebenen Symbole, Toleranzen und Bezüge, die im TR verwendet werden, und eine Voransicht zur Überprüfung des aktuellen Status' des TR während der Erstellung. Weitere Informationen zu den verschiedenen Einträgen in dieser Registerkarte finden Sie in der unten stehenden Liste der Steuerelemente:

ID - In diesem Feld wird der Name für den TR angezeigt. Sie können diesen Namen ändern.

Elemente - In dieser Liste sind die verfügbaren Elemente für die bestimmten TR-Typen aufgeführt. Einige der Elemente sind unter Umständen schon im Werkstückprogramm vorhanden, stehen aber nicht für den Toleranzrahmen zur Verfügung. Beispielsweise ist ein Ebenenelement nicht für das Merkmal "Rundheit" verfügbar. Nachdem das erste Element ausgewählt wurde, aktualisiert PC-DMIS diese Liste. Dadurch wird sichergestellt, dass die Elemente, die Sie zur Erstellung eines Elementmodells für den TR verwenden, kompatibel sind.

Bezüge - Hier werden alle Bezüge angezeigt, die über den Befehl BEZUGDEFINITION definiert wurden. Nur die Bezugselemente oberhalb der aktuellen Cursorposition im Bearbeitungsfenster werden aufgelistet.

Führungslinien - In dieser Liste werden alle die Elemente angezeigt, die Sie in der Liste Elemente ausgewählt haben. Mit jedem Element ist ein Kontrollkästchen verknüpft. Wenn Sie ein Kontrollkästchen auswählen, zeichnet PC-DMIS eine Führungslinie zu diesem Element im Grafikfenster des TR. Standardmäßig zeigt PC-DMIS zunächst alle möglichen Führunglinien an. Sie können aber auch die Auswahl für die Kontrollkästchen aufheben, um die Führungslinien auszublenden.

Toleranzrahmen-Editor - In diesem Bereich können Sie vorgenommene Änderungen auf den TR anwenden. Sie können Felder entweder mit der Maus oder durch Drücken der TABULATORTASTE und dann auf ENTER auswählen, um das jeweilige Feld in den Bearbeitungsmodus zu versetzen. Ist das Feld editierbar, wird entweder eine Auswahlliste mit verfügbaren Optionen oder ein Feld, in das Sie Text eingeben können, angezeigt. Nach der Bearbeitung des Feldes drücken Sie entweder auf ENTER, die TABULATORTASTE oder klicken Sie auf ein anderes Feld, um den Bearbeitungsmodus zu verlassen. Durch Drücken auf UMSCHALT+TAB kehren Sie zum vorhergehenden Feld zurück.

Sollte ein Feld leer sein, wird eine kurze Beschreibung in Klammern zur Identifizierung eingeblendet. Diese Beschreibungen entsprechen folgenden Feldern:

<MB> - Materialbedingung

<D> - Durchmesser

<Merkm> - Merkmal- oder Toleranzrahmentyp

<PZ> - Projizierte Zone

<num> - Anzahl der Elemente

<nennw> - Nennwert der Elementgröße

<+tol> - Plustoleranz

<-tol> - Minustoleranz

<tol> - Toleranz

<dat> - Bezug

<sym> - Merkmalssymbol

<Anmerkungen hier anfügen> - Anmerkungsfeld in der ersten Zeile

<Optionale Anmerkungen zum Design hier anfügen> - Optionale Anmerkungen zum Design in der letzten Zeile

Planarzone - Diese Schaltfläche erscheint im Bereich des Toleranzrahmen-Editors dieser Registerkarte, wenn Sie über einen Positions-TR verfügen und die Toleranzzone auf eine Planarzone eingestellt ist. Wählen Sie im TR-Editor Symbol Durchmesser, um diese Schaltfläche zu aktivieren, und löschen Sie den Inhalt, wie hier veranschaulicht:

Nachdem die Schaltfläche Planarzone erscheint, können Sie darauf klicken, um das Dialogfeld Richtung Planarzone auszuwählen.

Im Dialogfeld Richtung Planarzone können Sie den Richtungsvektor für die Planarzone mit einer der beiden folgenden Methoden angeben:

  • Klicken Sie auf die Option Achse. Wählen Sie dann aus dieser Liste eine der folgenden Achsen aus: X, Y oder Z.

  • Klicken Sie auf die Option Vektor. Geben Sie dann in die Felder I, J und K den Richtungsvektor ein.

Bezugsdefinitionen - Über diese Schaltfläche haben Sie Zugriff auf das Dialogfeld Bezugsdefinitionen, in dem Sie die Bezüge für das aktuelle TR-Merkmal definieren können.

Toleranzrahmen-Optionen - Dieser Bereich enthält das Kontrollkästchen Verbund. Über dieses Kontrollkästchen wird gesteuert, ob die erste und die zweite Merkmalsreihe das gleiche Symbol in einer einzigen zusammengefügten Zelle, die sich über beide Reihen erstreckt, verwenden soll oder nicht. Bei Auswahl dieses Kontrollkästchens wird das Symbol so dargestellt:

Wenn Sie die Auswahl des Kontrollkästchens löschen, werden die erste und zweite Reihe mit jeweils einzelnen Symbolen dargestellt, selbst wenn es sich um das gleiche Symbol handelt.

Im "ASME Y14.5 – 1994 Geometric Dimensioning and Tolerancing" werden die unterschiedlichen Interpretationen dieser Bedingungen beschrieben.

Vorgänge und Verfahren - Dieser Abschnitt zeigt Tipps und Anweisungen, die Sie bei der Erstellung gültiger TRs unterstützen sollen

Voransicht - Dieser Abschnitt zeigt eine Voransicht des TR mit den aktuellen Einstellungen. Die leeren Felder oder 'leeren' Beschreibungen, die im Abschnitt Toleranzrahmen-Editor erscheinen, wie beispielsweise Text in Klammern (<dat>), gehören nicht dazu.

Anmerkungen zum Toleranzrahmen-Editor

Beachten Sie im Bereich Toleranzrahmen-Editor, dass manche der Symbolfelder für gewisse Merkmale nur dann erscheinen, wenn sie unterstützt werden. Zum Beispiel zeigt PC-DMIS bei einem Rundheitsmerkmal das Toleranzfeld an, blendet aber alle Bezüge oder Modifikator-Felder aus.

Formmerkmale (Rundheit, Zylindrizität, Ebenheit) - Diese Felder erscheinen nicht, da sie keine Bezüge oder Modifikatoren unterstützen. In manchen Fällen, wenn "Nur Form" markiert ist, wird das Merkmal "Profil" unter diese Kategorie fallen. Allerdings lassen Profilmerkmale für "Form und Lage" die Anzeige von Modifikatoren zu.

Ausrichtngsmerkmale (Parallelität, Rechtwinkligkeit, Neigung, Lauf, Konzentrizität, Koaxialität) - Diese Felder lassen Bezüge und Modifikatoren zu.

Positionsmerkmale (Position, Profil mit Form und Lage) - Diese Felder lassen Bezüge und Modifikatoren zu.

Andere Merkmale (Abstand und Zwischenwinkel) - Keine Bezüge zugelassen. Das Merkmal "Symmetry" ist ähnlich den Formmerkmalen und verwendet keine Bezüge.

Und nur die folgenden Merkmale haben mehrere Zeilen im Editor:

  • Position

  • Parallelität

  • Rechtwinkligkeit


Registerkarte "Erweitert"

Dialogfeld "Form- & Lagetoleranz" - Registerkarte "Erweitert"

Dialogfeld "Form- & Lagetoleranz" - Registerkarte "Erweitert"

Dialogfeld "Form- & Lagetoleranz" - Registerkarte "Erweitert"

Die Registerkarte Erweitert bietet Ihnen die Möglichkeit, Ausgabe- und Analyseoptionen für die Toleranzrahmen- (TR) Merkmale einzustellen. Informationen zu dieser Registerkarte finden Sie in der Auflistung der Dialogfeld-Einträge, die nachfolgend erläutert werden. Beachten Sie, dass viele dieser Funktionen bereits in den V37-kompatiblen Merkmalen vorhanden sind. Detaillierte Angaben finden Sie im Abschnitt "Merkmale für Elemente erstellen".

Bereich "Ausgabe" - Über die Liste Protokoll und Statistik können Sie bestimmen, ob die Toleranzrahmen-Ausgabe in das Prüfprotokoll oder in statistische Dateien, die von der Statistik-Software (wie beispielsweise DataPage) verwendet werden, in beide oder auch nirgendwohin geleitet werden soll.

· Statistik - leitet die Ausgabe in statistische Dateien

· Protokoll – leitet die Ausgabe in das Prüfprotokoll

· Beide– leitet die Ausgabe in das Prüfprotokoll und in Statistikdateien

· Keine– leitet die Ausgabe nirgendwohin

Bei Ausführung eines TR-Befehls wird die Ausgabe in das Prüfprotokoll, in die Statistikdatei, in beide oder nirgendwohin geleitet (je nach Auswahl).

Hinweis: Wenn die Option Statistik oder die Option Beide gewählt worden ist, muss im Bearbeitungsfenster ein vorangehender STAT/EIN-Befehl vorhanden sein, damit dieses Merkmal in die Statistikdatei geleitet werden kann.

Über die Liste Einheiten können Sie die Maßeinheiten, die der Toleranzrahmen verwenden soll, bestimmen. Sie können zwischen folgenden Optionen wählen:

· Zoll = Zoll

· mm = Millimeter

PC-DMIS verwendet die ausgewählte Maßeinheit zur Merkmalserstellung, solange das Dialogfeld geöffnet bleibt. Standardmäßig verwendet PC-DMIS die gleiche Maßeinheit, die auch für das aktuelle Werkstückprogramm verwendet wird.

Bereich "Analyse" - In diesem Bereich können Sie das Merkmalausgabe-Analyseformat für den TR festlegen.

Text-Analyse-Protokoll - Wenn Sie Ein (oder bei Positions-Toleranzrahmen Beide) auswählen, druckt PC-DMIS folgendes im standardmäßigen Prüfprotokoll und das Protokollfenster für jeden einzelnen Messpunkt, der im TR verwendet wird, aus:

  • Gemessene Werte für X, Y und Z

  • Gemessene Werte für I, J und K

  • Abweichung jedes einzelnen Messpunkts

  • "MAX"- oder "MIN"-Markierungen am Ende jeder Zeile, wenn der Messpunkt entweder eine maximale oder minimale Abweichung erzeugt.

Graphisches Analyse-Protokoll - Diese Liste zeigt die Ausgabe für den TR im Protokoll an. Sie verwendet ein Format, das für eine eingehendere Untersuchung geeignet ist. Wenn Sie Ein (oder Beide) auswählen, zeigt PC-DMIS in einem grafischen Format, unter Verwendung von farbigen Pfeilen, die Abweichung jedes einzelnen Messpunkts für den TR, der auf das Werkstück angewendet wird, im Protokoll an. Aus den Pfeilen gehen anhand ihrer Farben und Ausrichtungen die relative Größen sowie die Richtungungen der Fehler hervor.

Grafische CAD-Analyse - Diese Liste funktioniert wie die Liste Graphisches Analyse-Protokoll, außer, dass die grafische Analyse im Grafikfenster angezeigt wird.

Pfeilmultiplikator - Im Feld Multiplikator können Sie den Maßstab, der die Abweichungspfeile vergrößert sowie den Toleranzbereich für den Grafische CAD-Analyse-Modus bestimmen. Wird hier ein Wert von 2,0 eingegeben, skaliert PC-DMIS die Pfeile so, dass sie doppelt so groß sind wie die errechnete Abweichung für jeden Messpunkt am Element. Dieses Feld wird nur für Anzeigezwecke geändert und wirkt sich nicht auf die Abweichungsgröße im ausgedruckten Protokolltext aus.

Bereich "Merkmal Info" - In diesem Bereich können Sie einen Merkmal-Info-Text für den TR erstellen. Bei Auswahl des Kontrollkästchens Merkmalinfo beim Schließen dieses Dialogs erstellen aktiviert PC-DMIS die Schaltfläche Bearbeiten. Sie können auf die Schaltfläche Bearbeiten klicken, um ein Dialogfeld zu öffnen, in dem Sie die Möglichkeit haben, Standardoptionen für den Merkmalinfo-Befehl (MERKMALINFO) festzulegen. (Siehe unter "Standard-Merkmal-Info bearbeiten").

Wenn Sie einen TR erstellen, wird das Dialogfeld geschlossen und PC-DMIS erstellt einen MERKMALINFO-Befehl im Bearbeitungsfenster hinter dem TR. Dieser MERKMALINFO-Befehl zeigt alle Merkmalsangaben im Grafikfenster neben dem in der Elementliste der Registerkarte Toleranzrahmen ausgewählten Element an. Er zeigt auch die gleichen verfügbaren Merkmal-Achsen an, die im Bearbeitungsfenster für diesen speziellen TR verwendet werden.

Detaillierte Informationen zu den Feldern MERKMALINFO und Regeln zu deren Erstellung finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

Bereich "Position" - Dieser Bereich wird nur dann verfügbar, wenn ein TR für das Merkmal Position erstellt wird. Für andere TR-Typen bleibt dieser Bereich abgeblendet. Er enthält folgende Einträge:

Ausrichtung - Manchmal kann es vorkommen, dass beim Prüfen von Merkmalsangaben bezüglich der aktuellen Ausrichtung die Berechnungen der Bezüge schwer zu entziffern sind. Hiermit können Sie bestimmen, auf welche Weise diese Angaben dargestellt werden sollen: relativ zu einer bestimmten Ausrichtung oder relativ zum Bezugssystem.

An Bezüge anpassen - Über dieses Kontrollkästchen können Sie bestimmen, ob der TR eine Besteinpassungs-Berechnung verwendet, um die optimale Position des Bezugssystems, das den Fehler minimiert, zu finden.

Nennnwerte und Achsen - Hier können Sie die Ausgabe durch Bestimmen der jeweiligen Achse, die PC-DMIS im Protokoll anzeigen soll, und durch manuelle Eingabe der Nennwerte anpassen.

Elementliste - Die Liste links neben der Spalte mit den Nennwerten und Achsen zeigt alle Elemente, die im Positions-TR verwendet werden, an. Wählen Sie eine Elementgruppe oder ein Element aus der Liste aus. PC-DMIS zeigt dann die möglichen Achsen für dieses Element an.

Achse protokollieren - Diese Spalte enthält Kontrollkästchen für jede Achse. Ein ausgewähltes Kontrollkästchen sendet diese Achse an das Protokoll.

Achse - Diese Spalte listet die verfügbaren Achsen für das ausgewählte Element auf.

Nennwert - Diese Spalte enthält Nennwerte. Sie können überschrieben werden, indem Sie sie anklicken und neue Werte eingeben.

OTol / UTol - Die Spalten mit den Plus- und Minustoleranzen sind mit Feldern ausgestattet, in die Toleranzen für die verschiedenen Achsen, die im TR verwendet werden, eingegeben werden können. PC-DMIS wendet diese Toleranzwerte nur auf solche Achsen an, die sich auf die Größe beziehen, da die Achsen, die die Position steuern, die Haupt-Toleranzen im TR verwenden.

Element-Nennwert aktualisieren - In dieser Spalte können Sie angeben, ob Änderungen, die an Nennwerten vorgenommen wurden, nur auf den TR oder auch auf das Element angewandt werden soll.


Befehlsblock Toleranzrahmen

Im Folgenden wird die Syntax eines Befehlsblocks für einen Beispiel-Toleranzrahmen (TR) im Befehlsmodus des Bearbeitungsfensters gezeigt:

TR6 = POSITION VON KREIS1,KREIS2,KREIS3,...

TOLERANZRAHMEN/NENNWANZEIGEN=JA,PARAMANZEIGEN=JA,ERWEITERTANZEIGEN=JA

CAD_GRAPH=BEIDE PEOTOKOLLGRAPH=AUS TEXT=BEIDE MULT=10.00 AUSGABE=BEIDE EINHEITEN=ZOLL

VERBUND=NEIN,AN BEZÜGE ANPASSEN=JA,AUSGABE AUSRICHTUNG=Bezugssystem

MASSTOLERANZEN/4,DURCHM,0.375, 0.01,0.01

PRIMÄRES MERKMAL/POSITION,DURCHM,0.01,MMC,A,<MB>,B,MMC,C,<MB>

SEKUNDÄRES MERKMAL/POSITION,DURCHM,0.005,MMC,<PZ>,<Län>,A,<MB>,B,MMC,<dat>,<MB>

ANMERKUNG/TR6

ELEMENTE/KREIS1,KREIS2,KREIS3,KREIS4,,

ELEMENTGRUPPE

X:NENN=-1

Y:NENN=6.0235

Z:NENN=0

<NEU>

KREIS1

X:NENN=-1

Y:NENN=5.07

Z:NENN=0

<NEU>

KREIS2

X:NENN=-2

Y:NENN=6.008

Z:NENN=0

<NEU>

KREIS3

X:NENN=-1

Y:NENN=7.008

Z:NENN=0

<NEU>

KREIS4

X:NENN=0

Y:NENN=6.008

Z:NENN=0

<NEU>

BEZÜGE

D2:NENN=1,OTOL=0.01,UTOL=0.01

Name des Toleranzrahmens = Toleranzrahmen- (TR) Typ (Merkmalstyp) ODER Elementliste.

Elementliste = Liste der Elemente. Sind mehr als drei vorhanden, wird eine Ellipsengruppe ausgedruckt, um sicherzustellen, dass die Gerade geeignet ist. Beispielsweise ELEM1, ELEM2, ELEM3 und so weiter. Ist mehr als ein Element vorhanden, werden diese Elemente wie eine Mustergruppe behandelt und alle Elemente müssen dem selben Elementtyp angehören.

NENNWANZEIGEN = JA/NEIN. Ist die Option eingeschaltet, werden die TR-Typen, die Nennwerte aufweisen, diese anzeigen. Dazu gehören die Merkmale Position, Abstand, Zwischenwinkel und Neigung.

PARAMANZEIGEN = JA/NEIN. Ist die Option eingeschaltet, werden folgende Parameter zusammen mit dem Text angezeigt: CAD_GRAPH, PROTOKOLLGRAPH, TEXT, MULT, AUSGABE, EINHEITEN, VERBUND, AN BEZÜGE ANPASSEN, AUSGABE AUSRICHTUNG. Ist sie ausgeschaltet, werden eben diese Optionen nicht angezeigt.

ERWEITERTANZEIGEN = JA/NEIN. Ist diese Option eingeschaltet, zeigt der Toleranzrahmen die leeren Felder mit einer Beschreibung in Klammern an. Ist sie ausgeschaltet, werden die leeren Felder auch leer angezeigt.

<MB> - Materialbedingung

<D> - Durchmesser

<Merkm> - Merkmal- oder Toleranzrahmentyp

<PZ> - Projizierte Zone

<num> - Anzahl der Elemente

<nennw> - Nennwert der Elementgröße

<+tol> - Plustoleranz

<-tol> - Minustoleranz

<tol> - Toleranz

<dat> - Bezug

<sym> - Merkmalssymbol

<Anmerkungen hier anfügen> - Anmerkungsfeld - erste Zeile

<Optionale Anmerkungen zum Design hier anfügen> - Optionale Anmerkungen zum Design - letzte Zeile

CAD_GRAPH = AUS/EIN/BEIDES/FORM - Zeigt die Grafikanalyse auf dem Modell im Grafikfenster an. Positionsmerkmale beinhalten BEIDES/FORM, je nachdem, ob sie die integrierte Form-Option verwenden. Alle anderen Merkmale zeigen aber nur EIN/AUS an.

PROTOKOLLGRAPH = AUS/EIN/BEIDES/FORM - Zeigt die Grafikanalyse auf dem Protokoll an. Positionsmerkmale beinhalten BEIDES/FORM, je nachdem, ob sie die integrierte Form-Option verwenden. Alle anderen Merkmale zeigen aber nur EIN/AUS an.

TEXT = AUS/EIN/BEIDES/FORM - Zeigt die Textanalyse auf dem Protokoll an. Positionsmerkmale beinhalten BEIDES/FORM, je nachdem, ob sie die integrierte Form-Option verwenden. Alle anderen Merkmale zeigen aber nur EIN/AUS an.

MULT = Positive, numerische Werte, die die Grafikanalyse in der Haupt-CAD-Grafik vergrößert oder verkleinert.

AUSGABE = STAT/PROTOKOLL/BEIDES/KEINE - Umfasst die Berechnungen für den Toleranzrahmen in der xstats11.tmp-Datei, im Protokoll, in Beiden, oder Keinem.

VERBUND = JA/NEIN. Ist diese Option eingeschaltet, zeigt der Toleranzrahmen die erste und zweite Merkmalszeile als ein Verbundmerkmal an. Diese Option ist für Positions- und Profilmerkmale.

AN BEZÜGE ANPASSEN = JA/NEIN. Diese Option ist nur für Positions-TR verfügbar. Ist diese Option eingeschaltet, können Sie mit den Berechnungen eine Besteinpassungsberechnung der Bezüge vornehmen, um eine Besteinpassung zu suchen, die die Bezugsverlagerung minimiert.

AUSGABE AUSRICHTUNG = Bezugssystem/Aktuelle Ausrichtung. Diese Option ist nur für Positions-TR verfügbar. Wenn 'Bezugssystem' ausgewählt ist, werden die X-, Y- und Z-Positionen relativ zum Bezugssystem dargestellt. Wenn 'Aktuelle Ausrichtung' ausgewählt ist, werden die X-, Y- und Z-Positionen relativ zur aktuellen Ausrichtung dargestellt.

EINHEITEN = ZOLL/MM. Die zur Anzeige der TR-Angaben verwendeten Einheiten.

MASSTOLERANZEN = Stellt die oberste Zeile des Toleranzrahmens dar. Bei einigen TR-Typen wird diese Zeile nicht eingeblendet. Diese Zeile zeigt die Anzahl der ausgewählten Elemente an, unabhängig davon, ob das Symbol Durchmesser verwendet wird, sowie die Nenngröße des(der) Elements(Elemente) und die Maßtoleranzen, die auf die Nennwerte angewendet werden.

PRIMÄRES MERKMAL oder MERKMAL = Stellt die zweite mögliche Zeile des TR dar, die den primären TR-Typ enthält. Beachten Sie, dass einige der Felder nur für bestimmte TR-Typen gültig sind. Diese Zeile zeigt den TR-Typ an, unabhängig davon, ob das Symbol Durchmesser verwendet wird, sowie den Haupttoleranzwert, die auf die Haupttoleranz angewendete Materialbedingung, das Zonen-Symbol der projizierten Toleranz, den projizierten Toleranzzonenwert, den primären Bezug, den primären Bezug Materialbedingung, den sekundären Bezug, den sekundären Bezug Materialbedingung, den tertiären Bezug und den tertiären Bezug Materialbedingung. Sollte ein sekundäres Merkmal für den bestimmten TR-Typ nicht möglich sein, dann verwendet diese Zeile lediglich die Überschrift MERKMAL.

SEKUNDÄRES MERKMAL = Stellt die dritte mögliche Zeile des TR dar, die den primären TR-Typ enthält. Viele TR-Typen zeigen für das sekundäre Merkmal nichts an. Beachten Sie, dass einige der Felder nur für bestimmte TR-Typen gültig sind. Diese Zeile zeigt den TR-Typ an, unabhängig davon, ob das Symbol Durchmesser verwendet wird, sowie den Haupttoleranzwert, die auf die Haupttoleranz angewendete Materialbedingung, das Zonen-Symbol der projizierten Toleranz, den projizierten Toleranzzonenwert, den primären Bezug, den primären Bezug Materialbedingung, den sekundären Bezug, den sekundären Bezug Materialbedingung, den tertiären Bezug und den tertiären Bezug Materialbedingung. Ist ein sekundäres Merkemal gültig, dann muss dieses Merkmal den Standardregeln des "ASME Y14.5 1994 Dimensioning and Tolerancing standard" entsprechen.

ANMERKUNG = Stellte die letzte Zeile des TR dar. Hier werden Textanmerkungen dargestellt. Um die Identifizierung der TR in der Hauptgrafik zu erleichtern, zeigt dieses Feld standardmäßig die TR-IDs an.

NENNWERT-ZEILEN: In diesen Feldern werden die TR-internen Nennwerte der Merkmale angezeigt. Zunächst wird die Nennposition der resultierenden Musterelementgruppe angezeigt, wenn mehr als ein Element ausgewählt wurde. Als zweites wird die Nennposition der einzelnen Elemente angezeigt. Und schließlich werden die Nenngröße und Toleranzen der Bezüge mit Größe angezeigt. In jeder dieser Gruppen werden die Nennwerte aufgelistet, die zur Anzeige auf der Registerkarte Erweitert im Dialogfeld Form- & Lagetoleranz für den TR ausgewählt wurden, sodass jede darzustellende Achse ein- oder ausgeschaltet werden kann. Um die Anzeige anderer Nennwerte im Bearbeitungsfenster einzuschalten, verwenden Sie die Zeile <NEU>, um Achsen anzuzeigen, die verfügbar sind, aber derzeitig nicht angezeigt werden.

ELEMENTGRUPPE

X:NENN=-1

Y:NENN=6.0235

Z:NENN=0

<NEU>

KREIS1

X:NENN=-1

Y:NENN=5.07

Z:NENN=0

<NEU>

KREIS2

X:NENN=-2

Y:NENN=6.008

Z:NENN=0

<NEU>

KREIS3

X:NENN=-1

Y:NENN=7.008

Z:NENN=0

<NEU>

KREIS4

X:NENN=0

Y:NENN=6.008

Z:NENN=0

<NEU>

BEZÜGE

D2:NENN=1,OTOL=0.01,UTOL=0.01


Toleranzrahmen Trieder (Dreiflächner)

Wenn Sie einen TR-Befehl im Bearbeitungsfenster auswählen und dieser Befehl ein Bezugssystem verwendet, blendet PC-DMIS ein blau-gelbes Trieder ein, um den Bezugsrahmen für den TR darzustellen. Diese Darstellung unterscheidet sich vom rot-grünen Trieder, das die aktuelle Ausrichtung des Werkstücks anzeigt.

Der folgende Screenshot zeigt das Trieder mit Ausrichtung in rot-grün und mit Bezugsrahmen für TR in blau-gelb.

Screenshot vom TR- und Ausrichtungs-Trieder


Simultanes Auswerten der Toleranzrahmen

Über den Menüeintrag Einfügen | Merkmal | Simultane Auswertung können Sie einen 'Simultane Auswertung-Befehl' im Werkstückprogramm erstellen. Dieser Befehl wertet zwei oder mehr Positions-TRs oder zwei oder mehr Profil-TRs (Gerade oder Fläche) gleichzeitig aus.

Beispiel: Wenn sich auf dem Werkstück zwei Gruppen mit Löchern befinden und die Löcher desr einen Gruppe eine unterschiedliche Größe aufweisen als die Löcher der anderen Gruppe, das Merkmal 'Position' aber für beide Löchergruppen ausgewertet werden soll, so, als würde es sich um eine einzige Gruppe handeln, dann können Sie dazu den Befehl Simultane Auswertung verwenden. Erstellen Sie zuerst zwei getrennte Positions-TRs; einen für jede Löchergruppe. Erstellen Sie dann einen Simultane Auswertung-Befehl, um beide TRs zusammen auszuwerten.

Der Menüeintrag Simultane Auswertung blendet das Dialogfeld Simultane Auswertung ein.

Dialogfeld "Simultane Auswertung"

Dialogfeld "Simultane Auswertung"

Die Liste auf der rechten Seite zeigt alle Toleranzrahmen- (TR) Befehle, die für den 'Simultane Auswertung-Befehl' verfügbar sind. Hier werden nur TRs für Position- oder Profilmerkmale aufgelistet. Wählen Sie die Einträge, die Sie in den 'Simultane Auswertung-Befehl' aufnehmen möchten, in der auf der rechten Seite stehenden Liste aus. Wenn Sie die Einträge auswählen, wird die Schaltfläche Hinzufügen verfügbar. Sie können mehrere Einträge auswählen, indem Sie beim Auswählen der Einträge die Strg-Taste gedrückt halten. Klicken Sie auf Ausw. aufh., um die Auswahl wieder aufzuheben.

Klicken Sie auf die Schaltfläche Hinzufügen, um die ausgewählten Einträge der Liste auf der Linken Seite des Bereichs Toleranzrahmen hinzuzufügen. Diese zweite Liste definiert die TRs, die vom 'Simultane Auswertung-Befehl' ausgewertet werden.

Wenn Sie Einträge zur Liste auf der linken Seite hinzugefügt haben, können sie diese auch wieder durch Auswahl der Einträge in dieser Liste und Drücken auf Löschen entfernen. Dadurch werden diese Einträge in der Liste auf der linken Seite entfernt und wieder in der Liste auf der rechten Seite dargestellt. Wenn Sie mindestens zwei TRs zur Liste auf der linken Seite hinzugefügt haben, wird die Schaltfläche Erzeugen verfügbar. Klicken Sie auf Erzeugen, um den 'Simultane Auswertung-Befehl' zu erstellen und fügen Sie ihn in das Bearbeitungsfenster ein. Im Befehlsmodus sieht dies dann folgendermaßen aus:

SIMUL1 =SIMULTAN/TR2,TR3,TR4,,

Regeln für das simultane Auswerten:

  • Alle TRs, die Sie auswerten, müssen den gleichen Merkmalstyp aufweisen. Sie müssen entweder alle das Merkmal 'Position' oder das Merkmal 'Flächenprofil' oder 'Geradenprofil' aufweisen. Bei Ausrichtungsmerkmalen kann die simultane Auswertung nicht angewandt werden. Wenn Sie der Liste auf der linken Seite TRs verschiedener Merkmalstypen hinzufügen und auf Erzeugen klicken, blendet PC-DMIS eine Fehlermeldung ein, in der Sie darüber informiert werden, dass alle TRs den gleichen Merkmalstyp aufweisen müssen.

  • Alle TRs, die Sie auswerten, müssen über Merkmale verfügen, die sich auf die gleichen Bezüge in der gleichen Rangfolge beziehen. Wenn Sie zwei Positions-TRs zu der Liste auf der linken Seite hinzufügen, die unterschiedliche Bezüge aufweisen, und auf Erzeugen klicken, blendet PC-DMIS eine Fehlermeldung ein, die Sie darüber informiert, dass sich die TRs auf die gleichen Bezüge beziehen und die gleiche Rangfolge verwenden müssen.

  • Alle verwendeten Bezüge müssen die gleichen Materialbedingungen aufweisen. Wenn die Bezüge gleich sind, deren Materialbedingungen aber unterschiedlich sind, wenn Sie auf Erzeugen klicken, dann blendet PC-DMIS eine Fehlermeldung ein, die Sie darüber informiert, dass die gleichen Materialbedingungen verwendet werden müssen.


Protokollieren eines Toleranzrahmens für das Merkmal "Position"

Die Hauptänderungen, die das Protokollformat für das Merkmal Position betreffen, werden jetzt von PC-DMIS 4.0 und höher wie folgt im Protokollfenster berichtet:

  • Die Abweichung eines jeden Elements aus einer Gruppe und nicht nur die Abweichung der gesamten Gruppe. Dadurch können Sie auf einfachere Weise bestimmen, welches Element in einem Elementmuster außerhalb des Toleranzbereichs liegt.

  • Die verlagerte Position des Bezugs als Ergebnis der Bezugseinpassung (bei Größenbezügen).

  • Die gesamte Bezugsverlagerung in X, Y, Z und Rotation in U, V, W, die durch den Einpassungs-Algorithmus entstehen.

Bei der Protokollierung eines Toleranzrahmens 'Position' ist eine große Menge an Informationen verfügbar. Um Verwirrung zu vermeiden und damit Sie erkennen können, wie der TR die Berechnungen beeinflusst, teilt PC-DMIS diese Angaben in vier Teile.

  1. Größenangaben. Die Größenangaben werden getrennt von der Position des Elements ausgewertet.

  2. Angaben zur Bonustoleranz des Hauptelements oder der Gruppe

  3. Bezugsangaben, Bezugsverlagerung und Bezugs-Rotation eingeschlossen

  4. Angaben zur Element- oder Gruppenposition.

Die zusätzlichen Angaben sind sehr viel nützlicher als in den Versionen vor 4.0. Beispielsweise wurden die Angaben zur Bezugsverlagerung vorher nicht ausgegeben. Diese können jedoch bei einem Positionsmerkmal außerhalb des Toleranzbereichs eine große Rolle spielen. Jetzt können Sie erkennen, ob sich das Element oder der Bezug an der falschen Stelle befindet.


Scannen Ihres Werkstücks

Scannen Ihres Werkstücks: Einführung

Druchführen fortgeschrittener Scans

Allgemeine Funktionen des Dialogfelds "Scan"

Durchführen eines fortgeschrittenen "Offene Linie"-Scans

Durchführen eines fortgeschrittenen "Geschlossene Linie"-Scans

Durchführen eines fortgeschrittenen Flächenscans

Durchführen eines fortgeschrittenen Umfang-Scans

Durchführen eines fortgeschrittenen Profilschnitt-Scans

Durchführen eines fortgeschrittenen Rotations-Scans

Durchführen eines fortgeschrittenen Freiform-Scans

Durchführen eines fortgeschrittenen UV-Scans

Durchführen eines fortgeschrittenen Gitter-Scans

Durchführen von Basis-Scans

Allgemeine Funktionen des Dialogfelds "Basis-Scan"

Durchführen eines Basis-Scans für ein Kreiselement

Durchführen eines Basis-Scans für ein Zylinderelement

Durchführen eines Basis-Scans für eine Achse

Durchführen eines Basis-Scans des Typs "Mitte"

Durchführen eines Basis-Scans für ein Geradenelement

Durchführen manueller Scans

Weitere Optionen für manuelle Scans

Regeln für manuelles Scannen

Manuell durchgeführte Scans mit einem schaltenden Messtaster

Manuelle Scans mit einem starren Taster durchführen


Scannen Ihres Werkstücks: Einführung

Mit PC-DMIS können Sie eine Punktmessung definieren, indem Sie die Oberfläche des Werkstücks in bestimmten Inkrementen scannen. Diese Messfunktion ist besonders nützlich, wenn präzise gesteuerte KMG-Messpunkte erforderlich sind. Zum gegenwärtigen Zeitpunkt unterstützt PC-DMIS CNC-Scans mit schaltenden und analogen Tastern sowie manuelle Scans mit schaltenden oder starren Tastern. Sowohl für manuelle als auch für CNC-Scans kann der Scan mit Hilfe verschiedener Verfahren ausgeführt werden. Diese Verfahren werden im Folgenden erläutert.

Für einen CNC-Stichscan wird der schaltende Taster verwendet. Dieser Taster wird von PC-DMIS und der Steuereinheit des KMG (KMG = Koordinatenmessgerät) gesteuert. Das CNC-Scanverfahren beruht auf einem intelligenten, selbstanpassenden Algorithmus, der die vertikalen Oberflächenvektoren berechnet und somit eine genaue Tasterkompensation gewährleistet. PC-DMIS kann auch mit einem schaltenden Taster (manchmal auch als ST bezeichnet) verwendet werden und ist daher besonders für die automatische Punkt-zu-Punkt-Digitalisierung eines Profils auf der Oberfläche geeignet. Geben Sie einfach die erforderlichen Parameter für den CNC-Scan ein, klicken Sie auf die Schaltfläche Messen, und der Scan-Algorithmus von PC-DMIS übernimmt die Steuerung des Messverfahrens.

PC-DMIS-Scans können jedoch auch mit einem analogen Tastsystem ausgeführt werden, um ein kontinuierliches Kontaktscannen zu ermöglichen. Zuerst übermittelt PC-DMIS die Scanparameter an die Steuereinheit. Die Steuereinheit scannt das Werkstück und meldet die Scanpunkte an PC-DMIS zurück.

Fortgeschrittene PC-DMIS-Scans setzen sich aus Basis-Scans zusammen. Beispielsweise besteht ein FLÄCHEN-Scan (siehe "Durchführen eines fortgeschrittenen Scans für eine Teilfläche") eigentlich aus Datenreihen, wobei jede Datenreihe ein Basis-Scan ist. Die Basis-Scans sind die Bausteine für übergeordnete Scans wie FLÄCHEN-Scans.

In den Hauptthemen dieses Abschnitts werden die im Untermenü Einfügen | Scan verfügbaren Optionen behandelt:

  • Druchführen fortgeschrittener Scans

  • Durchführen von Basis-Scans

  • Durchführen manueller Scans


Beispiel: Stich-Scan (streifenweises Abtasten)

Beispiel: Stich-Scan (unter Verwendung eines schaltenden Tasters)

Klicken Sie auf " 20_scan_files/example_stitch_scan.avi", um den Videoclip abzuspielen


Beispiel: Kontinuierliches Kontaktscannen

Beispiel: Kontinuierliches Kontaktscannen (unter Verwendung analoger Taster)

Klicken Sie auf " 20_scan_files/example_analog_scan.avi", um den Videoclip abzuspielen


Einführung zum Durchführen von fortgeschrittenen Scans

Fortgeschrittene Scans sind CNC-Scans vom Typ "Stich", die normalerweise von einem schaltenden Taster (ST), in manchen Fällen aber auch von einem analogen Taster, ausgeführt werden. Diese Scans werden von PC-DMIS und der KMG-Steuereinheit durchgeführt. Das CNC-Scanverfahren beruht auf einem intelligenten, selbstanpassenden Algorithmus, der die vertikalen Oberflächenvektoren berechnet und somit eine genaue Tasterkompensation gewährleistet.

Diese fortgeschrittenen Scans verwenden ein schaltendes Tastsystem (ST), das besonders für die automatische punktweise Digitalisierung von Profilen auf Oberflächen geeignet ist. Geben Sie einfach die erforderlichen Parameter für den CNC-Scan ein, klicken Sie auf die Schaltfläche Messen, und der Scan-Algorithmus von PC-DMIS übernimmt die Steuerung des Messverfahrens.

PC-DMIS unterstützt folgende fortgeschrittene Scanmethoden:

  • Offene Linie

  • Geschlossene Linie

  • Fläche

  • Profilschnitt

  • Umfang

  • Rotierend

  • Freiform

  • UV

  • Raster

In diesem Thema werden zunächst die allgemeinen Funktionen des Dialogfelds Scan behandelt, das zum Durchführen dieser Scans verwendet wird. Anschließend wird erläutert, wie die verschiedenen fortgeschrittenen Scans durchgeführt werden.

Siehe auch:

Allgemeine Funktionen des Dialogfelds "Scan"


Allgemeine Funktionen des Dialogfelds "Scan"

Viele der nachfolgend beschriebenen Funktionen gelten für eine Reihe der Scan-Dialogfelder, die sowohl beim CNC- als auch bei manuellen Scans angewendet werden. Auf Optionen, die sich insbesondere auf einen Scan-Modus beziehen, wird entsprechend hingewiesen.

Siehe auch:

Art des Scans

Schaltflächen "Elementar" und "Erweitert"

ID

Messen

Bereich "Grenzpunkte"

Bereiche "Richtungsmethode"

Bereich "Scan-Erstellung" (für den Umfang-Scan)

Bereich "Profilschnittposition" (für den Profilschnitt-Scan)

Bereich "Anfangsvektoren"

Mitte wählen (für den Rotations-Scan)

Mittelpunkt und Radius (für den Rotations-Scan)

IJK (für den Rotations-Scan)

Bereich "UV-Scan-Einstellungen"

Bereich "Einstellungen Gitter-Scan"

Registerkarte "Ausführung"

Registerkarte "Grafik"

Registerkarte "Passpunkte"

Registerkarte "Pfaddefinition"

Registerkarte "Einstellungen"


Art des Scans

Über die Liste Scan-Typ können Sie auf einfache Weise zwischen den verfügbaren Scans hin- und herschalten. Durch Auswahl eines neuen Scans wird das Dialogfeld auf den ausgewählten Scan-Typ aktualisiert.


Schaltflächen "Elementar" und "Erweitert"

Mit den Schaltflächen << Elementar und Erweitert >> können Sie zwischen der Anzeige von wesentlichen Scan-Optionen bzw. detailliertere, erweiterte Optionen hin- und herschalten. Durch Klicken auf die Schaltfläche Erweitert >> erscheinen die Registerkarten Ausführung, Grafik und Pfaddefinition im unteren Teil des Dialogfelds. Jede dieser Registerkarten enthält zusätzliche Optionen, die Sie zur Definition des Scans verwenden können. Durch Klicken auf die Schaltfläche << Elementar werden die erweiterten Einträge ausgeblendet und die elementaren Informationen angezeigt, die Sie zum Erstellen des Scans benötigen.

Elementare Einträge sind sichtbar

Erweiterte Einträge sind sichtbar


ID

Das Feld ID zeigt die ID des zu erstellenden Scans an.


Messen

Wenn das Kontrollkästchen Messen bei Auswahl der Schaltfläche Erzeugen aktiviert ist, startet PC-DMIS sofort und misst den Scan. Wenn das Kontrollkästchen Messen nicht aktiviert ist und die Schaltfläche Erzeugen aber gewählt wird, dann fügt PC-DMIS ein Scan-Objekt in das Bearbeitungsfenster ein, das später gemessen werden kann. Auf diese Weise können Sie eine Reihe von Scans einrichten, die dann in das Bearbeitungsfenster eingefügt und später gemessen werden können.

Hinweis: Dieses Kontrollkästchen ist nur verfügbar, wenn PC-DMIS ONLINE ist.


Grenzpunkte

 Using the Boundary button Adding and Deleting Boundary Points

Bereich "Grenzpunkte"

Um den Grenzbereich eines Scans zu definieren, können in PC-DMIS Begrenzungspunkte eingegeben, gemessen oder CAD-Daten verwendet werden.

Beispiel zum Bereich "Grenzpunkte"

Diese Option ist nur für CNC-Scans verfügbar.

OFFENE_LINIE-Scans können auch ohne einen Endpunkt gemessen werden. Wenn Sie den Endpunkt entfernen, misst PC-DMIS den Scan so lange weiter, bis Sie ihn manuell stoppen. Der Anfangspunkt und der Richtungspunkt können jedoch nicht gelöscht werden.

GESCHL_LINIE-Scans erfordern Anfangs- und Richtungspunkte. Grenzpunkte können nicht gelöscht oder hinzugefügt werden.

FLÄCHE- Für Flächen-Scans sind mindestens drei Begrenzungspunkte erforderlich, so dass eine dreieckige Fläche für die Bearbeitung erstellt wird. Sie können weitere Begrenzungspunkte mit Hilfe der Schaltflächen Hinzufügen und Löschen im Begrenzungspunktbereich hinzufügen bzw. löschen. Dadurch wird das Kontrollkästchen Geschlossene Linie-Scan zu diesem Bereich hinzugefügt.

Über das Kontrollkästchen Geschlossener Flächen-Scan können Sie angeben, dass ein geschlossenes Element wie ein Zylinder, Kegel, Langloch usw. gescannt werden soll. Wenn dieses Kontrollkästchen aktiviert ist, reduziert PC-DMIS die Anzahl der Begrenzungspunkte, die zur Definition des Scanbereichs erforderlich sind. Sie brauchen dann nur die Anfangs- und Richtungspunkte sowie einen Endpunkt einzugeben. Der Endpunkt gibt an, wie weit der Scan am Element in Auf-/Abwärtsrichtung ausgeführt werden soll. Anfangspunkt und Richtungspunkt definieren im Verbund mit dem Anfangsvektor den Schnittebenenvektor. Normalerweise verläuft der Schnittebenenvektor parallel zur Achse des Elements, das gemessen wird.

Hinweis: Es wird empfohlen, die Grenzbedingung Ebene zu verwenden und die Anzahl der Grenzüberschreitungen für Flächen-Scans auf "2" einzustellen..

SCHNITT - In diesem Bereich werden nicht nur die Begrenzungspunkte für den (Profil-)SCHNITT-Scan bestimmt. Hier können Sie auch Bohrungen, die in den CAD-Daten definiert sind, ermitteln und zwischen der Anzeige der Lochdaten und der Anzeige der Begrenzungspunktdaten hin- und herschalten. Die beim Profilschnitt-Scan zusätzlich erscheinenden Schaltflächen CAD ausschn. und Ausschnitt einblenden in diesem Bereich erfüllen folgenden Zweck:

Nachdem eine Bereichsgrenze definiert worden ist und Sie auf die Schaltfläche CAD ausschn. klicken, durchsucht PC-DMIS die CAD-Daten automatisch nach Löchern, die auf der Bahn des Scans liegen. Alle Lochkanten entlang der Scan-Bahn werden durch eine Ganzzahl für den betreffenden Punkt, gefolgt von einem "H", angezeigt (also 2H , 3H etc.). Die Lochkantenpunkte werden auf einen Standardabstand von 2,0 mm vom theoretischen Lochrand eingestellt.

Sie können das CAD-Modell mit bestimmten, benutzerseitig ausgwählten Oberflächen ausschneiden. Wählen Sie hierzu die Begrenzungspunkte, aktivieren Sie dann das Kontrollkästchen Auswählen, wählen Sie die gewünschten Oberflächen und klicken Sie auf die Schaltfläche CAD ausschn.. PC-DMIS schneidet dann nur die ausgewählten Oberflächen aus, um das Loch (die Löcher) zu ermitteln.

Sie brauchen die SchaltflächeCAD ausschn. nicht zu drücken, wenn das CAD keine Löcher aufweist. Wird die Schaltfläche nicht betätigt, scannt PC-DMIS das Werkstück unter Verwendung der angegebenen Anfangs- und End-Begrenzungspunkte.

Beim Ausschneiden von Oberflächen verwendet PC-DMIS nur die in der ersten Anzeige (die "Blaue Ansicht") angezeigten Oberflächen. Informationen hierzu finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige". Wenn Sie mit einer komplexen CAD-Zeichnung mit mehreren Oberflächen arbeiten, können Sie Oberflächengruppen in CAD-Layern zusammenfassen. (Siehe auch "Anzeigen, Erstellen und Bearbeiten von Layern" im Abschnitt "Bearbeiten der CAD-Anzeige"). Auf diese Weise können Sie das Ausschneiden von CAD-Elementen im Profilschnitt auf bestimmte Teilbereiche des CAD-Modells einschränken.

Mit der Schaltfläche Ausschnitt einblenden können Sie zwischen der Anzeige von Bereichsgrenzen- und Bohrungsdaten hin- und herschalten. Wenn eine Bereichsgrenze definiert und die Schaltfläche CAD ausschn. gewählt worden ist, können Sie die jeweils gewünschte Anzeige mit Ausschnitt einblenden aufrufen.

UMFANG - Diese Scans arbeiten wie ein OFFENE LINIE-Scan.

DREHEND - Die Rotations-Scans setzen ein Minimum von einem Anfangs- und einem Richtungspunkt voraus (dargestellt als 1 und D bzw. in der Liste Begrenzungspunkte und in der CAD-Anzeige).

  • Wenn Sie keinen Endpunkt (als 2 dargestellt) haben, fährt PC-DMIS mit dem Scan entlang der angegebenen Richtung fort, bis wieder der Startpunkt erreicht wurde.

  • Wenn Sie einen Start- und einen Endpunkt haben, scannt PC-DMIS entlang der angegebenen Richtung, bis der Endpunkt erreicht wird.

PC-DMIS zeigt im Bereich Begrenzungspunkte standardmäßig einen Start-, Richtungs- und Endpunkt an. Sie können den Endpunkt löschen – nicht jedoch den Start- oder Richtungspunkt.

Wenn Sie die einzelnen Begrenzungspunkte definieren (entweder, indem Sie auf das CAD-Modell klicken oder die Werte eingeben), setzt PC-DMIS automatisch jeden Punkt auf denselben Radiusabstand zum Mittelpunkt, es sei denn, Sie haben keinen Radius definiert. In diesem Fall definiert der Erste von Ihnen angegebene Begrenzungspunkt den Radius.

Hinweis: Die Schaltfläche Bereichsgrenze in diesem Bereich des Dialogfelds ist nur im CNC-Modus und nur für Offene Linie-, Geschlossene Linie-, Flächen-, Profilschnitt- und Rotations-Scans verfügbar. Sie ist nicht für Umfang-Scans verfügbar.

Siehe auch:

Einstellen von Begrenzungspunkten mit der Eingabemethode

Einstellen von Begrenzungspunkten mit der Messpunktmethode

Einstellen von Begrenzungspunkten mit der CAD-Datenmethode

Verwenden der Schaltfläche "Bereichsgrenze"

Hinzufügen und Entfernen von Begrenzungspunkten


Einstellen von Begrenzungspunkten mit der Eingabemethode

So bestimmen Sie die Bereichsgrenze für einen Scan mit Hilfe der Eingabemethode:

  1. Doppelklicken Sie auf den gewünschten Begrenzungspunkt in der Spalte "Nr.". Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt.

Scanelement bearbeiten (Dialogfeld)

  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.

  3. Klicken Sie auf OK, um die Änderungen zu übernehmen.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Bei Wahl der Schaltfläche Weiter werden die Änderungen übernommen und der nächste Begrenzungspunkt zur Bearbeitung aufgerufen.


Einstellen von Begrenzungspunkten mit der Messpunktmethode

Wenn Sie die Bereichsgrenze für den Scan mit Hilfe von Messpunkten festlegen wollen, berühren Sie das Werkstück mit dem Taster. Damit wird der Wert des aktuell in der Liste ausgewählten Begrenzungspunkts automatisch aktualisiert. Der Fokus rückt dann zum nächsten Begrenzungspunkt weiter (sofern weitere Begrenzungspunkte in der Liste enthalten sind). Bei einem FLÄCHEN-Scan wird automatisch ein zusätzlicher Begrenzungspunkt hinzugefügt, wenn der aktuelle Begrenzungspunkt der letzte Punkt in der Liste ist. Der FLÄCHEN-Scan zeigt dann den letzten Punkt an (welcher derselbe Punkt wie der Vorhergehende ist). PC-DMIS löscht diesen letzten Punkt, wenn Sie im Dialogfeld auf OK klicken.


Einstellen von Begrenzungspunkten mit der CAD-Datenmethode

Mit PC-DMIS können Sie Begrenzungspunkte sowohl mit Hilfe von Drahtmodell- als auch mit Hilfe von Flächendaten auswählen.

Bei der Verwendung von CAD-Flächendaten:

  1. Stellen Sie sicher, dass Sie schattierte CAD-Daten importiert haben.

  2. Vergewissern Sie sich, dass das Symbol Oberflächen zeichnen Ein/Aus [image] ausgewählt ist.

  3. Wählen Sie einen Begrenzungspunkt, indem Sie im Grafikfenster auf die gewünschte Stelle klicken.

Die ausgewählte Oberfläche wird hervorgehoben. PC-DMIS aktualisiert den Wert des aktuell in der Liste ausgewählten Begrenzungspunkts automatisch. Der Fokus rückt dann zum nächsten Begrenzungspunkt weiter (sofern weitere Begrenzungspunkte verfügbar sind). Bei einem FLÄCHEN-Scan wird automatisch ein zusätzlicher Begrenzungspunkt hinzugefügt, wenn der aktuelle Begrenzungspunkt der letzte Punkt in der Liste ist.

Bei Verwendung von CAD-Drahtmodelldaten haben Sie die Wahl zwischen zwei Modi zur Auswahl von KurvenElementen:

Drahtmodelldaten - Modus 1
Tiefenkurve

Bei der Nennwertsuche verwendet PC-DMIS eine Tiefenkurve, um mit Hilfe von zwei Kurven eine Ebene zu bilden. Im Idealfall verläuft die Tiefenkurve vertikal zur anderen ausgewählten Kurve, sodass PC-DMIS die beiden Vektoren (den Vektor der Tiefenkurve und den Vektor einer beliebigen anderen, ausgewählten Kurve) überschneiden und eine Ebene bilden kann, von der aus Nennwerte gesucht werden können.

Um eine Tiefenkurve anzugeben, aktivieren Sie das Kontrollkästchen Tiefe und wählen Sie dann eine Kurve. Es kann nur jeweils eine Tiefenkurve gewählt werden. Daher sollten Sie die Tiefenkurve erst wählen, wenn die anderen Kurven bereits ausgewählt worden sind.

1. Vergewissern Sie sich, dass das Symbol Drahtmodus [image] ausgewählt ist.

2. Kreuzen Sie das Kontrollkästchen Auswählen an.

3. Kreuzen Sie das Kontrollkästchen Tiefe an.

4. Wählen Sie eine Kurve aus.

5. Geben Sie die beiden CAD-Kanten an, die vertikal zueinander verlaufen.

6. Deaktivieren Sie das Kontrollkästchen..

7. Klicken Sie auf das Werkstück.

Wenn eine Tiefenkurve zur Verfügung steht, bildet PC-DMIS eine Ebene, indem es den Vektor jeder Kante mit dem Vektor der Tiefenkurve überschneidet und diese Ebene dann durchstößt, um einen Punkt zu erstellen.

Drahtmodelldaten - Modus 2
Keine Tiefenkurve

1. Aktivieren Sie das Kontrollkästchen Auswählen.

2. Geben Sie die beiden CAD-Kanten an, die vertikal zueinander verlaufen.

3. Deaktivieren Sie das Kontrollkästchen.

4. Klicken Sie auf das Werkstück.

Wenn keine Tiefenkurve gewählt ist, setzt PC-DMIS den ausgewählten Punkt einfach auf die Kurve.

Hinweis: Drahtmodelldaten können nur in Verbindung mit OFFENE_LINIE-, GESCHLOSSENE_LINIE- und FLÄCHEN-Scans eingesetzt werden.


Verwenden der Schaltfläche "Bereichsgrenze"

Die Schaltfläche "Bereichsgrenze" ist nur im CNC-Modus und bei Scans mit offener Linie, geschlossener Linie, Fläche und Profilschnitt verfügbar. Sie ist nicht für Umfang-Scans verfügbar.

Über die Schaltfläche Bereichsgrenze wird das Dialogfeld Bereichsgrenzen aufgerufen. Die Grenzbedingungen dienen zur Beendigung des Scans am Endpunkt. Im Dialogfeld Bereichsgrenzen können Sie im Auswahllistenfeld Art der Bereichsbegrenzung folgende Arten der Bereichsbegrenzung auswählen:

  • Ebene

  • Kugel

  • Zylinder

  • Kegel

  • OldStyle

Die Grenzbedingung "OldStyle" wird beibehalten, um eine Abwärtskompatibilität mit früheren Versionen von PC-DMIS zu gewährleisten.

Jede der obigen Grenzbedingungen (außer "OldStyle") hat ein Feld für die Anzahl der Grenzüberschreitungen, das die Bedingungen für die Beendigung des Scans festlegt. Wenn Sie beispielsweise diesen Wert auf zwei (2) einstellen, wird der Scan beendet, wenn die Kugelmitte des Tasters die gegebene Oberflächenbedingung (eben, rund, zylindrisch, konisch usw.) zweimal überquert hat. Geben Sie einfach den Wert für die gewünschte Anzahl der Grenzüberschreitungen ein.

Die Grenzbedingung wird am Endpunkt verwendet und ist sowohl mit einer Lage als auch mit dem unter Anzahl der Grenzüberschreitungen angegebenen Wert verknüpft. Alle Grenzüberschreitungen werden berechnet, wenn die Kugelmitte die Oberfläche überquert.

Ebene

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster die Ebene x-mal überquert hat (wobei x die Anzahl der Überschreitungen ist).

  • Ebenenvektor: Dieser Vektor definiert den vertikalen Vektor der Ebene am Endpunkt.

  • Endvektor: Der Antastvektor am Endpunkt.

Die für den Begrenzungstyp "Ebene" angezeigte Befehlszeile im Bearbeitungsfenster lautet:
BEREICHSGRENZE/EBENE, X,Y,Z,Ebenenvektor=I,J,K,Endvektor=I,J,K,Überschreitungen

Kugel

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster die Kugel x-mal überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist).

  • Radius: Der Kugelradius.

  • Endvektor Der Antastvektor am Endpunkt.

Die Kugel liegt am Endpunkt, ist aber um einen Tasterradius entlang dem Antastvektor von der Oberfläche versetzt, sodass die Mitte des kugelförmigen Tasters durch die Kugel geführt werden kann.

Die für den Begrenzungstyp "Kugel" angezeigte Befehlszeile im Bearbeitungsfenster lautet:
BEREICHSGRENZE/KUGEL, X,Y,Z,Endvektor=I,J,K,Radius,Überschreitungen

Zylinder

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster den Zylinder x-mal überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist). Der Zylinder ist unbegrenzt (d. h. er gilt als unendlich lang).

  • Radius: Der Zylinderradius.

  • Achsenvektor: Dieser Vektor definiert die Zylinderachse am Endpunkt.

  • Endvektor: Der Antastvektor am Endpunkt.

Der Zylinder liegt am Endpunkt, ist aber um einen Tasterradius entlang dem Antastvektor von der Oberfläche versetzt, sodass die Mitte des kugelförmigen Tasters durch den Zylinder geführt werden kann.

Die für den Begrenzungstyp "Zylinder" angezeigte Befehlszeile im Bearbeitungsfenster lautet:
BEREICHSGRENZE/ZYLINDER, X,Y,Z,Achse=I,J,K,, Endvektor=I,J,K,Radius,Überschreitungen

Kegel

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster den Kegel x-mal überquert hat (wobei x die Anzahl der Überschreitungen ist). Der Kegel ist unbegrenzt (d. h. er gilt als unendlich lang).

  • Winkel: Der halbe Kegelwinkel.

  • Achsenvektor: Dieser Vektor definiert die Kegelachse an der Spitze.

  • Endvektor: Der Antastvektor am Endpunkt.

Die Kegelspitze liegt am Endpunkt des Scans.

Die für den Begrenzungstyp "Kegel" angezeigte Befehlszeile im Bearbeitungsfenster lautet:
BEREICHSGRENZE/KEGEL, X,Y,Z,Achse=I,J,K,, Endvektor=I,J,K,Halbwinkel,Überschreitungen

OldStyle

Diese Grenzbedingung wird beibehalten, um die Abwärtskompatibilität mit früheren Programmversionen zu gewährleisten. Frühere Versionen von PC-DMIS beendeten einen Scan auf Basis einer Kombination aus der Anzahl der Grenzüberschreitungen und der Scan-Inkremente. OldStyle ist eigentlich keine durch Sie wählbare Option. Es handelt sich um eine interne Einstellung für Scans, die mit frühreren PC-DMIS-Versionen erstellt wurden.

Wenn Scans aus der PC-DMIS-Version 2.3 in Version 3.0 oder höher eingelesen werden, werden sie konvertiert und die zugehörigen Grenzbedingungen als "OldType" (ALTERTYP) gekennzeichnet.

  • Ebenenvektor: Dieser Vektor definiert den vertikalen Vektor der Ebene am Endpunkt.

  • Endvektor: Der Antastvektor am Endpunkt.

Die für den Begrenzungstyp "OldStyle" angezeigte Befehlszeile im Bearbeitungsfenster lautet:
BEREICHSGRENZE/ALTERTYP, X,Y,Z,Ebenenvektor=I,J,K, Endvektor=I,J,K

Hinweis: Die Grenzbedingung für einen Scan kann jederzeit geändert werden. Wird eine neue Grenzbedingung für einen CNC-Scan gewählt, gilt die neue Bedingung für alle Basis-Scans, aus denen der CNC-Scan besteht. Wenn Sie jedoch nur einen bestimmten Wert in einer Grenzbedingung verändern, wie beispielsweise den Radius bei einer Sphärischen Bereichsgrenze, dann wird diese Änderung NICHT an die Basis-Scans weitergegeben. Sie müßten diesen Wert dann selbst in jedem Basis-Scan ändern.


Hinzufügen und Entfernen von Begrenzungspunkten

Mit den Schaltflächen Hinzufügen und Entf können Sie Grenzpunkte zur Liste der Grenzpunkte hinzufügen bzw. daraus entfernen. Die einzelnen Scantypen unterliegen jedoch alle bestimmten Einschränkungen. So kann z. B. für einen GESCHLOSSENE LINIE-Scan nur ein Anfangs- und Richtungspunkt angegeben werden. Bei diesem Scantyp können Sie weder weitere Punkte hinzufügen noch diese beiden Punkte entfernen. Die spezifischen Einschränkungen finden Sie unter dem jeweiligen Scantyp.


Bearbeiten von Begrenzungspunkten

Sie können Begrenzungspunkte bearbeiten, indem Sie auf die Nummer des gewünschten Punkts in der Spalte "Nr." doppelklicken.

Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt, in dem Sie die X-, Y- und Z-Werte bearbeiten können.

Dialogfeld "Scanelement bearbeiten", in dem die Schaltfläche "Umk." (Umkehren) und das Kontrollkästchen "Punkt bei Bohrung" anschaulich dargestellt sind

Die Breite der Spalten in der Liste Begrenzungspunkte kann bei Bedarf angepasst werden. Ändern Sie einfach die Breite des Spaltenkopfes der Liste. Wählen Sie mit Hilfe der linken Maustaste den rechten oder linken Rand eines Spaltenkopfes, und ziehen Sie den Rand bis auf die gewünschte Größe. Die Breite der einzelnen Listenanzeigen wird vom Benutzer individuell eingestellt. Diese Informationen werden in der INI-Datei gespeichert und verwendet, wenn die Felder verändert werden.

Umkehren:

Die Schaltfläche Umk. (Umkehren) ist nur beim Editieren eines Vektors verfügbar. Durch Klicken auf diese Schaltfläche wird der ausgewählte Vektor umgekehrt.

Punkt bei Bohrung:

Das Kontrollkästchen Punkt bei Bohrung ist nur beim Arbeiten mit Profilschnitt-Scans verfügbar. Mit ihm lässt sich aus einem bohrungsfernen Punkt einen Bohrungspunkt machen.

Der Bohrungspunkt definiert die Stelle, an der ein linearer Profilschnitt-Scan eine in seinem Weg befindliche Bohrung überspringt. Nachdem auf die Schaltfläche CAD ausschn. geklickt wurde, platziert PC-DMIS Bohrungspunkte auf beiden Seiten der Bohrungen, die den Profilschnitt-Scan unterbrechen.

Bohrungspunkte werden durch die Punktnummer, gefolgt von dem Buchstaben "H", ausgewiesen (z. B. 1H, 2H, 3H etc.). Diese Punkte werden, genauso wie andere Begrenzungspunkte, sowohl zur Liste Begrenzungspunkte, als auch zum Werkstückmodell im Grafikfenster hinzugefügt.

Hinweis: Das Kontrollkästchen Punkt bei Bohrung ist nur bei bohrungsfernen Punkten verfügbar, die in Bohrungspunkte geändert werden müssen. Wenn Sie einen Bohrungspunkt haben, aus dem ein bohrungsferner Punkt gemacht werden muss, löschen Sie den Bohrungspunkt und erstellen Sie einen neuen bohrungsfernen Punkt.


Entfernen von Begrenzungspunkten

Sie können die Liste mit den Begrenzungspunkten jedes Scantyps problemlos löschen, indem Sie mit der rechten Maustaste klicken, während sich der Cursor in der Liste Begrenzungspunkte befindet. Die Schaltfläche Begrenzungspunkte rücksetzen wird eingeblendet. Wenn Sie auf diese Schaltfläche klicken, werden alle Begrenzungspunkte auf Null zurückgesetzt, wobei die Anzahl an Begrenzungspunkten auf das für jeden Scantyp erforderliche Minimum reduziert wird.

HInweis: PC-DMIS lässt kein Löschen von Begrenzungspunkten zu, wenn Sie die Schaltfläche CAD ausschn. verwenden, die für Profilschnitt-Scans verfügbar ist. In diesem Fall müssen Sie auf Bereichsgrenze einblenden klicken, um die Begrenzungspunkte erneut anzuzeigen, bevor Sie diese entfernen können.


Bereiche "Richtungsmethode"

In den Bereichen Richtung 1 und Richtung 2 können Sie die Richtungsmethoden auswählen, die bestimmen, auf welche Art und Weise der Scan die Messpunkte aufnimmt. Die meisten Scans scannen nur in einer einzigen Reihe oder Zeile, sodass sie nur einen Satz an Richtungsmethoden aus der Liste Richtung 1 anwenden.

Nur Flächenscans können einen Bereich scannen, wodurch sie zusätzliche Punktreihen aufweisen und einen zweiten Satz an Richtungsmethoden aus der Liste Richtung 2 anwenden. In der Liste Richtung 2 bestimmt die ausgewählte Methode das Inkrementalverfahren, das zwischen den einzelnen Reihen angewandt wird.

Wählen Sie das gewünschte Verfahren, und PC-DMIS zeigt automatisch die Felder Min / Max oder Inkrement an.

Siehe auch:

Methode "Linie"

Methode "Hauptachse"

Methode "Variable"

Methode "Nullfilter"

Felder "Min./Max."

Feld "Inkrement"


Methode "Linie"

Für Offene Linie-, Profilschnitt- und Flächen-Scans - PC-DMIS bestimmt jeden Messpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Messpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.

Für Geschlossene Linie-Scans - PC-DMIS bestimmt jeden Messpunkt auf der Basis der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. Bei dieser Scanmethode fordert PC-DMIS Sie nicht zur Eingabe eines Endpunkts auf. Der Scan wird beendet, wenn der Taster wieder den Startpunkt erreicht hat.

Für Rotations-Scans PC-DMIS bestimmt jeden Messpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster behält immer den vorgegebenen Radiusabstand zur Mitte bei, und zwar im rechten Winkel zum Mittelpunktvektor. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Messpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.


Methode "Hauptachse"

Verfügbar für Offene Linie-, Flächen- und Rotations-Scans

PC-DMIS nimmt in den eingestellten Inkrementen Messpunkte im Koordinatensystem des aktuellen Werkstücks auf. Der Vorlauf des [image] Tasters verläuft senkrecht zur angegebenen Achse. Der Taster verbleibt auf der Schnittebene. Der Antastvektor verläuft auf der Schnittebene, vertikal zur ausgewählten Achse. Die Methode HAUPTACHSE verwendet denselben Ansatz zur Aufnahme jedes Messpunkts (im Gegensatz zur LINIENmethode, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Messpunkten ansetzt).


Methode "Variable"

Verfügbar für Offene Linie-, Geschlossene Linie-, Flächen-, Profilschnitt- und Rotations-Scans

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Messpunkt aufnimmt, zu bestimmen. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Mindestwerte ein, die zur Festlegung der Inkremente zwischen den Messpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Messpunkte auf. Dann misst es den Winkel zwischen Messpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Messpunkte im aktuellen Inkrement auf.

  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Messpunkt und misst ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.

  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Messpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS misst dann noch einmal den Winkel zwischen dem neuesten Messpunkt und den beiden vorhergehenden Messpunkten. Es löscht so lange den letzten Messpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

  • Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Messpunkt.

  • Ist er größer als der Maximalwert für das Inkrement, nimmt es den Messpunkt mit dem Maximalinkrement auf.

PC-DMIS misst dann noch einmal den Winkel zwischen dem neuesten Messpunkt und den beiden vorhergehenden Messpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR

Hinweis: Standardmäßig beginnen Flächen-Scans jede neue Scanzeile stets mit dem Mindestinkrement. Wenn Sie bevorzugen, dass jede neue Zeile mit dem Inkrementwert der zuvor gescannten Zeile beginnt, können Sie das Kontrollkästchen Flächen-Scans behalten das letzte Inkrement bei auf der Registerkarte Allgemein im Dialogfeld Setup-Optionen aktivieren (siehe auch " Flächen-Scans behalten das letzte Inkrement bei" im Abschnitt "Setup-Optionen").


Methode "Nullfilter"

Verfügbar für Offene Linie-, Geschlossene Linie-, Flächen-, Profilschnitt- und Rotations-Scans

Bei Anwendung der Scanmethode NULLFILTER werden überhaupt keine Daten gefiltert. Die Daten, die PC-DMIS von der Steuereinheit der Maschine erhält, werden direkt an Sie weitergeleitet. Auch wenn die Tasterkompensation und Nennwertsuche weiterhin angewendet werden, findet keine Datenreduzierung statt. Mit der NULLFILTER-Methode können Sie den Inkrementwert der Messpunkte mit Hilfe des Befehls OPTION_TASTER steuern, der die Punktinkremente während des Scans einstellt. Siehe auch "Parametereinstellungen: Registerkarte "Werkstück/Maschine"" im Abschnitt "Voreinstellungen".

PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Messpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.

HINWEIS: Die NULLFILTER-Methode steht nur dann in der Liste Richtung 1 zur Verfügung, wenn ein analoger Tastkopf (wie beispielsweise der SP600) definiert ist.

Bei Rotations-Scans behält der Taster immer den vorgegebenen Radiusabstand zur Mitte bei, und zwar im rechten Winkel zum Mittelpunktvektor.


Felder "Min./Max."

Verfügbar für Offene Linie-, Geschlossene Linie-, Flächen- und Profilschnitt-Scans

Die nachfolgend beschriebenen Felder "Max / Min Inkrement und "Max / Min Winkel" sind verfügbar, wenn die VARIABLEN-Scanmethode verwendet wird, die unter "Methode "Richtung 1" (Methode "Variabel")" beschrieben wird. Nur das Feld Max. Inkr. ist bei allen Scanmethoden verfügbar.

Max. Inkrement

Im Feld Max. Inkr. können Sie den maximalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Abstand.

Min. Inkrement

Im Feld Min. Inkr. können Sie den minimalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Abstand.

Max. Winkel

Im Feld Max. Wink. können Sie den maximalen Winkel festlegen. Die gemessenen Winkel können mit der Option Variable zwar größer werden, aber sie sind niemals größer als der Wert, der hier angegeben wird.

Min. Winkel

Im Feld Min. Wink. können Sie den Mindestwinkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Wert.


Feld "Inkrement"

Verfügbar für Flächen-Scans

In Verbindung mit Flächen-Scans können Sie im Feld Inkrement den inkrementalen Abstand zwischen den einzelnen Scan-Reihen eingeben. Wenn Sie hier beispielsweise 0,5 eingeben, stellt der Scan die Reihen in Inkrementen von 0,5 ein.


Scan-Erstellung

 Increment box CAD Tol box Offset box Offset Tol box Calculate Boundary button Delete button

Bereich "Scan-Erstellung" (für den Umfang-Scan)

Wird beim Umfang-Scan eingesetzt

Im Bereich Scan-Erstellung des Dialogfelds können Sie eine Reihe von Optionen für die Erstellung eines Umfang-Scans einstellen. Dazu gehören:

  • Inkrement

  • CAD Toleranz

  • Versatz

  • Versatz-Tol. (+/-)

  • Berechne Grenzen

  • Löschen

Siehe auch:

Inkrement

CAD-Toleranz

Versatz

Versatz-Toleranz + / -

Berechne Grenzen

Löschen


Inkrement für einen Umfang-Scan

Feld "Inkrement" für einen Umfang-Scan

Aus dem Feld Inkrement geht der Abstand zwischen den einzelnen Messpunkten des Scans hervor.


CAD-Toleranz

Mit Hilfe des Felds CAD Tol können Sie angrenzende Oberflächen ermitteln. Je größer der Toleranzwert, desto weiter können die CAD-Oberflächen auseinander liegen und dennoch als angrenzende Oberflächen erkannt werden.


Versatz

Im Feld Versatz wird der Abstand (gerechnet ab der äußeren Begrenzungslinie) festgelegt, in dem der Scan erstellt und ausgeführt werden soll.


Versatz-Toleranz + / -

Im Feld Versatz-Tol (+/-) wird die zulässige Abweichung vom Versatzwert angegeben. Dieser Wert wird vom Benutzer festgelegt.


Bereichsgrenze berechnen

Über die Schaltfläche Berechne Grenzen wird die Bereichsgrenze, die sich aus den Eingabe-Oberflächen zusammensetzt, bestimmt. Die berechnete Bereichsgrenze wird im Grafikfenster als gepunktete rote Linie angezeigt.


Löschen

Mit der Schaltfläche Löschen können Sie die zuvor erstellte Bereichsgrenze wieder löschen.


Profilschnittposition

Bereich "Profilschnittposition" (für den Profilschnitt-Scan)

Das Feld im Bereich Profilschnittposition gibt die Ausgangsposition für den Scan an. Wenn Sie beispielsweise eine Reihe von Profilschnitten mit X = 5, X=5,5, X = 6 usw. scannen wollen, müssen Sie erst "5,0" als Ausgangsposition für den Profilschnitt angeben. Nach jedem Scan geht PC-DMIS automatisch zum nächsten Profilschnitt (5,5 usw.) über. Dieser Wert kann direkt bearbeitet oder unter Zuhilfenahme des ersten Begrenzungspunkts eingestellt werden. Der Koordinatenwert des ersten Grenzpunkts, der der Schnittachse entspricht, ist die Profilschnittposition. Wird der erste Grenzpunkt durch Aufnahme eines Messpunkts, Auswahl aus CAD-Daten oder Eingabe eines Werts definiert, wird der Koordinatenwert für die Schnittachse verwendet.

Beispiel: Wenn der erste Begrenzungspunkt auf 45, 37, 100 eingestellt und Y die Schnittachse ist, liegt die Profilschnittposition bei 37. Wenn X die Schnittachse ist, liegt die Profilschnittposition bei 45.

Siehe auch:

Achse

Inkrement


Achse

Liste "Achse"

In der Liste Achse können Sie die Achse (X, Y oder Z) bestimmen, auf der Sie mehrere Profilschnitte wünschen. Auch die Option Keine ist verfügbar. Damit können Sie eine "Profilschnittlinie" auf dem Bildschirm auswählen. Normalerweise ist es bei Scans nicht zulässig, dass die Benutzer mit Kurvendaten arbeiten. Wenn Sie jedoch Keine wählen, können Sie bei einem Profilschnittscan eine grafisch dargestellte Profilschnittlinie auswählen, die dann zur Definition der Schnittebene und der Bahn für den Scan verwendet wird.


Inkrement für einen Profilschnitt-Scan

Inkrement

Im Feld Inkrement wird der Sprungabstand entlang der Profilschnittachse, um den der Taster nach Abschluss jedes Scans weiterrückt, angegeben.


Anfangsvektoren

Bereich "Anfangsvektoren"

Im Bereich Anfangsvektoren werden die Vektoren angezeigt, die zum Starten bzw. Beenden eines Scans verwendet werden sollen. Einige Scans verwenden keine Anfangsvektoren. Dabei handelt es sich um den UV-, Gitter-, Umfang- und Freiform-Scan. Die folgende Tabelle zeigt die verfügbaren Anfangsvektoren, wann diese angewandt werden und deren Beschreibung.

Vektor-Typ

Angewandt im Scan-Typ

Beschreibung

Anfangsvektor

Offene Linie, Geschlossene Linie, Profilschnitt, Fläche und Rotierend

Anfangsvektor. Die Werte, die in der Zeile Anfangsvektor angezeigt werden, geben den Vektor an, den PC-DMIS als Startpunkt für den Scanvorgang verwendet.

Schnittebenenvektor

Offene Linie, Geschlossene Linie, Fläche und Profilschnitt

Schnittebenenvektor. Schnittebenen werden intern für CNC-Scanberechnungen verwendet. Diese Schnittebene wird für jeden unterstützten Scantyp unterschiedlich abgeleitet.

Offene Linie: Der Schnittebenenvektor ist das Kreuzprodukt aus dem Anfangsvektor (Erstpunktvektor) und der Linie zwischen dem Anfangs- und dem Endpunkt. Ist kein Endpunkt vorhanden, wird die Linie zwischen dem Anfangspunkt und dem Richtungspunkt verwendet.

Geschlossene Linie: Der Schnittebenenvektor ist das Kreuzprodukt aus dem Anfangsvektor und der Linie zwischen dem Anfangs- und dem Endpunkt.

Flächen-Scan: Der Schnittebenenvektor wird abgeleitet aus der Überschneidung des Anfangsvektors und der Linie zwischen dem ersten und dem zweiten Punkt. Der Schnittebenenvektor wird dann mit Hilfe der Linie zwischen dem zweiten und dem dritten Punkt auf die korrekte Richtung eingestellt. Der Endpunktvektor (Endvektor) ist der Vektor, der zur Aufnahme des zweiten Begrenzungspunkts und zum Sprung in die zweite Reihe verwendet wird, nachdem der Scan der ersten Reihe abgeschlossen ist.

Profilschnitt-Scan: Die Schnittebenen- und Anfangsvektoren (Erstpunktvektoren) dienen zur Messung des Scans. Der Schnittebenenvektor ist das Kreuzprodukt aus dem Anfangsvektor und der Linie zwischen dem Anfangs- und dem Endpunkt. Ist kein Endpunkt vorhanden, wird die Linie zwischen dem Anfangspunkt und dem Richtungspunkt verwendet.

Endvektor

Offene Linie, Fläche, Profilschnitt, Rotierend

Endpunktvektor (Endvektor). Der Endpunktvektor ist der Antastvektor des Scans am Ende der Reihe. Er dient nur zum Anhalten des Scans oder (bei Flächen-Scans) zum Übergang in die nächste Reihe.

Ebenenvektor

Offene Linie, Geschlossene Linie, Fläche, Profilschnitt und Rotierend

Grenzebenenvektor. Der Grenzebenenvektor und der Endpunktvektor werden in Verbindung mit einer bestimmten Grenzbedingung eingesetzt, um den Scan anzuhalten. Der Grenzebenenvektor hat, je nach gewählter Grenzbedingung, unterschiedliche Einsatzzwecke:

Ebene

Im Verbund mit der Grenzbedingung Ebene stellt er den vertikalen Vektor der Ebene dar.

Kugel

Wird nicht in Verbindung mit der Grenzbedingung Kugel eingesetzt.

Zylinder

Im Verbund mit der Grenzbedingung Zylinder stellt er die Zylinderachse dar.

Kegel

In Verbindung mit der Grenzbedingung Kegel stellt er die Kegelachse dar.

Richtungsvektor

Rotierend und Manuell

Ausgangsrichtungsvektor. Er stellt die Richtung dar, in der der Scan begonnen wird, und wird im Verbund mit dem Anfangsvektor zur Ableitung des Schnittebenenvektors eingesetzt.

Oberflächenvektor

Offene Linie und Geschlossene Linie

Oberer Oberflächenvektor. Erscheint in Verbindung mit dem Messpunkttyp Kante. Bei diesem Vektor handelt es sich um den Vektor der ersten, obersten Kantenoberfläche. Er dient als Startpunkt für den Scan.

Vektor1

Offene Linie und Geschlossene Linie

Diese Zeile gibt den vertikalen Oberflächenvektor der ersten für Winkelmesspunkte ausgewählten Oberfläche an. Erscheint in Verbindung mit dem Messpunkttyp Winkel. Dies entspricht den Werten für den Oberfl. 1 auf der Registerkarte Winkelpunkt beim Erstellen automatischer Elemente. Siehe auch "Erstellen eines Auto-Winkelpunkts" im Abschnitt "Erstellen von automatischen Elementen".

Vektor2

Offene Linie und Geschlossene Linie

Diese Zeile gibt den vertikalen Oberflächenvektor der zweiten für Winkelmesspunkte ausgewählten Oberfläche an. Erscheint in Verbindung mit dem Messpunkttyp Winkel. Dies entspricht den Werten für den Oberfl. 2 auf der Registerkarte Winkelpunkt beim Erstellen automatischer Elemente. Siehe auch "Erstellen eines Auto-Winkelpunkts" im Abschnitt "Erstellen von automatischen Elementen".

Siehe auch:

Grafische Darstellung von Vektoren

Vektoren bearbeiten


Grafische Darstellung von Vektoren

Beim Einstellen der Start-, Richtungs- und Endpunkte eines Scans erhalten Sie in PC-DMIS eine grafische Darstellung des Erstpunktvektors, des Richtungsvektors und des vertikal zur Grenzebene verlaufenden Vektors, bei dem der Scan anhält.

Diese Vektoren werden im Grafikfensterbereich für Ihr Werkstück als blaue, grüne und orange-farbene Pfeile dargestellt.

Farbige Pfeile, die Vektoren darstellen

Vektor | Grafische Darstellung
Erstpunkt | Blauer Pfeil
Richtung | Grüner Pfeil
Grenzebene | Orange-farbener Pfeil


Vektoren bearbeiten

Sie können jeden dieser Vektoren bearbeiten, indem Sie in der Spalte Vektor auf den Vektor doppelklicken, den Sie bearbeiten wollen.

Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt:

Scanelement bearbeiten (Dialogfeld)

In den einzelnen Feldern können Sie die Werte für I, J und K bearbeiten.

  1. Wenn Sie im Dialogfeld Scanelement bearbeiten auf OK klicken, werden die im Dialogfeld vorgenommenen Änderungen wirksam.

  2. Wenn Sie auf Abbrechen klicken, wird das Dialogfeld Scanelement bearbeiten geschlossen, alle vorgenommenen Änderungen werden verworfen.

  3. Wenn Sie auf die Schaltfläche Weiter klicken, können Sie die verfügbaren Vektoren in der Liste Anfangsvektoren nacheinander durchsehen. Einige der Anfangsvektoren können auch umgekehrt werden. In einem solchen Fall ist die Schaltfläche Umk. (Umkehren) im Dialogfeld Scanelement bearbeiten verfügbar.

  4. Durch Klicken auf die Schaltfläche Umk. können Sie die Richtung des ausgewählten Vektors umkehren.


Select Center

Mitte wählen (für den Rotations-Scan)

Nach Aktivieren des Kontrollkästchens Mitte wählen können Sie auf das CAD-Modell klicken, um den Mittelpunkt anzugeben. Es kann ein Oberflächenpunkt oder ein Drahtgestellpunkt ausgewählt werden. PC-DMIS nimmt dann die Eingaben der XYZ-Angaben für den ausgewählten Punkt in den Feldern "Mittelpunkt" vor.

Beachten Sie, dass beim Aktivieren dieses Kontrollkästchens die Begrenzungspunkte des Scans nicht aktualisiert werden. PC-DMIS aktualisiert die Begrenzungspunkte nur, wenn dieses Kontrollkästchen deaktiviert ist.


Mittelpunkt und Radius

Mittelpunkt und Radius (für den Rotations-Scan)

Die X-, Y- und Z-Werte von Mitte definieren den Mittelpunkt des ROTATIONS-Scans.

Sie können die Mittelpunktwerte X, Y und Z direkt eingeben oder Sie aktivieren das Kontrollkästchen Mitte wählen und klicken auf die CAD-Zeichnung, um den Mittelpunkt direkt vom CAD-Modell aufzunehmen.

R definiert den Radius. PC-DMIS dreht den Scan um den Mittelpunkt, wobei der Abstand stets eingehalten wird, während sich der Scan vom Start- bis zum Endpunkt bewegt.


IJK (für den Rotations-Scan)

Die I-, J- und K-Werte bestimmen den vertikal zur Ebene verlaufenden Vektor, auf dem sich der Radius (konstant zum Mittelpunkt) befindet. Beim Scannen folgt PC-DMIS diesem Vektor.


UV-Scan-Einstellungen

Bereich "UV-Scan-Einstellungen"

Bereich "UV-Scan-Einstellungen"

Im Bereich UV-Scan-Einstellungen können Sie Ihren UV-Scan definieren. Der Bereich enthält die Felder U und V. Sie können hier folgende Steuerungen definieren:

  • Mit den im Feld Messpunkte eingegebenen Werten können Sie angeben, wie viele Messpunkte der Scan auf der Oberfläche in der U- oder V-Richtung aufnimmt.

  • Mit den Werten für Start und Ende positionieren Sie die Messpunktmatrix auf der zu scannenden Oberfläche. Diese Werte können Sie sowohl für die U- als auch für die V-Zeilen einstellen, so dass der Scan entlang der U- und V-Achse verläuft. Beachten Sie, dass im UV-Bereich die Zahlen zwischen 0,0 und 1,0 die gesamte Oberfläche darstellen. Das heißt, dass sich 0,0, 0,0 und 1,0, 1,0 in diagonal gegenüberliegenden Ecken befinden.

  • Die Felder Position können nicht bearbeitet werden. Sie geben die aktuelle Position des Tasters entlang der U- und V-Achsen an.


Bereich "Einstellungen Gitter-Scan"

Im Bereich Einstellungen Gitter-Scan können Sie die Anzahl der Messpunkte definieren, um diese in gleichmäßigen Abständen in der A- und B-Richtung eines Gitter-Scans anzuordnen. Die A-Richtung ist horizontal, die B-Richtung ist vertikal. Wenn Sie beispielsweise die Zahl 20 jeweils für die A-Richtung und die B-Richtung eingegeben haben, versucht PC-DMIS, 20 Reihen und 20 Spalten von Punkten auf die kombinierten, ausgewählten Flächen innerhalb des rechtwinkligen Bereichs anzuordnen.

Im nachstehend angezeigten Screenshot ist lediglich die obere Fläche des Hexagon-Blocks ausgewählt. PC-DMIS wird die Punkte einzig und allein auf diese Fläche setzen.

Beispiel eines Gitter-Scans, der die A- und B-Richtung mit je 20 Punkten in beiden Richtungen anzeigt

Beispiel eines Gitter-Scans, der die A- und B-Richtung mit je 20 Punkten in beiden Richtungen anzeigt


Registerkarte "Ausführung"

Registerkarte "Ausführung" in einem Scan-Dialogfeld

Mit den Optionen auf der Registerkarte Ausführung können Sie bestimmen, was passiert, wenn Sie den Scan, der erstellt wird, ausführen. Die Registerkarte enthält folgende Einträge:

  • Bereich "Ausführoptionen"

  • Bereich "Nennwerte-Methode"

  • Bereich "Messpunktregler"

  • Bereich "Anzeige-Optionen"

  • Bereich "Begrenzung"


Bereich "Ausführoptionen"

Dieser Bereich enthält folgende Einträge:

Element

Beschreibung

Die Liste Ausführen

Über die Liste "Ausführen" können Sie bestimmen, wie PC-DMIS einen Scan ausführt, nachdem dieser erfasst ("erlernt") worden ist.

Normal - Bei der Auswahl von NORMAL führt PC-DMIS den Scan auf "normale" Art und Weise durch. Es wird ein Messpunkt aufgenommen, sobald der Taster das Werkstück berührt.

Beispiel: Wird ein CNC-Scan ausgeführt, nimmt PC-DMIS die Messpunkte an jeder der erlernten Stellen im Stich-Scanmodus auf und speichert die neu gemessenen Daten. Die angezeigten Nennwerte sind dieselben Werte wie die Werte bei der ersten Erfassung des Scans (beim "Lernen"). Sie können nicht mit einem anderen Nennwertmodus neu berechnet werden.

Geregelt - PC-DMIS führt den Scan so aus, als würde dieser erlernt werden. Alle erlernten Messdaten ersetzen die neu gemessenen Daten. Der Nennwert wird je nach Nennwertmodus neu berechnet (siehe auch "Nennwertmodus").

Beispiel: Wenn ein CNC-Scan "neu erlernt" wird, berechnet PC-DMIS den Scan von Anfang an neu, anstatt Messpunkte an den erlernten Stellen aufzunehmen (was im Modus NORMAL getan werden würde).

Definiert - Mit Hilfe der Steuereinheit von PC-DMIS kann ein Scan 'definiert' bzw. 'gesteuert' werden. PC-DMIS erfasst die Lage aller Messpunkte vom Editor aus und gibt sie zum Scannen an die Steuereinheit weiter. Die Steuereinheit passt den Pfad so an, dass der Taster alle Punkte durchläuft. Die Daten werden dann entsprechend dem angegebenen Inkrement reduziert, und alle alten Messdaten werden durch die neuen Daten ersetzt.

Wenn diese Option aktiviert wird, nachdem der Scan offline erstellt wurde, werden die aus dem CAD-Modell ermittelten Lagen der Nennwerte jedes Mal zur Steuerung des KMGs verwendet.

Die Option DEFINIERT (GESTEUERT) ist nur verfügbar, wenn analoge Tasterköpfe verwendet werden, die kontinuierlich scannen können.

Kontrollkästchen Sich.-Ebene

Über das Kontrollkästchen Sich.-Ebene wird eine SICHERHEITSEBENENBEWEGUNG eingefügt, d.h., ein vorbestimmter Abstand relativ zum aktuellen Koordinatensystem und zum Nullpunkt des Werkstücks, bevor der erste Messpunkt aufgenommen wird.

Nachdem der letzte Punkt im Scan gemessen worden ist, verbleibt der Taster auf der Messtiefe, bis er den Befehl zum Messen des nächsten Elements erhält. Die Verwendung von Sicherheitsebenen reduziert die Programmierzeit, da weniger Zwischenbewegungen definiert werden müssen. (Zusätzliche Informationen zu den Sicherheitsebenen finden Sie unter "Parametereinstellungen: Registerkarte "Sicherheitsebene"" im Abschnitt "Voreinstellungen".) Diese Option ist nur für CNC-Scans verfügbar.

Kontrollkästchen [image] Einzelpunkte

Wenn das Kontrollkästchen Einzelpunkte aktiv ist, wird jeder Messpunkt als einzelner, gemessener Punkt behandelt.

Wenn diese Option aktiviert ist, macht PC-DMIS jeden Scanpunkt zu einem gemessenen Punkt und fügt ihn in das Werkstückprogramm ein. Diese Sequenz wird nach der Reduzierung des manuellen Scans durchgeführt. Bei einem Scan im CNC-Modus wird sie nach dem "Erlernen" des Scans durchgeführt.

Kontrollkästchen Auto Bew.

Mit dem Kontrollkästchen Auto Bew. (Auto Bewegung) können Sie für jeden Scan automatische Bewegungen einstellen. Nachdem Sie das Kontrollkästchen aktiviert haben, können Sie den Abstand für die Bewegung im Feld Auto Bew. eingeben.

OFFENE_LINIE, GESCHL_LINIE, FLÄCHE, SCHNITT_SCAN, UMFANG und BASIS_SCAN_ACHSE

Für diese Scantypen führt PC-DMIS folgende Schritte durch:

  • Es wird eine automatische Bewegung in dem vorgegebenen Abstand über dem Anfangspunkt generiert.

  • Der Scan wird ausgeführt.

  • Eine weitere automatische Bewegung in dem vorgegebenen Abstand wird über dem letzten Scanpunkt generiert.

BASIS-SCANS KREIS, ZYLINDER und MITTE

Für diese Scantypen führt PC-DMIS folgende Schritte durch:

  • Bevor der Scanvorgang beginnt, wird eine automatische Bewegung in dem vorgegebenen Abstand über dem Mittelpunkt des Elements generiert.

  • Der Scan wird ausgeführt.

  • Nach Beenden des Scans wird eine weitere automatische Bewegung in dem vorgegebenen Abstand über dem Mittelpunkt des Elements generiert.

Kontrollkästchen
Taster Komp.

Mit dem Kontrollkästchen Taster Komp. (Tasterkompensation) können Sie bestimmen, ob PC-DMIS die Tasterkompensation für diesen bestimmten Scan einschaltet.

In den meisten Fällen dürfte die Kompensation nicht durchgeführt werden müssen, da die NW_SUCHE-Funktion des Scans automatisch diese Funktion übernimmt. Falls jedoch kein CAD vorhanden ist und Sie ein Werkstück (über Reverse-Engineering) zurückführen möchten, sollten Sie dieses Kontrollkästchen markieren.

Kontrollkästchen
CAD-Komp.

Über dieses Kontrollkästchen wird bestimmt, ob PC-DMIS für jeden einzelnen Punkt mit Hilfe des 3D-Flächenvektors aus der CAD-Datei kompensiert oder nicht. Ist dieses Kontrollkästchen nicht aktiviert, verwendet PC-DMIS wie gewöhnlich eine 2D-Schnittebene.

Dieses Kontrollkästchen wird zur Auswahl verfügbar, wenn Sie Nennwertsuche aus der Liste im Bereich Nennwerte-Methode auswählen, oder wenn Sie auf das CAD-Modell im Grafikfenster klicken.

Kontrollkästchen
Innen begr.

Mit dem Kontrollkästchen "Innen begrenzt" können Sie bestimmen, ob PC-DMIS einen Umfang-Scan für den Innen- oder Außenumfang durchführen soll.

  • Aktivieren Sie das Kontrollkästchen, scannt PC-DMIS den Innenumfang.

  • Deaktivieren Sie das Kontrollkästchen, scannt PC-DMIS den Außenumfang.

Weitere Einzelheiten zu Scans von Innen- und Außenumfang finden Sie unter "Durchführen eines fortgeschrittenen Umfang-Scans".

PW benutzen

Über dieses Kontrollkästchen wird bestimmt, ob die gescannten Punkte auch zu einem vorhandenen Punktewolke(PW)-Befehl hinzugefügt werden sollen oder nicht. Bei Auswahl dieses Kontrollkästchens können Sie die ID für den PW-Befehl eingeben, dem Sie die neuen Scanpunkte hinzufügen wollen. Sollte der PW-Befehl noch nicht vorhanden sein, werden Sie von PC-DMIS gefragt, ob er für Sie erzeugt werden soll.

Weitere Informationen zu den PW-Befehlen finden Sie in der Laser-Dokumentation von PC-DMIS, in der dieser Befehl näher beschrieben wird.


Bereich "Nennwerte-Methode"

In diesem Bereich stehen folgende Optionen zur Verfügung:

Element

Beschreibung

Liste
Nennwerte

Anhand der Listenoption Nennwerte können Sie bestimmen, wie PC-DMIS die Nennwerte für die gemessenen Daten erfasst.

Master-Scan

Wird MASTER aus der Nennwerteliste ausgewählt, betrachtet PC-DMIS die Messdaten, die während des erstmaligen Scanvorgangs erfasst ("erlernt") werden, als Nenndaten. Die weiteren Durchläufe dieses Scans werden mit diesen Messdaten verglichen. Wenn MASTER in Zusammenhang mit einem CNC-Scan verwendet wird und der Nennwertmodus in der Liste Ausführen ausgewählt ist, führt PC-DMIS einen Stich-Scan auf Basis der Messdaten durch.

NW-Suche

Wenn die Option NW_SUCHE ausgewählt ist, durchstößt PC-DMIS das CAD-Modell, um die dem Messpunkt am nächsten gelegene Position auf einer CAD-Fläche zu finden. PC-DMIS wird dann die Nennwerte auf diese gefundene Position auf der CAD-Fläche einstellen.

Hinweis: Für die Basis-Scantypen Kreis, Zylinder und Achse ist es nicht erforderlich, Nennwerte mit Hilfe von CAD-Daten zu suchen. PC-DMIS bezieht die Nennwerte aus den von Ihnen bereitgestellten Nenndaten, um den Basis-Scan auszuführen. Weitere Einzelheiten finden Sie unter "Registerkarte "Nennwertmodus"".

Wenn keine ordnungsgemäßen Nennwerte gefunden werden, fordert PC-DMIS Sie zunächst auf, eine neue Toleranz für die Nennwertsuche anzugeben.

Sie können eine neue Toleranz in das Feld Toleranz eingeben und diese nur auf den aktuellen Scan oder aber auf das gesamte Werkstückprogramm anwenden.

    • Wenn Sie Ja wählen, wird der neue Toleranzwert für die Nennwertsuche verwendet.

    • Wenn Sie Nein wählen, verfährt PC-DMIS wie folgt:

Wenn auch nach der Eingabe neuer Toleranzen für keinen der Messpunkte ordnungsgemäße Nennwerte gefunden werden können, wird PC-DMIS Sie fragen, ob die Messpunkte gelöscht werden können.

    • Wenn die Antwort Ja lautet, werden die Messpunkte gelöscht.

    • Wenn Sie Nein wählen, verbleiben die Messpunkte im Scan.

Nennwerte

Ist in der Liste Nennwerte die Option NENNWERTE ausgewählt, verwendet PC-DMIS die gemessenen Daten als Nennwerte, die beim ersten Scanvorgang erfasst werden. Mit dieser Option kann der Scan neu berechnet werden, ohne die Nennwerte neu berechnen zu müssen. Der wichtigste Unterschied zwischen NENNWERTE und MASTER ist, dass die Option NENNWERTE aus den Nennwertdaten eine Nennwertkurve erstellt. PC-DMIS vergleicht dann vorangehende Scanvorgänge mit dieser Kurve (auf Basis des Werts im Feld Tol. für NW-Suche).

Der Nennwertmodus kann in Verbindung mit dem Neulernen-Modus aus der ListeAusführen im Bereich Ausf.-Optionen eingesetzt werden. Siehe "Bereich "Ausführoptionen"".

Hinweis: Wenn Sie im Bearbeitungsfenster nach einem anderen Modus in den Modus NENNWERTE wechseln, wird die Nennwertkurve automatisch anhand der aktuellen theoretischen Daten erstellt. In Abhängigkeit von der Datenmenge kann dies einen gewissen Zeitaufwand bedeuten. Ist im Bearbeitungsfenster bereits NENNWERTE eingestellt, und Sie wechseln von dieser Option in einen anderen Modus, wird die Nennwertkurve gelöscht.

Feld
Toleranz

Mit Hilfe des Felds Toleranz können Sie einen neuen Toleranzwert eingeben, wenn bei Auswahl der Option "NW-Suche" in der Auswahlliste Nennwerte keine ordnungsgemäßen Nennwerte gefunden wurden

Geben Sie einen Toleranzwert ein, der mindestens den Radius des Tasters kompensiert. Wenn dieser Wert zu niedrig ist, zeigt PC-DMIS möglicherweise eine Fehlermeldung, dass das Werkstück bei der Erzeugung des Scans nicht gefunden werden kann.

Kontrollkästchen
Besteinpassen

Mit dem Kontrollkästchen Besteinpassen können Sie eine temporäre Besteinpassungs-Ausrichtung mit dem Scan durchführen, um bessere Nennwerte für die Messdaten zu suchen. Weitere Informationen hierzu finden Sie unter NW-Suche in der Liste Nennwerte.

PC-DMIS nimmt den Scan in folgender Reihenfolge vor:

  • PC-DMIS führt einen Nennwertsuche-Vorgang durch.

  • PC-DMIS erstellt aus den gefundenen Nennpunkten und den Messdaten des Scans intern eine Besteinpassungs-Ausrichtung. Wenn es sich um einen Flächen-Scan handelt, dann ist die Besteinpassung 3D.

  • PC-DMIS führt einen Nennwertsuche-Vorgang durch.

  • PC-DMIS erstellt aus den gefundenen Nennpunkten und den Messdaten des Scans intern eine Besteinpassungs-Ausrichtung. Wenn es sich um einen Flächen-Scan handelt, dann ist die Besteinpassung 3D.

  • PC-DMIS führt einen Nennwertsuche-Vorgang durch.

  • PC-DMIS stellt die ursprüngliche Ausrichtung wieder her.

Im Falle von Werkstücken mit großen Abweichungen von Nennwerten hilft dieses Kontrollkästchen bei der Suche nach Nennwertdaten, die das Werkstück mit einer größeren Genauigkeit darstellen.

Weitere Informationen zum Thema "Besteinpassungs-Ausrichtungen" finden Sie unter "Erstellen einer Besteinpassungs-Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Kontrollkästchen
Nur Ausgewählte

Wenn Sie in Ihrem Werkstückprogramm einen Scan ausführen und nach den Nennwerten für die Messpunkte des Scans suchen, aktivieren Sie das Kontrollkästchen Nur Ausgewählte, um PC-DMIS aufzufordern, nur die Nennwerte auf dem derzeit ausgewählten Satz von Oberflächen zu suchen.

Hinweis: Sind einige der von Ihnen ausgewählten Oberflächen bereits als Prioritätsoberflächen im Dialogfeld CAD-Elemente bearbeiten definiert, bewahrt PC-DMIS deren Priorität gegenüber anderen ausgewählten Oberflächen dieser Gruppe (siehe "Bearbeiten von CAD" im Abschnitt "Bearbeiten der CAD-Anzeige").


Bereich "Messpunktregler"

Im Bereich Messpunktregler befindet sich eine Liste, mit der Sie steuern können, wo die Messpunkte aufgenommen werden sollen. Andere Felder dieses Bereichs werden ausgeblendet oder angezeigt, je nachdem, welcher Messpunkttyp aus der Liste ausgewählt wurde. In diesem Bereich stehen folgende Optionen zur Verfügung:

Element

Beschreibung

Liste Messpunkttyp

Die Liste Messpunkttyp lenthält folgende Messpunkttyp-Einträge:

  • VEKTOR - Der Scan verwendet Vektormesspunkte.

  • FLÄCHE - Der Scan wird entlang einer Fläche unter Verwendung von Flächen-Messpunktdaten ausgeführt.

  • KANTE - Der Scan wird entlang einer Kante ausgeführt. Wenn Kantenmesspunkte verwendet werden und CAD-Daten verfügbar sind, lässt PC-DMIS auch die Eingabe einer Kantenstärke für die Nennwerte zu. Diese Stärke wird bei der Ermittlung der Nennwerte für den Scan vertikal zum Kanten-Antastvektor angewandt. (Im Gegensatz zur regulären Stärke, die entlang der Oberflächennormalen gilt.)

  • WINKEL - Dieser Scan verwendet Winkel-Messpunktdaten.

Es wird immer ein Stich-Scan durchgeführt, unabhängig vom Typ des verwendeten Tastkopfes.

Feld Anfangs

Im Feld Anfangs können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden nur aufgenommen, wenn der Scan zum ersten Mal ausgeführt wird.

Feld
Ständig

Im Feld Ständig können Sie festlegen, wie viele Stützpunkte permanent aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden jedes Mal aufgenommen, wenn der Scan ausgeführt wird.

Feld
Abstand

Im Feld Abstand können Sie den Abstand zwischen den Stützpunkten festlegen.

Feld
Tiefe

Im Feld Tiefe können Sie bestimmen, in welcher Tiefe von der Kante die Stützpunkte aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Messpunkttyp die Option KANTE ausgewählt ist.

Feld
Einzug

Im Feld Einzug können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Messpunkttyp die Option KANTE ausgewählt ist.

Feld
Einzug 1

Im Feld Einzug 1 können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Messpunkttyp die Option WINKEL ausgewählt ist.

Feld
Einzug 2

Im Feld Einzug 2 können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Messpunkttyp die Option WINKEL ausgewählt ist.

Feld
Bund

Im Feld Bund können Sie eine Kantenstärke für die Nennwerte festlegen, wenn der Messpunkttyp Kante oder Winkel verwendet wird und CAD-Daten verfügbar sind. Diese Stärke wird bei der Ermittlung der Nennwerte für den Scan vertikal zum Kanten-Antastvektor angewandt. (Im Unterschied zur regulären Stärke, die entlang der Oberflächennormalen gilt.)


Bereich "Anzeige-Optionen"

In dem Bereich Anzeige-Optionen können Sie bestimmen, welche Informationen der Scan im Bearbeitungsfenster anzeigt. Er enthält folgende Einträge:

Element

Beschreibung

Kontrollkästchen
Messpunkte

Bei Auswahl dieses Kontrollkästchens zeigt PC-DMIS jeden Scan im Bearbeitungsfenster als einen Satz gemessener Punkte an, eingeklammert von einem Scan-Objekt und dem ENDEMESS-Objekt (das das Ende des gemessenen Elements angibt). Bei der Wahl dieser Option werden alle Messpunkte im Bearbeitungsfenster angezeigt. Wird diese Option nicht gewählt, werden keine Messpunkte angezeigt.

Kontrollkästchen
Alle Parameter

Bei Auswahl dieser Option zeigt PC-DMIS alle Scan-Parameter im Bearbeitungsfenster an:

  • Schnittebenen

  • Begrenzungspunkte

  • Richtungsvektor

  • Erster Antastvektor

Wird diese Option nicht ausgewählt, zeigt PC-DMIS nur die folgenden Datentypen im Bearbeitungsfenster an:

  • Inkremente

  • Methoden

  • Messpunkttypen


Bereich "Begrenzung"

Die Befehlszeile im Bearbeitungsfenster lautet für den Begrenzungstyp "Ebene":

BEREICHSGRENZE/EBENE, X,Y,Z,Ebenenvektor=I,J,K, Endvektor=I,J,K,Überschreitungen

  • Ebenenvektor: Dieser Vektor definiert den vertikalen Vektor der Ebene am Endpunkt.

  • Endvektor: Der Antastvektor am Endpunkt.

Die Kugel liegt am Endpunkt, ist aber um einen Tasterradius entlang dem Antastvektor von der Oberfläche versetzt, sodass die Mitte des kugelförmigen Tasters durch die Kugel geführt werden kann.

Die Befehlszeile im Bearbeitungsfenster lautet für den Begrenzungstyp "Kugel":

BEREICHSGRENZE/KUGEL, X,Y,Z,Endvektor=I,J,K,Radius,Überschreitungen

  • Radius: Der Kugelradius.

  • Endvektor Der Antastvektor am Endpunkt.

Der Zylinder liegt am Endpunkt, ist aber um einen Tasterradius entlang dem Antastvektor von der Oberfläche versetzt, sodass die Mitte des kugelförmigen Tasters durch den Zylinder geführt werden kann.

Die Befehlszeile im Bearbeitungsfenster lautet für den Begrenzungstyp "Zylinder":

BEREICHSGRENZE/ZYLINDER, X,Y,Z, Achse=I,J,K, Endvektor=I,J,K,Radius,Überschreitungen

  • Radius: Der Zylinderradius.

  • Achsenvektor: Dieser Vektor definiert die Zylinderachse am Endpunkt.

  • Endvektor: Der Antastvektor am Endpunkt.

Die Kegelspitze liegt am Endpunkt des Scans.

Die Befehlszeile im Bearbeitungsfenster lautet für den Begrenzungstyp "Kegel":

BEREICHSGRENZE/KEGEL, X,Y,Z, Achse=I,J,K, Endvektor=I,J,K,Halbwinkel,Überschreitungen

  • Halbwinkel: Der halbe Kegelwinkel.

  • Achsenvektor: Dieser Vektor definiert die Kegelachse an der Spitze.

  • Endvektor: Der Antastvektor am Endpunkt.

Frühere Versionen von PC-DMIS beendeten einen Scan aufgrund einer Kombination aus der Anzahl der Grenzüberschreitungen und der Scan-Inkremente. "OldStyle" ist eigentlich keine durch Sie wählbare Option. Es handelt sich hierbei eher um eine interne Einstellung für Scans, die mit früheren PC-DMIS-Versionen erstellt wurden.

Wenn Scans aus der PC-DMIS-Version 2.3 in Version 3.0 oder höher eingelesen werden, werden sie konvertiert und die zugehörigen Grenzbedingungen als "OldType" (ALTERTYP) gekennzeichnet.

Die Befehlszeile im Bearbeitungsfenster lautet für den Begrenzungstyp "OldStyle":

BEREICHSGRENZE/ALTERTYP, X,Y,Z,Ebenenvektor=I,J,K, Endvektor=I,J,K

  • Ebenenvektor: Dieser Vektor definiert den vertikalen Vektor der Ebene am Endpunkt.

  • Endvektor: Der Antastvektor am Endpunkt.

Bereich "Begrenzung"

Der Bereich Begrenzung erstellt ein imaginäres Element, das um den Endpunkt des Scans herum als eine Begrenzung dient. Standardmäßig handelt es sich bei diesem Element um eine Ebene am Endpunkt, die den Scan nach einmaliger Überschreitung anhält. Sie können den End-Begrenzungstyp jedoch auch für einen anderen Elementtyp definieren.

Begrenzungen sind nur im CNC-Modus und nur für Offene Linie-, Geschlossene Linie-, Flächen- und Profilschnitt-Scans verfügbar.

In diesem Bereich stehen folgende Optionen zur Verfügung:

Element

Beschreibung

Mit der Liste "Begrenzung" können Sie bestimmen, wie der Scan beendet werden soll. Für jeden Begrenzungstyp wird ein Wert aus dem Feld Überschreitungen verwendet.

Ebene - Der Scan wird beendet, wenn der Taster die Ebene x-mal überquert hat (wobei x die Anzahl der Überschreitungen ist).

Kugel - Der Scan wird beendet, wenn der Taster die Kugel x-mal am Endpunkt überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist).

Zylinder - Der Scan wird beendet, wenn der Taster den Zylinder x-mal am Endpunkt überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist). Der Zylinder ist unbegrenzt (d. h. er gilt als unendlich lang).

Kegel - Der Scan wird beendet, wenn der Taster den Kegel x-mal am Endpunkt überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist). Der Kegel ist unbegrenzt (d. h. er gilt als unendlich lang).

OldStyle - (Beibehaltung zur Gewährleistung einer Abwärtskompatibilität mit früheren Versionen von PC-DMIS)

Feld
Überschreitungen

In dem Feld Überschreitungen wird die Anzahl der Überschreitungen des ausgewählten Begrenzungselements durch den Scan bis zum Beenden des Scans festgelegt. Wenn Sie beispielsweise diesen Wert auf Zwei (2) einstellen, wird der Scan beendet, wenn die Kugelmitte des Tasters die gegebene Oberflächenbedingung (eben, rund, zylindrisch, konisch usw.) zweimal überquert hat.

Feld Radius

Das Feld Radius erscheint, wenn Sie entweder Kugel oder Zylinder als Begrenzungstyp auswählen. Sie können hiermit den Radius dieses Begrenzungselements bestimmen.

Feld Winkel

Das Feld Winkel erscheint, wenn Sie Kegel als Begrenzungstyp auswählen. Sie können hiermit den halben Kegelwinkel bestimmen.

Hinweis: Die Grenzbedingung für einen Scan kann jederzeit geändert werden. Bei Auswahl einer neuen Grenzbedingung für einen CNC-Scan wird PC-DMIS diese Bedingung auf alle Basis-Scans anwenden, die dann den CNC-Scan ausmachen. Wenn Sie jedoch einen bestimmten Wert in einer Grenzbedingung verändern, wie beispielsweise den Radius des Begrenzungstyps Kugel, dann wird PC-DMIS diese Änderung nicht an die Basis-Scans weitergeben. Sie müßten diesen Wert dann selbst in jedem Basis-Scan ändern.


Registerkarte "Grafik"

Registerkarte "Grafik" in einem Scan-Dialogfeld

Mit der Registerkarte Grafik können Sie ein CAD-Modell auf dem Bildschirm zur Unterstützung bei der Erstellung des Scans verwenden. Auf dieser Registerkarte befindet sich der Bereich CAD-Steuerungen. In diesem Bereich können Sie die CAD-Oberflächen- bzw. CAD-Drahtmodellelemente festlegen, die bei der Suche nach Nennwerten und zur Bestimmung der Stärke des Werkstücks verwendet werden sollen.

In einigen Fällen könnte ein Scan über einer bestimmten Oberfläche beginnen und über viele weitere Oberflächen geführt werden, bevor er abgeschlossen ist. In solchen Fällen erkennt PC-DMIS nicht, welche CAD-Elemente bei der Suche nach Nennwerten verwendet werden sollen. Es muss daher jede Oberfläche im CAD-Modell durchsucht werden. Bei einem CAD-Modell mit vielen Oberflächen kann es einige Zeit dauern, bevor der Befehl NW_SUCHE erfolgreich abgearbeitet wird.

Element

Beschreibung

Kontrollkästchen
Auswählen

Durch Auswahl dieses Kontrollkästchens und durch Klicken auf die Flächen können Sie die exakten Flächen, die gescannt werden sollen, definieren. Durch die manuelle Bestimmung der Flächen, die gescannt werden sollen, kann das Verfahren der NW_SUCHE beschleunigt werden. Wenn eine CAD-Fläche ausgewählt worden ist, wird sie im Grafikfenster hervorgehoben. In der Statusleiste wird die Anzahl der gewählten Flächen angezeigt. Wenn das Kontrollkästchen Auswählen nicht aktiviert ist, betrachtet PC-DMIS alle Klicks auf der Fläche als Begrenzungspunkte.

Beispiel: Für jede Fläche, über die der Scan geführt werden soll, müssen zwei vertikal zueinander verlaufende Kanten gewählt werden. Wenn der Scan also über drei Flächen geführt wird, müssen sechs Kanten (welche die drei Flächen repräsentieren) in der richtigen Reihenfolge gewählt werden. Die erste und die zweite Kante geben die erste Fläche an. Die dritte und die vierte Kante geben die zweite Fläche an. Die fünfte und sechste Kante geben die dritte Fläche an usw.

Schaltfläche
Auswahl aufheben

Bei Auswahl der falschen Fläche klicken Sie ein zweites Mal auf diese Fläche. Dadurch wird die Auswahl aufgehoben. Mit jedem Klick auf die Schaltfläche Auswahl aufheben wird nacheinander die Auswahl einzelner Flächen in einer Gruppe ausgewählter Flächen aufgehoben, bis keine mehr ausgewählt sind. Wenn Sie auf die Schaltfläche Ges.-Auswahl aufheben klicken, wird die Auswahl aller markierten Flächen auf einmal aufgehoben.

Mit der Schaltfläche Auswahl aufheben werden hervorgehobene CAD-Elemente einzeln nacheinander aus einer Gruppe von CAD-Elementen entfernt, die mit Hilfe des Kontrollkästchens Auswählen erstellt werden.

Schaltfläche Ges.-Auswahl aufheben

Bei Auswahl der Schaltfläche Ges.-Auswahl aufheben wird die Auswahl aller mit Hilfe des Kontrollkästchens Auswählen markierten CAD-Elemente wieder rückgängig gemacht.

Kontrollkästchen
Tiefe

Das Kontrollkästchen "Tiefe" kommt nur bei der Auswahl von Kurvenelementen zum Einsatz. Damit können Sie ein bestimmtes CAD-Kurvenelement als Tiefenelement ausweisen.

So arbeiten Sie mit dem Kontrollkästchen Tiefe:

  1. Wählen Sie zunächst alle anderen CAD-Elemente.

  2. Wählen Sie das Kontrollkästchen Tiefe aus.

  3. Wählen Sie ein CAD-Element.

Die Tiefenkurve wird für die Funktionen der NW_SUCHE verwendet. Wenn PC-DMIS Nennwerte aus Kurvenelementen ermitteln muss, nimmt es den Vektor des CAD-Tiefenelements und überschneidet diesen mit dem Vektor der anderen CAD-Elemente, um eine Ebene zu bilden. Dann wird die Ebene durchstoßen, um den korrekten Nennwert zu ermitteln. Wenn viele CAD-Elemente ausgewählt sind, wird der nächstgelegene Durchstoß-Punkt als Nominalpunkt verwendet. Bei der Verwendung von CAD-Drahtmodelldaten sucht PC-DMIS jeweils paarweise nach den Drahtmodelldaten.

Kontrollkästchen
Vektor1

Das Kontrollkästchen Vektor1 ist nur dann vefügbar, wenn aus der Liste Messpunkttyp der Eintrag Winkel ausgewählt wurde und Sie Flächendaten verwenden. Damit können Sie CAD-Flächen für die Nennwertsuche in PC-DMIS auswählen. Sie können dieses Kästchen markieren und die CAD-Flächen aus dem Grafikfenster auswählen, die PC-DMIS bei der Suche nach dem Oberfl. 1-Vektor des Winkelmesspunkts berücksichtigen soll.

Kontrollkästchen
Vektor2

Das Kontrollkästchen Vektor2 ist nur dann vefügbar, wenn aus der Liste Messpunkttyp der Eintrag Winkel ausgewählt wurde und Sie Flächendaten verwenden. Damit können Sie CAD-Flächen für die Nennwertsuche in PC-DMIS auswählen. Sie können dieses Kästchen markieren und die CAD-Flächen aus dem Grafikfenster auswählen, die PC-DMIS bei der Suche nach dem Oberfl. 2-Vektor des Winkelmesspunkts berücksichtigen soll.

Kontrollkästchen
Stärke

Im Bereich Stärke können Sie die Werkstückstärke eingeben. Positive und negative Werte sind zulässig. Dieser Wert wird vornehmlich für dünne Werkstücke (Kunststoff oder Blech) verwendet, wo die CAD-Daten nur eine Seite beschreiben. Bei dünnwandigen Werkstücken zeichnet der CAD-Techniker oft nur eine Seite des Werkstücks und gibt dann die Materialstärke an. PC-DMIS berücksichtigt diese Materialstärke automatisch bei Verwendung der CAD-Flächendaten.

Diese Stärke wird entlang dem vertikalen Oberflächenvektor angewandt, wenn der NW_SUCHE-Modus aktiv ist und PC-DMIS auch bei der Verwendung von Kantenmesspunkten die CAD-Flächen durchstößt, um die Nennwerte zu ermitteln.


Registerkarte "Passpunkte"

Hinweis: Die Registerkarte Passpunkte erscheint nur bei der Verwendung eines analogen Tastkopfes für kontinuierliches Kontaktscannen.

Über die Registerkarte Passpunkte können Sie dem Scan Passpunkte hinzufügen. Passpunkte unterbrechen die normalen Scan-Funktionen und ermöglichen die Festlegung bestimmter Punkte auf dem Scan, an denen die Scangeschwindigkeit, Punktdichte oder beides geändert wird. Um gute kontinuierliche Scans zu erzielen, sind oft verschiedene Scangeschwindigkeiten und/oder Punktdichten für einzelne Scan-Abschnitte erforderlich.

Bei folgenden Scantypen besteht nun die Möglichkeit, Passpunkte hinzuzufügen:

  • Offene Linie

  • Geschlossene Linie

  • Fläche

  • Profilschnitt

  • Linie (Basis-Scan)

Auf der Registerkarte Passpunkte befindet sich der Bereich Passpunktdefinition. In diesem Bereich können Sie jeden Passpunkt festlegen. Er enthält folgende Einträge:

Element

Beschreibung

Liste Typ

Hier wird die Art des Passpunkts definiert. Zur Auswahl stehen:

  1. Ebene
    EBENE, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte

  2. Kugel
    KUGEL, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte, Durchmesser

  3. Kegel
    KEGEL, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte, Winkel

  4. Zylinder
    ZYLINDER, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte, Durchmesser

Diese Arten funktionieren ähnlich wie Begrenzungspunkte.

Feld Anz. Überschreitungen

In diesem Feld wird angegeben, wie oft der Taster die Bereichsgrenze der Haltepunkte überschreiten muss, bevor die angegebenen Parameter angepasst werden.

Feld Durchmesser

Über dieses Feld wird der Durchmesser des Zylinders oder des Kugel-Passpunktes definiert.

Feld Winkel

Über dieses Feld wird der Halbwinkel des Kegel-Passpunktes definiert.

Feld Punktdichte

Über dieses Feld wird die Dichte der Punkte, die beim kontinuierlichen Kontaktscannen in die Scandaten eingelesen werden, definiert. Die Dichte wird als Anzahl der Punkte/mm angegeben.

Feld Geschwindigkeit

Über dieses Feld wird die Geschwindigkeit, mit der sich die scannende Maschine auf der Werkstückoberfläche entlang bewegt, definiert.

Feld Von manuellem Messpunkt

Sie können hiermit die XYZ- und IJK-Lage der Passpunkte definieren, indem Sie mit dem Taster einen Messpunkt manuell aufnehmen (oder indem Sie auf das Werkstück klicken, wenn Sie im Offline-Modus arbeiten).

XYZ-Felder

Durch diese Felder bestimmen Sie die XYZ-Lage des Passpunktes.

IJK-Felder

Durch diese Felder bestimmen Sie den IJK-Vektor des Passpunktes.

Schaltfläche Hinzufügen

Fügt einen neuen, undefinierten Passpunkt hinzu.

Schaltfläche Löschen

Löscht den aktuellen Passpunkt.

Schaltfläche Weiter

Geht zum nächsten Passpunkt. Die neuen Punktdaten werden dann in den Feldern dieses Bereichs angezeigt.

Schaltfläche Vorh.

Geht zum vorherigen Passpunkt. Die neuen Punktdaten werden dann in den Feldern dieses Bereichs angezeigt.

Schaltfläche Alle löschen

Löscht alle Passpunkte des Scans.

Schaltfläche Aktualisieren

Aktualisiert alle Passpunkte des Scans anhand der Einstellung für den aktuellen Passpunkt.

Siehe auch:

Hinzufügen und Verwenden von Passpunkten

Scannen nach dem Hinzufügen von Passpunkten


Hinzufügen und Verwenden von Passpunkten

  1. Öffnen Sie das Dialogfeld Scan.

  2. Definieren Sie den Scan. Je nach Art des durchgeführten Scans wird die Mindestanzahl der Grenzpunkte bei folgenden Scantypen automatisch definiert:

    Ebene
    Kugel
    Kegel
    Zylinder

  3. Klicken Sie auf die Registerkarte Passpunkte.

  4. Positionen für Haltepunkte können anhand einer der folgenden drei Methoden hinzugefügt werden:

  • Methode 1: Eingabe der Punktpositionen. Klicken Sie auf die Schaltfläche Add und geben Sie dann die erforderlichen Werte für jeden Punkt ein.

  • Methode 2: Wählen Sie das Kontrollkästchen Von manuellem Messpunkt und berühren Sie mit der Maschine die Stellen auf dem Werkstück, an denen Passpunkte hinzugefügt werden sollen. PC-DMIS zeigt die Informationen im Dialogfeld Passpunkte an.

  • Methode 3: Klicken Sie im Grafikfenster mit der linken Maustaste auf die Stellen des CAD-Modells, an denen die Passpunkte eingefügt werden sollen. PC-DMIS zeigt die Informationen im Dialogfeld Passpunkte an.

Bei Methode 2 und 3 rastet PC-DMIS die ausgewählten Punkte bei allen Arten von Scans, außer Flächen-Scan, automatisch auf die Schnittebene des Scans ein.

  5. Führen Sie die im Schritt 4 beschriebenen Methoden so oft durch, bis alle gewünschten Passpunkte definiert sind.

  6. Nachdem Sie alle Passpunkte definiert haben, klicken Sie auf die Schaltfläche Erzeugen. Das Dialogfeld Scan wird geschlossen und der Scan erstellt.

  7. Wenn Sie zusätzliche Passpunkte bearbeiten, entfernen oder hinzufügen möchten, klicken Sie einfach jederzeit auf die Registerkarte Passpunkte und nehmen Sie die gewünschten Änderungen vor.


Scannen nach dem Hinzufügen von Passpunkten

Nachdem Sie alle Passpunkte definiert und den Scan erstellt haben, geht PC-DMIS während der Ausführung folgendermaßen vor.

  1. Der Scan wird mit der global festgelegten Scangeschwindigkeit und Punktdichte ausgeführt.

  2. Während der Scan entlang des Pfads verläuft und es innerhalb der durch die Passpunkte festgelegten Parameter zu Überschreitungen kommt, ändert sich das Scanverhalten auf die durch die Passpunkte definierte Weise.

  3. Wenn der Scan abgeschlossen ist, werden die Scangeschwindigkeit und die Scandichte wieder auf die global geltenden Werte zurückgesetzt.


Registerkarte "Pfaddefinition"

Die Registerkarte Pfaddefinition hat zwei Bereiche, den Bereich Theoretischer Pfad und den Bereich Spline-Pfad. In diesem Bereich können Sie einen theoretischen Pfad für den Scan erzeugen und gegebenenfalls die theoretischen Datenpunkte an einen sekundären Pfad, dem sogenannten Spline-Pfad, anpassen. Dadurch werden im Grunde genommen die theoretischen Punkte gefiltert.

So erstellen Sie einen theoretischen Pfad und passen ihn an einen Spline-Pfad an:

  1. Wählen Sie einen Scantyp, der einen Spline-Pfad unterstützt. Dazu gehören:

  • Offene Linie

  • Geschlossene Linie

  • Fläche

  • Profilschnitt

  • Freiform

  2. Öffnen Sie die Registerkarte Pfaddefinition.

  3. Definieren Sie den theoretischen Pfad. In den meisten Fällen können Sie die Schaltfläche Datei lesen dazu verwenden, einen bereits vorhandenen Satz an theoretischen Datenpunkten zu importieren, oder Sie klicken auf die Schaltfläche Erzeugen. Die Schaltfläche Erzeugen erstellt automatisch einen Satz an theoretischen Datenpunkten aus den vorhandenen CAD-Daten, die zwischen dem Anfangspunkt und dem Endpunkt liegen.

Hinweis: Beim Freiform-Scan ist die Schaltfläche Erzeugen nicht vorhanden. Klicken Sie stattdessen mit der Maus auf das CAD-Modell selbst, um die theoretischen Punkte auszuwählen.

  4. Die Punkte erscheinen folgerichtig mit Angabe der XYZ- und IJK-Daten in der Liste. Solange mehr als fünf Punkte im Bereich Theoretisch vorhanden sind, können Sie diese unter Verwendung der Schaltfläche Berechnen im Bereich Spline-Pfad an einen Spline-Pfad anpassen. Es ist nicht unbedingt erforderlich, den theoretischen Pfad an einen Spline-Pfad anzupassen, aber die Anfangsdaten der theoretischen Liste enthalten wahrscheinlich ohnehin weit mehr Messpunkte, als gebraucht werden.

  5. Definieren Sie einen Spline-Pfad, an den Sie den theoretischen Pfad anpassen möchten. Bestimmen Sie, ob die theoretischen Punkte einen offenen oder einen geschlossenen Pfad bilden sollen; ob die Berechnung des Pfads interpolierend oder approximierend sein soll; ob die Punkte eine Gewichtung aufweisen oder nicht und bestimmen Sie, ob die Abstände zwischen den Punkten durch eine definierte Dichte oder durch eine bestimmte Anzahl von Messpunkten gesteuert werden soll.

  6. Nachdem beide Bereiche ausgefüllt sind, klicken Sie auf Berechnen im Bereich Spline-Pfad. PC-DMIS ändert die theoretischen Daten so, dass Sie den im Spline-Pfad angegebenen Parametern entsprechen. Im Grafikfenster erscheint für jeden Punkt auf dem Werkstück ein orange-farbener Punkt. Befinden sich dort mehrere Punkte, dann werden sich diese Punkte möglicherweise so zusammenfügen, dass sie ein orange-farbenes Band bilden.

  7. Wenn die Punkte Ihren Wünschen entsprechen, klicken Sie auf Erzeugen, um den Scan zu erzeugen.

Siehe auch:

Bereich "Theoretischer Pfad"

Bereich "Spline-Pfad"


Bereich "Theoretischer Pfad"

In diesem Bereich stehen folgende Optionen zur Verfügung:

Element

Beschreibung

Liste Theoretischer Pfad

Diese Liste zeigt den theoretischen Pfad, den der Scan bei der Ausführung nimmt, an. Es werden die XYZ- und IJK-Daten für jeden Punkt angezeigt. Sie können Punkte aus einer Textdatei importieren, indem Sie auf die Schaltfläche Datei lesen klicken; oder PC-DMIS erzeugt die theoretischen Punkte durch Klicken auf Erzeugen. Im Falle eines Freiform-Scans können Sie diese Punkte erstellen, indem Sie im CAD-Modell auf sie klicken.

Diese Punkte können benutzerseitig bearbeitet werden. So bearbeiten Sie die Werte dieser Punkte:

  1. Doppelklicken Sie auf die Nummer des gewünschten Punkts in der Spalte Nr. Das Dialogfeld Theo Daten editieren erscheint.

  2. Ändern Sie die Werte in den gewünschten X-, Y-, Z- und I-, J-, K-Feldern.

  3. Klicken Sie auf OK. Die Liste Theoretischer Pfad gibt die vorgenommenen Änderungen wieder.

Durch Klicken auf die Schaltfläche Weiter im Dialogfeld Theo Daten bearbeiten blättern Sie durch die Liste Theoretischer Pfad, wobei Sie die Möglichkeit haben, jeden einzelnen Eintrag zu bearbeiten.

Schaltfläche Erzeugen

Über diese Schaltfläche werden die Angaben aus dem CAD-Modell entnommen und der theoretische Pfad innerhalb der Scan-Grenzen für folgende unterstützte Scans automatisch erzeugt: Offene Linie, Geschlossene Linie, Fläche und Profilschnitt. Dadurch werden oftmals mehrere Punkte erzeugt.

Nachdem Sie die Grenzen des Scans definiert und auf Erzeugen geklickt haben, blendet PC-DMIS das Dialogfeld aus und Sie haben die Möglichkeit, den Scan zu betrachten, wenn er auf dem Bildschirm erzeugt wird. Nachdem der Scan abgeschlossen ist, wird das Dialogfeld wieder eingeblendet. Wird dann die Schaltfläche Erzeugen betätigt, wird ein Scan mit nominellen Messpunktdaten in das Werkstückprogramm eingefügt.

Zur Erzeugung von Nennwertdaten für Scans und bei der Suche nach Nennwerten für einen erlernten Scan verwendet PC-DMIS stets den Wert, der unter Tol. für Nennwertsuche im Dialogfeld Setup-Optionen des Registers Allgemein angegeben wurde.

Schaltfläche Rückgängig

Mit dieser Schaltfläche können Sie die letzte Aktion beim Importieren, Erzeugen oder Bearbeiten der Punkte in der Liste Theoretischer Pfad rückgängig machen.

Schaltfläche Datei lesen

Über diese Schaltfläche können Sie Punkte aus einer Textdatei mit einer Dateinamenerweiterung ".txt" importieren. Der Inhalt der Textdatei sollte durch ein Komma getrennt sein, mit einem Punkt in jeder Zeile, und zwar so:

X,Y,Z,I,J,K

Kontrollkästchen Loch überspringen

Dieses Kontrollkästchen bestimmt, ob der theoretische Pfad Löcher und andere loch-ähnliche Elemente auf der Oberfläche überspringen soll oder nicht. Ist dieses Kontrollkästchen ausgewählt, werden Punktdaten, die nicht innerhalb der ausgewählten Fläche liegen (wie beispielsweise Lochelemente), nicht in der Liste Theoretischer Pfad erscheinen und werden während der Ausführung des Scans übersprungen. Ist dieses Kontrollkästchen nicht aktiviert, wird auch in loch-ähnlichen Elementen gescannt.

Diese Option erscheint auf allen Scans mit Ausnahme von Umfang- und Freiform-Scans.

Feld Tol.

Über das Feld Tol. können Sie den Toleranzwert festlegen. PC-DMIS verwendet diese Option, um die Lochpositionen zu bestimmen, damit Löcher von den CAD-Daten aufgespürt werden.

  • Wenn der Abstand zwischen zwei beliebigen Begrenzungspunkten auf der Oberfläche kleiner als der Toleranzabstand ist, betrachtet PC-DMIS die Oberfläche als durchgehend und scannt in das Loch hinein.

  • Ist der Abstand größer als der Toleranzwert, geht PC-DMIS davon aus, dass zwischen den beiden Oberflächen ein Stanzloch liegt und überspringt dieses Loch während des Lernprozesses.

Diese Option erscheint auf allen Scans mit Ausnahme von Umfang- und Freiform-Scans.

Schaltfläche
NW abrufen

Mit der Schaltfläche NW abrufen können Sie den Nennwert ermitteln, nachdem ein Scan erlernt oder ausgeführt worden ist. PC-DMIS sucht in den verfügbaren CAD-Daten nach den Nennwerten für den Scan.

Schaltfläche
Einzelpunkte

Über die Schaltfläche Einzelpunkte wird ein Verfahren aufgerufen, mit dem die einzelnen Punkte, aus denen der gescannte Satz besteht, nach der Ausführung in Einzelpunkte umgewandelt werden können. Der gescannte Satz wird anschließend gelöscht.

Beispiel:

  1. Setzen Sie Ihren Cursor im Bearbeitungsfenster auf einen Scan mit Messpunktdaten.

  2. Drücken Sie F9. Das Dialogfeld Scan wird eingeblendet.

  3. Wählen Sie die Schaltfläche Einzelpunkte.

PC-DMIS konvertiert alle Messpunktdaten in Einzelpunkte und löscht den Scan aus dem Bearbeitungsfenster.

Hinweis: Dasselbe wird erreicht, wenn Sie das Kontrollkästchen Einzelpunkte ankreuzen, die Schaltfläche OK anklicken und den Scan aus dem Bearbeitungsfenster heraus ausführen. PC-DMIS führt den Scan aus und wandelt dann die Messpunktdaten in Einzelpunkte um.

Schaltfläche Umk. und Alle umk.

Durch Wahl der Schaltfläche Umk. können Sie die Antastvektoren des in der Liste Theoretischer Pfad ausgewählten theoretischen Scanpunkts umkehren. Sie werden von PC-DMIS gefragt, ob alle diesem Punkt folgenden Vektoren ebenfalls umgekehrt werden sollen.

  • Wenn Sie Ja wählen, wird die Richtung aller auf den angegebenen Punkt folgenden Vektoren, einschließlich der des angegebenen Punktes, umgekehrt.

  • Wenn Sie Nein wählen, wird nur der angegebene Vektor umgekehrt.

Alle umk. kehrt alle Vektoren für alle Punkte in der Liste um.

Diese Optionen erscheinen nur dann, wenn Sie mit UV- und Gitter-Scans arbeiten.

Schaltfläche Löschen

Über diese Schaltfläche werden alle ausgewählten Punkte aus der Liste Theoretischer Pfad gelöscht. Diese Option erscheint nur dann, wenn Sie mit UV- und Gitter-Scans arbeiten.

Diese Option erscheint nur dann, wenn Sie mit UV- und Gitter-Scans arbeiten.

Kontrollkästchen Messpunkte etikettieren

Über dieses Kontrollkästchen wird bestimmt, ob PC-DMIS jeden Messpunkt im Scan etikettieren soll oder nicht. Etikettierte Messpunkte sehen etwa folgendermaßen aus:

Ein UV-Scan mit etikettierten Messpunkten

Diese Option erscheint nur dann, wenn Sie mit UV- und Gitter-Scans arbeiten.


Bereich "Spline-Pfad"

Bereich "Spline-Pfad"

Der Bereich Spline-Pfad enthält mehrere Optionen, die Sie zur Erstellung eines Spline-Pfads, an den der theoretische Pfad des Scans angepasst wird, verwenden können.

Dieser Bereich existiert nicht für Umfang-, Rotations-, UV- und Gitter-Scans.

In diesem Bereich können Sie bestimmen, ob die theoretischen Punkte einen offenen oder einen geschlossenen Pfad bilden sollen; ob die Berechnung des Pfads interpolierend oder approximierend sein soll; ob die Punkte eine Gewichtung aufweisen oder nicht; und ob die Abstände zwischen den Punkten durch eine definierte Dichte oder durch eine bestimmte Anzahl von Messpunkten gesteuert werden sollen.

Wenn Sie schließlich den Spline-Pfad berechnen, wird der vorhandene theoretische Pfad durch die gefilterten Punkte ersetzt. Diese Punkte dienen als Grundlage für den Scan.

In diesem Bereich stehen folgende Optionen zur Verfügung:

Element

Beschreibung

Liste Kurve

Diese Liste enthält zwei Optionen: Offen und Geschlossen. Eine offene Kurve durchläuft den Anfangspunkt und die Stützpunkte und endet am Endpunkt. Bei einer geschlossenen Kurve ist es ähnlich. Wenn sie aber den Endpunkt erreicht, kehrt sie zurück zum Anfangspunkt.

Liste Berechnung

Diese Liste enthält zwei Optionen: Approximierend und Interpolierend. Hiermit wird bestimmt, ob der Spline-Pfad durch Punkte im Spline verläuft (interpolierend) oder sich den Punkten einfach annähert (approximierend). Interpolierende Ergebnisse in gewundeneren Kurven und approximierende Ergebnisse in glatteren Kurven.

Liste Gewicht

Diese Liste enthält zwei Optionen: Ja und Nein. Je nach Auswahl bestimmt diese Option, ob PC-DMIS den Punkten bei der Erstellung des Spline-Pfads eine Gewichtung zuordnet oder nicht. Wählen Sie "Ja", ordnet PC-DMIS den Punkten eine Gewichtung zu, die der Entfernung zu den anderen Punkten auf der Kurve entspricht. Je weiter die Punkte von anderen Punkten entfernt sind, desto größer ist die Gewichtung im Einpassungsverlauf.

Liste Abstand

Diese Liste enthält zwei Optionen: Dichte und Messpunkte.

  • Wenn Sie die Option Dichteauswählen, erstellt PC-DMIS die Spline-Pfad-Punkte nach einem vorgegebenen Inkrementwert, der im Feld Dichte definiert wurde.

  • Wenn Sie die Option Messpunkte auswählen, erstellt PC-DMIS die Spline-Pfad-Punkte, wobei die Anzahl von Messpunkten, die im Feld Messpunkte angegeben wurde, zur Verteilung in Abständen verwendet wird.

Feld Dichte

In dieses Feld geben Sie den Inkrementwert ein, der die Messpunktdichte steuert. Je kleiner der Inkrementwert ist, desto größer ist die Dichte.

Feld Messpunkte

In dieses Feld geben Sie die Anzahl von Messpunkten, die entlang des theoretischen Pfads verteilt werden sollen, ein. Geben Sie beispielsweise die Zahl "50" ein, würde PC-DMIS versuchen, alle fünfzig Punkte entlang des Scan-Pfads zu verteilen.

Schaltfläche Berechnen

Über diese Schaltfläche wird der Spline-Pfad berechnet und die theoretischen Datenpunkte dem Spline-Pfad angepasst, wobei für gewöhnlich mehrere Messpunkte ausgefiltert werden. Diese Schaltfläche wird nur dann aktiviert, wenn mindestens fünf Messpunkte in der Liste Theoretischer Pfad vorhanden sind.


Registerkarte "Einstellungen"

Hinweis: Die Registerkarte Einstellungen erscheint nur bei der Verwendung eines analogen Tastkopfes für kontinuierliches Kontaktscannen.

Auf dieser Registerkarte befindet sich der Bereich Tastparameter Scan. Mit den Einträgen in diesem Bereich können Sie diese häufig verwendeten Scan-Parameter bearbeiten, ohne den Scan-Dialog zu verlassen.

Diese Optionen befinden sich auch in der Registerkarte ¾ Bewegung oder Analoge Taster des Dialogfelds "Parameter". Siehe auch "Parametereinstellungen: Registerkarte "Analoge Taster"" und "Parametereinstellungen: Registerkarte "Bewegung"" im Abschnitt "Voreinstellungen".


Durchführen eines fortgeschrittenen "Offene Linie"-Scans

Offene Linie-Scan (Dialogfeld)

Offene Linie-Scan (Dialogfeld)

Bei der Auswahl der Menüoption Einfügen | Scan | Offene Linie wird die Oberfläche entlang einer 'offenen' Linie gescannt. Bei diesem Verfahren werden der Anfangs- und Endpunkt für die Linie sowie ein Richtungspunkt zur Berechnung der Schnittebene verwendet. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene. Für die Einstellung der Richtung bei Scans des Typs OFFENE LINIE stehen drei verschiedene Typen im Bereich "Richtungsmethoden" zur Auswahl.

Beispiel eines Offene Linie-Scans

Beispiel eines Offene Linie-Scans

So erstellen Sie einen Scan für eine offene Linie

  1. Stellen Sie sicher, dass Sie den ST (schaltenden Taster) oder analogen Taster aktiviert haben.

  2. Versetzen Sie PC-DMIS in den CNC-Modus.

  3. Wählen Sie im Untermenü die Option Einfügen | Scan | Offene Linie. Es erscheint das Dialogfeld Offene Linie- Scan.

  4. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  5. Wählen Sie aus der Liste Richtung 1 den richtigen Typ für OFFENE LINIE aus..

  6. Geben Sie je nach Art des OFFENE LINIE-Scans die entsprechenden Inkrement- und Winkelwerte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Wink. und Min. Wink. ein.

  7. Wenn der Scanvorgang mehrere Oberflächen überquert, wählen Sie die Oberflächen durch Auswahl des Kontrollkästchens Auswählen, wie unter "Registerkarte "Grafik"" beschrieben, aus.

  8. Fügen Sie dem Scanvorgang den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung) und den 2-Punkt (Endpunkt) hinzu, indem Sie die entsprechenden Anweisungen unter Begrenzungspunkte befolgen.befolgen.

  9. Wählen Sie den entsprechenden Messpunkttyp aus der Liste Messpunkttyp im Bereich Messpunktregler aus.

  10. Nehmen Sie in der Liste Anfangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Offene Linie-Scan zurückzukehren.

  11. Wählen Sie den entsprechenden Nennwerte-Modus aus der Liste Nennwerte im Bereich Nennwerte-Methode aus.

  12. Geben Sie im Feld Toleranz im Bereich Nennwerte-Methode einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.

  13. Wählen Sie den entsprechenden Ausführungsmodus aus der Liste Ausführen im Bereich Ausführ-Optionen aus.

  14. Wenn Sie ein dünnes Werkstück verwenden, geben Sie die Stärke des Werkstücks im Feld Stärke der Registerkarte Grafik ein.

  15. Wählen Sie je nach Bedarf weitere Kontrollkästchen im Bereich der Registerkarte Ausführung aus.

  16. Bei der Verwendung eines analogen Tasters sollten Sie die Registerkarte Passpunkte verwenden, um den Scanvorgang optimal durchzuführen.

  17. Klicken Sie im Bereich Theoretischer Pfad auf die Schaltfläche Erzeugen, Pfaddefinitionen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Wenn Sie den Scan erzeugen lassen, beginnt PC-DMIS den Scanvorgang am Anfangspunkt und folgt der vorgegebenen Richtung, bis der Endpunkt erreicht wird.

  18. Wählen Sie gegebenenfalls Einträge im Bereich Spline-Pfad aus der gleichen Registerkarte aus, um den theoretischen Pfad an einen Spline-Pfad anzupassen.

  19. Nehmen Sie bei Bedarf weitere Änderungen am Scan vor.

  20. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.

So erstellen Sie einen Offene Linie-Scan auf einem 3D-Draht/CAD-Modell

Um einen Offene Linie-Scan auf einem Drahtmodell durchzuführen, sollten Sie im Allgemeinen eine 3D-Drahtmodell-CAD-Datei verwenden. Sie benötigen die 3D-Drähte, um die Form des Elements, das gescannt werden soll, zu definieren. Außerdem benötigen Sie dessen "Tiefe" (3D-Ansicht). Dieser Scan-Typ folgt der oben beschriebenen Vorgehensweise.

So erstellen Sie einen Offene Linie-Scan auf einem 2D-Draht/CAD-Modell

Falls ein Offene Linie-Scan auf einer 2D-Drahtmodell-Datei unbedingt durchgeführt werden muss, so ist dies mit etwas Mehrarbeit möglich.

  1. Importieren Sie die 2D-CAD-Datei. Der CAD-Nullpunkt muss sich irgendwo auf dem CAD-Modell selbst befinden, und nicht in den Aufbau-Koordinaten (dadurch wird die Vorgehensweise vereinfacht).

  2. Wählen Sie das Untermenü Einfügen | Element | Abhängiges Element | Linie aus. Das Dialogfeld Abhängiges Element Gerade erstellen wird angezeigt.

  3. Wählen Sie Ausrichtung. Hiermit wird ein abhängiges Element Gerade am CAD-Nullpunkt erstellt, senkrecht zur Oberfläche der 2D-CAD-Daten.

  4. Öffnen Sie das Bearbeitungsfenster und ändern Sie die Länge der Gerade von "1" (das ist der Standardwert) auf einen etwas höheren Wert wie beispielsweise "5" oder "10", allerdings nur dann, wenn die Maßeinheiten auf Millimeter eingestellt sind. Bei der Einstellung auf "Zoll" ignorieren Sie diesen Schritt.

  5. Exportieren Sie das Werkstückprogramm (nur die Elemente) entweder als IGES- oder DXF-Dateityp und speichern Sie die exportierte Datei in ein Verzeichnis Ihrer Wahl.

  6. Kehren Sie zum Werkstückprogramm zurück und löschen Sie die Ausrichtungsgerade, die Sie erstellt haben.

  7. Importieren Sie die Datei, die Sie gerade exportiert haben, zurück in das selbe Werkstückprogramm. Wenn Sie aufgefordert werden, klicken Sie auf Zusammenführen, um das CAD-Drahtmodell im Grafikfenster zusammenzuführen. Ihr CAD-Modell sollte nun über ein CAD-Drahtmodell verfügen, das lotrecht zum Rest der anderen CAD-Drahtmodelle liegt.

  8. Rufen Sie das Dialogfeld Offene Linie-Scan auf.

  9. Klicken Sie auf die Registerkarte Grafik und wählen Sie das Kontrollkästchen Auswählen aus.

  10. Klicken Sie auf jeden Draht, der das zu scannende Element definiert. Wählen Sie diese in der Reihenfolge aus, in der sie gescannt werden, beginnend mit dem Draht, an dem der Scan startet.

  11. Wählen Sie das Kontrollkästchen Tiefe aus.

  12. Klicken Sie auf den importierten Draht, der vertikal zu allen anderen Drähten liegt.

  13. Heben Sie die Auswahl des Kontrollkästchens Auswählen wieder auf. Sie können jetzt den 1-Punkt, den R-Punkt und 2 Begrenzungspunkte auf der theoretischen Oberfläche auswählen, die durch die Drähte definiert ist, die die Form der Oberfläche und die Tiefe bestimmen.

  14. Wenn Sie sich im Online-Modus befinden, wählen Sie das Kontrollkästchen Messen aus. Wählen Sie im Bereich Nennwerte-Methode die Option NW-Suche aus. Wählen Sie im Feld Toleranz einen akzeptablen Toleranzwert aus.

  15. Klicken Sie auf Erzeugen. PC-DMIS fügt den Scan ein. Falls im Online-Modus, wird mit dem Scan begonnen, wobei die Nennwerte gesucht werden.


Durchführen eines fortgeschrittenen "Geschlossene Linie"-Scans

Geschlossene Linie-Scan (Dialogfeld)

Geschlossene Linie-Scan (Dialogfeld)

Mit der Methode Einfügen | Scan | Geschlossene Linie wird die Oberfläche ab dem vorgegebenen ANFANGSPUNKT gescannt und am selben Punkt wieder beendet. Bei diesem Scan-Typ spricht man von einem 'geschlossenen' Scan, weil er wieder zum Anfangspunkt zurückkehrt. Dies ist beim Scannen von kreisförmigen Elementen oder Langlöchern nützlich. Für dieses Verfahren müssen die Lage des Anfangspunkts und des Richtungspunkts definiert sein. Der Inkrementalwert für die Aufnahme von Messpunkten wird vom Benutzer festgelegt.

PC-DMIS scannt die Oberfläche wie im Folgenden definiert.

Beispiel eines Geschlossene Linie-Scans

Beispiel eines Geschlossene Linie-Scans mit Scan-Punkten innerhalb eines Lochs

So erstellen Sie einen Scan des Typs "Geschlossene Linie"

  1. Stellen Sie sicher, dass Sie den ST (schaltenden Taster) oder analogen Taster aktiviert haben.

  2. Versetzen Sie PC-DMIS in den CNC-Modus.

  3. Wählen Sie im Untermenü die Option Einfügen | Scan | Geschlossene Linie. Es erscheint das Dialogfeld Geschlossene Linie- Scan.

  4. Geben Sie den Namen des Scans im Feld "ID" ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  5. Wählen Sie aus der Liste Richtung 1 den richtigen Typ für GESCHLOSSENE LINIE aus..

  6. Geben Sie je nach Art des GESCHLOSSENE LINIE-Scans die entsprechenden Inkrement- und Winkelwerte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Wink. und Min. Wink. ein.

  7. Wenn der Scanvorgang mehrere Oberflächen überquert, wählen Sie die Oberflächen durch Auswahl des Kontrollkästchens Auswählen, wie unter "Registerkarte "Grafik"" beschrieben.

  8. Fügen Sie dem Scanvorgang den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung) hinzu, indem Sie die entsprechenden Anweisungen unter Begrenzungspunkte befolgen.

  9. Wählen Sie den entsprechenden Messpunkttyp aus der Liste Messpunkttyp im Bereich Messpunktregler aus.

  10. Nehmen Sie in der Liste Anfangsvektoren alle notwendigen Änderungen bezüglich der Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Geschlossene Linie-Scan zurückzukehren.

  11. Wählen Sie den entsprechenden Nennwerte-Modus aus der Liste Nennwerte im Bereich Nennwerte-Methode aus.

  12. Geben Sie im Feld Toleranz im Bereich Nennwerte-Methode einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.

  13. Wählen Sie den entsprechenden Ausführungsmodus aus der Liste Ausführen im Bereich Ausführ-Optionen aus.

  14. Wenn Sie ein dünnes Werkstück verwenden, geben Sie die Stärke des Werkstücks im Feld Stärke der Registerkarte Grafik ein.

  15. Wählen Sie je nach Bedarf weitere Kontrollkästchen im Bereich der Registerkarte Ausführung aus.

  16. Bei der Verwendung eines analogen Tasters sollten Sie die Registerkarte Passpunkte verwenden, um den Scanvorgang optimal durchzuführen.

  17. Klicken Sie im Bereich Theoretischer Pfad auf die Schaltfläche Erzeugen,, Registerkarte Pfaddefinition , um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Wenn Sie den Scan erzeugen lassen, beginnt PC-DMIS den Scanvorgang am Anfangspunkt und folgt der vorgegebenen Richtung, bis der Anfangspunkt wieder erreicht wird.

  18. Wählen Sie gegebenenfalls Einträge im Bereich Spline-Pfad aus der gleichen Registerkarte aus, um den theoretischen Pfad an einen Spline-Pfad anzupassen.

  19. Nehmen Sie bei Bedarf weitere Änderungen am Scan vor.

  20. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.

So erstellen Sie einen Geschlossene Linie-Scan auf einem 3D-Draht-CAD-Modell

Um einen Geschlossene Linie-Scan auf einem Drahtmodell durchzuführen, sollten Sie im Allgemeinen eine 3D-Drahtmodell-CAD-Datei verwenden. Sie benötigen die 3D-Drähte, um die Form des Elements, das gescannt werden soll, zu definieren. Außerdem benötigen Sie dessen "Tiefe" (3D-Ansicht). Dieser Scan-Typ folgt der oben beschriebenen Vorgehensweise.

So erstellen Sie einen Geschlossene Linie-Scan auf einem 2D-Draht-CAD-Modell

Falls ein Geschlossene Linie-Scan auf einer 2D-Drahtmodell-Datei unbedingt durchgeführt werden muss, so ist dies mit etwas Mehrarbeit möglich.

  1. Importieren Sie die 2D-CAD-Datei. Der CAD-Nullpunkt muss sich irgendwo auf dem CAD-Modell selbst befinden, und nicht in den Aufbau-Koordinaten (dadurch wird die Vorgehensweise vereinfacht).

  2. Wählen Sie das Untermenü Einfügen | Element | Abhängiges Element | Linie aus. Das Dialogfeld Abhängiges Element Gerade erstellen wird angezeigt.

  3. Wählen Sie Ausrichtung. Hiermit wird ein abhängiges Element Gerade am CAD-Nullpunkt erstellt, senkrecht zur Oberfläche der 2D-CAD-Daten.

  4. Öffnen Sie das Bearbeitungsfenster und ändern Sie die Länge der Gerade von "1" (das ist der Standardwert) auf einen etwas höheren Wert wie beispielsweise "5" oder "10", allerdings nur dann, wenn die Maßeinheiten auf Millimeter eingestellt sind. Bei der Einstellung auf "Zoll" ignorieren Sie diesen Schritt.

  5. Exportieren Sie das Werkstückprogramm (nur die Elemente) entweder als IGES- oder DXF-Dateityp und speichern Sie die exportierte Datei in ein Verzeichnis Ihrer Wahl.

  6. Kehren Sie zum Werkstückprogramm zurück und löschen Sie die Ausrichtungsgerade, die Sie erstellt haben.

  7. Importieren Sie die Datei, die Sie gerade exportiert haben, zurück in das selbe Werkstückprogramm. Wenn Sie aufgefordert werden, klicken Sie auf Zusammenführen, um das CAD-Drahtmodell im Grafikfenster zusammenzuführen. Ihr CAD-Modell sollte nun über ein CAD Drahtmodell verfügen, das lotrecht zum Rest der anderen CAD-Drahtmodelle liegt.

  8. Rufen Sie das Dialogfeld Geschlossene Linie auf.

  9. Klicken Sie auf die Registerkarte Grafik und wählen Sie das Kontrollkästchen Auswählen aus.

  10. Klicken Sie auf jeden Draht, der das zu scannende Element definiert. Wählen Sie diese in der Reihenfolge aus, in der sie gescannt werden, beginnend mit dem Draht, an dem der Scan startet.

  11. Wählen Sie das Kontrollkästchen Tiefe aus.

  12. Klicken Sie auf den importierten Draht, der vertikal zu allen anderen Drähten liegt.

  13. Heben Sie die Auswahl des Kontrollkästchens Auswählen wieder auf. Sie können jetzt den 1-Punkt (Anfangspunkt) und den R-Punkt (Richtung) auf der theoretischen Oberfläche auswählen, die durch die Drähte definiert ist, die die Form der Oberfläche und die Tiefe bestimmen.

  14. Wenn Sie sich im Online-Modus befinden, wählen Sie das Kontrollkästchen Messen aus. Wählen Sie im Bereich Nennwerte-Methode die Option NW-Suche aus. Wählen Sie im Feld Toleranz einen akzeptablen Toleranzwert aus.

  15. Klicken Sie auf Erzeugen. PC-DMIS fügt den Scan ein. Falls im Online-Modus, wird mit dem Scan begonnen, wobei die Nennwerte gesucht werden.


Durchführen eines fortgeschrittenen Flächenscans

Dialogfeld "Flächen-Scan"

Der Flächen-Scan ist vergleichbar mit einer Reihe von 'Offene Linie'-Scans, die parallel zueinander durchgeführt wurden.

Bei Auswahl der Methode Einfügen | Scan | Flächenscan wird die Oberfläche entsprechend der ausgewählten Methode für den Bereich Richtung 1 bzw. Richtung 2 gescannt. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene. Methode "Richtung 1" gibt die Richtung zwischen dem ersten und zweiten Begrenzungspunkt an. Methode "Richtung 2" gibt die Richtung zwischen dem zweiten und dritten Begrenzungspunkt an. PC-DMIS scannt das Werkstück auf der Oberfläche, die durch die Werte für Richtung 1 angegeben wird. Wenn es auf den zweiten Begrenzungspunkt stößt, geht PC-DMIS automatisch zur nächsten Reihe, die durch die Werte für Richtung 2 angegeben wird, über.

Beispiel eines Flächen-Scans

Beispiel eines Flächen-Scans

So erstellen Sie einen Flächen-Scan

  1. Stellen Sie sicher, dass Sie den ST (schaltenden Taster) oder analogen Taster aktiviert haben.

  2. Versetzen Sie PC-DMIS in den CNC-Modus.

  3. Wählen Sie im Untermenü die Option Einfügen | Merkmal | Flächenscan. Es erscheint das Dialogfeld Flächen- Scan.

  4. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  5. Wählen Sie den entsprechenden FLÄCHEN-Typ für die erste Richtung aus der Liste Richtung 1 aus und geben Sie, je nach ausgewählter Methode, das entsprechende Inkrement und die Winkelwerte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Wink. und Min. Wink. ein.

    Hinweis: Wenn für die erste Richtung die Methode 'HAUPTACHSE' gewählt wurde, muss diese Methode auch für die zweite Richtung gewählt werden.

  6. Wählen Sie den entsprechenden FLÄCHEN-Typ für die zweite Richtung aus der Liste Richtung 2 aus und geben Sie, je nach ausgewählter Methode, das entsprechende Inkrement und die Winkelwerte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Wink. und Min. Wink. ein.

  7. Wenn der Scanvorgang mehrere Oberflächen überquert, wählen Sie die Oberflächen durch Auswahl des Kontrollkästchens Auswählen, wie unter "Registerkarte "Grafik"" beschrieben, aus.

  8. Fügen Sie dem Scanvorgang den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung), den 2-Punkt (Endpunkt der ersten Linie), den 3-Punkt (zum Erzeugen eines Mindestbereichs) und bei Bedarf den 4-Punkt (für einen quadratischen oder rechteckigen Bereich) hinzu. Auf diese Weise wird der gewünschte Scanbereich ausgewählt. Wählen Sie diese Punkte, indem Sie die unter Begrenzungspunkte beschriebenen Anweisungen befolgen.

  9. Nehmen Sie in der Liste Ausgangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Flächen-Scan zurückzukehren.

  10. Wählen Sie den entsprechenden Nennwerte-Modus aus der Liste Nennwerte im Bereich Nennwerte-Methode aus.

  11. Geben Sie im Feld Toleranz im Bereich Nennwerte-Methode einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.

  12. Wählen Sie den entsprechenden Ausführungsmodus aus der Liste Ausführen im Bereich Ausführ-Optionen aus.

  13. Wenn Sie ein dünnes Werkstück verwenden, geben Sie die Stärke des Werkstücks im Feld Stärke der Registerkarte Grafik ein.

  14. Wählen Sie je nach Bedarf weitere Kontrollkästchen im Bereich der Registerkarte Ausführung aus.

  15. Bei der Verwendung eines analogen Tasters sollten Sie die Registerkarte Passpunkte verwenden, um den Scanvorgang optimal durchzuführen.

  16. Klicken Sie auf die Schaltfläche Erzeugen im Bereich Theoretischer Pfad, Pfaddefinitionen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Wenn Sie den Scan erzeugen lassen, beginnt PC-DMIS den Scanvorgang am Anfangspunkt und folgt der vorgegebenen Richtung, bis der Begrenzungspunkt erreicht wird. Dann verläuft der Scan vorwärts und rückwärts in Reihen entlang des ausgewählten Bereichs. Der Scan wird mit dem angegebenen Inkrementwert entlang dieser Reihen durchgeführt, bis der Vorgang abgeschlossen ist.

  17. Nehmen Sie bei Bedarf weitere Änderungen am Scan vor.

  18. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Durchführen eines fortgeschrittenen Umfang-Scans

Umfang-Scan (Dialogfeld)

Einfügen | Scan | Umfangs-Scans unterscheiden sich insofern von linearen Scans, als sie vor der Ausführung vollständig aus CAD-Daten erstellt werden. Dieser Scantyp ist nur verfügbar, wenn CAD-Flächendaten zur Verfügung stehen. Bei diesem Scantyp weiß PC-DMIS bereits vor Beginn des Scans genau, wo die Bahn verläuft (ein geringfügiger Fehler ist allerdings nicht auszuschließen).

Beispiel eines Umfang-Scans

Beispiel eines äußeren Umfang-Scans

Zwei Typen von Umfang-Scans

Zwei verschiedene Typen von Umfang-Scans stehen zur Auswahl, und zwar Außenumfang und Innenumfang.

1) Ein AußenUmfang-Scan folgt der Außenfläche der Grenzebene/n, die Sie gewählt haben. Ein solcher Scan kann mehrere Oberflächengrenzen durchqueren, um einen einzigen Scan zu erstellen.

2) Ein InnenUmfang-Scan folgt der Grenzkurve innerhalb einer Oberfläche. Kurven dieser Art definieren im Allgemeinen Elemente wie Bohrungen, Langlöcher oder Bolzen. Im Gegensatz zu Außenumfang-Scans sind Innenumfang-Scans auf eine einzelne Oberfläche beschränkt.

Die obigen Abbildungen (Scan 1 und Scan 2) veranschaulichen die beiden Arten von Umfang-Scans. Für Scan 1 wurden vier Oberflächen ausgewählt. Jede der Oberflächen grenzt an eine der anderen Oberflächen an, aber die Außengrenze (die durchgehende rote äußere Linie) wird aus den Außenseiten aller Oberflächen gebildet. Der Versatzabstand ist der Wert, um den der Scan von der Außengrenze nach innen versetzt ist (dargestellt durch die gestrichelte rote Linie). Bei Scan 2 wird die Bereichsgrenze einer Bohrung verwendet, um eine Bahn für einen InnenUmfang-Scan festzulegen.

Scan 1

Scan 2

Im Folgenden wird das Verfahren zur Erstellung eines Außen- oder Innenumfang-Scans erläutert:

So erstellen Sie einen Umfang-Scan:

So erstellen Sie einen Umfang-Scan:

  1. Öffnen Sie das Dialogfeld Umfang-Scan (Einfügen | Scan | Umfangsscan...).

  2. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  3. Wenn Sie einen InnenUmfang-Scan erstellen wollen, aktivieren Sie das Kontrollkästchen Innen Begr. auf der Registerkarte Ausführung.

  4. Wählen Sie die Oberfläche(n), die zur Definition der Bereichsgrenze herangezogen werden soll(en). Wenn Sie mehrere Oberflächen wählen, sollten Sie diese in derselben Reihenfolge auswählen, in der sie vom Scan durchquert werden. So wählen Sie die erforderliche(n) Oberfläche(n):

  • Stellen Sie sicher, dass das Kontrollkästchen Auswählen auf der Registerkarte Grafik aktiviert ist.

  • Klicken Sie der Reihe nach auf die Oberflächen, die im Scan verwendet werden sollen. Die jeweils gewählten Oberflächen werden hervorgehoben.

  • Wenn alle gewünschten Oberflächen ausgewählt sind, deaktivieren Sie das Kontrollkästchen Auswählen.

  5. Klicken Sie eine Stelle auf der Oberfläche in der Nähe der Bereichsgrenze an, wo der Scan beginnen soll. Dies ist der Anfangspunkt.

  6. Klicken Sie ein zweites Mal auf dieselbe Oberfläche, und zwar in die Richtung, in der der Scan ausgeführt werden soll. Dies ist der Richtungspunkt.

  7. Klicken Sie gegebenenfalls auf den Punkt, an dem der Scan enden soll. Die Angabe dieses Punkts ist optional. Wird kein Endpunkt angegeben, endet der Scan am Anfangspunkt.

Hinweis: PC-DMIS gibt automatisch einen Endpunkt an. Wenn dieser Endpunkt nicht verwendet werden soll, löschen Sie ihn. Markieren Sie die Nummer (die Standardeinstellung ist 2) im Listenfeld Begrenzungspunkte, und klicken Sie auf die Schaltfläche Löschen.

  8. Geben Sie die entsprechenden Werte im Bereich Scan-Erstellung ein. Dieser Bereich umfasst folgende Felder:

·Feld Inkrement
·Feld CAD Tol
·Feld Versatz
·Feld Versatz Tol (+/-).

  9. Wählen Sie die Schaltfläche Berechne Grenzpkt.. Damit wird die Bereichsgrenze berechnet, auf deren Grundlage der Scan erstellt wird. Die roten Punkte auf der Bereichsgrenze zeigen an, wo die Messpunkte während des Umfang-Scans aufgenommen werden.

Hinweis: Die Berechnung der Bereichsgrenze sollte relativ schnell vonstatten gehen.

Wenn die Bereichsgrenze nicht richtig aussieht, klicken Sie auf die Schaltfläche Löschen. Damit wird die Bereichsgrenze gelöscht, und Sie können eine neue erstellen.

Wenn die Bereichsgrenze nicht richtig aussieht, bedeutet das im Allgemeinen, dass der CAD-Toleranzwert erhöht werden muss.

Wenn Sie den CAD-Toleranzwert geändert haben, wählen Sie wieder die Schaltfläche Berechne Grenzpkt., sodass diese neu berechnet werden kann.

Vergewissern Sie sich, dass die Bereichsgrenze stimmt, bevor ein Umfang-Scan berechnet wird. Es dauert wesentlich länger, die Bahn für den Scan zu berechnen, als die Bereichsgrenze neu zu berechnen.

  10. Prüfen Sie, ob der Versatzwert stimmt.

  11. Klicken Sie im Bereich Theoretischer Pfad auf die Schaltfläche Erzeugen., Registerkarte Pfaddefinition. PC-DMIS berechnet dann die theoretischen Werte, die zur Ausführung des Scans verwendet werden. Hierfür wird ein sehr zeitaufwendiger Algorithmus eingesetzt. Je nach der Komplexität der gewählten Oberflächen und der Anzahl der Punkte, die berechnet werden müssen, kann es einige Zeit dauern, die Bahn für den Scan zu berechnen. (Fünf Minuten sind nicht ungewöhnlich.) Wenn der Scan nicht korrekt aussieht, können Sie den Bahnentwurf mit Hilfe der Schaltfläche Rückgängig löschen. Falls erforderlich, ändern Sie den Versatz-Toleranzwert und berechnen Sie den Scan neu.

  12. Klicken Sie auf Erzeugen. Damit wird der Umfang-Scan erzeugt und im Bearbeitungsfenster gespeichert. Er wird wie alle anderen Scans ausgeführt.


Durchführen eines fortgeschrittenen Profilschnitt-Scans

Dialogfeld "Profilschnitt-Scan"

Der Einfügen | Scan | Profilschnitt-Scan ist den Offene Linie-Scans sehr ähnlich. Hier wird die entlang einer Linie verlaufende Oberfläche eines Werkstücks gescannt. Dieser Scantyp ist nur verfügbar, wenn CAD-Oberflächendaten zur Verfügung stehen. Wenn CAD-Oberflächendaten verwendet werden, erkennt PC-DMIS einen Anfangspunkt und einen Endpunkt im Profilschnitt. Bei diesem Verfahren werden der Anfangs- und Endpunkt für die Linie sowie ein Richtungspunkt verwendet. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene. Für die Richtung von Profilschnitt-Scans stehen drei Methoden zur Auswahl.

Bohrungen aufspüren und überspringen

Profilschnitt-Scans können Bohrungen feststellen und überspringen, während sie ein Werkstück scannen. Mit diesem Scantyp können Sie die vom CAD-Techniker gezeichneten 'Profilschnittlinien' auf dem Bildschirm auswählen und den Scan dann fortsetzen.

Mehrfache Scans entlang einer feststehenden Achse

Einer der Vorteile eines PROFILSCHNITT-Scans ist die Möglichkeit, mehrfache Scans entlang einer feststehenden Achse durchzuführen. Nehmen Sie zum Beispiel an, Sie möchten eine Linie entlang der Y-Achse in einem bestimmten Inkrement entlang der X-Achse scannen. Sie möchten also bei X = 5,0 Ihre erste Linie scannen. Bei X = 5,5 möchten Sie Ihre zweite Linie scannen, und bei X = 6,0 möchten Sie Ihre dritte Linie scannen. Sie könnten dafür mehrere Offene Linie-Scans durchführen. Diese Art von 'Inkremental'-Scans kann jedoch viel einfacher mit dem Profilschnitt-Scan bewerkstelligt werden.

Dazu würden Sie den Profilschnitt-Scan mit der X-Achse als die Profilschnittachse und mit einem Profilschnittinkrement von 0,5 einrichten. Sie sollten noch weitere Parameter einstellen (siehe "Durchführen eines fortgeschrittenen Scans für eine offene Linie"). Wenn der Scan gemessen worden ist, zeigt PC-DMIS das Dialogfeld Profilschnitt-Scan erneut an, wobei alle Begrenzungspunkte um das von Ihnen angegebene Inkrement in den nächsten Profilschnitt verlagert worden sind.

Beispiele für den Profilschnitt-Scan

So erstellen Sie einen Profilschnitt-Scan

  1. Stellen Sie sicher, dass Sie den ST (schaltenden Taster) oder analogen Taster aktiviert haben.

  2. Versetzen Sie PC-DMIS in den CNC-Modus.

  3. Wählen Sie im Untermenü die Option Einfügen | Scan | Profilschnitt-Scan. Es erscheint das Dialogfeld Profilschnitt- Scan.

  4. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  5. Wählen Sie den entsprechenden PROFILSCHNITT-Typ für die erste Richtung aus der Liste Richtung 1 aus und geben Sie je nach ausgewählter Methode die entsprechenden Inkrement- und Winkelwerte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Wink. und Min. Wink. ein.

  6. Wenn der Scanvorgang mehrere Oberflächen überquert, wählen Sie die Oberflächen durch Auswahl des Kontrollkästchens Auswählen, wie unter "Registerkarte "Grafik"" beschrieben, aus.

  7. Fügen Sie dem Profilschnitt-Scan den 1-Punkt (Anfangspunkt), den R-Punkt (Scanrichtung) und den 2-Punkt (Endpunkt) hinzu. Auf diese Weise wird die gewünschte Scanzeile ausgewählt. Wählen Sie diese Punkte, indem Sie die unter Begrenzungspunkte beschriebenen Anweisungen befolgen.

  8. Klicken Sie auf CAD ausschn.. Hiermit wird der Scan in Unterabschnitte geteilt. Es werden die Bereiche angezeigt, die PC-DMIS auf Grund von Hindernissen in der Oberfläche (z.B. Bohrungen) überspringt. Durch Klicken auf die Schaltfläche Bereichsgrenze einblenden können Sie die Begrenzungspunkte wieder einblenden.

  9. Im Bereich Profilschnittposition gehen Sie so vor:

  • Wählen Sie aus der Liste Achse die Achse aus, entlang der die nachfolgenden Profilschnitt-Scans inkrementiert werden sollen.

  • Geben Sie für diese Achse den Positionswert ein, den Sie für alle Grenzpunkte einstellen möchten.

  • Geben Sie den Wert im Feld Inkrement ein. Hierbei handelt es sich um den Wert, um den PC-DMIS den Scan verschieben wird, nachdem Sie die Schaltfläche Erzeugen angeklickt haben.

  • Legen Sie im Feld Toleranz einen Toleranzwert für eine Lochposition fest.

  10. Wählen Sie den entsprechenden Messpunkttyp aus der Liste Messpunkttyp im Bereich Messpunktregler aus.

  11. Nehmen Sie in der Liste Anfangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Profilschnitt-Scan zurückzukehren.

  12. Wählen Sie den entsprechenden Nennwerte-Modus aus der Liste Nennwerte im Bereich Nennwerte-Methode aus.

  13. Geben Sie im Feld Toleranz im Bereich Nennwerte-Methode einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.

  14. Wählen Sie den entsprechenden Ausführungsmodus aus der Liste Ausführen im Bereich Ausführ-Optionen aus.

  15. Wenn Sie ein dünnes Werkstück verwenden, geben Sie die Stärke des Werkstücks im Feld Stärke der Registerkarte Grafik ein.

  16. Wählen Sie je nach Bedarf weitere Kontrollkästchen im Bereich der Registerkarte Ausführung aus.

  17. Bei der Verwendung eines analogen Tasters sollten Sie die Registerkarte Passpunkte verwenden, um den Scanvorgang optimal durchzuführen.

  18. Klicken Sie im Bereich Theoretischer Pfad auf die Schaltfläche Erzeugen,, Pfaddefinitionen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Wenn Sie den Profilschnitt-Scan erzeugen lassen, beginnt PC-DMIS den Scanvorgang am Anfangspunkt und folgt der vorgegebenen Richtung, wobei Bohrungen übersprungen werden, bis der Begrenzungspunkt erreicht wird.

  19. Wählen Sie gegebenenfalls Einträge im Bereich Spline-Pfad aus der gleichen Registerkarte aus, um den theoretischen Pfad an einen Spline-Pfad anzupassen.

  20. Nehmen Sie bei Bedarf weitere Änderungen am Scan vor.

  21. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.

  22. Nachdem der Scan erstellt ist, verschiebt PC-DMIS die Begrenzungspunkte um den angegebenen Inkrementwert entlang der ausgewählten Achse. Die neuen Begrenzungspunkte werden dann im Grafikfenster angezeigt. Das Dialogfeld Profilschnitt-Scan steht dann wieder zur Erstellung eines weiteren Profilschnitt-Scans zur Verfügung.


Durchführen eines fortgeschrittenen Rotations-Scans

Rotations-Scan (Dialogfeld)

Mit der Einfügen | Scan | Rotation-Scan-Methode wird die Oberfläche um einen bestimmten Punkt herum mit einem für diesen Punkt festgelegten Radius gescannt. Der Radius wird ohne Berücksichtigung von Veränderungen an der Oberfläche beibehalten. Bei diesem Verfahren werden der Anfangs- und der Endpunkt für den Messbogen sowie ein Richtungspunkt verwendet, um die Richtung von Anfang bis Ende zu definieren.

Beispiel eines Rotations-Scans um einen Kegel

Beispiel eines Rotations-Scans um einen Kegel

So erstellen Sie einen Rotations-Scan

  1. Stellen Sie sicher, dass Sie den ST (schaltenden Taster) oder analogen Taster aktiviert haben.

  2. Versetzen Sie PC-DMIS in den CNC-Modus.

  3. Wählen Sie im Untermenü die Option Einfügen | Scan | Rotation. Es erscheint das Dialogfeld Rotations-Scan.

  4. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  5. Bestimmen Sie den Mittelpunkt für den Rotations-Scan. Hierzu gibt es zwei Möglichkeiten:

  • Markieren Sie das Kontrollkästchen Mitte wählen und klicken Sie dann einen Punkt auf dem Werkstück.

  • Geben Sie die Lage des Kreismittelpunkts manuell in die Felder XYZ und IJK ein.

  6. Geben Sie für den Rotations-Scan einen Radius im Feld R ein. Nachdem Sie einen Radius eingegeben haben, zeichnet PC-DMIS im Grafikfenster die Scanposition auf dem Werkstückmodell.

  7. Überprüfen Sie die Angaben für die XYZ- und IJK-Mitte des Scans auf Richtigkeit.

  8. Deaktivieren Sie das Kontrollkästchen Mitte wählen.

  9. Wählen Sie die entsprechende Methode aus der Liste Richtung 1 aus, und geben Sie je nach ausgewählter Methode die entsprechenden Inkrement- und Winkelwerte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Wink. und Min. Wink. ein.

  10. Wenn der Scanvorgang mehrere Oberflächen überquert, wählen Sie die Oberflächen durch Auswahl des Kontrollkästchens Auswählen, wie unter "Registerkarte "Grafik"" beschrieben, aus.

  11. Fügen Sie dem Rotations-Scan den 1-Punkt (Anfangspunkt), den R-Punkt (Scanrichtung) und den 2-Punkt (Endpunkt) hinzu. Auf diese Weise wird eine Scankurve ausgewählt. Möchten Sie den gesamten Umfang scannen, löschen Sie den 2-Punkt. Wählen Sie diese Punkte, indem Sie die unter Begrenzungspunkte beschriebenen Anweisungen befolgen.

  12. Wählen Sie den entsprechenden Messpunkttyp aus der Liste Messpunkttyp im Bereich Messpunktregler aus.

  13. Nehmen Sie in der Liste Anfangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Rotations-Scan zurückzukehren.

  14. Wählen Sie den entsprechenden Nennwerte-Modus aus der Liste Nennwerte im Bereich Nennwerte-Methode aus.

  15. Geben Sie im Feld Toleranz im Bereich Nennwerte-Methode einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.

  16. Wählen Sie den entsprechenden Ausführungsmodus aus der Liste Ausführen im Bereich Ausführ-Optionen aus.

  17. Wenn Sie ein dünnes Werkstück verwenden, geben Sie die Stärke des Werkstücks im Feld Stärke der Registerkarte Grafik ein.

  18. Wählen Sie je nach Bedarf weitere Kontrollkästchen im Bereich der Registerkarte Ausführung aus.

  19. Bei der Verwendung eines analogen Tasters sollten Sie die Registerkarte Passpunkte verwenden, um den Scanvorgang optimal durchzuführen.

  20. Klicken Sie im Bereich Theoretischer Pfad auf die Schaltfläche Erzeugen,, Pfaddefinitionen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Wenn Sie den Scan erzeugen lassen, beginnt PC-DMIS den Scanvorgang am Anfangspunkt und folgt der vorgegebenen Richtung, bis der Begrenzungspunkt erreicht wird.

  21. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.

  22. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Durchführen eines fortgeschrittenen Freiform-Scans

Dialogfeld "Freiformscan"

Mit dem Dialogfeld Freiformscan können Sie auf einfache Weise einen beliebigen Pfad auf eine Fläche erzeugen, dem der Scan dann folgen wird. Dieser Pfad kann ganz nach Ihren Wünschen erzeugt werden: er kann entweder gewunden oder gerade sein, und viele oder wenige Messpunkte aufweisen.

Beispiel eines Freiform-Scans Vor dem Spline-Pfad | Beispiel eines Freiform-Scans Nach dem Spline-Pfad
Freiform-Scan - Vor dem Spline-Pfad | Freiform-Scan - Nach dem Spline-Pfad

So erstellen Sie einen Freiform-Scan:

  1. Klicken Sie auf die Schaltfläche Erweitert>>, um die Registerkarten unten im Dialogfeld sichtbar zu machen.

  2. Wählen Sie die Einträge in den Registerkarten Ausführung und Grafik wie gewünscht aus.

  3. Öffnen Sie die Registerkarte Pfaddefinition..

  4. Definieren Sie den theoretischen Pfad. Fügen Sie dem Feld Theoretischer Pfad durch Klicken auf die Fläche des Werkstücks im Grafikfenster Messpunkte hinzu. Mit jedem Klick erscheint ein orange-farbener Punkt auf der Werkstückzeichnung. Nach mindestens fünf Punkten auf der Werkstückzeichnung wird die Schaltfläche Berechnen im Bereich Spline-Pfad aktiviert.

  5. Wählen Sie gegebenenfalls Einträge im Bereich Spline-Pfad aus und klicken Sie dann auf Berechnen. Dadurch wird eine Spline-Kurve entlang der zuvor definierten theoretischen Punkte erzeugt. Dann werden die Punkte im Bereich des theoretischen Pfads neu berechnet, sodass der Taster einem gleichmäßigeren Pfad folgen kann.

  6. Klicken Sie auf Erzeugen, um den Scan zu erzeugen.


Durchführen eines fortgeschrittenen UV-Scans

UV-Scan (Dialogfeld)

Mit der Option Einfügen | Scan | UV-Scan können Sie einfach Punktezeilen auf jeder beliebigen Oberfläche eines CAD-Modells scannen (ähnlich wie beim Flächen-Scan). Bei diesem Scan sind nur wenige Einstellungen erforderlich, da der UV-Bereich gemäß Definition durch das CAD-Modell verwendet wird.

Beispiel eines UV-Scans

Beispiel eines UV-Scans, bei dem jeder Messpunkt markiert ist

Hinweis: Wenn der UV-Scan anhand dieses Dialogfelds eingerichtet wird, erhält PC-DMIS alle hierfür erforderlichen Punkte aus dem CAD-Modell und verwendet die Nenndaten für jeden Punkt. Während der Ausführung steht die Option NW-SUCHE aus der Liste Nennwerte jedoch nicht zur Auswahl, es ist nur die Option MASTER verfügbar.

So erstellen Sie einen UV-Scan

  1. Aktivieren Sie einen ST (schaltenden Taster).

  2. Versetzen Sie Ihr CAD-Modell in den 'schattierten' Modus.

  3. Versetzen Sie PC-DMIS in den CNC-Modus.

  4. Öffnen Sie das Dialogfeld UV-Scan (Einfügen | Scan | UV...).

  5. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  6. Wählen Sie in der Registerkarte Grafik das Kontrollkästchen Auswählen aus.

  7. Klicken Sie auf die Fläche, die gescannt werden soll. PC-DMIS markiert die ausgewählte Fläche. PC-DMIS zeigt ein U und ein V auf dem CAD-Modell an, um für jede Achse die Richtung anzugeben.

  8. Wählen Sie in der Registerkarte Grafik das Kontrollkästchen Auswählen aus.

  9. Markieren Sie im Bereich UV-Scan-Einstellungen das Kontrollkästchen Start - Klick CAD.

  10. Klicken Sie einmal auf die ausgewählte Fläche, um den Anfangspunkt des Scans zu bestimmen. Der Punkt, an dem Sie auf die Fläche klicken, stellt außerdem den Anfangspunkt für den UV-Scan dar. Hiermit wird die erste Ecke für den rechtwinkligen Bereich des Scans definiert.

Hinweis: Der UV-Scan unterstützt nun das Scannen von mehreren Flächen. Um mehrere Flächen zu scannen, klicken Sie auf die Flächen in der Reihenfolge, in der sie gescannt werden sollen. PC-DMIS zeigt eine Zahl an, die die Flächenanzahl angibt sowie die U- und V-Richtungspfeile. Während der Ausführung beginnt PC-DMIS mit dem UV-Scan auf der ersten Fläche, fährt dann mit der zweiten Fläche fort usw.

  11. Markieren Sie im Bereich UV-Scan-Einstellungen das Kontrollkästchen Ende - Klick CAD.

  12. Klicken Sie noch einmal auf die ausgewählte Fläche, um den Endpunkt des Scans zu bestimmen. PC-DMIS zeigt wieder ein U und ein V auf dem CAD-Modell an. Hierdurch wird der zweite rechtwinklige Bereich für den Scan definiert.

Hinweis: PC-DMIS bestimmt automatisch die Start- und Endpositionen entlang der U- und V-Achsen, basierend auf den Punkten, die Sie zuvor geklickt haben. Sie können die Scan-Richtung ändern, indem Sie die Start- und Endwerte in den Zeilen U und V tauschen. Beachten Sie, dass im UV-Bereich die Zahlen zwischen 0,0 und 1,0 die gesamte Fläche darstellen. Das heißt, dass sich 0,0, 0,0 und 1,0, 1,0 in diagonal gegenüberliegenden Ecken befinden. Beschnittene Flächen jedoch beginnen möglicherweise mit einem Wert, der größer als 0,0 ist und enden mit einem Wert, der niedriger als 1,0 ist. Dies gilt sowohl für die U- als auch für die V-Richtung.

  13. Wählen Sie den entsprechenden Messpunkttyp aus der Liste Messpunkttyp im Bereich Messpunktregler aus. Es stehen die Optionen Vektor und Fläche zur Auswahl.

  14. Bearbeiten Sie je nach Bedarf weitere Optionen. Nur MASTER kann aus der Liste Nennwerte ausgewählt werden.

  15. Klicken Sie im Bereich Theoretischer Pfad auf die Schaltfläche Erzeugen, Pfaddefinitionen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. PC-DMIS zeigt auf dem CAD-Modell an, an welchen Positionen die Punkte aufgenommen werden sollten. Beim UV-Scan werden Hindernisse auf der Oberfläche (z.B. Bohrungen) automatisch übersprungen.

  16. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.

  17. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein und zeigt den Scanverlauf des Tasters auf der Oberfläche des Modells im Grafikfenster an.


Beispiel 'Rechteck' mit mehreren Flächen

Beispiel einer ausgewählten Fläche, die rot markiert ist

Beispiel einer ausgewählten Fläche, die rot markiert ist

Beispiel 'Erzeugte Punkte'

Beispiel mit erzeugten Punkten. Beachten Sie, dass die Punkte lediglich auf der ausgewählten Fläche (rot) erscheinen, obwohl verschiedene andere Flächen (blau) ebenfalls vom Rechteck eingeschlossen sind.

Durchführen eines fortgeschrittenen Gitter-Scans

Dialogfeld "Gitter-Scan"

Mit der Option Einfügen | Scan | Gitter... Scan können Sie, ähnlich dem UV-Scan, auf einfache Weise ein Punktegitter innerhalb eines sichtbaren Rechtecks erstellen und diese Punkte dann von oben auf eine beliebige ausgewählte Fläche projizieren. UV- und Gitter-Scans funktionieren insofern ähnlich, dass beide Scans Punkte innerhalb eines ausgewählten Bereichs erstellen und anordnen. Jedoch unterscheidet sich die Ausrichtung der Punkte bezüglich der Ausrichtung des CAD-Modells.

Sehen Sie sich diese beiden Abbildungen an:

Abbildung 1 - UV-Scan auf einem 2D-gedrehten Werkstück | Abbildung 2 - Gitter-Scan auf einem in 2D-gedrehten Werkstück
UV-Scan auf einem in 2D-gedrehten Werkstück | Gitter-Scan auf einem in 2D-gedrehten Werkstück

Abbildung 1 zeigt einen UV-Scan auf der oberen Fläche eines in 2D-gedrehten Beispielblocks. Abbildung 2 zeigt den gleichen Block mit einem Gitter-Scan. Beachten Sie, wie die UV-Achsen in Abbildung 1 in einer Linie mit den XY-Achsen der gewählten Fläche ausgerichtet sind. Beim Gitter-Scan hingegen bleiben die Punkte in der rechteckigen Ansicht ausgerichtet. Der Gitter-Scan erzeugt, nachdem er erstellt ist, die Punkte da, wo sie auf die ausgewählten Flächen auftreffen, unabhängig von der Ausrichtung des Werkstücks.

So erstellen Sie einen Gitter-Scan

  1. Aktivieren Sie einen ST (schaltenden Taster).

  2. Versetzen Sie Ihr CAD-Modell in den 'schattierten' Modus.

  3. Versetzen Sie PC-DMIS in den CNC-Modus.

  4. Öffnen Sie das Dialogfeld Gitter-Scan (Einfügen | Scan | Gitter...).

  5. Geben Sie den Namen des Scans im Feld ID ein, wenn Sie einen benutzerdefinierten Namen verwenden möchten.

  6. Ziehen Sie ein Rechteck auf dem Bildschirm über der(den) Fläche(n), die sie scannen möchten. Dieses Rechteck definiert die Begrenzung für den Scan.

  7. Wählen Sie in der Registerkarte Grafik das Kontrollkästchen Auswählen aus.

  8. Klicken Sie auf die Fläche(n), die gescannt werden soll(en). PC-DMIS hebt die ausgewählte(n) Fläche(n) während der Auswahl hervor.

  9. Wählen Sie den entsprechenden Messpunkttyp aus der Liste Messpunkttyp im Bereich Messpunktregler aus. Es stehen die Optionen Vektor und Oberfläche zur Auswahl.

  10. Definieren Sie im Bereich Einstellungen Gitter-Scan die Anzahl von Messpunkten, die auf der(die) ausgewählte(n) Fläche(n) in die A- und B-Richtung abgelegt und angeordnet werden sollen.

  13. Bearbeiten Sie je nach Bedarf weitere Optionen. Nur MASTER kann aus der Liste Nennwerte ausgewählt werden.

  14. Klicken Sie auf die Schaltfläche Erzeugen im Bereich Theoretischer Pfad, Pfaddefinitionen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. PC-DMIS zeichnet Punkte auf das CAD-Modell. Es werden keine Punkte auf eine Fläche gezeichnet, die Sie nicht zuvor ausgewählt haben. Auch dann nicht, wenn die Begrenzungslinie des Rechtecks andere Flächen umfasst.

  15. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.

  16. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein und zeigt den Scanverlauf des Tasters auf der Oberfläche des Modells im Grafikfenster an.


Einführung zum Durchführen von Basis-Scans

PC-DMIS bietet nun Unterstützung für Scans, die unter einem neuen Scantyp mit der Bezeichnung "Basis-Scan" klassifiziert werden. Bei diesen neuen Scans handelt es sich um Scans auf Elementbasis (d.h., Sie könnten ein zu messendes Element wie einen Kreis oder einen Zylinder sowie die dazugehörigen Parameter definieren, und PC-DMIS würde einen Scan ausführen, der die entsprechenden Basis-Scan-Funktionen nutzt).

Die folgenden Basis-Scans sind im Untermenü Scan einfügen verfügbar, sofern sich der ST oder der analoge Taster im CNC-Modus befinden:

  • Kreis-Scan

  • Zylinder-Scan

  • Achsen-Scan

  • Mitten-Scan

  • Linien-Scan

Hinweis: Die Menüoption Mitten-Scan kann nur verwendet werden, wenn Sie einen analogen Tastkopf ausgewählt haben.

Die fortgeschrittenen Scans in PC-DMIS bestehen aus Basis-Scans. Sie können in PC-DMIS keine Basis-Scans aus einer Liste auswählen und fortgeschrittene Scans daraus erstellen. Es ist jedoch möglich, Basis-Scans zu kopieren und sie in bereits erstellte, fortgeschrittene Scans einzufügen.

Dieses Thema behandelt zunächst die allgemeinen Funktionen des Dialogfelds Basisscan und anschließend das Durchführen der verschiedenen verfügbaren Basis-Scans.

Siehe auch:

Allgemeine Funktionen des Dialogfelds "Basis-Scan"

Durchführen eines Basis-Scans für ein Kreiselement

Durchführen eines Basis-Scans für ein Zylinderelement

Durchführen eines Basis-Scans für eine Achse

Durchführen eines Basis-Scans des Typs "Mitte"

Durchführen eines Basis-Scans für ein Linienelement


Allgemeine Funktionen des Dialogfelds "Basis-Scan"

Beispiel für das Dialogfeld BASIS_SCAN

Viele der im folgenden beschriebenen Funktionen gelten für alle Basis-Scans. Einige dieser Optionen sind dieselben Optionen wie für die erweiterten Scans und wurden bereits behandelt. (Weitere Einzelheiten hierzu finden Sie unter "Allgemeine Funktionen des Dialogfelds "Scan""). Auf Optionen, die sich insbesondere auf einen Scan-Modus beziehen, wird entsprechend hingewiesen.

Die folgenden Optionen befinden sich auf der ersten Registerkarte jedes Basis-Scans.

Oberfl.-Stärke: In diesem Feld können Sie die Stärke des Werkstücks festlegen. Bei Verwendung der CAD-Flächendaten wendet PC-DMIS diese Materialstärke automatisch an. Diese Stärke wird entlang dem vertikalen Oberflächenvektor angewandt, wenn der NW-SUCHE-Modus aktiviert ist, und PC-DMIS die CAD-Flächen durchstößt, um die Nennwerte zu ermitteln.

Mit den anderen Registerkarten des Dialogfelds können Sie den Scan definieren.

Siehe auch:

Registerkarte "Filter"

Registerkarte "Messpunkttyp"

Registerkarte "Bereichsgrenze"

Registerkarte "Ausführmodus"

Registerkarte "Nennwertmodus"

Registerkarte "Allgemein"


Registerkarte "Filter"

Dialogfeld "Basis-Scan" - Registerkarte "Filter"

Dialogfeld BASIS_SCAN - Registerkarte "Filter"

Folgende Optionen stehen für die Registerkarte Filter zur Verfügung:

  • Abstandsfilter - Siehe Offene Linie unter " Methode "Linie""

  • Variable Filter - Siehe Offene Linie unter " Methode "Variable" ". Diese Scanmethode ist nur für Linien-Scans verfügbar.

  • Nullfilter – Siehe "Methode "Nullfilter"".


Registerkarte "Messpunkttyp"

BASIS_SCAN (Dialogfeld) - Registerkarte "Messpunkttyp"

BASIS_SCAN (Dialogfeld) - Registerkarte "Messpunkttyp"

Folgende Optionen stehen für die Registerkarte Messpunkttyp zur Verfügung:

  • VEKTOR

  • FLÄCHE (nur verfügbar für Linien-Scans)

Der Messpunkttyp entspricht dem Messpunkttyp in bereits zuvor definierten Scans. Siehe Messpunkttyp im "Bereich "Messpunktregler"" unter "Allgemeine Funktionen des Dialogfelds "Scan"".


Registerkarte "Bereichsgrenze"

BASIS_SCAN (Dialogfeld) - Registerkarte "Bereichsgrenze"

BASIS_SCAN (Dialogfeld) - Registerkarte "Bereichsgrenze"

Für einige der Basis-Scans, wie z. B. Kreis, Zylinder, Achse und Mitte ist eine Grenzbedingung nicht erforderlich, da diese Scans von der Steuereinheit ausgeführt werden. Folgende Optionen stehen für die Bereichsgrenze zur Verfügung:

  • Ebene

  • Kugel

  • Zylinder

  • Kegel

Weitere Einzelheiten finden Sie unter "Verwenden der Schaltfläche "Bereichsgrenze"".


Registerkarte "Ausführmodus"

BASIS_SCAN (Dialogfeld) - Registerkarte "Ausführen"

BASIS_SCAN (Dialogfeld) - Registerkarte "Ausführmodus"

Folgende Ausführungsmodi stehen in der Registerkarte Ausführungsmodus zur Auswahl:

  • NORMAL

  • GEREGELT

  • GESTEUERT

Weitere Informationen zu den Modi "Normal", "Geregelt" und "Gesteuert" finden Sie im "Bereich "Ausführungsoptionen"" der "Registerkarte "Ausführung"".

  • ELEMENT – Dieser Ausführungsmodus ist nur verfügbar, wenn analoge Tastköpfe verwendet werden. Wenn diese Option gewählt ist, verwendet PC-DMIS die integrierte Hochgeschwindigkeits-Scanfunktion der Steuereinheit zur Ausführung des Scans.

Beispiel: Wenn Sie einen Kreis-Scan gewählt haben, verwendet PC-DMIS einen entsprechenden Kreis-Scanbefehl in der Steuereinheit und übergibt die Parameter zur Ausführung an die Steuereinheit. In diesem Fall wird die Ausführung des Scans nicht durch PC-DMIS gesteuert.

Im Ausführmodus ELEMENT können Sie auch die folgenden Kontrollkästchen nutzen, um die Art und Weise, wie PC-DMIS die Scans in diesem Modus ausführt, Ihren Wünschen entsprechend anzupassen:

HSSDAT verwenden – Ist dieses Kontrollkästchen markiert, überträgt PC-DMIS einen gesonderten Punktesatz zur Messstreckendefinition für das Element an die Steuerung. Wenn Sie dieses Kontrollkästchen nicht aktivieren, überträgt PC-DMIS die elementspezifischen Parameter an die Steuerung.

Start/Ende Verzögerungspunkte verwenden – Vor der Anwendung dieser Funktion muss das Kontrollkästchen HSSDAT verwenden markiert worden sein. Bei der Auswahl dieses Kontrollkästchens nimmt PC-DMIS die an die Steuerung gesendeten Punkte und verwirft jene Punkte des Scans, die während der Zu- bzw. Abnahme der Tastergeschwindigkeit aufgenommen wurden. Dadurch wird die Genauigkeit des Messvorgangs verbessert.

Hinweis: Dieses Kontrollkästchen steht nur dann zur Auswahl, wenn Steuerungen mit Leitz-Schnittstellen verwendet werden.


Registerkarte "Nennwertmodus"

BASIS_SCAN (Dialogfeld) - Registerkarte "Nennwertmodus"

BASIS_SCAN (Dialogfeld) - Registerkarte "Nennwertmodus"

Folgende Nennwertmodi stehen zur Verfügung (Siehe die Liste Nennwerte im "Bereich "Nennwerte-Methode""):

  • MASTER – entspricht dem im Abschnitt "Nennwertmodus" beschriebenen Master-Modus.

  • NW-SUCHE – entspricht dem im Abschnitt "Nennwertmodus" beschriebenen Modus "Nennwerte suchen". Sie können eine Toleranz für die Nennwertsuche, die für die Suche nach Nennwerten für einen Basis-Scan gelten kann, eingeben.

Besteinpassen – Durch die Auswahl dieses Kontrollkästchens wird PC-DMIS angewiesen, Besteinpassungs-Algorithmen auf die bei der ursprünglichen NENNWERTSUCHE vorgefundenen Daten anzuwenden und anschließend das NENNWERTSUCHverfahren zu wiederholen. Dadurch werden die Nenndaten in Fällen, wo das eigentliche Werkstück zahlreiche Fehler gegenüber den CAD-Daten aufweist, mit einer größeren Genauigkeit gesucht. (Siehe auch "Nennwertmodus")

Nennwertsuche NUR an ausgewählten Flächen - Durch die Aktivierung des Kontrollkästchens wird PC-DMIS aufgefordert, die Nennwerte für die Messpunkte eines Scans nur auf einem ausgewählten Satz von Flächen zu suchen.

Hinweis: Für die Basis-Scantypen Kreis, Zylinder und Achse ist es nicht erforderlich, Nennwerte mit Hilfe von CAD-Daten zu suchen. PC-DMIS bezieht die Nennwerte aus den von Ihnen bereitgestellten Nenndaten, um den Basis-Scan auszuführen.

Wenn Sie beispielsweise Nenndaten wie den Mittelpunkt oder Durchmesser für die Ausführung eines Kreis-Scans eingeben, wird anhand dieser Daten nach den Nennwerten für den Kreis-Scan gesucht.


Registerkarte "Allgemein"

BASIS_SCAN (Dialogfeld) - Registerkarte "Allgemein"

BASIS_SCAN (Dialogfeld) - Registerkarte "Allgemein"

Die Optionen in diesem Dialogfeld wurden bereits unter "Allgemeine Funktionen des Dialogfelds "Scan"" beschrieben.


Durchführen eines Basis-Scans für ein Kreiselement

BASIS_SCAN (Dialogfeld) - Registerkarte "Kreis"

BASIS_SCAN (Dialogfeld) - Registerkarte "Kreis"

Mit der Menüoption Einfügen | Scan | Kreis können Sie ein Kreiselement scannen. Parameter wie Kreismittelpunkt, Kreisdurchmesser usw. werden ermittelt, und das KMG kann dann den Scan ausführen. Bei der Kreismethode kann nur der Abstandsfilter verwendet werden. Des Weiteren ist nur der Vektormesspunkttyp zulässig, eine Grenzbedingung ist nicht erforderlich. Die Ausführung des Scans wird durch folgende Parameter gesteuert:

  • Flächenmittelpunkt: Dieser Punkt (in der ersten Liste in der Spalte Nr.) ist der Mittelpunkt des Kreises. Der Kreismittelpunkt kann direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

So definieren Sie einen Basis-Scan für ein Kreiselement:

Sie können einen Basis-Scan für ein Kreiselement mit einer der folgenden Methoden definieren:

  • Werte direkt eingeben. Siehe unter "Basis-Scan für ein Kreiselement - Eingabemethode".

  • Punkte auf dem Kreis physisch messen. Siehe unter "Basis-Scan für ein Kreiselement - Eingabemethode".

  • Im Grafikfenster auf dem CAD-Modell auf den Kreis klicken. Siehe "Basis-Scan für ein Kreiselement - Flächendaten-Methode" oder "Basis-Scan für ein Kreiselement - Drahtmodelldaten-Methode".

Nachdem der Scan erstellt ist, fügt PC-DMIS ihn in das Bearbeitungsfenster ein. Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Kreis" lautet:

ID=BASIS_SCAN/KREIS,ZEIGE_MESSP.=JA,ALLEPARAMANZEIGEN=JA
      MitteX,MitteY,MitteZ,Schnittebenenvektor=I,J,K,Typ
      Anfangsvektor=I,J,K, Durchmesser,Winkel,Tiefe ,Stärke

Mehr dazu:

Basis-Scan für ein Kreiselement - Eingabemethode

Basis-Scan für ein Kreiselement - Messpunktmethode

Basis-Scan für ein Kreiselement - Flächendaten-Methode

Basis-Scan für ein Kreiselement - Drahtmodelldaten-Methode

Kreis: CAD-Datenmethode


Basis-Scan vom Typ "Kreis" - Eingabemethode

Mit dieser Methode können Sie die Werte X, Y und Z des Kreismittelpunkts und der Kreisvektoren eingeben.

  1. Wählen Sie in der Liste den gewünschten Mittelpunkt des Kreises aus.

  2. Doppelklicken Sie auf die Spalte Schwerpunkt. Daraufhin wird das Dialogfeld Scanelement bearbeiten für den Mittelpunkt angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.

Bearbeiten (Dialogfeld)

  3. Bearbeiten Sie die X-, Y- oder Z-Felder manuell.

  4. Klicken Sie auf OK, um die Änderungen anzuwenden. Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen und das Dialogfeld wird wieder geschlossen.

  5. Bearbeiten Sie den Schnittebenenvektor und den Anfangsvektor des Kreises. Verwenden Sie dazu dasselbe Verfahren.


Basis-Scan vom Typ "Kreis" - Messpunktmethode

So können Sie den Kreis ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Nehmen Sie drei Messpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, auf der der Kreis liegt.

  2. Nehmen Sie drei weitere Messpunkte in der Bohrung (oder am Bolzen) auf. PC-DMIS berechnet den Kreis unter Verwendung aller drei Messpunkte.

Weitere Messpunkte können aufgenommen werden. PC-DMIS verwendet die Daten aller gemessenen Punkte. Der angezeigte Schwerpunkt ist der errechnete Mittelpunkt des Stanzlochs (oder des Bolzens). Der Schnittebenenvektor ist die Kreisachse, und der Anfangsvektor des Kreises wird auf der Basis des ersten der drei zuletzt aufgenommenen Messpunkte berechnet, anhand derer der Kreis errechnet wurde. Der Winkel wird als Winkel des Bogens vom ersten Messpunkt zum letzten Messpunkt berechnet.


Basis-Scan vom Typ "Kreis" - Flächendaten-Methode

So erzeugen Sie einen Kreis aus Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus.

  2. Setzen Sie den Cursor an eine Stelle innerhalb oder außerhalb des gewünschten Kreises.

  3. Klicken Sie in der Nähe des Kreises einmal auf eine Fläche.

Die Werte für den X-, Y- und Z-Mittelpunkt, Durchmesser, sowie die Vektoren des Kreises aus den ausgewählten CAD-Daten, werden automatisch im Dialogfeld angezeigt.

  • Schnittebenenvektor: Dieser Vektor ist die Kreisachse und ist die Ebene, in der der Scan durchgeführt wird.

  • Anfangsvektor: Dieser Vektor gibt die Richtung an, in welcher der Taster beim Start des Scans den ersten Messpunkt aufnimmt. Dieser Vektor wird gemäß dem Dateneingabemodus berechnet. Dieser Vektor und der Schnittebenenvektor verlaufen lotrecht zueinander.


Basis-Scan vom Typ "Kreis" - Drahtmodelldaten-Methode

Sie können auch CAD-Drahtmodelldaten zur Erzeugung eines kreisförmigen Scans verwenden.

So wird der Kreis generiert:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Kreis. PC-DMIS markiert den ausgewählten Draht.

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde.

Wenn der Draht ausgewählt worden ist, werden die Werte für Mittelpunkt und Durchmesser des ausgewählten Kreises im Dialogfeld angezeigt.

Hinweis: Wenn das zugrundeliegende CAD-Element kein Kreis oder Bogen ist, sind ggf. weitere Mausklicks zur Identifizierung des Elements erforderlich. Wenn PC-DMIS nicht das richtige Element hervorhebt, klicken Sie mindestens zwei weitere Stellen des Kreises an.

  • Schnittebenenvektor: Dieser Vektor ist die Kreisachse und ist die Ebene, in der der Scan durchgeführt wird.

  • Anfangsvektor: Dieser Vektor gibt die Richtung an, in welcher der Taster beim Start des Scans den ersten Messpunkt aufnimmt. Dieser Vektor wird gemäß dem Dateneingabemodus berechnet. Dieser Vektor und der Schnittebenenvektor verlaufen lotrecht zueinander.


Kreis: CAD-Datenmethode

Der Anfangsvektor des Kreises wird auf der Basis des ersten Klicks berechnet, der für die Berechnung des Kreises mit dieser Methode verwendet wird.

Typ:

Folgende Kreistypen sind zulässig:

1) INNEN : Eine Bohrung

2) AUSSEN: Ein Stiftbolzen

3) EBENE: Ein Ebenenkreis, der auf der Ebene ausgeführt wird, auf der der Kreis liegt.

Winkel:

Dies ist der Winkel ab dem Anfangspunkt (die Gradangabe bezeichnet den zu scannenden Bereich). Sowohl positive als auch negative Winkel sind zulässig. Positive Winkel werden gegen den Uhrzeigersinn gemessen, negative im Uhrzeigersinn. Der Schnittebenenvektor gilt als die Achse, um die sich der Winkel dreht.

Durchmesser:

Dies ist der Durchmesser des Kreises.

Tiefe:

Dies ist die Tiefe, die gegenüber der Richtung des Schnittebenenvektors angewandt wird. Sowohl positive als auch negative Werte sind zulässig.

Beispiel: Bei einem Kreis mit einem Mittelpunkt von 1,1,3, einem Schnittebenenvektor von 0,0,1 und einer Tiefe von 0,5 wird der Kreismittelpunkt während der Ausführung auf 1, 1, 2,5 gesetzt. Bei einer Tiefeneinstellung von –0,5 für denselben Kreis würde der Mittelpunkt während der Ausführung auf 1, 1, 3,5 verlagert.


Durchführen eines Basis-Scans für ein Zylinderelement

BASIS_SCAN (Dialogfeld) - Registerkarte "Zylinder"

BASIS_SCAN (Dialogfeld) - Registerkarte "Zylinder"

Mit der Menüoption Einfügen | Scan | Zylinder können Sie ein Zylinderelement scannen. Hierdurch werden Parameter wie Durchmesser und Steigung des Zylinders ermittelt, damit die Steuereinheit den Scan ausführen kann. Bei der Zylindermethode können die Option Abstand der Registerkarte Filter und der Vektormesspunkttyp verwendet werden. Eine Grenzbedingung ist nicht erforderlich. Die Ausführung des Scans wird durch folgende Parameter gesteuert:

Flächenmittelpunkt: Dieser Punkt ist der Mittelpunkt des Zylinders, an dem die Ausführung beginnt. Der Zylindermittelpunkt kann direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

So definieren Sie einen Basis-Scan für ein Zylinderelement:

Sie können einen Basis-Scan für ein Zylinderelement mit einer der beiden folgenden Methoden definieren:

  • Werte direkt eingeben. Siehe unter "Basis-Scan für ein Zylinderelement - Eingabemethode".

  • Punkte auf dem Zylinder physisch messen. Siehe unter "Basis-Scan für ein Zylinderelement - Messpunktmethode".

  • Im Grafikfenster auf dem CAD-Modell auf den Zylinder klicken. Siehe "Basis-Scan für ein Zylinderelement - Flächendaten-Methode" oder "Basis-Scan für ein Zylinderelement - Drahtmodelldaten-Methode".

Nachdem der Scan erstellt ist, fügt PC-DMIS ihn in das Bearbeitungsfenster ein. Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Zylinder" lautet:

ID=BASIS_SCAN/ZYLINDER,ZEIGE_MESSP.=JA,ALLEPARAMANZEIGEN=JA
MitteX,MitteY,MitteZ,Schnittebenenvektor=I,J,K,Typ
Anfangsvektor=I,J,K, Durchmesser,Winkel,Steigung,Tiefe ,Stärke

Mehr dazu:

Basis-Scan für ein Zylinderelement - Eingabemethode

Basis-Scan für ein Zylinderelement - Messpunktmethode

Basis-Scan für ein Zylinderelement - Flächendaten-Methode

Basis-Scan für ein Zylinderelement - Drahtmodelldaten-Methode

Zylinder: CAD-Datenmethode


Basis-Scan vom Typ "Zylinder" - Eingabemethode

Mit dieser Methode können Sie die X-, Y- und Z-Werte des Zylindermittelpunkts und der Zylindervektoren eingeben.

  1. Doppelklicken Sie im Listenfeld auf den Mittelpunkt in der Spalte "Nr.". Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.

Scanelement bearbeiten (Dialogfeld)

  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.

  3. Klicken Sie auf OK, um die Änderungen zu übernehmen.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Schnittebenenvektor und den Anfangsvektor des Zylinders eingeben. Verwenden Sie dazu dasselbe Verfahren.


Basis-Scan vom Typ "Zylinder" - Messpunktmethode

So generieren Sie einen Zylinder, ohne CAD-Daten zu verwenden:

  1. Nehmen Sie drei Messpunkte auf der Oberfläche auf, um den Achsenvektor des Zylinders zu ermitteln.

  2. Nehmen Sie drei weitere Messpunkte in der Bohrung (oder am Bolzen) auf. PC-DMIS berechnet den Durchmesser des Zylinders unter Verwendung aller drei Messpunkte.

Weitere Messpunkte können aufgenommen werden. PC-DMIS verwendet die Daten aller gemessenen Punkte. Der angezeigte Schwerpunkt ist der errechnete Mittelpunkt des Stanzlochs (oder des Bolzens). Der Schnittebenenvektor ist die Zylinderachse, und der Anfangsvektor des Zylinders wird auf der Basis des ersten der drei zuletzt aufgenommenen Messpunkte berechnet, anhand derer der Zylinderdurchmesser errechnet wurde. Der Winkel wird als Winkel des Bogens vom ersten für die Berechnung des Zylinderdurchmessers verwendeten Messpunkts zum letzten Klick berechnet.


Basis-Scan vom Typ "Zylinder" - Flächendaten-Methode

So generieren Sie einen Zylinder mit Hilfe von Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus.

  2. Setzen Sie den Cursor an eine Stelle innerhalb oder außerhalb des gewünschten Zylinders.

  3. Klicken Sie in der Nähe des Zylinders einmal auf eine Fläche.

Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Blechzylinders werden im Dialogfeld angezeigt, sobald der drittte Punkt angegeben worden ist.

Werden weitere Mausklicks festgestellt, sucht PC-DMIS nach dem besten Zylinder in der Nähe aller Messpunkte. Der Schnittebenenvektor ist die Zylinderachse, und der Anfangsvektor des Zylinders wird auf der Basis des ersten Klicks berechnet. Der Winkel wird als Winkel des Bogens vom ersten zum letzten Klick berechnet.


Basis-Scan vom Typ "Zylinder" - Drahtmodelldaten-Methode

Sie können auch CAD-Drahtmodelldaten zur Erzeugung eines zylindrischen Scans verwenden:

So wird der Zylinder generiert:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Zylinder. PC-DMIS markiert den ausgewählten Draht.

  2. Vergewissern Sie sich, dass das richtige Element ausgewählt wurde.

Mittelpunkt und Durchmesser des ausgewählten Zylinders werden im Dialogfeld angezeigt, sobald der Draht bestimmt worden ist.

Hinweis: Wenn das zugrundeliegende CAD-Element kein Zylinder oder Bogen ist, sind ggf. weitere Mausklicks zur Identifizierung des Elements erforderlich. Wenn PC-DMIS nicht das richtige Element hervorhebt, klicken Sie auf mindestens zwei weitere Stellen des Zylinders.

  • Schnittebenenvektor: Dieser Vektor ist die Zylinderachse und ist die Ebene, in der der Scan durchgeführt wird.

  • Anfangsvektor: Dieser Vektor gibt die Richtung an, in welcher der Taster beim Start des Scans den ersten Messpunkt aufnimmt. Dieser Vektor wird gemäß dem Dateneingabemodus berechnet. Dieser Vektor und der Schnittebenenvektor verlaufen lotrecht zueinander.


Zylinder: CAD-Datenmethode

Der Anfangsvektor des Zylinders wird auf der Basis des ersten Klicks berechnet, der für die Berechnung des Zylinders mit dieser Methode verwendet wird.

Typ:

In der Auswahlliste Typ steht folgendes zur Auswahl:

1) INNEN : Eine Bohrung

2) AUSSEN: Ein Stiftbolzen

Winkel:

Das Feld Winkel zeigt den Winkel ab dem Startpunkt (die Gradangabe bezeichnet den zu scannenden Bereich). Sowohl positive als auch negative Winkel sind zulässig. Positive Winkel werden gegen den Uhrzeigersinn gemessen, negative im Uhrzeigersinn. Der Schnittebenenvektor gilt als die Achse, um die sich der Winkel dreht. Der Winkel kann größer als 360 Grad sein. In diesem Fall geht der Scan über mehr als eine Drehung.

Beispiel: Bei einer Winkelangabe von 720 Grad würde der Scan über zwei Drehungen gehen.

Durchmesser:

Das Feld Durchmesser zeigt den Durchmesser des Zylinders an.

Tiefe:

Das Feld Tiefe zeigt den Wert der Tiefe, die gegenüber der Richtung des Schnittebenenvektors angewandt wird.

Beispiel: Bei einem Zylinder mit einem Mittelpunkt von 1,1,3, einem Schnittebenenvektor von 0,0,1 und einer Tiefe von 0,5 wird der Zylindermittelpunkt während der Ausführung auf 2,5 gesetzt.

Steigung:

Das Feld Steigung zeigt den Abstand auf dem Schnittebenenvektor zwischen Anfang und Ende des Scans bei einer kompletten Drehung von 360 Grad. Die Steigung des Zylinders kann einen positiven oder negativen Wert haben. Wenn sie mit Schnittebenenvektor und Winkel kombiniert wird, steuert sie die Auf- und Abwärtsrichtung des Scans entlang der Zylinderachse.

Beispiel: Wenn der Zylinder einen Schnittebenenvektor von 0,0,1, einen Steigungswert von 1,0 und einen positiven Winkel von 720 hätte, dann würde der Scan zwei volle Umdrehungen ausführen und sich, vom Startpunkt aus gerechnet, um zwei Maßeinheiten auf der Zylinderachse aufwärts bewegen. Wird für denselben Zylinder eine negative Steigung eingegeben, dann bewegt sich der Scan um zwei Maßeinheiten auf der Zylinderachse abwärts.


Durchführen eines Basis-Scans für eine Achse

BASIS_SCAN (Dialogfeld) - Registerkarte "Achse"

BASIS_SCAN (Dialogfeld) - Registerkarte "Achse"

Mit der Menüoption Einfügen | Scan | Achse können Sie ein Geradenelement scannen. Anfangspunkt und Endpunkt der Geraden werden ermittelt, und Sie können dann den Scan ausführen.

Die Achsenmethode:

  • Bei dieser Methode kann nur die Option Abstand der Registerkarte Filter verwendet werden.

  • Ermöglicht die Auswahl des Messpunkttyps Vektor auf der Registerkarte Messpunkttyp.

  • Erfordert keine Grenzbedingung.

Die Ausführung des Scans wird durch die beiden folgenden Parameter gesteuert:

  • Anfangspunkt: Dieser Punkt ist der Startpunkt, an dem die Ausführung beginnt.

  • Endpunkt: Dieser Punkt ist der Endpunkt, an dem die Ausführung endet.

Die Punkte können direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

So definieren Sie einen Basis-Scan für ein Achsenelement:

Sie können einen Basis-Scan für ein Achsenelement mit einer der beiden folgenden Methoden definieren:

  • Werte direkt eingeben. Siehe unter "Basis-Scan für eine Achse - Eingabemethode".

  • Punkte auf dem Werkstück physisch messen. Siehe unter "Basis-Scan für eine Achse - Messpunktmethode".

  • Punkte klicken, um die Achse im CAD-Modell im Grafikfenster zu definieren. Siehe "Basis-Scan für eine Achse - Flächendaten-Methode" oder "Basis-Scan für eine Achse - Drahtmodelldaten-Methode".

Nachdem der Scan erstellt ist, fügt PC-DMIS ihn in das Bearbeitungsfenster ein. Das Bearbeitungsfenster. Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Achse" lautet:

ID =BASIS_SCAN/ACHSE,ZEIGE_MESSP.=JA,ALLEPARAMANZEIGEN=JA
StartX, StartY, StartZ,EndX,EndY,EndZ
Schnittebenenvektor=I,J,K,Stärke

Mehr dazu:

Basis-Scan für eine Achse - Eingabemethode

Basis-Scan für eine Achse - Messpunktmethode

Basis-Scan für eine Achse - Flächendaten-Methode

Basis-Scan für eine Achse - Drahtmodelldaten-Methode


Basis-Scan für eine Achse - Eingabemethode

Mit dieser Methode können Sie die X-, Y- und Z-Werte der Start- und Endpunkte für den Achsenscan eingeben.

  1. Klicken Sie im Listenfeld in der Spalte "Nr." auf den gewünschten Punkt. Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.

Scanelement bearbeiten (Dialogfeld)

  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.

  3. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Wert für den Schnittebenenvektor und den Anfangsvektor der Achse eingeben. Verwenden Sie dazu dasselbe Verfahren.


Basis-Scan für eine Achse - Messpunktmethode

So können Sie eine Gerade ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Wählen Sie den gewünschten Punkt in der Liste aus.

  2. Nehmen Sie einen Messpunkt am Werkstück auf. Dadurch werden die Werte für diesen Punkt eingetragen.

Der Schnittebenenvektor ist der vertikale Vektor der Ebene, in der die Gerade liegt.


Basis-Scan für eine Achse - Flächendaten-Methode

So generieren Sie eine Gerade aus Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus.

  2. Wählen Sie aus der Liste des Dialogfelds die Option Anfangspunkt.

  3. Klicken Sie auf das Werkstück im Grafikfenster, um den Anfangspunkt zu definieren.

  4. Wählen Sie aus der Liste des Dialogfelds die Option Endpunkt.

  5. Klicken Sie auf das Werkstück im Grafikfenster, um den Endpunkt zu definieren.

PC-DMIS zeigt die erforderlichen Werte im Listenfeld an.


Basis-Scan für eine Achse - Drahtmodelldaten-Methode

Punkte für eine Gerade können ebenfalls mit Drahtmodell-CAD-Daten erzeugt werden. Klicken Sie in der Nähe des gewünschten Drahts auf die Achse. PC-DMIS markiert den ausgewählten Draht. PC-DMIS wird auch die Werte für den Anfangspunkt und den Endpunkt in das Dialogfeld mit den Anfangs- und Endpunkten des ausgewählten Drahts eintragen.

Schnittebenenvektor: Dieser Vektor ist der normale Vektor der Ebene, in der sich die Gerade befindet.


Durchführen eines zentrierenden (Nullabgleichs-) Basis-Scans

BASIS_SCAN (Dialogfeld) - Registerkarte "Zentriert"

BASIS_SCAN (Dialogfeld) - Registerkarte "Zentriert"

Mit der Menüoption Einfügen | Scan | Selbstzentrierend können Sie in einem Bereich einen Tief-/Hochpunkt ermitteln. Hierdurch werden der Anfangspunkt und der Endpunkt des Scans aufgenommen, damit die Steuereinheit den Scan ausführen kann. Die Ausgabe dieses Scans ist ein Einzelpunkt.

Die Zentrierungsmethode:

  • Bei dieser Methode kann nur die Option Abstand der Registerkarte Filter verwendet werden.

  • Bei dieser Methode kann nur die Option Vektor der Registerkarte Messpunkttyp verwendet werden.

  • Erfordert keine Grenzbedingung.

Die Ausführung des Scans wird durch die beiden folgenden Parameter gesteuert:

  • Anfangspunkt: Dieser Punkt ist der Anfangspunkt, an dem die Ausführung beginnt.

  • Endpunkt: Dieser Punkt ist der Endpunkt, an dem die Ausführung endet.

Die Punkte können direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

So definieren Sie einen zentrierenden Basis-Scan:

Sie können einen zentrierenden Basis-Scan mit einer der beiden folgenden Methoden definieren:

  • Werte direkt eingeben. Siehe unter "Zentrierender Basis-Scan - Eingabemethode".

  • Punkte auf dem Werkstück physisch messen. Siehe unter "Zentrierender Basis-Scan - Eingabemethode".

  • Im Grafikfenster auf dem CAD-Modell auf Punkte klicken. Siehe unter "Zentrierender Basis-Scan - Angabe der Flächendaten auf dem Bildschirm" oder "Zentrierender Basis-Scan - Drahtmodelldaten-Methode"

Die im Bearbeitungsfenster erscheinende Befehlszeile für den zentrierenden Basis-Scan lautet:

ID =BASIS_SCAN/ZENTRIEREN,ZEIGE_MESSP.=JA,ALLEPARAMANZEIGEN=JA
Start X,Start Y,Start Z,End X,End Y,End Z,Schnittebenenvektor=I,J,K,Typ
Anfangsvektor=I,J,K,Richtungsvektor,Stärke

Mehr dazu:

Beispiel für einen zentrierenden Scan

Zentrierender Basis-Scan - Eingabemethode

Zentrierender Basis-Scan - Messpunktmethode

Zentrierender Basis-Scan - Angabe der Flächendaten auf dem Bildschirm

Zentrierender Basis-Scan - Drahtmodelldaten-Methode


Beispiel für einen Mitten-Scan

Nehmen wir einmal an, Sie haben ein "V"-förmiges Werkstück, wobei sich das "V" auf der Y-Achse der Maschine und der Apex des "V" in der Richtung Y+ des Teilekoordinatensystems befindet (siehe nachfolgende Abbildung).

Ansicht von oben nach unten (Z+) eines V-förmigen Blocks mit dem "V"-Apex in der Richtung Y+

Gehen Sie folgendermaßen vor, um den "V"-Apex mit Hilfe des Basic-Mitten-Scans unter Verwendung der Methode "Ebene" zu ermitteln:

  1. Nehmen Sie einen Messpunkt dort am Werkstück auf, an dem der Scan beginnen soll (auf einer der beiden Seiten des "V"). PC-DMIS gibt die X-, Y- und Z-Punktinformationen an das Dialogfeld Scan weiter.

  2. Stellen Sie für den Anfangspunkt und den Endpunkt dieselben X-, Y- und Z-Werte ein.

  3. Stellen Sie sicher, dass der Anfangsvektor auf 0,-1,0 eingestellt ist.

  4. Stellen Sie sicher, dass der Schnittebenenvektor auf 0,0,1 eingestellt ist.

  5. Wählen Sie aus der Liste Typ die Option EBENE aus.

  6. Klicken Sie auf Erzeugen. PC-DMIS scannt das "V" in Abwärtsrichtung ab und ermittelt den Apex, indem es den niedrigsten Punkt entlang des Anfangsvektors sucht.

Gehen Sie folgendermaßen vor, um den "V"-Apex mit Hilfe des Basic-Mitten-Scans unter Verwendung der Methode "ACHSE" zu ermitteln:

  1. Nehmen Sie einen Messpunkt dort auf, an dem der Scan beginnen soll (auf einer der beiden Seiten des "V"). PC-DMIS gibt die X-, Y- und Z-Punktinformationen an das Dialogfeld Scan weiter.

  2. Stellen Sie für den Anfangspunkt und den Endpunkt dieselben X-, Y- und Z-Werte ein. Versetzen Sie dann das Y des Endpunktes in das Material des Werkstücks.

  3. Stellen Sie sicher, dass der Anfangsvektor auf 0,-1,0 eingestellt ist.

  4. Stellen Sie sicher, dass der Schnittebenenvektor auf 0,0,1 eingestellt ist.

  5. Wählen Sie aus der Liste Typ die Option ACHSE aus.

  6. Klicken Sie auf Erzeugen. PC-DMIS scannt das "V" in Abwärtsrichtung ab und ermittelt den Apex, indem es den niedrigsten Punkt entlang des Anfangsvektors sucht.


Basis-Scan vom Typ "Mitte" - Eingabemethode

Mit dieser Methode können Sie die X-, Y- und Z-Werte der Start- und Endpunkte für den Mitten-Scan eingeben.

  1. Doppelklicken Sie im Listenfeld in der Spalte "Nr." auf den gewünschten Punkt. Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt:

Scanelement bearbeiten (Dialogfeld)

2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.

3. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Schnittebenenvektor und den Anfangsvektor der Mitte eingeben. Verwenden Sie dazu dasselbe Verfahren.


Basis-Scan vom Typ "Mitte" - Messpunktmethode

So können Sie den Mitten-Scan ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Wählen Sie den gewünschten Punkt in der Liste aus.

  2. Nehmen Sie einen Messpunkt am Werkstück auf. Dadurch werden die Werte für diesen Punkt eingetragen.

Der Schnittebenenvektor ist der vertikale Vektor der Ebene. Der Taster bleibt frei in dieser Ebene, während die Steuereinheit die Zentrierung vornimmt. Der Anfangsvektor ist der erste Antastvektor am Startpunkt.


Basis-Scan vom Typ "Mitte" - Angabe der Flächendaten auf dem Bildschirm

Basis-Scan vom Typ "Mitte" - Flächendaten-Methode

So generieren Sie einen Mitten-Scan aus Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus.

  2. Wählen Sie den gewünschten Punkt in der Liste aus.

  3. Klicken Sie auf eine Stelle im Grafikfenster. PC-DMIS zeigt die erforderlichen Werte in der Liste an.


Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Zentrierender Basis-Scan - Drahtmodelldaten-Methode

Sie können auch CAD-Drahtmodelldaten zur Erzeugung von Punkten verwenden:

Klicken Sie in der Nähe des gewünschten Drahts auf die Mitte. PC-DMIS markiert den ausgewählten Draht. Es ermittelt den Punkt auf dem Draht, der der angeklickten Stelle am nächsten liegt, und zeigt die Werte in der Liste an.

  • Schnittebenenvektor: Dieser Vektor ist der vertikale Vektor der Ebene. Der Taster bleibt frei in dieser Ebene, während die Zentrierung vorgenommen wird.

  • Anfangsvektor: Dieser Vektor ist der Antastvektor des Tasters am Anfangspunkt.

Typ:

Folgende Zentrierungsmethoden sind zulässig:

  • Achse: Der Anfangspunkt (S) wird auf die definierte Achse (A) projiziert. Daraus ergibt sich Punkt (SP).Der Anfangsvektor wird in die Ebene projiziert, die durch den projizierten Punkt (SP) und die Axialrichtung (A) definiert wird. Die auf diese Weise definierte Richtung (N) verläuft vertikal zur Axialrichtung. Anschließend, wenn die Zentrierung erfolgt, bleibt der Mittelpunkt des Tasters in der durch die Axialrichtung und (SP) definierten Ebene. Die Eingabe der Zentrierung erfolgt in/gegen Richtung (N), und die Tasterspitze ist frei beweglich in der Richtung, die durch die Kreuzung der Axialrichtung (A) und Richtung (N) definiert wird.

    S     = Anfangspunkt
    A     = definierte Achse / Axialrichtung
    SP     = projizierter Anfangspunkt
    N     = die vertikal zur Axialrichtung verlaufende Richtung.

  • Ebene: Nach Abtasten des durch den Anfangspunkt definierten Punktes wird das KMG in/gegen die Tasterrichtung zentriert, bleibt jedoch frei in der durch den Schnittebenenvektor definierten Ebene.


Durchführen eines Basis-Scans für ein Geradenelement

BASIS_SCAN (Dialogfeld) - Registerkarte "Linie"

BASIS_SCAN (Dialogfeld) - Registerkarte "Linie"

Bei der Auswahl der Menüoption Einfügen | Scan | Linie wird die Oberfläche entlang einer Linie gescannt. Bei diesem Verfahren werden der Anfangs- und Endpunkt für die Linie sowie ein Richtungspunkt zur Berechnung der Schnittebene verwendet. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene.

Die im folgenden erläuterten drei Filtertypen (Registerkarte Filter) sind zulässig.

Siehe auch:

Abstand

Hauptachse

Variable

Max. Inkrement

Punkte

Vektoren

Messpunkttyp

Bereichsgrenze


Abstand

PC-DMIS bestimmt jeden Messpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Messpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.


Hauptachse

PC-DMIS nimmt in den eingestellten Inkrementen Messpunkte im Koordinatensystem des aktuellen Werkstücks auf. Der Vorlauf des Tasters verläuft senkrecht zur angegebenen Achse. Der Taster verbleibt auf der Schnittebene. Der Antastvektor verläuft auf der Schnittebene, vertikal zur ausgewählten Achse. Die Methode HAUPTACHSE verwendet denselben Ansatz zur Aufnahme jedes Messpunkts (im Gegensatz zur LINIENmethode, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Messpunkten ansetzt).


Variable

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Messpunkt aufnimmt, zu bestimmen. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Mindestwerte ein, die zur Festlegung der Inkremente zwischen den Messpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Messpunkte auf. Dann misst es den Winkel zwischen Messpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Messpunkte im aktuellen Inkrement auf.

  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Messpunkt und misst ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.

  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Messpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS misst dann noch einmal den Winkel zwischen dem neuesten Messpunkt und den beiden vorhergehenden Messpunkten. Es löscht so lange den letzten Messpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Messpunkt. (Ist er größer als der Maximalwert für das Inkrement, wird der Messpunkt mit dem Maximalinkrement aufgenommen.) PC-DMIS misst dann noch einmal den Winkel zwischen dem neuesten Messpunkt und den beiden vorhergehenden Messpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR


Max. Inkrement

Im Feld Max. Inkrement der Registerkarte Filter können Sie den Inkrementalabstand zwischen den Messpunkten eines Scans einstellen. Wenn Sie hier beispielsweise 0,5 eingeben, tastet der Scan das Werkstück in Inkrementen von 0,5 ab.


Punkte

Für einen LINIE-Scan sind ein Anfangspunkt, ein Richtungspunkt und ein Endpunkt erforderlich.

  • Anfangspunkt: Der Anfangspunkt des Scans.

  • R: Der Richtungspunkt, der für den Start des Scans verwendet wird.

  • Endpunkt: Der Endpunkt, an dem der Scan beendet wird.


Vektoren

Linien-Scans verwenden folgende Vektoren zur Ausführung:

  • Schnittebenenvektor: Der Schnittebenenvektor ist das Kreuzprodukt aus dem Anfangsvektor und der Linie zwischen Anfangs- und Endpunkt. Der Taster verbleibt während des Scannens in dieser Ebene.

  • Anfangsvektor: Dies ist der Anfangsvektor, an dem der Scan beginnt.

  • Endvektor: Der Endvektor dient am Endpunkt des Scans als Antastvektor.

  • Richtungsvektor: Der Richtungsvektor wird beim Start des Scanvorgangs verwendet und bezeichnet den Vektor vom Anfangspunkt zum Richtungspunkt.

Der Schnittebenenvektor ist das Kreuzrodukt aus dem Anfangsvektor und der Linie zwischen dem Anfangs- und dem Endpunkt.


Messpunkttyp

LINIEN-Scans können mit Vektor- oder Oberflächenmesspunkten durchgeführt werden. Siehe auch die Liste Messpunkttyp im "Bereich "Messpunktregler"".


Bereichsgrenze

LINIEN-Scans können für eine der folgenden Grenzbedingungen durchgeführt werden:

  • Ebene

  • Kugel

  • Zylinder

  • Kegel

  • OldStyle

Weitere Einzelheiten finden Sie unter "Verwenden der Schaltfläche "Bereichsgrenze"".

Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Linie" lautet:

ID =BASIS_SCAN/LINIE,ZEIGE_MESSP.=JA,ALLEPARAMANZEIGEN= YES
Start X,Start Y,Start Z,End X,End Y,End Z,Schnittebenenvektor=I,J,K, Richtungsvektor=I,J,K
Anfangsvektor=I,J,K, Endvektor=I,J,K, Stärke


Einführung zu manuell durchgeführten Scans

Manueller Scan mit ST(Dialogfeld)

Dialogfeld eines manuellen Scans

Bei dieser Scan-Methode können Sie eine Punktmessung definieren, indem die Werkstückoberfläche manuell gescannt wird. Dies ist besonders nützlich, wenn durch den Benutzer gesteuerte KMG-Messpunkte erwünscht sind.

Es gibt zwei Arten von manuellen Scans:

  • Manuelle Scans, die einen schaltenden Taster (ST) verwenden

  • Manuelle Scans, die einen starren Taster verwenden

Versetzen Sie PC-DMIS in den Manuellen Modus, bevor Sie mit dem Erstellen des manuellen Scans beginnen und wählen Sie dann einen der verfügbaren manuellen Scantypen aus dem Untermenü Scan aus. Dazu gehören:

  • Manueller ST (nur verfügbar unter Verwendung eines ST)

  • Fester Abstand

  • Festes Zeitintervall

  • Feste Zeit/Fester Abstand

  • Hauptachse

  • Mehrschnitt

  • Manuelle Freiform...

Das entsprechende Dialogfeld für den manuellen Scan wird geöffnet. Weitere Einzelheiten zum Dialogfeld Scan finden Sie unter Allgemeine Funktionen des Dialogfelds "Scan".

Siehe auch:

Regeln für manuelles Scannen

Weitere Optionen für manuelle Scans


Weitere Optionen für manuelle Scans

PC-DMIS bietet eine Reihe weiterer Optionen für manuelle Scans.

Siehe auch:

Neue Reihe

Scan fertig

Kontrollkästchen "3D"


Neue Reihe

Mit der Befehlsschaltfläche Neue Reihe können Sie eine neue Reihe für den Scan beginnen. Diese Schaltfläche ist nur verfügbar, wenn ein manueller Scan erlernt wird. Die Schaltfläche befindet sich im Dialogfeld Ausführungsoptionen.

So arbeiten Sie mit der Befehlsschaltfläche Neue Reihe:

  1. Klicken Sie auf Anhalten, um den Scan anzuhalten.

  2. Wählen Sie die Schaltfläche Neue Reihe. Damit wird angegeben, dass eine neue Reihe gescannt werden soll.

Oder

  1. Wählen Sie die Schaltfläche Neue Reihe zuerst. PC-DMIS hält den Scan automatisch an.

  2. Versetzen Sie den Taster in die nächste Reihe.

  3. Klicken Sie auf die Schaltfläche Weiter.

  4. PC-DMIS beginnt mit dem Scan der neuen Reihe.


Scan fertig

Über die Befehlsschaltfläche Scan fertig teilen Sie PC-DMIS mit, dass der Scan vollständig ist. Diese Schaltfläche steht nur zur Verfügung, wenn ein manueller Scan ausgeführt (erlernt) wird. Die Schaltfläche befindet sich im Dialogfeld Ausführungsoptionen. Während der Ausführung des Scans erfasst PC-DMIS Daten vom KMG. Gleichzeitig filtert (reduziert) PC-DMIS die Daten nach der von Ihnen angegebenen Methode (Festes Zeitdelta, Fester Abstand, Feste Zeit/ Fester Abstand etc.). Die Daten, die den Kriterien (wie beispielsweise Feste Zeit- oder Abstandsintervalle) nicht entsprechen, werden ausgeschlossen; die Daten, die den Kriterien entsprechen, werden behalten.

Die Vorgängerversionen des Programms verfügten über eine Schaltfläche Reduzieren, die in dieser Version jedoch nicht verwendet wird. Wenn Sie die Befehlsschaltfläche Scan fertig wählen, hält PC-DMIS die Erfassung der Daten an und verarbeitet sie, um Nennwerte, Vektorkompensation usw. zu ermitteln.


Kontrollkästchen "3D"

Dieses Kontrollkästchen ist nur verfügbar, wenn Sie einen starren Taster verwenden (z. B. einen Faro-Arm). Es steht nur auf den Registerkarten "Festgesetzter Abstand", "Festgesetzte Zeit/Distanz" und "Festgesetzte Zeit" zur Auswahl.

Mit dem Kontrollkästchen 3D können Sie in jeder Richtung manuelle Messpunkte dreidimensional aufnehmen. Diese Option ist sehr hilfreich, wenn Sie beim Scannen ein frei bewegliches Messgerät mit nicht verriegelbaren Achsen einsetzen.

Bei einem normalen, manuellen Scanvorgang fordert PC-DMIS, dass Sie die manuellen Messpunkte zuerst in Richtung des Anfangsvektors im Bereich Anfangsvektoren aufnehmen, um eine genaue Tasterkompensation zu erhalten. Im Falle von frei beweglichen, manuellen KMGs (wie beispielsweise Faro, SMX, GOM etc.) kann es jedoch schwierig sein, Messpunkte in einer "geraden" Linie aufzunehmen.

Durch Auswahl dieses Kontrollkästchens können Sie den Taster jedoch in jede beliebige Richtung bewegen. PC-DMIS wird jedesmal dann einen Punkt aufnehmen, wenn Sie den Inkrementabstand zwischen dem vorherigen Punkt und dem aktuellen Punkt erreicht haben.

Einschränkungen bei der Tasterkompensation:

Wenn Sie dieses Kontrollkästchen aktiviert haben und den Taster in jede beliebige Richtung bewegen können, ist PC-DMIS nicht in der Lage, die richtige Tasterkompensation (oder die Eingabe- und Richtungsvektoren) aus den gemessenen Daten zu ermitteln.

Es gibt zwei verschiedene Lösungen für Kompensationseinschränkungen:

  • Ist eine CAD-Oberfläche vorhanden, wählen Sie NW_SUCHE aus der Liste Nennwerte. PC-DMIS wird versuchen, die Nennwerte für jeden im Scan gemessenen Punkt zu finden. Werden die Nennwertdaten gefunden, wird der Punkt entlang des gefundenen Vektors kompensiert, so dass eine genaue Tasterkompensation möglich wird. Andernfalls verbleibt er in der Kugelmitte.

  • Sind keine CAD-Oberflächen vorhanden, findet auch keine Tasterkompensation statt. Alle Daten verbleiben in der Kugelmitte, ohne dass eine Tasterkompensation erfolgt.


Regeln für manuelles Scannen

Die folgenden Themen behandeln allgemeine Regeln für das manuelle Scannen und Regeln für standardisierte Horizontal-KMGs sowie Brücken- und Messarm-KMGs.

Siehe auch:

Allgemeine Regeln für manuelles Scannen

Regeln für ein Einsatz von standardmäßigen Horizontal- und Brücken-KMGs

Regeln für den Einsatz von Messarm-KMGs (Gage 2000A, Faro, Romer)


Allgemeine Regeln für manuelles Scannen

Manuelle Scans sollten entlang der Maschinenachse (der X-, Y- oder Z-Achse) ausgeführt werden.

Gesetzt den Fall, eine Kugeloberfläche muss für das Werkstück gescannt werden. Gehen Sie wie folgt vor:

  1. Sperren Sie die Y-Achse. Dies geschieht mit einem Verriegelungsschalter am KMG. Der Schalter kann EIN- bzw. AUSgeschaltet werden, um eine Bewegung entlang einer bestimmten Achse zu unterbinden bzw. zuzulassen.

  2. Beginnen Sie, in der +X-Richtung zu scannen.

  3. Entriegeln Sie die Y-Achse und fahren Sie entlang der +Y- oder -Y-Achse zur nächsten Reihe.

  4. Sperren Sie die Y-Achse.

  5. Scannen Sie in umgekehrter Richtung (X-) zurück.

Wenn der manuelle Scan mehrere Reihen umfasst, empfehlen wir, jede zweite Scan-Reihe in umgekehrter Richtung zu sannen.

Ein Beispiel (Scan einer Kugel wie oben erläutert):

  1. Beginnen Sie den Scan entlang der Oberfläche in der +X-Richtung.

  2. Gehen Sie dann zur nächsten Reihe entlang der -X-Achse über.

  3. Kehren Sie die Richtung des Scans wie erforderlich weiterhin um. Diese Gleichförmigkeit ist für die internen Algorithmen erforderlich. Eine Nichteinhaltung dieses Schemas könnte die erzielten Ergebnisse beeinträchtigen.

Erstpunktvektor

Für manuelle Scans ist für die internen Berechnungen ein Ausgangsrichtungsvektor in Maschinenkoordinaten erforderlich.

Ausgangsrichtungsvektor

Für manuelle Scans ist für die internen Berechnungen ein Ausgangsrichtungsvektor in Maschinenkoordinaten erforderlich.

Beispiel: Wenn Sie einen +X-Scan ausführen wollen, sperren Sie die Y- und Z-Maschinenachsen, und geben Sie einen Wert von 0, 0, 1 für den Ausgangsrichtungsvektor ein. Wenn der Scan an der -X-Achse beginnen soll, geben Sie 0, 0, -1 ein.


Regeln für ein Einsatz von standardmäßigen Horizontal- und Brücken-KMGs

Die folgende Beschreibung zeigt die Regeln auf, die einzuhalten sind, wenn beim manuellen Scannen mit horizontalen und Brücken-KMGs eine ausreichende Kompensierung und eine größere Geschwindigkeit erzielt werden sollen.

Fester Abstand-Scans, Festes Zeitdelta-Scans und Feste Zeit- / Fester Abstand-Scan

  • Eine Achse des KMGs muss während des Scanvorgangs gesperrt werden, damit PC-DMIS den Scan auf einer Ebene senkrecht zur gesperrten Achse ausführt.

  • Für jeden dieser drei Scantypen müssen Sie den Anfangsvektor und den Richtungsvektor in das Maschinen-Koordinatensystem eingeben. Dies ist erforderlich, da eine der Maschinenachsen gesperrt wird.

Hauptachsen-Scans

  • Während des Scans darf keine Achse gesperrt werden. PC-DMIS führt den Scan aus, indem es den Taster über die zuvor eingegebene Lage der Hauptachse führt. Jedesmal, wenn der Taster die angegebene Ebene überquert, nimmt das KMG eine Ablesung vor und gibt diese an PC-DMIS weiter.

  • Für diesen Scantyp müssen Sie die Werte des Anfangs- und des Richtungsvektors in das Koordinatensystem des Werkstücks eingeben. Dies ist erforderlich, damit der Taster über die angegebene Lage der Hauptachse geführt werden kann.

  • Vergessen Sie nicht, die Hauptachse in das Werkstück-Koordinatensystem einzugeben.


Regeln für den Einsatz von Messarm-KMGs (Gage 2000A, Faro, Romer)

Die folgende Beschreibung zeigt die Regeln auf, die einzuhalten sind, wenn beim manuellen Scannen mit Messarm-KMGs eine ausreichende Kompensierung und eine größere Geschwindigkeit erzielt werden sollen.

Alle manuellen Scantypen

  • Während des Scans darf keine Achse gesperrt werden. PC-DMIS führt den Scan aus, indem es den Taster über die zuvor eingegebene Lage der Hauptachse führt. Jedesmal, wenn der Taster die angegebene Ebene überquert, nimmt das KMG eine Ablesung vor und gibt diese an PC-DMIS weiter.

  • Für diesen Scantyp müssen Sie die Werte des Anfangs- und des Richtungsvektors in das Werkstück-Koordinatensystem eingeben. Dies ist erforderlich, damit der Taster über die angegebene Lage der Hauptachse geführt werden kann.

  • Vergessen Sie nicht, die Hauptachse in das Werkstück-Koordinatensystem einzugeben.


Manuell durchgeführte Scans mit einem schaltenden Tastsystem

Manueller ST Scan (Dialogfeld)

Manueller ST Scan (Dialogfeld)

Sie können einen manuellen Scan mit einem schaltenden Taster (ST) durchführen.

Vorgehensweise:

  1. Versetzen Sie PC-DMIS in den manuellen Modus.

  2. Öffnen Sie das Dialogfeld Manueller ST Scan (Einfügen | Scan | Manueller TTP).

  3. Definieren Sie die erforderlichen Parameter.

  4. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS zeigt das Dialogfeld Ausführungsoptionen an und fordert Sie auf, einen Messpunkt aufzunehmen.

    Ausführungsoptionen (Dialogfeld)

  5. Nehmen Sie die Messpunkte wie gewünscht auf.

  6. Wenn der Scan ausgeführt worden ist, klicken Sie im Dialogfeld Ausführungsoptionen auf Scan fertig. PC-DMIS wird den Scan daraufhin anhalten.

Hinweis: Einige Scan-Methoden sind bei einem schaltenden Tastsystem nicht verfügbar.


Manuelle Scans mit einem starren Taster durchführen

Um Zugriff auf die vier Messmethoden zu erhalten, muss ein starrer Taster verwendet werden.

Beim manuellen Scannen haben Sie vier verschiedene Messmethoden zur Auswahl. Alle vier Methoden können mit starren Tastern durchgeführt werden. PC-DMIS erfasst die gemessenen Punkte, sobald sie während des Scanvorgangs von der Steuereinheit gelesen worden sind. Wenn der Scan abgeschlossen ist, gibt PC-DMIS Ihnen die Möglichkeit, die erfassten Daten auf der Basis der ausgewählten Scanmethode zu reduzieren.

Die vier Messmethoden für Scans mit einem starren Taster werden nachfolgend erläutert.

Hinweis: Wird ein schaltendes Tastsystem verwendet, müssen an jeder Stelle einzelne Messpunkte liegen. PC-DMIS wird in einem solchen Fall nicht die vier hier beschriebenen Messmethoden für Scans mit starren Tastern anbieten.

Siehe auch:

Manuelle Durchführung eines Fester Abstand-Scans

Manuelle Durchführung eines Feste Zeit- / Fester Abstand-Scans

Manuelle Durchführung eines Feste Zeit-Scans

Manuelle Durchführung eines Hauptachsen-Scans

Manuelle Durchführung eines Mehrschnitt-Scans


Manuelle Durchführung eines Fester Abstand-Scans

FESTDELTA (Dialogfeld)

Mit der Scanmethode Einfügen | Scan | Fester Abstand können Sie die gemessen Daten durch die Festlegung eines Abstandswerts im Feld Abst zw. Messpunkten reduzieren. PC-DMIS beginnt mit dem ersten Messpunkt und reduziert den Scan, indem es die Messpunkte löscht, die näher liegen als der vorgegebene Abstand. Die Reduzierung der Messpunkte erfolgt, während die Daten von der Maschine eingehen. PC-DMIS behält nur die Punkte, zwischen denen ein größerer Zwischenraum als der angegebene Inkrementalabstand liegt.

Beispiel: Wenn Sie ein Inkrement von 0,5 festgelegt haben, behält PC-DMIS nur die Messpunkte, die mindestens 0,5 Maßeinheiten voneinander entfernt liegen. Die restlichen von der Steuereinheit zurückgemeldeten Messpunkte werden verworfen.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".

So erstellten Sie einen Fester Abstand(Festdelta)-Scan

  1. Öffnen Sie das Dialogfeld Fester Abstand-Scan.

  2. Geben Sie im Feld ID einen benutzerdefinierten Namen für den Scan ein, wenn der Standardname nicht verwendet werden soll.

  3. Geben Sie im Feld Abst. zw. Messpunkten die Distanz, über die sich der Taster bewegt, bevor PC-DMIS einen Messpunkt aufnimmt, ein. Hierbei handelt es sich um den 3D-Abstand zwischen Punkten. Geben Sie beispielsweise die Zahl "5" ein und die Maßeinheiten sind auf Millimeter eingestellt, dann bewegt sich der Taster mindestens 5 mm vom letzten Punkt weg, bevor PC-DMIS einen Messpunkt von der Steuereinheit akzeptiert.

  4. Bestimmen Sie den Anfangsvektor (Anfangsvektor). Dieser Vektor liegt senkrecht zur Fläche, die gescannt werden soll. Sie können den Vektor bestimmen, indem Sie entweder doppelklicken und den Wert eingeben, auf die Fläche im Grafikfenster klicken oder indem Sie einen Messpunkt auf dem eigentlichen Werkstück abtasten.

  5. Geben Sie den Richtungsvektor ein (Richtungsvektor). Hiermit wird die Startrichtung des Scans definiert, die parallel zum Scananfang liegen sollte. Der Richtungsvektor wird zusammen mit dem Anfangsvektor verwendet, um den Scan zu kompensieren.

  6. Wenn Sie ein CAD-Modell verwenden, geben Sie einen Toleranzwert für die Nennwertsuche im Bereich Nennwertsuche ein. Die 'Nennwertsuchen Toleranz' gibt an, wie weit der aktuelle Tastermittelpunkt von den Nennwerten der CAD-Daten entfernt liegen kann.

  7. Bearbeiten Sie je nach Bedarf weitere Optionen.

  8. Klicken Sie auf Erzeugen. PC-DMIS fügt den Basis-Scan ein.

  9. Führen Sie das Werkstückprogramm aus. Wenn PC-DMIS den Scan ausführt, erscheint das Dialogfeld Ausführungsoptionen, und PC-DMIS wartet auf die Daten der Steuereinheit.

  10. Ziehen Sie den Taster manuell auf der Fläche, die gescannt werden soll, hin und her. PC-DMIS akzeptiert alle Messpunkte der Steuereinheit, deren Abstand voneinander größer ist als der, der zuvor im Feld Abst. zw. Messpunkten definiert worden ist.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".


Manuelle Durchführung eines Feste Zeit- / Fester Abstand-Scans

Variabler Deltascan (Dialogfeld)

Variabler Deltascan (Dialogfeld)

Mit der Scanmethode Einfügen | Scan | Feste Zeit/Fester Abstand können Sie die Anzahl der in einem Scan aufgenommenen Messpunkte reduzieren, indem Sie sowohl den vom Taster zurückzulegenden Abstand als auch die Zeit, die vergehen muss, bevor PC-DMIS weitere Messpunkte von der Steuereinheit akzeptieren kann, festlegen.

So erstellten Sie einen Feste Zeit / Fester Abstand (Variabler Delta) -Scan

  1. Öffnen Sie das Dialogfeld Variabler Deltascan.

  2. Geben Sie im Feld ID einen benutzerdefinierten Namen für den Scan ein, wenn der Standardname nicht verwendet werden soll.

  3. Geben Sie im Feld Ablese-Intervall die Zeit in Sekunden ein, die verstreicht, bevor PC-DMIS einen Messpunkt aufnimmt.

  4. Geben Sie im Feld Abst. zw. Messpunkten die Distanz, über die sich der Taster bewegt, bevor PC-DMIS einen Messpunkt aufnimmt, ein. Hierbei handelt es sich um den 3D-Abstand zwischen Punkten. Geben Sie beispielsweise die Zahl "5" ein und die Maßeinheiten sind auf Millimeter eingestellt, dann bewegt sich der Taster mindestens 5 mm vom letzten Punkt weg, bevor PC-DMIS einen Messpunkt von der Steuereinheit akzeptiert.

  5. Bestimmen Sie den Anfangsvektor (Anfangsvektor). Dieser Vektor liegt senkrecht zur Fläche, die gescannt werden soll. Sie können den Vektor bestimmen, indem Sie entweder doppelklicken und den Wert eingeben, auf die Fläche im Grafikfenster klicken oder indem Sie einen Messpunkt auf dem eigentlichen Werkstück abtasten.

  6. Geben Sie den Richtungsvektor ein (Richtungsvektor). Hiermit wird die Startrichtung des Scans definiert, die parallel zum Scananfang liegen sollte. Der Richtungsvektor wird zusammen mit dem Anfangsvektor verwendet, um den Scan zu kompensieren.

  7. Wenn Sie ein CAD-Modell verwenden, geben Sie einen Toleranzwert für die Nennwertsuche im Bereich Nennwertsuche ein. Die 'Nennwertsuchen Toleranz' gibt an, wie weit der aktuelle Tastermittelpunkt von den Nennwerten der CAD-Daten entfernt liegen kann.

  8. Bearbeiten Sie je nach Bedarf weitere Optionen.

  9. Klicken Sie auf Erzeugen. PC-DMIS fügt den Basis-Scan ein.

  10. Führen Sie das Werkstückprogramm aus. Wenn PC-DMIS den Scan ausführt, erscheint das Dialogfeld Ausführungsoptionen, und PC-DMIS wartet auf die Daten der Steuereinheit.

  11. Ziehen Sie den Taster manuell auf der Fläche, die gescannt werden soll, hin und her. PC-DMIS prüft den verstrichenen Zeitraum und den Abstand, den der Taster verfährt. Immer dann, wenn Zeit und Abstand die angegebenen Werte überschreiten, wird ein Messpunkt von der Steuereinheit akzeptiert.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".


Manuelle Durchführung eines Festes Zeitdelta-Scans

ZEITDELTA (Dialogfeld)

Mit der Scanmethode Einfügen | Scan | Festes Zeitintervall können Sie die Scan-Daten durch die Festlegung eines Zeitintervalls im Feld Ablese-Intervall reduzieren. PC-DMIS beginnt mit dem ersten Messpunkt und reduziert den Scan, indem es die Punkte löscht, die schneller als in der vorgegebenen Zeit eingelesen werden.

Beispiel: Wenn Sie ein Zeitinkrement von 0,05 Sekunden angeben, behält PC-DMIS nur die von der Steuereinheit eingelesenen Punkte, die in einem Intervall von mindestens 0,05 Sekunden gemessen wurden. Die anderen Punkte werden vom Scan ausgeschlossen.

So erstellten Sie einen Feste Zeit (Zeitdelta) -Scan

  1. Öffnen Sie das Dialogfeld Variabler Deltascan.

  2. Geben Sie im Feld ID einen benutzerdefinierten Namen für den Scan ein, wenn der Standardname nicht verwendet werden soll.

  3. Geben Sie im Feld Ablese-Intervall die Zeit in Sekunden ein, die verstreicht, bevor PC-DMIS einen Messpunkt aufnimmt.

  4. Bestimmen Sie den Anfangsvektor (Anfangsvektor). Dieser Vektor liegt senkrecht zur Fläche, die gescannt werden soll. Sie können den Vektor bestimmen, indem Sie entweder doppelklicken und den Wert eingeben, auf die Fläche im Grafikfenster klicken oder indem Sie einen Messpunkt auf dem eigentlichen Werkstück abtasten.

  5. Geben Sie den Richtungsvektor ein (Richtungsvektor). Hiermit wird die Startrichtung des Scans definiert, die parallel zum Scananfang liegen sollte. Der Richtungsvektor wird zusammen mit dem Anfangsvektor verwendet, um den Scan zu kompensieren.

  6. Wenn Sie ein CAD-Modell verwenden, geben Sie einen Toleranzwert für die Nennwertsuche im Bereich Nennwertsuche ein. Die 'Nennwertsuchen Toleranz' gibt an, wie weit der aktuelle Tastermittelpunkt von den Nennwerten der CAD-Daten entfernt liegen kann.

  7. Bearbeiten Sie je nach Bedarf weitere Optionen.

  8. Klicken Sie auf Erzeugen. PC-DMIS fügt den Basis-Scan ein.

  9. Führen Sie das Werkstückprogramm aus. Wenn PC-DMIS den Scan ausführt, erscheint das Dialogfeld Ausführungsoptionen, und PC-DMIS wartet auf die Daten der Steuereinheit.

  10. Ziehen Sie den Taster manuell auf der Fläche, die gescannt werden soll, hin und her. PC-DMIS akzeptiert einen Messpunkt der Steuereinheit immer dann, wenn der zuvor im Feld "Ablese-Intervall" angegebene Zeitraum überschritten ist.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".


Manuelle Durchführung eines Hauptachsen-Scans

Hauptachse (Dialogfeld)

Mit dieser Scanmethode Einfügen | Scan | Hauptachse können Sie ein Werkstück scannen, indem Sie eine Schnittebene auf einer bestimmten Werkstücksachse angeben und den Taster über die Schnittebene ziehen. Während das Werkstück gescannt wird, sollten Sie den Scan so steuern, dass der Taster so oft wie erwünscht kreuz und quer über die Schnittebene geführt wird. PC-DMIS verfährt dann folgendermaßen:

  1. PC-DMIS erhält Daten von der Steuereinheit und sucht nach den beiden Datenpunkten, die der Schnittebene auf beiden Seiten am nächsten gelegen sind, während der Taster hin- und hergeführt wird.

  2. PC-DMIS bildet dann zwischen den beiden Messpunkten eine Linie, welche die Schnittebene durchstößt.

  3. Der Durchstoßpunkt wird zu einem Messpunkt auf der Schnittebene.

Diese Operation wird jedes Mal durchgeführt, wenn die Schnittebene überquert wird, so dass Sie letzten Endes viele Messpunkte auf der Schnittebene erhalten.

Sie können diese Methode zur Prüfung mehrerer Scan-Reihen (FLÄCHE) einsetzen, indem Sie ein Inkrement für die Lage der Schnittebene eingeben. Wenn die erste Reihe gescannt wurde, setzt PC-DMIS die Schnittebene an die nächste Stelle, indem die aktuelle Position zum Inkrement hinzuaddiert wird. Sie können dann die nächste Reihe in der neuen Lage der Schnittebene scannen.

So erstellen Sie einen Hauptachsen-Scan

  1. Öffnen Sie das Dialogfeld Hauptachse.

  2. Geben Sie im Feld ID einen benutzerdefinierten Namen für den Scan ein, wenn der Standardname nicht verwendet werden soll.

  3. Wählen Sie eine Achse aus der Liste Achse aus. Verfügbare Achsen sind X-, Y- und Z-Achse. Die Schnittebene, über die der Taster kreuzt, liegt parallel zu dieser Achse.

  4. Geben Sie einen Abstand zur definierten Achse, an der die Schnittebene liegt, in das Feld Lage ein.

  5. Geben Sie in das Feld Inkrement den Abstand zwischen den Ebenen ein, wenn Sie vorhaben, über mehrere Ebenen zu scannen.

  6. Bestimmen Sie den (Anfangsvektor). Dieser Vektor liegt senkrecht zur Fläche, die gescannt werden soll. Sie können den Vektor bestimmen, indem Sie entweder doppelklicken und den Wert eingeben, auf die Fläche im Grafikfenster klicken oder indem Sie einen Messpunkt auf dem eigentlichen Werkstück abtasten.

  7. Geben Sie den Richtungsvektor ein (Richtungsvektor). Hiermit wird die Startrichtung des Scans definiert, die parallel zum Scananfang liegen sollte. Der Richtungsvektor wird zusammen mit dem Anfangsvektor verwendet, um den Scan zu kompensieren.

  8. Wenn Sie ein CAD-Modell verwenden, geben Sie einen Toleranzwert für die Nennwertsuche im Bereich Nennwertsuche ein. Die 'Nennwertsuchen Toleranz' gibt an, wie weit der aktuelle Tastermittelpunkt von den Nennwerten der CAD-Daten entfernt liegen kann.

  9. Bearbeiten Sie je nach Bedarf weitere Optionen.

  10. Klicken Sie auf Erzeugen. PC-DMIS fügt den Basis-Scan ein.

  11. Führen Sie das Werkstückprogramm aus. Wenn PC-DMIS den Scan ausführt, erscheint das Dialogfeld Ausführoptionen, und PC-DMIS wartet auf die Daten der Steuereinheit.

  12. Ziehen Sie den Taster manuell auf der Fläche, die gescannt werden soll, hin und her. PC-DMIS akzeptiert Messpunkte von der Steuereinheit jedes Mal dann, wenn der Taster die definierte Ebene kreuzt.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".


Manuelle Durchführung eines Mehrschnitt-Scans

Mehrschnitt-Scan (Dialogfeld)

Die Scanmethode Einfügen | Scan | Mehrschnitt... ist im Prinzip stark mit der manuellen Scan-Methode Hauptachse vergleichbar, abgesehen von den folgenden Unterschieden:

  • Mehrfache Schnitte können durchquert werden.

  • Die Bewegung muss nicht parallel zur X-, Y- oder Z-Achse verlaufen.

So erstellen Sie einen Mehrschnitt-Scan

  1. Öffnen Sie das Dialogfeld Mehrschnitt-Scan.

  2. Geben Sie im Feld ID einen benutzerdefinierten Namen für den Scan ein, wenn der Standardname nicht verwendet werden soll.

  3. Wählen Sie eine Achse aus der Liste Achse aus. Die Ebene, die der Taster durchkreuzt, wird parallel zu dieser Achse liegen.

  4. Wählen Sie aus der Liste Schnittart die Art der Schnitte, die gescannt werden sollen, aus. Zur Auswahl stehen:

    • Parallelebenen - Die Schnitte sind Ebenen, die durch das Werkstück verlaufen. Jedesmal, wenn der Taster eine Ebene überquert, nimmt PC-DMIS einen Punkt auf. Die Ebenen verlaufen relativ zum Anfangspunkt und dem Richtungsvektor.

    • Radiale Ebenen - Diese Schnitte sind Ebenen, die strahlenförmig vom Anfangspunkt verlaufen. Jedesmal, wenn der Taster eine Ebene überquert, nimmt PC-DMIS einen Punkt auf.

    • Konzentrische Kreise - Diese Schnitte sind konzentrische Kreise mit wachsenden, um den Anfangspunkt zentrierten, Durchmessern. Jedesmal, wenn der Taster einen Kreis überquert, nimmt PC-DMIS einen Punkt auf.

  5. Im Feld Anzahl der Schnitte geben Sie die Anzahl der Schnitte im Scan an.

  6. Sollten Sie zwei oder mehr Schnitte wählen, geben Sie das Inkrement zwischen den Schnitten im Feld Inkrement an. Bei parallelen Ebenen und konzentrischen Kreisen entspricht dies dem Abstand zwischen jedem Profilschnitt. Bei radialen Ebenen entspricht dieser Wert dem Winkel zwischen jedem Profilschnitt. PC-DMIS verteilt die Schnitte automatisch auf dem Werkstück.

  7. Geben Sie im Bereich Anfangspunkt die X-, Y- und Z-Werte für den Anfangspunkt des Scans ein. Die Schnitte werden aus diesem temporären Punkt, basierend auf dem Inkrementwert, berechnet.

  8. Geben Sie in das Feld Inkrement den Abstand zwischen den Ebenen ein, wenn Sie vorhaben, über mehrere Ebenen zu scannen.

  9. Bestimmen Sie den Anfangsvektor. Dieser Vektor liegt senkrecht zur Fläche, die gescannt werden soll. Sie können den Vektor bestimmen, indem Sie entweder doppelklicken und den Wert eingeben, auf die Fläche im Grafikfenster klicken oder indem Sie einen Messpunkt auf dem eigentlichen Werkstück abtasten.

  10. Geben Sie den Richtungsvektor ein. Hiermit wird die Startrichtung des Scans definiert, die parallel zum Scananfang liegen sollte. Der Richtungsvektor wird zusammen mit dem Anfangsvektor verwendet, um den Scan zu kompensieren.

  11. Wenn Sie ein CAD-Modell verwenden, geben Sie einen Toleranzwert für die Nennwertsuche im Bereich Nennwertsuche ein. Die 'Nennwertsuchen Toleranz' gibt an, wie weit der aktuelle Tastermittelpunkt von den Nennwerten der CAD-Daten entfernt liegen kann.

  12. Bearbeiten Sie je nach Bedarf weitere Optionen.

  13. Klicken Sie auf Erzeugen. PC-DMIS fügt den Basis-Scan ein.

  14. Führen Sie das Werkstückprogramm aus. Wenn PC-DMIS den Scan ausführt, erscheint das Dialogfeld Ausführungsoptionen, und PC-DMIS wartet auf die Daten der Steuereinheit.

  15. Ziehen Sie den Taster manuell auf der Fläche, die gescannt werden soll, hin und her. PC-DMIS akzeptiert Messpunkte von der Steuereinheit jedes Mal dann, wenn der Taster die definierte(n) Ebene(n) kreuzt.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".


Manuelle Durchführung eines Freiform-Scans

Manuelle Freiform (Dialogfeld)

Manuelle Freiform (Dialogfeld)

Mit dem Einfügen | Scan | Manuelle Freiform-Scan können Sie einen Freiform-Scan mit einem starren Taster erstellen. Dieser Scan erfordert keinen Anfangs- oder Richtungsvektor wie viele andere manuelle Scans. Ähnlich wie beim CNC-Gegenstück müssen Sie lediglich auf Punkte auf der Fläche, die gescannt werden soll, klicken, um einen Freiform-Scan zu erstellen.

So erstellen Sie einen manuellen Freiform-Scan:

  1. Klicken Sie auf die Schaltfläche Erweitert>>, um die Registerkarten unten im Dialogfeld sichtbar zu machen.

  2. Klicken Sie im Grafikfenster auf die Oberfläche des Werkstücks, um den Pfad des Scans zu definieren. Mit jedem Klick erscheint ein orange-farbener Punkt auf der Werkstückzeichnung.

  3. Nachdem genügend Punkte für den Scan vorhanden sind, klicken Sie auf Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.

Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter "Allgemeine Funktionen des Scan-Dialogfelds".


Einfügen von Bewegungsbefehlen

Einfügen von Bewegungsbefehlen: Einführung

Einfügen eines Bewegungspunktbefehls

Einfügen eines Bewegungsinkrementbefehls

XYZ-Bewegung

Bewegung speichern

Bewegung ausführen

Inkrementalbewegung

Lernen während der Ausführung

Schaltfläche "Lesen" für Auto Bewegungspunkte

Einfügen einer Sicherheitsebene

Einfügen eines Sicherheitsebenenbewegungsbefehls

Einfügen eines Kreisbewegungsbefehls

Einfügen eines Bewegungs-Sync-Befehls

Einfügen eines Fünfachsenbewegungsbefehls

Einfügen des Befehls "Bewegen aller Achsen"

Einfügen eines Drehtischbewegungsbefehls

Einfügen eines "Exklusive Zone"-Befehls

Definieren der exklusiven Zone

Schritt 1: Exklusive Zone aktivieren

Schritt 2: Eckpunktwerte eingeben

Schritt 3: Auf OK klicken


Einfügen von Bewegungsbefehlen: Einführung

In diesem Abschnitt werden die verschiedenen Bewegungsbefehle beschrieben, die in ein Werkstückprogramm eingefügt werden können. Mit den Bewegungsbefehlen können Sie die Bewegungen des Tasters zwischen den Messpunkten ändern.

Die Hauptthemen in diesem Abschnitt behandeln die Bewegungsbefehle, die Sie über das Untermenü Einfügen | Bewegung einfügen können, sowie alle anderen Bewegungsbefehle. Dazu gehören:

  • Einfügen eines Bewegungspunktbefehls

  • Einfügen eines Bewegungsinkrementbefehls

  • Einfügen einer Sicherheitsebene

  • Einfügen eines Sicherheitsebenenbewegungsbefehls

  • Einfügen eines Kreisbewegungsbefehls

  • Einfügen eines Bewegungs-Sync-Befehls

  • Einfügen eines Fünfachsenbewegungsbefehls

  • Einfügen des Befehls "Bewegen aller Achsen"

  • Einfügen eines Drehtischbewegungsbefehls

  • Einfügen eines "Exklusive Zone"-Befehls

Diese werden im folgenden näher beschrieben:


Einfügen eines Bewegungspunktbefehls

PC-DMIS lässt das Einfügen eines Bewegungspunkts in die Mitte einer Sicherheitsebenenbewegung oder in die Mitte einer DSE-Wrist-Drehung nicht zu. Wenn sich der Cursor in einer Sicherheitsebenenbewegung oder einer DSE-Änderung befindet, weist PC-DMIS in einer Meldung darauf hin, dass an diesem Punkt keine Bewegung eingefügt werden kann.

Mit dem Befehl Bewegungspunkt können Sie einen Bewegungspunkt in das Werkstückprogramm einfügen. Menü-Übersicht anzeigen

Wählen Sie hierfür die Menüoption Einfügen | Bewegung | Bewegungspunkt. Nach Auswahl dieses Befehls fügt PC-DMIS an der aktuellen Tasterposition einen Bewegungspunkt ein.

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Bewegungspunkt lautet wie folgt:
BEWEGEN/PUNKT,x,y,z

Um die angezeigten Werte im Bearbeitungsfenster zu ändern, wählen Sie den zu ändernden Wert aus und geben Sie einen neuen Wert ein. Sie können auch F9 drücken, um das Dialogfeld Auto Bewegungspunkte zu öffnen.

Wenn Sie in der Version 3.5 und höher einen BEWEGEN/PUNKT-Befehl einfügen, markiert PC-DMIS diesen automatisch zur Ausführung.

Verwenden von Bewegungspunkten während der Animation

Wird diese Menüoption während der Tasterpfadanimation mit dem KMG ausgewählt, fragt PC-DMIS stets zurück, ob die Bewegung vor oder hinter der aktuellen Position eingefügt werden soll. Die aktuelle Position ist aus der Statusleiste zu ersehen.

Einfügen von Bewegungspunkten über die Statusleiste

Auf die Option zum Einfügen eines Bewegungspunkts können Sie auch zugreifen, während das System im Programmodus arbeitet. Setzen Sie den Cursor auf die Statusleiste über der Ergebnisanzeige, und drücken Sie die linke Maustaste.

Einfügen von Bewegungspunkten über das Bedienelement

Wenn Sie die Taste DRUCKEN auf dem Bedienelement (bei Systemen des Typs Sharpe32) drücken, während der Lernmodus aktiv ist, wird automatisch eine Bewegung in das Werkstückprogramm eingefügt. Der Registrierungseintrag PrintButton (Drucktaste) muss auf TRUE (WAHR) eingestellt sein, damit diese Funktion verfügbar ist.

Hinweis: Durch Auswahl der Menüoption Vorgang | Bewegen nach wird das Dialogfeld Auto Bewegungspunkte angezeigt, statt dass automatisch ein Bewegungspunkt in das Werkstückprogramm eingefügt wird. Dadurch können Sie die XYZ-Position angeben, zu der sich der Taster bewegen soll. Menü-Übersicht anzeigen


Einfügen eines Bewegungsinkrementbefehls

Ähnlich wie der Befehl Bewegungspunkt können Sie über die Menüoption Einfügen | Bewegung | Inkrementalbewegung einen BEWEGEN/INKREMENT-Befehl im Bearbeitungsfenster einfügen. Jedesmal, wenn PC-DMIS auf diesen Bewegungsinkrementbefehl trifft, wird der Taster um das X-,Y-, und Z-Inkrement von der aktuellen Position wegbewegt.

Über die Menüoption Inkrementalbewegung wird zuerst das Dialogfeld Auto Bewegungspunkte geöffnet. Darin können Sie den Bewegungsinkrementbefehl definieren, bevor Sie ihn in das Werkstückprogramm einfügen.mct

Auto Bewegungspunkte (Dialogfeld)

In diesem Dialogfeld können Sie auch die Nennposition für den Bewegungspunkt- oder den Bewegungsinkrementbefehl eingeben.

Siehe auch:

XYZ-Bewegung

Bewegung speichern

Bewegung ausführen

Inkrementalbewegung

Lernen während der Ausführung

Schaltfläche "Pos. lesen" für Auto Bewegungspunkt


XYZ-Bewegung

Diese XYZ-Bewegungsfelder zeigen die Nennwerte X, Y und Z für die Position des Bewegungspunkts an.

So ändern Sie die Werte X, Y oder Z:

  1. Wählen Sie das zu ändernde Feld.

  2. Geben Sie einen neuen Wert ein.

Nach Eingabe eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Dadurch wird die Position der gespeicherten Bewegung ausgewiesen. Wenn Sie dann auf die Schaltfläche OK klicken, setzt PC-DMIS das KMG auf die angegebene Position.


Bewegung speichern

Wenn das Kontrollkästchen Bewegung speichern markiert ist, wird ein Bewegungspunkt für die angegebenen Werte X, Y, Z in das Programm eingefügt.


Bewegung ausführen

Wenn das Kontrollkästchen Bewegung ausführen markiert ist, rückt PC-DMIS den Taster an die X, Y, Z-Position. Damit können Sie das KMG positionieren, ohne die Bewegung zu speichern. Diese Option setzt die aktuelle Tasterposition in die Werte X, Y, Z ein.


Inkrementalbewegung

Wenn das Kontrollkästchen Inkrementalbewegung markiert ist, fügt PC-DMIS eine Inkrementalbewegung ein. Der Taster wird dabei um die angegebenen XYZ-Entfernungen weitergerückt und nicht an die XYZ-Position gesetzt (was bei XYZ-Bewegung der Fall ist).

Das Kontrollkästchen Bewegung speichern muss ebenfalls markiert sein.

Die im Bearbeitungsfenster für eine Inkrementalbewegung angezeigte Befehlzeile lautet:
BEWEGEN/ INKREMENT, x, y, z


Lernen während der Ausführung

Wenn das Kontrollkästchen Lernen während der Ausführung markiert ist, bewegt sich PC-DMIS auf die im Dialogfeld angezeigte XYZ-Punktposition und erlernt diese neu, während das Werkstückprogramm ausgeführt wird. Das Kontrollkästchen Bewegung speichern muss ebenfalls markiert sein, damit dieser Befehl funktioniert.

Die im Bearbeitungsfenster angezeigte Befehlszeile für einen Bewegungspunkt, den PC-DMIS während der Programmausführung neu erlernen soll, lautet:
BEWEGEN/ PUNKT, LERNEN


Schaltfläche "Lesen" für Auto Bewegungspunkte

Klicken Sie auf die Schaltfläche Lesen, um die aktuelle Position des Tasters anzuzeigen und die Werte X, Y und Z im Dialogfeld Auto Bewegungspunkte einzufügen. Diese können dann im Bearbeitungsfenster eingefügt werden, indem Sie das Kontrollkästchen Bewegung speichern markieren und auf OK klicken.


Einfügen einer Sicherheitsebene

Mit dem Befehl SICHERHEITSEBENE (Einfügen | Parameteränderung | Sicherheitsebene) können Sie einen Sicherheitsebenenwert für die aktuelle Arbeitsebene definieren. Durch Sicherheitsebenen wird eine Art "Schutzhülle" um das Werkstück gebildet, in der sich der Taster immer bewegt, wenn er von einem Element zum anderen vorrückt.

Auf der Registerkarte Sich.-Ebene im Dialogfeld Parameter können Sie die Sicherheitsebenen global aktivieren. (Informationen hierzu finden Sie unter "Parametereinstellungen: Registerkarte "Sicherheitsebene"" im Abschnitt "Voreinstellungen".) Der Befehl SICHERHEITSEBENE definiert nur die Sicherheitsebene für den ersten Messpunkt eines Elements. Um weitere Sicherheitsebenen für ein Element einzurichten, öffnen Sie an der gewünschten Position eine neue Zeile und geben den folgenden Befehl ein: SICHERHEITSEBENE.


Einfügen eines Sicherheitsebenenbewegungsbefehls

Mit dem Befehl Einfügen | Bewegung | Auf Sicherheitsebene können Sie den Befehl BEWEGEN/SICHERHEITSEBENE zwischen einzelne Blocks und innerhalb von Elementen einfügen.

Dieser Befehl wird in Verbindung mit dem Befehl SICHERHEITSEBENE/ eingesetzt. Jedesmal, wenn dieser Befehl während der Ausführung auftritt, wird der Taster durch den Befehl in die Sicherheitsebene bewegt, die durch den Befehl SICHERHEITSEBENE/ festgelegt wurde. Der Taster verbleibt in der Sicherheitsebene, bis ein Befehl ausgeführt wird, der den Taster von der Sicherheitsebene wegführt – wie beispielsweise MESS, MESSPKT oder BEWEGEN/PUNKT. Wenn Sie möchten, dass sich der Taster vor jedem Messpunkt eines gemessenen Kreises in die Sicherheitsebene bewegt, dann muss unmittelbar vor jedem MESSPKT/-Befehl ein BEWEGEN/SICHERHEITSEBENE-Befehl eingefügt werden.

PC-DMIS sucht nach der Definition der Sicherheitsebene. Dieser Befehl funktioniert nur, wenn die Parameter bereits eingestellt wurden.

So stellen Sie die Parameter für einen Sicherheitsebenen-Befehl ein:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen durch Auswahl von Bearbeiten | Einstellungen | Parameter. Menü-Übersicht anzeigen

  2. Klicken Sie auf die Registerkarte Sicherheitsebene.

  3. Geben Sie die Entfernung für das Feld Wert im Bereich Aktive Ebene ein.

  4. Geben Sie die Entfernung für die Sicherheitsebene in das Feld Wert im Bereich Durchgangsebene ein.

  5. Markieren Sie das Kontrollkästchen Sicherheitsebenen aktiv.

  6. Klicken Sie auf OK.

Wenn die Parameter nicht eingestellt wurden, zeigt PC-DMIS eine Fehlermeldung an.

Die im Bearbeitungsfenster für eine Beispiel-Sicherheitsebenenbewegung angezeigte Befehlszeile lautet:
BEWEGEN/SICHERHEITSEBENE


Einfügen eine Kreisbewegungsbefehls

Einfügen eines Kreisbewegungsbefehls

Die Option Einfügen | Bewegung | Kreisbewegung ermöglicht das Einfügen eines BEWEGEN/KREISFÖRMIG-Befehls an der Cursorposition im Bearbeitungsfenster.

Wenn PC-DMIS auf diesen Befehl trifft, folgt der Taster einer Kreisbewegung, um den nächsten Messpunkt aufzunehmen. Die Bewegung erfolgt von einem Punkt zum nächsten auf einer kreisförmigen Linie, basierend auf dem Radius des gemessenen Elements.

Durch die Kreisbewegung wird vermieden, dass der Taster möglicherweise auf Hindernisse trifft, welche die geradlinige Bahn sonst blockieren würden. Bei einer Messung für ein Loch mit innenliegendem rechteckigen Stift kann es beispielsweise sein, dass die Tasterbahn durch diesen Stift blockiert werden könnte, wenn nicht die Kreisbewegung verwendet wird.

Dieser Befehl ist eigentlich für ganz spezielle Einsatzzwecke gedacht, kann aber bei der Messung von Stiften zu gewissen Zeitersparnissen führen, da der Taster näher am letzten Messpunkt geführt wird.


Einfügen eines Bewegungs-Sync-Befehls

Werkstückprogramme für den Mehrarm-Betrieb enthalten Befehle zur Steuerung mehrerer Messarme. Jedes Messgerät führt diese Befehle separat aus, wobei beide Arme in Bewegung bleiben.

Die Menüoption Einfügen | Bewegung | Bewegungs-Sync ermöglicht das Einfügen eines BEWEGEN/SYNC-Befehls in das Bearbeitungsfenster.

Dieser Befehl ermöglicht die Synchronisierung der Messarme bei Doppelarm-Messgeräten. Derjenige Arm, der zuerst auf den Befehl BEWEGEN/SYNC im Werkstückprogramm trifft, hält an und wartet, bis der andere Arm ebenfalls angekommen ist, bevor beide mit dem Rest des Werkstückprogramms fortfahren.


Einfügen eines Fünfachsenbewegungsbefehls

Mit der Menüoption Einfügen | Bewegung | Fünfachsenbewegung wird folgendes in das Bearbeitungsfenster eingefügt:

DURCHLAUFSTART/

DURCHLAUFENDE/

Die zwischen "Durchlaufstart" und "Durchlaufende" eingefügten BEWEGEN/DURCHLAUF-Befehle bewirken, dass sich der Taster in allen fünf Achsen gleichzeitig bewegt. Drei dieser Achsen sind die X-, Y- und Z-Achsen, die zur Bewegung des Messgeräts selbst verwendet werden. Die beiden anderen Achsen beziehen sich auf die AB-Winkelbewegung des Tasters, wenn ein Sharpe32Z-Steuerelement mit einem PHS-Dreh-/Schwenkkopf verwendet wird.

Hinweis: Dieser Befehl funktioniert nur mit kontinuierlichen Dreh-/Schwenkköpfen (CW43, CW43Light, or PHS) und nur mit einem Lasersensor des Typs Renishaw SP600 oder Wolf & Beck OTM3 (möglicherweise auch mit Tastsystemen wie beispielsweise von Perceptron oder Metris). Da Lasersensoren des Typs SP600 in der Regel jedoch nicht mit stufenlos verstellbaren Dreh-/Schwenkvorrichtungen verkauft werden, ist diese Funktion stark auf die Lasersensoren des Typs OTM3 beschränkt.

Die Bewegung findet auf allen fünf Achsen gleichzeitig statt. Im Gegensatz dazu muss sich beim DSE-Wrist das Gerät zuerst entlang der X, Y und Z-Achsen bewegen. Dann, wenn das Messgerät anhält, bewegt sich die Tasterausrichtung (AB-Winkel).

Beispiel: Angenommen, die aktuelle KMG-Position ist 10, 10, 10 (in den X-, Y-, und Z-Achsen), und die Wrist-Ausrichtung (AB-Position) 0, 0. IWenn Sie die Position des KMGs auf 20, 20, 20 und die Ausrichtung des Tasters auf 0, 180 verändern möchten, können Sie beide Bewegungen gleichzeitig mit einem PHS-Wrist ausführen, wenn Sie Fünfachsenbewegungsbefehle einsetzen. Bei einem DSE-Wrist wird dagegen zuerst die KMG-Bewegung und anschließend die Wrist-Ausrichtung durchgeführt.

Vergleich:

  • Ein DSE-Wrist kann auf der A-Achse Bewegungen zwischen 0º und 110º und auf der B-Achse Bewegungen zwischen +180º und -180º durchführen.

  • Ein PHS-Wrist kann auf A und B-Achse Bewegungen zwischen –180º und +180º in Inkrementen von 0,1 Grad durchführen.

Die Befehle zur Fünfachsenbewegung bieten folgende Vorteile:

  • Flüssigere Bewegung, mit der schwer zugängliche Elemente gemessen werden können.

  • Zeitersparnis: Sie brauchen nicht mehr zu warten, bis KMG-Pinole und -Arm sich an die X-, Y- und Z-Position bewegt haben, bevor die Ausrichtung des Tasters geändert wird.

  • Geringere Vibrationen verbessern etwas die Genauigkeit.

Hinweis: In PC-DMIS müssen mindestens drei BEWEGEN/DURCHLAUF-Befehle zwischen den Befehlsblock DURCHLAUFSTART/ und DURCHLAUFENDE/ eingefügt werden.. Diese Bewegungsbefehle sind für die Erzeugung elliptischer Bewegungsbahnen unbedingt erforderlich.


Einfügen des Befehls "Bewegen aller Achsen"

Der Befehl BEWEGEN/ALLEACHSEN funktioniert mit jedem – kontinuierlichen oder
verstellbaren - motorisierten Tasterkopf und jeder Tasterkombination.

Die Menüoption Einfügen | Bewegung | Bewegen aller Achsen ermöglicht das Einfügen eines BEWEGEN/ALLEACHSEN-Befehls in das Bearbeitungsfenster.

Ein BEWEGEN/ALLEACHSEN-Befehl ist dasselbe wie ein BEWEGEN/PUNKT (Bewegungspunkt)-Befehl in Verbindung mit einem TASTSPITZE/-Befehl. Der Vorteil dieses Befehls ist, dass sich der Tastkopf zusammen mit der Messgerätbewegung dreht.

Wird ein Dreh-/Schwenkkopf (PHS, CW43L oder CW43) eingesetzt, wird diese Bewegung so synchronisiert, dass die AB-Wrist-Bewegung gleichzeitig mit dem Start und der Beendigung der XYZ-Bewegung des Messgeräts beginnt und endet.

Wird dieser Befehl in Verbindung mit einem indexierbaren Wrist, wie beispielsweise dem PH10M, verwendet, ist diese Bewegung nicht synchronisierbar und erfolgt zu einem unbestimmten Zeitpunkt während der Messgerätbewegung (abhängig von den zeitlichen Verzögerungen bei der Signalverarbeitung durch die Elektronik-Hardware). Deshalb ist die AB-Wrist-Bewegung möglicherweise nicht immer gleichzeitig mit der Ausführung der X-,Y- und Z-Bewegung durch das Messgerät abgeschlossen.

Im Bearbeitungsfenster sieht der BEWEGEN/ALLEACHSEN-Befehl folgendermaßen aus:

BEWEGEN/ALLEACHSEN, X,Y,Z,TASTSPITZE=T1A0B0, SCHAFTIJK=0, 0, 1, WINKEL=0

  • Mit X,Y,Z werden die X-, Y- und Z-Koordinaten festgelegt, auf die sich der Taster bewegen soll.

  • TASTSPITZE=T1A0B0 gibt die auszuführende AB-Wrist-Bewegung an.

  • SCHAFTIJK = IJK dient zur Vorgabe des Schaftvektors.

  • WINKEL=0 gibt den theoretischen Winkel an.

Beachten Sie bitte, dass es sich bei dem Tastkopfwinkel in der Regel um eine vordefinierte Tastspitzenposition handeln wird.


Einfügen eines Drehtischbewegungsbefehls

Über die Menüoption Einfügen | Bewegung | Drehtischbewegung können Sie an der aktuellen Cursor-Position einen BEWEGEN/DREHTISCH-Befehl einfügen. Die vollständige Befehlszeile im Bearbeitungsfenster sieht folgendermaßen aus:

Befehlszeile im Bearbeitungsfenster:
BEWEGEN/DREHTISCH,Winkel,RICHTUNG

Richtung = bestimmt die Richtung der Tischdrehung. Zur Auswahl stehen folgende Optionen:

Nach rechts: | Dreht den Tisch nach rechts, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Nach links: | Dreht den Tisch nach links, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Kürzest(e Drehung): | Damit wird der Tisch nach rechts oder links gedreht (je nachdem, welche Entfernung kürzer ist), bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.

Wenn dieser Befehl auftritt, dreht PC-DMIS den Tisch in die Position, die durch den derzeit aktiven BEWEGEN/DREHTISCH-Befehl festgelegt wurde.

Beispiel: Angenommen, ein Werkstückprogramm enthält mehrere verschiedene BEWEGEN/DREHTISCH-Befehle. Wenn Sie nun auf einen bestimmten Programmabschnitt klicken und die Menüoption Drehtischbewegung wählen, dreht PC-DMIS den Tisch an die Position, die durch den an diesem Punkt im Werkstückprogramm aktiven BEWEGEN/DREHTISCH-Befehl festgelegt wird.

Diese Menüoption ist nur verfügbar, wenn Ihre Anschlusssperre für Drehtische konfiguriert ist.


Einfügen eines "Exklusive Zone"-Befehls

Mit der Menüoption Einfügen | Bewegung | Exklusive Zone können Sie eine exklusive Zone einfügen, so dass Kollisionen zwischen den beiden Armen eines Doppelarmsystems verhindert werden.

Durch Auswahl dieser Option wird das Dialogfeld Definition der Exklusiven Zone verfügbar.

Definition der Exklusiven Zone (Dialogfeld)

Über dieses Dialogfeld können Sie den Befehl BEWEGEN/EXKLUSIVE_ZONE in das Bearbeitungsfenster einfügen.

Der Befel BEWEGEN/EXKLUSIVE_ZONE gilt entweder für den Master- oder den Slave-Arm.

Vor Ausführung dieses Befehls stellt PC-DMIS sicher, dass der dem Befehl zugewiesene Arm nicht bereits eine exklusive Bewegungszone angefordert hat, die sich mit der neuen Anforderung überschneidet.

Sollte ein Bewegungskonflikt vorliegen, bewirkt der Befehl BEWEGEN/EXKLUSIVE_ZONE folgendes:

  • Es wird gewartet, bis der dem Befehl zugewiesene Arm das angeforderte Volumen freigegeben hat.

  • Es wird mit der Ausführung der nach dem Befehl BEWEGEN/EXKLUSIVE_ZONE aufgeführten Befehle fortgefahren.

Siehe auch:

Definieren der exklusiven Zone


Definieren der exklusiven Zone

Bei der Definition einer exklusiven Zone sind einige Dinge zu berücksichtigen:

  • Im Werkstückprogramm muss vor jedem Abschnitt mit Bewegungsbefehlen, die einen der beiden Arme in den überlappenden Bereich des Doppelarmvolumens schicken, der Befehl BEWEGEN/EXKLUSIVE_ZONE stehen. Der Befehl BEWEGEN/EXKLUSIVE_ZONE sollte ein 3D-Feld um alle Bewegungen herum definieren, die diesem Befehl in dem sich überlappenden Bereich des Doppelarm-KMGs unterstehen.

  • Nachdem der Taster aus dem sich überlappenden Bereich des Doppelarm-KMGs zurückgezogen wurde, muss der Befehl BEWEGEN/EXKLUSIVE_ZONE=AUS gegeben werden.

Wenn Sie beispielsweise möchten, dass jeder Arm eine Kugel im gemeinsamen Bereich mit Auto-Kugelbefehlen überprüft, sollten Sie das Werkstückprogramm folgendermaßen einrichten:

BEWEGEN/EXKLUSIVE_ZONE=EIN (für Arm 1)
AUTO/KUGEL(für Arm 1)
BEWEGEN/EXKLUSIVE_ZONE=AUS (für Arm 1)
BEWEGEN/EXKLUSIVE_ZONE=EIN (für Arm 2)
AUTO/KUGEL (für Arm 2)
BEWEGEN/EXKLUSIVE_ZONE=AUS (für Arm 2)

Zum Definieren der exklusiven Zone gehen Sie vor wie folgt:

Siehe auch:

Schritt 1: Exklusive Zone aktivieren

Schritt 2: Eckpunktwerte eingeben

Schritt 3: Auf OK klicken


Schritt 1: Exklusive Zone aktivieren

Markieren Sie das Kontrollkästchen Exklusive Zone aktivieren. Jetzt können Sie die Werte X, Y und Z unter Eckpunkt 1 und Eckpunkt 2 bearbeiten.

Sie können auch im Bearbeitungsfenster auf einen bereits eingefügten BEWEGEN/EXKLUSIVE_ZONE-Befehl klicken und dann die F9-Taste drücken. Das Dialogfeld Definition der Exklusiven Zone wird geöffnet, und Sie können das Kontrollkästchen markieren oder die Markierung rückgängig machen.

  • Wenn dieses Kontrollkästchen markiert ist, und Sie auf die Schaltfläche OK klicken, zeigt PC-DMIS im Bearbeitungsfenster folgenden Befehl an:
    BEWEGEN/EXKLUSIVE_ZONE=EIN, ECKE1=x,y,z,ECKE2=x,y,z

  • Wenn dieses Kontrollkästchen nicht markiert ist, und Sie auf die Schaltfläche OK klicken, zeigt PC-DMIS im Bearbeitungsfenster folgenden Befehl an:
    BEWEGEN/EXKLUSIVE_ZONE=AUS


Schritt 2: Eckpunktwerte eingeben

Geben Sie die X-, Y- und Z-Werte für die Ecke 1 und Ecke 2 ein. Sie können den aktuellen Wert des Tasters in den gewählten Eckpunkt einlesen, wenn Sie auf die Schaltfläche Position lesen klicken.

Die exklusive Zone wird durch Definition von zwei Ecken festgelegt. Achten Sie darauf, Eckpunkte zu wählen, durch die die Zone korrekt festgelegt wird. Die beiden Punkte (Ecke 1 und Ecke 2) stellen diagonal zueinander liegende Ecken dar.

Eine rechtwinklige Zone kann in einem dreidimensionalen Raum aus zwei Punkten erstellt werden, wenn Sie das aktuelle Koordinatensystem zur Erstellung der Seiten benutzen. Die für einen rechtwinkligen Bereich benötigten acht Punkte können aus den verschiedenen Teilen der beiden angegebenen Eckpunkte abgeleitet werden.

Beispiel:

Erste Ecke = X1, Y1, Z1 ?
Zweite Ecke = X2, Y2, Z2 ?
Dritte Ecke = X1, Y1, Z2 ?
Vierte Ecke = X1, Y2, Z1 ?
Fünfte Ecke = X1, Y2, Z2 ?
Sechste Ecke = X2, Y1, Z1 ?
Siebte Ecke = X2, Y1, Z2 ?
Achte Ecke = X2, Y2, Z1


Step 3 Click OK

Finish defining the Exclusion Zone by clicking the OK button. PC-DMIS then places the defined information into the Edit window which reads:
MOVE/EXCLUSIVE_ZONE=TOG1,CORNER1=X,Y,Z,CORNER2=X,Y,Z

TOG1 | This defines whether the exclusion zone is in effect or not. This toggle field switches between ON and OFF.
X,Y,Z | These coordinates define the corner points used to form the exclusion zone.

Clicking the Cancel button closes the dialog box without making any changes to your part program .


Verzweigen mit Hilfe der Ablaufsteuerung

Verzweigen mit Hilfe der Ablaufsteuerung: Einführung

Verwenden von Steuerpaaren

If / End If

Codebeispiel für If / End If

Else If / End Else If

Codebeispiel für Else If / End Else If

Else / End Else

Codebeispiel für Else / End Else

While / End While

Codebeispiel für While / End While

Do / Until

Codebeispiel für Do / Until

Select / End Select

Codebeispiel für Select / End Select

Case / End Case

Default Case / End Default Case

Erstellen allgemeiner Schleifen

Verwendungszwecke für Schleifen

So führen Sie einen Schleifendurchlauf aus

Endnummer

Startnummer

Nummer überspringen

Achsen- und Winkelversatz

Versätze und Ausrichtungen in Schleifen ausführen

Schleifen-IDs

Element-IDs in Statistik-Datenbanken

Variablen-ID

Schleife beenden

Beenden allgemeiner Schleifen

Erstellen von Sprungmarken

Springen zu einer Sprungmarke

Gehe zu Sprungmarke

Aktuelle Sprungmarken

Springen zu einer Sprungmarke auf Basis bestimmter Bedingungen

Ausdruck

Beschriftung

Verzweigung bei einem KMG-Fehler

Fehlertyp

Aus

Gehe zu Sprungmarke

Variable festlegen

Unterstützte Schnittstellen

Verzweigung bei Unterprogrammen

Übergeben von numerischen Zeichen an ein Unterprogramm

Übergeben von Variablen an ein Unterprogramm

Übergeben von Zeichenfolgen an ein Unterprogramm

Übergeben von Elementnamen an ein Unterprogramm

Erstellen eines neuen Unterprogramms

Dialogfeld "Unterprogramm erstellen"

Unterprogramm-Name

Listenfeld "Anz. Argumente"

Arg. hinzufügen

Löschen eines Arguments aus einem Unterprogramm

Feld "Werte"

Arg. löschen

Bearbeiten eines vorhandenen Unterprogramms

Dialogfeld "Argument bearbeiten"

Argumentname

Argumentwert

Argumentbeschreibung

Beenden eines Unterprogramms

Aufrufen eines Unterprogramms

So fügen Sie ein neues Argument mit Hilfe des Dialogfelds "Unterprogramm aufrufen" hinzu:

So bearbeiten Sie vorhandene Argumente mit Hilfe des Dialogfelds "Unterprogramm aufrufen":

So löschen Sie Argumente aus einem AUFR_UNTERPROG-Befehl:

Verwenden von AUFR_UNTERPROG-Anweisungen im Mehrarm-Betrieb

Dialogfeld "Unterprogramm aufrufen"

Feld "Name" im Dialogfeld "Unterprogramm aufrufen"

Feld "Datei" im Dialogfeld "Unterprogramm aufrufen"

Unterprogramm auswählen

Codebeispiel für ein Unterprogramm

Beenden eines Werkstückprogramms


Verzweigen mit Hilfe der Ablaufsteuerung: Einführung

Angenommen, Sie haben ein Werkstück mit vielen Elementen, möchten jedoch nur einige der Elemente wiederholt messen, um umfangreiche statistische Daten für diese Elemente zu sammeln. Außerdem möchten Sie abhängig von Benutzereingaben zu einem bestimmten Werkstück im Werkstückprogramm springen. Diese und viele ähnliche Aufgaben können Sie mit Hilfe der Ablaufregelungsbefehle ausführen. Durch das Festlegen von Bedingungen für bestimmte Befehle können Sie den Ablauf des Werkstückprogramms steuern.

In diesem Abschnitt erhalten Sie die erforderlichen Informationen für die Ausführung solcher Aufgaben. Es werden syntaxbedingte Anweisungen, Schleifen und Unterprogramme erklärt. Außerdem enthält dieser Abschnitt viele Codebeispiele.

Hinweis: Schleifendruchläufe oder Verzweigungen wurden in den Codebeispielen eingerückt, damit ersichtlich ist, welche Anweisungen mit einer bestimmten Bedingung verknüpft sind. In der tatsächlichen Ansicht des Bearbeitungsfensters ist der Code nicht eingerückt.

Hauptthemen in diesem Abschnitt:

  • Verwenden von Steuerpaaren

  • Erstellen allgemeiner Schleifen

  • Beenden allgemeiner Schleifen

  • Erstellen von Sprungmarken

  • Springen zu einer Sprungmarke

  • Springen zu einer Sprungmarke auf Basis bestimmter Bedingungen

  • Verzweigung bei einem KMG-Fehler

  • Verzweigung bei Unterprogrammen

  • Beenden eines Werkstückprogramms


Verwenden von Steuerpaaren

Das Untermenü Einfügen | Programmablaufsteuerung | Steuerpaare enthält verschiedene Befehlspaare, die im Bearbeitungsfenster zur Regelung bzw. "Steuerung" des ordnungsgemäßen Werkstückprogrammablaufs dienen. Um im Bearbeitungsfenster einen Steuerpaarbefehl einzufügen, geben Sie einfach den Befehl ein oder wählen Sie einen Befehl in diesem Untermenü aus.

Achtung: Wird eine bedingte Verzweigungsanweisung zur Wertigkeitsprüfung eines JA/NEIN-Kommentars verwendet, beachten Sie bitte, dass bei dieser Prüfung ein "JA"- oder "NEIN"-Wert in Großbuchstaben gesucht werden sollte. Ein "Ja" oder "Nein" in Kleinbuchstaben wird nicht funktionieren. Weitere Informationen hierzu finden Sie unter "Einfügen von Programmierkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".

Siehe auch:

If / End If

Else If / End Else If

Else / End Else

While / End While

Do / Until

Select / End Select

Case / End Case

Default Case / End Default Case


If / End If

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | If / End If können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen IF und END IF stehenden Elemente werden nur dann ausgeführt, wenn der Ausdruck für den Befehl IF als wahr (nicht Null) ausgewertet wird. Andernfalls springt der Ausführungsablauf zum ersten Befehl nach dem END/IF-Befehl.

Die im Bearbeitungsfenster für eine IF / END IF-Anweisung angezeigte Befehlszeile lautet:
IF/Ausdruck
END_IF

So fügen Sie die Befehle If / End If ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.

  2. Wählen Sie If / End If in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung IF / END IF.

Siehe auch:

Codebeispiel für If / End If


Codebeispiel für If / End If

Sehen Sie sich das folgende Beispiel an. Darin wird der Benutzer gefragt, ob er ein Punktelement messen möchte.

C1= KOMMENTAR/JANEIN,Möchten Sie das Punktelement PKT1 messen?

IF/C1.EINGABE=="JA"

PKT1=ELEM/PUNKT,KART

…

…

ENDEMESS/

END_IF/

Erläuterung des Beispielcodes

C1=KOMMENTAR/YESNO
Diese Zeile nimmt und speichert die Eingabe JA oder NEIN des Benutzers.

IF/C1.EINGABE=="JA"
? Diese Zeile ist der Ausdruck. Er testet, ob die Eingabe von Kommentar 1 ein JA ist. Lautet die Eingabe JA, dann ist die IF-Anweisung WAHR, und es werden die auf die IF-Anweisung folgenden Anweisungen ausgeführt. In diesem Fall wird das Element PKT1 gemessen. Lautet die Eingabe NEIN, springt das Programm zur END_IF-Anweisung.

END_IF
Diese Zeile beendet die Ausführung von Befehlen innerhalb des IF / END IF-Codeblocks. Wenn der Benutzer auf den Kommentar mit Nein antwortet, springt PC-DMIS zum nächsten Befehl.


Else If / End Else If

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | Else If / End Else If können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen ELSE IF und END ELSE IF stehenden Elemente werden nur dann ausgeführt, wenn der Ausdruck für den Befehl ELSE IF als wahr (nicht Null) ausgewertet wird. Der Block ELSE IF / END ELSE IF muss direkt nach einem IF / END IF-Block oder einem anderen ELSE IF / END ELSE IF-Block eingefügt werden. Wenn alle IF / ELSE IF-Ausdrücke oberhalb des aktuellen Blocks als falsch ausgewertet werden, dann wird der Ausdruck ausgewertet. Wird der Ausdruck als falsch (Null) ausgewertet, springt die Ausführung zum nächsten Befehl nach dem END ELSE IF-Befehl. Wenn einer der IF /ELSE IF-Ausdrücke oberhalb des aktuellen Blocks als wahr ausgewertet wird, werden alle nachfolgenden Else If / End Else If-Blöcke dieser Folge übersprungen.

Die im Bearbeitungsfenster für eine ELSE IF / END ELSE IF-Anweisung angezeigte Befehlszeile lautet:
ELSE_IF/Ausdruck
END_ELSEIF/

So fügen Sie die Befehle Else If / End Else If ein:

  1. Platzieren Sie den Cursor an der gewünschten Stelle im Bearbeitungsfenster nach einer vorhandenen IF/END IF-Anweisung oder einer ELSE IF/END ELSE IF-Anweisung.

  2. Wählen Sie Else If / End Else If in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung ELSE_IF / End_ELSEIF.

Hinweis: Diese Art von Block ist nur gültig, wenn sie nach einem IF / END IF- oder ELSE IF / END ELSE IF-Block positioniert wird. Falsch positionierte Steuerpaare werden im Bearbeitungsfenster rot angezeigt.

Siehe auch:

Codebeispiel für Else If / End Else If


Codebeispiel für Else If / End Else If

Sehen Sie sich das folgende Beispiel an. Darin wird der Benutzer durch eine Meldung informiert, wenn einer der X-, Y-, oder Z-Werte des Messpunkts außerhalb der definierten Toleranzbereiche liegt:

PKT2=ELEM/PUNKT,KART

…

…

ENDEMESS/

IF/PKT2.X<6,9 ODER PKT2.X>7,1

KOMMENTAR/BEDIENER,"Der gemessene X-Wert von PKT2: " + PKT2.X + " liegt außerhalb des Toleranzbereichs."

END_IF/

ELSE_IF/PKT2.Y<3,3 ODER PKT2.Y>3,5

KOMMENTAR/BEDIENER,"Der gemessene Y-Wert von PKT2: " + PKT2.Y + " liegt außerhalb des Toleranzbereichs."

END_ELSEIF/

ELSE_IF/PKT2.Z<0,9 ODER PKT2.Z>1,1

KOMMENTAR/BEDIENER,"Der gemessene Z-Wert von PKT2: " + PKT2.Z + " liegt außerhalb des Toleranzbereichs."

END_ELSEIF/

Erläuterung des Beispielcodes

Dieser Code testet zuerst den X-Wert des Punkts. Wenn die Bedingung nicht erfüllt (falsch) ist, testet der Code den Y-Wert. Wenn die Bedingung für den Y-Wert nicht erfüllt (falsch) ist, wird der Z-Wert getestet.

Wenn eine der Bedingungen erfüllt (wahr) ist, zeigt PC-DMIS den entsprechenden Kommentar an und überspringt die restlichen bedingten Anweisungen.

IF/PKT2.X<6,9 ODER PKT2.X>7,1
Diese Zeile ist der Ausdruck. Er testet, ob der gemessene X-Wert kleiner als 6,9 oder größer als 7,1 ist. Wenn der Wert außerhalb dieses Bereichs liegt, wird der erste Kommentar ausgeführt.

END_IF
Diese Zeile beendet die Ausführung von Befehlen innerhalb des IF / END IF-Codeblocks. Wenn die IF THEN-Bedingung nicht erfüllt (falsch) ist, springt PC-DMIS zum nächsten Befehl.

ELSE_IF/PKT2.Y<3,3 oder PKT 2.Y>3,5
Diese Zeile ist der Ausdruck für den ersten ELSE_IF-Befehl. Er wird nur ausgeführt, wenn der vorherige IF / END IF-Block als falsch ausgewertet wurde. Er testet, ob der gemessene Y-Wert kleiner als 3,3 oder größer als 3,5 ist. Wenn der Wert außerhalb dieses Bereichs liegt, wird der zweite Kommentar ausgeführt.

END_ELSEIF/
Diese Zeile beendet die Ausführung von Befehlen innerhalb des ersten ELSE IF / END ELSE IF-Codeblocks.

ELSE_IF/PKT2.Z<0,9 ODER PKT2.Z>1,1
Diese Zeile ist der Ausdruck für den zweiten ELSE IF-Befehl. Er wird nur ausgeführt, wenn der vorherige ELSE IF / END ELSE IF-Block als falsch ausgewertet wurde. Er testet, ob der gemessene Z-Wert kleiner als 0,9 oder größer als 1,1 ist. Wenn der Wert außerhalb dieses Bereichs liegt, wird der dritte Kommentar ausgeführt.

END_ELSEIF/
Diese Zeile beendet die Ausführung von Befehlen innerhalb des ersten ELSE IF / END ELSE IF-Codeblocks.


Else / End Else

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | Else / End Else können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen ELSE und END ELSE stehenden Elemente werden nur ausgeführt, wenn alle anderen If / End If- und Else If / End Else If-Blöcke oberhalb des Else-Blockes fehlgeschlagen sind (alle mit Null ausgewertet wurden). Die Blöcke ELSE / END ELSE sind nur dann gültig, wenn sie sich am Ende eines Satzes von IF / END IF- oder ELSE IF / END ELSE IF-Blöcken befinden.

Die im Bearbeitungsfenster für eine ELSE / END ELSE-Anweisung angezeigte Befehlszeile lautet:
ELSE/
END_ELSE/

So fügen Sie die Befehle Else / End Else ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster. Beachten Sie, dass ELSE / END ELSE-Blöcke nach einem IF / END IF- oder ELSE IF / END ELSE IF-Block positioniert werden müssen.

  2. Wählen Sie Else / End Else in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung ELSE / END_ELSE.

Siehe auch:

Codebeispiel für Else / End Else


Codebeispiel für Else / End Else

Sehen Sie sich das folgende Beispiel an. Darin wird der Benutzer gefragt, ob er ein Punktelement messen möchte.

C1= KOMMENTAR/JANEIN,Möchten Sie das Punktelement PKT1 messen? Durch Klicken auf 'Nein' wird das nächste Element gemessen.

IF/C1.EINGABE=="JA"

PKT1=ELEM/PUNKT,KART

…

…

ENDEMESS/

END_IF/

ELSE

PKT2=ELEM/PUNKT,KART

…

…

ENDEMESS/

ENDELSE

Erläuterung des Beispielcodes

C1=KOMMENTAR/YESNO
Diese Zeile nimmt und speichert die Eingabe JA oder NEIN des Benutzers.

IF/C1.EINGABE=="JA"
Diese Zeile ist der Ausdruck. Er testet, ob die Eingabe von Kommentar 1 ein JA ist. Lautet die Eingabe JA, dann ist die IF-Anweisung WAHR, und es werden die auf die IF-Anweisung folgenden Anweisungen ausgeführt. In diesem Fall wird das Element PKT1 gemessen. Lautet die Eingabe NEIN, springt das Programm zur END_IF-Anweisung.

END_IF
Diese Zeile beendet die Ausführung von Befehlen innerhalb des IF / END IF-Codeblocks. Wenn der Benutzer auf den Kommentar mit Nein antwortet, springt PC-DMIS zum nächsten Befehl.

ELSE
Wenn der obige IF / END IF-Block als falsch ausgewertet wird, werden die Befehlszeilen, die zwischen dieser Zeile und der ENDELSE-Zeile liegen, ausgeführt. In diesem Fall wird PKT2 ausgeführt.

END_ELSE
Diese Zeile beendet die Ausführung der Befehle innerhalb des ELSE / ENDELSE-Codeblocks.


While / End While

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | While / End While können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen WHILE und END WHILE stehenden Elemente werden solange in einem Schleifendurchlauf ausgeführt, bis die Bedingung (oder der Ausdruck), die (der) die Schleife aktiviert hält, nicht mehr erfüllt wird; d. h. der Ausdruck für die While-Schleife wird als FALSCH ausgewertet (d.h. Null). Der Befehl WHILE kann an einer beliebigen Stelle im Werkstückprogramm eingefügt werden. Der Ausdruck wird zu Beginn jeder Schleife geprüft.

Die im Bearbeitungsfenster für eine WHILE / END WHILE-Anweisung angezeigte Befehlszeile lautet:
WHILE/Ausdruck
END_WHILE/

So fügen Sie eine While / End While-Option ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.

  2. Wählen Sie While / End While in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung While / End While.

Siehe auch:

Codebeispiel für While / End While


Codebeispiel für While / End While

Sehen Sie sich das folgende Beispiel an. Darin wird ein Element so oft gemessen, wie vom Benutzer des Werkstückprogramms vorgegeben.

C1=KOMMENTAR/EINGABE,Wie oft soll PKT1 gemessen werden? Geben Sie nur eine Ganzzahl ein.

ZUWEISEN/ZÄHLER = 0

WHILE/ZÄHLER < C1.EINGABE

PKT2=ELEM/PUNKT,KART

…

…

…

ENDEMESS/

ZUWEISEN/ZÄHLER = ZÄHLER + 1

KOMMENTAR/BEDIENER,"Messwert " + ZÄHLER + " von " + C1.EINGABE + " Male."

END_WHILE/

Erläuterung des Beispielcodes

C1=KOMMENTAR/EINGABE
Diese Zeile nimmt und speichert die vom Benutzer eingegebene Ganzzahl in der Variablen C1.EINGABE.

ZUWEISEN/ZÄHLER = 0
Diese Zeile initialisiert ZÄHLER, eine benutzerdefinierte Variable, und weist ihr den Ausgangswert 0 zu. Der Code verwendet diese Variable, um zu zählen, wie oft PC-DMIS das Element innerhalb der Schleife misst.

WHILE/ZÄHLER < C1.EINGABE
Diese Zeile ist der Ausdruck. Er testet, ob der Wert von ZÄHLER (hatte den Ausgangswert 0) kleiner als die vom Benutzer eingegebene Ganzzahl ist. Wird der Test als wahr ausgewertet, werden die Anweisungen zwischen WHILE/ und END_WHILE/ ausgeführt.

ZUWEISEN/ZÄHLER = ZÄHLER + 1
Diese Zeile erhöht den Wert der Variablen ZÄHLER um 1. Wenn die Bedingung nicht mehr erfüllt ist, wird die Schleife schließlich beendet.

KOMMENTAR/BEDIENER,"Messwert " + ZÄHLER + " von " + C1.EINGABE + " Male."
Diese Zeile zeigt eine Nachricht an, in der angegeben wird, wie oft die Schleife bisher ausgeführt wurde.

END_WHILE
Diese Zeile beendet die Ausführung von Befehlen innerhalb des WHILE / END WHILE-Codeblocks, wenn die Bedingung nicht erfüllt (falsch) ist. Ansonsten springt PC-DMIS bei Antreffen dieses Befehls zur WHILE-Anweisung zurück.


Do / Until

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | Do / Until können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen DO und UNTIL stehenden Elemente werden solange in einem Schleifendurchlauf ausgeführt, bis der Ausdruck des Befehls UNTIL als WAHR (nicht Null) ausgewertet wird. Der Befehl DO / UNTIL kann an einer beliebigen Stelle im Werkstückprogramm eingefügt werden. Der Ausdruck wird am Ende jeder Schleife geprüft.

Die im Bearbeitungsfenster für eine DO / UNTIL-Anweisung angezeigte Befehlszeile lautet:
DO/
UNTIL/ Ausdruck

So fügen Sie DO / UNTIL-Befehle ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.

  2. Wählen Sie Do / Until in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung DO / UNTIL.

Siehe auch:

Codebeispiel für Do / Until


Codebeispiel für Do / Until

Sehen Sie sich das folgende Beispiel an. Darin wird ein Element so oft gemessen, wie vom Benutzer des Werkstückprogramms vorgegeben. Dieses Beispiel ist jenem für While / End While ähnlich. Der einzige Unterschied liegt darin, dass PC-DMIS die Bedingung hier am Ende der Schleife testet anstatt am Anfang.

C1= KOMMENTAR/EINGABE,Geben Sie ein, wie oft PC-DMIS das Element PKT1 messen soll: (Nur Ganzzahl eingeben!)

ZUWEISEN/ZÄHLER = 0

DO/

PKT1=ELEM/PUNKT,KART

…

…

ENDEMESS/

ZUWEISEN/ZÄHLER = ZÄHLER + 1

KOMMENTAR/BEDIENER,"Messwert " + ZÄHLER + " von " + C1.EINGABE + " Male."

UNTIL/ZÄHLER == C1.EINGABE

Erläuterung des Beispielcodes

C1=KOMMENTAR/EINGABE
Diese Zeile nimmt und speichert die vom Benutzer eingegebene Ganzzahl in der Variablen C1.EINGABE.

ZUWEISEN/ZÄHLER = 0
Diese Zeile initialisiert ZÄHLER, eine benutzerdefinierte Variable, und weist ihr den Ausgangswert 0 zu. Der Code verwendet diese Variable, um zu zählen, wie oft PC-DMIS das Element innerhalb der Schleife misst.

DO/
Beginnt die DO / UNTIL-Schleife. Alle Anweisungen werden mindestens einmal ausgeführt. Die Schleife wird erst beendet, wenn der Ausdruck als falsch ausgewertet wird.

ZUWEISEN/ZÄHLER = ZÄHLER + 1
Diese Zeile erhöht den Wert der Variablen ZÄHLER um 1. Wenn die Bedingung nicht mehr erfüllt ist, wird die Schleife schließlich beendet.

KOMMENTAR/BEDIENER,"Messwert " + ZÄHLER + " von " + C1.EINGABE + " Male."
Diese Zeile zeigt eine Nachricht an, in der angegeben wird, wie oft die Schleife bisher ausgeführt wurde.

UNTIL/ZÄHLER (ANZAHL) == C1.EINGABE
Diese Zeile beendet die Ausführung des Befehls innerhalb der DO / UNTIL-Schleife, wenn die Bedingung nicht erfüllt (falsch) ist. Andernfalls springt PC-DMIS bei Antreffen dieses Befehls zur DO-Anweisung zurück.


Select / End Select

Mit der Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | Select / End Select können Sie einen Bedingungsblock hinzufügen, der in Verbindung mit den Steuerpaaren Case / End Case und Default Case / End Default Case verwendet wird. Der Ausdruck für den Befehl "Auswählen" enthält Daten, die mit dem Ausdruck in den Case-Anweisungen verglichen werden. Wenn die beiden Ausdrücke dasselbe Ergebnis haben, werden die Anweisungen im Case / End Case-Block ausgeführt. Der SELECT / END SELECT-Block umklammert die Sätze mit den CASE / END CASE- und DEFAULT CASE / END DEFAULT CASE-Blöcken.

Die im Bearbeitungsfenster für eine SELECT / END SELECT-Anweisung angezeigte Befehlszeile lautet:
SELECT/Ausdruck
END_SELECT/

So fügen Sie die Befehle Select / End Select ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.

  2. Wählen Sie Select / End Select in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung SELECT/ End_SELECT.

Siehe auch:

Codebeispiel für Select / End Select


Codebeispiel für Select / End Select

Die Steuerpaare SELECT / END_SELECT, CASE / END_CASE, DEFAULT_CASE / END_DEFAULTCASE können gemeinsam eingesetzt werden, um mehrere Bedingungen auszuwerten. Dadurch ergibt sich eine ganze Reihe von Alternativen.

Angenommen, Sie haben fünf Kreise (KREIS1 bis KREIS5) und möchten, dass der Bediener mit einem einfachen Tastendruck auf der Tastatur einen Kreis messen kann. Verwenden Sie hierfür diesen oder einen ähnlichen Code:

Vollständiger Code

DO/

C1=KOMMENTAR/EINGABE,Geben Sie eine Zahl für den zu messenden Kreis ein:

,Für KREIS1 - Drücken Sie 1.

,Für KREIS2 - Drücken Sie 2.

,Für KREIS3 - Drücken Sie 3.

,Für KREIS4 - Drücken Sie 4.

,Für KREIS5 - Drücken Sie 5.

,Jede andere Taste beendet die Schleife.

SELECT/C1.EINGABE

CASE/1

KREIS1=ELEM/KREIS

…

…

ENDEMESS/

END_CASE

CASE/2

KREIS2=ELEM/KREIS

…

…

ENDEMESS/

END_CASE

CASE/3

KREIS3=ELEM/KREIS

…

…

ENDEMESS/

END_CASE

CASE/4

KREIS4=ELEM/KREIS

…

…

ENDEMESS/

END_CASE

CASE/5

KREIS5=ELEM/KREIS

…

…

ENDEMESS/

END_CASE

DEFAULT_CASE

KOMMENTAR/BEDIENER,Schleife wird beendet.

END_DEFAULTCASE

END_SELECT

UNTIL C1.EINGABE < 1 ODER C1.EINGABE > 5

Erläuterung des Beispielcodes

SELECT/C1.EINGABE
Diese Codezeile nimmt eine Zahl oder einen Wert an (in diesem Fall eine Zahl), die der Benutzer eingibt, und bestimmt anhand der Eingabe, welcher CASE/END_CASE-Block ausgeführt wird. Beachten Sie, dass das Steuerpaar SELECT / END_SELECT die gesamte Codeliste umschließt. Alle CASE / END_CASE- und DEFAULT_CASE / END_DEFAULTCASE-Steuerpaare müssen innerhalb dieser beiden Zeilen liegen.

END_SELECT
Diese Zeile kennzeichnet das Ende des Codes innerhalb des SELECT / END SELECT-Steuerpaars.

CASE/1 bis CASE/5
Je nach Wert von C1.EINGABE wird einer der CASE-Codeblöcke ausgeführt. Wenn C1.EINGABEbeispielsweise als 1 ausgewertet wird, wird der Codeblock CASE 1 ausgeführt und KREIS1 gemessen. Wenn die Auswertung 2 ergibt, wird der Codeblock CASE 2 ausgeführt und KREIS2 gemessen usw.

END_CASE
Diese Zeilen beenden die einzelnen CASE-Codeblocks.

DEFAULT_CASE
Wenn der Wert von C1.EINGABE mit keiner der definierten CASE-Anweisungen übereinstimmt (wenn der Wert keine Zahl zwischen 1 und 5 ist), wird der Codeblock DEFAULT_CASE ausgeführt. In diesem Fall werden Sie in einer Meldung darüber informiert, dass die Schleife beendet wird.

Beachten Sie, dass die DO / UNTIL-Schleife den gesamten Beispielcode umschließt. Dadurch kann der Benutzer im Menü, das durch die Zeile KOMMENTAR/EINGABE erstellt wird, immer wieder eine Auswahl vornehmen, bis er ein Zeichen eingibt, das von den CASE-Anweisungen nicht erkannt wird.


Case / End Case

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | Case / End Case können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen CASE und END CASE stehenden Elemente werden ausgeführt, wenn die Auswertung des Ausdrucks für die CASE-Anweisung einen Wert ergibt, der dem Ausdruck des entsprechenden SELECT- (AUSWAHL-) Befehls entspricht. Andernfalls werden die im Block enthaltenen Anweisungen übersprungen. Der Block mit den Anweisungen CASE / END CASE muss direkt nach einem SELECT- oder einem END CASE-Befehl eines vorhergehenden CASE / END CASE-Blocks stehen. Außerdem kann PC-DMIS nicht mehrere Ausdrücke in einer einzigen CASE-Anweisung vergleichen.

Die im Bearbeitungsfenster für eine CASE / END CASE-Anweisung angezeigte Befehlszeile lautet:
CASE/Ausdruck
END_CASE/

So fügen Sie die Option Case / End Case ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster. Beachten Sie die oben beschriebenen Positionierungsvoraussetzungen.

  2. Wählen Sie Case / End Case in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung CASE / End CASE.

Ein Codebeispiel finden Sie unter "Codebeispiel für Select / End Select".


Default Case / End Default Case

Über die Menüoption Einfügen | Programmablaufsteuerung | Steuerpaare | Default Case / End Def. Case können Sie dem Werkstückprogramm einen bedingten Block hinzufügen. Die zwischen den Befehlen DEFAULT CASE und END DEFAULT CASE stehenden Elemente werden ausgeführt, wenn alle anderen Ausdrücke in vorhergehenden CASE / END CASE-Blöcken innerhalb des entsprechenden SELECT / END SELECT-Blocks als falsch ausgewertet werden. Innerhalb eines SELECT/ END SELECT-Blocks ist nur ein DEFAULT CASE / END DEFAULT CASE-Block zulässig. Der Block DEFAULT CASE / END DEFAULT CASE muss nach sämtlichen CASE / END CASE-Blöcken innerhalb des Blocks SELECT / END SELECT stehen.

Die im Bearbeitungsfenster für eine DEFAULT CASE / END DEFAULT CASE-Anweisung angezeigte Befehlszeile lautet:
DEFAULT_CASE/
END_DEFAULTCASE/

So fügen Sie DEFAULT CASE/END DEFAULT CASE-Befehle ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster, und beachten Sie dabei die oben beschriebenen Einschränkungen in Bezug auf die Positionierung.

  2. Wählen Sie Default Case / End Def. Case in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung DEFAULT_CASE / END_DEFAULTCASE.

Ein Codebeispiel finden Sie unter "Codebeispiel für Select / End Select".


Erstellen allgemeiner Schleifen

Schleifen (Dialogfeld)

Über die Menüoption Einfügen | Programmablaufsteuerung | Schleifendurchlauf können Sie das Werkstückprogramm (oder Teile davon) mit oder ohne Versatz wiederholen. Der Befehl SCHLEIFE kann an jeder beliebigen Stelle im Werstückprogramm eingefügt werden. Diese Funktion erweist sich jedoch am Anfang und Ende des Programms am hilfreichsten.

Siehe auch:

Verwendungszwecke für Schleifen

Endnummer

Startnummer

Nummer überspringen

Achsen- und Winkelversatz

Schleifen-IDs

Variablen-ID

Schleife beenden


Verwendungszwecke für Schleifen

Es gibt drei Hauptverwendungszwecke für die Option Schleifen:

  • Sie besitzen eine aus mehreren Teilen bestehende Spannvorrichtung, die ein Raster von Werkstücken hält. Die Spannvorrichtung sollte einen gleichmäßigen Abstand zwischen den Reihen aufweisen. Mit Hilfe der Verschiebungs-/Rotationsversätze können Sie im Werkstückraster von einem Werkstück zum nächsten voranrasten.

  • Sie besitzen eine Spannvorrichtung, die ein Werkstück hält, und Sie möchten vor jeder Programmschleife zu einem neuen Werkstück wechseln. In diesem Fall können Sie einen KOMMENTAR-Befehl dazu verwenden, das KMG beim Wechsel zu einem neuen Werkstück anzuhalten. Der Befehl kann sowohl am Anfang als auch am Ende der Schleife stehen.

  • Sie möchten das Werkstückprogramm mit Hilfe der Option SCHLEIFE drehen, um einen anderen Teil des gleichen Werkstücks zu messen. Sie könnten beispielsweise ein Werkstückprogramm zur Messung eines komplizierten Lochmusters, das sich zehn Mal auf dem Werkstück wiederholt, erstellen. Das Werkstückprogramm muss die Lochmuster dann nur einmal messen. Mit Hilfe der Option SCHLEIFE kann dieses Werkstückprogramm zur Messung der 9 anderen Lochmuster dann entsprechend versetzt werden.

Hinweis: Wenn Sie innerhalb einer Schleife mit einer Ausrichtung arbeiten, können Sie in Version PC-DMIS 3.6 und höher die in der Befehlszeile AUSRICHTUNG/ANFANG aktive Ausrichtung verwenden, statt immer eine zuvor gespeicherte Ausrichtung aufrufen zu müssen. Siehe auch "Arbeiten mit einer Ausrichtung in Schleifen" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Siehe auch:

So führen Sie einen Schleifendurchlauf aus:


So führen Sie einen Schleifendurchlauf aus:

  1. Wählen Sie in der Menüleiste Einfügen | Programmablaufsteuerung | Schleifen. Das Dialogfeld Schleifen erscheint. Menü-Übersicht anzeigen

  2. Nehmen Sie in den Feldern die erforderlichen Änderungen vor.

  3. Geben Sie die jeweils erforderlichen Parameter an (z.B. Werkstückzahl, Startnummer, Überspringe Nummer, Versatz in XY oder Z, Winkel).

  4. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, wo der Schleifendurchlauf beginnen soll.

  5. Klicken Sie auf die Schaltfläche OK.

Die im Bearbeitungsfenster für den Schleifendurchlauf angezeigte Befehlszeile lautet:

VARNAME = SCHLEIFE/ANFANG, ID = J/N, NUMMER = 0, ANFANG = 1, AUSLASSEN = , ?
VERSATZ: X_ACHSE = 0, Y_ACHSE = 0, Z_ACHSE = 0, WINKEL = 0

Hinweis: Um den Schleifendurchlauf abzuschließen, benötigen Sie innerhalb des Bearbeitungsfensters den Befehl "Schleife beenden". PC-DMIS führt die Befehle im Bearbeitungsfenster in Schleifen aus, die zwischen den Befehlen SCHLEIFE/ANFANG und SCHLEIFE/ENDE stehen. Weitere Informationen hierzu finden Sie unter "Schleife beenden".


Endnummer

Über das Feld Endnummer wird PC-DMIS mitgeteilt, wie oft eine Schleife innerhalb des Werkstückprogramms zu wiederholen ist. Diese Zahl entspricht in der Regel der Anzahl der von der Spannvorrichtung gehaltenen Werkstücke (oder Werkstückmuster) in x- (y- oder z-) Richtung. PC-DMIS fordert außerdem zur Angabe der Startnummer des Werkstücks (Musters) auf.

Beispiel: Es liegen 10 Werkstücke in x- (y- oder z-) Richtung vor und Sie möchten mit der Position Nummer 5 beginnen. Geben Sie 10 (zehn) in das Feld Endnummer und 5 (fünf) in das Feld Startnummer ein.


Startnummer

Das Feld Startnummer teilt PC-DMIS die Startnummer innerhalb einer Reihe von Werkstücken mit.

Beispiel: Es liegen 10 Werkstücke vor und Sie möchten mit der Position Nummer 5 beginnen. Geben Sie dann 10 (zehn) für die Gesamtanzahl der Werkstücke und 5 (fünf) für die Startposition ein


Nummer überspringen

Mit dem Feld Überspringe Nr. wird ein Werkstückprogramm so oft wie angegeben wiederholt, wobei ein bestimmtes Inkrement der Schleife übersprungen werden kann.

Beispiel: Sie können den Parameter so einstellen, dass jedes dritte Inkrement der Schleife übersprungen wird. Wird der Wert "3" eingegeben, misst PC-DMIS das erste und zweite Werkstück und überspringt das dritte, so dass es beim vierten angelangt.


Achsen- und Winkelversatz

Der Bereich Versatz enthält folgende Felder:

X-Achse , Y-Achse und Z-Achse . In diesen Feldern wird der x-,y- oder z-Versatz zwischen Werkstücken oder Mustern auf demselben Werkstück festgelegt. Das Werkstück wird dann jedesmal bei einem Schleifendurchlauf um den eingegebenen Abstand versetzt. Der erste Versatz basiert auf dem Nullpunkt des Werkstücks.

Im Feld Winkel wird der Winkelversatz zwischen Werkstücken oder Werkstückmustern festgelegt. Der erste Versatz basiert auf dem Nullpunkt des Werkstücks. PC-DMIS versetzt das Werkstück dann jedesmal bei einem Schleifendurchlauf um den eingegebenen Winkel.

Siehe auch:

Versätze und Ausrichtungen in Schleifen ausführen


Versätze und Ausrichtungen in Schleifen ausführen

Wenn ein Ausrichtungsbefehl innerhalb einer Schleife vorliegt und in der Schleife mit Versätzen gearbeitet wird, müssen alle Achsen für diese Ausrichtung durch Sie definiert werden. Außerdem muss die Ausrichtung innerhalb der Schleife die in der Schleife gemessenen Elemente verwenden.


Schleifen-IDs

Wenn diese Option aktiviert ist, passt PC-DMIS das Inkrement der Element-ID (innerhalb der Schleife) dem Schleifeninkrement an.

Beispiel: Bei der ersten Schleife wird KREIS1 zu KREIS1[1], bei der zweiten Schleife zu KREIS1[2] usw.

Siehe auch:

Element-IDs in Statistik-Datenbanken


Element-IDs in Statistik-Datenbanken

Wenn Sie das Kontrollkästchen Schleifen-IDs aktivieren und Statistikdaten an eine Datenbank übertragen, löscht PC-DMIS diese Schleifen-IDs in einigen Fällen aus der Datenbank.

Beachten Sie folgendes:

Wenn Sie einen STAT/EIN-Befehl und einen STAT/AKTUALISIEREN-Befehl innerhalb einer Programmschleife haben, werden keine Schleifen-IDs in der Datenbank angezeigt.

Wenn Sie einen STAT/EIN-Befehl außerhalb einer Programmschleife und einen STAT/AKTUALISIEREN-Befehl innerhalb einer Programmschleife haben, werden keine Schleifen-IDs in der Datenbank angezeigt.

Wenn Sie einen STAT/EIN-Befehl außerhalb einer Programmschleife und einen STAT/AKTUALISIEREN-Befehl außerhalb einer Programmschleife haben, werden die Schleifen-IDs in der Datenbank angezeigt.

Wenn Sie einen STAT/EIN-Befehl innerhalb einer Programmschleife und einen STAT/AKTUALISIEREN-Befehl außerhalb einer Programmschleife haben, werden die Schleifen-IDs in der Datenbank angezeigt.


Variablen-ID

Im Feld Variablen-ID können Sie den Variablennamen festlegen, unter dem die aktuelle Schleifenwiederholung (bzw. die aktuelle Schleife innerhalb der angegebenen Schleifenanzahl) verfolgt wird. Während der Ausführung des Werkstückprogramms entspricht diese Variable der aktuellen Iterationsnummer der Schleife.


Schleife beenden

Mit der Schaltfläche Schleife beenden wird der Schleifendurchlauf beendet. Auf den Befehl SCHLEIFE/ANFANG muss im Bearbeitungsfenster der Befehl SCHLEIFE/ENDE folgen.

Die im Bearbeitungsfenster für das Beenden einer Schleife angezeigte Befehlszeile lautet:
SCHLEIFE/ENDE


Beenden allgemeiner Schleifen

Die Menüoption Einfügen | Programmablaufsteuerung | Schleife beenden ist in ihrer Funktion mit der Befehlsschaltfläche Schleife beenden im Dialogfeld Schleifen identisch. Sie fügt den Befehl SCHLEIFE/ENDE in das Bearbeitungsfenster ein, wodurch der Schleifendurchlauf beendet wird.


Erstellen von Sprungmarken

Mit der Option Einfügen | Programmablaufsteuerung | Sprungmarke wird das Dialogfeld Sprungmarkennamen bearbeiten eingeblendet, in dem Sie eine Namenskennzeichnung erstellen können, die mit einer GEHEZU- (GOTO) oder IF-Anweisung verwendet werden kann.

Sprungmarkennamen bearbeiten (Dialogfeld)

Sie können in PC-DMIS eine ID mit bis zu fünfzehn Zeichen erstellen. Die gesamte ID wird in Großbuchstaben angezeigt.

Die im Bearbeitungsfenster für die Option Sprungmarke angezeigte Befehlszeile lautet:
ID = SPRUNGMARKE/

So erstellen Sie eine Sprungmarke:

  1. Markieren Sie die Stelle im Bearbeitungsfenster.

  2. Wählen Sie Sprungmarke in der Menüleiste aus.

  3. Geben Sie die ID für die Sprungmarke in das Feld Neuer Sprunkmarkenname ein.

  4. Klicken Sie auf OK.

  5. Die ID der Sprungmarke erscheint an der nächstmöglichen Stelle im Bearbeitungsfenster.

Informationen zum Springen zu einer erstellten Sprungmarke finden Sie unter "Springen zu einer Sprungmarke".


Springen zu einer Sprungmarke

GoTo (Dialogfeld)

Über die Menüoption Einfügen | Programmablaufsteuerung | Goto wird das Dialogfeld GoTo eingeblendet, in dem Sie GOTO-Anweisungen innerhalb des Werkstückprogramms erstellen können. Trifft PC-DMIS bei Ausführung des Programms auf eine GOTO-Anweisung, rückt PC-DMIS zur Position der Sprungmarken-ID vor.

Die im Bearbeitungsfenster für die GOTO- (GEHEZU-) Anweisung angezeigte Befehlszeile lautet:
GOTO/Sprungmarken_ID

So erstellen Sie eine GOTO-Anweisung im Bearbeitungsfenster:

  1. Wählen Sie aus dem Untermenü die Option Goto.

  2. Wählen Sie die zu verwendende Sprungmarke aus dem Feld Aktuelle Sprungmarken aus.

  3. Klicken Sie auf OK.

Im Dialogfeld Goto können Sie neue Sprungmarken-IDs erstellen und diese dann an eine GOTO-Anweisung anhängen. Vorgehensweise:

  1. Wählen Sie im Untermenü Goto aus.

  2. Geben Sie den Namen der zu erstellenden Sprungmarke in das Feld Gehen Sie zu Sprungmarke ein. Der Befehl GOTO/SPRUNGMARKE wird in das Bearbeitungsfenster eingefügt.

Hinweis: Wenn Sie eine Sprungmarke im Dialogfeld GoTo erstellen, müssen Sie zuerst die Sprungmarken-ID mit Hilfe der Menüoption Sprungmarke erstellen, bevor Sie das Werkstückprogramm ausführen.

Siehe auch:

Zu Sprungmarke gehen

Aktuelle Sprungmarken


Zu Sprungmarke gehen

Im Feld Zu Sprungmarke gehen können Sie eine bestehende Sprungmarke eingeben, zu der das Werkstückprogramm dann per GEHEZU-Anweisung geht.


Aktuelle Sprungmarken

Das Feld Aktuelle Sprungmarken enthält eine Liste bestehender Sprungmarken, die Sie mit der Maus auswählen können.


Springen zu einer Sprungmarke auf Basis bestimmter Bedingungen

If-Ausdruck (Dialogfeld)

Mit der Option Einfügen | Programmablaufsteuerung | If Goto können Sie innerhalb des Werkstückprogramm IF GOTO-Anweisungen erstellen. Trifft PC-DMIS bei Ausführung des Werkstückprogramms eine IF-Anweisung an und der angegebene Ausdruck ergibt bei der Auswertung nicht Null, so gelangt das Programm mit GOTO (GEHEZU) an die Position der Sprungmarken-ID. Informationen zum Verwenden von Ausdrücken finden Sie unter "Verwenden von Ausdrücken und Variablen".

Die im Bearbeitungsfenster für eine WENN_GEHEZU-Anweisung angezeigte Befehlszeile lautet:
IF_GOTO/Ausdruck, GOTO=Sprungmarke

Mehr dazu:

Ausdruck

Sprungmarke


Ausdruck

Die Schaltfläche Ausdruck blendet das Ausdruckerstellungsprogramm ein. Mit dem Ausdruckerstellungsprogramm können Sie eine Vielzahl verschiedener Ausdrücke erstellen und diese bei Bedarf im Werkstückprogramm verwenden. Informationen zum Verwenden von Ausdrücken finden Sie unter "Verwenden von Ausdrücken und Variablen".


Sprungmarke

Im Feld Sprungmarke können Sie die Sprungmarke eingeben, die PC-DMIS beim Befehl GEHEZU verwenden soll. Die Schaltfläche Sprungmarke blendet das Dialogfeld Goto ein. In diesem Dialogfeld können Sie die zu verwendende Sprungmarke auswählen. Die Sprungmarke erscheint dann im Feld Sprungmarke. Weitere Informationen finden Sie unter "Springen zu einer Sprungmarke".


Branching on a CMM Error

On Error dialog box

Display Menu Roadmap

The Insert | Flow Control Command | On Error command can be used to tell PC-DMIS what action to take in the case that a CMM Error occurs.

PC-DMIS tracks two kinds of error conditions: Unexpected Probe Hit and Missed Probe Hit. For each of these error conditions, three possible actions can be taken:

  • Jump to a label

  • Set a variable 's value to one

  • Do nothing

By default, all part programs start with the action for both types of errors set to the third option (Do nothing). The action mode for each error type can be changed throughout the program.

Example: If during execution, PC-DMIS encounters an ON ERROR/ Unexpected Hit / Jump To Label command, any unexpected hits that occur after that point in the program will cause execution to jump to the specified label. The action to 'Set a Variable’s value to one causes the variable to be set as soon as the specified error type occurs. This value of the variable can then be tested using an IF statement to cause execution to jump to a new point in the part program .

The Edit window command line for the ON ERROR option reads:
ONERROR/UNEXPECTED_HIT, mode ID
or,
ONERROR/PROBE_MISS, mode ID

To use the ON ERROR command:

1. Select On Error. The On Error dialog box will appear.

2. Select either Unexpected Probe Hit or Missed Probe Hit from the Error Type drop-down list.

3. Select one of the following Error Mode options to define what action should take place:

Off | Does nothing.
Goto Label | Jumps to a defined label.
Set Variable | Sets a variable's value to one.

4. Click the OK button to apply the ON ERROR option. The Cancel button will close the On Error dialog box without applying any changes.

More:

Error Type

Off

Goto Label

Set Variable

Supported Interfaces


Fehlertyp

Aus der Auswahlliste Fehlertyp können Sie einen der folgenden Fehlertypen auswählen:

  • Unerwarteter Messpunkt

  • Verfehlter Messpunkt


Aus

Wenn am KMG ein Fehler auftritt, wird PC-DMIS durch Auswahl der Option Aus angewiesen, keine Maßnahme zu ergreifen.


Zu Sprungmarke gehen

Wenn am KMG ein Fehler auftritt, bewirkt das Markieren der Option Zu Sprungmarke gehen, dass das Werkstückprogramm zu einer definierten Sprungmarke springt.


Variable festlegen

Wenn am KMG ein Fehler auftritt, bewirkt das Markieren der Option Variable festlegen, dass das Werkstückprogramm den Wert einer Variablen auf Eins setzt.


Unterstützte Schnittstellen

Nicht alle Schnittstellen unterstützen den Befehl BEI_FEHLER. In der nachfolgenden Tabelle können Sie feststellen, ob Ihre Schnittstelle unterstützt wird.

  • Ist Ihre Schnittstelle aufgeführt, wird durch das "X" angezeigt, welcher Fehlertyp von dieser Schnittstelle unterstützt wird.

  • Ist Ihre Schnittstelle nicht aufgeführt, können Sie den Befehl BEI_FEHLER nicht verwenden.

Unterstützte Schnittstellen | Unerwarteter Messpunkt | Verfehlter Messpunkt
B&S Standard | X | X
DEA |  | X
Elm | X | X
Federal/Renault | X | X
Johansson | X | X
Leitz | X | X
LK Direct (auch bekannt unter LKRS232) | X | X
LK Driver | X | X
Metrolog | X | X
Mitutoyo Bright | X | X
Mitutoyo | X | X
Mora | X | X
Omnitech | X | X
Renishaw | X | X
Sharpe | X | X
Sheffield | X | X
Wenzel | X | X
Zeiss | X | X


Verzweigung bei Unterprogrammen

Über die Menüoption Einfügen | Programmablaufsteuerung | Unterprogramm können Sie aus der aktuellen (oder externen) Datei heraus auf Werkstückprogramm-Befehle zugreifen und diese Befehle wiederholt verwenden. PC-DMIS ermöglicht Ihnen das Übergeben/Übernehmen von Argumenten an/aus ein(em) Unterprogramm. Die einzige Einschränkung in Bezug auf die Anzahl von Argumenten und die verschachtelten Unterprogramme ist der jeweils verfügbare Speicher. Das externe Unterprogramm hat keinen Zugriff auf Elemente, Variablen oder Ausrichtungen des Haupt-Werkstückprogramms. Es ermöglicht Ihnen lediglich die Übergabe der erforderlichen Daten. Das Unterprogramm hat jedoch Zugriff auf Einträge innerhalb des Werkstückprogramms.

Die im Bearbeitungsfenster für ein Beispiel-Unterprogramm angezeigte Befehlszeile lautet:
UNTERPROGRAMM/Name,
S1 = Arg1 : Beschreibung

Name = der Name des Unterprogramms.
S1 = der lokale Variablenname, der im Unterprogramm verwendet wird. Auf diese Variable kann im allgemeinen nicht außerhalb des Unterprogramms zugegriffen werden.
Arg1 = der Standardwert für das erste Argument.
Beschreibung = die Beschreibung des Arguments im Unterprogramm.

ENDE_UNTERPROG/ dient zur Beendigung der Unterprogrammdefinition.

Zu den Argumenttypen, die an ein Unterprogramm übergeben werden können, gehören numerische Werte, Variablen, Zeichenfolgen und Elementnamen.

Mehr dazu:

Übergeben von numerischen Zeichen an ein Unterprogramm

Übergeben von Variablen an ein Unterprogramm

Übergeben von Zeichenfolgen an ein Unterprogramm

Übergeben von Elementnamen an ein Unterprogramm

Erstellen eines neuen Unterprogramms

Dialogfeld "Unterprogramm erstellen"

Bearbeiten eines vorhandenen Unterprogramms

Dialogfeld "Argument bearbeiten"

Beenden eines Unterprogramms

Aufrufen eines Unterprogramms

Dialogfeld "Unterprogramm aufrufen"

Codebeispiel für ein Unterprogramm


Übergeben von numerischen Zeichen an ein Unterprogramm

Um numerische Zeichen zu übergeben, geben Sie die Zahl einfach im Feld Wert des Dialogfelds Argument bearbeiten ein. Siehe "Erstellen eines neuen Unterprogramms".


Übergeben von Variablen an ein Unterprogramm

Argumente, die Daten wieder zurückgeben können, werden als Variablen bezeichnet. Geben Sie die Variable im Feld Wert des Dialogfelds Argument bearbeiten ein. Nähere Hinweise dazu finden Sie unter "Erstellen eines neuen Unterprogramms".

Wird eine Variable als Argument zu einem Unterprogramm verwendet, werden sämtliche Änderungen, die an der entsprechenden Variablen des Unterprogramms auftreten, zurückgegeben und nehmen den Wert der an das Unterprogramm übergebenen Variablen an.

Beispiel: Das folgende Beispiel zeigt, wie der Wert einer Variablen, die als Argument an ein Unterprogramm übergeben wird, vom Unterprogramm zurückgegeben wird: Der Variablen V1 wird der Wert 6 zugewiesen: ZUWEISEN/ V1 = 6 Ein Unterprogrammaufruf übergibt V1 als erstes Argument: AUFR_UNTERPROG; MeinUnterprogramm, V1 Das Unterprogramm wird wie folgt definiert: UNTERPROGRAMM/MeinUnterprog,A1 = 0. A1 ist der Name des ersten Arguments. Das heißt, wenn der Aufruf stattfindet, hat A1 denselben Wert wie V1 zum Zeitpunkt des Aufrufs (den Wert 6). Das Unterprogramm enthält eine Anweisung: ZUWEISEN/ A1 = A1 +1. Hiermit wird der Wert von A1 auf 7 erhöht. Das Unterprogramm endet, ENDE /UNTERPROGRAMM. Das Programm kehrt in seinem Ablauf zu der Anweisung zurück, die direkt auf den Unterbefehl des Aufrufs folgt. Als Folge des Rücksprungs in der Programmausführung werden alle Variablen, die als Argumente dienten, in diesem Fall V1, auf den Wert der entsprechenden Variablen des Unterprogramms aktualisiert, in diesem Fall A1. Folglich besitzt V1 jetzt den Wert 7. Der Wert wurde vom Unterprogramm zurückgegeben.


Übergeben von Zeichenfolgen an ein Unterprogramm

Um eine Zeichenfolge zu übergeben, geben Sie den alphanumerischen Wert im Feld Wert des Dialogfelds Argument bearbeiten ein. Nähere Hinweise dazu finden Sie unter "Erstellen eines neuen Unterprogramms". Vergewissern Sie sich, dass die alphanumerischen Zeichen in doppelten Anführungszeichen stehen, z.B. "Diesen Text1 übergeben."


Übergeben von Elementnamen an ein Unterprogramm

Elementnamen werden in geschweiften Klammern übergeben. {F1} wird beispielsweise im Feld Wert des Dialogfelds Argument bearbeiten eingegeben, um das mit F1 bezeichnete Element im Bearbeitungsfenster aufzurufen.

Beim Übergeben des Elementnamens erhält das Unterprogramm außerdem uneingeschränkten Zugriff auf dieses Element. Das Unterprogramm kann jeden theoretischen Wert des Elements ändern. Beispiel: Beim Übergeben des Elements F1 verwenden Sie zum Festlegen der theoretischen X-Werte den Befehl ZUWEISEN/F1.TX = 5 im Bearbeitungsfenster.


Erstellen eines neuen Unterprogramms

So erstellen Sie ein neues Unterprogramm:

  1. Wählen Sie in der Menüleiste Einfügen | Programmablaufsteuerung | Unterprogramm. Das Dialogfeld Unterprogramm erstellen wird eingeblendet. Informationen zu diesem Dialogfeld finden Sie im Abschnitt Dialogfeld "Unterprogramm erstellen".

Unterprogramm erstellen (Dialogfeld)

  2. Geben Sie den Namen des Unterprogramms im Feld Name ein.

  3. Klicken Sie auf die Schaltfläche Arg. hinzufügen . Das Dialogfeld Argument bearbeiten erscheint. Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Dialogfeld 'Argument bearbeiten'".

Argument bearbeiten (Dialogfeld)

  4. Geben Sie den Namen des Arguments im Feld Name ein.

  5. Klicken Sie in das Feld Wert.

  6. Geben Sie den Wert des Arguments im Feld Wert ein.

  7. Klicken Sie in das Feld Beschreibung.

  8. Geben Sie eine Beschreibung des Arguments in das Feld Beschreibung ein. Diese Beschreibung wird im Bearbeitungsfenster neben dem Argument eingeblendet..

Mit der Schaltfläche Abbrechen werden alle an einem Argument vorgenommenen Änderungen gelöscht, und Sie kehren zum Dialogfeld Unterprogramm erstellen zurück.

Hinweis: Sie können Argumente auch löschen, indem Sie auf die Schaltfläche Arg. löschen im Dialogfeld Unterprogramm erstellen klicken.


Dialogfeld "Unterprogramm erstellen"

Die folgenden Themen beschreiben die verschiedenen Optionen im Dialogfeld Unterprogramm erstellen.

Unterprogramm erstellen (Dialogfeld)

Siehe auch:

Unterprogramm-Name

Listenfeld "Anz. Argumente"

Arg. hinzufügen

Löschen eines Arguments aus einem Unterprogramm

Feld "Werte"

Arg. löschen


Unterprogramm-Name

Geben Sie im Feld Name den Namen des zu erstellenden Unterprogramms ein.


Listenfeld "Anz. Argumente"

In der Liste Anz. Argumente werden die Argumente für das zu erstellende Unterprogramm angezeigt. Zur Bearbeitung des Arguments doppelklicken Sie einfach auf das Argument, das geändert werden soll. Das Dialogfeld Argument bearbeiten erscheint.


Arg. hinzufügen

Mit der Schaltfläche Arg. hinzufügen können Sie neue Argumente zum Unterprogramm hinzufügen. Klicken Sie hierzu einfach auf diese Schaltfläche, und das Dialogfeld Argument hinzufügen erscheint.


Löschen eines Arguments aus einem Unterprogramm

Mit der Schaltfläche Arg. löschen können Sie Argumente aus dem Unterprogramm löschen. Markieren Sie das Argument einfach in der Liste, und klicken Sie auf die Schaltfläche Arg. löschen.


Feld "Werte"

Das Feld Werte enthält eine Liste der Werte jedes Arguments, das mit dem Unterprogramm verknüpft ist. Um diese Werte zu ändern, doppelklicken Sie einfach auf den zu ändernden Wert. Daraufhin wird das Dialogfeld Argument bearbeiten eingeblendet.


Arg. löschen

Mit dieser Schaltfläche können Sie Argumente aus dem Feld Werte löschen. Markieren Sie einfach den angezeigten Wert, und klicken Sie auf die Schaltfläche Arg. löschen. Das mit diesem Wert verknüpfte Argument wird daraufhin gelöscht.


Bearbeiten eines vorhandenen Unterprogramms

Vorgehensweise:

  1. Setzen Sie den Cursor auf das Unterprogramm im Bearbeitungsfenster.

  2. Drücken Sie "F9". Das Dialogfeld Unterprogramm erstellen wird eingeblendet. Informationen zu diesem Dialogfeld finden Sie im Abschnitt Dialogfeld "Unterprogramm erstellen".

  3. Heben Sie das Argument hervor, das im Feld Anz. Argumente geändert werden soll. Das Dialogfeld Argument bearbeiten erscheint. Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Dialogfeld 'Argument bearbeiten'".

  4. Nehmen Sie die erforderlichen Änderungen in den gewünschten Feldern vor.

  5. Klicken Sie auf OK, um das Dialogfeld Argument bearbeiten zu schließen und die Änderungen zu speichern. An dieser Stelle können Sie andere zu bearbeitende Argumente wählen.

Wenn Sie mit der Bearbeitung Ihres Unterprogramms fertig sind, klicken Sie auf die Schaltfläche OK, um die Änderungen zu speichern und zum PC-DMIS-Hauptfenster zurückzukehren.

Mit der Schaltfläche Abbrechen werden alle an einem Argument vorgenommenen Änderungen gelöscht, und Sie kehren zum Dialogfeld Unterprogramm erstellen zurück.

Hinweis: Sie können Argumente auch löschen, indem Sie auf die Schaltfläche Arg. löschen im Dialogfeld Unterprogramm erstellen klicken.


Dialogfeld "Argument bearbeiten"

Die folgenden Themen beschreiben die verschiedenen Optionen im Dialogfeld Argument bearbeiten.

Argument bearbeiten (Dialogfeld)

Mehr dazu:

Argumentname

Argumentwert

Argumentbeschreibung


Argumentname

Geben Sie im Feld Name den Namen des zu erstellenden bzw. zu bearbeitenden Arguments ein.


Argumentwert

Geben Sie im Feld Wert den Wert des Arguments ein. Gültige Werte sind:

  • Numerische Zeichen

  • Variable

  • Zeichenfolgen


Argumentbeschreibung

Im Feld Beschreibung können Sie eine Beschreibung des Arguments eingeben. Diese Beschreibung wird dann im Bearbeitungsfenster neben dem Argument eingeblendet.


Beenden eines Unterprogramms

Die Menüoption Einfügen | Programmablaufsteuerung | Ende Unterprogramm beendet ein Unterprogramm, indem ein "ENDE_UNTERPROG/"-Befehl in das Bearbeitungsfenster platziert wird.

Vorgehensweise:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.

  2. Wählen Sie im Untermenü Ende Unterprogramm.

Im Bearbeitungsfenster erscheint der Befehl "ENDE_UNTERPROG/".


Aufrufen eines Unterprogramms

Unterprogramm aufrufen (Dialogfeld)

Mit dem Menübefehl Unterprogr. aufrufen aufrufen wird ein bereits vorhandenes Unterprogramm aus dem aktuellen Werkstückprogramm an einer anderen Stelle oder aus einem anderen Werkstückprogramm im aktuellen Werkstückprogramm aufgerufen.

So rufen Sie ein Unterprogramm auf:

  1. Wählen Sie aus dem Untermenü die Option Einfügen | Programmablaufsteuerung | Unterprogr. aufrufen aus. Das Dialogfeld Unterprogramm aufrufen erscheint.

  2. Klicken Sie auf die Schaltfläche Unterprogramm wählen. Das Dialogfeld Unterprogramm auswählen erscheint.

Unterprogramm auswählen (Dialogfeld)

  3. Markieren Sie entweder das Kontrollkästchen Benutzerverzeichnis, das Kontrollkästchen Aktuelles Verzeichnis oder beide. Wenn das Werkstückprogramm, aus dem das Unterprogramm stammt, in dem nach Unterprogrammen zu durchsuchendem Verzeichnis installiert ist, markieren Sie das Kontrollkästchen Benutzerverzeichnis. Wenn es aus dem aktuellen Verzeichnis stammt, markieren Sie das Kontrollkästchen Aktuelles Verzeichnis. PC-DMIS führt alle zur Auswahl stehenden Werkstückprogramme auf.

  4. Wählen Sie das Werkstückprogramm, in dem das gewünschte Unterprogramm enthalten ist. Im Feld Name Unterprogramm werden alle mit dem gewählten Programm verknüpften Unterprogramme angezeigt.

  5. Klicken Sie auf das aufzurufende Unterprogramm.

  6. Klicken Sie auf OK. Die im Unterprogramm aufzurufenden Daten erscheinen anschließend im Dialogfeld Unterprogramm aufrufen.

  7. Klicken Sie noch einmal auf die Schaltfläche OK, damit das aufgerufene Unterprogramm an der markierten Stelle im Bearbeitungsfenster erscheint.

Die im Bearbeitungsfenster für ein aufgerufenes Beispiel-Unterprogramm angezeigte Befehlszeile lautet:

CS2 =AUFR_UNTERPROG/Name, Datei\Prog:Arg1,…

CS2 = die für den Befehl "Aufr_Unterprog" erstellte Sprungmarke.?
Name = der Optionsname des aufzurufenden Unterprogramms.?
Datei = das Werkstückprogramm, welches das Unterprogramm enthält. (Wenn dieses Feld leer ist, sucht PC-DMIS im aufrufenden Werkstückprogramm nach dem Unterprogramm).?
Prog = der Name des Werkstückprogramms, von dem aus das Unterprogramm aufgerufen wird
Arg1 = das an das Unterprogramm zu übergebende Argument. (Wenn dieses Feld leer ist, wird der Standardwert verwendet.).

Hinweis: In Ihrem AUFR_UNTERPROG-Befehl sollten Sie einen Satz mit den Zeigern zu allen Objekten ablegen, die für das Unterprogramm erstellt wurden, so dass Sie mit Hilfe der Unterprogramm-ID später wieder darauf verweisen können. Weitere Informationen zu Zeigern finden Sie unter "Zeiger" im Abschnitt "Verwenden von Ausdrücken und Variablen".

Im Dialogfeld Unterprogramm aufrufen können Sie außerdem Argumente, die an das aufgerufene Unterprogramm übergeben werden sollen, hinzufügen, bearbeiten oder löschen.

Mehr dazu:

So fügen Sie ein neues Argument mit Hilfe des Dialogfelds "Unterprogramm aufrufen" hinzu:

So bearbeiten Sie vorhandene Argumente mit Hilfe des Dialogfelds "Unterprogramm aufrufen":

So löschen Sie Argumente aus einem AUFR_UNTERPROG-Befehl:

Verwenden von AUFR_UNTERPROG-Anweisungen im Mehrarm-Betrieb


So fügen Sie ein neues Argument mit Hilfe des Dialogfelds "Unterprogramm aufrufen" hinzu:

  1. Klicken Sie auf die Schalftfläche Arg. hinzufügen. Das Dialogfeld Argument bearbeiten erscheint.

  2. Klicken Sie in das Feld Wert.

  3. Geben Sie den Wert des Arguments im Feld Wert ein.

  4. Klicken Sie in das Feld Beschreibung.

  5. Geben Sie eine Beschreibung des Arguments im Feld Beschreibung ein. This description will Diese Beschreibung wird im Bearbeitungsfenster neben dem Argument eingeblendet.


So bearbeiten Sie vorhandene Argumente mit Hilfe des Dialogfelds "Unterprogramm aufrufen":

  1. Doppelklicken Sie auf den Wert des zu ändernden Arguments. Es erscheint ein Feld mit dem Standardwert für das aufgerufene Unterprogramm.

  2. Geben Sie einen neuen Wert ein.

  3. Klicken Sie auf OK.

Weitere Hinweise zum Bearbeiten oder Erstellen neuer Argumente für ein Unterprogramm finden Sie unter "Erstellen eines neuen Unterprogramms" und "Bearbeiten eines vorhandenen Unterprogramms".


So löschen Sie Argumente aus einem AUFR_UNTERPROG-Befehl:

  1. Setzen Sie den Cursor auf den AUFR-UNTERPROG-Befehl.

  2. Drücken Sie F9, um das Dialogfeld Unterprogramm aufrufen zu öffnen.

  3. Wählen Sie das/die gewünschte/n Argument/e in der Liste aus.

  4. Klicken Sie auf die Schaltfläche Arg. löschen.

  5. Klicken Sie auf OK.

Sie können Argumente auch direkt im Bearbeitungsfenster-Text löschen. Vorgehensweise:

  1. Versetzen Sie PC-DMIS in den Befehlsmodus.

  2. Setzen Sie den Cursor auf den AUFR_UNTERPROG-Befehl und drücken Sie die Tabulatortaste, bis das gewünschte Argument markiert ist.

  3. Geben Sie die Buchstaben "lösch". Dadurch wird das Argument gelöscht. Die Taste "Entf" oder die Rücktaste können nicht zum Löschen des Arguments verwendet werden. Sie verwandeln das Argument lediglich in ein leeres Argument.


Verwenden von AUFR_UNTERPROG-Anweisungen im Mehrarm-Betrieb

Wenn Sie eine AUFR_UNTERPROG-Anweisung als "Master Only" (Nur Master) markieren, werden alle Befehle im Unterprogramm beim Aufrufen des Unterprogramms als "Master Only" (Nur Master) markiert.

Wenn Sie eine AUFR_UNTERPROG-Anweisung als "Slave Only" (Nur Slave) markieren, werden alle Befehle im Unterprogramm beim Aufrufen des Unterprogramms als "Slave Only" (Nur Slave) markiert.

Wenn Sie eine AUFR_UNTERPROG-Anweisung für beide Arme markieren, lässt PC-DMIS die Markierungen des Unterprogramms so, wie sie ursprünglich eingerichtet wurden.

Wenn ein Unterprogramm einen BEWEGEN/SYNC-Befehl enthält, und Sie die AUFR_UNTERPROG-Anweisung als "Master Only" (Nur Master) oder "Slave Only" (Nur Slave) markieren, zeigt PC-DMIS bei der Ausführung eine Fehlermeldung an, die besagt, dass dies unzulässig ist, und das Unterprogramm wird nicht aufgerufen.

Informationen zum Zuweisen eines Ausführungsbefehls für einen bestimmten Arm finden Sie unter "Zuweisen eines Befehls zu einem Arm" im Abschnitt "Arbeiten im Mehrarmbetrieb".


Dialogfeld "Unterprogramm aufrufen"

Die folgenden Themen beschreiben die verschiedenen Optionen im Dialogfeld Unterprogramm aufrufen.

Mehr dazu:

Feld "Name" im Dialogfeld "Unterprogramm aufrufen"

Feld "Datei" im Dialogfeld "Unterprogramm aufrufen"

Unterprogramm auswählen


Feld "Name" im Dialogfeld "Unterprogramm aufrufen"

Das Feld Name enthält den Namen des Unterprogramms, das Sie nach dem Klick auf die Schaltfläche Unterprogramm auswählen angegeben haben.


Feld "Datei" im Dialogfeld "Unterprogramm aufrufen"

Das Feld Datei enthält den Verzeichnispfad zur aufgerufenen Unterprogramm-Datei.


Unterprogramm auswählen

Die Schaltfläche Unterprogramm wählen blendet das Dialogfeld Unterprogramm auswählen ein.

Unterprogramm auswählen (Dialogfeld)

In diesem Dialogfeld können Sie zuvor erstellte Unterprogramme aufrufen, indem Sie im Benutzerverzeichnis oder im aktuellen Verzeichnis danach suchen.


Codebeispiel für ein Unterprogramm

Mit Hilfe des folgenden Codebeispiels kann der Bediener die theoretischen X-, Y- und Z-Werte eines Elements nach dessen Messung ändern. Alle nachfolgenden Messungen verwenden dann diese aktualisierten theoretischen Werte.

PKT1=ELEM/PUNKT,KART

…

…

ENDEMESS/

C1=KOMMENTAR/JANEIN,Möchten Sie die theoretischen Werte für PKT1 ändern?

IF/C1.EINGABE=="JA"

CS1=AUFR_UNTERPROG/NENNÄNDERN,:,

END_IF/

KOMMENTAR/BEDIENER,Die theoretischen XYZ-Werte und die XYZ-Istwerte für PKT1 sind:

,"Nennw X= " + PKT1.TX

,"Nennw Y= " + PKT1.TY

,"Nennw Z= " + PKT1.TZ

,- - - - - - - - - - -

,"Istw X= " + PKT1.X

,"Istw Y= " + PKT1.Y

,"Istw Z= " + PKT1.Z

PROGRAMM/ENDE

UNTERPROGRAMM/NENNÄNDERN,

PUNKT1 = {PKT1} : ,

=

MERKMALINFO/;MERKM_ID,ELEMENT_ID;ÜBERSCHRIFTEN,GRAFIK ACHSE;MESS,NENNW,TOL,ABW,MAXMIN,AUS_TOL, , ,

C2=KOMMENTAR/EINGABE,Geben Sie den neuen theor. X-Wert für PKT 1 ein.

,"Der aktuelle Wert ist: " + PKT1.TX

ZUWEISEN/PKT1.TX = C2.EINGABE

C3=KOMMENTAR/EINGABE,Geben Sie den neuen theor. Y-Wert für PKT 1 ein.

,"Der aktuelle Wert ist: " + PKT1.TY

ZUWEISEN/PKT1.TY = C3.EINGABE

C4=KOMMENTAR/EINGABE,Geben Sie den neuen theor. Z-Wert für PKT 1 ein.

,"Der aktuelle Wert ist: " + PKT1.TZ

ZUWEISEN/PKT1.TZ = C4.EINGABE

ENDEUNTERPROG/

Erläuterung des Beispielcodes

C1=KOMMENTAR/YESNO
Diese Zeile nimmt und speichert die Eingabe JA oder NEIN des Benutzers.

IF/C1.EINGABE=="JA"
Diese Zeile ist der Ausdruck. Er testet, ob die Eingabe von Kommentar 1 ein JA ist. Lautet die Eingabe JA, dann ist die IF-Anweisung WAHR, und es werden die auf die IF-Anweisung folgenden Anweisungen ausgeführt. In diesem Fall wird das Element PKT1 gemessen. Lautet die Eingabe NEIN, springt das Programm zur END_IF-Anweisung.

CS1=AUFR_UNTERPROG/NENNÄNDERN,:,
Diese Zeile ruft das Unterprogramm NENNÄNDERN auf. Der Werkstückprogrammablauf springt nun zur Zeile UNTERPROGRAMM/NENNÄNDERN.

UNTERPROGRAMM/NENNÄNDERN
Diese Zeile initialisiert das Unterprogramm NENNÄNDERN. Der Programmablauf fährt mit der Ausführung des Codes zwischen dieser Zeile und der ENDE_UNTERPROG/-Zeile fort.

PUNKT1 = {PKT1} : ,
Dies ist das einzige Argument des Unterprogramms. Es ermöglicht dem Unterprogramm den Zugriff auf die Daten des Elements PKT1.

C2=KOMMENTAR/EINGABE, C3=KOMMENTAR/EINGABE, C4=KOMMENTAR/EINGABE
Diese Eingabekommentare nehmen die neuen durch den Benutzer eingegebenen theoretischen X-, Y- und Z-Werte und speichern sie unter C2.EINGABE, C3.EINGABE bzw. C4.EINGABE.

ZUWEISEN/PKT1.TX = C2.EINGABE
Diese Zeile nimmt den theoretischen X-Wert aus C2.EINGABE und weist ihn der Variablen PKT1.TX zu. PKT1.TX ist eine PC-DMIS-Variable, die den theoretischen X-Wert (gekennzeichnet durch TX) für den Punkt mit der ID-Sprunkmarke PKT1 enthält.

ZUWEISEN/PKT1.TY = C3.EINGABE
Diese Zeile nimmt den theoretischen Y-Wert aus C3.EINGABE und weist ihn der Variablen PKT1.TY zu. PKT1.TY ist eine PC-DMIS-Variable, die den theoretischen Y-Wert (gekennzeichnet durch TY) für den Punkt mit der ID-Sprungmarke PKT1 enthält.

ZUWEISEN/PKT1.TZ = C4.EINGABE
Diese Zeile nimmt den theoretischen Z-Wert aus C4.EINGABE und weist ihn der Variablen PKT1.TZ zu. PKT1.TZ ist eine PC-DMIS-Variable, die den theoretischen Z-Wert (gekennzeichnet durch TZ) für den Punkt mit der ID-Sprungmarke PKT1 enthält.

ENDE_UNTERPROG/
Diese Zeile beendet das Unterprogramm, und der Programmablauf kehrt zu jener Zeile zurück, die direkt auf den Unterprogrammaufruf folgt. In diesem Fall ist es die Anweisung END_IF/.

Der Programmablauf fährt dann mit dem nächsten Bedienerkommentar fort, der die theoretischen X-, Y- und Z-Werte sowie die X-, Y- und Z-Istwerte anzeigt. Anschließend wird das Werkstückprogramm mit dem Befehl PROGRAMM/ENDE beendet.


Beenden eines Werkstückprogramms

Über den Menüeintrag Einfügen | Programmablaufsteuerung | Programm beenden wird ein Programmbeendigungsbefehl (PROGRAMM/ENDE) in das Bearbeitungsfenster eingefügt. Immer dann, wenn PC-DMIS während des Programmablaufs auf diesen Befehl trifft, wird die Ausführung des Werkstückprogramms sofort unterbrochen.

Dieser Programm ist dann hilfreich, wenn Sie ein Werkstückprogramm auf Basis bestimmter Bedingungen früher als üblich beenden wollen.


Nachverfolgen statistischer Daten

Nachverfolgen statistischer Daten: Einführung

Verwenden der Überwachungsfelder

Optionen

Keine Anzeige

Anzeige

Wertgrenze

Senden der aktuellen Statistik an eine Datei

Verwenden des Dialogfelds "Statistikoptionen"

Statistikoptionen

Statistik "Aus"

Statistik "Ein"

Übertragen

Aktualisieren

Datenbankoptionen

Option "DataPage"

Datenbankverzeichnisse

Verzeichnis zur Liste hinzufügen

Verzeichnis aus Liste löschen

Aktuelle Statistikdatei löschen

DataPage-Variablenname

Kontrollberechnungen durchführen

Lesesperre

Schreibsperre

Speicherseiten

Option "DES"

Option "SPC-Datenbank"

Datenquelle

Datenbank anzeigen/bearbeiten

Datenbank jetzt aktualisieren


Nachverfolgen statistischer Daten: Einführung

In PC-DMIS können Sie statistische Daten für Ihre gemessenen Werkstücke sammeln und verwalten. Die Daten in einem Merkmals- oder Überwachungsfeld können durch Einfügen eines STAT-Befehls vor dem Merkmals- oder Überwachungsfeld an ein ausgewähltes Statistikprogramm gesendet werden.

Hauptthemen in diesem Abschnitt:

  • Verwenden der Überwachungsfelder

  • Senden der aktuellen Statistik an eine Datei

  • Verwenden des Dialogfelds "Statistikoptionen"


Verwenden der Überwachungsfelder

Überwachungsfeld (Dialogfeld)

Über die Menüoption Einfügen | Statistik-Befehl | Überwachungsfeld wird das Dialogfeld Überwachungsfeld eingeblendet. Mit diesem Dialogfeld können Sie Überwachungsfelder im Bearbeitungsfenster einrichten. Diese Daten werden in der STATISTIK-Datenbank verwendet (siehe Datei XSTATS11.TMP). Wenn das Überwachungsfeld im Bearbeitungsfenster angezeigt wird, können der Name und der aktuelle Wert dieses Felds geändert werden.

So ändern Sie die mit einem Überwachungsfeld verknüpften Felder:

  1. Setzen Sie den Cursor auf das Feld, dessen Eintrag geändert werden soll.

  2. Heben Sie den aktuellen Wert hervor.

  3. Geben Sie einen neuen Wert ein.

Wenn die Option Anzeige aktiviert ist, erscheint das Dialogfeld Überwachungsfeld jedesmal dann, wenn das Werkstückprogramm ausgeführt wird. Ist die Option Keine Anzeige ausgewählt, erscheint das Dialogfeld nicht während der Ausführung.

Die im Bearbeitungsfenster für die Option Überwachungsfeld angezeigte Befehlszeile lautet:
ÜBERWACHUNGSFELD/ ANZEIGESTAT; Feldname : Wert

ANZEIGESTATUS = Dieses Umschaltfeld steuert, ob das Dialogfeld Überwachungsfeld während der Ausführung angezeigt wird oder nicht. Es ist zwischen ANZEIGE und KEINE ANZEIGE umschaltbar.

Feldname = Diese Zeichenfolge steht für den Namen des Überwachungsfeldes. Es sind maximal 15 Zeichen zulässig.

Wert = Dies zeigt den aktuellen Wert des Überwachungsfeldes an. Es sind maximal 15 Zeichen zulässig.

Wichtig: Der Befehl ÜBERWACHUNGSFELD sollte auf den Befehl STAT/EIN folgen.

Mehr dazu:

Optionen


Optionen

Im Bereich Optionen werden die Optionen des Überwachungsfeldes gesteuert:

  • Keine Anzeige

  • Anzeige

  • Wertgrenze


Keine Anzeige

Durch Auswahl der Option Keine Anzeige wird angezeigt, dass bei der Ausführung des Überwachungsfeldes kein Dialogfeld angezeigt werden soll. Auf diese Weise können Überwachungsfelder durch Variablen gesteuert werden, ohne dass Benutzereingaben erforderlich sind.


Anzeige

Durch Auswahl der Option Anzeige wird angezeigt, dass bei der Ausführung des Überwachungsfeldes ein Dialogfeld angezeigt werden soll. Dadurch werden Benutzereingaben während der Ausführung des Überwachungsfeldes gefordert.

Hinweis: Überwachungsfelder, die mit Hilfe von Logo.dat eingegeben werden, werden bei der Programmausführung nicht ausgedruckt. Sie werden jedoch trotzdem an die Statistikdatei gesendet.


Wertgrenze

Das Feld Wertgrenze bestimmt, wieviel Zeichen für den Wert im Überwachungsfeld maximal zulässig sind. Wenn Sie als Wertgrenze die Zahl 5 eingeben, können Sie daher nicht mehr als fünf Zeichen in das Feld Wert eingeben.


Senden der aktuellen Statistik an eine Datei

Über die Menüoption Vorgang | Aktuelle Stat. an Datei senden können Sie Daten an eine Datenbank oder an die Datei XSTATS11.tmp senden, ohne das Werkstückprogramm auszuführen.

Bei Auswahl dieser Option werden alle Merkmals- und Überwachungsfelder, die auf einen STAT/EIN-Befehl folgen, sofort an die ausgewählte Datenbank gesendet. Die statistischen Daten werden nur an eine Datenbank gesendet, wenn Sie über eine registrierte Datenbank verfügen und der Befehl STAT/EIN markiert ist. Andernfalls sendet PC-DMIS die statistischen Daten an die Datei XSTATS11.tmp.


 Stats Options area Database Directories list Database Options area Datapage Variable Name area Read Lock box Write Lock box Membory Pages box Add Directory to List button Delete Current Stats File button Delete Directory from List button Update Database Now button Cancel button

Verwenden des Dialogfelds "Statistikoptionen"

Statistikoptionen (Dialogfeld)

Die Menüoption Einfügen | Statistik-Befehl | Statistik dient zur Verwaltung von statistischen Daten, die sich aus der Messung eines Werkstücks ergeben. Hierzu wird vor ausgewählten Merkmals- oder Überwachungsfeld-Befehlen ein STAT-Befehl in ein Werkstückprogramm eingefügt. Die erfassten Daten können dann an ein ausgewähltes Statistikprogramm gesendet werden.

Mehr dazu:

Statistikoptionen

Datenbankoptionen

Datenbank jetzt aktualisieren


Statistikoptionen

Der Bereich Statistikoptionen ist im Dialogfeld Statistikoptionen immer verfügbar. Mit den Befehlen im Bereich Statistikoptionen können Sie:

  • die Statistik ausschalten (Aus)

  • die Statistik einschalten (Ein)

  • die Statistik in ein anderes Verzeichnis übertragen

  • die Statistik aktualisieren


Statistik "Aus"

Wird die Option Aus für die Statistik gewählt, kann das Werkstückprogramm keine statistischen Daten mehr senden. Bei deaktivierter Statistik senden Merkmals- oder Überwachungsfeld-Befehle erst dann wieder statistische Daten zur Datenbank, wenn die Option Ein für die Statistik gewählt wird.


Statistik "Ein"

Bei Wahl der Option Ein für die Statistik können statistische Daten vom Werkstückprogramm an die Datenbank übertragen werden. Bei aktivierter Statistik können Sie Daten zur Statistikdatei senden, die Daten in ein anderes Verzeichnis übertragen oder in einer Datenbankanwendung speichern.

Alle Merkmale, die zwischen einem STAT/EIN- und dem nächsten STAT/AUS-Befehl stehen, werden bei Ausführung des nächsten STAT/TRANSFER-, STAT/UPDATE-Befehls oder des letzten Befehls im Werkstückprogramm an die Statistikdatei oder -datenbank gesendet. Sie können die Ausgabedaten mit dem Befehl STAT/EIN an mehrere Datenbanken senden, sogar innerhalb desselben Werkstückprogramms.

Bei jeder Ausführung eines Werkstückprogramms mit mindestens einem STAT/EIN-Befehl fragt PC-DMIS an, ob die Ausgabedaten an statistische Datenbankverzeichnisse gesendet werden sollen. Sie können diese Eingabeaufforderung umgehen, indem Sie das Kontrollkästchen Datenbank IMMER aktualisieren aktivieren, das auf der Registerkarte Merkmal im Dialogfeld Setup-Optionen zur Auswahl steht. Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".

Hinweis: Wurde unter Datenbankoptionen die Option DataPage ausgewählt, ruft PC-DMIS automatisch die auführbare Datei DPUPDATE.exe auf, um die Daten in der Datei XSTATS11.tmp in die ausgewählten DataPage-Verzeichnisse einzufügen.

Das Aktivieren der Statistik innerhalb einer Schleife kann bei den Merkmals- und Element-IDs zu einer leicht veränderten Ausgabe in die Datei XSTATS11.tmp führen.

Die im Bearbeitungsfenster für die Option STAT EIN angezeigte Befehlszeile lautet:
STAT/EIN,Datenbankoption;
Verzeichnis oder DSN,
Benutzer-ID , Lesesperre, Schreibsperre, Speicherseiten, Benutzermodus, Variablenname

Datenbankoption = Dieses Umschaltfeld gibt den Datenbanktyp an, zu dem die Statistik gesendet wird. Dieses Feld kann DATAPAGE, DES oder SPC_DATENBANK lauten.

Verzeichnis oder DSN = Ist als Datenbankoption DATAPAGE oder DES festgelegt, diese Zeichenfolge gibt die Datenbankverzeichnisse an, zu denen die Statistik gesendet wird. Hierbei muss es sich um ein gültiges Datenbankverzeichnis handeln. Ist als Datenbankoption SPC_DATENBASIS festgelegt, gibt diese Zeichenfolge den DSN-Namen der Datenbank an. Dieser DSN-Name kann unter den ODBC-Optionen in der Systemsteuerung des Computers erstellt werden. Dieser erstellte DSN-Name muss eine Verknüpfung mit einer gültigen SPC-Datenbank herstellen.

Benutzer-ID = Diese aus neun Ziffern bestehende Zeichenfolge gibt die Seriennummer der Anschlusssperre an. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Lesesperre = Dieses Feld gibt die maximale Anzahl von Sekunden an, die PC-DMIS beim Lesen auf den Datenbankzugriff wartet. Die Standardeinstellung lautet 10 Sekunden. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Schreibsperre = Dieses Feld gibt an, wie viele Sekunden PC-DMIS beim Schreiben maximal auf Datenbankzugriff wartet. Die Standardeinstellung lautet 20 Sekunden. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Speicherseiten = Dieses Feld gibt die Anzahl der 4K-Seiten an, die beim Öffnen der Datenbank für Datenbanktabellen reserviert werden. Diese Option wirkt sich auf die Leistung aus. Die zulässige Mindestanzahl beträgt 4 (gleichzeitig der Standard). Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Benutzermodus = Dieses Feld gibt die Benutzermoduseinstellung an. Der Einzelbenutzermodus gestattet nur einem einzigen Benutzer Zugriff auf die Datenbank. Der Wert 0 (Null) zeigt an, dass der Einzelbenutzermodus eingestellt ist. Der Wert 1 (Eins) zeigt an, dass der Mehrbenutzermodus aktiviert ist. Durch den Einzelbenutzermodus wird die Leistung verbessert. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Variablenname = Dieses Feld gibt den für die Variable festgelegten Namen an. Der Wert 0 (Null) gibt an, dass Merkmalnamen angezeigt werden. Der Wert 1 (Eins) gibt an, dass Element-IDs angezeigt werden. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.


Übertragen

Ist die Option Übertragen ausgewählt, dann können beim Ausführen des Befehls STAT/TRANSFER statistische Daten aus einem Werkstückprogramm in ein angegebenes Verzeichnis übertragen werden.

Hinweis: Diese Option erweist sich insbesondere in Verbindung mit der Option Auto aktualisieren von DataPage als nützlich.

So übertragen Sie die Statistik in ein anderes Verzeichnis:

  1. Klicken Sie auf die Option Übertragen.

  2. Geben Sie im Feld Übertragungsverzeichnis den Pfad zu dem Verzeichnis an, in das die Statistikdatei übertragen werden soll.


Aktualisieren

Die Option Aktualisieren erstellt einen STAT/UPDATE-Befehl, durch den PC-DMIS angewiesen wird, die statistische Datenbank jedesmal bei Ausführung des Befehls zu aktualisieren. Das statistische Softwareprogramm muss installiert und aktiviert sein.

Hinweis: Durch Aktivieren des Kontrollkästchens Datenbank IMMER aktualisieren auf der Registerkarte Merkmal im Dialogfeld Setup-Optionen können Sie die Meldung "Datenbank jetzt aktualisieren?" umgehen, die nach Ausführung eines Werkstückprogramms, in dem ein STAT/EIN-Befehl enthalten ist, angezeigt wird. Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".


Datenbankoptionen

Durch Auswahl einer der folgenden Datenbankoptionen können Sie angeben, an welches Statistik-Softwareprogramm die Messdaten gesendet werden sollen:

  • DataPage

  • DES

  • SPC-Datenbank

Das Dialogfeld Statistikoptionen ändert sich, wenn eine der Datenbankoptionen ausgewählt wird.

Mehr dazu:

Option "DataPage"

Datenbankverzeichnisse

Verzeichnis zur Liste hinzufügen

Verzeichnis aus Liste löschen

Aktuelle Statistikdatei löschen

DataPage-Variablenname

Kontrollberechnungen durchführen

Lesesperre

Schreibsperre

Speicherseiten

Option "DES"

Option "SPC-Datenbank"

Datenquelle

Datenbank anzeigen/bearbeiten


Option "DataPage"

Bei Auswahl der Option DataPage wird das Dialogfeld Statistikoptionen um folgende Komponenten erweitert:

  • Liste "Datenbankverzeichnisse"

  • Schaltfläche"Verzeichnis zu Liste hinzufügen"

  • Schaltfläche "Verzeichnis aus Liste löschen"

  • Schaltfläche "Aktuelle Statistikdatei löschen"

  • Bereich "DataPage-Variablenname"

  • Bereich "Kontrollberechnungen durchführen"

  • Feld "Lesesperre"

· Feld "Schreibsperre"

· Feld "Speicherseiten"

Statistikoptionen (Dialogfeld) - DataPage-Option


Datenbankverzeichnisse

Das Listenfeld Datenbankverzeichnisse zeigt die verschiedenen Verzeichnisse an, in denen eine Datenbankanwendung installiert werden könnte. Sie können Verzeichnisse zu dieser Liste hinzufügen bzw. sie daraus löschen. Pro STAT/EIN-Befehl können maximal zehn Verzeichnisse zur Übertragung von Statistikdaten ausgewählt werden.


Verzeichnis zur Liste hinzufügen

Wenn Sie ein neues Verzeichnis zum Listenfeld Datenbankverzeichnisse hinzufügen möchten, gehen Sie wie folgt vor:

  1. Klicken Sie auf die Schaltfläche Verzeichnis zu Liste hinzufügen. Daraufhin erscheint ein Feld, in das Sie den Verzeichnispfad eingeben können.

  2. Geben Sie den Verzeichnispfad für die Datenbank ein.

  3. Klicken Sie auf OK. Das Verzeichnis wird jetzt in der Liste angezeigt.


Verzeichnis aus Liste löschen

Wenn Sie ein Datenbankverzeichnis aus der Liste Datenbankverzeichnisse löschen möchten, gehen Sie wie folgt vor:

  1. Markieren Sie das zu löschende Verzeichnis in der Liste Datenbankverzeichnisse.

  2. Klicken Sie auf die Schaltfläche Verzeichnis aus Liste löschen. Das Verzeichnis wird aus der Liste gelöscht.


Aktuelle Statistikdatei löschen

Wenn Sie die Datei xstats11.tmp löschen möchten, klicken Sie auf die Schaltfläche Aktuelle Statistikdatei löschen.


DataPage-Variablenname

Diese Optionen funktionieren nur mit dem Statistik-Datenbankprogramm DataPage.

Die Optionen im Bereich DataPage-Variablenname geben an, ob die Einträge in DataPage anhand des Merkmal- oder Elementnamens identifiziert werden. Der Name darf maximal 10 Zeichen lang sein.

Um den Merkmal- oder Elementnamen auszuwählen, aktivieren Sie die Option Merkmalnamen verwenden oder die Option Elementnamen verwenden.


Kontrollberechnungen durchführen

Mit den Optionen im Bereich Kontrollberechnungen durchführen kann angegeben werden, ob die in DataPage durchgeführten Kontrollberechnungen verwendet werden sollen. Wird die Option Ein markiert, werden die "Außer Toleranz"-Kontrollberechnungen durchgeführt. Darüber hinaus wird das DataPage-Statistikaktualisierungsprogramm (DPUPDATE) angewiesen, die Kontrollberechnungen durchzuführen und die Kontrollanzeiger für Werkstück/Variable und innerhalb/außer Toleranz in der Datenbank zu setzen. Sie können diese Datenbank mit Hilfe des DataPage-Überwachungsmodus überprüfen, indem Sie die auf diesen Berechnungen basierenden Werkstück-/Variablenfarben (rot/gelb/grün) einschalten. Weitere Informationen entnehmen Sie bitte der Hilfedatei, die Sie zusammen mit der Anwendung "DataPage-Überwachungsmodus" erhalten haben.

Um die Kontrollberechnungen zu aktivieren bzw. zu deaktivieren, wählen Sie entweder die Option Ein oder die Option Aus. Die Standardeinstellung lautet Aus.


Lesesperre

Im Feld Lesesperre können Sie festlegen, wie viele Sekunden PC-DMIS beim Lesen maximal auf Datenbankzugriff wartet. Der Standardwert beträgt 10 Sekunden.

So ändern Sie die Anzahl von Sekunden, die PC-DMIS wartet:

  1. Markieren Sie den aktuellen Wert im Feld Lesesperre.

  2. Geben Sie einen neuen Wert ein.

  3. Drücken Sie die TABULATORTASTE.

  4. Klicken Sie auf OK.


Schreibsperre

Im Feld Schreibsperre können Sie festlegen, wie viele Sekunden PC-DMIS beim Schreiben maximal auf Datenbankzugriff wartet. Der Standardwert beträgt 20 Sekunden.

So ändern Sie die Anzahl von Sekunden, die PC-DMIS wartet:

  1. Markieren Sie den aktuellen Wert im Feld Schreibsperre.

  2. Geben Sie einen neuen Wert ein.

  3. Drücken Sie die TABULATORTASTE.

  4. Klicken Sie auf OK.


Speicherseiten

Im Feld Speicherseiten können Sie eingeben, wie viele 4K-Seiten beim Öffnen der Datenbank für Datenbanktabellen reserviert werden sollen. Die Mindestanzahl (und Standardeinstellung) von Seiten, die geöffnet sein müssen, beträgt vier.

So ändern Sie die Anzahl der Speicherseiten:

  1. Markieren Sie den Wert im Feld Speicherseiten.

  2. Geben Sie einen neuen Wert ein.

  3. Drücken Sie die TABULATORTASTE.

  4. Klicken Sie auf OK.


Option "DES"

Die Option DES funktioniert nur bei dem statistischen Datenbankprogramm DES. Bei Auswahl der Option DES verändert sich das Dialogfeld Statistikoptionen, so dass nur die Bereiche Statistikoptionen und Datenbankoptionen sowie die Schaltflächen Datenbank jetzt aktualisieren, OK und Abbrechen zur Auswahl stehen.

Statistikoptionen (Dialogfeld) - DES-Option


Option "SPC-Datenbank"

Die Option SPC-Datenbank funktioniert nur mit PC-DMIS' internem statistischen Datenbankprogramm SPC. Bei Auswahl der Option SPC-Datenbank verändert sich das Dialogfeld Statistikoptionen und zeigt folgende Optionen:

  • Feld "Datenquelle"

  • Datenbank anzeigen/bearbeiten

Statistikoptionen (Dialogfeld) - SPC (Datenbankoption)


Data Source

Use the Data Source list to select a Data Source Name (DSN). A DSN is created initially by using the Open Database Connectivity (ODBC ) options in the computer’s Control Panel.

If you need to create a DSN:

  1. Access the Windows Control Panel.

  2. Select Administrative Tools.

  3. Double-click on the ODBC Data Sources icon.

  4. Follow the instructions in your operating systems Help file to create the DSN.

By using the ODBC, PC-DMIS can pass data directly to the SPC database, and the data can be viewed within a statistical package that supports the SPC database.


Datenbank anzeigen/bearbeiten

Die Schaltfläche Datenbank anzeigen/bearbeiten steht nur dann zur Auswahl, wenn eine gültige Datenquelle aus dem Feld Datenquelle ausgewählt wurde. Wenn auf diese Schaltfläche geklickt wird, erscheint das Dialogfeld SPC-Datenbank, in dem die Daten in der SPC-Datenbank angezeigt und gelöscht werden können.

SPC-Datenbank (Dialogfeld)

Die SPC-Datenbank kann innerhalb von PC-DMIS über die folgenden Registerkarten des Dialogfelds angezeigt werden:

  • Werkstückprogramme

  • Merkmale

  • Merkmalwerte

  • Überwachungen

  • Überwachungswerte

Sie können die Datenbank auch über die Menüoption SPC-Datenbank aufrufen.


Datenbank jetzt aktualisieren

Mit der Schaltfläche Datenbank jetzt aktualisieren können Sie die Datenbankanwendung mit den aus dem aktuellen Werkstückprogramm gewonnenen statistischen Daten aktualisieren.

So aktualisieren Sie die Datenbank direkt:

  1. Klicken Sie auf die Schaltfläche Datenbank jetzt aktualisieren.

  2. Befolgen Sie die Bildschirmanweisungen.

Nachdem ein Werkstückprogramm erfolgreich ausgeführt wurde, werden ausgewählte Merkmal- und Überwachungsfeld-Informationen innerhalb einer Datei namens XSTATS11.tmp gespeichert, die sich in dem Installationsverzeichnis von PC-DMIS befindet (in der Regel das Verzeichnis C:\PCDMISW). Der Inhalt dieser Datei kann dann in ein anderes Verzeichnis übertragen, ausgedruckt oder an eine Datenbankanwendung gesendet werden.

Hinweis: Sollte keine Datenbankanwendung verfügbar sein, weist PC-DMIS in einer Meldung darauf hin, dass die Programmdatei für die Aktualisierung nicht gefunden wurde (bei der DataPage-Anwendung ist dies DPUPDATE.exe), mit der XSTATS11.tmp in die Datenbank geladen wird.


Messergebnisse protokollieren

Messergebnisse protokollieren: Überblick

Änderungen beim Protokollieren

Hinweise zum Protokollfenster

Symbolleiste "Protokollieren"

Ändern der Inhalte des Protokollfensters

Verwenden von Standardprotokollen

Erstellen von benutzerdefinierten Protokollen

Hinweise zu Protokollen und Protokollvorlagen

Protokollvorlagen-Editor

Lernprogramm - Erstellen einer benutzerdefinierten Protokollvorlage

Anwenden oder Entfernen einer Protokollvorlage

Hinweise zu Etiketten und Etikettvorlagen

Etikettvorlagen-Editor

Lernprogramm - Erstellen von Etikettvorlagen

Verwenden von Etiketten in Protokollen

Anordne n von Etiketten im Protokollfenster

Verwenden des Tabellenformatbefehls

Hinweise zu Objekteigenschaften

Allgemeine Eigenschaften

Arbeiten mit benutzerzugeordneten Eigenschaften

Vorlagenverbundene Daten löschen

Hinweise zu Ereignissen und zum Visual BASIC-Code

Hinweise zu Formblättern

Formblatt-Editor

Lernprogramm - Erstellen von Formblättern

Verwenden von Formblättern in Protokollen

Hinweise zu Protokollausdrücken

Operatoren und Funktionen

Verwenden von Datentypen zur Suche nach Protokollausdrücken

Hinweise zum Regelbaum-Editor

Definieren einer Regel

Importieren und Exportieren von Regeln

Verwenden des Dialogfelds "Eigenschaften Tabellenformat"

Ändern eines Miniaturansichtssymbols zur Voransicht einer Vorlage

Arbeiten mit dem Gitter

Arbeiten mit vorhandenen HyperView-Protokollen

Einbinden von HyperView-Protokollen in Werkstückprogramme

Der Befehl PROTOKOLL/DATEINAME

Zuordnen von PC-DMIS-Ausdrücken zu Eigenschaften von HyperView-Objekten

Bi-direktionale Natur von Ausdruckszuordnungen, wenn der Ausdruck ein L-Wert ist.


Messergebnisse protokollieren: Überblick

Nach der Messung des Werkstücks ist es wichtig, dass eine Übermittlung der Messergebnisse an Andere möglich ist. PC-DMIS sendet die Messdaten standardmäßig an ein Standard-Textprotokoll, das man Prüfprotokoll nennt. Dazu gehören umfangreiche Daten über jedes vom Werkstückprogramm gemessene Element. Sie können dieses Protokoll ausdrucken oder als Druckdatei speichern und die gespeicherten Protokolle später durch Auswahl aufrufen. Menü-Übersicht anzeigen Ansicht | Prüfprotokoll. Siehe unter "Anzeigen eines Prüfprotokolls" und "Drucken des Prüfprotokolls".

Das Standard-Prüfprotokoll mag in vielerlei Hinsicht Ihren Anforderungen entsprechen. PC-DMIS bietet Ihnen jedoch ab Version 4.0 und höher einige leistungsfähige Werkzeuge, um anwenderspezifische, interaktive Protokolle zu erzeugen. Mit diesen Werkzeugen können Sie das Aussehen und den Inhalt der Protokolle genau bestimmen, indem Sie Vorlagen verwenden. Mit diesen Vorlagen können Sie außerdem ein einheitliches, standardisiertes Design vieler Protokolle beibehalten.

Dieser Abschnitt enthält die folgenden Themen:

  • Änderungen beim Protokollieren

  • Hinweise zum Protokollfenster

  • Verwenden von Standardprotokollen

  • Erstellen von benutzerdefinierten Protokollen

  • Arbeiten mit vorhandenen HyperView-Protokollen


Änderungen beim Protokollieren

Die Hauptänderungen beim Protokollieren in PC-DMIS 4.0 umfassen eine komplette Überholung der HyperView-Protokollierungs-Funktionalität und die Einbeziehung eines leistungsstarken Vorlagensystems. Die folgenden Einträge schildern genau die Hauptänderungen der PC-DMIS-Protokollierung seit Version 3.7:

  • Das Protokollieren gehört nicht mehr dem Bereich "Bearbeitungsfenster" an. In einem neuen Protokollfenster mit eigener Symbolleiste werden die Messergebnisse angezeigt. Siehe Hinweise zum Protokollfenster"

  • Jetzt werden Vorlagen für Protokolle verwendet. Das bedeutet, dass Sie die gleichen Daten in unterschiedliche Vorlagen eingeben und dadurch unterschiedliche Protokolle mit den gleichen Daten erzeugen können. Oder Sie standardisieren die Protokolle und erstellen eine einzige Protokollvorlage, die die standardisierten Design-Aspekte der Protokolle für mehrere, unterschiedliche Werkstückprogramme beibehält. Siehe "Hinweise zu Protokollen und Protokollvorlagen".

  • Protokollvorlagen verwenden außerdem Etiketten, um spezifische Merkmale oder Elementangaben zu protokollieren. Sie haben die Möglichkeit, Ihre eigene, benutzerdefinierte Etikettvorlage zu erstellen. Siehe "Hinweise zu Etiketten und Etikettvorlagen".

  • Der HyperView-Protokoll-Editor wurde neu organisiert und in separate Bearbeitungsumgebungen für die verschiedenen Aspekte der neuen Vorgehensweise der Protokollierung aufgeteilt:

    1. Protokollvorlagen-Editor

    2. Etikettvorlagen-Editor

    3. Formblatt-Editor

  • Die alte HyperView-Objektleiste wurde ebenfalls umstrukturiert und enthält jetzt folgende Bereiche:

    1. Protokollvorlagen-Editor Objektleiste

    2. Etikettvorlagen-Editor Objektleiste

    3. Formblatt-Editor Objektleiste

  • Die bisher verwendeten Objekte Elementtext, Punktangaben und Merkmal-Info werden nun nicht mehr verwendet. PC-DMIS verwendet jetzt Etikettvorlagen, um diese und andere Aufgaben durchzuführen.

  • Jede Objekteigenschaft kann auf "benutzerdefiniert" eingestellt werden, sodass der Benutzer bei der Ausführung des Protokolls oder bei der Auswahl einer Vorlage aufgefordert wird, einen Wert für diese Eigenschaften einzugeben. Siehe "Arbeiten mit benutzerzugeordneten Eigenschaften"

  • Die bisher verwendeten HyperView-Protokoll sind immernoch vorhanden und können auch innerhalb des Werkstückprogramms ausgeführt werden. Allerdings können Sie nicht mehr in der neuen Umgebung der Vorlagen-Protokollierung bearbeitet werden. Falls Sie ein HyperView-Protokoll aus einer älteren Version bearbeiten müssen, muss dazu eine frühere Version vor 4.0 verwendet werden. Siehe "Arbeiten mit vorhandenen HyperView-Protokollen".


Hinweise zum Protokollfenster

Menü-Übersicht anzeigen Durch Auswahl von Ansicht | Protokoll fenster wird das Protokollfenster eingeblendet. In diesem Fenster werden nach der Ausführung des Werkstückprogramms Ihre Messergebnisse angezeigt und die Ausgabe gemäß einer Standardprotokollvorlage automatisch konfiguriert. Sie können jede Protokollvorlage als Standardprotokollvorlage festlegen. Zunächst verwendet PC-DMIS jedoch die Vorlage "TEXTONLY.RTP".

Protokollfenster, das ein standardmäßiges, text-basiertes Protokoll zeigt

Das Protokollfenster funktioniert wie jedes andere Fenster der PC-DMIS-Anwendung und unterliegt auch den Vorgängen des Menüs Fenster. Das Protokollfenster enthält statischen Inhalt, der auf den ausgewählten Protokollvorlagen und dem aktuellen Werkstückprogramm basiert.

Das Protokollfenster verfügt über eine eigene Symbolleiste, der Symbolleiste Protokollieren.

Siehe auch:

Symbolleiste "Protokollieren"

Ändern der Inhalte des Protokollfensters


Symbolleiste "Protokollieren"

Symbolleiste "Protokollieren"

Über die Symbollleiste Protokollieren des Protokollfensters werden folgende Funktionen durchgeführt:

Symbol | Beschreibung
Neuaufbau Protokoll | Das Protokoll wird neu aufgebaut. Wenn Sie die aktuelle Protokollvorlage oder die Änderungen am Werkstückprogramm bearbeiten, klicken Sie auf dieses Symbol, damit das Protokoll neu aufgebaut und damit aktualisiert wird. So können die veränderte Vorlage bzw. die neuen Programmdaten angewendet werden.
Dialog Vorlagenauswahl | Durch Auswahl des Symbols Vorlagenauswahl wird ein Dialogfeld eingeblendet, in dem Sie Ihre Vorlage verwalten können und eine Vorlage, mit der Sie die Protokollausgabe erstellen, auswählen. Siehe "Anwenden oder Entfernen einer Protokollvorlage"
Das Protokoll drucken | Druckt das Protokoll auf dem Standarddrucker.
Bestimmt dieses Protokoll als Standardprotokoll | Bestimmt die derzeitig verwendete Vorlage als die neue Standardvorlage für das aktuelle Werkstückprogramm. PC-DMIS wird zukünftig die definierte Standardprotokollvorlage automatisch immer dann verwenden, wenn Sie das Werkstückprogramm öffnen. Zunächst ist dieses Standardprotokoll auf TEXTONLY.RTP (NURTEXT.RTP) eingestellt.
Layout speichern | Durch Auswahl des Symbols Fenster-Layout speichern wird das Fenster-Layout der aktuellen Vorlage gespeichert. Ein neues gespeichertes Fenster-Layout-Symbol mit dem Namen Ihrer Vorlage erscheint in der Symbolleiste. Bei Auswahl dieses Symbols verwendet das Protokollfenster automatisch das gespeicherte Fenster-Layout, um das Protokoll anzuzeigen.
Protokollmodus anzeigen | Durch Auswahl des Symbols Vollständiges Protokoll wird das Protokoll vom ersten bis zum letzten Befehl im Werkstückprogramm erzeugt, unabhängig davon, wie das Programm zum letzten Mal ausgeführt wurde.
Zeigt das letzte Ausführungsprotokoll an | Bei Auswahl des Symbols Letztes Ausführungsprotokoll anzeigen werden nur die Einträge angezeigt, die während der letzten Ausführung des Werkstückprogramms ausgeführt wurden. Ebenfalls werden die Befehle in der gleichen Reihenfolge, in der sie ausgeführt wurden, angezeigt. Wenn aufgrund einer Schleife Befehle mehrmals ausgeführt worden sind, werden auch diese mehrmaligen Ausführungen angezeigt. Die Informationen bleiben nur so lange in diesem Protokoll, bis das Werkstückprogramm geschlossen wird. Wenn Sie das Werkstückprogramm schließen, löscht PC-DMIS dieses Protokoll.
Protokollvergrößerung bestimmen | Durch markieren eines Eintrags aus der Auswahlliste wird die Vergrößerung des Protokolls im Protokollfenster bestimmt. Dies betrifft nicht die Protokollausgabe, sondern nur die Darstellung des Protokolls oder ist bei der Auswahl einer Vorlage nützlich.
Ein gespeichertes Layout-Symbol | Dieses Symbol wird von gespeicherten Protokoll-Layouts verwendet. Klicken Sie einfach auf dieses Symbol, um für das Protokoll häufig verwendete Vorlagen unverzüglich aufzurufen. Um ein gespeichertes Layout zu entfernen, halten Sie die UMSCHALT-Taste gedrückt und ziehen dann mit der Maus das Symbol aus der Symbolleiste heraus.

Hinweis: Die Symbolleiste Protokollieren ist nur im Protokollfenster vorhanden. Sie kann nicht aus dem Symbolleistenbereich der Hauptbenutzeroberfläche von PC-DMIS ausgewählt werden.


Ändern der Inhalte des Protokollfensters

Dialogfeld "Protokoll"

Unilateraler Prozentsatz:

Nennwert: 0.0000

Messwert:0.0028

Abweichung:0.0028

Obere Tol:0.0050

Untere Tol:0.0000

Da die Abweichung 56 % des Toleranzbereichs darstellt, wird sie angezeigt, wenn der unilaterale Prozentsatz kleiner als 56 % ist.

Bilateraler oberer Prozentsatz:

Nennwert:3.0000

Messwert:3.0075

Abweichung:0.0075

Obere Tol:0.0100

Untere Tol:0.0100

Der Prozentsatz wird anhand des Hebelgesetzes berechnet:

(gemessener Wert - untere Grenze) / (obere Grenze - untere Grenze) * 100.

Mit diesen Daten wäre das:

(3.0075-2.9900) / (3.0100-2.9900) * 100. = 87.5%

Dieses Merkmal wird im Prüfprotokoll angezeigt, wenn der bilaterale obere Prozentsatz größer als 87,5 % ist.

Bilateraler unterer Prozentsatz:

Nennwert: 3.0000

Messwert:2,9925

Abweichung:0.0075

Obere Tol.: 0.0100

Untere Tol:0.0100

Der Prozentsatz wird anhand des Hebelgesetzes berechnet:

(gemessener Wert - untere Grenze) / (obere Grenze - untere Grenze) * 100.

Mit diesen Daten wäre das:

(2.9925-2.9900) / (3.0100-2.9900) * 100. = 12.5.%

Dieses Merkmal wird im Prüfprotokoll angezeigt, wenn der bilaterale untere Prozentsatz kleiner als 12,5 % ist.

Dialogfeld "Eigenschaften Sprungmarke"

Ändern der Inhalte des Protokollfensters

'Text protokollieren' bearbeiten

Wenn Sie mit der rechten Maustaste auf irgendeine Stelle im Text klicken, erscheint die Schaltfläche Bearbeiten.

Durch Klicken auf diese Schaltfläche wird das Dialogfeld Protokoll angezeigt. In diesem Dialogfeld können Sie bestimmen, was im Protokollfenster erscheinen soll.

Über die folgenden Kontrollkästchen können Sie verschiedene Objekte ein- bzw. ausblenden:

Elemente zeigen | Diese Option blendet alle Elementmessungen im Werkstückprogramm ein. Wenn Sie die Standardprotokollvorlage "textonly.rtp" verwenden, und das Werkstückprogramm ein Element mit mehr als einer Mindestanzahl an Punkten misst, wird ebenfalls eine Formblattzeichnung des Elements angezeigt.
Ausrichtungen zeigen | Diese Option zeigt Ausrichtungsänderungen während des Werkstückprogramms an. Es werden alle Ausrichtungsänderungen angezeigt, die in der Liste der Merkmale oder in der Liste der Elemente auftreten.
Kommentare einblenden | Diese Option zeigt alle Kommentare an, die zum Werkstückprogramm hinzugefügt wurden. (Weitere Informationen finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".
Kopfzeile/Fußzeile zeigen | Diese Option zeigt die Kopf-/Fußzeilen der Dateien LOGO.DAT, HEADER.DAT und ELOGO.DAT an. (Informationen zur Änderung dieser Dateien finden Sie unter "Ändern von Kopf- und Fußzeilen" im Abschnitt "Verwenden des Bearbeitungsfensters".)
Bildschirmkopien zeigen | Wenn diese Option aktiviert ist, zeigt PC-DMIS im Protokoll die Grafiken an, die mit den Befehlen ANZEIGE/METADATEI und ANALYSEANSICHT in Zusammenhang stehen.

In diesem Feld können Sie festlegen, wie Merkmale in Ihrem Protokoll angezeigt werden. Markieren Sie das Kontrollkästchen Einblenden. Nachdem dies aktiviert ist, werden die anderen Einträge in diesem Bereich zur Auswahl angezeigt: Dazu gehören:

Alle

Die Auswahl dieser Option wird so ausgeführt, als hätten Sie sowohl die Option Nur Merkmale außerhalb der Toleranz einblenden als auch die Option Merkmale außerhalb Grenzen aktiviert.

Nur Merkmale außerhalb der Toleranz einblenden

Wenn diese Option markiert ist, zeigt PC-DMIS nur die Merkmale außerhalb des Toleranzbereichs an. ("Zeige Merkmale" muss aktiviert sein.)

Diese Option ist nur verfügbar, wenn Sie Zeige Merkmale wählen und Merkmale außerhalb Grenzen einblenden deaktivieren.

Merkmale außerhalb Grenzen

Wenn Sie diese Option wählen, zeigt PC-DMIS nur Merkmale an, die außerhalb des Prozentsatzes des Toleranzbereichs liegen.

Wenn Sie das Kontrollkästchen Merkmale außerhalb Grenzen einblenden aktivieren, können die Toleranzprozentsätze bearbeitet werden. Für unilaterale Toleranzen ist ein Prozentsatz zulässig, für bilaterale Toleranzen ein oberer und ein unterer Prozentsatz.

Der Toleranzbereich gilt als Bereich zwischen 0 und 100 Prozent (ähnlich wie beim Anwenden von Merkmalsfarben auf Toleranzbereichregionen oder beim Zeichnen farbiger Balkendiagramme am Ende der Merkmalen). Die untere Grenze (Nennwert - untere Toleranz) entspricht 0% und die obere Grenze (Nennwert + obere Toleranz) entspricht 100%.

Merkmale, deren Abweichungen außerhalb des Toleranzbereichs liegen, sind entweder kleiner als 0 oder größer als 100 Prozent.

Bei einem unilateralen Merkmal (z. B. Rundheit; weist nur einen positiven Toleranzbereich auf) liegen die Nullabweichungen bei 0 Prozent. Alles über 100 Prozent liegt außerhalb des Toleranzbereichs.

Beispiel "unilateral"

Bei einem bilateralen Merkmal (z. B. Abstand; weist einen positiven und eine negativen Toleranzbereich auf) liegen die Nullabweichungen irgendwo in der Mitte. Wenn die Toleranzbereiche gleich groß sind, liegen die Nullabweichungen bei 50 Prozent.

Beispiel für "B ilateral oben"

Beispiel für "B ilateral unten"

Protokollaugabe im Text-Modus

Mit ihr wird bestimmt, ob die Merkmale als formatierter Text (Option ausgewählt) oder als Grafiktabelle (Option nicht ausgewählt) angezeigt werden.

Achtung: Wenn PC-DMIS keine angegebene Protokollvorlage findet, wird die sogenannte "default.rtp" (standard.rtp) -Datei verwendet. Diese allgemeine Vorlage versorgt Sie mit einem grundlegenden, text-basierten Protokoll. Da "default.rtp" nur das text-basierte Protokollieren unterstützt, hat es keine Auswirkung, wenn die Auswahl dieses Kontrollkästchens aufgehoben wird.

Etikettpositionierung bearbeiten

Wenn Sie auf ein Etikett doppelklicken, können Sie dieses Etikett "aufheben" und dann bewegen. Jetzt können Sie das Etikett an eine neue Stelle ziehen und durch doppelklicken darauf "absetzen", wobei es im Protokollfenster neu positioniert wird.

Etikettprotokollierung bearbeiten

Wenn Sie mit der rechten Maustaste auf ein Etikett und dann auf Bearbeiten klicken, erscheint das Dialogfeld Eigenschaften Etikett..

In diesem Dialogfeld können Sie die Reihenfolge der Spalten und Reihen ändern oder die Sichtbarkeit der einzelnen Spalten und Reihen einstellen.

So ändern Sie die Reihenfolge - Markieren Sie eine Reihe oder Spalte und klicken Sie den 'Nach oben'- oder 'Nach unten'-Pfeil.

So blenden Sie einen Eintrag ein bzw. aus - Heben Sie die Auswahl des Kontrollkästchens neben dem Eintrag auf, um ihn auszublenden. Wählen Sie das Kontrollkästchen zur Anzeige wieder ein.

Nachdem Sie die gewünschten Änderungen am Etikett vorgenommen haben, wählen Sie eine der Optionsschaltflächen unten im Dialogfeld, um sie auf das aktuelle Etikett, auf alle ähnlichen Etiketten in dieser Sektion oder auf alle ähnlichen Etiketten auf dieser Seite, anzuwenden.

Bestimmen Sie, was beim ein- oder ausblenden von Spalten mit dem Etikett geschieht, indem Sie einen Eintrag aus der Liste Typ der Größenanpassung auswählen. In dieser Liste stehen folgende Einträge zur Verfügung:

Gittergröße anpassen - Über diese Option wird die vorhandene Spaltengröße beibehalten und die Gittergröße entsprechend der neuen Breite angepasst.

Spaltenbreite anpassen - Über diese Option wird die vorhandene Breite des Etiketts beibehalten und die Größe jeder Spalte entsprechend dieser vorhandenen Breite angepasst.

Nur Text ausblenden - Über diese Option wird keine Gitter- oder Spaltengröße angepasst. Es wird lediglich der Text ausgeblendet.

Klicken Sie auf OK, damit PC-DMIS die Änderungen übernehmen kann.

CAD-Modellprotokollierung bearbeiten

Durch Doppelklicken auf irgendein CADProtokollobjekt wird dieses Objekt "aktiviert". Das heißt, das CAD-Modell kann nun ganz nach Ihren Wünschen gedreht oder verkleinert und vergrößert werden. Klicken Sie außerhalb des CADProtokollobjekts, um die neue Ausrichtung und das neue Zoom-Level anzuwenden. Siehe auch "CADProtokollobjekt".


Verwenden von Standardprotokollen

Die vorgegebene Standardprotokollvorlage, TEXTONLY.RTP, ist nichts weiter als eine simple Vorlage, die Messdaten in ein TextProtokollObjekt einfügt, um die Darstellungsweise von textbasierten Protokollen in früheren PC-DMIS-Versionen nachzuahmen.

Protokollfenster, das ein standardmäßiges, text-basiertes Protokoll zeigt

Wenn die vorgegebene, Standard-Protokollvorlage für Sie nicht in Frage kommt, können Sie auf eine der zusätzlichen Standardprotokollvorlagen, die mit PC-DMIS geliefert werden, zugreifen. Sie können das Layout, das für das aktuelle Protokoll verwendet wird, auf einfache Weise ändern, indem Sie auf das entsprechende Symbol aus der Symbolleiste Protokollieren klicken.

  • TEXTONLY.RTP: das TextProtokollObjekt, das einige Standardetiketten enthält.

  • CADONLY.RTP: das CADProtokollObjekt, das einige Standardetiketten enthält.

  • TEXTANDCAD.RTP: das TextProtokollObjekt und das CADProtokollObjekt, die einige Standardetiketten enthalten.

  • CADONLY_LANDSCAPE: Als CADONLY (NUR CAD), aber im Querformat.

Diese Vorlagen sind im Dialogfeld Protokollvorlagen standardmäßig vorhanden. Informationen zur Verwendung dieses Dialogfelds finden Sie unter "Eine Protokollvorlage anwenden oder entfernen".

Hinweis: Wenn Sie ein Werkstückprogramm laden, das eine Protokollvorlage verwendet, die weder im angegebenen Protokollverzeichnis noch im Installationsverzeichnis von PC-DMIS vorhanden ist, erzeugt PC-DMIS im Handumdrehen eine 'nur text'-Protokollvorlage, die als "default.rtp" (Standard.rtp) bezeichnet wird. Dadurch haben Sie die Möglichkeit, immer ein Protokoll im Protokollfenster anzuzeigen, auch wenn die angegebene Protokollvorlage nicht vorhanden ist. Beachten Sie, dass "default.rtp" nur Angaben im 'nur text'-Format anzeigt. Das heißt, Sie können die Auswahl des Kontrollkästchens Protokollausgabe im Text-Modus im Dialogfeld Protokoll also nicht aufheben. Informationen hierzu finden Sie unter Ändern der Inhalte des Protokollfensters.


Hinweise zu benutzerdefinierten Protokollen

Erstellen von benutzerdefinierten Protokollen

Obwohl PC-DMIS mit einigen vorgestalteten Vorlagen geliefert wird, die den Ansprüchen der meisten Benutzer entsprechen, können Sie sich eingehend mit dem leistungsstarken Vorlageneditor zur Erstellung Ihrer eigenen, benutzerdefinierten Protokoll- und Etikettvorlagen beschäftigen. Sie können den Formblatteditor auch dazu verwenden, eine interaktivere Annäherung an Ausführung und Protokollierung zu erstellen.

Die folgenden Themen behandeln die Erstellung Ihrer eigenen, benutzerdefinierten Protokolle unter Verwendung des Protokoll- und Etikettvorlageneditors und Formblättern.

Tipp: Erstellen Sie zum ersten Mal ein benutzerdefiniertes Protokoll? Dann informieren Sie sich im Lernprogramm über das "Erstellen einer benutzerdefinierten Protokollvorlage".

Siehe auch:

Hinweise zur allgemeinen Benutzeroberfläche

Hinweise zu Protokollen und Protokollvorlagen

Hinweise zu Etiketten und Etikettvorlagen

Hinweise zu Formblättern

Hinweise zu Objekteigenschaften

Hinweise zu Protokollausdrücken

Hinweise zum Regelbaum-Editor

Ändern eines Miniaturansichtssymbols zur Voransicht einer Vorlage


Hinweise zur allgemeinen Benutzeroberfläche

Die Formblatt- und Vorlageneditoren benutzen viele der allgemeinen Benutzeroberflächen-Elemente gemeinsam: die Menüleiste, die Symbolleisten, die Objektleiste usw. Obwohl die einzelnen Symbole oder Einträge dieser Menüs bei den verschiedenen Editoren variieren, sind die standardisierten Design-Aspekte im Wesentlichen die Gleiche.

Die Benutzeroberfläche wird in den folgenden Themen erläutert.

Siehe auch:

Menüleiste

Schriftleiste

Objektleiste

Layout-Leiste


Menüleiste für Protokollvorlagen-, Etikettvorlagen- und Formblatt-Editor

Datei | Neu - Erstellt eine leere Vorlage oder Formblatt.

Datei | Öffnen - Öffnet eine zuvor gespeicherte Protokollvorlagen-Datei oder Formblatt.

Datei | Schließen - Schließt den Vorlageneditor oder das Formblatt.

Datei | Speichern unter - Speichert die aktuelle Vorlage oder das Formblatt unter neuem Dateinamen.

Datei | Bearbeiten / Datei | Ausführen - Über diese Option können Sie zwischen den zwei Editor-Modi hin- und herschalten: Bearbeitungsmodus und Ausführungsmodus. Im Ausführungsmodus können Sie ein Formblatt "ausführen" oder testen. Im Bearbeitungsmodus können Sie ein Vorlage oder ein Formblatt bearbeiten. (Der Ausführungsmodus funktioniert nur im Formblatt-Editor; er ist in den Protokollvorlagen- und Etikettvorlagen-Editoren vorhanden.)

Datei | Beenden - PC-DMIS wird beendet.

Bearbeiten | Layout | Objekte ausrichten, Gleicher Abstand, In Ansicht zentrieren, Gleiche Größe - Mit diesen Untermenüs können Sie Objekte im Editor ausrichten, den Abstand zwischen den Objekte und deren Layout bestimmen. Weitere Informationen hierzu finden Sie unter "Layout-Leiste".

Bearbeiten | Layout | Eigenschaften - Zeigt das Eigenschaftenblatt für das derzeitig ausgewählte Objekt an. Ist kein Objekt ausgewählt, wird das Eigenschaftenblatt für den Bearbeitungsbereich ("Section" oder "The Frame/View" genannt) ausgewählt. Siehe auch unter "Eigenschaftenblatt" und "Hinweise zu den Sektionen".

Bearbeiten | Layout | Mnemonik prüfen - Durch diesen Menüeintrag wird sichergestellt, dass alle Tastenkombinationen, die die ALT-Taste kombiniert mit einem Buchstaben verwenden, nur ein einziges Mal auf einem Formblatt oder einem Vorlageneintrag, der Text (wie beispielsweise Schaltflächen) anzeigt, erscheint.

Um eine Tastenkombination für ein Formblatt oder ein Steuerelement eines Dialogfelds zu definieren, setzen Sie ein UND-Zeichen (&) vor den Buchstaben. Eine Schaltfläche mit dem Textetikett "&Fortfahren" würde auf einem Formblatt wie "Fortfahren" aussehen und wäre über ALT+C zugänglich.

Bearbeiten | Layout | Gittereinstellungen - Öffnet das Dialogfeld Gittereinstellungen. In diesem Dialogfeld können Sie eine Gitter mit Punkten im Hintergrund des Layouts ein- bzw. ausblenden. Siehe "Arbeiten mit dem Raster".

Bearbeiten | Layout | Objekte - Zeigt das Dialogfeld Objektseite an.. Verwenden Sie dieses Dialogfeld, um die Objekte im Formblatt zu prüfen oder sie auszuwählen und um ihre Tabulatorfolge zu bestimmen. Siehe "Objektseite". (Nur im Formblatt-Editor verfügbar.)

Bearbeiten | Reihenfolge - Mit diesem Menü können Sie Objekte, die einander überlappen, vor oder hinter andere Objekte,verschieben.

Bearbeiten | Rückgängig - Über diese Menüoption können Sie die letzte Aktion im Editor rückgängig machen.

Bearbeiten | Wiederholen - Über diese Menüoption können Sie die zuvor rückgängig gemachte Aktion wiederholen.

Bearbeiten | Ausschneiden - Schneidet das Objekt aus und speichert es zum Einfügen.

Bearbeiten | Kopieren - Kopiert das Objekt und speichert es zum Einfügen.

Bearbeiten | Entfernen - Entfernt die ausgewählten Objekte.

Bearbeiten | Einfügen - Fügt das ausgeschnittene oder kopierte Objekt ein. Jedes Mal, wenn ein kopiertes Objekt genau auf ein anderes Objekt eingefügt wird, müssen Sie es zu einer anderen Stelle ziehen, andernfalls wird das ursprüngliche Objekt vom kopierten Objekt überlappt.

Der Menüeintrag Bearbeiten | Einfügen spezieller... unterscheidet sich insofern vom dem Standardmenüeintrag Einfüge, als dass eine Verbindung zwischen dem eingefügten Element und der Quelle, von der es kopiert wurde, bestehen bleibt. Wenn also die Quelle geändert wird, wird auch der eingefügte Eintrag aktualisiert. Beispiel:

Bearbeiten | Tabulatorfolge einstellen - Hiermit können Sie bestimmen, welche Objekte ausgewählt werden, wenn der Benutzer auf TAB drückt, um im Ausführungsmodus durch die Objekte zu blättern. (Dieser Vorgang funktioniert nur im Formblatt-Editor.)

Bearbeiten | Benutzerzugeordnete Eigenschaften - Öffnet das Dialogfeld Benutzerzugeordnete Eigenschaften, in dem Sie alle benutzerzugeordneten Eigenschaften auf einmal verwalten können. Siehe "Arbeiten mit benutzerzugeordneten Eigenschaften" (Nur im Protokollvorlagen-Editor verfügbar.)

Dialogfeld "Objektseite"

Beispielsweise möchten Sie ein Microsoft Excel-Tabellenobjekt in Ihr Hyperview-Protokoll einfügen und die Daten dieser Tabelle sollen immer in Übereinstimmung zu den Daten aus der Excel-Datei bleiben. Vorgehensweise:

1. Kopieren Sie das Tabellenobjekt in der Microsoft Excel-Datei.

2. Öffnen Sie die Vorlage oder das Formblatt.

3. Wählen Sie Bearbeiten | Einfügen spezieller.... Das Dialogfeld Einfügen spezieller... wird angezeigt.

4. Wählen Sie die Option Verknüpfung einfügen.

5. Klicken Sie auf OK. Das Tabellenobjekt erscheint in der Vorlage oder Formblatt.

Wenn Sie jetzt Änderungen an dem Tabellenobjekt in Ihrer Excel-Datei vornehmen, wird PC-DMIS das Tabellenobjekt im Protokoll oder Formblatt aktualisieren.

Ansicht | Grafikfenster, Bearbeitungsfenster, Voransichtsfenster, Formblatt-Editor, Fenster mit Markierungsgruppen, BASIC-Skripteditor, Prüfprotokoll, Taster Anzeige, Taster Werkzeugleiste - Blendet diese PC-DMIS-Fenster oder -Editoren ein bzw. aus. Beim Arbeiten im Editor erfüllen diese Menüoptionen meist keinen Zweck und können daher ausgeblendet werden.

Ansicht | Objektleiste - Zeigt die Objektleiste des Editors an. Siehe "Objektseite".

Ansicht | Layout-Leiste - Zeigt die Layout-Leiste des Editors an. Siehe "Layout-Leiste".

Ansicht | Schriftart-Leiste - Zeigt die Schriftart-Leiste des Editors an. Siehe "Schriftart-Leiste".

Ansicht | Linealleisten - Zeigt Lineale an der oberen und linken Seite vom Editor an. See "Lineal ein-/aus"

Ansicht | Rastpunkte - Zeigt die "Rastpunkte" für alle Objekte im Editor an. Siehe "Rastpunkte anzeigen"

Ansicht | Route - Diese Option funktioniert nur mit Rastpunkten. Auf komplexen Seiten mit zahlreichen Objekten könnte die Menüoption Ansicht | Route für Sie nützlich sein, mit der Sie die Reihe der mit dem aktuell ausgewählten Objekte verknüpften Objekte mit Hilfe von Rastpunkten ansehen können. Über diese Menüoption werden alle Objekte ausgewählt, die in irgendeiner Weise durch Rastpunkte mit dem aktuell ausgewählten Objekt verbunden sind. (Nur im Formblatt-Editor verfügbar.)

Über diese Menüoption können Sie Standardfenster-Manipulationen mit einem beliebigen Fenster in PC-DMIS durchführen. Weitere Informationen hierzu finden Sie im Abschnitt "Navigieren und Anzeigen von mehreren Fenstern".

Hilfe | Index - Öffnet die Hilfedatei von PC-DMIS.

Hilfe | Hilfe verwenden - Blendet ein entsprechendes Thema zur Verwendung der Hilfedatei ein.

Hilfe | Info über PC-DMIS - Blendet das Dialogfeld Info über PC-DMIS ein, das Angaben über Ihre PC-DMIS-Version zeigt.

Menüleiste für Protokollvorlagen-, Etikettvorlagen- und Formblatt-Editor

Menü "Datei"

Menü "Bearbeiten"

Ansicht (Menü)

Windows-Menü

Menü "Hilfe"


Schriftleiste

Über die Schriftleiste des Editors können Sie häufig geänderte Eigenschaften für Schriftart, Farbe, Hintergrund und Linie für die verschiedenen Objekte festlegen.

Schriftleisteneintrag | Beschreibung
 | Ändert die Schriftart des Objekts, wenn Text unterstützt wird. Entspricht der Einstellung der Schriftart-Eigenschaft.
 | Ändert die Schriftgröße des Objekts, wenn Text unterstützt wird. Entspricht der Einstellung der Schriftart-Eigenschaft.
 | Zeigt den Objekttext in Fettdruck an. Entspricht der Einstellung der Schriftart-Eigenschaft.
 | Zeigt den Objekttext in Kursivdruck an. Entspricht der Einstellung der Schriftart-Eigenschaft.
 | Richtet den Text entweder links, in der Mitte oder rechts am Objekt aus. Entspricht der Einstellung der Ausrichtungs-Eigenschaft.
 | Bestimmt die Hintergrund- und Vordergrundfarben des Objekts. Beim Vordergrund werden Text- und Randfarben festgelegt. Entspricht den Einstellungen der BackColor- (Hintergrundfarbe) und Forecolor- (Vordergrundfarbe) Eigenschaften.
 | Stellt die Rand- und Linienstärke ein. Durch mehrmaliges Anklicken wird zwischen verschiedenen Optionen hin- und hergeschaltet. Entspricht der Einstellung der Linienstärke-Eigenschaft.
 | Stellt die Linienart ein (trifft nicht auf Ränder zu). Durch mehrmaliges Anklicken wird zwischen der Option für die durchgezogene Linie und den Optionen für verschiedene gepunktete Linien hin- und hergeschaltet. Entspricht der Einstellung der Linienstärken-Eigenschaft.
 | Platziert Pfeilspitzen and das Ende oder an die Enden eines Linienobjekts. Durch mehrmaliges Anklicken werden die Pfeile abwechselnd an verschiedene Stellen an einem oder an beiden Enden der Linie erscheinen. Entspricht der Einstellung der Pfeilspitzen-Eigenschaft.
 | Stellt ein Hintergrundmuster, das "hatch style" (schraffiert) genannt wird, für ein Objekt, das diesen Stil unterstützt, ein. Durch mehrmaliges Anklicken wird zwischen den verfügbaren Schraffurarten hin- und hergeschaltet. Entspricht der Einstellung der HatchStyle-Eigenschaft.
 | Über diese Option können Sie einen Schatten unter Objekte, die diese Option unterstützen, ein- bzw. ausblenden. Durch mehrmaliges Anklicken wird zwischen den verfügbaren Schattenstilen hin- und hergeschaltet. Entspricht der Einstellung der ShadowStyle-Eigenschaft.


 Bitmap Object Analysis Object Pointer Ojbect OLE Object Label Object GridControlObject Dimension Color Key Object TextReportObject CADReportObject ActiveX Object Graph Object Gauge Object Ellipse Object Arc Object Pointer Object Text Object Line Object Leader Line Object Border Object Bitmap Object Analysis Object Pointer Ojbect OLE Object GridControlObject Dimension Color Key Object TextReportObject ActiveX Object Graph Object Gauge Object Ellipse Object Arc Object Pointer Object Text Object Line Object Leader Line Object Border Object Spinner Object Slider Object Multi Edit Box Object Edit Long Box Object Edit Box Object Edit Double Box Frame Object Ellipse Object Arc Object Gauge Object Pointer Ojbect Bitmap Object ActiveX Object Border Object OLE Object TextVar Object Line Object Leader Line Object Text Object Pointer Object Check Button Object Button Object Graph Object List Box Object Combo Box Object Radio Button Object

Beispiel eines Textobjekts mit der Anzeige von Handles

Objektleiste

Die Objektleiste ist eine Symbolleiste, mit der Sie verschiedene Objekte in eine Vorlage oder Objekte und Steuerelemente in ein Formblatt einfügen können. Sie können Text, Bilder, Multimedia, Dialogfeld-Steuerelemente, besondere PC-DMIS-spezifische Objekte und andere Elemente einfügen, die Sie bei der Erstellung benutzerdefinierter Etiketten, Protokolle und Formblätter unterstützen.

Diese Leiste erscheint immer in einem der folgenden Bearbeitungsbereiche: dem Protokollvorlagen-Editor, dem Etikettvorlagen- und Formblatt-Editor.

Es gibt drei Arten von Objektleisten für die drei verschiedenen Bearbeitungsbereiche.

Protokollvorlagen-Editor | Etikettvorlagen-Editor | Formblatt-Editor
Klicken Sie auf Objektsymbole in der oben angezeigten Objektleiste, um Informationen über dieses Objekt anzeigen zu lassen.

Einer Vorlage Objekte hinzufügen:

So fügen Sie ein Objekt zu einer Vorlage hinzu:

  1. Greifen Sie im Editor auf die Objektleiste zu.

  2. Klicken Sie auf das Objekt, das in das Protokoll eingefügt werden soll.

  3. Halten Sie dann die linke Maustaste gedrückt und ziehen Sie ein Rechteck auf den aktuellen Ausschnitt.

  4. Lassen Sie die Maustaste wieder los.

  5. Bei der Erstellung wird das Objekt ausgewählt, wie die kleinen, grünen Vierecke, genannt Handles, an jeder Ecke des Objekts veranschaulichen.

Auswählen und Bearbeiten von Objekten:

Bevor Sie ein Objekt bearbeiten, müssen Sie es auswählen. Um ein Objekt auszuwählen, klicken Sie auf das Objekt, sodass die grünen Handles angezeigt werden.

So ziehen Sie ein Objekt an eine andere Stelle - Wählen Sie das Objekt aus. Klicken Sie die Maustaste und halten Sie gleichzeitig den Mauszeiger oben auf das Objekt und ziehen Sie es zur neuen Stelle. Lassen Sie die Maustaste wieder los.

So passen Sie die Größe eines Objekts an - Markieren Sie das Objekt und bewegen Sie den Mauszeiger über eins der grünen Handles, bis sich der Mauszeiger in einen Cursor, bestehend aus einer Linie mit zwei Pfeilen, verwandelt. Klicken Sie dann auf das Handle und ziehen Sie die Maus an die neue Stelle. Lassen Sie die Maustaste wieder los. Das Objekt wird vergrößert oder verkleinert.

So ändern Sie die Eigenschaften eines Objekts - Markieren Sie das Objekt und klicken Sie mit der rechten Maustaste auf das Objekt, sodass das Dialogfeld Eigenschaften erscheint. Wählen und ändern Sie Eigenschaften nach Ihren Wünschen.

So führen Sie Vorgänge wie Ausrichten, Gruppieren, Gruppierung wieder aufheben etc. durch - Verwenden Sie die Layout-Leiste oder die Untermenüs Bearbeiten | Layout und Bearbeiten | Reihenfolge.

Kodieren von Objekten zur dynamischen Änderung

Um gewisse Eigenschaften dynamisch zu ändern, können Sie bei einigen Objekten BASIC-Skripting verwenden. Sie können diesen Code zum Beispiel dafür verwenden, gezeichnete Punkte automatisch auf ein Grafikobjekt anzuordnen oder aber Sie verwenden das Fortschrittsbalken-Objekt, das eine Art 'Balkengraph' darstellt. Nähere Angaben hierzu finden Sie unter, "Beispiel zur Verwendung von BASIC-Skripting für die dynamische Änderung des Werts der Statusanzeige"


ActiveX-Objekt

Mit dem ActiveX-Objekt wird ein ActiveX-Steuerelement in die Vorlage oder das Formblatt eingefügt. Anschließend wird das Dialogfeld Insert OLE Control (OLE-Steuerelement einfügen) angezeigt.

Dialogfeld "ActiveX-Steuerelement einfügen"

Dialogfeld "ActiveX-Steuerelement einfügen"

In diesem Dialogfeld können Sie den Typ des einzufügenden Steuerelements aus einer Liste der auf Ihrem System bekannten Steuerelemente auswählen. Die Steuerelemente in der Liste Objekttyp sind je nach installierten Programmen und Komponenten auf jedem System verschieden. ActiveX-Steuerelemente vergrößern die Möglichkeiten, die Sie bei der Erstellung einer Vorlage oder eines Formblatts haben. So können Sie beispielsweise eine Diagrammsteuerung einfügen und dann mit Hilfe des Visual BASIC-Codes Werkstückprogrammdaten zur dynamischen Erstellung eines Diagramms weiterleiten.

ActiveX-Steuerelemente von PC-DMIS

PC-DMIS wird mit folgenden ActiveX-Steuerelementen geliefert, die zur Elementanalyse gehören. Diese erscheinen in bestimmten Zellen des GitterSteuerObjekts auf einigen Standardetiketten, die mit PC-DMIS geliefert werden. Im Allgemeinen verwendet die Software diese Steuerelemente zur Anzeige von Grafikanalyse-Angaben. Sie können diese Steuerelemente in Ihre eigene Vorlage oder in Ihrem Formblatt im Dialogfeld ActiveX-Steuerelement einfügen einfügen.

ActiveX-Steuerelemente von PC-DMIS umfassen:

  • Steuerelement BFANALYSISACTIVEX

  • Steuerelement DIMANALYSISACTIVEX

  • Steuerelement "Dimension Report Linear"

  • Steuerelement "Dimension Report Radial"

  • Steuerelement "FeatureAnalysisActiveX"

  • Steuerelement BFANALYSISACTIVEX

Wie jedes andere Objekt auch, enthält das ActiveX-Objekt von PC-DMIS Eigenschaften, standardmäßige und auch einmalige, die Sie unter Vewendung des Dialogfelds Eigenschaften bearbeiten können. Das unten stehende Thema behandelt den Zugriff auf solche Eigenschaften.

Siehe auch:

Zugreifen auf die Methoden und Eigenschaften von ActiveX-Objekten über BASIC


Zugreifen auf die Methoden und Eigenschaften von ActiveX-Objekten über BASIC

Wenn Sie ein Steuerelement (beispielsweise ein ActiveX-Kalendersteuerelement) mit dem Namen MSCAL hinzugefügt haben, können Sie wie bei jedem anderen Objekt über das Eigenschaftenblatt auf dessen Ereignisse und Eigenschaften zugreifen. In diesem Fall wird eine neue Registerkarte mit dem Titel ActiveX angezeigt, da es sich um ein ActiveX-Objekt handelt. Auf dieser Registerkarte befindet sich eine Liste von Variablen und Eigenschaften mit Standardwerten, die für den Benutzer zugänglich sind.

Um die Eigenschaften für ein ActiveX-Steuerelement im VBS Mini-Editor für einen Event-Handler einzustellen, geben Sie den Namen des Steuerelements ein, in diesem Fall "MSCAL." (mit dem Punkt). Es wird ein Fenster angezeigt, das den Zugriff auf die Variablen und Methoden gestattet. Wählen Sie "X" aus der Liste aus. Es wird ein weiteres Popup-Fenster mit einer Liste interner Variablen für das ActiveX-Steuerelement angezeigt, die bearbeitet werden können.


Analyseobjekt

Das Analyseobjekt dient zum Einfügen eines PC-DMIS-Analysefensters in eine Etikettvorlage. PC-DMIS zeigt daraufhin im Protokollfenster eine Grafikanalyse der Merkmale, die eine Protokollvorlage nach Etikettvorlage mit einem Analyseobjekt verwenden, an.

Achtung: Das Analyseobjekt funktioniert nur mit Toleranzrahmen-Merkmalen, nicht aber mit V37-kompatiblen Merkmalen.

Sie können die zahlreichen Eigenschaften verwenden, um festzulegen, was dieses Objekt anzeigt. Sie können auch über den (Einstellungsdialog) auf das Dialogfeld Optionen für Merkmalsanalyse zugreifen. In diesem Dialogfeld können Sie auf einfache und schnelle Weise viele Eigenschaften des Analyseobjekts festlegen.

Optionen für Merkmalsanalyse (Dialogfeld)

Optionen für Merkmalsanalyse (Dialogfeld)

Dialogfeldoptionen | Beschreibung
Pfeilspitzen einblenden | Über dieses Kontrollkästchen wird die Anzeige von Pfeilspitzen für Abweichungslinien ein- bzw. ausgeschaltet.
Linien zwischen Messpunkten einblenden | Über dieses Kontrollkästchen wird die Anzeige von Linien zwischen den gemessenen Punkten ein- bzw. ausgeschaltet.
Linien zwischen Nennwerten einblenden | Über dieses Kontrollkästchen wird die Anzeige von Linien, die zwischen den Nennwerten gezeichnet wurden, ein- bzw. ausgeschaltet.
Toleranzlinien einblenden | Über dieses Kontrollkästchen wird die Anzeige der akzeptablen Toleranzen für das Merkmal ein- bzw. ausgeschaltet.
Durchmesser einblenden | Über dieses Kontrollkästchen wird die Anzeige von den Durchmessern der verfügbaren Positionsmerkmale ein- bzw. ausgeschaltet.
Besteinpassung, max. Inkreis- und min. Umkreis-Durchmesser einblenden | Über dieses Kontrollkästchen wird die Anzeige von Besteinpassungs-Durchmessern, maximaler Inkreis- und min. Umkreis-Durchmesser für die Rundheitsmerkmale ein- bzw. ausgeschaltet.
Konturzeichnung einblenden | Über dieses Kontrollkästchen wird die Anzeige einer Konturzeichnung für Profilmerkmale ein- bzw. ausgeschaltet. Die Konturzeichnung verwendet die Scanpunkte zur Erstellung eines Maschengitters, wobei die Farben mit den Profilabweichungen jedes Messpunkts verknüpft sind.
Farbinterpolation zwischen Messpunkten einblenden | Über dieses Kontrollkästchen wird die Anzeige von eingefügten Farben zwischen den gemessenen Punkten ein- bzw. ausgeschaltet.
Pfeile einblenden | Über dieses Kontrollkästchen wird die Anzeige von Pfeilen für Abweichungslinien ein- bzw. ausgeschaltet.


Bogenobjekt

Mit dem Bogenobjekt wird ein elliptischer Bogen in die Vorlage oder in das Formblatt eingefügt. Ein standardmäßiger Bogen hat keine Füllfarbe. Er beginnt bei einem Winkel von 0 Grad und endet bei –90 Grad.

Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute einzustellen, stehen für Bogenobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft | Beschreibung
Linienstärke | Hiermit wird die Randbreite in Pixel eingestellt.
Linienart | Hiermit wird die Linienart des Bogens auf schattiert, gestrichelt, punktiert, gestrichelt und punktiert und einmal gestrichelt/zweimal punktiert eingestellt.
Winkel1 | Diese Zahl definiert den Startwinkel für den Bogen. Der Standardwert ist 0 Grad.
Winkel2 | Diese Zahl definiert den Endwinkel für den Bogen. Der Standardwert ist -90 Grad.
IsWedge (Keil) | Ist diese Eigenschaft auf NEIN (Standard) eingestellt, zeichnet PC-DMIS einen gefüllten Bogen ohne Keil, wie folgt: Ist diese Eigenschaft auf JA eingestellt, zeichnet PC-DMIS einen gefüllten Bogen mit Keil, wie folgt:


Randobjekt

Mit dem Randobjekt wird ein rechteckiger Rand in die Vorlage oder in das Formblatt eingefügt. Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute zu ändern, stehen für Randobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft | Beschreibung
Linienstärke | Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Schraffur | Hiermit wird der Mustertyp (bzw. der Schraffurtyp) für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Muster: Horizontal Vertikal Diagonal Umkehrdiagonal Kreuz Diagonal gekreuzt
Schattierung | Hiermit wird die Position der 3D-Schattierung für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Positionen: OBEN/LINKS, UNTEN/RECHTS oder Keine.
HiliteColor | Hiermit wird die Farbe für die Eigenschaft BorderStyle (Rahmenart) eingestellt.
Rahmenart | Hiermit wird der 3D-Stil für den Objektrand in Pixel eingestellt. Zu den Optionen gehören Normal, 3D, Abgesenkt und Erhöht.


Bitmap-Objekt

Mit dem Bitmap-Objekt können Sie eine vorab erstellte Bitmap-Grafik in Ihre Vorlage oder in Ihr Formblatt einfügen. Wenn Sie auf dieses Symbol klicken, wird ein Dialogfeld angezeigt.

Bitmap-Dialogfeld

  • Klicken Sie auf OK, um eine Bitmap, die in das Dialogfeld geladen wurde, in das Formblatt oder in die Vorlage einzufügen.

  • Mit der Schaltfläche Abbrechen wird das Dialogfeld geschlossen, ohne dass ein Bitmap eingefügt wird.

  • Klicken Sie auf Kopieren, um ein Bitmap in die Zwischenablage zu kopieren, das bereits mit der Schaltfläche Laden in das Dialogfeld geladen wurde.

  • Klicken Sie auf Einfügen, um eine kopierte Bitmap-Grafik aus der Zwischenablage in das Dialogfeld zu kopieren. Nachdem Sie eine Grafik eingefügt haben, können Sie das Kontrollkästchen RLE auswählen, um die Grafik beim Speichern mit dem Protokoll zu komprimieren

  • Die Schaltfläche Laden ermöglicht Ihnen, eine Grafik (Bitmap- oder JPEG-Datei) in das Dialogfeld zu laden. Nachdem Sie die Grafik geladen haben, können Sie das Kontrollkästchen Verknüpfen auswählen, um das Bitmap mit der Vorlage oder mit dem Formblatt über deren Verzeichnispfad zu verknüpfen. Das bedeutet, dass die Grafik bei der Aktualisierung in der aktuellen Form in der Vorlage oder im Formblatt erscheint.

  • Klicken Sie auf Löschen, wenn Sie das geladene Bitmap aus dem Dialogfeld entfernen möchten.

  • Mit der Liste Transparent können Sie eine Farbe im Bitmap angeben, die transparent angezeigt werden soll.

Neben der Möglichkeit, die Größe des Objekts zu ändern und andere Attribute einzustellen, stehen für Bitmap-Objekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft | Beschreibung
Bitmap | Enthält den Dateinamen des Bitmap.
Layout | Mittig, Links oder Rechts steht als Ausrichtung des Bitmap innerhalb des Rechtecks zur Verfügung. Strecken vergrößert oder verkleinert die Grafik, so dass sie dem Feld angepasst wird. Size to Fit (Größe anpassen) erweitert automatisch die Größe des Rechtecks, um sie der Grafik anzupassen.


Schaltflächenobjekt

Mit dem Schaltflächenobjekt wird ein Schaltflächen-Steuerelement in das Formblatt eingefügt. Sie können eine Aktion auswählen, die beim Klicken auf eine Schaltfläche im Formblatt ausgeführt wird. Bearbeiten Sie hierfür die Eigenschaft ButtonType.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Standard

Hiermit wird festgelegt, wie Schaltflächen reagieren, wenn Sie die EINGABETASTE drücken.

JA – Die Schaltfläche reagiert auf die Betätigung der EINGABETASTE, auch wenn eine andere Schaltfläche diese Belegung hat.

NEIN – Bei Betätigung der EINGABETASTE reagiert nur die Schaltfläche, die diese Belegung hat.

ButtonShape

Hiermit wird die Darstellung der Schaltfläche bestimmt. Folgende Optionen stehen zur Auswahl:

0-Normal: Die Form wird in eine Standardschaltfläche geändert.

1- Property tab Inactive (Registerkarte "Eigenschaften" deaktiviert): Die Form wird in eine nicht ausgewählte Registerkarte eines Property Sheet (Eigenschaftenblatt) geändert.

2- Property tab Active (Registerkarte "Eigenschaften" aktiviert): Die Form wird in eine ausgewählte Registerkarte eines Property Sheet geändert.

Text

Hiermit wird der Text auf der Schaltfläche festgelegt.

Bitmap

Hiermit wird eine Bitmap Ihrer Wahl oben in die Schaltfläche eingefügt. Hierfür werden dasselbe Dialogfeld und dieselben Eigenschaften verwendet, wie unter "Bitmap-Objekt".

Layout

Hiermit wird die Position des Bitmap oder Textes auf der Schaltfläche eingestellt. Zulässige Werte sind:

0- Mitte

1- Links

2- Rechts

3- Oben

4- Unten

ButtonType

Hiermit wird die Aktion einer Schaltfläche festgelegt, wenn sie angeklickt wird.

0- Abbrechen: Das Formblatt wird ohne weitere Aktion geschlossen.

1- EventClick: Führt eine C++ oder VBScript-Aktion durch-

2- Goto: Wechselt zu der mit Multi Document Interface (MDI; Mehrfachdokumentschnittstelle) verbundenen Datei.

3- Hilfe: ruft die WinHelp()-Funktion mit der Eigenschaft "HelpContextID" auf, um das richtige Thema zu öffnen.

4- OK: zeichnet Änderungen auf und schließt das Formblatt.

5- Aufzeichnen: zeichnet Änderungen auf und läßt das Formblatt geöffnet.

GotoPath

Hiermit wird die verbundene MDI-Datei bestimmt, die das Formblatt beim Klicken auf die Schaltfläche aufruft. Diese Funktion wird häufig verwendet, um Steuerelemente, ähnlich wie das Eigenschaftenblatt, zu implementieren.


CADProtokollobjekt

Über das CADProtokollobjekt können Sie die CAD-Zeichnung innerhalb eines fertiggestellten Protokolls anzeigen. Wenn Sie zum ersten Mal ein CADProtokollobjekt in eine Protokollvorlage 'absetzen', startet PC-DMIS automatisch den Etikett-Layout-Assistenten. Nachdem die Etiketten, die von PC-DMIS verwendet werden sollen, mit Hilfe des Assistenten positioniert wurden, wird eine Dummy-Grafik des Hexagon-Prüfblocks eingeblendet und, wenn keine Regeln definiert sind, werden auch Dummy-Etiketten eingeblendet. Das könnte folgendermaßen aussehen:

Ein Beispiel-CADProtokollobjekt, das in eine Protokollvorlage eingefügt wurde

Beachten Sie bitte, dass diese Dummy-Objekte einfach nur Darstellungen von dem, was sich im Protokoll befinden soll, sind. Im aktuellen Protokollfenster wird das aktuelle CAD-Modell eingeblendet. Die Etiketten zeigen ein Bild der Etikettvorlage, die von der ersten Regel im Regelbaum des CADProtokollobjekts definiert wurde, an. Wenn das Etikett nicht verknüpft ist und keine Regeln darauf angewendet werden können, zeichnet es das Dummy-Etikettbild.

Funktionsweise im Protokollfenster:

Die CAD-Anzeige erscheint im Protokollfenster genau so, wie sie nach der Fertigstellung der Werkstückprogramm-Ausführung im Grafikfenster oder zur Zeit der Neu-Zeichnung des Protokolls angezeigt wird, außer, dass sie nicht vergrößert wird.

Obwohl das Protokollfenster oft die gesamte CAD-Zeichnung zeigt, werden nur Etiketten und Führungslinien für solche Elemente, die im Regelbaum-Editor angegeben wurden, eingeblendet. Wenn das Werkstückprogramm beispielsweise vier gemessene Kreise und zwei gemessene Geraden aufweist, zeigt das CADProtokollobjekt im Regelbaum-Editor nur Etiketten für die gemessenen Kreise an. Dann zeigt das Protokoll nur die Etikettangaben für solche Kreise, obwohl bei der letzten Ausführung möglicherweise auch schon die Geraden gemessen wurden.

Auch wenn das CADProtokollobjekt weniger Etiketten als zur Protokollierung im Regelbaum-Editor angegebene Elemente aufweist, stellt das Protokoll zusätzliche Instanzen der CAD-Zeichnung dar und zeigt Führungslinien und Etiketten für jedes verbleibende Element. Dies ist besonders hilfreich, wenn die Etiketten so viele Informationen haben, dass das Protokoll bei mehr als ein oder zwei Etiketten um die Werkstückzeichnung überladen wirkt.

Rotieren und Vergrößern des CAD-Modells

Sie können die Ausrichtung und die Größe des CAD-Modells im Protokollfenster auf einfache Weise verändern, indem Sie auf das Objekt doppelklicken, um es zu "aktivieren". Nachdem es aktiviert ist, können Sie es im CAD-Modell drehen und vergrößern bzw. verkleinern.

  • Zum Drehen drücken Sie das Tastenrad der Maus, halten dieses Tastenrad gedrückt und ziehen dann die Maus. Oder Sie drücken STRG und klicken dann mit der rechten Maustaste bei gleichzeitigem Ziehen der Maus.

  • Zum Verkleinern oder Vergrößern klicken Sie mit der rechten Maustaste über oder unter eine imaginäre, horizontale Linie, die quer über die Mitte des CAD-Modells führt.

Durch Klicken außerhalb des CAD-Objekts wird es deaktiviert und verwendet die neue Ausrichtung und Größe.

Eigenschaften:

Eigenschaft | Beschreibung
(Einstellungsdialog) | Der Etikett-Layout-Assistent Hiermit können Sie auf schnelle Weise mehrere Etiketten um die CAD-Zeichnung herum anordnen. Siehe auch "Etikett-Layout-Assistent".
Regelbaum | Öffnen Sie das Dialogfeld Regelbaum-Editor. In diesem Dialogfeld können Sie Bedingungen und Aktionen für dieses Objekt definieren. Siehe auch "Hinweise zum Regelbaum-Editor".

Siehe auch:

Etikett-Layout-Assistent


Etikett-Layout-Assistent

Beispiel "Rechteckig - Verteilt"

Beispiel "Rechteckig - Gebündelt"

Beispiel "Elliptisch - Verteilt"

Beispiel "Elliptisch - Gebündelt"

Etikett-Layout-Assistent

Der Etikett-Layout-Assistent ist ein Werkzeug, mit dem Sie auf schnelle Weise mehrere Etiketten um die CAD-Zeichnung im Protokollvorlagen-Editor herum anordnen können. Dieser Assistent erscheint automatisch immer dann, wenn Sie ein CADProtokollObjekt einfügen. Er erscheint außerdem, wenn Sie die Eigenschaft (Einstellungsdialog) für ein CADProtokollObjekt auswählen.

Alle Änderungen, die Sie im Assistenten vornehmen, werden automatisch auf das CADProtokollObjekt angewendet.

Dieser Assistent kann in zwei Hauptbereiche aufgeteilt werden:

  • Bereich "Layout-Voransicht"

  • Bereich "Einstellungen"

Bereich "Layout-Voransicht"

Im Bereich Layout-Voransicht können Sie die Darstellung des Layouts um das CADProtokollObjekt herum in der Protokollvorlage als Vorschau ansehen.

Je nachdem, wie die Etiketten erscheinen sollen, können Sie entlang einer entweder rechteckigen oder ellipsenförmigen Bahn gedreht werden, indem Sie auf das viereckige, weiße Handle klicken, das sich in der Mitte des Rechtecks oder der Ellipse befindet, und es dann an eine andere Stelle ziehen. Durch Klicken und Ziehen auf eines der äußeren weißen Handles (kleine, weiße Quadrate) können Sie die Rotationsbahn vergrößern oder verkleinern.

Wenn Sie die Werkstückzeichnung neu positionieren möchten, klicken Sie einfach darauf und ziehen Sie an die gewünschte Stelle.

Einstellungsbereich

Über die Auswahlliste können Sie die Abstände und die Rotationsbahnen für die Etiketten im Bereich der Layout-Voransicht steuern. Sie können zwischen folgenden Optionen wählen:

Rechteckig - Verteilt - Die Etiketten rotieren um die Werkstückzeichnung auf einer rechteckigen Bahn. Die Etiketten werden gleichmäßig um das Rechteck herum verteilt.

Rechteckig - Gebündelt - Die Etiketten rotieren um die Werkstückzeichnung auf einer rechteckigen Bahn. Die Etiketten liegen auf einer Seite des Rechtecks dicht beieinander.

Elliptisch - Verteilt - Die Etiketten rotieren um die Werkstückzeichnung auf einer ellipsenförmigen Bahn. Die Etiketten werden gleichmäßig um die Ellipse herum verteilt.

Elliptisch - Gebündelt - Die Etiketten rotieren um die Werkstückzeichnung auf einer ellipsenförmigen Bahn. Die Etiketten liegen um die Ellipse herum dicht beieinander.

Etikettanzahl

Hier können Sie die Anzahl der Etiketten in der Protokollvorlage bestimmen.

Etikettgröße-Optionen

In diesem Bereich können Sie zwischen automatischer und manueller Größenbestimmung der Etikettobjekte hin- und herschalten. Um den Etikettobjekten eine bestimmte Größe zuzuordnen, klicken Sie auf Manuelle Größenbestimmung aktivieren und geben die Werte in den Feldern Breite und Höhe ein.

Änderungen der Etikettgröße betreffen nur den Entwurf. Die Etikettgröße im aktuellen Protokollfenster wird dadurch nicht beeinträchtigt.


BefehlTextObjekt

Die Option BefehlTextObjekt dient lediglich als ein Behälter für eine einfache Textzeichenfolge, die einen Überblick eines Elements oder eines Merkmals vermittelt.

Wenn Sie eine Vorlage mit diesem Objekt mit aktuellen Protokolldaten verwenden, blendet PC-DMIS eine Textzeichenfolge ein, die bei einem Element das Textetikett, den Elementtyp und die Anzahl der Messpunkte, die zur Messung des Elements nötig waren, zeigt. Bei einem Merkmal werden Merkmalsname, Merkmalstyp und die im Merkmal verwendete Maßeinheit eingeblendet.

Ein Etikett, das nur über ein BefehlTextObjekt mit aktuellen Protokolldaten verfügt, sieht bei der Darstellung im Protokollfenster etwa so aus:

Beispiel eines BefehlTextObjekts mit aktuellen Protokolldaten

Protokoll

von Kreiselementen, erzeugt von einem Etikett, das ein BefehlTextObjekt verwendet

Eigenschaft | Beschreibung
Farben | Hier können Sie die Farben des angezeigten Texts ändern. Standardmäßig veranlasst PC-DMIS dieses Objekt, das gleiche Farbschema wie im Befehlsmodus des Bearbeitungsfensters zu verwenden. Wenn Sie also diese Eigenschaft anklilcken, werden Sie von PC-DMIS gefragt, ob Sie einen unabhängigen Farbsatz erstellen möchten. Durch Klicken auf Ja wird das Dialogfeld Farben-Editor geöffnet. Sie können nun in diesem Editor ein neues Farbschema für das ausgewählte BefehlTextObjekt definieren. Siehe "Definieren von Bearbeitungsfenster-Farben" unter "Voreinstellungen".


Kontrollkästchenobjekt

Mit dem Kontrollkästchenobjekt wird ein Kontrollkästchen in das Formblatt eingefügt. Kontrollkästchen schließen sich, anders als Optionsschaltflächen, gegenseitig nicht aus. Sie können stets beliebig viele Kontrollkästchen aktivieren (sofern sie zur Auswahl stehen).

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

OwnerDrawn

Hiermit wird festgelegt, auf welche Weise ein Kontrollkästchen im Formblatt gezeichnet wird.

Wird diese Einstellung auf TRUE (Wahr) eingestellt, wird das Kontrollkästchen mit Hilfe eines Bitmap gezeichnet, das in den Eigenschaften Bitmap (Off) (Aus) festgelegt wurde.

Mit der Einstellung FALSE (Falsch) wird das Kontrollkästchen normal gezeichnet.

Bitmap

Hiermit können Sie ein bestimmtes Bitmap angeben, sofern OwnerDrawn auf TRUE (Wahr) eingestellt wurde und das Kontrollkästchen aktiviert wird.

Das angegebene Bitmap muss dieselbe Form aufweisen, wie ein standardmäßiges Kontrollkästchen.

BitmapOffState

Hiermit können Sie ein bestimmtes Bitmap angeben, sofern OwnerDrawn auf TRUE (Wahr) eingestellt wurde und das Kontrollkästchen nicht aktiviert wird.

Das angegebene Bitmap muss dieselbe Form aufweisen, wie ein standardmäßiges Kontrollkästchen.

TriState

Mit dieser Eigenschaft kann ein Kontrollkästchen über die beiden üblichen Modi TRUE (ON) (Wahr; Ein) und FALSE (OFF) (Falsch; Aus) hinaus über einen weiteren Modus verfügen. Dabei handelt es sich um "teilweise wahr", was Ihnen ermöglicht zu bestimmen, ob ein Teil einer gewählten Option "wahr" ist.

AlignTextLeft

Wird diese Eigenschaft auf JA eingestellt, wird der Text links vom Kontrollkästchen angezeigt, wie folgt:

Text hier [ ]

Wird diese Eigenschaft auf NEIN eingestellt, wird der Text rechts vom Kontrollkästchen angezeigt, wie folgt:

[ ] Text hier

Text

Der hier angegebene Text wird auf dem Kontrollkästchen-Steuerelement angezeigt.

HelpHotButton

Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Kontrollkästchen angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführungsmodus wird die PC-DMIS-Online-Hilfe gestartet

ValueID

Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.


Kombinationsfeldobjekt

Mit dem Kombinationsfeldobjekt wird einr Kombiliste in das Formblatt eingefügt. Mit dieser Liste werden verschiedene Optionen zur Auswahl angezeigt, wenn Sie diese Liste im Ausführungsmodus anklicken.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Accelerator

Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

UseColors

Diese Eigenschaft bestimmt, ob dieses Steuerelement die unter BackColor und TextColor angegebenen Farben verwenden soll oder nicht.

ListItems

Diese Eigenschaft definiert eine Liste an Einträgen und die damit verbundenen Werte (siehe auch die Beschreibung zum Dialogfeld List Choices [Wahlmöglichkeiten] unter "Optionsfeldobjekt").

NumDropped

Die angegebene Zahl bestimmt, wie viele Listeneinträge im Formblatt angezeigt werden, wenn Sie die Liste im Ausführungsmodus anklicken.

Sort

Bei der Auswahl von JA werden die Listeneinträge in alphabetischer Reihenfolge sortiert.

ComboType

Hiermit wird der Typ der Kombiliste festgelegt. Es stehen die Optionen Droplist oder Dropdown zur Auswahl.

HelpHotButton

Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Kontrollkästchen angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführungsmodus wird die Online-Hilfe von PC-DMIS gestartet.

ValueID

Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Variablen auf und stellen sie ein.


Merkmalsfarbschlüssel-Objekt

Das Merkmalsfarbschlüssel-Objekt wird verwendet, um einen Farbschlüssel direkt in die Vorlage einzufügen. Dieser Farbschlüssel umfasst die Farben, in denen die Toleranzbereiche für Analyse- und Histogramm-Objekte dargestellt werden. Informationen zur Definition dieser Toleranzbereiche und Änderung der Farben, in denen die Bereiche angezeigt werden, finden Sie unter “Elementsfarbe bearbeiten” im Abschnitt zum "Bearbeiten der CAD-Anzeige".


Bearbeitungsfeldobjekt

Mit dem Bearbeitungsfeldobjekt wird ein Feld, das bearbeitet werden kann, in das Formblatt eingefügt. Sie können dieses Objekt mit Visual BASIC-Skripting verwenden, um Informationen von den Formblattführenden Personen einzuholen.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Accelerator

Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

Ausrichtung

Der Text wird im Objekt ausgerichtet. Zur Auswahl stehen folgende Ausrichtungen: Links, Mitte und Rechts.

ReadOnly

Wird diese Eigenschaft auf JA eingestellt, ist der Text schreibgeschützt und kann nicht bearbeitet werden, wenn das Protokoll im Ausführungsmodus ist.

BorderDrawn

Wird diese Eigenschaft auf JA eingestellt, wird ein Rand um das Steuerelement gezeichnet.

CaseOrPassword

Hiermit wird der Textstil für das Feld eingestellt. Die folgenden Optionen sind verfügbar:

0 - Keine: Textanzeige wird nicht geändert.

1 - Lower Case (Kleinschreibung): Der gesamte Text wird in Kleinbuchstaben angezeigt,

2 - Upper Case (Großschreibung): Der gesamte Text wird in Großbuchstaben angezeigt,

3 - Passwort: Jedes Zeichen wird durch ein Sternchen verborgen.

UseColors

Mit der Einstellung JA werden in BackColor und TextColor angegebene Farben angezeigt.

HelpHotButton

Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Kontrollkästchen angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführungsmodus wird die PC-DMIS-Online-Hilfe gestartet.

ValueID

Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Variablen auf und stellen sie ein.


EditDbleBox-Objekt

Mit dem EditDblBox-Objekt können Sie ein Bearbeitungsfeld in das Formblatt einfügen, in dem Variablen des Typs "Double" akzeptiert werden. Dieses Objekt verfügt über alle Eigenschaften des Bearbeitungsfeldobjekts (siehe auch "Bearbeitungsfeld-Objekt"), ergänzt um die Eigenschaften MinimumEq und MaximumEq:

Eigenschaft | Beschreibung
MinimumEq | Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST
MaximumEq | Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST


EditLongBox-Objekt

Mit dem EditLongBox-Objekt können Sie ein Bearbeitungsfeld in das Formblatt einfügen, in dem nur lange numerische Werte akzeptiert werden. Dieses Objekt verfügt über alle Eigenschaften des Bearbeitungsfeldobjekts (siehe auch "Bearbeitungsfeld-Objekt"), ergänzt um die Eigenschaften MinimumEq und MaximumEq:

Eigenschaft | Beschreibung
MinimumEq | Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST
MaximumEq | Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST


Ellipsenobjekt

Mit dem Ellipsen-objekt wird eine Ellipse in das Formblatt oder die Vorlage eingefügt. Die Standardellipse ist ein Kreis mit derselben Entfernung vom Flächenmittelpunkt des Kreises zu allen Punkten entlang des Kreisumfangs. Sie können den Kreis jedoch problemlos zu einer Ellipse dehnen.

Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute einzustellen, stehen für Ellipsenobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft | Beschreibung
Breite | Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Linienart | Hiermit wird die Linienart auf schattiert, gestrichelt, punktiert, gestrichelt und punktiert und einmal gestrichelt/zweimal punktiert eingestellt.
Schraffur | Hiermit wird der Mustertyp (bzw. der Schraffurtyp) für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Muster: Horizontal Vertikal Diagonal Umkehrdiagonal Kreuz Diagonal gekreuzt


Elementtext-Objekt

Das Elementtext-Objekt wird verwendet, um den Prüfprotokolltext für beliebige Elemente oder Merkmale innerhalb des Werkstückprogramms direkt in ein HyperView-Protokoll einzufügen. Wenn Sie ein Elementtext-Objekt in ein Protokoll ziehen und dort ablegen, erscheint ein Dialogfeld, in dem der Benutzer bestimmen kann, welches Merkmal bzw. welches Element dem Objekt zugewiesen werden soll. Das Elementtext-Objekt ist nur dann von Nutzen, wenn Sie möchten, dass der Text für ein Element oder ein Merkmal im HyperView-Protokoll genau so wie im Prüfprotokoll erscheinen soll. Wenn für ein Merkmal im Bearbeitungsfenster die Option "Textanalyse" ausgewählt wurde, kann das Elementtext-Objekt die zur Textanalyse dieses Merkmals gehörenden Punktinfos anzeigen. Das Merkmalsinfo-Objekt ist eine nützliche Alternative zur Anzeige weiterer Textinformationen zu einem bestimmten Merkmal.


Rahmenobjekt

Mit dem Rahmenobjekt wird ein Rahmen in das Formblatt eingefügt. Normalerweise verwenden Sie dieses Objekt, um eine Gruppe ähnlicher Optionen zusammenzufassen, wenn Sie im Formblatt Ihre eigenen Dialogfelder erstellen.

Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute einzustellen, stehen für Rahmenobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft | Beschreibung
BorderColor (Randfarbe) | Hiermit wird die Farbe für den Rahmen eingestellt.
HiliteColor | Hiermit wird die Farbe für die Eigenschaft BorderStyle (Rahmenart) eingestellt, wenn Sie die Eigenschaften Sunken (abgesenkt) und Raised (Erhöht) verwenden.
Rahmenart | Hiermit wird der 3D-Stil für den Objektrand in Pixel eingestellt. Zu den Optionen gehören Normal, 3D, Abgesenkt und Erhöht.
BorderWidth (Randbreite) | Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Text | Hier eingegebener Text bestimmt den für den Rahmentitel verwendeten Namen.
Ausrichtung | Der Text wird im Objekt ausgerichtet. Zur Auswahl stehen folgende Ausrichtungen: Links, Mitte und Rechts.


Statusanzeige-Objekt

Mit dem Statusanzeige-Objekt wird ein Fortschrittsbalken (oder Fortschrittsleiste) in das Formblatt oder die Vorlage eingefügt.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, kann der Anzeigebalken dieses Objekts bewegt werden, indem diese Eigenschaften in Verbindung mit Visual BASIC-Code eingesetzt werden.

Eigenschaft | Beschreibung
ValueEq | Wertegleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript zurückgegebener Wert sein.) -$, $, KONST
MinimumEq | Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript zurückgegebener Wert sein.) -$, $, KONST
MaximumEq | Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript zurückgegebener Wert sein.) -$, $, KONST

Tipp: Wenn Sie die Ausrichtung der Stautsanzeige ändern, wird sich auch die Bewegungsrichtung der Anzeigebalken entsprechend ändern.

Siehe auch:

Beispiel zur Verwendung von BASIC-Script für die dynamische Änderung des Werts der Stautsanzeige


Beispiel zur Verwendung von BASIC-Skripting für die dynamische Zeigerbewegung

Beispiel zur Verwendung von BASIC-Script für die dynamische Änderung des Werts der Fortschrittsanzeige

Mit Hilfe des BASIC-Codes im VBS Mini-Editor können Sie den Wert einer Statusanzeige jederzeit dynamisch ändern. Sie möchten beispielsweise ein Formblatt erstellen, in dem die Statusanzeige 0 bis 100 Prozent anzeigt, je nachdem, wie stark sich ein Kreisdurchmesser seinen minimal und maximal zulässigen Toleranzen nähert. Hierzu gehen Sie folgendermaßen vor:

  1. Erstellen Sie ein neues Formblatt und vergewissern Sie sich, dass der Bearbeitungsmodus eingestellt ist. Zuerst müssen Sie eine globale Variable namens MYDIAMETER erstellen, die den Wert des Kreisesdurchmessers aufnehmen wird.

  2. Klicken Sie mit der rechten Maustaste auf den Raster und vergewissern Sie sich, dass The Frame / The View aus der Objektliste auf dem Eigenschaftenblatt ausgewählt ist.

  3. Klicken Sie auf die Registerkarte Einstellungen auf das Eigenschaftenblatt und wählen Sie dann den Wert für die Eigenschaft Lokale Variablen aus. Das Dialogfeld Lokale Variablen wird angezeigt.

  4. Klicken Sie auf die Schaltfläche Hinzufügen, um eine neue Variable hinzuzufügen. Wählen Sie aus der Liste Typ die Option Doppelt aus. Geben Sie MYDIAMETER in das Namens feld ein. Belassen Sie den Wert auf 0.

Dialogfeld "Lokale Variablen" mit Anzeige der globalen Variablen MYDIAMETER

  5. Klicken Sie auf OK, um zum Eigenschaftenblatt zurückzukehren. Die Variable MYDIAMETER wird dem Formblatt jetzt hinzugefügt.

  6. Als Nächstes fügen Sie ein Statusanzeigenobjekt in das Formblatt ein.

  7. Wählen Sie das Statusanzeigenobjekt aus, positionieren Sie es und stellen Sie die gewünschte Größe ein. Der vertikale Abstand stellt die gesamte Strecke dar, auf der die Anzeigeleiste bewegt werden kann.

  8. Doppelklicken Sie auf das Statusanzeigenobjekt, um das Dialogfeld Eigenschaftenblattaufzurufen.

  9. Wählen Sie die Registerkarte PC-DMIS.

  10. Klicken Sie auf die Eigenschaft MaximumEq. Der VBS Mini-Editor wird angezeigt, wobei jedoch eine Vielzahl seiner Funktionen deaktiviert sind.

  11. Wählen Sie KONST aus der Liste aus. Mit diesem Wert können Sie den 100%-Wert des Statusanzeigenobjekts definieren.

  12. Geben Sie den maximal zulässigen Wert für den Kreisdurchmesser ein. Im vorliegenden Beispiel wird ein Kreis mit einem Durchmesser von 2,5 cm mit einer zulässigen Toleranz von 0,025 gemessen. Der maximal zulässige Wert wäre daher 2,525.

  13. Klicken Sie auf OK, um zum Eigenschaftenblatt zurückzukehren.

  14. Klicken Sie auf die Eigenschaft MinimumEq. Der VBS Mini-Editor wird geöffnet. Mit diesem Wert können Sie den 0%-Wert des Statusanzeigenobjekts definieren.

  15. Wählen Sie KONST aus der Liste aus.

  16. Geben Sie den minimal zulässigen Wert für den Kreisdurchmesser ein. Da in diesem Beispiel wiederum ein Kreis mit einem Durchmesser von 2,5 cm mit einer zulässigen Toleranz von 0,025 gemessen wird, würde der minimal zulässige Wert daher 2,475 betragen.

  17. Klicken Sie auf OK, um zum Eigenschaftenblatt zurückzukehren. Nun müssen Sie als tatsächlichen Wert für das Statusanzeigenobjekt den Kreisdurchmesser eingeben.

  18. Während das Statusanzeigenobjekt nach wie vor auf dem Eigenschaftenblatt ausgewählt ist, klicken Sie auf die Registerkarte PC-DMIS und wählen Sie dann den Wert für die Eigenschaft ValueEq aus. Der VBS Mini-Editor wird angezeigt, wobei jedoch eine Vielzahl seiner Funktionen deaktiviert sind.

  19. Wählen Sie + EQ ($) in der Liste links aus.

  20. Wählen Sie <MYDIAMETER> in der rechten Liste aus.

So verwenden Sie den VBS Mini-Editor, um den Wert für das Statusanzeigenobjekt festzulegen

  21. Klicken Sie auf OK, um den VBS Mini-Editor zu schließen.

  22. Schließen Sie das Eigenschaftenblatt und speichern Sie das Formblatt. In diesem Beispiel erhält das Protokoll den Namen gaugetest.form

  23. Sie werden nun ein allgemeines Kreiselement in PC-DMIS erstellen.

  24. Wählen Sie das Bearbeitungsfenster von PC-DMIS und versetzen Sie das Programm in den Befehlsmodus.

  25. Fügen Sie ein allgemeines Element ein, indem Sie BENUTZERDEFINIERT eingeben und die Tabulatortaste drücken. Zuerst erscheint ein benutzerdefiniertes Punktelement im Bearbeitungsfenster, wobei die ID dieses Elements markiert ist.

  26. Drücken Sie F9, um das Dialogfeld dieses benutzerdefinierten Elements zu öffnen.

  27. Wählen Sie im Bereich Elementtyp Kreis aus.

  28. Wählen Sie im Bereich Datentyp Nennwerte aus.

  29. Geben Sie den Namen für den Kreis in das Feld Elementname ein. In diesem Beispiel lautet der Elementname CIR1 (KREIS1).

  30. Geben Sie die XYZ- und IJK-Werte für CIR1 ein.

  31. Wählen Sie die Option Durchm. und weisen Sie CIR1 einen Nennwert von 1 zu.

  32. Ändern Sie je nach Bedarf weitere Optionen und klicken Sie auf OK, wenn Sie fertig sind. Das benutzerdefinierte Kreiselement im Bearbeitungsfenster sollte etwa folgendermaßen aussehen:

CIR1 =BENUTZERDEFINIERT/KREIS,ABHÄNGIG,KART,AUSSEN,$

NENNW/XYZ,1,1,0.95,$

MESS/XYZ,1,1,1,$

NENNW/IJK,0,0,1,$

MESS/IJK,0,0,1,$

DURCHM/1,0

  33. Bewegen Sie Ihren Cursor vor das Element CIR1 und fügen Sie einen Eingabekommentar ein, der einen gemessenen Durchmesserwert enthalten wird (da dieses Beispiel im Offline-Modus ausgeführt wird, werden die "gemessenen" Werte manuell eingegeben). Beispiel:

C1 =KOMMENTAR/EINGABE,Geben Sie den gemessenen Durchmesser für CIR1 ein.

  34. Gehen Sie nun zu dem Befehlsblock für CIR1 und ändern Sie in der letzten Zeile, mit dem Inhalt DURCHM/1,0, den zweiten Parameter, den gemessenen Durchmesser von "0" auf C1.EINGABE . Damit wird der Wert aus dem Eingabekommentar dem gemessenen Durchmesser für CIR1 zugewiesen.

DURCHM/1,C1.EINGABE

  35. Bewegen Sie den Cursor nun hinter das Element CIR1 und betten Sie das gespeicherte Formblatt über die Menüoption Einfügen | Protokollbefehl | Formblatt ein.

  36. Setzen Sie Ihren Cursor nun in den FORM/DATEINAME-Befehl an der Stelle "PARAM/=" direkt vor das Gleichheitszeichen und geben Sie MYDIAMETER ein. Bewegem Sie den Cursor dann direkt hinter das Gleichheitszeichen und geben Sie CIR1.DURCHM ein. Der Code zur Einbettung Ihres Formblatts sollte etwa folgendermaßen aussehen:

CS1 =FORM/DATEINAME= C:\PCDMIS35\GAUGETEST.FORM, AUTODRUCKEN=NEIN

PARAM/MYDIAMETER=CIR1.DURCHM

PARAM/=

           ENDEFORMBLATT/

  37. Markieren Sie neu hinzugefügten Befehle und führen Sie das Werkstückprogramm aus. Der Durchmesser für CIR1 wird als Parametr in das Formblatt aufgenommen und die Statusanzeige verändert sich dynamisch abhängig vom gemessenen Kreisdurchmesser.

Würde der gemessenen Durchmesser für das Element CIR1 beispielsweise 0,9987 betragen, würde das Formblatt folgendermaßen aussehen:

Beispiel-Formblatt mit Statusanzeige, die dynamisch mit dem gemessenen Durchmesser eines Elements verknüpft ist.


Grafikobjekt

Mit dem Grafikobjekt wird eine Grafik in das Formblatt oder die Vorlage eingefügt, deren Daten dynamisch aktualisiert werden können. Mit dem Grafik objekt können Sie eine Reihe von Datenpunkten speichern und anzeigen. Verwenden Sie X- und Y-Werte zum Bestimmen der Datenpunkte auf der Grafik.

Standardmäßiges Grafikobjekt

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können die Daten von Grafikobjekten dynamisch aktualisiert werden, indem diese Eigenschaften in Verbindung mit Visual BASIC-Code eingesetzt werden.

Eigenschaft | Beschreibung
DataPointColor | Hiermit werden die Farben geändert, die auf X- und Y-Datenpunkten sowie für zwischen zwei Punkten gezeichnete Linien verwendet werden.
Breite | Hiermit wird der Durchmesser (in Pixel) des Datenpunkts geändert.
ConnectPoints | Wird diese Eigenschaft auf JA eingestellt, werden Linien zwischen den Datenpunkten der Grafik gezeichnet, um diese visuell miteinander zu verbinden.
Nach Rechts | Wird diese Eigenschaft auf NEIN eingestellt, wird die Y-Achse umgekehrt, wobei der obere Bereich negativ und der untere Bereich positiv wird.
Xdivisions | Hierbei wird die X-Achse der Grafik geteilt, wobei die vorgegebene Anzahl Spalten eingefügt wird.
Ydivisions | Hierbei wird die Y-Achse der Grafik geteilt, wobei die vorgegebene Anzahl Zeilen eingefügt wird.
EnablePoint | Wird diese Eigenschaft auf 1 eingestellt, können neue Datenpunkte in die Grafik eingefügt werden. Wird sie auf 0 eingestellt, können keine neuen Datenpunkte eingefügt werden.
ClearAllPoint | Wird diese Eigenschaft auf 1 eingestellt, werden alle Datenpunkte aus der Grafik gelöscht, wenn das Formblatt im Ausführungsmodus angezeigt wird. Wird sie auf 0 eingestellt, bleiben alle Datenpunkte in der Grafik erhalten.
XpointEq | Dies ist der X-Wert für die Datenpunkte auf der Grafik. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
YpointEq | Dies ist der Y-Wert für die Datenpunkte auf der Grafik. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
XminEq | Dies ist die Minimalgleichung für die X-Achse. Der verwendete Wert bestimmt den Anfangswert für die X-Achse. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
YminEq | Dies ist die Minimalgleichung für die Y-Achse. Der verwendete Wert bestimmt den Anfangswert für die Y-Achse. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
XmaxEq | Dies ist die Maximalgleichung für die X-Achse. Der verwendete Wert bestimmt den Endwert für die X-Achse. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
YmaxEq | Dies ist die Maximalgleichung für die Y-Achse. Der verwendete Wert bestimmt den Endwert für die Y-Achse. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.

Hinweis: Sie können die Y-Achse anpassen, indem Sie auf die Nach-oben- und Nach-unten-Pfeile [image] neben dem Nullpunkt der Grafik klicken.


Histogramm-Objekt

Das Histogramm-Objekt wird verwendet, um ein Histogramm für ein bestimmtes Merkmal direkt im HyperView-Protokoll einzufügen. Wenn Sie ein Histogramm-Objekt in ein Protokoll ziehen und dort ablegen, erscheint ein Dialogfeld, in dem der Benutzer bestimmen kann, welches Merkmal dem Objekt zugewiesen werden soll. Das Histogramm-Objekt zeigt die Anzahl der Abweichungen innerhalb der verschiedenen Toleranzbereiche an. Informationen zur Definition dieser Toleranzbereiche und Änderung der Farben, in denen die Bereiche angezeigt werden, finden Sie unter “Elementsfarbe bearbeiten” im Abschnitt zum "Bearbeiten der CAD-Anzeige".

Hinweis: Histogramm-Objekte sind nicht verfügbar für Merkmale, die nicht direkt aus den einzelnen Messpunkten ihrer Elemente berechnet werden, wie beispielsweise Lage, Position und Eingabemerkmale.


GitterSteuerObjekt

Über das Symbol GitterSteuerObjekt wird ein anpassbares Gitter von Spalten und Reihen in das Protokoll oder die Etikettvorlage eingefügt.

Ein neu-eingefügtes GitterSteuerObjekt

Ein neu-eingefügtes GitterSteuerObjekt

Dieses einmalige Objekt ist mehr als eine gewöhnliche Tabelle. Tatsächlich können Sie die einzelnen Zellen, Reihen und Spalten unter Verwendung der Protokoll-Ausdruckssprache programmieren und PC-DMIS damit veranlassen, bestimmte Protokollangaben aus dem Werkstückprogramm zu ziehen und anzuzeigen.

Wie bei den anderen Objekten auch, können Sie dieses Objekt auf einfache Weise an eine andere Stelle platzieren und dessen Größe anpassen. Wenn Sie die Größe dieses Objekts verändern, beachten Sie bitte, dass PC-DMIS dynamisch die Größe der Spalten und Reihen der neuen Objektgröße anpasst.

Zugreifen auf den GitterSteuerObjekt-Editor

Nachdem Sie ein GitterSteuerObjekt eingefügt haben, markieren Sie es, doppelklicken Sie innerhalb einer beliebigen Zelle und klicken Sie dann mit der rechten Maustaste, um ein mit Registerkarten versehenes Dialogfeld einzublenden. Mit diesem Dialogfeld können Sie leistungsstarke Formatierungs- und Bearbeitungsabläufe durchführen, mit denen Sie jede Gitterzelle auf ihre individuellen Anforderungen programmieren können.

GitterSteuerObjekt-Editor - Registerkarte "Zelle"

Registerkarte "Zelle" des GitterSteuerObjekt-Editors

Informationen zur Verwendung dieses Editors finden Sie unter:

  • GitterSteuerObjekt-Editor - Registerkarte "Zelle"

  • GitterSteuerObjekt-Editor - Registerkarte "Reihe"

  • GitterSteuerObjekt-Editor - Registerkarte "Spalte"

Eigenschaften

Eigenschaft | Beschreibung
AnzSpalten | Bestimmt die Anzahl an Spalten im Gitter.
AnzReihen | Bestimmt die Anzahl an Reihen im Gitter.
Tabellenformat | Gibt ein Gitterlayoutnamen zur Verwendung an. Wenn diese Eigenschaft mit dem Gitterlayoutnamen im Regelbaum-Editorübereinstimmt, dann können Sie den Befehl TABELLE/FORMAT im Bearbeitungsfenster dazu verwenden, die Reihenfolge der Spalten und Reihen un die Sichtbarkeit der Etikettvorlage direkt zu steuern.

Erhöhen der AnzReihen-Eigenschaft fügt neue Reihen an das untere Ende hinzu. Durch Verringern dieses Wertes werden die untersten Reihen nach oben hin gelöscht. Genauso werden durch Erhöhen der AnzSpalten-Eigenschaft neue Spalten an der rechten Seite der verfügbaren Reihen hinzugefügt. Durch Verringern der Spaltenanzahl werden die Spalten ganz rechts in Richtung nach links gelöscht.


GitterSteuerObjekt-Editor - Registerkarte "Zelle"

GitterSteuerObjekt-Editor - Registerkarte "Zelle"

Registerkarte "Zelle" des GitterSteuerObjekt-Editors

Zellentyp - Mit dieser Option können Sie konfigurieren, was in eine bestimmte Zelle eingefügt werden soll. Folgende Optione stehen zur Verfügung:

  • Text - Mit dieser Option können Sie Text oder einen Ausdrucksbefehl in das Feld Zellenausdruck eingeben. Der festgelegte Ausdruck oder der Text erscheinen in der Zelle.

  • Bild - Mit dieser Option können Sie ein Bild in die Zelle einfügen. Sie können ein Bild über die Schaltfläche Auswählen auswählen.

  • ActiveX - Mit dieser Option können Sie ein ActiveX-Objekt in die Zelle einfügen. Normalerweise verwenden PC-DMIS-Vorlagen diese Option, um grafische Analyseangaben darzustellen. Sie können ein ActiveX-Objekt über die Schaltfläche Auswählen auswählen. Detaillierte Angaben zu ActiveX-Objekten finden Sie unter " ActiveX-Object ".

Zellenausdruck - In diesem Feld können Sie einen Protokollausdruck in die Zelle eingeben. PC-DMIS legt den Ausdruck bei der Verwendung der Vorlage zur Darstellung der aktuellen Protokolldaten, fest. Um beispielsweise eine Element-ID darzustellen, geben Sie =ID in dieses Feld ein. Eine robuste Auflistung der einfügbaren Ausdrücke finden Sie unter "Informationen zu Protokollausdrücken".

Zellenhöhe und Zellenbreite - In diesen Feldern können Sie die Zellenhöhe und -breite in Pixel definieren. Beachten Sie, dass die Zellenhöhe auf alle Zellen einer Reihe angewendet wird. Die Zellenbreite wird auf alle Zellen einer Reihe angewandt. Wenn mehrere Zellen unterschiedliche Höhen und Breiten aufweisen, können Sie über die Schaltflächen Gleiche Breiten und Gleiche Höhen die Breite und Höhen der ausgewählten Zellen nivellieren.

Zellenjustierung - Über diese Schaltflächen können Sie die Ausrichtung eines Texts innerhalb der Zelle entweder vertikal oder horizontal ausrichten. Horizontal wird der Text nach links, rechts und in der Mitte ausgerichtet. Vertikal wird der Text oben, unten und in der Mitte ausgerichtet.

Schaltflächen "Horizontale Ausrichtung"
 | Ausrichtung nach links
 | Mitten-Ausrichtung
 | Ausrichtung nach rechts
Schaltflächen "Vertikale Ausrichtung"
 | Ausrichtung oben
 | Mitten-Ausrichtung
 | Ausrichtung unten

Bereich "Linien" - Dieser Bereich enthält eine Liste für jede Seite der Zelle. Sie können jede Seite der Zelle (und auch die äußeren und inneren Linien mehrerer Zellen) auf einen bestimmten Linientyp einstellen. Folgende Optionen stehen zur Auswahl: Keine, Dünn, Fett, Doppelt oder Gestrichelt.

Schriftart - Diese Schaltflächen blenden ein Standard-Dialogfeld für Schriftarten an, über das Sie die Schriftart, -größe, -stil, -effekte und -farben für die ausgewählte(n) Zelle(n) bestimmen können.

Colors - In diesem Bereich können Sie die Farben für den Hintergrund, Text und Linie der ausgewählte(n) Zelle(n) bestimmten. Durch Klicken auf einer der Schaltflächen wird ein Standard-Dialogfeld Farbe eingeblendet, in dem Sie bestimmte Standardfarben bestimmen oder eine benutzerdefinierte Farbe erstellen können.

Zellen verbinden - Diese Schaltfläche verbindet mehrere Zellen zu einer einzigen Zelle.

Zellen trennen - Diese Schaltfläche trennt zuvor verbundene Zellen und versetzt sie in ihren ursprünglichen Zustand zurück.


GitterSteuerObjekt-Editor - Registerkarte "Reihe"

GitterSteuerObjekt-Editor - Registerkarte "Zelle"

Registerkarte "Reihe" des GitterSteuerObjekt-Editors

Wiederholende Gruppe - Dieses Kontrollkästchen aktiviert das Feld Ausdruck wiederholen und weist PC-DMIS an, die ausgewählte Reihe so lange mit Daten aus dem Protokoll zu wiederholen, bis das Feld Ausdruck wiederholen zufrieden gestellt ist. Wenn Sie eine Zelle im GitterSteuerObjekt auswählen, gibt PC-DMIS alle sich wiederholende Reihen im Objekt durch Zeichnen von schmalen, vertikalen orangefarbenen Balken auf deren linken und rechten Seite an.

Ausdruck wiederholen - Dieses Feld bestimmt, wie oft PC-DMIS die Reihe wiederholt. Normalerweise geben Sie einen Ausdruck in diesem Feld ein, der die Anzahl der Einträge festlegt. Um beispielsweise die Anzahl der Achsen in einem Merkmal zu erhalten, würden Sie folgenden Ausdruck verwenden:

=ZAHL(ACHSE)

Dann müssen Sie in jeder Zelle der Reihe folgendes an vorhandene Ausdrücke anhängen:

:N

Im Wesentlichen wird PC-DMIS dadurch angewiesen, die Reihe so oft wie angegeben zu wiederholen. Wenn also das Feld Zellenausdruck auf der Registerkarte Zelle zur Auflistung einer Merkmalsachse =ACHSE verwendet und Sie dies auf =ACHSE:N ändern, wird PC-DMIS die Reihe so lange mit eindeutigen Merkmalsachsendaten wiederholen, bis alle Achsen protokolliert sind.

Reihenbeschriftung - Über die Liste Reihenbeschriftung können Sie eine Beschriftung für die Reihe, die zusammen mit dem Tabellenformatbefehl verwendet wird, definieren. Wenn Sie auf die Eigenschaften des Tabellenformatbefehls zugreifen, werden Sie die hier definierten Reihenbeschriftungen sehen. Mit dem Tabellenformatbefehl können Sie unter anderem die Reihenfolge der Reihen im Gitter neu definieren.

Gesicherte Reihe - Dieses Kontrollkästchen sperrt die Reihe, sodass mit Hilfe des Tabellenformatbefehls keine Änderungen mehr vorgenommen werden können.


GitterSteuerObjekt-Editor - Registerkarte "Spalte"

GitterSteuerObjekt-Editor - Registerkarte "Zelle"

Registerkarte "Spalte" des GitterSteuerObjekt-Editors

Spaltenbeschriftung - Über die Liste Spaltenbeschriftung können Sie eine Beschriftung für die Spalte, die zusammen mit dem Tabellenformatbefehl verwendet wird, definieren. Wenn Sie auf die Eigenschaften des Tabellenformatbefehls zugreifen, werden Sie die hier definierten Spaltenbeschriftungen sehen. Mit dem Tabellenformatbefehl können Sie unter anderem die Reihenfolge der Spalten im Gitter neu definieren.


Etikettobjekt

Mit dem Symbol Etikettobjekt wird ein Etikettobjekt in die Protokollvorlage eingefügt. Klicken und ziehen Sie mit der Maus auf dem Protokollvorlagen-Editor, um dieses Objekt hinzuzufügen. Wenn Sie die Maustaste loslassen, sieht das eingefügte Etikettobjekt so aus:

Beispiel eines Etikettobjekts

Beispiel eines Etikettobjekts

Ein Etikettobjekt funktioniert genau wie ein TextProtokollObjekt oder ein CADProtokollobjekt; es enthält keine reellen Daten und agiert lediglich als ein Platzhalter für eine Etikettvorlage. Die Etikettvorlage steuert, welche Daten bei einer Werkstückprogrammausführung extrahiert werden. Wird nicht definiert, was das Etikettobjekt angzeigen soll, wird es auch nicht im Protokoll erscheinen.

Eine Etikettvorlage zuordnen

Dem Etikettobjekt muss eine Etikettvorlage zugeordnet werden, bevor eine Anzeige möglich ist. Verfahren Sie wie folgt:

  1. Klicken Sie mit der rechten Maustaste auf das Etikettobjekt. Das Dialogfeld Eigenschaften wird angezeigt.

  2. Klicken Sie im Bereich Regelbaum auf Regeln. Es erscheint das Dialogfeld Regelbaum.

  3. Wählen Sie im Dialogfeld Regelbaum ein Objekt aus der einblendbaren Liste aus, wenn das Etikett Daten anzeigen soll.

  4. Klicken Sie auf Hinzufügen, um eine Regel, die diesen Eintrag verwendet, hinzuzufügen. Es erscheint das Dialogfeld Regel bearbeiten.

  5. Wählen Sie die Option Etikettvorlage für Protokoll verwenden.

  6. Klicken Sie auf die Schaltfläche "Suchen", [image] und markieren Sie eine Etikettvorlage (mit der Dateinamenerweiterung .lbl).

  7. Klicken Sie auf OK, um das Dialogfeld Regel bearbeiten zu schließen.

  8. Klicken Sie auf OK, um das Dialogfeld Regelbaum zu schließen. Das eingefügte Etikettobjekt zeigt jetzt ein Bild der Etikettvorlage, die in der ersten Regel des Dialogfelds Regelbaum definiert wurde, an.

  9. Speichern und testen Sie die Protokollvorlage. PC-DMIS blendet das ausgewählte Etikett ein, wenn die von Ihnen angegebene Bedingung erfüllt ist.

Informationen zur Erstellung von Regeln finden Sie unter "Hinweise zum Regelbaum-Editor".


Führungslinien-Objekt

Mit den Führungslinien-Objekten können Sie eine Verbindungslinie zwischen einem Etikettobjekt und einem CADProtokollobjekt zeichnen. Dazu wählen Sie einfach das Objekt aus, klicken darauf mit der Maustaste und ziehen die Maus dann zum anderen Objekt.

Bei korrekter Ausführung wird die Führungslinie automatisch zwischen den beiden Objekten einrasten, sodass bei einer späteren Neupositionierung der Objekte die Führungslinie mitbewegt und deren Größe entsprechend angepasst wird. Diese Abbildung zeigt zum Beispiel ein CADProtokollobjekt mit drei Etikettobjekten um das CADProtokollobjekt herum, die alle mit Führungslinienobjekten verbunden sind.

Drei Etikettobjekte mit Führungslinien-Objekten zum CADProtokollobjekt.

Drei Etikettobjekte mit Führungslinien-Objekten zum CADProtokollobjekt.

Können die beiden Objekte nicht erkannt werden, erscheint ein Dialogfeld Konstruktion der Führungslinie, in dem die beiden Objekte ausgewählt werden können, die mit Führungslinien verbunden werden sollen.

Dialogfeld "Konstruktion der Führungslinie"

Dialogfeld "Konstruktion der Führungslinie"

Wenn Sie ein Etikett oder ein CADProtokollobjekt löschen, dann löscht PC-DMIS automatisch auch die Führungslinien-Objekte.


Linienobjekt

Mit dem Linienobjekt können Sie schnell eine standardmäßige Linie in das Formblatt oder die Vorlage einfügen. Klicken Sie anschließend mit der rechten Maustaste auf die eingefügte Linie und bearbeiten Sie deren Eigenschaften.

Folgende Eigenschaften werden häufig für Linienobjekte verwendet:

Eigenschaft | Beschreibung
Linienstärke | Hiermit wird die Breite der Linie in Pixel eingestellt.
Linienart | Hiermit wird die Linienart auf schattiert, gestrichelt, punktiert, gestrichelt und punktiert und einmal gestrichelt/zweimal punktiert eingestellt.
Pfeilspitze | Hiermit können Sie eine Pfeilspitze zur Linie hinzufügen und deren Richtung einstellen. Die folgenden Formate sind verfügbar: ----(keine) <--- ---> <--->(beide)
Höhe der Pfeilspitze | Hiermit wird die Höhe der Pfeilspitze in Pixel eingestellt.


Listenfeldobjekt

Mit dem Listenfeldobjekt wird eine offene Liste in das Formblatt eingefügt.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Accelerator

Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

UseColors

Diese Eigenschaft bestimmt, ob dieses Steuerelement die unter BackColor und TextColor angegebenen Farben verwenden soll oder nicht.

Sort

Bei der Auswahl von JA werden die Listenelemente in alphabetischer Reihenfolge sortiert.

HorizontalScroll

Bei der Auswahl von IMMER wird eine horizontale Bildlaufleiste in das Listenfeld eingefügt, auch wenn der Text für einen Listeneintrag zum Scrollen nicht lang genug ist.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.

VerticalScroll

Bei der Auswahl von IMMER wird eine vertikale Bildlaufleiste in das Listenfeld eingefügt, auch wenn nicht genügend Listeneinträge zum Scrollen vorhanden sind.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.

UseTabstops

Hiermit wird festgelegt, ob im Listenfeld Tabstops verwendet werden oder nicht. Mit der Einstellung JA wird dieses Listenfeld bei Betätigung der TAB-Taste im Ausführungsmodus schließlich das aktive Steuerelement.

WantKeyInput

Hiermit wird festgelegt, ob im Listenfeld Tastatureingaben akzeptiert werden oder nicht.

RemoveSelection

Mit der Einstellung JA wird die Auswahl aus dem Listenfeld (ListID) beim Aufzeichnen entfernt.

ListID

Dies ist die ID der Liste. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein. Folgendes Format sollte verwendet werden:

item 1\r\nitem 2\r\nitem 3 usw.

ValueID

Dies ist die ID des Werts. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.


MultiEditBox-Objekt

Mit dem MultiEditBox-Objekt wird ein Bearbeitungsfeld eingefügt, das mehr als nur eine Zeile Text unterstützt. Dieses Objekt weist alle Eigenschaften des Bearbeitungsfeldobjekts (siehe auch "Bearbeitungsfeldobjekt") und zusätzlich die folgenden Eigenschaften auf:

Eigenschaft

Beschreibung

HorizontalScroll

Bei der Auswahl von IMMER wird eine horizontale Bildlaufleiste in das Listenfeld eingefügt, auch wenn der Text für einen Listeneintrag zum Scrollen nicht lang genug ist.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.

VerticalScroll

Bei der Auswahl von IMMER wird eine vertikale Bildlaufleiste in das Listenfeld eingefügt, auch wenn der Text für einen Listeneintrag zum Scrollen nicht lang genug ist.

Bei der Auswahl von Automatic (Automatisch) wird nur dann eine vertikale Bildlaufleiste in das Listenfeld eingefügt, wenn die Anzahl der Listeneinträge die vertikale Höhe des Feldes übersteigt.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.


OLE-Objekt

Mit dem OLE-Objekt wird ein Objekt aus einer anderen Anwendung in Ihre Vorlage oder in Ihr Formblatt eingebettet oder mit ihm verknüpft. Mit diesem Objekt können Sie beispielsweise eine bearbeitungsfähige Microsoft Excel-Datei in die Vorlage oder in das Formblatt einfügen.

Nachdem Sie ein OLE-Objekt eingefügt haben, wird das Dialogfeld Objekt einfügen angezeigt.

Objekt einfügen (Dialogfeld)

In diesem Dialogfeld können Sie den Typ des einzufügenden OLE-Objekts aus einer Liste der auf Ihrem System derzeit verfügbaren Objekte auswählen. Die OLE-Objekte in der Liste sind je nach installierten Programmen und Komponenten auf jedem System verschieden.

Wenn Sie auf die Schaltfläche Abbrechen klicken, wird der Vorlage oder dem Formblatt nichts hinzugefügt und das Dialogfeld geschlossen.

Siehe auch:

Zugreifen auf die Automatisierungsmethoden und Eigenschaften von OLE-Objekten über BASIC


Zugreifen auf die Automatisierungsmethoden und Eigenschaften von OLE-Objekten über BASIC

Wenn Sie ein OLE-Steuerelement (z. B. das Bitmap-Steuerelement mit dem Namen BITMAP) hinzugefügt und benannt haben, können Sie in BASIC auf die Automatisierungsmethoden und Eigenschaften des OLE-Objekts zugreifen. Sie können z. B. einen Programmcode hinzufügen, um das angezeigte Bitmap-Element zu ändern, um ein eingebundenes Excel-Arbeitsblatt-Objekt von Microsoft mit Daten zu füllen oder um ein eingebundenes Word-Dokument mit Text zu versehen. Mit dem folgenden Code können Sie auf die OLE-Automatisierungsmethoden und Eigenschaften des Objekts mit dem Namen BITMAP zugreifen:

AttachOLE("BITMAP_X")

Die Objektvariable BITMAP_X kann anschließend wie folgt verwendet werden:

BITMAP_X.{Eigenschaft} = {Wert}

oder

BITMAP_X.{Automatisierungsmethoden-Aufruf}.

Hinweis: Sie müssen in der Dokumentation für das betreffende OLE-Objekt nachschlagen, welche Methoden und Eigenschaften verfügbar sind.


Zeigerobjekt

Mit dem Zeigerobjekt wird ein dynamischer, beweglicher und farbiger Zeiger in das Formblatt oder die Vorlage eingefügt. Die Standardfarbe ist gelb.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, kann dieses Objekt bewegt werden, indem diese Eigenschaften in Verbindung mit Visual BASIC-Code eingesetzt werden.

Eigenschaft | Beschreibung
ValueEq | Wertegleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST
MinimumEq | Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST
MaximumEq | Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) -$, $, KONST

Hinweis: Wenn Sie die Zeigerrichtung ändern, ändert sich die Bewegungsrichtung des Pfeils dementsprechend.


Polylinien-Objekt

Mit dem Polylinien-Objekt können Sie Linien miteinander verbinden, um einen Bereich zu erstellen. Wenn Sie klicken und die erste Linie erstellen, wird am Endpunkt der ersten Linie automatisch eine zweite eingefügt. Polylinien-Objekte weisen dieselben Eigenschaften wie standardmäßige Linienobjekte auf, mit den folgenden Ergänzungen:

Eigenschaft | Beschreibung
Linienstärke | Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Schraffur | Hiermit wird der Mustertyp (bzw. der Schraffurtyp) für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Muster: Horizontal Vertikal Diagonal Umkehrdiagonal Kreuz Diagonal gekreuzt
Schattierung | Hiermit wird die Position der 3D-Schattierung für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Positionen: OBEN/LINKS, UNTEN/RECHTS oder Keine.


Optionsfeldobjekt

Mit dem Optionsfeldobjekt wird eine Optionsschaltfläche in das Formblatt eingefügt. Optionsschaltflächen schließen einander aus, das heißt, in Ihrem Protokoll können Sie jeweils nur eine Optionsschaltfläche auswählen. Mit der Eigenschaft ListItems können Sie eine Reihe von Optionsschaltflächen definieren.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Bitmap

Hiermit können Sie ein Bitmap für eine ausgewählte Optionsschaltfläche festlegen.

Das angegebene Bitmap muss dieselbe Form aufweisen, wie eine standardmäßige Optionsschaltfläche.

BitmapOffState

Hiermit können Sie ein Bitmap für eine nicht ausgewählte Optionsschaltfläche festlegen.

Das angegebene Bitmap muss dieselbe Form aufweisen, wie eine standardmäßige Optionsschaltfläche.

AlignTextLeft

Wird diese Eigenschaft auf JA eingestellt, wird der Text links von der Optionsschaltfläche angezeigt, wie folgt:

Text hier ( )

Wird diese Eigenschaft auf NEIN eingestellt, wird der Text rechts von der Optionsschaltfläche angezeigt, wie folgt:

( ) Text hier

ListItems

Definiert eine Liste von Optionsschaltflächen und die damit verknüpften Werte (siehe auch die Beschreibung zum Dialogfeld List Choices [Wahlmöglichkeiten auflisten] weiter unten).

ValueID

Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.

Mit der Eigenschaft ListItems wird das Dialogfeld List Choices (Wahlmöglichkeiten auflisten) angezeigt.

Dialogfeld "List Choices" (Wahlmöglichkeiten auflisten)

In diesem Dialogfeld können Sie Optionsschaltflächen hinzufügen, umbenennen und löschen sowie numerische Werte zuweisen. Beim Hinzufügen einer neuen Option wird der Wert für diese Option normalerweise automatisch erhöht, so dass jeweils nur eine Schaltfläche ausgewählt werden kann. Sie können die numerischen Werte jedoch so ändern, dass im Ausführungsmodus bestimmte Optionsgruppen mit einem Mausklick ausgewählt werden können.

Im folgenden Beispiel sehen Sie fünf Optionsschaltflächen mit der Bezeichnung Option A bis E, deren ursprüngliche Werte folgendermaßen geändert wurden:

Optionsschaltfläche | Wert
Option A | 0
Option B | 0
Option C | 1
Option D | 2
Option E | 2

Wenn Sie im Ausführungsmodus Option A wählen, werden Option A und Option B gewählt. Der Grund hierfür ist, dass sie denselben Wert aufweisen. Dasselbe gilt für Option E – in diesem Fall werden Option D und Option E gewählt. Nur Option C verfügt über einen eindeutigen Wert. In diesem Fall wird bei der Auswahl dieser Option keine weitere Option gewählt.


Auswahlobjekt

Über das Auswahlobjekt können Sie ein Objekt auswählen, das bereits in Ihr HyperView-Protokoll eingefügt wurde. Klicken Sie einfach auf das Objekt im Protokoll, und PC-DMIS wird das Objekt mit einem Rahmen und kleinen grünen Kästchen darstellen. Auf diese Weise wissen Sie, dass das Objekt ausgewählt wurde. Sie können ein ausgewähltes Objekt verschieben, seine Größe verändern oder es bearbeiten.


Schiebereglerobjekt

Mit dem Schiebereglerobjekt wird ein Schieberegler in das HyperView-Protokoll eingefügt. Mit diesem Schieberegler können die Benutzer aus einer Reihe von möglichen aufeinanderfolgenden Werten einen Wert auswählen.

Neben der Möglichkeit, die Größe sowie andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Accelerator

Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

Richtung

Hiermit wird die Ausrichtung des Schiebereglers eingestellt.

Bei der Auswahl von Horizontal kann der Schieberegler horizontal bewegt werden, von rechts nach links oder umgekehrt.

Bei der Auswahl von Vertikal kann der Schieberegler vertikal von oben nach unten und umgekehrt bewegt werden.

TickStyle

Hiermit können Sie einstellen, auf welche Weise Markierungen auf einem Schieberegler angezeigt werden.

0 - Beide: Die Markierungen werden bei einem horizontalen Schieberegler über und unter dem Schieberegler, bei einem vertikalen Schieberegler links und rechts davon angezeigt.

1 - Oben/Links: Die Markierungen werden bei einem horizontalen Schieberegler über dem Schieberegler, bei einem vertikalen Schieberegler links davon angezeigt.

2 - Unten/Rechts: Die Markierungen werden bei einem horizontalen Schieberegler unter dem Schieberegler, bei einem vertikalen Schieberegler rechts davon angezeigt.

AutoTicks

Mit der Einstellung JA werden auf dem Schieberegler Markierungen angezeigt. Eine Markierung ist eine kleine vertikale oder horizontale Linie, die in bestimmten Abständen (eingestellt mit der Eigenschaft TickFrequency) entlang des Schiebereglers angezeigt wird.

TickFrequency

Mit diesem Wert können Sie festlegen, in welchem Abstand die Markierungen angezeigt werden. Sie können einen Wert zwischen 2 und 200 Markierungen einstellen, die in gleichmäßigen Abständen entlang des Schiebereglers angezeigt werden.

HelpHotButton

Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Schieberegler angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführungsmodus wird die Online-Hilfe von PC-DMIS gestartet.

ValueID

Dies ist die ID des Werts. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.

MinimumEq

Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)

-$, $, KONST

MaximumEq

Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)

-$, $, KONST

DisplayID

Hiermit wird festgelegt, ob DisplayID beim Anpassen des Schiebereglers aktualisiert wird oder nicht.


Spinner Object

Mit dem Spinner-Objekt wird ein Rotier-Steuerelement in das HyperView-Protokoll eingefügt. Dieses Steuerelement kann zusammen mit einem Bearbeitungsfeld verwendet werden. Es bietet die Möglichkeit, numerische Werte auszuwählen, indem Sie durch Zahlenreihen blättern. Der Zahlenbereich wird über die Eigenschaften MinimumEQ und MaximumEQ eingestellt.

Neben der Möglichkeit, die vertikale Größe sowie andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft

Beschreibung

Accelerator

Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

Richtung

Hiermit wird die Ausrichtung des Rotier-Steuerelements eingestellt.

Bei der Auswahl von Horizontal werden die Rotier-Pfeile so ausgerichtet, dass sie in die Horizontale zeigen.

Bei der Auswahl von Vertikal werden die Rotier-Pfeile so ausgerichtet, dass sie in die Vertikale zeigen.

WrapAround

Wenn Sie eine Werteliste vergrößern oder verkleinern und beim kleinsten oder größten Wert ankommen, können Sie diese Eigenschaft auf Ja einstellen, so dass Ihr Protokoll am Ende der Liste zum Anfang springt oder umgekehrt.

EditBuddy

Bei der Auswahl von JA wird das Rotier-Steuerelement mit dem Bearbeitungssteuerelement verknüpft, das in der Registerreihenfolge direkt vor dem Rotierer steht. Sie können die Registerreihenfolge anzeigen, indem Sie im Bearbeitungsmodus ein Objekt auswählen und UMSCHALT+EINGABETASTE drücken.

DecimalBase

Hiermit wird die Basis des Rotierers auf Dezimal (JA) oder Hexadezimal (NEIN) eingestellt.

IncrAccelerator

Dieser Wert bestimmt den Wert, um den der Rotierer erhöht oder verringert werden soll, wenn Sie auf einen Pfeil klicken. Der Standardwert ist 1.

ValueID

Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Variablen auf und stellen sie ein.

MinimumEq

Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)

-$, $, KONST

MaximumEq

Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)

-$, $, KONST


TextProtokollObjekt

Mit dem TextProtokollObjekt können Sie eine Art Behälter für die Textprotokolldaten in die Protokollvorlage einfügen. Beim Einfügen des Objekts blendet PC-DMIS zunächst ein Feld ein, das mit einigen Beispiel-Protokolldaten ausgefüllt ist, die für das Design hilfreich sind. Nachdem die Vorlage auf ein Protokoll angewendet wird, werden die aktuellen Protokolldaten verwendet.

TextProtokollObjekt mit Beispiel-Protokolldaten

Ein TextProtokollObjekt mit Beispiel-Protokolldaten

Ein Beispiel-Protokollfenster mit der Anzeige aktueller Protokolldaten

Sie können die Anzeigeeigenschaften eines eingefügten Textobjekts ändern, indem Sie mit der rechten Maustaste auf das Objekt klicken und die Eigenschaften bearbeiten.

Für dieses Objekt gelten folglende Eigenschaften:

Eigenschaft

Beschreibung

Farben

Hier können Sie die Farben des angezeigten Texts ändern. Standardmäßig veranlasst PC-DMIS dieses Objekt, das gleiche Farbschema wie im Befehlsmodus des Bearbeitungsfensters zu verwenden. Wenn Sie also diese Eigenschaft anklilcken, werden Sie von PC-DMIS gefragt, ob Sie einen unabhängigen Farbsatz erstellen möchten. Durch Klicken auf Ja wird das Dialogfeld Farben-Editor geöffnet. Sie können nun in diesem Editor ein neues Farbschema für das ausgewählte TextProtokollObjekt definieren.

Siehe "Definieren von Bearbeitungsfenster-Farben" unter "Voreinstellungen".

AusrichtungenEinblenden

Blendet Ausrichtungen im Protokoll ein bzw. aus.

KommentareEinblenden

Blendet Kommentare im Protokoll ein bzw. aus.

MerkmaleEinblenden

Bestimmt, welche Merkmale im Protokoll angezeigt werden.

Alle - Alle Merkmale anzeigen.

Keine - Keine Anzeige (von Merkmalen).

Außer Toleranz - Zeigt nur die Merkmale an, die außerhalb der Toleranz liegen.

Innerhalb von Grenzen - Zeigt nur die Merkmale an, die im Toleranzbereich liegen.

ElementeAnzeigen

Blendet Elemente im Protokoll ein bzw. aus.

KopfzeileFußzeileEinblenden

Blendet die Angaben in den Kopf- und Fußzeilen ein bzw. aus.

BewegungenEinblenden

Blendet Bewegungsbefehle im Protokoll ein bzw. aus.

BildschirmkopienEinblenden

Blendet Bildschirmkopien im Protokoll ein bzw. aus.

Regelbaum

Öffnet das Dialogfeld Regelbaum-Editor für dieses Objekt. Mit diesem Dialogfeld können Sie Regeln erstellen, mit denen Sie bestimmen können, wann und auf welche Weise Ausdrücke oder Etikettvorlagen im Objekt verwendet werden.

Mit Etikettvorlagen und Ausdrücken können Sie speziell festlegen, welche Protokolldaten in diesem Objekt erscheinen sollen. Siehe auch "Hinweise zum Regelbaum-Editor".


Textobjekt

Mit dem Textobjekt können Sie Text in Form von Beschriftungen, Beschreibungen und Markierungen in das HyperView-Protokoll einfügen. Auf diese Weise kann das Protokoll verständlicher gestaltet werden. Sie können die Anzeigeeigenschaften eines eingefügten Textobjekts ändern, indem Sie mit der rechten Maustaste auf das Objekt klicken und die Eigenschaften bearbeiten.

Folgende Eigenschaften werden häufig für Textobjekte verwendet:

Eigenschaft | Beschreibung
Text | Der im Objekt angezeigte Text.
Richtung | Hiermit wird das Textobjekt horizontal oder vertikal ausgerichtet. Beachten Sie bitte, dass einige Schriftarten jedoch nur horizontal angezeigt werden (z. B. MS SANS SERIF) können.
Ausrichtung | Der Text wird im Objekt ausgerichtet. Zur Auswahl stehen folgende Ausrichtungen: Links, Mitte und Rechts.


TextVar-Objekt

Mit dem TextVar-Objekt können Sie dynamischen, numerischen Text in das HyperView-Protokoll einfügen. Dieses Objekt unterscheidet sich vom Text-Objekt, da die Eigenschaft TEXT entfernt wurde und die folgenden zwei Eigenschaften hinzugefügt wurden:

Eigenschaft | Beschreibung
ValueEq | Wertegleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) Der Wert wird während der Laufzeit formatiert und angezeigt. -$, $, KONST
Format | Hiermit wird der numerische Wert unter Verwendung von C-Sprachenstandards formatiert. Sie sollten jedoch nur mit dem numerischen Teil arbeiten. Beispielsweise wird aus dem Format %5.2lf der Wert 5.2, %5d wird zu 5. Eine Ausnahme stellt die Verwendung von BOOLEAN-Variablen dar, wobei die $-Zeichenfolge in NO oder YES konvertiert wird.

Bearbeiten Sie zur Verwendung dieses Objekts die Eigenschaft ValueEq, so dass die Anzeige auf die Darstellung eines Variablenwerts eingestellt ist.


 Edit Icon Property Sheet Icon Object Sheet Icon Toggle Ruler Icon View Snap Points Icon Toggle Ruler Icon Zoom In or Out Icon Group Icon Ungroup Icon Regroup Icon Align Edges Align Center Space Icon Make Same Size icon To Front or Back Icon Undo Icon Redo Icon

Die Layout-Leiste

Mit der Layout-Leiste erhalten Sie die erforderlichen Werkzeuge, um Ihre Objekte im Raster des Bearbeitungsmodus effektiv anordnen, bearbeiten und anzeigen zu können. Die folgenden Themen beschreiben die Funktionen jedes Symbols.

Siehe auch:

Bearbeiten

Eigenschaftenblatt

Objektseite

Gitter Ein-/Aus

Rastpunkte anzeigen

Lineal ein-/aus

Verkleinern oder Vergrößern

Gruppieren

Gruppierung aufheben

Neu gruppieren

Kanten ausrichten

Mitte ausrichten

Abstand

Gleiche Größe

Nach vorne oder hinten

Letzte Aktion rückgängig machen

Rückgängig gemachte Aktion wiederholen


Bearbeiten

Das Symbol Bearbeiten versetzt die Vorlage in den Ausführungsmodus. Der Protokollvorlagen- und Etikettvorlagen-Editor bleiben immer im Bearbeitungsmodus. Dieses Symbol funktioniert nur beim Arbeiten mit dem Formblatt-Editor.


Eigenschaftenblatt

Mit dem Symbol Eigenschaftenblatt werden die Eigenschaften für das gewählte Objekt im Dialogfeld Eigenschaftenblatt angezeigt. Im Dialogfeld Eigenschaftenblatt können Sie die Eigenschaften für ein ausgewähltes Objekt ändern. Sie können das Objekt, dessen Eigenschaften Sie ansehen, problemlos ändern, indem Sie ein anderes vorhandenes Objekt aus der Liste oben im Dialogfeld Eigenschaftenblatt auswählen.

Vollständige Informationen zu den verfügbaren Eigenschaften finden Sie unter "Hinweise zu Objekteigenschaften".


Objektseite

Das Symbol Objektseite blendet das Dialogfeld Objektseite ein.

Dialogfeld "Objektseite"

Mit diesem Dialogfeld können Sie die Registerreihenfolge für in Dialogfeldern häufig verwendete Objekte und Steuerelemente einstellen. Ändern Sie einfach die Reihenfolge, in der ein Objekt in diesem Dialogfeld angezeigt wird.

Wenn Sie im Ausführungsmodus die TAB-Taste drücken, springt PC-DMIS zum nächsten in diesem Dialogfeld definierten Objekt; das dann in den Mittelpunkt rückt. Nicht alle Objekte reagieren auf die TAB-Taste. Es sprechen nur solche Objekte auf die TAB-Taste an, die im Dialogfeld Objektseite über eine Nummer verfügen (links vom Objekt).


Raster ein-/aus

Das Symbol Toggle Grid (Raster ein-/ausblenden) blendet das verfügbare Raster ein oder aus. Im Bearbeitungsmodus ist der Raster zur genauen Größenanpassung der Objektgröße hilfreich, da die Rasterpunkte etwa zwei Millimeter auseinander liegen. Siehe "Arbeiten mit dem Raster".


Rastpunkte anzeigen

Mit dem Symbol Rastpunkte können Sie auf jedem Objekt die Rastpunkte anzeigen. Rastpunkte sind für das Verbinden von Objekten mit Linien hilfreich. Beispielsweise können Sie eine Linie zwischen einer Textfeldbeschreibung, die auf ein Objekt verweist, und diesem Objekt (z. B. ein Kreis) erstellen, indem Sie die Rastpunkte der Textfeldbeschreibung und des Kreisobjekts durch eine Linie verbinden. Wenn Sie den Kreis an eine andere Position verschieben, wird die mit ihm verbundene Linie gedehnt oder zusammengezogen (wie bei einer Führungslinie) und auf diese Weise an die neue Position angepasst.

So verwenden Sie Rastpunkte wie im obigen Beispiel:

  1. Erstellen Sie ein Kreisobjekt.

  2. Erstellen Sie ein Linienobjekt.

  3. Wählen Sie im Bearbeitungsmodus das Symbol Rastpunkte aus der Layout-Leiste. Sie werden feststellen, dass die Objekte im Raster mit einem Bereich durch blaue Punkte gekennzeichnet werden. Diese blauen Punkte sind Rastpunkte.

    Beispiel-Kreis mit der Anzeige von fünf Rastpunkten

  4. Markieren Sie die Linie und ziehen Sie ein Linienende direkt auf den gewünschten Rastpunkt des Kreises. Versuchen Sie, das Kreisobjekt zu verschieben. Die Linie ist nun mit dem Rastpunkt des Kreisobjekts verbunden.

  5. Erstellen Sie ein Textobjekt mit einer kurzen Beschreibung für den Kreis.

  6. Markieren Sie das andere Linienende und ziehen Sie es auf einen der Rastpunkte des Textobjekts.

  7. Markieren und ziehen Sie entweder die Textfeldbeschreibung oder das Kreisobjekt. Sie werden feststellen, dass das Linienobjekt länger oder kürzer wird und die Linie zwischen den verwendeten Rastpunkten der beiden Objekte stets gerade ist.

Um die Verbindung zwischen einem Objekt und einem Rastpunkt aufzuheben, ziehen Sie einfach das mit dem Rastpunkt verbundene Ende vom Rastpunkt weg.

Rastpunkte oder Führungslinien-Objekte

Meistens wird anstelle von Rastpunkten ein Führungslinien-Objekt verwendet. Es verfügt über dieselben Funktionen wie Rastpunkte und ist einfacher zu verwenden (siehe auch "Führungslinien-Objekt"). Rastpunkte weisen gegenüber dem Führungslinien-Objekt jedoch einen Vorteil auf – sie unterstützen mehrere Linien zwischen Objekten und verbinden eine Linie genau mit dem jeweiligen Rastpunkt. Mit Rastpunkten können Sie direkt im Bearbeitungsmodus kompliziertere Formen erstellen, wie das folgende Beispiel zeigt:

Beispiel: Ein mit zwei Viererlinien erstellter Zylinder, dessen Linien mit den Rastpunkten auf den beiden ausgefüllten Kreisen verbunden sind.

Unterstützte Objekte

Nur Linien- und Polylinien-Objekte können mit Rastpunkten von Objekten verbunden werden. Nachfolgend werden Objekte mit Rastpunkten aufgelistet:

  • Text

  • TextVar

  • Rand

  • Ellipse

  • Bitmap

  • Merkmalsfarbschlüssel

  • Histogramm

  • Elementtext

  • Merkmalsangaben

  • Punkt-Info

Angehängte Objekte ansehen

Auf komplexen Seiten mit zahlreichen Objekten könnte die Menüoption Ansicht | Route für Sie nützlich sein, mit der Sie die Reihe der mit dem aktuell ausgewählten Objekt verknüpften Objekte ansehen können. Über diese Menüoption werden alle Objekte ausgewählt, die in irgendeiner Weise durch Rastpunkte mit dem aktuell ausgewählten Objekt verbunden sind.


Lineal ein-/aus

Mit dem Symbol Toggle Ruler (Lineal ein-/ausblenden) können Sie das Lineal, dass sich oben und links am Raster befindet, ein- oder ausblenden. Das Lineal zeigt die Rastergröße in Zentimetern an. Außerdem wird die Cursorposition entlang der horizontalen Rasterachse (oberes Lineal) und der vertikalen Rasterachse (seitliches Lineal) angezeigt.


Verkleinern oder Vergrößern

Mit dem Symbol Zoom In or Out (Verkleinern oder Vergrößern) können Sie Ihr HyperView-Protokoll verkleinern oder vergrößern und die Originalanzeige wiederherstellen. Wenn Sie auf dieses Symbol klicken, werden folgende Symbole zur Auswahl angezeigt:

100% Vergrößern - Mit dieser Option können Sie durch einen Rechtsklick bestimmte Teile des Protokolls vergrößern. Sie können dieses Symbol maximal fünf Mal anklicken, um eine 500-fache Vergrößerung zu erhalten.

100% Verkleinern - Mit dieser Option können Sie durch einen Klick eine 100%ige Verkleinerung erreichen, wenn Sie bereits vergrößert haben. Wenn Sie noch nicht vergrößert haben, können Sie nur ein einziges Mal klicken, um eine 100-fache Verkleinerung zu erhalten.

Zoom to 1:1 (Zoom auf 1:1) – Hiermit wird die Originalgröße des Protokolls wiederhergestellt (1 zu 1).

Unabhängig davon, ob Sie vergrößern oder verkleinern, stellt PC-DMIS die Originalgröße immer dann wieder her, wenn Sie ein Steuerelement aktivieren, dass in den Modus "aktiviert" oder "deaktiviert" geschaltet werden kann (beispielsweise beim Doppelklicken auf CADProtokollobjekt oder GitterSteuerObjekt). Wenn Sie diese Steuerelemente verlassen und zum Bearbeitungsbereich zurückkehren, wird die Originalgröße wiederhergestellt.


Gruppieren

Mit dem Symbol Group (Gruppieren) können Sie mehrere Objekte markieren und miteinander gruppieren. Anschließend werden die gruppierten Objekte als ein Objekt angezeigt.

Um mehrere Objekte zu gruppieren, halten Sie entweder die UMSCHALT-Taste gedrückt und wählen Sie alle Objekte in einer Gruppe aus, oder wählen Sie sie aus, indem Sie ein Kästchen um sie ziehen. Klicken Sie dann auf das Symbol Gruppieren.


Gruppierung aufheben

Das Symbol Gruppierung aufheben versetzt Objekte aus einer Gruppierung in ihren ursprünglichen Zustand zurück (nicht gruppiert). Markieren Sie hierfür ein gruppiertes Objekt und klicken Sie auf Gruppierung aufheben.


Neu gruppieren

Mit dem Symbol Regroup (Neu gruppieren) können Sie die letzten noch nicht gruppierten Objekte gruppieren, ohne die Objekte einzeln auswählen zu müssen.


Kanten ausrichten

Mit dem Symbol Align Edges (Kanten ausrichten) stehen weitere Symbole zur Verfügung, mit denen Sie eine Reihe an markieren Objekten entlang ihrer linken, rechten, oberen oder unteren Kante ausrichten können:

Richtet markierte Objekte entlang ihrer linken Kante aus

Richtet markierte Objekte entlang ihrer rechten Kante aus

Richtet markierte Objekte entlang ihrer oberen Kante aus

Richtet markierte Objekte entlang ihrer unteren Kante aus


Mitte ausrichten

Mit dem Symbol Align Center (Mitte ausrichten) stehen folgende weitere Symbole zur Verfügung, mit denen Sie die markierten Objekte horizontal oder vertikal entlang der Mitte ausrichten können:

Die ausgewählten Objekte werden entlang der Horizontalachse angeordnet.

Die ausgewählten Objekte werden entlang der Vertikalachse angeordnet.


Abstand

Mit dem Symbol Zwischenraum stehen folgende weitere Symbole zur Verfügung, mit denen Sie die markierten Objekte horizontal oder vertikal mit demselben Abstand zueinander ausrichten können:

Die ausgewählten Objekte werden in gleichem Abstand entlang der Horizontalachse angeordnet.

Die ausgewählten Objekte werden in gleichem Abstand entlang der Vertikalachse angeordnet.


Gleiche Größe

Mit dem Symbol Gleiche Größe stehen die folgenden weiteren Symbole zum Angleichen der Breite, Höhe oder von beidem für alle markierten Objekte zur Verfügung:

Gleicht die Breite aller markierten Objekte an.

Gleicht die Höhe aller markierten Objekte an.

Gleicht die Höhe und Breite aller markierten Objekte an.


Nach vorne oder hinten

Mit dem Symbol To Front or Back (Nach vorne oder hinten) stehen folgende weitere Symbole zur Verfügung, mit denen Sie ein markiertes Objekt (oder mehrere) vor oder hinter andere Objekte platzieren können. Dies ist sinnvoll, wenn mehrere Objekte übereinander liegen und Sie bestimmte Objekte sichtbar machen möchten, indem Sie sie nach vorne holen. Die folgenden Symbole stehen zur Verfügung:

Verschiebt das markierte Objekt (oder die Objekte) vor alle anderen Objekte, sodass es zuoberst angezeigt wird.

Verschiebt das markierte Objekt (oder die Objekte) hinter alle anderen Objekte, sodass es zuunterst angezeigt wird.


Letzte Aktion rückgängig machen

Mit dem Symbol Letzte Aktion rückgängig machen wird die letzte Aktion rückgängig gemacht, die Sie im Editor durchgeführt haben.


Arbeiten mit dem Gitter

Beim Arbeiten mit einem Formblatt- oder Vorlageneditor kann PC-DMIS im Hintergrund des Formblatts oder der Vorlage durch Klicken auf das Symbol Gitter Ein/Aus in der Layout-Leiste oder durch Drücken von STRG+G ein- oder ausblenden.

Sie können diesen Raster als Instrument für die genaue Platzierung und/oder Größenanpassung von Objekten und zur Kontrolle der Führungslinien der Ränder eines Hyperview-Protokolls verwenden.

Beispiel, in dem die Standardmarkierungen und Führungslinien eines Gitters dargestellt werden

Wählen Sie Bearbeiten | Layout | Gittereinstellungen, um das Dialogfeld Gittereinstellungen zu öffnen.

Dialogfeld "Gittereinstellungen"

Über dieses Dialogfeld können Sie das Gitter nach Ihren Vorstellungen gestalten. In der folgenden Tabelle werden die Steuerelemente dieses Dialogfelds beschrieben:

Dialogfeldoption

Beschreibung

Kontrollkästchen Raster einblenden

Über das Kontrollkästchen Raster einblenden wird die Anzeige des Rasters ein- bzw. ausgeschaltet.

Kontrollkästchen Auf Raster einrasten

Über dieses Kontrollkästchen wird festgelegt, ob die auf dem Raster platzierten Steuerelemente auf der am nächsten gelegenen Rasterposition eingerastet oder bewegt werden.

Bereich Rasterabstand

Im Bereich Rasterabstand wird der Wert des Abstands zwischen den Gittermarkierungen eingestellt. Je niedriger diese Zahl eingestellt ist, desto näher liegen die Gittermarkierungen beieinander.

Bereich Führungslinien

Über den Bereich Führungslinien können Sie die Position der oberen, linken, rechten und unteren Ränderführungslinien für den HyperView-Editor festlegen.

Der in jedem dieser Felder eingegebene Wert bestimmt in Gittermarkierungen den Abstand, in dem die Führungslinien positioniert werden. Wird der Wert auf 0 (Null) gesetzt, wird die Führungslinie vollständig entfernt.

Objekte können nicht außerhalb dieser Führungslinien platziert werden.


Rückgängig gemachte Aktion wiederholen

Mit dem Symbol Redo the Previously Undone Action (Rückgängig gemachte Aktion wiederholen) wird die zuvor rückgängig gemachte Aktion (als Sie auf das Symbol Undo the Last Action (Letzte Aktion rückgängig machen) geklickt haben) wiederholt.


Hinweise zu Protokollen und Protokollvorlagen

In älteren Versionen von PC-DMIS musste für jedes Werkstückprogramm ein anderes Protokoll erstellt werden. Das ist heute nicht mehr notwendig. PC-DMIS verwendet nun Protokollvorlagen. Eine Protokollvorlage ist kein Protokoll, sondern eine Beschreibung eines Protokolls. Die Vorlage beschreibt, welche Daten PC-DMIS zur Erstellung eines Protokolls verwenden soll, an wen es gesendet wird und wie es aussehen wird. Protokollvorlagen können für mehr als ein Werkstückprogramm verwendet werden. Das Format mehrerer Protokolle kann auf einfache und schnelle Weise standardisiert werden.

Vorlagen werden innerhalb des Protokollvorlagen-Editors von PC-DMIS erstellt. Protokollvorlagen-Dateien haben die Dateinamenerweiterung .rtp.

Protokollvorlagen-Dateien können Ihren Anforderungen entsprechend auf einfache oder aufwendige Weise erstellt werden. Eine einfache Protokollvorlage könnte ein einziges TextProtokollObjekt enthalten, wohingegen eine aufwendigere Protokollvorlage mehrere verschiedene Objekte, Bitmap-Bilder, Umrisse und sogar Einträge, die mit Hilfe der Ausdruckssprache zur Protokollierung exakt und detailliert über die Daten berichten, die im Protokoll erscheinen sollen, enthalten kann.

Achtung: Verwechseln Sie nicht die Dateinamenerweiterung für die Protokollvorlage, .rtp, mit der älteren Dateinamenerweiterung für das HyperView-Protokoll, .rpt. Es handelt sich hierbei um völlig verschiedene Dateiformate; es ist nicht möglich, ein HyperView-Protokoll innerhalb des Protokollvorlagen-Editors zu öffnen. Obwohl Sie in PC-DMIS 4.0 und höher immernoch die Möglichkeit haben, ein Eingebettetes HyperView-Protokoll auszuführen, benötigen Sie eine PC-DMIS-Version, die Protokolldateien (.rpt) unterstützt, damit diese bearbeitet werden können.

Siehe auch:

Protokollvorlagen-Editor

Lernprogramm - Erstellen einer benutzerdefinierten Protokollvorlage

Anwenden oder Entfernen einer Protokollvorlage

Freigabe von Protokollvorlagen


Ausführmodus - Dieser Modus kann nur im Formblatt-Editor aufgerufen werden. Im Ausführmodus können Sie das Formblatt ausführen, um seine Erscheinung und Funktion in einer aktuellen Ausführungsumgebung eines Werkstückprogramms zu testen.

Bearbeitungsmodus - Dies ist der Standardmodus für alle Protokoll-Editoren und der einzige Modus, in dem die Protokollvorlagen- und Etikettvorlagen-Editoren aufgerufen werden können.

Sie können zwischen dem Ausführ- und Bearbeitungsmodus durch Drücken von STRG+E hin- und herwechseln.

Protokollvorlagen-Editor

Sie können auf den Protokollvorlagen-Editor zugreifen, indem Sie Menü-Übersicht anzeigen Datei | Protokollieren | Neu | Protokollvorlage auswählen. Sie können eine vorhandene Protokollvorlage aufrufen, indem Sie Menü-Übersicht anzeigen Datei | Protokollieren | Bearbeiten | Protokollvorlage auswählen.

PC-DMIS zeigt den Protokollvorlagen-Editor in einem neuen Fenster an.

Protokollvorlagen-Editor

Der Protokollvorlagen-Editor funktioniert wie ein Arbeitsbereich, in dem Sie verschiedene Objekte ziehen, platzieren, verkleinern, vergrößern und deren Eigenschaften einstellen können. Die Objekte werden oben in den weißen Bereich, den man Vorlage oder Sektion nennt, platziert. Wenn Sie in früheren Versionen von PC-DMIS mit HyperView-Protokollen gearbeitet haben, wird Ihnen der Editor vertraut vorkommen, da er im Wesentlichen auf die gleiche Weise funktioniert und viele der Elemente der Benutzeroberfläche gleich sind.

Seit der neuen Vorlagenmethode beim Protokollieren können Sie den Protokollvorlagen- und Etikettvorlagen-Editor nicht mehr in den Ausführungsmodus versetzen.. Sie können nur im Bearbeitungsmodus geöffnet und nicht umgeschaltet werden. Der Formblatt-Editor arbeitet immernoch im Ausführungsmodus.

Der Editor enthält folgende Elemente:

  • Menüleiste

  • Schriftleiste (Symbolleiste)

  • Objektleiste (Symbolleiste)

  • Layoutleiste (Symbolleiste)

  • Objekt-Eigenschaftenblätter

  • Sektionen

  • Arbeiten mit dem Gitter

Detaillierte Angaben zu diesen Elementen finden Sie unter "Hinweise zu den Benutzeroberflächen des Formblatt- und Vorlagen-Editors".

Siehe auch:

Hinweise zu den Sektionen


Hinweise zu den Sektionen

Sektionen machen den Hauptarbeitsbereich in einer Vorlage aus. In diese bildlauffähigen Bereiche des Protokollvorlagen-Editors im Registerformat können Sie Objekte in die aktuelle Protokollvorlage einfügen. Mit den Sektionen haben Sie eine größere Kontrolle über die Art der Erscheinung von Objekten im Protokoll.

In PC-DMIS-Versionen vor 4.0 waren aufwendige Methoden zur Erstellung und Bearbeitung mehrseitiger HyperView-Protokolle, in denen bestimmte Objekte nur auf bestimmten Seiten erschienen, notwendig. Komplexes Kodieren mit einer großzügigen Menge von Schichten waren erforderlich, um mehrere Objekte auf mehreren Seiten ein- und auszublenden. Mit dem neuen Protokollvorlagen-Editor können Sie auf einfache Weise zusätzliche Sektionen zur Vorlage hinzufügen und auf vereinfachte Weise leistungsfähige Multi-Sektions-Protokolle erstellen.

Sektionen unterscheiden sich jedoch von Seiten. Objekte, die in eine Sektion eingefügt wurden, werden nicht in anderen Sektionen angezeigt. Sie werden allerdings in derselben Sektion auf mehreren Seiten angezeigt. Diese Vorgehensweise verringert die Komplexität der Erstellung von Protokollelementen wie Kopfzeilen und Überschriften, die stagnieren sollen.

So zum Beispiel, wenn Sie eine Beschreibung des Protokolls und Daten des Verfassers in die erste Sektion der Vorlage platzieren möchten, dann ein TextProtokollObjekt in die zweite Sektion und ein CADProtokollobjekt in die dritte Sektion einfügen möchten. Unabhängig von der Länge Ihrer Protokolldaten kann dann jede Sektion des Protokolls mehrere Seiten hervorbringen.

Sektionen werden nur im Protokollvorlagen-Editor verwendet. Vor Version 4.0 wurde der Hauptbearbeitungsbereich für HyperView-Protokolle "The Frame/The View" genannt. Dieser Name wird immernoch im Formblatt- und Etikettvorlagen-Editor verwendet. Diese Editoren verwenden keine Sektionen. Im Protokollvorlagen-Editor werden Protokollierobjekte in Sektionen des Editors platziert.

So fügen Sie eine neue Sektion hinzu

  1. Stellen Sie sicher, dass das Fenster des Protokollvorlagen-Editors maximiert ist.

  2. Blättern Sie an den unteren Rand des Protokolls.

  3. Klicken Sie mit der rechten Maustaste auf die Registerkarte Sektion1.

  4. Wählen Sie im Kontextmenü die Option Einfügen. PC-DMIS fügt eine neue Sektion, Sektion2, in die Vorlage ein. Die Vorlage sollte nun zwei Sektionen aufweisen und so aussehen:

So löschen Sie eine Sektion

  1. Stellen Sie sicher, dass das Fenster des Protokollvorlagen-Editors maximiert ist.

  2. Blättern Sie an den unteren Rand des Protokolls.

  3. Klicken Sie mit der rechten Maustaste auf die Sektions-Registerkarte, die Sie löschen möchten.

  4. Wählen Sie im Kontextmenü die Option Löschen. PC-DMIS löscht die Sektion.

So bearbeiten Sie die Eigenschaften einer Sektion

  1. Stellen Sie sicher, dass das Fenster des Protokollvorlagen-Editors maximiert ist.

  2. Blättern Sie an den unteren Rand des Protokolls.

  3. Klicken Sie mit der rechten Maustaste auf die Sektion. Das Dialogfeld Eigenschaften wird angezeigt.

  4. Ändern Sie die Eigenschaften nach Ihren Wünschen. Um eine Sektion umzubenennen, benennen Sie die ObjectCode-Eigenschaft der Sektion um.


Erstellen einer benutzerdefinierten Protokollvorlage

Erstellen eines Werkstückprogramms, das vier Kreise misst

Erstellen eines Werkstückprogramms, das vier Kreise auf ähnliche Weise misst

Durch Klicken auf diese Symbole wird ein Demo-Film zur Bewältigung gewisser Aufgaben vorgeführt.

  1. Wählen Sie Datei | Protokollieren | Neu | Protokollvorlage, um auf den Protokollvorlagen-Editor zuzugreifen. Es erscheint automatisch eine leere Protokollvorlage.

  2. Blenden Sie nicht-verwendete Symbolleisten aus, indem Sie sie durch Klicken mit der rechten Maustaste auf den Symbolleistenbereich entfernen.

  3. Blenden Sie nicht-verwendete PC-DMIS-Fenster durch Auswahl des geöffneten Fensters im Menü Ansicht.

  4. Maximieren Sie den Vorlagen-Editor durch Klicken auf dieMaximierungsschaltfläche des Bearbeitungsfensters. Sie sollten die Worte "PROTOKOLL" auf dem Hintergrund des Editors jetzt sehen und unten im Editor sollte sich eine "Sektion1"-Registerkarte befinden. Der Protokollvorlagen-Editor sollte nun etwa so aussehen:

Tipp: Wenn Sie in einem der Vorlagen-Editoren arbeiten, könnte es für Sie hilfreich sein, die üblichen Symbolleisten und Fenster von PC-DMIS auszublenden und damit mehr Platz auf dem Bildschirm zu schaffen. Wenn Sie häufig mit Vorlagen arbeiten, ist es sinnvoll, ein gespeichertes Bildschirm-Layout für die Vorlage zu erstellen. Siehe das Thema "Symbolleiste "Fenster-Layouts" im Abschnitt "Arbeiten mit Symbolleisten".

Schritt 1: Protokollvorlagen-Editor

  1. Klicken Sie in der Objektleiste auf ein Textobjekt.

  2. Fügen Sie es durch ziehen eines Rechtecks um die aktuelle Sektion in das Protokoll ein. Wenn Sie die Maustaste jetzt loslassen, ist das Objekt ausgewählt, wie die kleinen, grünen Rechtecke, genannt Handles, an jeder Ecke des Objekts veranschaulichen.

  3. Markieren Sie das eingefügte Textobjekt und ziehen Sie die grünen Handles, bis das Textobjekt eine Höhe von 2,5cm und eine Länge von 15cm erreicht. Verwenden Sie dazu die Linealleisten am oberen und linken Rand des Editors. Wenn die Lineale nicht verfügbar sind, wählen Sie Ansicht | Linealleisten aus.

  4. Klicken Sie mit der rechten Maustaste auf das Textobjekt.

  5. Wählen Sie die Eigenschaft BackColor (Hintergrundfarbe) und ändern Sie sie auf eine leichtblaue Farbe (0.255.255).

  6. Wählen Sie die Eigenschaft ForeColor (Vordergrundfarbe) und ändern Sie sie auf eine dunkelblaue Farbe (0.0.128).

  7. Klicken Sie auf LineWidth (Linienstärke), und ändern Sie den Wert auf 5.

  8. Klicken Sie die Eigenschaft Text und ändern Sie sie auf "Ein benutzerdefiniertes Protokoll".

  9. Klicken Sie auf die Schaltfläche Schriftart. Es erscheint das Dialogfeld Schriftart.

  10. Ändern Sie die Größe auf 20, die Schriftart auf Fett und die Schrift auf Arial.

  11. Klicken Sie auf OK.

Sie haben soeben Ihr Textobjekt formattiert. Es sollte in etwa so aussehen:

Sehen Sie sich eine kurze Demo über das Einfügen und Formatieren von Textobjekten an

Beispiel eines Textobjekts mit der Anzeige von Handles

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

  1. Heben Sie das Textobjekt hervor, das Sie im vorherigen Abschnitt erstellt haben.

  2. Klicken Sie mit der rechten Maustaste auf das Objekt. Dadurch wird erscheint das Dialogfeld Eigenschaften für dieses Objekt auf der rechten Seite des Editors. Auf der linken Seite des Dialogfelds sehen Sie Kontrollkästchen neben den meisten Eigenschaften. Diese Kontrollkästchen bestimmen, welche Eigenschaft benutzerdefiniert gemacht werden kann.

  3. Wählen Sie das Kontrollkästchen links der Texteigenschaft. Ein Benutzerzugeordnete Eigenschaften Dialogfeld erscheint und Sie werden aufgefordert, die Nachricht zu bestimmten, die den Benutzer zur Eingabe des Eigenschaftenwerts und zum Zeitpunkt der Eingabeaufforderung auffordert.

  4. Geben Sie im Feld Eingabeaufforderung "Geben Sie den Titel Ihres Protokolls jetzt ein" ein.

  5. Wählen Sie die Option Eingabeaufforderung bei Ausführung des Protokolls.

  6. Klicken Sie auf OK. Das Dialogfeld Benutzerzugeordnete Eigenschaften wird geschlossen.

  7. Wählen Sie das Kontrollkästchen links der BackColor-Eigenschaft. Im resultierenden Dialogfeld geben Sie "Wählen Sie jetzt die Hintergrundfarbe" für die Eingabeaufforderung ein und wählen Sie nochmals die Option Eingabeaufforderung bei Ausführung des Protokolls.

  8. Klicken Sie auf OK. Das Dialogfeld Benutzerzugeordnete Eigenschaften wird geschlossen.

In diesem Schritt haben Sie zwei Eigenschaften ausgewählt und sie "benutzerzugeordnet" gemacht. Das heißt, dass jeder, der das Werkstückprogramm ausführt, diese Eigenschaften einstellen kann.

Sehen Sie sich eine kurze Demo darüber an, wie Eigenschaften benutzerzugeordnet gemacht werden.

Beispiel-Eigenschaftenblatt eines Textobjektes. Beachten Sie die benutzerdefinierbaren Kontrollkästchen auf der linken Seite.

Beispiel-Eigenschaftenblatt eines Textobjektes Beachten Sie die benutzerdefinierbaren Kontrollkästchen auf der linken Seite.

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

  1. Klicken Sie in der Objektleiste auf das Symbol TextProtokollObjekt. Der Mauszeiger wechselt von einem Pfeil in ein Kreuz.

  2. Fügen Sie das TextProtokollObjekt in die Vorlage ein, indem Sie ein Feld in der Sektion der Vorlage ziehen. PC-DMIS fügt automatisch eine bestimmte Menge an Standard-Protokollfülltext hinzu. Wenn Sie diese Vorlage für das Protokoll benutzen, verwendet PC-DMIS die aktuellen Protokolldaten. Dieser Fülltext hilft lediglich, das Aussehen des Entwurfs besser zu verstehen. Das Objekt sollte jetzt etwa so aussehen:

  3. Stellen Sie die Größe des Objekts so ein, dass es in etwa die Breite des zuvor hinzugefügten Textobjekts erhält. Sie können die Größe des Objekts anpassen, indem Sie auf eins der grünen Felder, die das Objekt umgeben, klicken und dann in die entsprechende Richtung ziehen.

  4. Wählen Sie das zuvor hinzugefügte Textobjekt aus. Halten Sie die UMSCHALT-Taste gedrückt und wählen Sie das TextProtokollObjekt.

  5. Klicken Sie, beides markiert, in der Layout-Leiste auf die entsprechende Gleiche Größe- und auf die Mitte ausrichten- Symbole, um den Objekten die gleiche Breite zuzuordnen und um sie so auszurichten, dass sie zwischen der linken und der rechten Seite des Editors zentriert sind.

In der ersten Sektion Ihrer Vorlage sollte sich nun ein TextProtokollObjekt befinden.

Sehen Sie sich eine kurze Demo über das Einfügen eines TextProtokollObjekts und über das Verwenden der Aspekte der Layout-Leiste an.

TextProtokollObjekt mit Fülltext

Beispiel eines TextProtokollObjekts

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

  1. Stellen Sie sicher, dass das Fenster des Protokollvorlagen-Editors maximiert ist.

  2. Blättern Sie an den unteren Rand des Protokolls.

  3. Klicken Sie mit der rechten Maustaste auf die Registerkarte Sektion1.

  4. Wählen Sie im Kontextmenü die Option Einfügen. PC-DMIS fügt eine neue Sektion, Sektion2, in die Vorlage ein.

Die Vorlage sollte nun zwei Sektionen aufweisen und so aussehen:

Sehen Sie sich eine kurze Demo zur Erstellung neuer Sektionen an.

Beispiel zweier Sektionen

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

  1. Klicken Sie auf die Registerkarte Sektion2, um diese Sektion zur aktuellen Sektion zu definieren.

  2. Klicken Sie in der Objektleiste auf das Symbol CADProtokollobjekt. Der Mauszeiger wechselt von einem Pfeil in ein Kreuz.

  3. Fügen Sie das CADProtokollobjekt in die Vorlage ein, indem Sie ein Feld in der Sektion der Vorlage ziehen. Stellen Sie die Größe des Feldes auf etwa 15cm Breite und 10cm Höhe ein. Sie können die Größe des Objekts anpassen, indem Sie auf eins der grünen Felder, die das Objekt umgeben, klicken und dann in die entsprechende Richtung ziehen.

  4. Nach Fertigstellung zeigt PC-DMIS automatisch den Etikett-Layout-Assistenten an. Dieser Assistent zeigt die Imitation eines Werkstücks an, das von einigen imitierten Etiketten umgeben ist. Diese "Dummy"-Elemente dienen lediglich Entwurfszwecken, für die Zeit, in der Sie im Vorlagen-Editor arbeiten. Sie können mit Hilfe dieser Assistenten auf schnelle Weise Etiketten um das Werkstück herum anordnen. Detaillierte Angaben hierzu finden Sie unter "Der Etikett-Layout-Assistent". Wenn Sie diese Vorlage für das Protokoll benutzen, verwendet PC-DMIS die aktuellen CAD-Zeichnungs- und Etikettangaben.

  5. Ändern Sie die Etikettanzahl im Feld Etikettanzahl auf 4.

  6. Wechseln Sie zu Elliptical Packed.

  7. Klicken Sie auf das kleine, viereckige, weiße Handle in der Mitte der CAD-Zeichnung und ziehen Sie das Viereck im oder gegen den Uhrzeigersinn, um die Etiketten entlang der elliptischen Bahn zu drehen.

  8. Drehen Sie die Etiketten, bis sich alle vier über der CAD-Zeichnung befinden, bis der Bereich Layout-Voransicht des Etikett-Layout-Assistenten so aussieht:

  9. Klicken Sie auf OK. PC-DMIS fügt das Objekt in die Sektion2 ein.

Der Bereich Sektion2 sollte nun ein CADProtokollobjekt enthalten, das etwa so aussieht:

Sehen Sie sich eine kurze Demo über das Einfügen und Verwenden des CADProtokollobjekts an

Bereich Layout-Voransicht mit der Anzeige von vier Etiketten, die in einem elliptischen Bogen über der CAD-Zeichnung angeordnet sind

Bereich Layout-Voransicht mit der Anzeige von vier Etiketten, die in einem elliptischen Bogen über der CAD-Zeichnung angeordnet sind

Beispiel eines CAD-Protokollobjekt mit der Anzeige von vier Dummy-Etiketten über dem Dummy-Werkstück

Beispiel eines CAD-Protokollobjekt mit der Anzeige von vier Dummy-Etiketten über dem Dummy-Werkstück

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

  1. Klicken Sie auf die Registerkarte Sektion1 und klicken Sie mit der rechten Maustaste auf das zuvor eingefügte TextProtokollObjekt.

  2. Ändern Sie im Dialogfeld Eigenschaften folgende Eigenschaften:
    AusrichtungenEinblenden - AUS
    KommentareEinblenden - AUS
    MerkmaleEinblenden - Keine
    ElementeAnzeigen - EIN
    KopfzeileFußzeileEinblenden - AUS
    BewegungenEinblenden - AUS
    BildschirmkopienEinblenden - AUS

  3. Klicken Sie auf die Registerkarte Sektion2.

  4. Klicken Sie mit der rechten Maustaste auf das CADProtokollobjekt, dass sie Sektion2 hinzugefügt haben. Im rechten Teil des Bildschirms wird ein angekoppeltes Dialogfeld Eigenschaftenblatt eingeblendet. Dieses Dialogfeld enthält mehrere Eigenschaften, die nur auf das ausgewählte Objekt angewendet werden können.

  5. Klicken Sie im Bereich Regelbaum auf die Regeln.. Es erscheint der Regelbaum-Editor:

  6. Blenden Sie die Element-Überschrift ein. Es erscheint eine Liste mit Elementen.

  7. Blenden Sie die Kreis-Überschrift ein. Es erscheint eine Liste mit verschiedenen Kreiselementen.

  8. Klicken Sie auf den Eintrag Gemessener Kreis und klicken Sie dann auf die Schaltfläche Hinzufügen. Dadurch wird PC-DMIS darüber informiert, dass Sie eine Regel hinzufügen, der die Vorlage folgen soll. Es erscheint das Dialogfeld Regel bearbeiten . In diesem Dialogfeld können Sie Entscheidungen für die Protokollvorlage treffen. In diesem Fall weisen Sie die Protokollvorlage an, eine gewisse Aktion vorzunehmen, wenn es auf gemessenen Kreise unter den Protokolldaten des Werkstückprogramms stößt.

  9. Wählen Sie die Option Etikettvorlage für Protokoll verwenden. Das Feld Etikettname wird zur Bearbeitung verfügbar.

  10. Klicken Sie auf die Schaltfläche .... Nun erscheint das Dialogfeld Öffnen. , indem Sie eine bestimmte Vorlagendatei auswählen können.

  11. Navigieren Sie zum Installationsverzeichnis von PC-DMIS und öffnen Sie das Unterverzeichnis zur Protokollierung. Wählen Sie das Etikett summary.lbl und klicken Sie auf Öffnen. Im Dialogfeld Regel bearbeiten zeigt PC-DMIS den Namen der ausgewählten Vorlage an. Weitere Informationen und ein Lernprogramm zur Erstellung von Etiketten finden Sie unter "Hinweise zu Etiketten und Etikettvorlagen".

  12. Klicken Sie auf OK, um das Dialogfeld Regel bearbeiten zu schließen und die Regel anzuwenden. Sie werden bemerken, dass der Listeneintrag Gemessener Kreis fettgedruckt ist, um angzugeben, dass für diesen Elementtyp eine Regel existiert.

  13. Klicken Sie auf OK, um das Dialogfeld Regelbaum zu schließen.

Sie haben eine Regel erstellt, die PC-DMIS mitteilt, eine summary.lbl-Etikettvorlage zu verwenden, um zusammengefasste Angaben über den gemessenen Kreiselementtyp anzuzeigen.

Sehen Sie sich eine kurze Demo darüber an, welche Angaben in der Protokollvorlage angezeigt werden.

Regelbaum-Eigenschaft

Dialogfeld "Regelbaum-Editor"

Dialogfeld "Regel bearbeiten"

Dialogfeld "Regel bearbeiten"

Beispiel-Dialogfeld "Öffnen" mit der Anzeige verschiedener verfügbarer Etikettvorlagen

Beispiel-Dialogfeld Öffnen mit der Anzeige verschiedener verfügbarer Etikettvorlagen

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

  1. Wählen Sie im Protokollvorlagen-Editor die Option Datei | Speichern. Im Dialogfeld Speichern unter speichern Sie die Vorlage als test1.rtp.

  2. Wählen Sie Datei | Schließen, um den Protokollvorlagen-Editor zu schließen.

  3. Wählen Sie Ansicht | Protokollfenster. Es erscheint das Protokollfenster, das die Standardprotokollvorlage zeigt.

  4. Wählen Sie aus der Symbolleiste Protokollieren im Protokollfenster das Symbol Dialog Vorlagenauswahl. Es erscheint das Dialogfeld Protokollvorlagen

  5. Fügen Sie die Vorlage zum Dialogfeld Protokollvorlagen hinzu und klicken Sie auf die Schaltfläche Hinzufügen.

  6. Navigieren Sie zu "test1.rtp" und wählen Sie diese Datei aus. Klicken Sie auf Öffnen. PC-DMIS fügt eine Miniaturansicht des Protokolls im Dialogfeld Protokollvorlagen hinzu.

  7. Wählen Sie das Symbol für die Miniaturansicht der Vorlage und klicken Sie auf Protokoll öffnen. PC-DMIS öffnet das Protokollfenster unter Verwendung der neu erstellten Vorlage.

  8. Führen Sie das Werkstückprogramm aus. Bei der ersten Ausführung des Werkstückprogramms mit dieser Protokollvorlage zeigt PC-DMIS ein Dialogfeld Benutzerzugeordnete Eigenschaften definieren an, in dem Sie aufgefordert werden, einen neuen Titel für das Protokoll und die Hintergrundfarbe einzugeben.

  9. Stellen Sie diese Eigenschaften nach Ihren Wünschen ein und klicken Sie auf OK. Das Dialogfeld schließt sich und PC-DMIS führt das Werkstückprogramm aus.

  10. Nach der Ausführung zeigt PC-DMIS die Protokolldaten in der neuen Vorlage.

Herzlichen Glückwunsch! Sie haben das Lernprogramm zur Erstellung einer benutzerzugeordneten Protokollvorlage beendet.

Sehen Sie sich eine kurze Demo zur Auswahl und zum Testen einer Protokollvorlage an

Dialogfeld "Protokollvorlage" mit der Anzeige von "Test1.rtp"

Dialogfeld "Protokollvorlage" mit der Anzeige von "Test1.rtp"

Über eine Symbolleiste unten in diesem Fenster können Sie die Demo steuern. Nachdem die Demo beendet ist, klicken Sie wieder auf das blaue Symbol, um dieses eingeblendete Fenster zu schließen.

Erstellen einer benutzerdefinierten Protokollvorlage

In diesem Abschnitt werden Sie durch ein sehr grundlegendes Lernprogramm geführt, in dem eine simple Protokollvorlage mit einigen wenigen Objekten und Etiketten erstellt wird. Damit erhalten Sie einen Überblick über das Zusammenwirken der einzelnen Funktionen, damit Sie in der Lage sind, Ihre eigene benutzerdefinierte Protokollvorlage zu erstellen und anzuwenden.

Hinweis: Um Ihnen ein gewisses Basiswissen über die Funktionen des Vorlagen-Editors zu vermitteln, zeigt dieses Lernporgramm die Erstellung einer Protokollvorlage von Grund auf. In der Praxis werden Sie es jedoch wahrscheinlich vorziehen, eine der Standardvorlagen, die Ihren Anforderungen entspricht, zu definieren.

Bevor Sie mit dem Lernprogramm beginnen, erstellen Sie ein einfaches Werkstückprogramm, bei dem vier Kreise auf einem einfachen Werkstück gemssen werden können. Dieses Lernprogramm verwendet den Hexagon-Prüfblock (Hexblock_Wireframe_Surface.igs).

Klicken Sie auf die unten stehenden Verknüpfungen, um die jeweiligen Schritte mit Instruktionen wie gewünscht ein- bzw. auszublenden. Die meisten Schritte erhalten auch eine entsprechende Demo. Klicken Sie einfach auf die blauen Symbole wie dieses, um die Demos anzusehen:

Schritt 1: Erstellen einer leeren, benutzerdefinierten Protokollvorlage

Schritt 2: Einfügen und Formatieren eines Textobjekts für eine Sektionsüberschrift

Schritt 3: Eigenschaften benutzerzugeordnet machen

Schritt 4: Hinzufügen eines TextProtokollObjekts

Schritt 5: Hinzufügen einer neuen Sektion in die Vorlage

Schritt 6: Hinzufügen eines CADProtokollobjekts

Schritt 7: Definieren der zu erscheinenden Messangaben

Schritt 8: Speichern und Testen der Vorlage


Anwenden oder Entfernen einer Protokollvorlage

  1. Wählen Sie Ansicht | Protokollfenster, um auf das Protokollfenster zuzugreifen.

  2. Wählen Sie aus der Symbolleiste Protokoll im Protokollfenster das Symbol Auswahl Vorlage Auswahlvorlagendialog. Das Dialogfeld Protokollvorlagen erscheint und zeigt die verfügbaren Protokollvorlagen als .rtp-Dateien an:

Dialogfeld "Protokollvorlagen"

Sie können dieses Dialogfeld verwenden, um die Protokollvorlagen zu verwalten.

  1. Klicken Sie im Dialogfeld Protokollvorlagen auf die Schaltfläche Hinzufügen. Nun erscheint das Standard-Dialogfeld Öffnen.

    Dialogfeld "Öffnen"
    Dialogfeld "Öffnen"

  2. Navigieren Sie zur Protokollvorlagendatei, markieren Sie sie und klicken Sie auf Öffnen.

  3. PC-DMIS fügt die Vorlage dem Miniaturbild "A" der Vorlage, die im Dialogfeld Protokollvorlagen erscheinen wird, hinzu.

  4. Das Dialogfeld enthält entweder wenige oder viele Vorlagen. Um die Größe des Dialogfelds Ihren Anforderungen entsprechend anzupassen, ziehen Sie die Kante des Dialogfelds so lange, bis es die gewünschte Größe erhält.

  1. Wählen Sie im Dialogfeld Protokollvorlagen eine Vorlage aus.

  2. Klicken Sie auf die Schaltfläche Entfernen (um alle Vorlagen zu entfernen, klicken Sie auf Alle entfernen).

  3. PC-DMIS entfernt die Protokollvorlage aus dem Dialogfeld Protokollvorlagen.

Das Entfernen von Protokollvorlagen bedeutet nicht, dass sie gelöscht werden. Sie werden lediglich aus dem Dialogfeld entfernt. Sie können später jederzeit über die Schaltfläche Hinzufügen wieder hinzugefügt werden.

Anwenden oder Entfernen einer Protokollvorlage

Um eine Protokollvorlage auf Ihre Messergebnisse anzuwenden, oder um eine Protokollvorlage zu entfernen, müssen Sie zunächst das Dialogfeld Protokollvorlagen öffnen:

Zugreifen auf das Dialogfeld "Protokollvorlagen":

Eine Protokollvorlage hinzufügen:

Eine Protokollvorlage hinzufügen:

Hinweis: Die im Dialogfeld Protokollvorlagen aufgelisteten Vorlagen sind für jedes Benutzerkonto auf dem Betriebssystem von Windows unterschiedlich.


Freigabe von Protokollvorlagen

Sie können eine Protokollvorlage auf einfache Weise freigeben, damit sie auch von anderen Benutzern verwendet werden kann. Beim Speichern einer Protokollvorlage speichert PC-DMIS automatisch eine Kopie jeder damit verbundenen Etikettvorlage in die Protokollvorlage selbst. Auf diese Weise werden die verbundenen Etikettvorlagen bei der Freigabe von Protokollvorlagen automatisch mitversendet. Selbst dann überprüft die Protokollvorlage immer erst, ob aktuelle Etikettvorlagendateien im Verzeichnis vorhanden sind. Eine gefundene, aktuelle Etikettvorlagendatei wird verwendet. Wenn unerwartet keine aktuelle Etikettvorlagendatei vorhanden ist, verwendet die Protokollvorlage die kopierte Version der Etikettvorlagendatei, die zusammen mit der Protokollvorlage selbst gespeichert ist.

Bewegen Sie zur Betrachtung eines Beispiels den Mauszeiger über folgendes Diagramm:


Hinweise zu Etiketten und Etikettvorlagen

Etiketten sind ein völlig neues Konzept in der Protokollierung von PC-DMIS. Eine Etikettvorlage agiert im Wesentlichen wie eine Mini-Protokollvorlage, die mit einem bestimmten Befehl (oder Befehlen) im Protokoll verbunden wird. Sie haben dadurch eine größere Flexibilität im Umgang mit Daten, die in das Protokoll aufgenommen werden können. So können Sie beispielsweise Etiketten für Merkmale, Etiketten für gemessene Elemente, für Auto Elemente, und so weiter, anzeigen.

Beispiel-Etikett:

PC-DMIS arbeitet mit mehreren Standardetiketten, die mit Objekten in die Protokollvorlage verbunden werden können. Wie auch bei den Protokollvorlagen können Sie aber auch Ihre persönlichen Etikettvorlagen erstellen. Etikettvorlagen können beliebige Objekte aus der Objektleiste des Etikettvorlagen-Editors enthalten. Normalerweise enthalten Sie jedoch das GitterSteuerObjekt oder das Grafik-Objekt.

Der Etikettvorlagen-Editor wird zur Erstellung von Etikettvorlagen verwendet.

Siehe auch:

Etikettvorlagen-Editor

Lernprogramm - Erstellen von Etikettvorlagen

Verwenden von Etiketten in Protokollen

Anordnen von Etiketten im Protokollfenster

Verwenden des Tabellenformatbefehls


Ausführmodus - Dieser Modus kann nur im Formblatt-Editor aufgerufen werden. Im Ausführmodus können Sie das Formblatt ausführen, um seine Erscheinung und Funktion in einer aktuellen Ausführungsumgebung eines Werkstückprogramms zu testen.

Bearbeitungsmodus - Dies ist der Standardmodus für alle Protokoll-Editoren und der einzige Modus, in dem die Protokollvorlagen- und Etikettvorlagen-Editoren aufgerufen werden können.

Sie können zwischen dem Ausführ- und Bearbeitungsmodus durch Drücken von STRG+E hin- und herwechseln.

Etikettvorlagen-Editor

Sie können auf den Etikettvorlagen-Editor zugreifen, indem Sie Menü-Übersicht anzeigen Datei | Protokollieren | Neu | Etikettenvorlage auswählen. Sie können eine vorhandene Etikettvorlage aufrufen, indem Sie Menü-Übersicht anzeigen Datei | Protokollieren | Bearbeiten | Etikettenvorlage auswählen.

PC-DMIS zeigt den Etikettvorlagen-Editor in einem neuen Fenster an.

Etikettvorlagen-Editor

Dieser Editor entspricht in etwa dem Protokollvorlagen- und Formblatt-Editor, mit einigen Unterschieden in der Objektleiste. Die Benutzeroberfläche ist im Wesentlichen die Gleiche. Obwohl Sie technisch gesehen jedes beliebige Objekt aus der Objektleiste des Etikettvorlagen-Editors in die Etikettvorlage einfügen können, werden Sie im Allgemeinen mit dem GitterSteuerObjekt arbeiten. Die Etikettvorlage ist das weiße, größenveränderbare Feld oben auf dem "ETIKETT"-Hintergrund.

Seit der neuen Vorlagenmethode beim Protokollieren können Sie die Protokollvorlagen- oder Etikettvorlagen-Editor nicht mehr in den Ausführungsmodus versetzen.. Sie können nur im Bearbeitungsmodus geöffnet und nicht umgeschaltet werden. Der Formblatt-Editor arbeitet immernoch im Ausführungsmodus.

Der Editor enthält folgende Elemente:

  • Menüleiste

  • Schriftleiste (Symbolleiste)

  • Objektleiste (Symbolleiste)

  • Layoutleiste (Symbolleiste)

  • Objekt-Eigenschaftenblätter

Detaillierte Angaben zu diesen Elementen finden Sie unter "Hinweise zu den Benutzeroberflächen des Formblatt- und Vorlagen-Editors".


Erstellen von Etikettvorlagen

  1. Wählen Sie Datei | Protokollieren | Neu | Etikettvorlage, um auf den Etikettvorlagen-Editor zuzugreifen. Es erscheint automatisch eine leere Etikettvorlage.

  2. Blenden Sie Symbolleisten, die Sie nicht verwenden, aus, indem Sie sie durch Klicken mit der rechten Maustaste auf den Symbolleistenbereich entfernen.

  3. Blenden Sie nicht-verwendete PC-DMIS-Fenster durch Auswahl des geöffneten Fensters im Menü Ansicht.

  4. Maximieren Sie den Vorlagen-Editor durch Klicken auf dieMaximierungsschaltfläche des Bearbeitungsfensters. Sie sollten jetzt im Hintergrund des Editors die Worte "ETIKETT" sehen.

  5. Stellen Sie die Größe von The Frame/The View im Arbeitsbereich der Etikettvorlagen auf 10,16cm Breite und 3,81cm Höhe ein. Dafür klicken Sie in die untere rechte Ecke der Etikettvorlage und ziehen mit der Maus. Nehmen Sie die Lineale zu Hilfe.

Sie haben eine leere Etikettvorlage erstellt. Nach Fertigstellung dieses Schritts sollte es etwa so aussehen:

Tipp: Wenn Sie in einem der Vorlagen-Editoren arbeiten, könnte es für Sie hilfreich sein, die üblichen Symbolleisten und Fenster von PC-DMIS auszublenden und damit mehr Platz auf dem Bildschirm zu schaffen. Wenn Sie häufig mit Vorlagen arbeiten, ist es sinnvoll, ein gespeichertes Bildschirm-Layout für die Vorlage zu erstellen. Siehe das Thema "Symbolleiste "Fenster-Layouts" im Abschnitt "Arbeiten mit Symbolleisten".

Etikettvorlagen-Editor

  1. Klicken Sie auf das Symbol BefehlTextObjekt. Aus dem Mauszeiger wird ein Fadenkreuz.

  2. Ziehen Sie ein Feld mit dem Mauszeiger, so dass es eine Größe von etwa 7,5cm Breite x 1,27cm Höhe erhält. Ein BefehlTextObjekt wird in die Etikettvorlage eingefügt. Klicken Sie mit der rechten Maustaste, um das Dialogfeld Eigenschaften zu öffnen.

  3. Klicken Sie auf die Eigenschaft Farben. Wenn Sie von PC-DMIS aufgefordert werden, einen Farbsatz unter den Standard-Anwendungsfarben auszuwählen, klicken Sie auf Ja.

  4. Es erscheint der Farben-Editor. PC-DMIS verwendet diesen Editor, um Farben für das Bearbeitungsfenster zu definieren. In diesem Fall jedoch wirkt sich die Auswahl nur auf das aktuelle BefehlTextObjekt aus.

  5. Unter Hintergrundfarbe klicken Sie auf Bearbeiten. Nun erscheint das Standard-Dialogfeld Farbe.

  6. Weisen Sie dem Hintergrund des Objekts die Farbe Dunkelblau zu. Ändern Sie die Werte hierzu in den Feldern Rot, Grün, Blau auf 0, 0, bzw. 128. Klicken Sie auf OK.

  7. Klicken Sie im Feld Nicht Markiert auf Bearbeiten. Nun erscheint das Standard-Dialogfeld Farbe.

  8. Wählen Sie 'Weiß' und klicken Sie dann auf OK. Wenn PC-DMIS fragt, ob Sie die untergeordneten Einträge ändern möchten, klicken Sie auf Nein.

  9. Verwenden Sie eine Bitmap eines Kreises (oder verwenden Sie ein Ellipsenobjekt, um einen Kreis zu zeichnen) und platzieren Sie es oben rechts der Leinwand.

Sie haben ein BefehlTextObjekt und ein statisches Bitmap- oder Ellipsenobjekt für eine Kreisform in die Etikettvorlage eingefügt. Nach Beendigung dieses Schrittes sollte die Etikettvorlage etwa so aussehen:

Etikettvorlage mit Anzeige des BefehlTextObjekts und einem statischen Bitmap-Objekt

  1. Klicken Sie auf das Symbol GitterSteuerObjekt. Aus dem Mauszeiger wird ein Fadenkreuz.

  2. Ziehen Sie das Feld für dieses Objekt mit dem Mauszeiger unter das zuvor eingefügte BefehlTextObjekt, sodass es die gleiche Breite hat.

  3. Verändern Sie die Höhe, sodass der Rest des Bereichs "The Frame/The View" ausgefüllt ist. Nachdem es eingefügt wurde, zeigt das Gitter mehrere Reihen und Spalten an.

  4. Öffnen Sie die Eigenschaften des Objekts und ändern Sie dann die Eigenschaften der Spalten und Reihen auf je 3.

  5. Wählen Sie das Objekt und wählen Sie eine Zelle aus. Dazu doppelklicken Sie in die erste Zelle der obersten Reihe. Die Zelle wird mit einer blauen Hintergrundfarbe markiert.

  6. Wählen Sie die ganze oberste Reihe aus. Drücken Sie dazu mit markierter erster Zelle die UMSCHALTTASTE und klicken Sie in die letzte Zelle dieser Reihe, um die gesamte Reihe auszuwählen. PC-DMIS markiert jetzt die ganze Reihe.

  7. Rechtsklick. Das Dialogfeld des Objekts erscheint. In diesem Dialogfeld können Sie die Formatierung der markierten Zellen sowie eingefügten Text und Ausdrücke steuern.

  8. Klicken Sie auf die Schaltfläche Zusammenführen, um die markierten Zellen zusammenzuführen.

  9. Bestimmen Sie die Hintergrundfarbe für die zusammengeführten Zellen. Klicken Sie auf die Schaltfläche Hintergrundfarbe. Nun erscheint das Dialogfeld Farbe. Wählen Sie eine dunkelblaue Farbe und klicken Sie auf OK.

  10. Bestimmen Sie die Textfarbe für die zusammengeführte Zelle. Klicken Sie auf die Schaltfläche Textfarbe und wählen Sie auf die gleiche Weise 'Weiß' aus.

  11. Erstellen Sie Überschriften. Markieren Sie die erste Zelle der zweiten Reihe und klicken Sie mit der rechten Maustaste, um das Dialogfeld zu öffnen. Geben Sie im Feld Zellausdruck "Messwert X" ein. Schließen Sie das Dialogfeld und wiederholen Sie den Vorgang in der zweiten Zelle, in das Sie aber "Messwert Y" eingeben. Geben Sie in die letzte Zelle "Messwert Z" ein.

  12. Wählen Sie die ganze zweite Reihe aus. Klicken Sie mit der rechten Maustaste und verwenden Sie das Dialogfeld, um eine leichtgrüne Hintergrundfarbe auszuwählen.

  13. Klicken Sie unter Zellenjustierung und Vertikal auf die mittlere Schaltfläche , um den Text in den Zellen vertikal zentriert auszurichten.

  14. Klicken Sie auf OK, um das Dialogfeld zu schließen und deaktivieren Sie dann das Objekt.

Sie haben ein GitterSteuerObjekt eingefügt und gelernt, wie die Anzahl der Reihen und Spalten geändert werden kann. Sie haben gelernt, wie Text in eine Zelle eingegeben wird und wie ein Gitter, unter Verwendung des Dialogfelds für dieses Gitter, formatiert wird Nach Fertigstellung dieses Schritts sollte die Etikettvorlage etwa so aussehen:

Etikett mit der Anzeige eines eingefügten und formatierten GitterSteuerObjekts

Das Dialogfeld des GitterSteuerObjekts

Das Dialogfeld des GitterSteuerObjekts

  1. Wählen Sie die erste Reihe des GitterSteuerObjekts aus.

  2. Geben Sie danach direkt in die Zelle "=ID" ein. Dies ist ein Ausdruck, der PC-DMIS mitteilt, dass die Element-ID in der Zelle angezeigt werden soll.

  3. Wählen Sie die erste Zelle in der dritten Reihe aus und geben Sie "=MESS_X" ein

  4. Wählen Sie die zweite Zelle aus und geben Sie "=MESS_Y" ein.

  5. Wählen Sie die dritte Zelle aus und geben Sie "=MESS_Z" ein. Diese Ausdrücke teilen PC-DMIS mit, dass die X-, Y- und Z-Werte des Elements angezeigt werden sollen. Wenn Sie die Auswahl des Objekts aufheben, zeigt PC-DMIS die Ausdruckswerte des von dem Objekt verwendeten Fülltext. Weitere Informationen zu Ausdrücken finden Sie unter "Hinweise zu den Protokollausdrücken".

  6. Verwenden Sie das Border-Objekt und zeichnen Sie ein Border-Objekt um das Etikett herum. Möglicherweise müssen Sie die Größe des Etiketts auf etwa 11,4cm Breite x 5cm Höhe ändern.

  7. Klicken Sie mit der rechten Maustaste auf den Rand und weisen Sie ihm eine Linienstärke von 2 zu.

  8. Passen Sie die Lage der Inhalte so an, dass sie sich innerhalb der Ränder befinden.

Sie haben einige Protokollausdrücke in die Etikettvorlage eingefügt und dann einen Rand um die Vorlage gezeichnet, bevor sie gestestet wird. Nach Fertigstellung dieses Schritts sollte die Vorlage etwa so aussehen:

Etikett mit der Anzeige der Ausdrucksergebnisse

  1. Wählen Sie Datei | Speichern, um die Etikettvorlage zu speichern. Im Dialogfeld Speichern unter speichern Sie die Vorlage als "TestLabel.lbl".

  2. Wählen Sie Datei | Schließen, um diesen Vorlagen-Editor zu schließen.

  3. Wählen Sie Datei | Protokollieren | Bearbeiten | Protokollvorlage und wählen Sie dann die Vorlagendatei Test1.rtp, die Sie im vorigen Lernprogramm erstellt haben.

  4. Wählen Sie das TextProtokollObjekt, das Sie in die erste Sektion der Protokollvorlage eingefügt haben und öffnen Sie dann die Eigenschaften.

  5. Verwenden Sie den Regelbaum-Editor und das Dialogfeld Regel bearbeiten, um eine Regel zu erstellen, die für alle gemessenen Kreise "TestLabel.lbl" in diesem TextProtokollObjekt anzeigt. Wenn Sie vergessen haben, wie Regeln erstellt werden, folgen Sie den Anweisungen unter "Definieren einer Regel".

  6. Wählen Sie Datei | Speichern, um die Protokollvorlage zu speichern.

  7. Wählen Sie Datei | Schließen, um sie zu schließen.

  8. Führen Sie das Werkstückprogramm aus und wenden Sie die Vorlage an.

  9. Wählen Sie Ansicht | Protokollfenster, um das Abschlussprotokoll anzuzeigen.

Nachdem Sie die Etikettvorlage getestet und gespeichert haben, sollte es etwa so aussehen:

Beispiel-Protokollfenster mit der Anzeige eines Etiketts

Beispiel-Protokollfenster mit der Anzeige eines neu erstellten Etiketts Beachten Sie die gemessenen X-, Y- und Z-Mittelpunktdaten für jedes Kreiselement.

Das Etikett zeigt bis jetzt die XYZ-Werte der Kreismittelpunkte an. Angenommen, Sie möchten stattdessen einzelne Messpunktdaten erhalten. Dazu verwenden Sie wiederholbare Reihen.

  1. Wählen Sie Datei | Protokollieren | Bearbeiten | Etikettvorlage aus. Wählen Sie "TestLabel.lbl" im Dialogfeld aus und klicken Sie auf Öffnen. PC-DMIS lädt den Etikettvorlagen-Editor und blendet "TestLabel.lbl" ein.

  2. Öffnen Sie das GitterSteuerObjekt.

  3. Wählen Sie die erste Zelle in der dritten Reihe aus. Nachdem sie markiert ist, klicken Sie mit der rechten Maustaste, um das Dialogfeld für das GitterSteuerObjekt zu öffnen.

  4. Klicken Sie auf die Registerkarte Reihe.

  5. Kreuzen Sie das Kontrollkästchen Wiederholende Gruppe an. Dadurch wird PC-DMIS mitgeteilt, dass diese Reihe 'wiederholbar' werden soll. Das Dialogfeld Ausdruck wiederholen wird verfügbar. Beachten Sie, dass die Reihe von da an orangefarbene Markierungen auf deren linken und rechten Seite enthält. Dadurch wird sie als wiederholbare Reihe gekennzeichnet.

  6. Geben Sie "=N_MESSPKTE" in das Feld Ausdruck wiederholen ein. Dadurch wird PC-DMIS mitgeteilt, die Gesamtzahl der Messpunkte im Element zu erfassen und die Reihe für jeden verfügbaren Messpunkt zu wiederholen.

  7. Klicken Sie auf die Registerkarte Zelle. Im Feld Zellausdruck sollte jetzt "=MESS_X" erscheinen. Hängen Sie ":N" an den Ausdruck an. Er lautet nun "=MESS_X:N". Dadurch wird PC-DMIS mitgeteilt, den Ausdruck in dieser Zelle für jeden verfügbaren Messpunkt zu wiederholen.

  8. Markieren Sie die beiden anderen Zellen in dieser Reihe und ändern Sie sie, indem Sie ebenfalls ein ":N" an den Ausdruck anhängen. "=MESS_Y:N" und "=MESS_Z:N".

  9. Da sich die Etiketten bei der Wiederholung der Reihe automatisch vergrößern, um alle an das GitterSteuerObjekt geleiteten Daten zu enthalten, ist es nicht nötig, die Größe der Etiketten anzupassen.

  10. Klicken Sie auf OK, um das Dialogfeld des GitterSteuerObjekts zu schließen.

  11. Speichern Sie die Etikettvorlage und öffnen Sie das Protokollfenster. Klicken Sie auf das Symbol Neuaufbau Protokoll der Symbolleiste Protokollieren, um die neuesten Änderungen anzuzeigen. Beachten Sie, dass PC-DMIS jetzt anstelle von Mittelpunktdaten für die Kreise einzelne Messpunkte anzeigt.

Sie haben gelernt, wie eine grundlegende, wiederholbare Reihe erstellt wird, mit der mehrere Dateneinträge gezählt und angezeigt werden können, ohne dass verschiedene Protokollvorlagen mit unterschiedlichen Reihenkonfigurationen erstellt werden müssen.

Orangefarbene Balken zeigen an, dass es sich um eine wiederholbare Reihe handelt.

Eine Reihe mit orangefarbenen Markierungen

  1. Greifen Sie auf die Etikettvorlage "TestLabel.lbl" zu und wählen Sie das vorhandene GitterSteuerObjekt aus.

  2. Markieren Sie die erste Reihe. Nachdem sie markiert ist, klicken Sie mit der rechten Maustaste, um das Dialogfeld für das GitterSteuerObjekt zu öffnen.

  3. Klicken Sie auf die Registerkarte Zellen trennen. Aus der einzelnen Zelle, die die ganze erste Reihe ausmacht, werden jetzt drei Zellen.

  4. Löschen Sie den "=ID"-Ausdruckstext in der ersten Zelle. Dieser Ausdruck wird für das Abschlussprotokoll nicht benötigt, da er vom BefehlTextObjekt automatisch angezeigt wird.

  5. Verwenden Sie die Schaltflächen Hintergrundfarbe und Textfarbe, um weiß als Hintergrundfarbe und schwarz als Textfarbe zu bestimmen.

  6. Löschen Sie die inneren Spaltenlinien in der ersten Reihe. Dazu markieren Sie die erste Zelle, öffnen das Dialogfeld und ändern dann in der rechten Liste des Bereichs Zeilen auf der Registerkarte Zelle den Zeilenwert von Dünn auf Keine. Gehen Sie bei der mittleren Zelle genauso vor.

  7. Klicken Sie auf OK, um das Dialogfeld des GitterSteuerObjekts zu schließen. Obwohl die Etikettvorlage so erscheint, als wären die Zellen zusammengeführt worden, sind die Spaltenlinien in diesen Zellen kaum ausgeblendet.

  8. Wählen Sie die linke Zelle in der ersten Reihe und öffnen Sie das Dialogfeld.

  9. Klicken Sie auf die Registerkarte Spalte. Geben Sie im Listenfeld Spalte "Messwert X" ein. Klicken Sie auf OK, um das Dialogfeld des GitterSteuerObjekts zu schließen.

  10. Wiederholen Sie diesen Vorgang für die mittlere und rechte Zelle, in denen Sie "Messwert Y" bzw. "Messwert Z" eingeben. Sie brauchen diese Spaltenüberschriften, um später die Sichtbarkeit und Reihenfolge einer jeden Spalte zu steuern.

  11. Wählen Sie das zuvor in die Vorlage eingefügte BefehlTextObjekt aus und ziehen Sie es so weit nach unten, dass es sich oben auf der ersten Reihe des GitterSteuerObjekts befindet.

  12. Modifizieren Sie die Stelle oder die Größe der Ellipse oder des Kreis-Bitmap-Objekts, das Sie bereits erstellt haben und platzieren Sie es so, dass es sich entlang der rechten Seite des GitterSteuerObjekts befindet.

  13. Markieren und ziehen Sie die obere Linie des Border-Objekts so weit nach unten, das es sich gerade über dem GitterSteuerObjekt befindet.

  14. Ziehen Sie ein Feld um alle Objekte im Etikett, um alle Objekte auszuwählen. Ziehen Sie diese Objekte dann so weit wie möglich auf der Leinwand nach oben und nach links.

  15. Klicken Sie mit der rechten Maustaste, um auf die Eigenschaften des GitterSteuerObjekts zuzugreifen.

  16. Geben Sie "TestTableFormat" in die Tabellenformat-Eigenschaften ein und drücken Sie auf die TABULATORTASTE.

  17. Speichern und schließen Sie die Protokollvorlage.

In diesem Schritt haben Sie gelernt, wie man Zellen trennt, die Eigenschaften für die Zellenlinien einstellt, Spaltenüberschriften einfügt und mehrere Objekte gleichzeitig markiert und bewegt. Durch das definieren von Spaltenüberschriften können Sie Sichtbarkeit und Reihenfolge der Spalten ohne Zwischenschritte steuern. Nach Fertigstellung dieses Schritts sollte die Etikettvorlage etwa so aussehen:

  1. Greifen Sie auf die Protokollvorlage "Test1rtp" im Protokollvorlagen-Editor zu.

  2. Wählen Sie das TextProtokollObjekt aus und klicken Sie mit der rechten Maustaste, um das Dialogfeld Eigenschaften zu öffnen.

  3. Klicken Sie in den Regelbaum-Eigenschaften auf Regeln, um auf das Dialogfeld Regelbaum-Editor zuzugreifen.

  4. Verwenden Sie den Regelbaum-Editor und navigieren Sie zu der Regel, die Sie zuvor erstellt haben.

  5. Wählen Sie die Regel aus und klicken Sie auf Bearbeiten. Es erscheint das Dialogfeld Regel bearbeiten.

  6. Klicken Sie auf die Schaltfläche Rasterformat. Das Dialogfeld Eigenschaften Tabellenformat wird angezeigt.

  7. Geben Sie im Feld Neuer Tabellenname "TestTableFormat" und klicken Sie dann auf Tabelle hinzufügen.

  8. Geben Sie unter die Liste Spalten im Bearbeitungsfeld "Messwert X" ein und klicken Sie dann auf Spalte hinzufügen.

  9. Fügen Sie Spalten für "Messwert Y" und "Messwert Z" auf die gleiche Weise hinzu.

  10. Klicken Sie auf den verschiedenen Dialogfeldern aufOK, bis Sie zum Protokollvorlagen-Editor zurückkehren.

  11. Wählen Sie Datei | Speichern, um die Protokollvorlage zu speichern.

  12. Wählen Sie Datei | Schließen, um den Protokollvorlagen-Editor zu schließen.

In diesem Schritt haben Sie die Spalten des GitterSteuerObjekts mit der TestTableFormat-Tabelle des Dialogfelds Eigenschaften Tabellenformat verknüpft, indem Sie Spalten hinzugefügt haben, denen Sie einen Namen gegeben haben, der, wie auch der Tabellenname, identisch ist mit dem Namen in den Eigenschaften des Tabellenformats. Da Sie bis jetzt weder die Reihenfolge noch die Sichbarkeit verändert haben, sollte die neu erstellte Tabelle im Dialogfeld etwa so aussehen:

Dialogfeld "Eigenschaften Tabellenformat" mit der Anzeige der neu erstellten Tabelle TESTTABLEFORMAT

Dialogfeld "Eigenschaften Tabellenformat" mit der Anzeige der neu erstellten Tabelle TestTableFormat

  1. Falls nicht bereits sichtbar, wählen Sie die Option Ansicht | Bearbeitungsfenster, um das Bearbeitungsfenster anzuzeigen.

  2. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

  3. Wählen Einfügen | Protokollbefehl | Tabellenformat. Das Dialogfeld Eigenschaften Tabellenformat wird angezeigt.

  4. Wählen Sie in der Liste Tabellen-ID die Tabelle TESTTABLEFORMAT aus. Im Bereich Spalten werden die für diese benutzerdefinierten Tabellenformate verfügbaren Spalten angezeigt.

  5. Löschen Sie das Feld Messwert Z, um diese Spalte im Abschlussprotokoll auszublenden.

  6. Wählen Sie Messwert Y und klicken Sie auf das "Nach oben"-Pfeilsymbol neben dem Bereich Spalten, um die Spalte Messwert Y so anzuordnen, dass sie im Protokoll zuerst angezeigt wird.

  7. Klicken Sie auf OK. PC-DMIS fügt einen TABELLE/FORMAT-Befehl in das Bearbeitungsfenster ein. Dieser Befehl steuert Sichtbarkeit und Reihenfolge der Spalten.

  8. Speichern Sie und führen Sie das Werkstückprogramm aus. Beachten Sie, dass sich die Reihenfolge der "Messwert X"- und "Messwert Y"-Werte während der Ausführung von PC-DMIS geändert hat und die Z-Spalte ausgeblendet ist.

In diesem abschließenden Schritt haben Sie gelernt, wie ein TABELLE/FORMAT-Befehl eingefügt und verwendet wird, um die Reihenfolge und Sichtbarkeit der Spalten in der Etikettvorlage zu definieren. Das abgeschlossene Protokoll sollte etwa so aussehen:

Abgeschlossenes Protokoll, das nur die "Messwert Y"- und "Messwert X"-Spalten zeigt

TABELLE/FORMAT,TESTTABLEFORMAT

SPALTE/REIHENFOLGE,MESSWERT Y,MESSWERT X, ,

REIHE/REIHENFOLGE

Erstellen von Etikettvorlagen

Dieses Thema führt Sie durch ein grundlegendes Lernprogramm, in dem eine einfache Etikettvorlage mit wenigen Objekten und einem GitterSteuerObjekt erstellt wird. Sie erhalten damit einen wesentlichen Überblick über die Funktionen der Etikettvorlagen und dadurch die Möglichkeit, diese Vorlagen zur Darstellung benutzerdefinierter Angaben im Protokoll zu verwenden.

Dieses Lernprogramm baut auf Fertigkeiten auf, die Sie bereits im Lernprogramm "Erstellen einer benutzerdefinierten Protokollvorlage" erworben haben; stellen Sie sicher, dass Sie dieses erste Kapitel zunächst durcharbeiten und abschließen.

Schritt 1: Erstellen einer leeren Etikettvorlage

Schritt 2: Ein BefehlTextObjekt und statische Informationen in die Vorlage einfügen

Schritt 3: Einfügen und Formatieren eines GitterSteuerObjekts

Schritt 4: Ausdrücke in das GitterSteuerObjekt einfügen

Schritt 5: Speichern und Testen der Etikettvorlage

Schritt 6: Erstellen einer wiederholbaren Reihe

Schritt 7: Verwenden der Registerkarte "Spalten" zum Definieren von Spalten

Schritt 8: Definieren einer Rasterformat-Tabelle

Schritt 9: Verwenden von Tabellen-/Formatierungsbefehlen zur Steuerung der Sichtbarkeit und Reihenfolge von Spalten


Verwenden von Etiketten in Protokollen

Um Etiketten in Protokollen zu verwenden, müssen Sie eine Protokollvorlage öffnen und mindestens eins der folgenden Objekte hinzufügen:

  • Etikettobjekt

  • TextProtokollObjekt

  • CADProtokollObjekt

Nachdem das Objekt vorhanden ist, klicken mit der rechten Maustaste auf das Objekt, um das Dialogfeld Eigenschaften zu öffnen. Verwenden Sie dann den Regelbaum-Editor, um Regeln zu definieren, die ein oder mehrere Etikettvorlagen verwenden.

Wenn Sie die Protokollvorlagen anwenden, folgt PC-DMIS den von Ihnen angegebenen Regeln und verwendet die ausgewählten Etikettvorlagen.


Anordnen von Etiketten im Protokollfenster

Wenn die Protokollvorlage Werkstückprogrammdaten erhält, muss die Größe der Etiketten dynamisch den Daten angepasst werden. Es kann also vorkommen, dass sich die Etiketten nach der Werkstückprogrammausführung überschneiden. Sie können die Etiketten auf einfache Weise bearbeiten, indem Sie im Protokollfenster auf ein Etikett doppelklicken. Dadurch werden die Etiketten im Wesentlichen "aufgenommen". Sie können die Etiketten dann an eine neue Stelle bewegen und sie dort durch Doppelklicken "ablegen".


Verwenden des Tabellenformatbefehls

Über den Befehl TABELLE/FORMAT im Bearbeitungsfensterkönnen Sie die Reihenfolge der Spalten und Reihen eines GitterSteuerObjekts und die Sichtbarkeit innerhalb des Werkstückprogramms steuern. Das heißt, Sie müssen den Etikettvorlagen-Editor nicht zur Erstellung unterschiedlicher Variationen der gleichen Etikettvorlage verwenden, wenn Sie nur die Reihenfolge bestimmter Reihen oder gewisse Reihen oder Spalten ausblenden möchten. Stattdessen können Sie diesen Befehl einfach in das Werkstückprogramm einfügen und bestimmen so, wie das GitterSteuerObjekt in der Etikettvorlage dargestellt werden soll.

Achtung: Damit dieser Befehl problemlos funktioniert, müssen Sie den Wert des Tabellenformats des GitterSteuerObjekts präzise auf den selben Tabellenformatnamen, der über die Schaltfläche Rasterformat im Dialogfeld Regel bearbeiten definiert wurde, einstellen.

Einfügen des Befehls

Um den Befehl einzufügen, wählen Sie Menü-Übersicht anzeigen Einfügen | Protokollbefehl | Tabellenformat aus. Das Dialogfeld Eigenschaften Tabellenformat wird angezeigt. Über dieses Dialogfeld wird, wie auch das im Regelbaum-Editor verwendete Dialogfeld, die Sichtbarkeit und die Reihenfolge der Reihen und Spalten für Etikettvorlagen unter Verwendung des GitterSteuerObjekts gesteuert. Nach dem Bearbeiten der Reihen und Spalten klicken Sie auf OK. PC-DMIS fügt den Befehl TABELLE/FORMAT in das Bearbeitungsfenster ein.

Ein eingefügter TABELLE/FORMAT-Befehl hat Priorität über jeden anderen Befehl, den Sie möglicherweise bereits über die Schaltfläche Rasterformat im Dialogfeld Regel bearbeiten definiert haben.


Hinweise zu Formblättern

Mit dem Formblatt-Editor können Sie interaktive Formblätter und Dialogfelder erstellen und diese bei der Ausführung eines Werkstückprogramms aktivieren. Diese interaktiven Formblätter sind nur durch Ihre Vorstellungskraft und durch Ihre Fähigkeit, Visual BASIC-Sprache zu programmieren, begrenzt. Formblätter, die mit Hilfe der Visual BASIC-Programmierung und der Automation von PC-DMIS erstellt worden sind, bieten eine noch höhere Leistungsfähigkeit und Flexibilität des Werkstückprogramms.

In früheren Versionen von PC-DMIS war die Möglichkeit zur Erstellung interaktiver Formblätter im HyperView-Protokoll-Editor mit inbegriffen. In Version 4.0 und höher werden interaktive Formblätter nicht mehr über das HyperView-Protokollieren erstellt und dienen allgemeineren Zwecken. Formblätter spielen jedoch beim Protokollieren noch immer eine Rolle, denn jedes Mal, wenn Sie zur Steuerung der Ausführung ein Formblatt verwenden, steuern Sie auch den Inhalt des Protokolls.

In diesem Abschnitt wird nicht versucht, alle Möglichkeiten der Formblatterstellung zu berücksichtigen. Es wird versucht, wie Formblätter erstellt und im Allgemeinen verwendet werden. Was das Protokollieren betrifft, wird darüber Informiert, wie die Angaben mit Hilfe von Standardbefehlen von PC-DMIS in ein Protokoll gelangen.

Siehe auch:

For mblatt-Editor

Lernprogramm - Erstellen von Formblättern

Verwenden von Formblättern in Protokollen


Ausführmodus - Dieser Modus kann nur im Formblatt-Editor aufgerufen werden. Im Ausführmodus können Sie das Formblatt ausführen, um seine Erscheinung und Funktion in einer aktuellen Ausführungsumgebung eines Werkstückprogramms zu testen.

Bearbeitungsmodus - Dies ist der Standardmodus für alle Protokoll-Editoren und der einzige Modus, in dem die Protokollvorlagen- und Etikettvorlagen-Editoren aufgerufen werden können.

Sie können zwischen dem Ausführ- und Bearbeitungsmodus durch Drücken von STRG+E hin- und herwechseln.

Formblatt-Editor

Menü-Übersicht anzeigen Wählen Sie Ansicht | Formblatt-Editor, um auf den Formblatt-Editor zuzugreifen. PC-DMIS zeigt den Formblatt-Editor in einem neuen Fenster an.

Formblatt-Editor

Der Formblatt-Editor funktioniert wie ein Arbeitsbereich, in dem Sie verschiedene, interaktive Formblattobjekte ziehen, platzieren und deren Größe verändern können. Objekte werden in den grauen, größenveränderbaren Bereich platziert, den man Formblatt nennt. Wenn Sie in früheren Versionen von PC-DMIS mit HyperView-Protokollen gearbeitet haben, wird Ihnen der Editor vertraut vorkommen, da er im Wesentlichen auf die gleiche Weise funktioniert und viele der Elemente der Benutzeroberfläche gleich sind.

Seit der neuen Vorlagenmethode beim Protokollieren kann lediglich der Formblatt-Editor den Ausführungsmodus verwenden . Die Protokollvorlagen- und Etikettvorlagen-Editoren verwenden ihn nicht.

Der Editor enthält folgende Elemente:

  • Menüleiste

  • Schriftleiste (Symbolleiste)

  • Objektleiste (Symbolleiste)

  • Layoutleiste (Symbolleiste)

  • Objekt-Eigenschaftenblätter

Detaillierte Angaben zu diesen Elementen finden Sie unter "Hinweise zur allgemeinen Benutzeroberfläche".


Erstellen von Formblättern

  1. In diesem Lernprogramm schalten Sie zwischen dem Formblatt-Editor und dem Bearbeitungsfenster hin und her. Öffnen Sie also zunächst das Bearbeitungsfenster.

      • Klicken Sie mit der rechten Maustaste auf irgendeine Stelle des Bearbeitungsfenster und wählen Sie aus dem Kontextmenü Kopplungsansicht, um es zu entkoppeln.

      • Wählen Sie die Maximierungsschaltfläche, sodass die gesamte Bildschirmfläche ausgefüllt ist.

      • Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

    2. Wählen Sie in der Menüleiste Ansicht | Formblatt-Editor. Es erscheint der Formblatt-Editor.

    3. Blenden Sie nicht-verwendete Symbolleisten aus, indem Sie sie durch Klicken mit der rechten Maustaste auf den Symbolleistenbereich entfernen.

    4. Blenden Sie alle nicht-verwendeten PC-DMIS-Fenster durch Auswahl des geöffneten Fensters im Menü Ansicht aus. Lassen Sie das Bearbeitungsfenster geöffnet.

    5. Maximieren Sie den Vorlagen-Editor durch Klicken auf dieMaximierungsschaltfläche des Bearbeitungsfensters. Sie sollten jetzt im Hintergrund des Editors die Worte "FORMBLATT" sehen. Der Formblatt-Editor sollte nun etwa so aussehen:

Tipp: Wenn Sie in einem der Vorlagen-Editoren arbeiten, könnte es für Sie hilfreich sein, die üblichen Symbolleisten und Fenster von PC-DMIS auszublenden und damit mehr Platz auf dem Bildschirm zu schaffen. Wenn Sie häufig mit Vorlagen arbeiten, ist es sinnvoll, ein gespeichertes Bildschirm-Layout für die Vorlage zu erstellen. Siehe das Thema "Symbolleiste "Fenster-Layouts" im Abschnitt "Arbeiten mit Symbolleisten".

Formblatt-Editor

  1. Ziehen Sie den grauen Hintergrund von TheFrame/TheView's bis zu einer Größe von 12,5cm Breite x 15cm Höhe.

  2. Fügen Sie ein Randobjekt hinzu und ziehen Sie den Rand bis zum äußersten Rand des Formblattbereichs. Stellen Sie die Randeigenschaften so ein, dass der Linienwert 3 beträgt und die ForeColor (Vordergrundfarbe) dunkelblau ist (0.0.128).

  3. Fügen Sie ein Bitmapobjekt oben in das Formblatt ein. Es erscheint der Bitmap-Dialog. Verwenden Sie die Schaltfläche Laden, um zu einer Bitmap-Datei Ihrer Wahl zu navigieren, wie zum Beispiel einer "corporate logo"-Datei. Positionieren Sie die Bitmap und stellen Sie die Größe so ein, dass sie in die oberen 3,8cm des Formblatts passt.

  4. Fügen Sie ein RadioButton- (Optionsfeld-) objekt unter das Bitmap-Objekt ein. Öffnen Sie die Eigenschaften des RadioButton und klicken Sie auf den ListItems-Wert. Das Dialogfeld List Choices wird eingeblendet. In diesem Dialogfeld können Sie eine Liste mit RadioButtons für das Objekt erstellen.

    • Wählen Sie den vorhandenen Eintrag RadioButton1 aus dem Feld List Choices aus. Ändern Sie im Feld Name den Namen auf "KREIS 1". Der Indexwert sollte bereits 0 anzeigen.

    • Klicken Sie auf die Schaltfläche Hinzufügen, um drei weitere Einträge hinzuzufügen. Ändern Sie dann die neu hinzugefügten Einträge auf "KREIS2", "KREIS3" und "KREIS4". Sie sollten Indexwerte von 1, 2 bzw. 3 aufweisen. Das Dialogfeld List Choices sollte so aussehen:

    • Klicken Sie auf OK, wenn Sie fertig sind.

  5. Benennen Sie das RadioButton-Objekt um, indem Sie den (ObjectCode)-Wert von "RadioButton1" auf "optMeasure" ändern.

  6. Fügen Sie ein Frame-Objekt und ziehen Sie es um das RadioButton-Objekt herum. Ändern Sie die Texteigenschaft des Frame-Objekts auf "Wählen Sie das zu messende Element aus".

  7. Fügen Sie ein EditBox-Objekt rechts vom RadioButton-Objekt ein und benennen Sie es von "EditBox1" auf "txtMeasure" um.

  8. Fügen Sie ein Textobjekt (Text1) unter das RadioButton-Objekt und stellen Sie die Texteigenschaft auf "Benutzer auswählen:".

  9. Fügen Sie ein ComboBox-Objekt rechts vom Textobjekt ein und benennen Sie es von "ComboBox1" auf "cboUsers" um. Dieses Steuerelement enthält eine Liste der Benutzer.

    • Klicken Sie auf den ListItems-Wert, um die Liste der Benutzer hinzuzufügen. Dadurch wird das Dialogfeld List Choices erneut geöffnet.

    • Ändern Sie den ersten Eintrag in der Liste auf "[Wählen Sie einen Benutzer aus]" und geben Sie ihm den Intexwert 0.

    • Fahren Sie wie bisher mit der Verwendung des Dialogfelds fort, um fünf oder sechs Benutzernamen hinzuzufügen. Dieses Lernprogramm hat die Namen "Bob", "Allen", "Mary", "Shelly", "Jared" and "Kurt" verwendet.

    • Wählen Sie die Schaltflächen Nach oben oder Nach unten, wenn Sie die Reihenfolge der Einträge in der Liste ändern möchten. Nach der Fertigstellung sollte das Dialogfeld so aussehen:

    • Klicken Sie auf OK. Das ComboBox-Objekt enthält nun diese Listeneinträge.

  10. Fügen Sie ein EditBox-Objekt rechts vom ComboBox-Objekt ein und benennen Sie es von "EditBox2" auf "txtUser" um.

  11. Fügen Sie ein weiteres Textobjekt (Text2) unter das Objekt "Wählen Sie einen Benutzer aus" und stellen seine Texteigenschaft auf "Geben Sie eine Protokollbeschreibung ein:".

  12. Fügen Sie ein EditBox-Objekt rechts über das Textobjekt ein und benennen Sie es von "EditBox3" auf "txtDescription" um.

  13. Fügen Sie ein Button- (Schaltflächen-) Objekt in das Formblatt ein und benennen Sie es von "Button1" auf "cmdContinue" um. Ändern Sie die Texteigenschaft auf "&Continue". Mit dem UND-Zeichen können Sie definieren, welches Zeichen auf ALT für die Tastenkombination folgt. Wenn Sie also auf dem Formblatt im Ausführungsmodus die Tastenkombination ALT + C drücken, agiert diese, als hätten Sie auf die Schaltfläche Continue geklickt.

  14. Wählen Sie Datei | Speichern, um das Formblatt zu speichern. Nennen Sie es "TestForm.frm" und speichern Sie es in einem Verzeichnis Ihrer Wahl.

  15. Drücken Sie auf STRG + E, um das Formblatt im Ausführungsmodus zu testen. Zu keinem der Steuerelemente ist Code verbunden, sodass beim Klicken auf irgendeine Stelle nicht viel passieren kann. Sie fügen lediglich den Text hinzu. Drücken Sie nach Fertigstellung wieder STRG + E, um in den Bearbeitungsmodus zurückzukehren.

In diesem Schritt haben Sie das Basis-Formblatt fertiggestellt, mehrere Steuerelemente hinzugefügt und Einträge Listen zugeordnet. Das sollte folgendermaßen aussehen:

Formblatt mit mehreren, hinzugefügten Formblattsteuerelementen

Formblatt mit mehreren, hinzugefügten Formblattsteuerelementen

Dialogfeld "List Choices" mit der Anzeige von vier Optionen mit vier Indexwerten im Bereich 0 bis 3.

Dialogfeld "List Choices" mit der Anzeige einer Liste von Benutzernamen für die ComboBox

Dialogfeld "List Choices" mit der Anzeige einer Liste von Benutzernamen für die ComboBox

  1. Wählen Sie ein RadioButton-Objekt, optMeasure und greifen Sie dann auf die Eigenschaften zu.

  2. Klicken Sie auf die Registerkarte EventChange (Ereignis-Änderung). Der VBS Mini-Editor wird geöffnet. In diesem kleinen Codefenster können Sie Visual BASIC-Codeanweisungen eingeben, die immer dann ausgeführt werden, wenn Sie einen neuen Wert aus der Liste der Optionsschaltflächen wählen.

  3. Geben Sie in das Codefenster folgenden Code ein:

Dim intIndex As Integer

intIndex = optMeasure.Index

Wählen Sie den Fall intIndex

Fall 0

txtMeasure.Text = "Kreis 1"

Fall 1

txtMeasure.Text = "Kreis 2"

Fall 2

txtMeasure.Text = "Kreis 3"

Fall 3

txtMeasure.Text = "Kreis 4"

End Select

  4. Klicken Sie auf OK. Der Mini-Editor wird geschlossen.

  5. Wählen Sie Datei | Speichern, um das Formblatt zu speichern.

  6. Testen Sie das Protokoll, indem Sie STRG + E drücken und den Ausführungsmodus aufrufen. Wählen Sie ein zu messendes Element aus.

Dieser Code wird ausgeführt, wenn Sie ein zu messendes Element aus der Liste auswählen. Der Code richtet sich nach der Auswahl in der Liste der Optionsschaltflächen und setzt die Texteigenschaften von "txtMeasure" auf die Anzeige der Zeichenfolge "KREIS 1".

  1. Wählen Sie ein ComboBox-Objekt, cboMeasure und greifen Sie dann auf die Eigenschaften zu.

  2. Klicken Sie auf die Registerkarte EventChange. Der VBS Mini-Editor wird geöffnet.

  3. Geben Sie in das Codefenster folgenden Code ein:

txtUser.Text = cboUsers.TextValue

  4. Klicken Sie auf OK. Der Mini-Editor wird geschlossen.

  5. Wählen Sie Datei | Speichern, um das Formblatt zu speichern.

  6. Testen Sie das Protokoll, indem Sie STRG + E drücken und den Ausführungsmodus aufrufen. Wählen Sie ein zu messendes Element aus.

Dieser Code wird ausgeführt, wenn Sie ein zu messendes Element aus der Liste auswählen. Er richtet sich nach dem Textwert des ausgewählten Listeneintrags und setzt die Texteigenschaft von "txtUser" auf die Anzeige einer Zeichenfolge des ausgewählten Benutzers.

  1. Wählen Sie das Schaltflächenobjekt, optMeasure und greifen Sie dann auf die Eigenschaften zu.

  2. Klicken Sie auf die Registerkarte EventClick. Der VBS Mini-Editor wird geöffnet.

  3. Geben Sie in das Codefenster folgenden Code ein:

If cboUsers.Value >0 And Len (txtDescription.Text) > 0 And Len (txtMeasure.Text ) > 0 Then

TheView.Cancel

Else

MsgBox "Bitte füllen Sie das gesamte Formblatt aus, bevor Sie fortfahren."

End If

  4. Klicken Sie auf OK. Der Mini-Editor wird geschlossen.

  5. Wählen Sie Datei | Speichern, um das Formblatt zu speichern.

  6. Testen Sie das Protokoll, indem Sie STRG + E drücken und den Ausführungsmodus aufrufen. Klicken Sie auf die Schaltfläche Fortfahren.

Dieser Code wird ausgeführt, wenn Sie auf die Schaltfläche Fortfahren klicken. Er prüft nach, ob das gesamte Formblatt ausgefüllt ist. Wenn das ganze Formblatt ausgefüllt ist, schließt er den Formblatt-Editor. Wenn nicht, blendet er eine Meldung ein. Darin wird der Benutzer aufgefordert, die noch fehlenden Einträge vorzunehmen.

  • Die "Len ()"-Funktion (Funktion LÄNGE) überprüft die Länge (oder die Anzahl der Zeichen) für die Textzeichenfolge in den Bearbeitungsfeldern, um sicherzustellen, dass auch Text enthalten ist.

  • Der Code "cboUsers.Value > 0" stellt sicher, ob in der Liste ein Benutzername ausgewählt wurde.

Nachdem Sie jetzt das Formblatt definiert haben, müssen die Daten zwischen dem Bearbeitungsfenster und dem Formblatt ausgetauscht werden können.

  1. Wenn Sie noch nicht dafür gesorgt haben, speichern Sie das Formblatt.

  2. Wählen Sie aus dem Fenster-Menü die Option Bearbeitungsfenster, damit das Bearbeitungsfenster im Vordergrund erscheint.

  3. Stellen Sie sicher, dass sich das Bearbeitungsfenster im Befehlsmodus befindet.

  4. Definieren Sie Variablen, die Sie dem Arbeiten mit dem Formblatt zuordnen, indem Sie den Code im Bearbeitungsfenster vor die gemessenen Kreiselemente eingeben:

ASSIGN/STR_DESCRIPTION = ""

ASSIGN/STR_USER = ""

ASSIGN/STR_MEASURE = ""

  5. Platzieren Sie den Cursor direkt nach diese Anweisungen und wählen Sie Einfügen | Protokollbefehl | Formblatt. Nun erscheint das Dialogfeld Formblatt einfügen. Navigieren Sie zum Verzeichnis, in dem Sie "TestForm.frm" gespeichert haben und wählen Sie die Datei aus. Klicken Sie dann auf Öffnen.

  6. PC-DMIS fügt einen FORM/DATEINAME-Befehlsblock in das Bearbeitungsfenster ein, der den Pfad zur ausgewählten Fromblattdatei enthält. Durch diesen Befehl wird, wenn er markiert ist, das Formblatt ausgeführt. Danach wird erst das Formblatt geschlossen, bevor die Ausführung des Bearbeitungsfensters fortgesetzt wird. Weitere Angaben

  7. Klicken Sie unmittelbar vor die linke Seite des Gleichheitszeichens in der "PARAM/= "-Anweisung und geben Sie "TXTDESCRIPTION.TEXT" ein.. Klicken Sie auf die rechte Seite des Gleichheitszeichens und geben Sie "STR_DESCRIPTION" ein. Drücken Sie die EINGABETASTE. Es erscheint eine weitere "PARAM/="-Anweisung. Weitere Angaben

  8. Fahren Sie mit dem Definieren von Parametern auf diese Weise für die beiden Variablen STR_USER und STR_MEASURE fort, indem Sie sie mit den Texteigenschaften des txtMeasure- bzw. txtUser-Objekts verbinden.

  9. Speichern Sie die Änderungen des Bearbeitungsfensters. Nach der Fertigstellung sollte der FORM/DATEINAME-Befehlsblock etwa so aussehen:

CS7 =FORM/FILENAME= D:\PARTPROGRAMS\TESTFORM.FRM

PARAM/TXTDESCRIPTION.TEXT=STR_DESCRIPTION

PARAM/TXTMEASURE.TEXT=STR_MEASURE

PARAM/TXTUSER.TEXT=STR_USER

PARAM/=

ENDFORM/

Beachten Sie, dass dieser Befehl eine "PARAM/="-Anweisung oder einen "Parameter" enthält. Mit diesen Parametern können Sie Werte zwischen den Variablen des Bearbeitungsfensters von PC-DMIS und den Eigenschaften der Formblattsteuerelemente hin- und herleiten.

Bedenken Sie, dass txtDescription der Name ist, den Sie dem EditBox-Objekt im Formblatt, das eine vom Benutzer eingegebene Beschreibung des Protokolls trägt, gegeben haben.

Während der Ausführung wird die Texteigenschaft von txtDescription zuerst den Wert von STR_DESCRIPTION aufnehmen. In diesem Fall würde eine leere Zeichenfolge aufgenommen werden. Nachdem das Formblatt geschlossen wird, wird dieser Wert des Formblatts an STR_DESCRIPTION zurückgegeben.

Bei der Erstellung des Formblatts haben Sie auch eine Liste mit Optionsschaltflächen erstellt (unter Verwendung des RadioButton-Objekts), um genau zu steuern, welche Elemente gemessen werden. Jetzt müssen zusätzliche Anweisungen auch in das Bearbeitungsfenster eingegeben werden, damit das richtige Element gemessen wird, je nachdem, welche Auswahl im Formblatt getroffen wurde.

  1. Platzieren Sie den Cursor im Bearbeitungsfenster unmittelbar vor das erste KREIS1-Element und drücken Sie die EINGABETASTE. Der Cursor sollte sich jetzt in einer leeren Zeile über dem KREIS1-Element befinden.

  2. Wählen Sie Einfügen | Programmablaufsteuerung | Steuerpaare | If / End If. PC-DMIS fügt eine IF / END IF bedingte Anweisung in das Bearbeitungsfenster ein:
    IF/0
    END_IF/

  2. Definieren Sie die Bedingung. Markieren Sie den Standardwert 0 und geben Sie folgendes ein:
    STR_MEASURE == "KREIS 1"

  3. Drücken Sie die EINGABETASTE.

  4. Markieren Sie das ganze KREIS1-Element und wählen Sie Bearbeiten | Ausschneiden. Wählen Sie dann die Option Bearbeiten | Einfügen, um es in eine leere Zeile nach der "IF/STR_MEASURE == "KREIS 1""-Zeile, aber vor der "END_IF/"-Zeile, zu verschieben. Der erste bedingte Block sollte so aussehen:

IF/STR_MEASURE == "KREIS 1"

KREIS1-Element wird hier platziert...

END_IF/

  5. Fahren Sie mit diesen Schritten fort und definieren Sie bedingte Anweisungen auch für die anderen Kreiselemente. Wenn Sie fertig sind, sollte der Code im Bearbeitungsfenster etwa so aussehen:

ASSIGN/STR_DESCRIPTION = ""

ASSIGN/STR_USER = ""

ASSIGN/STR_MEASURE = ""

CS7 =FORM/FILENAME= D:\PARTPROGRAMS\TESTFORM.FRM

PARAM/TXTDESCRIPTION.TEXT=STR_DESCRIPTION

PARAM/TXTMEASURE.TEXT=STR_MEASURE

PARAM/TXTUSER.TEXT=STR_USER

PARAM/=

ENDFORM/

IF/STR_MEASURE == "KREIS 1"

KREIS1 =ELEM/KREIS...

END_IF/

IF/STR_MEASURE == "KREIS 2"

KREIS2 =ELEM/KREIS...

END_IF/

IF/STR_MEASURE == "KREIS 3"

KREIS3 =ELEM/KREIS...

END_IF/

IF/STR_MEASURE == "KREIS 4"

KREIS4 =ELEM/KREIS...

END_IF/

Beachten Sie, dass STR_MEASURE nach der Ausführung den Wert der Texteigenschaft des txtMeasure-Objekts hält, das wäre entsprechend dem Formblatt-Code entweder:

"KREIS 1", "KREIS 2", "KREIS 3" oder "KREIS 4".

Diese erste Zeile überprüft den Variablenwert von STR_MEASURE und, wenn dieser mit dem Zeichenfolgenwert von "KREIS 1" übereinstimmt, wird das Element KREIS1 gemessen. Wenn keine Übereinstimmung da ist, wird das Element übersprungen und zur nächsten "END_IF/"-Anweisung weitergegangen.

Nun noch einige Feinarbeiten. Zunächst müssen Sie PC-DMIS anweisen, die Werte aus dem Formblatt unter Verwendung der Protokollbefehle an das endgültige Protokoll im Protokollfenster zu senden. Dann müssen einige Objekte auf dem Formblatt ausgeblendet werden.

  1. Geben Sie diese Befehle im Bearbeitungsfenster unmittelbar nach dem FORM/DATINAME-Befehl ein.

KOMMENTAR/PROTOK,"Benutzer: " + STR_USER

KOMMENTAR/PROTOK,"Protokollbeschreibung:" + STR_DESCRIPTION

KOMMENTAR/PROTOK,"Measure Routine: " + STR_MEASURE

  2. Wählen Sie Fenster | Formblatt-Editor, um zum Formblatt-Editor zurückzukehren.

  3. Klicken Sie mit der rechten Maustaste, um das Dialogfeld Eigenschaften zu öffnen. Wählen Sie txtMeasure in der Dropdown-Liste. PC-DMIS wählt das Objekt aus.

  4. Klicken Sie auf Erweitert und stellen Sie die Visible-Eigenschaft auf NEIN.

  5. Wählen Sie txtUser in der Dropdown-Liste. PC-DMIS wählt das Objekt aus.

  6. Klicken Sie auf Erweitert und setzen Sie die Visible- (Sichtbar) Eigenschaft auf NEIN, da diese Werte für den Benutzbar nicht sichtbar sein müssen. Sie wurden lediglich dazu verwendet, um einen Wert an PC-DMIS zuückzugeben. Durch die Einstellung dieser Eigenschaft auf NEIN, bleiben diese Objekte während der Ausführung unsichtbar.

  1. Wählen Sie Ansicht | Protokollfenster und verwenden Sie das Symbol Dialog Vorlagenauswahl der Symbolleiste, um für die Verwendung von Protokollen die Standardprotokollvorlage, "default.rtp" einzustellen.

  2. Kehren Sie zum Bearbeitungsfenster zurück. Markieren Sie das gesamte Bearbeitungsfenster, speichern Sie das Werkstückprogramm und wählen Sie dann Datei | Ausführen, um das Werkstückprogramm zu testen.

  3. Wenn der FORM/DATEINAME-Befehl von PC-DMIS ausgeführt wird, wird das Formblatt ausgeführt und die Ausführung wird so lange unterbrochen, bis Sie mit dem Ausfüllen des Formblatts fertig sind.

  4. Füllen Sie das Formblatt aus und klicken Sie auf die Schaltfläche Fortfahren. PC-DMIS leitet die Werte vom Formblatt zurück zu den Variablen von PC-DMIS.

  5. Die bedingten Anweisungen überprüfen den Wert der Variablen STR_MEASURE und führen das entsprechende Kreiselement aus.

  6. PC-DMIS druckt die Protokollkommentare und die Messergebnisse für das gemessene Element im Protokollfenster aus.

Erstellen von Formblättern

In diesem Abschnitt werden Sie durch ein grundlegendes Lernprogramm geführt, bei dem Sie ein einfaches Formblatt mit einigen interaktiven Dialogfeldsteuerelementen erstellen, über die sie bei der Ausführung einen Benutzernamen aus einer Liste wählen und anschließend ganz bestimmte Elemente zur Messung auswählen können. Die ausgewählten Angaben erscheinen später im Abschlussprotokoll.

Obwohl Sie gewisse Aspekte verdoppeln können, indem Sie bestimmte Befehle des Bearbeitungsfensters verwenden, gibt Ihnen dieses Lernprogramm eine Vorstellung davon, was im Formblatt-Editor möglich ist und wie Sie darin programmieren können.

Dieses Lernprogramm verwendet von Ihnen erstellte Dateien aus den Lernprogrammen "Erstellen einer benutzerdefinierten Protokollvorlage" und "Erstellen von Etikettvorlagen". Beenden Sie zunächst diese Lernprogramme.

Schritt 1: Einrichten der Arbeitsumgebung

Schritt 2: Erstellen des Formblatts

Schritt 3: Code zum Steuerelement RadioButton hinzufügen

Schritt 4: Code zum Steuerelement ComboBox hinzufügen

Schritt 5: Code zur Schaltfläche "Continue" hinzufügen

Schritt 6: Bearbeitungsfenster-Variablen zuordnen, um Formblatt-Eigenschaften zu halten

Schritt 7: Bedingter Code des Bearbeitungsfenster zur Steuerung des Messvorgangs hinzufügen

Schritt 8: Feinarbeiten hinzufügen

Schritt 9: Führen Sie das Werkstückprogramm aus.


Verwenden von Formblättern in Protokollen

Formblätter verändern Protokolle normalerweise nur indirekt. Stellen Sie sich beispielsweise ein Formblatt vor, über das gesteuert wird, ob ein bestimmtes Element ausgeführt werden soll oder nicht. In diesem Fall wird das endgültige Protokoll nicht direkt bearbeitet, sondern indirekt, da Protokolle ohnehin die auszuführenden Elemente anzeigen.

Sie können jedoch den Befehl FORM/DATEINAME verwenden, um Parameter zwischen dem Bearbeitungsfenster und ein Formblattobjekt hin und herzusenden. Außerdem können Sie Kommentare verwenden, damit die Parameter im endgültigen Protokoll erscheinen. Weitere Informationen zur Verwendung solcher Formblätter finden Sie im Lernprogramm "Erstellen von Formblättern".

Nachdem die Werte von einem Formblatt in das Bearbeitungsfenster gelangen, können Sie über den Befehl PROTOKOLL/DATEINAME Parameter vom Bearbeitungsfenster an die Protokollvorlage weiterleiten. Dies geschieht auf die gleiche Weise wie über den Befehl FORM/DATEINAME.

Menü-Übersicht anzeigen Wählen Sie Einfügen | Protokollbefehl | Hyperreport-Protokoll, um einen PROTOKOLL/DATEINAME-Befehl einzufügen. Ordnen Sie dann Parameterwerte zu, um die Objekteigenschaften in der Protokollvorlage zu bearbeiten. Im Lernprogramm "Erstellen von Formblättern" finden Sie Anweisungen hierzu unter Verwendung des Befehls FORM/DATEINAME als Anleitung, nur dass anstelle eines .frm-Dateinamens eine Protokollvorlage ausgewählt wird (.rtp-Dateiname). Siehe auch "Einbetten von HyperView-Protokollen oder Protokollvorlagen in ein Werkstückprogramm".


Hinweise zu Eigenschaften

Hinweise zu Objekteigenschaften

Jedes Objekt, das zu einer Vorlage oder zu einem Formblatt hinzugefügt wird, besitzt eine Gruppe von Eigenschaften (oder Attributen). Diese Eigenschaften steuern bestimmte Aspekte des Objekts – wie beispielsweise Position, Größe, Farben, Schriftart, Text und Name. Alle Objekte sind zudem mit einer Gruppe von Event-Handler-Funktionen verknüpft, die ausgelöst werden, wenn bestimmte Ereignisse, wie z. B. Klicken oder Doppelklicken auf das Objekt, eintreten. Diese Eigenschaften und Event-Handler können im Dialogfeld Eigenschaften, dem sogenannten "Property Sheet" (Eigenschaftenblatt), angezeigt und/oder geändert werden.

Zugreifen auf Objekteigenschaften

Sie können das Dialogfeld Eigenschaften anzeigen, indem Sie das Objekt hervorheben (es innerhalb seiner Grenzen anklicken) und dann mit der rechten Maustaste drücken. Beispiel eines 'Property Shee' mit der Anzeige eines Textobjekts, genanntText1, und der verschiedenen Eigenschaften:

Beispiel für das Dialogfeld "Eigenschaften"

Anzeigen von Eigenschaften verfügbarer Objekte

Oben im Dialogfeld Eigenschaften befindet sich eine Auswahlliste. Dieses Listenfeld enthält einen Eintrag für jedes Objekt in der Vorlage oder im Formblatt. Außerdem einige Objekte, die immer vorhanden sind und nicht gelöscht werden könne, wie der Hauptbearbeitungsbereich selbst. In den Protokoll- und Etikettvorlagen-Editoren wird der Hauptbearbeitungsbereich Sektion genannt. Im Formblatt-Editor wird er The Frame/The View genannt.

Sie können die Eigenschaften für jedes Objekt im Formblatt oder in der Vorlage anzeigen, indem Sie ein anderes Objekt aus der Auswahlliste auswählen. Wenn Sie eine Protokollvorlage mit mehr als einer Sektion verwenden, zeigt diese Liste nur die Objekte in der aktuellen Sektion an.

Hinweis: Bei den Protokollvorlagen ist ein zusätzliches Objekt unter dem Namen Protokoll vorhanden, auf dass Sie nur in dieser Auswahlliste zugreifen können. Es enthält zwei Eigenschaften der Kategorie Erweitert, mit denen Sie Ihre eigene, externe, ausführbare Datei (eine .exe-Datei) bestimmen können, um benutzerzugeordnete Eigenschaften zu erfassen. Bei diesen Eigenschaften handelt es sich um Programm Vorlagenauswahl und Programm Werkstückprogrammausführung. PC-DMIS führt die angegebenen Programme während der Vorlagenauswahl bzw. während der Werkstückprogrammausführung aus.

Eigenschaften-Organisation

Eigenschaften für jedes Objekt sind in drei Hauptkategorien unterteilt: Standard, Erweitert und Ereignisse. Sie können jede dieser Kategorien ein- bzw. ausblenden, indem Sie auf das + oder - -Symbol links neben der jeweiligen Kategorie klicken.

Im Allgemeinen steuern die Standard-Eigenschaften Farbe, Position und Linienart. Die Eigenschaften Erweitert steuern zum Beispiel, ob ein Objekt aktiviert oder sichtbar ist. Die Option Ereignisse bietet die Möglichkeit, die BASIC-Programmiersprache zu verwenden, um bestimmte Anweisungen zu programmieren, wenn bestimmte Ereignisse auftreten.

Hinweis: ActiveX- und OLE-Objekte haben einen zusätzlichen Abschnitt, der in den entsprechenden Themen behandelt wird: "ActiveX-Objekt" und "OLE-Objekt".

Eine Beschreibung der verfügbaren Eigenschaften finden Sie unter "Allgemeine Eigenschaften" oder unter den entsprechenden Dokumentationen zu den "Objektleisten". Informationen zu Ereignissen finden Sie unter "Hinweise zu Ereignissen".

Namenskennung

Beim Einfügen eines Objekts in eine Vorlage oder in ein Formblatt wird der Objektcode-Eigenschaft des Objekts automatisch eine eindeutige Namenskennung zugeordnet. Nachfolgende Objekte des gleichen Typs haben den gleichen Namen mit einem inkrementalen, numerischen Wert, der hinten angefügt wird. Das erste Text-Objekt wird beispielsweise automatisch "Text1" genannt. Alle nachfolgenden Text-Objekte werden "Text2", "Text3" usw. genannt. Selbstverständlich können Sie diesen Wert auf einen anderen Namen ändern. Sollten Sie ihn ändern, stellen Sie bitte sicher, dass Sie einen einmaligen Namen vergeben. Jede Verwendung eines Objektcodes durch BASIC-Skripting muss bei jeder Änderung der Namenskennung des Objekts ebenfalls aktualisiert werden.

Ändern der Eigenschaftenwerte

Sie können jede Eigenschaften ändern, indem Sie sie auswählen, auf deren Wert klicken und dann entweder einen neuen Wert in einer Auswahlliste auswählen oder in ein Bearbeitungsfeld eingeben.

Ausdrücke als Eigenschaften-Werte

Einige Eigenschaften-Werte können Protokollausdrücke anstelle eines konstanten Wertes enthalten, so, wie eine Zelle aus einem GitterSteuerObjekt Ausdrücke enthalten kann. Vergessen Sie nicht, den Ausdruck mit einem Gleichheitszeichen einzuleiten. Angenommen, Sie haben ein Text-Objekt in einer Etikettvorlage und möchten, dass, anstelle eines anderen Textes, die aktuelle Element-ID angezeigt wird. Im Text-Eigenschaftsfeld geben Sie dafür "=ID" ein. Während der Ausführung wird der Name des Elements aus PC-DMIS 'gezogen' und in diesem Textobjekt angezeigt.

Siehe auch:

Allgemeine Eigenschaften

Arbeiten mit benutzerzugeordneten Eigenschaften

Vorlagenverbundene Daten löschen

Hinweise zu Ereignissen und zum Visual BASIC-Code


Allgemeine Eigenschaften

In diesem Abschnitt werden Eigenschaften für ein Beispiel-Textobjekt beschrieben, die auch den Kernsatz der Eigenschaften für viele andere Objekte umfassen. Ereignis-Eigenschaften werden detailliert unter "Hinweise zu Ereignissen" behandelt.

Allgemeine Standard- und fortgeschrittene Eigenschaften

Allgemeine Eigenschaften

Beschreibung

(Objektcode)

Eindeutiger Name zur Kennzeichnung eines Objekts in einer Vorlage oder Formblatt. Jedesmal, wenn Sie auf eine Eigenschaft oder Methode eines Objekts von BASIC aus zugreifen müssen, verwenden Sie die folgende Syntax: {Object Code}.{property or method name}

Ausrichtung

Textausrichtung innerhalb des Rechtecks, durch das das Textobjekt definiert wird.

Anchor Snaps (Rastpunkte)

Feld, in dem Sie Rastpunkte über das Dialogfeld Rastpunkte eingeben erstellen, löschen oder ändern können. Rastpunkte sind auf Ellipsen-, Rechteck-, Textfeld- oder Bitmap-Bildobjekten zu finden.

Sie können Linien- oder Polylinien-Objekte mit den Rastpunkten eines Objekts verbinden, indem Sie die Spitze der Linie auf den angezeigten blauen Rastpunkt ziehen.

Nachdem die Verbindung hergestellt wurde, bleibt die sich ergebende Linie auch beim Ziehen des Objekts an eine andere Stelle mit dem Rastpunkt verbunden und wird ggf. gedreht, verlängert und verkürzt. Diese Funktion ist nützlich, wenn Sie eine "Führungslinie" erstellen möchten, die ständig auf ein Objekt zeigt, das häufig verschoben wird.

Um Rastpunkte über die Layout-Symbolleiste anzuzeigen, klicken Sie auf das Symbol Rastpunkte anzeigen:

Back Color (Hintergrundfarbe)

Hintergrundfarbe des Objekts. Diese Farbe wird zum Ausfüllen des das Objekt definierenden Rechtecks verwendet.

Rahmenart

Art des Rahmens, der um das Objekt herum gezeichnet wird.

Bottom (Unten)

Abstand (in Pixel) zwischen der unteren Linie des Objektrechtecks und dem oberen Rand der Vorlage oder des Formblatts.

CursorPointer (Cursorzeiger)

Cursor-Darstellung beim Ziehen von Objekten mit der Maus.

Enable (Aktivieren)

Aktiviert bzw. deaktiviert das Objekt. Ein deaktiviertes Objekt kann nach wie vor sichtbar sein, reagiert jedoch nicht auf Benutzereingaben.

FlexHorizontal
und
FlexVertical

Wenn die Größe der Ansicht im Ausführungsmodus geändert wird, können Sie bestimmen, ob die Objekte verschoben, vergrößert oder proportional gleich bleiben sollen. Mit Shift (Verschieben) wird das Objekt nach rechts oder nach unten verschoben. Mit Expand (Vergrößern) wird das Objekt nach rechts oder nach unten vergrößert. Mit Proportional wird das Objekt zentriert.

Schriftart

Schriftart für Text, der im Objekt wiedergegeben wird.

Vordergrundfarbe

Vordergrundfarbe des Objekts. Bei Textobjekten definiert diese Farbe die Textfarbe.

Schraffur

Schraffur, die zum Ausfüllen des Hintergrundfelds des Objekts ausgewählt wird.

Hilfekontext-ID

Dies ist die Kontext-ID eines bestimmten aufzurufenden Hilfethemas. Sie wird oft in Verbindung mit dem Hilfe-Schaltflächentyp verwendet, mit dem WinHelp( ) aufgerufen wird.

HiliteColor

(Dieses Objekt ist nicht in PC-DMIS enthalten.)

Layer

Hiermit wird das aktuelle Objekt der ausgewählten Schicht zugewiesen.

Links

Abstand (in Pixel) zwischen der linken Linie des Objektrechtecks und dem linken Rand der Vorlage oder Formblatt.

Richtung

Ausrichtung des Textes innerhalb eines Objekts. Horizontaler Text fließt von links nach rechts. Vertikal nach oben fließt von unten nach oben. Vertikal nach unten fließt von oben nach unten.

Linienstärke

Stärke des Stifts, der zum Zeichnen des Objekts verwendet wird. Bei Textobjekten gilt dies nur für den Rand, der um den Text gezogen wird.

Rechts

Abstand (in Pixel) zwischen der linken Linie des Objektrechtecks und dem linken Rand der Vorlage oder Formblatt.

Schattierung

Schattierung, die beim Anzeigen des Objekts angewendet wird.

Tag (Kennzeichen)

Platzhalter zur Speicherung benutzerdefinierter Daten.

Text

Der Text, der im Textobjekt angezeigt wird. Sie können auch das kaufmännische Und-Zeichen (&) vor jedes alphanumerische Zeichen in diesem Feld setzen. Damit erstellen Sie eine (als unterstrichenes Zeichen dargestellte) Tastenkombination, die sofort den entsprechenden Steuerbefehl auslöst, wenn das unterstrichene Zeichen zusammen mit der ALT-Taste im Ausführungsmodus gedrückt wird. Wenn Sie beabsichtigen, zahlreiche Tastenkombinationen zu verwenden, können Sie deren eindeutige Zuordnung mit der Menüoption Bearbeiten | Layout | Mnemonik prüfen im Bearbeitungsmodus überprüfen.

QuickInfo

Text, der angezeigt wird, wenn die Maus im Ausführungsmodus über das Objekt bewegt wird.

Oben

Abstand (in Pixel) zwischen der oberen Linie des Objektrechtecks und dem oberen Rand der Vorlage oder des Formblatts.

Sichtbar

Sichtbarkeit des Objekts. Der Wert 1 bedeutet "sichtbar", 0 bedeutet "unsichtbar".


Arbeiten mit benutzerzugeordneten Eigenschaften

Beispiel-Eigenschaftenblatt eines Textobjektes Beachten Sie die benutzerdefinierbaren Kontrollkästchen auf der linken Seite.

Beispiel-Eigenschaftenblatt eines Textobjektes Beachten Sie die benutzerdefinierbaren Kontrollkästchen auf der linken Seite.

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Benutzerzugeordnete Eigenschaften definieren (Dialogfeld)

Benutzerzugeordnete Eigenschaften definieren (Dialogfeld)

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Symbol "Eigenschaft löschen"

Symbol "Eigenschaft löschen"

Eigenschaft nach oben verschieben Eigenschaft nach unten verschieben

"Herauf"- und "Herunter"-Pfeile

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Benutzerzugeordnete Eigenschaften (Dialogfeld)

Arbeiten mit benutzerzugeordneten Eigenschaften

Im Protokollvorlagen-Editor der Version 4.0 enthält das Dialogfeld Eigenschaften ein sehr bequemes Element: Sie haben die Möglichkeit, eine Eigenschaft benutzerdefiniert zu machen. Dadurch können Objekteigenschaften während der Ausführung von Bedienern des Programms geändert werden.

Angenommen, Sie möchten die Protokollüberschrift dynamisch je nach den entsprechenden Anforderungen des Bedieners des aktuellen Werkstückprogramms ändern. Sie können den Protokollen durch diese Funktionalität auf einfache Weise eine solche interaktive Methode hinzufügen.

So machen Sie eine Eigenschaft benutzerzugeordnet:

  1. Wählen Sie in einem der Editoren ein Objekt aus. Für das obenstehende Beispiel würden Sie ein Textobjekt auswählen.

  2. Klicken Sie mit der rechten Maustaste auf das Objekt. Dadurch wird erscheint das Eigenschaftenblatt für dieses Objekt auf der rechten Seite des Editors. Auf der linken Seite des Eigenschaftenblatts sehen Sie Kontrollkästchen neben den meisten Eigenschaften. Diese Kontrollkästchen bestimmen, welche Eigenschaft benutzerdefiniert gemacht werden kann.

  3. Wählen Sie das Kontrollkästchen neben der Eigenschaft, die Sie definierbar machen möchten, aus. Für das obenstehende Beispiel würden Sie eine Text-Eigenschaft für ein Textobjekt auswählen. Ein Benutzerzugeordnete Eigenschaften Dialogfeld erscheint und Sie werden aufgefordert, die Nachricht zu bestimmten, die den Benutzer zur Eingabe des Eigenschaftenwerts und zum Zeitpunkt der Eingabeaufforderung auffordert.

  4. Geben Sie im Feld Eingabeaufforderung die Aufforderung für den Benutzer ein und wählen Sie dann eine der beiden Optionsschaltflächen, für den Zeitpunkt, an dem der Benutzer die Aufforderung erhalten soll, aus. Der Benutzer kann die Eingabeaufforderung entweder während der Vorlagenauswahl oder während der Werkstückprogrammausführung erhalten.

  5. Klicken Sie auf OK. Das Dialogfeld Benutzerzugeordnete Eigenschaften wird geschlossen.

  6. Speichern Sie die Protokollvorlage und kehren Sie zum Werkstückprogramm zurück.

  7. Benutzen Sie zum Testen dieser Funktion das Protokollfenster, klicken Sie auf das Symbol Vorlagenauswahl und wählen Sie im Dialogfeld eine Protokollvorlage. Führen Sie dann das Werkstückprogramm aus.

  8. Irgendwann während des vorherigen Schritts zeigt PC-DMIS das Dialogfeld Benutzerzugeordnete Eigenschaften definieren an, indem Sie aufgefordert werden, die Eigenschaftenwerte entsprechend der im Dialogfeld Benutzerzugeordnete Eigenschaften ausgewählten Optionsschaltfläche einzugeben.

So zeigen und bearbeiten Sie alle benutzerzugeordneten Eigenschaften:

  1. Öffnen Sie eine Protokoll- oder Etikettvorlage, die benutzerdefinierbare Eigenschaften aufweist.

  2. Wählen Sie Bearbeiten | Benutzerzugeordnete Eigenschaften. Ein Benutzerzugeordnete Eigenschaften Dialogfeld erscheint. Dieses Dialogfeld zeigt solche Eigenschaften, die während der Vorlagenauswahl oder Werkstückprogrammausführung aufgezeigt werden.

  3. Wählen Sie aus der Auswahlliste Prompt-Stil einen Eintrag aus, um herauszufiltern, was in diesem Dialogfeld angezeigt wird. Die benutzerzugeordneten Eigenschaften erscheinen im unten stehenden Listenfeld. Das Listenfeld spürt alle Eigenschaften, welchen Objekten sie angehören und deren Eingabeaufforderungen, auf.

    • Um eine Eigenschaft zu entfernen, wählen Sie die Eigenschaft aus und klicken auf das große, rote X. Die Eigenschaft des Objekts bleibt nicht länger benutzerdefiniert und verwendet den bereits in der Vorlage definierten Standardwert.

    • Um eine Eigenschaft wieder aufzurufen, wählen Sie die Eigenschaft, die Sie verschieben möchten, aus und klicken auf die roten "Herauf"- oder "Herunter"-Pfeile. Dadurch werden die ausgewählten Eigenschaften in der Liste nach oben oder nach unten verschoben.

    • Um die Eingabeaufforderung einer Eigenschaft oder den Zeitpunkt der Eingabeaufforderung zu ändern, doppelklicken Sie auf die Eigenschaft in der Spalte Element. PC-DMIS blendet ein Benutzerzugeordnete Eigenschaften Dialogfeld ein, in dem Sie die Änderungen vornehmen können.

Achtung: Wenn Sie Eingabeaufforderung ausgewählt haben, wenn der Benutzer eine Vorlage im Dialogfeld Benutzerzugeordnete Eigenschaften auswählt, werden Sie von PC-DMIS nur einmal für jeden benutzerzugeordneten Wert aufgefordert. Danach verwendet PC-DMIS in diesem Werkstückprogramm so lange den Anfangseigenschaftenwert, bis alle vorlagenverknüpfte Daten entfernt sind. Weitere Informationen hierzu finden Sie unter "Vorlagenverbunden Daten löschen" in diesem Abschnitt.

Wenn Sie Eingabeaufforderung bei Ausführung des Protokolls ausgewählt haben, blendet PC-DMIS bei jeder Werkstückprogrammausführung das Dialogfeld Benutzerzugeordnete Eigenschaften definieren ein.


Vorlagenverbundene Daten löschen

Menü-Übersicht anzeigen Der Menüeintrag Datei | Protokollieren | Vorlagenassoziierte Daten löschen entfernt folgende Einträge, die im aktuellen Werkstückprogramm mit der aktuell ausgewählten Protokollvorlage verwendet werden:

  • Alle benutzerzugeordnete Eigenschaftenwerte. Wenn diese Werte gelöscht werden, werden Sie von PC-DMIS erneut aufgefordert, Werte zu jeder benutzerzugeordneten Eigenschaft in die aktuelle Vorlage einzufügen.

  • Tabellenanpassung von Etiketten.

  • Anpassen der Etikettplatzierung um die CADProtokollobjekte.

  • Änderungen des Rotations- oder Zoomfaktors eines jeden CADProtokollobjekts.

Menü-Übersicht anzeigen Der Menüeintrag Datei | Protokollieren | Alle vorlagenassoziierten Daten löschen hat die gleiche Funktion wie der oben erläuterte Menüeintrag mit dem Unterschied, dass bei dieser Option alle von diesem Protokoll verwendeten Protokollvorlagen betroffen sind.

Informationen zu benutzerdefinierten Eigenschaften finden Sie unter "Arbeiten mit benutzerzugeordneten Eigenschaften".


About Events

About Events and Visual Basic Code

This section assumes that you have at least some background with the Visual Basic programming language. If you need to learn Visual Basic, please consult a book or other external resource on the subject.

The Events section on the Properties dialog box contains a list of event handler functions that your template or form object supports. An event handler function will be called whenever the event implied by the name of the function occurs for the given object. When that function gets called, any Visual Basic code inside that function gets executed.

Available Event Handler Functions

EventClick

Called when the mouse is clicked on the object.

EventDblClick

Called when the mouse is double-clicked on the object.

EventDragDrop

Called when another "draggable" item is dropped onto the object.

EventDragEnter

Called when a draggable item is initially dragged onto the object.

EventDragOver

Called when a draggable item is dragged over the object.

EventInitialize

Called when the form first enters into Run Mode before any other handlers are called on the object.

EventMouseDown

Called when a mouse button is depressed while over the object. Parameters passed to the function indicate which button was pressed, if the SHIFT key was pressed, and the coordinates of the mouse at the moment the mouse button was depressed.

EventMouseMove

Called when the mouse is passed over the object. Parameters passed to the function indicate which button was pressed, if the SHIFT key was pressed, and the coordinates of the mouse when the move event was sent.

EventMouseUp

Called when the mouse button is released over the object. Parameters passed to the function indicate which button was pressed, if the SHIFT key was pressed, and the coordinates of the mouse at the moment the mouse button was released.

EventPumpData

This is perhaps the most widely used handler function in the Forms Editor. EventPumpData is called whenever BASIC variables that may affect the object change value. Your code can also force EventPumpData to be called on individual objects (or on all objects in a report) when you wish an object to update itself. Basically, any code that an object needs to reinitialize itself based on variable values or the state of other objects should occur in EventPumpData.

EventTerminate

Called when the report is being closed or when toggling from Run Mode to Edit Mode in the Form editor.

This handler function is only available for the Section editing environments.

EventReportData

This is perhaps the most widely used handler function in the Report and Label Template editors. It gets called whenever report data gets plugged into the current template.

Its primary function is to let you create your own ActiveX controls that get placed into a label. For example, PC-DMIS's best fit and feature analysis controls use this event to sent data to the ActiveX control from the command. To see this, open the label named best_fit_analysis.lbl, click on the ActiveX control inside the label, and then look at the BASIC code inside its event handler. A single line passes data from the command into the control.

With data passed to your own ActiveX control, you can then use Automation commands to extract and manipulate the data. See the Pcdbasic help file for information on PC-DMIS automation.

Important: This event gets called once for each command when applying the report template or during program execution.

Adding Code to Event Handlers

In order to add BASIC language code to any of the event handlers:

  1. Click on the function’s entry from the list of event handlers. A Mini Visual BASIC language editor will appear, with the opening and closing statements of the subroutine already filled in.

  2. Type additional BASIC language statements code into the editor.

  3. Click OK.

  4. Test your code.

    • If you are using the Forms Editor, test your form by pressing CTRL + E to enter Run mode.

    • If you are using one of the template editors, test your code by applying the template to a report and redrawing the report using the Redraw Report icon from the Reporting Toolbar.

Note: Since you don't interact with clickable buttons, lists, fields, or other interactive elements when using a report, the only event handler function available is the EventReportData function.

More:

Event Example 1: Calling Code on an EventClick Event

Event Example 2: Modify Object Properties on Triggered Event

Access Object Methods


Beispiel Ereignis: Aufrufen von Code bei einem EventClick-Ereignis

Beispiel mit Ereignissen eines Schaltflächenobjekts

Beispiel mit Ereignissen eines Schaltflächenobjekts

Ereignis-Beispiel 1: Aufrufen von Code bei einem EventClick-Ereignis

Dieses Ereignisbeispiel verwendet ein Schaltflächenobjekt. Um dies zu testen, müssen Sie den Formblatt-Editor verwenden.

  1. Menü-Übersicht anzeigen Wählen Sie Ansicht | Formblatt-Editor, um auf den Formblatt-Editor zuzugreifen.

  2. Zuerst fügen Sie eine Schaltfläche in Ihr Formblatt ein, indem Sie auf das Symbol Schaltfläche an der Objekt Werkzeugleiste klicken und anschließend ein Rechteck auf das Formblatt aufziehen.

  3. Vergewissern Sie sich, dass die Schaltfläche markiert (hervorgehoben) ist.

  4. Klicken Sie mit der rechten Maustaste auf die Schaltfläche, um das Dialogfeld mit den Eigenschaften der Schaltfläche anzeigen zu lassen.

  5. Falls nicht aufgefächert, klicken Sie auf das +-Zeichen neben dem Abschnitt Ereignisse, um die Liste aufzufächern. Sie sollten nun eine Liste aller verfügbaren Event-Handler-Funktionen für das Schaltflächenobjekt sehen.

  6. Doppelklicken Sie in der Liste auf die Funktion EventClick. Ein Visual BASIC-Editor mit dem Namen VBS Mini-Editor wird geöffnet.

  7. Fügen Sie den folgenden Code zur Funktion EventClick im VBS Mini-Editor hinzu:
    MsgBox "Auf mich wurde geklickt".

  8. Klicken Sie oben rechts im VBS Mini-Editor auf die Schaltfläche OK. Schließen Sie das Property Sheet.

  9. Speichern Sie das Protokoll, indem Sie auf Datei | Speichern klicken. Das Protokoll kann jetzt im Ausführungsmodus getestet werden.

  10. Wechseln Sie in den Ausführungsmodus (durch Drücken von STRG+E).

  11. Klicken Sie auf die Schaltfläche, die Sie erstellt haben. Jetzt sollte ein Meldungsfeld mit dem Text "Auf mich wurde geklickt" erscheinen.

Dieses einfache Beispiel veranschaulicht das Grundprinzip der Skriptformulare und Event-Handler-Funktionen.


Ändern von Objekteigenschaften eines ausgelösten Ereignisses

Ereignis-Beispiel 2: Ändern von Objekteigenschaften eines ausgelösten Ereignisses

Diese Übung folgt dem oben stehenden Beispiel, das Sie zuerst beenden sollten. Dieses Beispiel verwendet ebenfalls den Formblatt-Editor.

Im nächsten Schritt erweitern Sie das Beispiel, sodass beim Klicken auf die Schaltfläche die Eigenschaften eines anderen Objekts (beispielsweise der Text eines Textobjekts) geändert werden.

  1. Menü-Übersicht anzeigen Wählen Sie Ansicht | Formblatt-Editor, um auf den Formblatt-Editor zuzugreifen.

  2. Wechseln Sie zurück in den Bearbeitungsmodus (durch Drücken von STRG+E).

  3. Erstellen Sie ein neues Textobjekt.

  4. Öffnen Sie die Eigenschaften des Textobjekts (Objekt markieren und dann die rechte Maustaste drücken).

  5. Stellen Sie sicher, dass die Eigenschaft Objektcode des Textobjekts den Namen "Text1" aufweist. Die Eigenschaft Objektcode ist der Name, über den im BASIC-Code auf das Objekt verwiesen wird.

  6. Falls nicht aufgefächert, klicken Sie auf das +-Zeichen neben dem Abschnitt Ereignisse, um die Liste aufzufächern.

  7. Doppelklicken Sie auf die Handler-Funktion EventInitialize. Der VBS Mini-Editor wird geöffnet.

  8. Fügen Sie den folgenden Code zur Funktion EventInitialize hinzu:
    Set This = Text1

  9. Drücken Sie die EINGABETASTE, um in eine neue Zeile zu springen. Geben Sie den folgenden Code auf der nächsten Zeile ein:
    This.    Text = "Auf diese Schaltfläche wurde noch nicht geklickt."

  10. Klicken Sie auf OK, um den Editor zu schließen.

  11. Nachdem das Objekt "Text1" wie beschrieben eingerichtet wurde, öffnen Sie das Eigenschaftenblatt für das Schaltflächenobjekt, das Sie in der vorherigen Übung hinzugefügt haben.

  12. Öffnen Sie die Registerkarte Events (Ereignisse).

  13. Doppelklicken Sie auf die Handler-Funktion EventClick.

  14. Ersetzen Sie den BASIC-Code, den Sie in der vorherigen Übung eingefügt haben, durch die folgenden beiden Zeilen:
    Zeile 1: MsgBox "Auf mich wurde geklickt, und ich ändere gerade den Text von Text1"??

    Zeile 2: Text1.Text = "Auf diese Schaltfläche wurde geklickt!!!"

  15. Klicken Sie auf OK, um den VBS Mini-Editor zu schließen.

  16. Schließen Sie das Eigenschaftenblatt.

  17. Wechseln Sie in den Ausführungsmodus (durch Drücken von STRG+E). Der von Ihnen zur Funktion "EventInitialize" von "Text1" hinzugefügte Code bewirkt, dass das Text1 anfänglich "Die Schaltfläche wurde noch nicht angeklickt" lautet.

  18. Versuchen Sie nun, die Schaltfläche anzuklicken. Die Meldung "Auf mich wurde geklickt, und ich ändere gerade den Text von Text1" sollte daraufhin eingeblendet werden. Sobald Sie das Meldungsfeld schließen, sollte sich der Text von "Text1" in "Auf diese Schaltfläche wurde geklickt!!!" ändern.

Dieses Beispiel veranschaulicht, wie Sie über die BASIC-Syntax Objektcode.Eigenschaftsname auf die Eigenschaften von beliebigen Objekten in einem Formblatt zugreifen können.


Zugreifen auf Objektmethoden

Viele Objekte unterstützen zusätzlich zu ihren Eigenschaften mancherlei Methoden. Im BASIC-Code können Sie über die Syntax ObjectCode.method_name auf diese Methoden zugreifen. Sie können die für ein bestimmtes Objekt verfügbaren Eigenschaften und Methoden anzeigen, indem Sie im VBS Mini-Editor den Objektcode des betreffenden Objekts gefolgt von einem Punkt eingeben. Sobald Sie den Punkt eingegeben haben, wird ein Mini-Assistent eingeblendet, der die für das Objekt verfügbaren Methoden und Eigenschaften anzeigt.

Wenn Sie also ein Textobjekt mit Namen "Text1" haben, geben Sie "Text1", gefolgt von einem Punkt, ein und es erscheint eine Liste der verfügbaren Methoden oder Eigenschaften für ein Textobjekt.

Variablen, die innerhalb einer Ereignis-Handler-Funktion deklariert sind (über die BASIC-Syntax "Dim Var_name as Var_type"), sind ausschließlich während der betreffenden Ereignis-Handler-Funktion gültig. Es wird ohne Zweifel Situationen geben, in denen Sie Variablen, Funktionen oder Unterprogramme deklarieren möchten, die vom gesamten BASIC-Code aus in einer Vorlage oder einem Formblatt zugänglich sind – Variablen mit globaler Gültigkeit für das betreffende Protokoll. Die Vorlagen- und Formblatt-Editoren bieten die Möglichkeit, diese Deklarationen vorzunehmen.

Siehe auch:

Deklarieren globaler Variablen mit Hilfe der Eigenschaft "LocalVariables"

Deklarieren/Definieren von Variablen, Funktionen oder Unterprogrammen


Deklarieren globaler Variablen mit Hilfe der Eigenschaft "LocalVariables"

Wenn Sie globale Variablen eines beliebigen Standarddatentyps (String, Integer, Double etc.) deklarieren und im BASIC-Assistenten anzeigen möchten, können Sie die Eigenschaft LocalVariables von The Frame/The View verwenden.

Vorgehensweise:

  1. Öffnen Sie das Eigenschaftenblatt für The Frame/The View. Hierzu markieren Sie ein Objekt und klicken es mit der rechten Maustaste an. Das Eigenschaftenblatt wird eingeblendet.

  2. Öffnen Sie die Registerkarte Einstellungen.

  3. Blättern Sie abwärts bis zur Eigenschaft LocalVariables.

Doppelklicken Sie auf LocalVariables, so dass das Dialogfeld Local Variables eingeblendet wird.

Dialogfeld "Local Variables"

Im Dialogfeld Local Variables können Sie lokale Variablen beliebiger Grundtypen hinzufügen, entfernen oder benennen und diesen Variablen Anfangswerte zuweisen. Es sei hier nochmals erwähnt, dass diese Variablen für diese Vorlage oder das Formblatt global gültig sind und über den gesamten für diese Vorlage oder dieses Formblatt verfaßten BASIC-Code zugänglich sind. Diese Variablen erscheinen im Bereich Local Variables des Skript-Assistenten.

Hinweis: Der Name “LocalVariables” ist eine nicht ganz zutreffende Bezeichnung, da Variablen, die im Dialogfeld Local Variables deklariert sind, einen globalen Wirkungsbereich für diese bestimmte Vorlage oder dieses Formblatt aufweisen. Der Name deutet an, dass die hier bezeichneten Variablen lokale Variablen für diese betreffende Vorlage oder dieses betreffende Formblatt sind und nicht von anderen Formblätter aus abgerufen werden können. Trotzdem sind Sie als globale Variablen für andere Routinen in der Vorlage oder im Formblatt, in der sie definiert wurden, verfügbar.


Deklarieren/Definieren von Variablen, Funktionen oder Unterprogrammen

Wenn Sie Variablen, Funktionen oder Unterprogramme deklarieren und/oder definieren möchten, die im gesamten BASIC-Code in einem Protokoll verfügbar sein sollen, verwenden Sie die Eigenschaft LocalDecls von The Frame/The View. Sie finden diese Eigenschaft auf der Registerkarte PC-DMIS des Dialogfelds Eigenschaftenblatt. Vorgehensweise:

1. Öffnen Sie das Dialogfeld Property Sheet für ein Objekt.

2. Wählen Sie in der Auswahlliste den Eintrag The Frame/The View aus.

3. Klicken Sie auf die Registerkarte PC-DMIS.

4. Doppelklicken Sie auf dem Eigenschaftenblatt auf den Eintrag LocalDecls. Ein VBS Mini-Editor wird eingeblendet.

In diesem Fenster können Sie beliebigen BASIC-Code hinzufügen, einschließlich Variablendeklarationen und Funktions- oder Unterprogrammdefinitionen. Alle hier deklarierten/definierten Variablen, Funktionen und Unterprogramme sind global gültig, werden jedoch nicht im Skript-Assistenten angezeigt.


Hinweise zu Protokollausdrücken

Bei den Protokollausdrücken handelt es sich um spezielle Befehle, die innerhalb unterstützender Protokoll- bzw. Etikettvorlagenobjekte platziert werden, um bestimmte Daten aus PC-DMIS zu extrahieren und sie dann in solche Objekte zu platzieren. Angenommen, Sie möchten eine Element-ID in eine Etikettvorlage einfügen. Dafür fügen Sie einfach ein Objekt, dass Ausdrücke unterstützt, wie beispielsweise das GitterSteuerObjekt, in das Protokoll ein. Danach geben Sie "=ID" in eine Ausdruckszelle des Gitters ein.

Protokollausdrücke können in die vier folgenden Bereiche eingefügt werden:

1) In den Bereich Regelbaum-Editor in den Feldern Bedingter Ausdruck und Text-Ausdruck.

2) In den Bereich GitterSteuerObjekt in die Zellen des Gitters.

3) In den Bereich GitterSteuerObjekt im Feld Ausdruck wiederholen auf der Registerkarte Reihe, um Ausdrücke zu wiederholen.

4) In den Bereich Eigenschaftenblatt-Werte in Bearbeitungsfelder oder Kombinationsfelder, die Textwerte aufnehmen.

Die verfügbaren Ausdrücke finden Sie unter "Funktionen und Operatoren". Listen mit den verfügbaren Funktionen, Operatoren und Datentypen finden Sie unter "Verwenden von Datentypen zur Suche nach Protokollausdrücken" for lists of available functions, operators, and data types.

Hinweis: Das Protokollieren von Ausdrücken kann auch viele normale PC-DMIS-Ausdrücke verwenden, die im Abschnitt "Verwenden von Ausdrücken und Variablen" erläutert werden. Stellen Sie den Ausdrücken bei der Eingabe in die Zelle einfach das Gleichheitszeichen "=" voran.

Siehe auch:

Operatoren und Funktionen

Verwenden von Datentypen zur Suche nach Protokollausdrücken


Operatoren und Funktionen:

Einträge mit einem vorangestellten Sternchen (*) sind beschränkt auf die Protokollausdruckssprache.

Funktion

Beschreibung

ABS (<Ausdruck>)

Gibt den absoluten Wert des Eingabewerts zurück.

ACOS(<Ausdruck>)

Gibt den Arkuskosinus des Eingabewerts zurück. Eingaben und Ergebnisse werden in Radiant angegeben.

ANGLEBETWEEN(<Ausdruck1>, <Ausdruck2>)

Gibt den Winkel zwischen den zwei Eingaben Ausdruck1 und Ausdruck2 zurück, der vom Typ "Punkt" sein sollte. Ergebnisse in Grad.

ARRAY(<Ausdruck1>,<Ausdruck2>, & <AusdruckN>)

Erstellt ein aus den Eingabewerten ein Array.

ASIN(<Ausdruck>)

Gibt den Arkussinus des Eingabewerts zurück. Eingaben und Ergebnisse werden in Radiant angegeben.

ATAN(<Ausdruck>)

Gibt den Arkustangens des Eingabewerts zurück. Eingaben und Ergebnisse werden in Radiant angegeben.

CHR(<Ausdruck>)

Gibt den ASCII-Zeichenwert für den entsprechenden Eingabewert, der eine Ganzzahl sein sollte, zurück.

*COLOR(<Ausdruck1>, <Ausdruck2>)

Veranlasst den Textwert von Ausdruck1, eine von 4 Farben als derzeitig definierte Farbe im Farbenbaum zu verwenden. 1 = Markierte Farbe 2 = Unmarkierte Farbe 3 = Schrittmodus-Farbe 4 = Fehlerfarbe. Siehe "Ändern der Textfarbe einer Zeichenfolge".

*GetTolColor(Ausdruck1, Ausdruck2, Ausdruck3)

Dafür werden drei Ausdrücke benötigt, Abweichung, obere und untere Toleranz, und die aktuelle Toleranzfarbe als Typ COLORREF, basierend auf der Abweichung, zurückgegeben.

Ausdruck1 ist die Abweichung als ein Doppelwert, Ausdruck2 ist die obere Toleranz als ein Doppelwert und Ausdruck3 ist die Minus-Abweichung als ein Doppelwert.

Sie können diese zurückgegebene Farbe beim Protokollieren mit Farbeigenschaften von Objekten wie beispielsweise ForeColor (Vordergrundfarbe) und BackColor (Hintergrundfarbe) verwenden, um die Farbe eines Objekts dynamisch so zu ändern, dass sie den aktuellen Toleranzwert zurückgibt.

Diese Farben sind im Dialogfeld Merkmalsfarbe bearbeiten angegeben. Siehe auch "Merkmalfarben bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".

CONCAT(<Ausdruck1>, <Ausdruck2>, & <AusdruckN>)

Verkettet alle in Ausdruck 1 bis N angegebenen Zeichenfolgen zu 1 Zeichenfolge.

COS(<Ausdruck>)

Gibt den Kosinus des Eingabewerts zurück. Eingaben und Ergebnisse werden in Radiant angegeben.

*COUNT(Ausdruck1)

Gibt die Anzahl der Instanzen des Datentyps für den aktuellen Befehl,angegeben in Ausdruck1, zurück.

CROSS(<Ausdruck1>, <Ausdruck2>)

Gibt das Kreuzprodukt von Ausdruck1 und Ausdruck2, die beide vom Typ "Punkt" sein sollten, zurück.

DATEVALUE()

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

DEG2RAD(<Ausdruck>)

Konvertiert die Eingabe von Grad in Radianten.

DELTA(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>)

Ausgabe ist der neue Punkt, der entlang des in Ausdruck2 angegebenen Vektors um die in Ausdruck3 angegebene Distanz zum im Ausdruck1 angegebenen Punkt bewegt wird.

DOT(<Ausdruck1>, <Ausdruck2>)

Gibt das Skalarprodukt von Ausdruck1 und Ausdruck2 zurück. Die Eingabewerte sollten vom Typ "Punkt" sein.

DOUBLE(<Ausdruck>)

Konvertiert den Eingabewert vom aktuellen Typ in einen Doppeltyp. Im Falle eines Punkts wird der Abstand des Punkts zum Nullpunkt zurückgegeben.

*ELAPSEDTIME()

Gibt den für die Ausführung benötigten Zeitraum zurück.

ELEMENT(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

EQUAL(<Ausdruck1>, <Ausdruck2>)

Testet, ob zwei Arrays identisch sind und gibt, falls ja, ein Array zurück. Andernfalls wird 0 zurückgegeben.

<Ausdruck1> ^ <Ausdruck2>

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

EXPON(<Ausdruck>)

*FILENAME()

Gibt den vollständigen Pfad und Pfeilnamen des Werkstückprogramms zurück.

FORMAT(<Ausdruck1>, <Ausdruck2>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

*GETCOUNT(Ausdruck1)

Gibt den langen Wert der Anzahl an Instanzen, die für den in Ausdruck1 angegebenen Datentyp ENUM_FIELD_TYPES existiert, zurück. Beispielsweise würde ein Lagemerkmal, das in X,Y,Z und D protokolliert, den Wert 4 für den Achsen-Datentyp zurückgeben.

IF(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>)

If-Ausdruck 1 ergibt einen Wert ungleich Null, der Wert von Ausdruck 2 wird zurückgegeben, andernfalls wird der Wert von Ausdruck 3 zurückgegeben.

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

INDEX(<Ausdruck1>, <Ausdruck2>)

INTEGER(<Ausdruck>)

LEFT(<Ausdruck1>, <Ausdruck2>)

LEN(<Ausdruck>)

Gibt für eine Zeichenfolge die Anzahl der Zeichen in der Zeichenfolge zurück. Gibt für ein Array die Anzahl der Elemente im Array zurück.

LN(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

*LOADSTR(<Ausdruck>)

Laded die Zeichenfolge unter Verwendung des numerischen Werts aus den Ressourcendateien. Ein negativer numerischer Wert hat zur Folge, dass die Zeichenfolge aus den Zeichenfolgen-Ressourcen geladen wird. Weitere Informationen hierzu finden Sie unter "Zeichenfolgen aus PC-DMIS laden".

LOG(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

LOWERCASE(<Ausdruck>)

<Ausdruck1> <Ausdruck2>

MAX(<Ausdruck>)

MAXINDEX(<Ausdruck>)

MAXINDICES( <Ausdruck>)

*MEASSCALE()

Gibt den neu geänderten Maßstab, der beim Messen verwendet wird, zurück.

MIN(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

MININDEX(<Ausdruck>)

MININDICES(<Ausdruck>)

MID(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>)

MPOINT(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>)

*NUMMEAS()

Zeigt einen Zahlenwert, der die Anzahl der protokollierten Merkmale darstellt, an.

*NUMOUTTOL()

Zeigt die Anzahl der protokollierten Merkmale außerhalb der Toleranz an.

ORD(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

*PARTNAME()

Zeigt den Werkstücknamen an (dabei handelt sich um die Werkstücknamen-Anzeige, die auch in der Kopfzeile der Datei angezeigt wird).

RAD2DEG(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

*PAGE()

Blendet die aktuelle Seitenzahl ein.

REAL(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

*REGSETTING(<Ausdruck1>, <Ausdruck2>)

Blendet einen Wert einer angegebenen Registrierungseinstellung ein. Dazu werden diese beiden Parameter benötigt: Ausdruck1 bestimmt die Sektion und Ausdruck2 bestimmt den Eintrag.

*REVNUM()

Zeigt die Versionsnummer an (dabei handelt sich um die Versionsnummer, die auch in der Kopfzeile der Datei angezeigt wird).

*RGB(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>, <Ausdruck4>)

Koloriert die in Ausdruck 1 angegebene Zeichenfolge in der über den RGB-Wert von Ausdruck 2, 3 und 4 angegebenen Farbwert. Siehe "Ändern der Textfarbe einer Zeichenfolge".

RIGHT(<Ausdruck1>, <Ausdruck2>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

ROUND(<Ausdruck1>, <Ausdruck2>)

*SECTION()

Blendet die aktuelle Sektionsnummer ein.

*SERNUM()

Zeigt die Seriennummer an (dabei handelt sich um die gleiche Seriennummer, die auch in der Kopfzeile der Datei angezeigt wird).

SIN(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

SORTUP(<Ausdruck>)

SORTDOWN(<Ausdruck>)

SQRT(<Ausdruck>)

*STATCOUNT()

Gibt die Statistikzahl zurück (die Gleiche wie auch in der Kopfzeile der Datei).

STR(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

STRING(<Ausdruck>)

SUM(<Ausdruck>)

SYSTIME()

SYSTEMDATE(<Ausdruck>)

SYSTEMTIME(<Ausdruck>)

TAB(<Ausdruck>)

*TOGGLESTR(<eAusdruck1>, <Ausdruck2>)

Extrahiert den Schalter mit zwei Zuständen aus der Ressourcenbasis auf den Ressourcen-ID-Wert in Ausdruck1. Wieder wird eine negative Zahl für solche Fälle, in denen die Zeichenfolge aus den Zeichenfolgen-Ressourcen stammen sollte, verwendet. Der Wert von Ausdruck2 wird verwendet, um anzugeben, welche Teilzeichenfolge des Schalters mit zwei Zuständen gewünscht wird. Das Eregebnis ist die Teilzeichenfolge.

*TOGGLESTRING(DATENTYP)

Wenn es sich bei dem angegebenen Datentyp für den bestimmten Befehl um den Typ "Schalter mit zwei Zuständen" handelt, wird der gesamte Schalter mit zwei Zuständen zurückgegeben.

*TOGGLEVALUE(DATENTYP)

Wenn es sich bei dem angegebenen Datentyp für den bestimmten Befehl um den Typ "Schalter mit zwei Zuständen" handelt, wird der Index (oder Schalterwert) des Schalters mit zwei Zuständen zurückgegeben.

*TOL(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>, <Ausdruck4>)

Ausdruck 1 ist die Zeichenfolge, die gefärbt wird. Ausdruck 2 ist der Testwert, Ausdruck 3 ist die obere Toleranz, Ausdruck 4 ist die untere Toleranz. Wenn sich der Testwert innerhalb des Toleranzbereichs befindet (also zwischen den Werten für Ausdruck 3 und Ausdruck 4), wird die derzeitig markierte Farbe vom Farbbaum verwendet. Andernfalls wird die Fehlerfarbe (normalerweise rot) als Textfarbe verwendet.

UNIT(<Ausdruck>)

Dasselbe wie in der Ausdruckssprache von PC-DMIS.

VECX(<Ausdruck>)

VECY(<Ausdruck>)

VECZ(<Ausdruck>)

Operatoren | Beschreibung
<Ausdruck1> == <Ausdruck2> | Ergibt 1, wenn Ausdruck1 Ausdruck2 gleicht. Ergibt andernfalls 0.
<Ausdruck1> >= <Ausdruck2> | Ergibt 1, wenn Ausdruck1 größer oder gleich Ausdruck2 ist. Ergibt andernfalls 0.
<Ausdruck1> <= <Ausdruck2> | Ergibt 1, wenn Ausdruck1 kleiner oder gleich Ausdruck2 ist. Ergibt andernfalls 0.
<Ausdruck1> > <Ausdruck2> | Ergibt 1, wenn Ausdruck1 größer als Ausdruck2 ist. Ergibt andernfalls 0.
<Ausdruck1> < <Ausdruck2> | Ergibt 1, wenn Ausdruck1 kleiner als Ausdruck2 ist. Ergibt andernfalls 0.
<Ausdruck1> - <Ausdruck2> | Subtrahiert Ausdruck2 von Ausdruck1.
<Ausdruck1> / <Ausdruck2> | Teilt Ausdruck1 durch Ausdruck2.
<Ausdruck1> % <Ausdruck2> | Gibt den Rest aus der Division des Ausdrucks1 durch Ausdruck2, falls vorhanden, zurück.
<Ausdruck1> * <Ausdruck2> | Multipliziert Ausdruck1 mit Ausdruck2.
<Ausdruck1> <> <Ausdruck2> | Vergleicht Ausdruck1 mit Ausdruck2. Wenn sie nicht übereinstimmen, ergibt das 1. Wenn sie übereinstimmen, ergibt das 0.
-<Ausdruck> | Das monadische Minus negiert den Wert des Operanden im Ausdruck.
!<Ausdruck> | Ergibt 1, wenn der Ausdruck nicht vorhanden ist. Ergibt andernfalls 0.
<Ausdruck1> AND <Ausdruck2> | Führt eine binäre AND-Operation auf zwei Zahlen durch. Verkettet andernfalls bei vermischten Typen Zeichenfolgen oder Zahlen.
<Ausdruck1> OR <Ausdruck2> | Führt einen binären OR-Ausdruck auf zwei Zahlen durch.
<Ausdruck1> + <Ausdruck2> | Fügt Ausdruck1 und Ausdruck2 zusammen.

Operatoren und Funktionen

Hier ist eine Liste der Funktionen und Operatoren, die der Ausdruckssprache zur Protokollierung in PC-DMIS zur Verfügung steht. Sie arbeiten genau so und sind ebenso verfügbar wie in der Ausdruckssprache von PC-DMIS.

Die Ausdruckssprache zur Protokollierung unterstützt keine Variablen, Strukturen und Funktionen, wie es die Ausdruckssprache von PC-DMIS tut. Für Variablen wurde der Sprache ein neuer Typ, genannt DATENTYP, hinzugefügt. Siehe "Verwenden von Datentypen zur Suche eines Protokollausdrucks". Eine weitere Neuerung in der Sprache zur Protokollierung ist der Zusatz eines Konstanten-Satzes, der unter "Vordefinierte Konstanten" beschrieben wird.

Beachten Sie, den Ausdruck mit einem Gleichheitszeichen (=) voranzustellen und stellen Sie sicher, dass der Befehl, durch den die Daten abgerufen werden, den Ausdruck, den Sie verwenden möchten, unterstützt.

Funktionen

Operatoren

() Klammern werden verwendet, um Ausdrücke zu gruppieren und die Reihenfolge ihrer Auswertung zu bestimmen.

Siehe auch:

Zeichenfolgen aus PC-DMIS laden

Ändern der Textfarbe einer Zeichenfolge


Zeichenfolgen aus PC-DMIS laden

Etwa so, wie Sie auch die Textfarbe für eine Zelle ändern können - erläutert im Abschnitt "Ändern der Ausdrucks-Textfarbe" - können Sie auch über die Ausdruckssprache der Protokollierung Zeichenfolgen aus der aktuellen Ausführungssprache von PC-DMIS extrahieren. Dazu verwenden Sie folgenden Ausdruck:

=LOADSTR(<Ganzzahl-Ausdruck>)

Diese Zeichenfolge benötigt einen einzigen Parameter, eine Ganzzahl, die dem Wert einer Zeichenfolge entspricht, die sich in der "resource.dll" oder "strings.dll" befindet.

  • Eine positive Zahl extrahiert die Zeichenfolge aus der "resource.dll"-Datei.

  • Eine negative Zahl extrahiert die Zeichenfolge aus der "strings.dll"-Datei.

Wenn Sie diese Funktion in das Feld (bzw. in die Zelle) Zellenausdruck des Gittersteuerobjekts eingeben und auf OK klicken, danach außerhalb des Objekts klicken, wertet PC-DMIS den Ausdruck aus und gibt die Zeichenfolge an den angegebenen Ganzzahl-Wert zurück.

Hinweis: Diese Funktion wurde in erster Linie hinzugefügt, damit die Etikettvorlagen, die mit PC-DMIS zusammen geliefert werden, Zeichenfolgendaten aus der aktuellen Sprache verwenden.


Ändern der Textfarbe einer Zeichenfolge

Verwenden der RGB-Funktion

Die Ausdruckssprache der Protokollierung ermöglicht die Verwendung einer RGB-Funktion, um einen RGB- (Rot Grün Blau) Farbenwert auf eine Zeichenfolge mit Zeichen im Ausdruckstext anzuwenden. Diese Funktion benötigt vier Parameter, einen Zeichenfolgenparameter, gefolgt von einem RGB-Parameter, der durch ein Komma getrennt wird - etwa so:

=RGB(string,R,G,B)

Wenn Sie diese Funktion in das Feld (bzw. in die Zelle) Zellenausdruck des Gittersteuerobjekts eingeben und auf OK klicken, danach außerhalb des Objekts klicken, wertet PC-DMIS den Ausdruck aus und gibt den Text an den angegebenen Farbenwert zurück.

Feld "Zellenausdruck", das den RGB-Ausdruck zeigt

Wenn Sie beispielsweise folgenden Ausdruck in eine Zelle eingeben,

=RGB("Blue Text",0,0,255) + RGB(" Black Text",0,0,0) + RGB(" Yellow Text",255,255,0)

dann sehen die Worte in einem Vorlagen-Editor wie folgt aus:

Verwenden der Farben-Funktion

Die Farbfunktion benötigt zwei Parameter. Der Erste, ein Farbparameter, ist tatsächlich eine Zahl, die eine der Hauptfarben des Bearbeitungsfensters darstellt. Der Zweite ist ein Zeichenfolgenwert, auf den PC-DMIS die Farbe anwendet.

=COLOR(1, "My Text")

Der erste Parameter ist ein Wert von 1 bis 4, der die Bearbeitungsfensterfarbe weitergibt, die mit Folgendem assoziiert ist:

1 gibt die markierte Farbe weiter

2 gibt die nicht-markierte Farbe weiter

3 gibt die Schrittmodus-Farbe weiter

4 gibt die Fehler-Farbe weiter

Diese Farben sind im Dialogfeld Farben-Editor des Bearbeitungsfensters definiert. Siehe "Definieren von Bearbeitungsfenster-Farben" unter "Voreinstellungen".


Verwenden von Datentypen zur Suche nach Protokollausdrücken

Beim Verwenden von Ausdrücken verwenden Sie normalerweise Ausdrücke, die Daten aus PC-DMIS extrahieren. Stellen Sie sicher, dass der Befehl oder das Element, das Sie mit der Etikettvorlage zur Extraktion verknüpfen, die Daten enthält, die Sie anzeigen möchten. Datentypen können bei der Suche nach dem richtigen Ausdruck nützlich sein.

Nehmen Sie beispielsweise an, Sie erstellen eine Etikettvorlage, die ein GitterSteuerObjekt enthält und geben in eine der Zellen folgenden Ausdruck zur Anzeige der gemessenen X-Daten des Elements ein:

=MESS_X

Wenn Sie nun eine Protokollvorlage erstellen, ein TextProtokollObjekt hinzufügen und mit Hilfe des Regelbaum-Editors die Etikettvorlage mit ANFAHRWEG-Befehlen verknüpfen, wird in der Zelle im Protokollfenster nichts angezeigt. Warum? Weil der ANFAHRWEG-Befehl keine gemessenes X-Feld aufweist. Um den richtigen Ausdruck zu verwenden, können Sie Datentypen für unterschiedliche Felder im Befehlsmodus des Bearbeitungsfensters einblenden.

Im Folgenden werden die einzelnen Schritte zur Anzeige von Datentypen beschrieben:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

  3. Klicken Sie mit der rechten Maustaste auf eine Stelle im Bearbeitungsfenster. Es erscheint ein Kontextmenü .

  4. Wählen Sie Wechsle Popup-Anzeige | Datentypangaben.

  5. Bewegen Sie den Mauszeiger über ein Feld eines Befehls, und PC-DMIS blendet ein kleines, gelbes Popup-Menü ein, dass die Datentypen dieses Feldes anzeigt. Der erste Teil des Wertes in Klammern stellt den Datentyp dar. Ein gleichwertiger Ausdruck ist in der Liste der Ausdrücke vorhanden.

Sehen Sie sich das folgende Beispiel an:

Ein Datentyp-Popupmenü

Dieses Datentyp-Popup zeigt, dass THEO_X ein gültiger Ausdruck für diesen Befehl ist. Würden Sie "=THEO_X" in eine entsprechende Stelle eingeben, würde PC-DMIS den theoretischen X-Wert dieses Elements anzeigen.

Wenn Sie Datentypen verwenden, können Sie sicherstellen, dass Ihre Protokoll- und Etikettvorlagen Ausdrücke verwenden, die von dem Befehl unterstützt werden.

Siehe auch:

Verwenden eines Typ-Index zur Anzeige bestimmter Daten

Liste der verfügbaren Datentypen

Vordefinierte Konstanten


Verwenden eines Typ-Index zur Anzeige bestimmter Daten

Typ-Indizes extrahieren ganz bestimmte Daten und fügen Sie in das Werkstückprogramm ein. Bei einem Zylinderelement mit acht Messpunkten könnten Sie beispielsweise einen Typ-Index verwenden, um auf den gemessenen X-Wert des zweiten Messpunktes zuzugreifen. Um einen Typ-Index zu verwenden, hängen Sie einfach einen Doppelpunkt und eine Zahl an den Ausdruck, um auf diesen Messpunkt oder auf diese Reihe mit Merkmalsdaten zuzugreifen.

Typ-Indizes zur Anzeige bestimmter Daten

Geben Sie beispielsweise folgenden Typ-Index ein:

=MESS_X

PC-DMIS würde hier keinen Typ-Index verwenden (der Standardwert des Typ-Index wäre 0) und würde den gemessenen X-Wert des Mittelpunkts des Elements anzeigen.

Würden Sie aber:

=MESS_X:1

eingeben, würde PC-DMIS den gemessenen X-Wert des ersten Messpunktes anzeigen.

Würden Sie:

=MESS_X:2

eingeben, würde PC-DMIS den gemessenen X-Wert des zweiten Messpunktes abfragen.

Wiederholen von Reihen zur Anzeige aller Daten

Ähnlich wie die Typ-Indizes können Sie im GitterSteuerObjekt eine Reihe als eine sich "wiederholende Reihe" anzeigen. Bei sich wiederholenden Reihen ergibt der Buchstabe "N" den aktuellen Wiederholungsindex der Reihe, die gerade gezeichnet wird. Wenn Sie eine sich wiederholende Reihe definieren, können Sie auch einen Ausdruck für die sich wiederholende Reihe definieren, der nach der Auswertung die Anzahl der Wiederholungen der Reihen bestimmt.

Wenn Sie also alle gemessenen X-Werte für alle Messpunkte in einem Element anzeigen möchten, definieren Sie eine einzige sich wiederholende Reihe mit folgendem Ausdruck:

=MESS_X:N

Sie können den Ausdruck der sich wiederholenden Reihe dann auf "=N_MESSPUNKTE" setzen, um die gesamte Anzahl der Messpunkte zu erhalten. PC-DMIS fährt dann so lange damit fort, die Reihe mit nachfolgenden Messpunktdaten wiederholen, bis alle Messpunkte angezeigt worden sind.


Liste der verfügbaren Datentypen

ÜBERUNTER_EINSTELLUNG

AUSRICHTEN_LISTE

WINKEL_COMP_UMSCHALTER

WINKEL_VERSATZ

NEIGUNG_NENN_WINKEL

WINKELVEK_I

WINKELVEK_J

WINKELVEK_K

PFEIL_MULTIPLIKATOR

GELENKARM_TYP

AUTO_SICHERHEITSEBENE

AUTO_DSE

AUTO_DRUCKEN

AUTOM_TONSIGNAL

AUTOFIT_BEDINGUNG

AUTOM_TOLERANZZONE

AUTOAUSLÖSEREINAUS

FEHLERMITTEL

ACHSE

ACHSE_BESCHREIBUNG

ACHSE_UNTERE_TOL

ACHSE_NENNWERT

ACHSE_OBERE_TOL

BE_BERECHNUNGSTYP

GRENZTYP

RANDPUNKT_X

RANDPUNKT_Y

RANDPUNKT_Z

BS_METHODENTYP

PUFFERGRÖSSENTYP

CAD_TOLERANZ

BERECHNUNGSSTIL_TYP_DATEI

BERECHNUNGSSTIL_TYP_DATEI

ROTATIONSMITTELPUNKT_THEO

ROTATIONSMITTELPUNKT_IST

DIAGRAMM_UNTERTYP

KREISTYP

LINKS_ABSCHNEIDEN_ABST

UNTEN_ABSCHNEIDEN_ABST

RECHTS_ABSCHNEIDEN_ABST

OBEN_ABSCHNEIDEN_ABST

SPALTE132_TYP

SPALTE_KOPFZEILE

SPALTEN_ID

BEFEHLSZEICHENFOLGE

KOMMENTARFELD

KOMMENTAREINGABE

KOMMENTARTYP

VERBUND

KEGEL_KONVEX_TYP

KEGEL_LÄNGE_WINKEL_TYP

KOORD_TYP

PW_BOOLESCHE_TYP

PW_FARBENKARTE

PW_ELEMENT

PW_DATEITYP

PW_FILTER

PW_IMPORTDATEITYP

PW_AUSWAHLTYP

PW_GRÖSSE

PW_TYP

CPUNKT_DURCHM

CPUNKT_F_SCANGESCHW

CPUNKT_I

CPUNKT_J

CPUNKT_K

CPUNKT_SCAN_ÜBERKREUZUNGEN_INSGESAMT

CPUNKT_SCANDICHTE

CPUNKTTYP

CPUNKT_X

CPUNKT_X

CPUNKT_Z

GEWICHTE_ERSTELLEN

KURVENTYP

DATEN_SPEICHERSEITEN

DATEN_LESESPERRE

DATEN_SCHREIBSPERRE

BEZUG1_MODIFIKATOR

BEZUG1_MODIFIKATOR2

BEZUG2

BEZUG2_MODIFIKATOR

BEZUG2_MODIFIKATOR2

BEZUG3_MODIFIKATOR

BEZUG3_MODIFIKATOR2

DB_QUELLENTYP

LÖSCHTYP

BESCHREIBUNG

BESCHREIBUNG2

ZIELAUSDRUCK

ABW_DURCHM

ABW_RECHTW_ZUR_MITTELLINIE

ABW_X

ABW_Y

ABW_z

ABWEICHUNGSSYMBOLE

ABWPROZENT_NENN

ABWPROZENT2

ZIFFERNZÄHLUNG

MERKM_BONUS

MERKM_ABWEICHUNG

MERKM_ÜBERSCHRIFT

MERKM_ID

MERKM_INFO_LAGE

MERKM_INFO_REIHENFOLGE

MERKM_INFO_TP_LAGE

MERKM_LÄNGE

MERKM_LÄNGE2

MERKM_MAX

MERKM_MESSWERT

MERKM_MIN

MERKM_AUSTOL

MERKM_RPT_BEZUG

MERKM_RPT_ABWPROZENT

MERKM_RPT_GRAFIK

MERKM_RPT_ISTZWEISEITIG

MERKM_RPT_ISTBEZUG

MERKM_RPT_ANZZONEN

MERKM_TEXT

MERKM_TEXTOPTIONEN

MESSPUNKTE_ANZEIGEN

ANZEIGE_ID

TASTERPARAMETER_ANZEIGEN

ÜBERWACHUNG_ANZEIGEN

ANZEIGETYP

ABSTAND

BEZUGSSYSTEM_SPALTE_KOPFZEILE

BEZUGSSYSTEM_ROTATIONX

BEZUGSSYSTEM_ROTATIONY

BEZUGSSYSTEM_ROTATIONZ

BEZUGSSYSTEM_SEGNAME

BEZUGSSYSTEM_VERLAGERUNG_Y

BEZUGSSYSTEM_VERLAGERUNG_Z

BEZUGSSYSTEM_TBL_KOPFZEILE

DRG_VERLAGERUNG_X

DTYP_KMG_VERSCHIEBUNG_VOLLSTÄNDIG_PARTIELL

DTYP_KMG_VERSCHIEBUNG_ANZPKTE

DTYP_LEAPFROG_TYP

ENDWINKEL

ENDNUMMER

FEHLERSPRUNGMARKE

FEHLERMODUS

FEHLERTYP

EXCLUSIVE_ZONE

AUSFÜHREN

BELICHTUNG

F_AUTO_BEW

F_FELDLÄNGE

F_FELDBREITE

F_KREIS_RAD_INNEN

F_KREISRAD_AUSSEN

F_ECKRADIUS

F_TIEFE

F_INKREMENT

F_EINZUG

F_LAGE

F_MAX_BESCHLEUNIG_X

F_MAX_BESCHLEUNIG_Y

F_MAX_BESCHLEUNIG_Z

F_UNTERE_TOL

F_BEWEGUNGSGESCHWINDIGKEIT

F_VERSATZ

F_STEIGUNG

F_OBERE_TOL

F_SCANGESCHW

F_GRÖSSE

F_ABSTAND

F_STÄRKE

F_STÄRKE_KANTE

F_TOLERANZ

F_MESSGESCHWINDIGKEIT

BEI_EXISTIEREN_FEHLSCHLAGEN

TR_PROTOKOLL_LINIE1_SPALTE_KOPFZEILE

ELEM_TYP

FELD_BREITE

DATEI_BEFEHLSTYP

DATEINAME

DATEIZEIGER

FILTER_NACHBAR_NUM

FILTER_UMSCHALTER

FILTER_TOL_ÜBER

FILTER_TOL_UNTER

FILTER_TOL_RECHTS

FILTERTYP

FILTERTYP

LOCH_SUCHEN_PROZENT

TYP_NENNACHSE_SUCHEN

TYP_NW_SUCHEN

TYP_LOCH_SUCHEN

NW_SUCHEN_BESTEINPASSUNG

NW_SUCHEN_NURMARKIERTE

VORRICHTUNG_TOL

VORRICHTUNGSTYP

FLY_MODUS_TYP

FREQUENZ

TYP_SPALTMASS

GDT_SYMBOL

GDT_SYMBOL2

ALLGEMEINER_AUSRICHTUNGSTYP

ALLGEMEINER_ELEMENTTYP

GRAFIKANALYSE

GRAFIKOPTION

HOCHGENAU (FOKUS)

OBERER_SCHWELLENWERT

MESSPUNKTTYP

TYP_ANFANGSMESSPUNKTE

ID

INDEXENDE

INDEXANFANG

ANFANGSMESSPUNKTE

INNENAUSSEN_TYP

INTERN_EXTERN

IO_KANALNUMMER

IO_KANAL_IMPULS_DAUER

IO_KANAL_IMPULS_INTERVALL

IO_KANAL_IMPULS_BREITE

INSEL_AI

INSEL_AJ

INSEL_AK

INSEL_SICHERHEITSABST

INSEL_DURCHM

INSEL_I

INSEL_J

INSEL_K

INSEL_LÄNGE

INSEL_TYP

INSEL_BREITE

INSEL_X

INSEL_Y

INSEL_Z

VERWENDETES_ELEMENT

SPALTEN_WIEDERHOLEN

ETIKETT_ID

FÜHRUNGSLINIE_ID

LINKSH_RECHTSH_KONFIGURATION

RAUM_BEZUG_ID

LIN_POL_FILTERTYP

GERADE1_ABW

GERADE1_ABWPROZENT

GERADE1_ABWPROZENT_NENN

GERADE1_ABWPROZENT2

GERADE1_ELEMNAME

GERADE1_ISTZWEISEITIG

GERADE1_MESS

GERADE1_UNTERE_TOL

GERADE1_NENNWERT

GERADE1_ANZZONEN

GERADE1_OBERE_TOL

GERADE1_TBL_KOPFZEILE

GERADE1_2ABWEICHUNGEN_VERWENDEN

GERADE2_ACHSE

GERADE2_BONUS

GERADE2_CALLOUT

GERADE2_SPALTE_KOPFZEILE

GERADE2_BEZUGSVERLAGERUNG

GERADE2_ABW

GERADE2_ABWWINK

GERADE2_ABWPROZENT

GERADE2_ABWPROZENT_NENN

GERADE2_ABWPROZENT2

GERADE2_ELEMNAME

GERADE2_ISTZWEISEITIG

GERADE2_MAX

GERADE2_MESS

GERADE2_MIN

GERADE2_UNTERETOL

GERADE2_NENNWERT

GERADE2_ANZZONEN

GERADE2_OBERETOL

GERADE2_TBL_KOPFZEILE

GERADE2_TOL

GERADE2_UNBENUTZTEZONE

GERADE2_2ABWEICHUNGEN_VERWENDEN

GERADE3_BONUS

GERADE3_CALLOUT

GERADE3_SPALTE_KOPFZEILE

GERADE3_BEZUGSVERLAGERUNG

GERADE3_ABW

GERADE3_ABWWINK

GERADE3_ABWPROZENT

GERADE3_ABWPROZENT_NENN

GERADE3_ABWPROZENT2

GERADE3_ELEMNAME

GERADE3_ISTZWEISEITIG

GERADE3_ANZZONEN

GERADE3_TBL_KOPFZEILE

GERADE3_TOL

GERADE3_UNBENUTZTEZONE

GERADE3_2ABWEICHUNGEN_VERWENDEN

LADETYP

NIEDRIGE_KRAFT

UNTERER_SCHWELLENWERT

MASCHINENTYP

VERGRÖSSERUNG

TASTERRÜCKZUG

MAN_FEINEINSTELLUNG

MAN_BEREITSTELLEN

MATERIALKOEFFIZIENT

MAX_WINKEL

MAX_KRAFT

MAX_INKREMENT

MESS_A

MESS_A2

MESS_WINKEL

MESS_FLÄCHE

MESS_TIEFE

MESS_DURCHM

MESS_EA

MESS_EH

MESS_END_WINK

MESS_ER

MESS_EX

MESS_EY

MESS_EZ

MESS_BUND

MESS_SPALT

MESS_H

MESS_H2

MESS_HÖHE

MESS_I

MESS_J

MESS_K

MESS_LÄNGE

MESS_NEBENACHSE

MESS_UMFANG

MESS_R

MESS_R2

MESS_SA

MESS_SH

MESS_NUTVEK_I

MESS_NUTVEK_J

MESS_NUTVEK_K

MESS_SR

MESS_START_WINK

MESS_SX

MESS_SY

MESS_SZ

MESS_BREITE

MESS_X

MESS_Y

MESS_Z

ALLE_ELEMENTE_MESSEN

MESSFOLGETYP

MESSWERT_2D3D_TYP

MESSVEK_I

MESSVEK_J

MESSVEK_K

METHODENTYP

MITTELPUNKT_X

MITTELPUNKT_Y

MITTELPUNKT_Z

MIN_WINKEL

MIN_INKREMENT

NEBENWORTUMSCHALTER

MODUS_TYP

BEW_TYP

N_PASSPUNKTE

N_MESSPUNKTE

N_ANFANGSMESSPUNKTE_TYP

N_STÄNDIGE_MESSPUNKTE_TYP

N_REIHEN

NEUES_STAT_VERZEICHNIS

NEUE_TASTSPITZE

KEINE_UMK_UMK_KONFIGURATION

NENNWERT

FARBE_DES_NENNWERTS

NORMAL_LERNEN

ANZ_PASSPUNKTE

ANZ_EINPASSUNGSPUNKTE

ANZ_ITERATIONEN

ANZ_RÜCKMELDUNGEN

VERSATZLINIENMETHODE

VERSATZTOLERANZ

ALTE_TASTSPITZE

EINAUS_TYP

BEDIENER_TYP

NULLPUNKT

NULLPUNKT_BEZUG_ID

ELEMENTE_MIT_MERKMALEN_AUSGEBEN

AUSGABE_ELEMENT_NW

AUSGABETYP

ÜBERLAP

ÜBERSCAN

ÜBERSCHREIBEN

WERKSTÜCKNAME

MUSTERTYP

PROZENTUALER_ANTEIL

STÄNDIGE_MESSPUNKTE

RECHTW_PARAL_TYP

STIFTVEKTOR_I

STIFTVEKTOR_J

STIFTVEKTOR_K

PIXEL_UMSCHALTER

PUNKTANGABEN_ÜBERSCHRIFT

PUNKTANGABEN_ABWEICHUNGSFILTER

PUNKTINFO_ABWEICHUNGSFILTER_ANZAHL

PUNKTINFO_INTERVALLFILTER

PUNKTINFO_INTERVALLFILTER_ANZAHL

PUNKTINFO_FILTER_AUSTOL

PUNKTINFO_FILTER_SCHLECHTESTE

PUNKTINFO_FILTER_SCHLECHTESTE_ANZAHL

POLARVEKTORKOMPENSATION

POS_PROTOKOLL_X_ACHSE

POS_PROTOKOLL_Y_ACHSE

POS_PROTOKOLL_Z_ACHSE

POSITIONELLE_GENAUIGKEIT

GENAUIGKEIT

DRUCKEN_LÖSCHEN_AUSFÜHRUNGEN

DRUCKEN_KONZEPTMODUS

ZU_DATEI_DRUCKEN

ZU_DRUCKER_DRUCKEN

TASTERGNAUIGKEIT

TASTERKOMPENSATION

TASTMODUS

PROFILFORMTYP

PROFIL_TYP

PROGRAMM_MESSLEHRE_ELEMENTTYP

PROGRAMM_MESSLEHRE_TYP

STANZVEKTOR_I

STANZVEKTOR_J

STANZVEKTOR_K

ABFRAGE_GRAFIKEINSTELLUNGEN_EINBLENDEN

RADIUSTYP

LESEN_SCHREIBEN

TYP_POSITION_LESEN

BEZUGS_ID

BEZUGSTEMPERATUR

CAD_PUNKTE_NEU_BESTIMMEN

OBERFLÄCHENPROTOKOLLVEKTOR_I

OBERFLÄCHENPROTOKOLLVEKTOR_J

OBERFLÄCHENPROTOKOLLVEKTOR_K

PROTOKOLLVEKTOR_I

PROTOKOLLVEKTOR_J

PROTOKOLLVEKTOR_K

TYP_BUNDMASS

RÜCKFAHRGESCHWINDIGKEIT

VERSIONSNUMMER

RMESS_TYP

RMESS_ELEM_ID

RMESS_ELEM_ID_X

RMESS_ELEM_ID_Y

RMESS_ELEM_ID_Z

DREHEN_BEZUGS_ID

ROTATIONSTYP

MERKMAL_TABELLEN_PROTOK

AUSRICHTUNG_CAD_ZU_WERKSTÜCK_SPEICHERN

SCANBESCHLEUNIGUNG

SCAN_ACHSENVEKTOR_I

SCAN_ACHSENVEKTOR_J

SCAN_ACHSENVEKTOR_K

SCAN_RANDTYP

SCAN_ÜBERKREUZUNGEN_INSGESAMT

SCAN_SCHNITTEBENENVEKTOR_I

SCAN_SCHNITTEBENENVEKTOR_J

SCAN_SCHNITTEBENENVEKTOR_K

SCANDICHTE

SCAN_KANTENSTÄRKE

SCAN_ENDVEKTOR_I

SCAN_ENDVEKTOR_J

SCAN_ENDVEKTOR_K

SCAN_RICHTUNGSVEKTOR_I

SCAN_RICHTUNGSVEKTOR_J

SCAN_RICHTUNGSVEKTOR_K

SCAN_ANFANGSVEKTOR_I

SCAN_ANFANGSVEKTOR_J

SCAN_ANFANGSVEKTOR_K

SCANVERSATZKRAFT

SCANMETHODE

SCAN_ZEITINKREMENT

BILDSCHIRMKOPIE_AUTO_TYP

BILDSCHIRMKOPIE_AUTO_ZEIT

BILDSCHIRMKOPIE_TYP

SUCHMODUS_TYP

SENSORLISTE

SERIENNUMMER

DETAILS_EINBLENDEN_NEIN

ÜBERSCHRIFTEN_ANZEIGEN

IDS_EINBLENDEN_JA

NENNW_ANZEIGEN

OPTIONEN_ANZEIGEN

PUNKTANGABEN_EINBLENDEN

EINZELPUNKT

NUMMER_ÜBERSPRINGEN

NUT_MIN_MAX_TYP

GARAGENNUMMER

NUT_TYP

NUTVEKTOR_I

NUTVEKTOR_J

NUTVEKTOR_K

EINRASTTYP

QUELLAUSDRUCK

STANDARDABWEICHUNG

STARTWINKEL

STARTSPRUNGMARKE

ANFANGSNUMMER

STATISTIKBERECHNUNGSTYP

STATISTIKZÄHLUNG

STATISTIK_NAMEN_TYP

STATISTIKDATENBANK_TYP

STATISTIKVERZEICHNIS

STATISTIKTYP

UNTERPROGRAMMNAME

ERGEBNIS_ACHSE

ERGEBNIS_SPALTE_KOPFZEILE

ERGEBNIS_ABW

ÜBERSICHT_ELEM

ERGEBNIS_MESS

ERGEBNIS_NENNWERT

ERGEBNIS_TBL_KOPFZEILE

OBERFLÄCHE

OBERFLÄCHENVEKTOR_I

OBERFLÄCHENVEKTOR_J

OBERFLÄCHENVEKTOR_K

OBERFLÄCHENVEKTOR_MESS_I

OBERFLÄCHENVEKTOR_MESS_J

OBERFLÄCHENVEKTOR_K

T_WERT

ZIEL_A

ZIEL_EA

ZIEL_EH

ZIEL_ER

ZIEL_EX

ZIEL_EY

ZIEL_EZ

ZIEL_H

ZIEL_I

ZIEL_J

ZIEL_K

ZIEL_R

ZIEL_SA

ZIEL_SH

ZIEL_SR

ZIEL_SX

ZIEL_SY

ZIEL_SZ

ZIEL_X

ZIEL_Y

ZIEL_Z

ZIEL_OBERFLÄCHE_FADENKREUZ_HÖHE

ZIEL_KLUMPEN_IP_TYP

ZIELFARBE

ZIELRICHTUNG

ZIEL_KANTE_WINKEL

ZIEL_KANTE_DICHTE

ZIEL_KANTE_KANTENERKENNUNG

ZIEL_KANTE_KANTENNUMMER

ZIEL_KANTE_KANTENAUSWAHL

ZIEL_KANTE_FLÄCHENFILTER_GRÖSSE

ZIEL_KANTE_RAUSCHFILTER

ZIEL_KANTE_STÄRKE_RAUSCHFILTER

ZIEL_KANTE_FLÄCHENFILTER

ZIEL_KANTE_MESSLEHRE

ZIEL_KANTE_GRADIENT

ZIEL_KANTE_HÖHE

ZIEL_KANTE_BELEUCHTUNG

ZIEL_KANTE_RANDPOLARITÄT

ZIEL_KANTE_GRÖSSE

ZIEL_KANTE_STÄRKE

ZIEL_KANTE_TOL

ZIEL_KANTE_TYP

ZIEL_KANTE_UNTER_SCAN

ZIEL_KANTE_KANTENBREITE

ZIEL_AUSREISSER_FILTER

ZIEL_AUSREISSER_FILTER_DURCHGANG_1_ABWEICHUNG

ZIEL_FOKUS

ZIEL_OBERFLÄCHE_DAUER (FOKUS)

ZIEL_OBERFLÄCHE_HÖHE

ZIEL_OBERFLÄCHE_HOCHGENAU (FOKUS)

ZIEL_OBERFLÄCHENMODUS

ZIEL_OBERFLÄCHENBEREICH (FOKUS)

ZIEL_OBERFLÄCHENTYP

ZIEL_TYP

ZIELNUT_I

ZIELNUT_J

ZIELNUT_K

TEMPP

TEMPX

TEMPY

TEMPZ

TEXTANALYSE

TEXTANALYSE_ETIKETT_ABW

TEXTANALYSE_ETIKETT_MESS_X

TEXTANALYSE_ETIKETT_MESS_J

TEXTANALYSE_ETIKETT_MESS_K

TEXTANALYSE_ETIKETT_MESS_I

TEXTANALYSE_ETIKETT_MESS_Y

TEXTANALYSE_ETIKETT_MESS_Z

TEXTANALYSE_ETIKETT_MINMAX

THEO_A

THEO_A2

THEO_WINKEL

THEO_FLÄCHE

THEO_TIEFE

THEO_DURCHM

THEO_EA

THEO_EH

THEO_ENDWINKEL

THEO_ER

THEO_EX

THEO_EY

THEO_EZ

THEO_BUND

THEO_SPALTMASS

THEO_H

THEO_H2

THEO_HÖHE

THEO_I

THEO_J

THEO_K

THEO_LÄNGE

THEO_NEBENACHSE

THEO_UMFANG

THEO_R

THEO_R2

THEO_SA

THEO_SH

THEO_SR

THEO_STARTWINKEL

THEO_SX

THEO_SY

THEO_SZ

THEO_BREITE

THEO_X

THEO_Y

THEO_Z

THEO_BE_TYP

STÄRKETYP

KANTENSTÄRKENTYP

BERECHNUNGSTOL

SCHWELLENWERT

TASTSPITZE_I

TASTSPITZE_J

TASTSPITZE_K

KALIBRIERNORMALDURCHMESSER

KALIBRIERNORMAL_X

KALIBRIERNORMAL_Y

KALIBRIERNORMAL_Z

POSITIONSMODIFIKATOR

POSITIONSMODIFIKATOR2

ÜBERWACHUNGSFILTER_ARGUMENT

ÜBERWACHUNGSNAME

ÜBERWACHUNGSWERT

ÜBERWACHUNGSWERT_GRENZE

ÜBERTRAGUNGSVERZEICHNIS

AUSLÖSERKRAFT

AUSLÖSEREBENE

AUSLÖSERTOLERANZ

AUSLÖSERTOLERANZWERT

ZWEI_D_DREI_D_TYP

U_MESSPUNKTE

EINHEITENTYP

OBERE_KRAFT

AKTUALISIERUNGSVEKTOR_I

AKTUALISIERUNGSVEKTOR_J

AKTUALISIERUNGSVEKTOR_K

3DFILTER_VERWENDEN

ACHSE_VERWENDEN

ACHSE2_VERWENDEN

HSSDAT_VERWENDEN

START_ENDE_VERZÖGERUNG_VERWENDEN

THEO_VERWENDEN

STIFT_VERWENDEN_TYP

ZWEI_ABWEICHUNGEN_VERWENDEN

V_MESSPUNKTE

OPTIK_ZUNAHME

OPTIK_LASER_LICHT1

OPTIK_LASER_LICHT2

OPTIK_LEDANZEIGE

OPTIK_LSEG

OPTIK_VERSATZ

OPTIK_XSEG

OPTIK_Y_ENDPUNKT

OPTIK_Y_NULLPUNKT

OPTIK_YSEG

GEWICHTUNG

ARBEITSEBENE

X_VERSATZ

Y_VERSATZ

Z_VERSATZ


Vordefinierte Konstanten

Die Protokollausdruckssprache verwendet auch einige vordefinierte Konstanten für die Indizes, die mit dem Datentyp MERKMAL_TABELLEN verwendet werden.

ZEILE1_TABELLENGRÖSSE = 1

ZEILE2_POSITIONSTABELLE = 2

ZEILE3_POSITIONSTABELLE = 3

BEZUGSVERLAGERUNGSTABELLE = 4

ERGEBNISTABELLE = 5

ZEILE2_ORIENTIERUNGSTABELLE = 7

ZEILE3_ORIENTIERUNGSTABELLE = 8

ZEILE2_BASIS_MERKMAL_TABELLE = 9

ZEILE3_BASIS_MERKMAL_TABELLE = 10

POSITION_TABELLE = 11

MERKMAL_TABELLE = 12

MERKMAL_MIT_BONUS_TABELLE = 13

NEWLINE

NEWLINE wird dazu verwendet, dem Textausdruck einen Zeilenumbruch hinzuzufügen:

Dieser Ausdruck,

=”Diese ist Zeile 1” + “ und diese ist Zeile 2”

würde im Protokoll als

”Diese ist Zeile 1 und diese ist Zeile 2”

erscheinen.

Der Ausdruck

=”Diese ist Zeile 1” + NEWLINE + “ und diese ist Zeile 2”

würde im Protokoll als

Diese ist Zeile 1

und diese ist Zeile 2

erscheinen.

N:

Wenn Sie wiederholte Reihen in einem Raster verwenden, ist der Wert von N die aktuelle Reihenzahl der sich wiederholenden Reihen. Dieser Wert kann nützlich sein, wenn Sie Ausdrücke, die einen bestimmten Datentyp mehr als ein Mal verwenden, in eine sich wiederholenden Reihe setzen.

Das nachfolgende Beispiel ist ein Raster, das Messwerte in einer Tabelle zeigt. N wird in Ausdrücken für die sich wiederholende Reihe verwendet. Wenn die Ausdrücke im ersten Fall der sich wiederholenden Reihe ausgewertet sind, ist N gleich 1 und daher werden die X-, Y- und Z-Werte des ersten Messpunktes angezeigt. Wenn die zweite Reihe dazukommt, ist N gleich 2 und daher werden die X-, Y- und Z-Werte des zweiten Messpunktes angezeigt.


Hinweise zum Regelbaum-Editor

Über das Dialogfeld "Regelbaum-Editor" können Sie Regeln oder 'Bedingungen und Antworten', denen gewisse Objekte bei der Anzeige von Protokollangaben folgen, definieren. Dies ist nützlich, wenn Sie beispielsweise nur Angaben zu Rundheitsmerkmalen für Kreiselemente im Protokoll anzeigen möchten, obwohl das Werkstückprogramm viele andere Elemente enthält. Hierzu verwenden Sie diesen Editor. Angenommen, Sie möchten Ihrer Protokollvorlage ein CADProtokollobjekt hinzufügen und für dieses Objekt auaf den Regelbaum-Editor zugreifen. Dann können Sie innerhalb des Editors einen Kreiselementtyp angeben und eine Etikettvorlage auswählen, die darauf programmiert ist, Rundheitsdaten anzuzeigen.

Unterstützte Objekte:

Der Regelbaum-Editor arbeitet mit folgenden Objekten, die nur im Protokollvorlagen-Editor verfügbar sind:

  • TextProtokollObjekt

  • CADProtokollobjekt

  • Etikettobjekt

Nur diese Objekte können auf Daten aus einem Werkstückprogramm über den Regelbaum-Editor zugreifen.

Hinweise zum Regelbaum-Editor:

  1. Fügen Sie eine unterstütztes Objekt in Ihre Protokollvorlage ein.

  2. Klicken Sie mit der rechten Maustaste auf das Objekt.

  3. Klicken Sie auf die Eigenschaft Regelbaum-Editor. Es erscheint das Dialogfeld Regelbaum.

Siehe auch:

Definieren einer Regel

Importieren und Exportieren von Regeln

Verwenden des Dialogfelds "Eigenschaften Tabellenformat"


Definieren einer Regel

Dialogfeld "Regelbaum-Editor"

Regel bearbeiten (Dialogfeld)

Regel bearbeiten (Dialogfeld)

Über eine Symbolleiste am unteren Ende dieses Fensters können Sie die Demo steuern. Klicken Sie nach Beendigung der Demo nochmals auf das blaue Symbol, um das eingeblendete Fenster zu schließen.

Definieren einer Regel im Regelbaum-Editor

Um eine Regel im Dialogfeld Regelbaum-Editor zu definieren, gehen Sie folgendermaßen vor:

  1. Menü-Übersicht anzeigen Wählen Sie Datei | Protokollieren | Neu | Protokollvorlage, um den Protokollvorlagen-Editor zu öffnen.

  2. Fügen Sie ein TextProtokollObjekt, CADProtokollobjekt oder ein Etikettobjekt in die Vorlage ein.

  3. Klicken Sie mit der rechten Maustaste auf das Objekt. Das Dialogfeld Eigenschaften wird angezeigt.

  4. Wählen Sie im Dialogfeld Eigenschaften die Option Regelbaum aus. Das Dialogfeld "Regelbaum-Editor" erscheint. Sie sehen eine Liste mit mehreren Elementen, die zusammen ein Werkstückprogramm bilden. Viele dieser Elemente können durch Klicken auf ein Plussymbol (+) aufgefächert werden, um genauere Elemente oder Befehle anzuzeigen. Einige Elemente bestehen für sich allein und befinden sich nicht innerhalb einer erweiterbaren Liste. Dazu gehören:

    • Oben auf der ersten Seite im Abschnitt - Bei Auswahl dieses Elements können Sie einen Etikett- oder Textausdruck wählen, um dieses Element oben auf der ersten Seite im aktuellen Abschnitt des Protokollfensters anzuzeigen.

    • Unten auf der letzten Seite im Abschnitt - Bei Auswahl dieses Elements können Sie einen Etikett- oder Textausdruck wählen, um dieses Element unten auf der letzten Seite im aktuellen Abschnitt des Protokollfensters anzuzeigen.

    • Dateikopf - Bei Auswahl dieses Elements können Sie einen Etikett- oder Textausdruck wählen, um das Element im Dateikopf des normalen Protokolls mit WERKSTÜCKNAME, VERSIONSNR., SERIENNR. und STAT ZÄHLER anzuzeigen.

  5. Definieren Sie Bedingungen, die erfüllt werden müssen.

    • Suchen Sie in der Liste der Einträge einen Eintrag, den Sie als Bedingung definieren möchten.

    • Markieren Sie den Eintrag und klicken Sie auf Hinzufügen. Es erscheint das Dialogfeld Regel bearbeiten .

    • Wenn Sie eine andere Bedingung definieren möchten, markieren Sie das Kontrollkästchen Zusätzlichen Ausdruck verwenden und geben Sie dann den Ausdruck für die Bedingung in das Feld Bedingter Ausdruck ein. Wenn Sie beispielsweise eine Regel für einen gemessenen Kreis erstellen, können Sie jeden der Datentypfeldwerte testen, um zu prüfen, ob ein Etikett angezeigt werden soll oder nicht. Angenommen, Sie möchten nur ein Etikett anzeigen, wenn der gemessene Kreis weniger als vier Messpunkte aufweist. Im Feld Bedingter Ausdruck geben Sie folgendes ein:

      N_MESSPKTE < 4

      Sollte diese Bedingung TRUE ergeben, würde PC-DMIS das zugehörige Etikett verwenden. Beachten Sie, dass es nicht erforderlich ist, die gesamte IF-Ausdruck-Anweisung einzusetzen. Die IF-Anweisung ist bereits in diesem Feld verstanden und ausgewertet.

  6. Definieren Sie für diese Bedingung ein Etikett oder einen Ausdruck.

    • Wählen Sie bei geöffnetem Dialogfeld Regel bearbeiten entweder Text-Ausdruck für Protokoll verwenden oder Etikettvorlage für Protokoll verwenden aus.

      • Wenn Sie einen Text-Ausdruck verwenden möchten, geben Sie eine einfache Textmeldung ein oder definieren Sie einen Ausdruck im Feld Text-Ausdruck. So können Sie beispielsweise folgenden statischen Text für jede Kreismessung, die von PC-DMIS durchgeführt wird, eingeben:

        "Wir haben gerade einen Kreis gemessen!"

        Sie können Ausdrücke aber auch dazu verwenden, Angaben über den Kreis einzufügen, wie beispielsweise:

        "Wir haben gerade einen Kreis gemessen!" Er wies " + N_HITS + " Messpunkte auf!"

      • Wenn Sie eine Etikettvorlage verwenden möchten, wählen Sie eine Etikettvorlage aus. Klicken Sie, falls erwünscht, auf die Schaltfläche Gitterformat, um auf das Dialogfeld Eigenschaften Tabellenformat zuzugreifen. In diesem Dialogfeld können Sie ein Rasterformat für das Protokoll definieren. Im Rasterformat können Sie Spalten und reihen neu anordnen oder ausblenden, ohne eine völlig neue Etikettvorlage zu erstellen. Außerdem können Sie durch das Definieren eines Rasterformats den Befehl des Bearbeitungsfensters TABELLE/FORMAT verwenden, um die Reihenfolge der Spalten und Reihen vom Werkstückprogramm aus zu steuern. Siehe "Verwenden des Dialogfelds "Eigenschaften Tabellenformat"".

    • Klicken Sie, nachdem das Dialogfeld Regel bearbeiten ausgefüllt ist, auf OK. PC-DMIS platziert das Element aus der Liste in Fettdruck und fügt die Regel für dieses Element unten im Dialogfeld Regelbaum-Editor ein.

  7. Organisieren Sie die Regeln. Ein bestimmter Befehlstyp kann über eine unbegrenzte Anzahl von Regeln verfügen. Bei mehr als einer Regel gibt PC-DMIS die Regeln in der Reihenfolge, in der sie erscheinen, an. Sie können die Anordnung ändern, indem Sie eine Regel markieren und dann auf Nach oben bewegen bzw. Nach unten bewegen im Dialogfeld Regelbaum-Editor klicken.

  8. Klicken Sie auf OK, um die vorgenommenen Änderungen im Regelbaum-Editor zu speichern.

  9. Testen Sie die Regel.

    • Speichern Sie die Protokollvorlage.

    • Wenden Sie die Protokollvorlage auf die Protokolldaten an, indem Sie die Symbolleiste "Protokollieren" im Protokollfenster verwenden.

    • Führen Sie das Werkstückprogramm aus.

Sehen Sie sich eine kurze Demo darüber an, wie bestimmt wird, welche Angaben in einer Protokollvorlage angezeigt werden sollen.


Importieren und Exportieren von Regeln

Wenn Sie in einer kollaborativen Umgebung arbeiten, werden Sie wahrscheinlich gerne den Vorteil nutzen und Regeln untereinander austauschen, die von unterschiedlichen Protokollvorlagen erstellt worden sind. So können Sie unter Verwendung des Dialogfelds Regelbaum-Editor auf einfache Weise Regeln importieren, indem Sie die Schaltfläche Import verwenden. Ebenso können Sie Ihre eigenen Regeln mit jemandem austauschen, indem Sie die Schaltfläche Exportieren verwenden.

Eine Regeldatei hat die Dateinamenerweiterung ".rul".

Importieren einer Regel-Datei

  1. Öffnen Sie das Dialogfeld Regelbaum-Editor.

  2. Klicken Sie auf die Schaltfläche Import. Nun erscheint das Dialogfeld Öffnen.

  3. Navigieren Sie zu dem Verzeichnis, das die zu importierende Regel-Datei (.rul) enthält.

  4. Klicken Sie auf Öffnen. PC-DMIS importiert die Regel-Datei in den Regelbaum-Editor.

  5. Klicken Sie auf OK, um die importierte Regel zu speichern.

Export als eine Regel-Datei:

  1. Öffnen Sie das Dialogfeld Regelbaum-Editor.

  2. Klicken Sie auf die Schaltfläche Exportieren. Das Dialogfeld Speichern unter wird angezeigt.

  3. Navigieren Sie zu dem Verzeichnis, in das die Regel-Datei (.rul) gespeichert werden soll.

  4. Geben Sie einen Namen für die Datei in das Feld Dateiname ein.

  5. Klicken Sie auf Speichern. Alle Regeln, die mit diesem Objekt verbunden sind, werden exportiert. Diese exportierte Regel-Datei kann nun von einem anderen Benutzer importiert und verwendet werden.


Verwenden des Dialogfelds "Eigenschaften Tabellenformat"

Das Dialogfeld Tabellenformat arbeitet mit Spalten- und Reihennamen, die über das GitterSteuerObjekt definiert werden. Dadurch haben Sie die Möglichkeit, die Sichtbarkeit und die Reihenfolge der Spalten und Etiketten eines GitterSteuerObjekts in einer Etikettvorlage zu steuern.

Dialogfeld "Eigenschaften Tabellenformat"

Dialogfeld "Eigenschaften Tabellenformat"

Dieses Dialogfeld enthält unterschiedliche Tabellenformate. Ein Tabellenformat definiert lediglich, auf welche Weise die Reihen und Spalten im endgültigen Protokoll angezeigt werden sollen. In diesem Dialogfeld können Sie die Reihenfolge und den Sichtbarkeitszustand aller vorhandener Tabellenformate ändern. Sie können auch Ihre eigenen, benutzerdefinierten Tabellenformate über dieses Dialogfeld erstellen.

Bei den bereits vorhandenen Tabellenformaten können lediglich der Sichtbarkeitszustand und die Reihenfolge der Reihen oder Spalten bearbeitet werden. Diese Tabellenformate können nicht gelöscht und deren Anzahl der Reihen und Spalten kann nicht verändert werden.

Bevor Sie die Tabellenformate verwenden können, müssen Sie zunächst eine Etikettvorlage mit einem GitterSteuerObjekt verwenden, in dem die Spalten und Reihen bereits benannt wurden.

Dialogfeldeintrag

Beschreibung

Tabellen-ID

Listet alle verfügbaren Tabellenformate auf.

Name der neuen Tabelle

Definiert ein neues Tabellenformat.

Tabelle hinzufügen

Fügt das neue Tabellenformat hinzu. Diese Schaltfläche wird nur dann verfügbar, wenn Sie einen Namen in das Feld Name der neuen Tabelle eingeben.

Tabelle löschen

Löscht das ausgewählte, benutzerdefinierte Tabellenformat. Diese Schaltfläche wird nur dann verfügbar, wenn Sie eine benutzerdefinierte Tabelle aus der Tabellen-ID-Liste ausgewählt haben.

Reihen

Listet die Reihen und Spalten im Tabellenformat auf. Die Reihenfolge kann durch Klicken des 'Nach oben'- bzw. 'Nach unten'-Pfeils geändert werden.

Reihe/Spalte hinzufügen

Fügt einen Reihen- oder einen Spaltennamen zum Bereich Reihen bzw. Spalten hinzu. Es kann nur an benutzerdefinierte Tabellenformate hinzugefügt werden.

Reihe/Spalte löschen

Löscht eine Reihe oder Spalte aus dem Bereich Reihen bzw. Spalten. Es können nur Einträge der benutzerdefinierten Tabellenformate gelöscht werden.

Typ der Größenanpassung:

Bestimmt die Tabelle, nachdem die Spalten ein- bzw. ausgeblendet wurden. Die Liste enthält folgende drei Einträge:

Gittergröße anpassen - Über diese Option wird die vorhandene Spaltengröße beibehalten und die Gittergröße entsprechend der neuen Breite angepasst.

Spaltengröße anpassen - Über diese Option wird die vorhandene Breite des Gitters beibehalten und die Größe jeder Spalte entsprechend dieser Breite angepasst.

Nur Text ausblenden - Über diese Option wird keine Gitter- oder Spaltengröße angepasst. Es wird lediglich der Text ausgeblendet.

Abbrechen

Das Dialogfeld wird geschlossen, ohne dass Änderungen übernommen werden.

OK

Hiermit wird das ausgewählte Tabellenformat für die Regel im Regelbaum-Editor oder für den Befehl TABELLE/FORMAT im Bearbeitungsfenster verwendet.

So benennen Sie eine Spalte bzw. Reihe in einem GitterSteuerObjekt:

  1. Wählen Sie aus dem Etikettvorlagen-Editor die Option GitterSteuerObjekt.

  2. Doppelklicken Sie auf die erste Zelle in einer Spalte bzw. Reihe.

  3. Klicken Sie mit der rechten Maustaste, um auf den Eigenschaften-Editor zuzugreifen.

  4. Klicken Sie entweder auf die Registerkarte Zelle oder Spalte.

  5. Geben Sie im Feld Reihenbeschriftung oder Spaltenbeschriftung einen Wert ein. Sie können diesen Wert in der Liste auswählen oder einen benutzerdefinierten Wert eingeben. Benutzerdefinierte Etiketten können nur auf benutzerdefinierten Tabellenformaten angezeigt werden.

So ändern Sie die Reihenfolge der Spalten bzw. Reihen:

  1. Wählen Sie ein Tabellenformat in der Liste Tabellen-ID aus.

  2. Sofort erscheinen Reihen und Spalten des Tabellenformats.

  3. Markieren Sie im Bereich Reihen oder Spalten die Reihen oder Spalten, die anders angeordnet werden sollen und klicken Sie auf die 'Nach oben'- oder 'Nach unten' Pfeiltasten , um die Reihen und Spalten in die gewünschte Richtung zu verschieben. Die Reihen und Spalten, die in der Liste an oberster Stelle aufgeführt sind, werden zuerst angezeigt.

So blenden Sie Spalten und Reihen ein bzw. aus:

  1. Wählen Sie ein Tabellenformat in der Liste Tabellen-ID aus.

  2. Sofort erscheinen Reihen und Spalten des Tabellenformats.

  3. Heben Sie im Bereich Reihen oder Spalten das Kontrollkästchen links neben dem Reihen- oder Spaltennamen, um den jeweiligen Eintrag im Etikett auszublenden. Markieren Sie das Kontrollkästchen, um den Eintrag im Etikett wieder einzublenden.

So erstellen Sie ein benutzerdefiniertes Tabellenformat:

  1. Geben Sie im Feld Name der neuen Tabelle einen neuen Namen ein.

  2. Klicken Sie auf die Schaltfläche Tabelle hinzufügen. Die benutzerdefinierte Tabelle erscheint in der Liste Tabellen-ID und ist dort so lange vorhanden, bis sie gelöscht wird.

  3. Geben Sie im Feld Reihe hinzufügen oder Spalte hinzufügen einen Namen ein, der mit einem Reihen- oder einem Spaltenetikettnamen des von Ihnen benannten GitterSteuerObjekts übereinstimmt.

  4. Klicken Sie auf Reihe hinzufügen oder Spalte hinzufügen, um die Spalte oder Reihe der Tabelle hinzuzufügen.

  5. Fahren Sie fort, Reihen oder Spalten hinzuzufügen oder zu löschen oder die Reihenfolge der Spalten oder Reihen zu ändern, bis das Tabellenformat die gewünschten Informationen enthält.


Ändern eines Miniaturansichtssymbols zur Voransicht einer Vorlage

Jedes Mal, wenn Sie eine Protokoll- oder Etikettvorlage erstellen, erstellt PC-DMIS automatisch eine Miniaturansicht dieser Vorlage, die auf der Anfangsseite oder dem -abschnitt der Vorlage basiert.

Diese Miniaturansicht erscheint jedes Mal, wenn Sie eine Vorlage bearbeiten und auf das Dialogfeld Öffnen zugreifen ( Menü-Übersicht anzeigen Wählen Sie Datei | Protokollieren | Bearbeiten | Protokollvorlage oder Etikettvorlage).

Ein Beispiel-Dialogfeld "Öffnen", das mehrere Protokollvorlagen-Voransichtssymbole zeigt

Ein Beispiel-Dialogfeld "Öffnen", das mehrere Protokollvorlagen-Voransichtssymbole zeigt

Wenn Sie anstelle der standardmäßig erzeugten Voransicht für eine Vorlage eine benutzerdefinierte Bilddatei verwenden möchten, haben Sie die Möglichkeit dazu im Dialogfeld Öffnen.

Ändern eines Miniaturansichtssymbols zur Voransicht einer Vorlage:

  1. Wählen Sie die Vorlagendatei im Dialogfeld Öffnen.

  2. Klicken Sie auf die Schaltfläche Voransicht ändern. Das Dialogfeld "Auswahl Vorlagenbild" erscheint.

  3. Klicken Sie auf die Schaltfläche Bild aus der Datei wählen.

  4. Klicken Sie auf OK. Es erscheint ein weiteres Dialogfeld Öffnen, in dem Sie eine bereits vorhandene Bilddatei auswählen können.

  5. Navigieren Sie zum Verzeichnis, dass entweder eine -bmp- oder .jpeg-Datei enthält und wählen Sie die Bilddatei aus. Klicken Sie dann auf Öffnen. PC-DMIS verwendet das ausgewählte Bild für die Voransicht.

Ein Beispiel, das die Test1.rtp-Datei mit einem Bitmap-Bild zeigt

Ein Beispiel, das die Test1.rtp-Datei mit einem Bitmap-Bild zeigt


Arbeiten mit vorhandenen HyperView-Protokollen

In PC-DMIS können Sie vorhandene HyperView-Protokolle innerhalb der Werkstückprogramme ausführen. Dabei haben Sie die Möglichkeit, am Ende jedes Werkstückprogramms ein Standardprotokoll auszuführen oder in das Werkstückprogramm selbst ein individuell gestaltetes HyperView-Protokoll einzufügen.

Darüber hinaus kann das HyperView-Protokoll mit einem Werkstückprogramm kommunizieren, indem PC-DMIS-Variablen globale Variablen und Eigenschafts-Elemente zugewiesen werden.

Hinweis: HyperView-Protokolle sind Protokolle, die mit Hilfe des HyperView-Protokolleditors in PC-DMIS-Versionen 3.0, 3.2, 3.25, 3.5 und 3.7 erstellt wurden. Aufgrund der neuen Vorlagenmethode beim Protokollieren seit Version 4.0 können HyperView-Protokolle nur noch ausgeführt werden. Sie können nicht mehr erstellt oder bearbeitet werden. Um ein HyperView-Protokoll zu erstellen oder zu bearbeiten, benötigen Sie eine ältere Version von PC-DMIS, die die Erstellung des HyperView-Protokolls unterstützt.

Siehe auch:

Einbinden von HyperView-Protokollen in Werkstückprogrammen


Einbinden von HyperView-Protokollen oder Protokollvorlagen in Werkstückprogramme

Sie können eine HyperView-Protokoll oder eine Protokollvorlage in ein Werkstückprogramm einbinden. Wenn PC-DMIS den eingebundenen Code ausführt, wird das Protokoll oder die Vorlage gestartet und Sie haben dann die Möglichkeit, das Protokoll oder die Vorlage auszudrucken, zu prüfen und Werte zum oder vom eingebundenen Objekt zu weiterzuleiten.

So wird ein Protokoll oder eine Vorlage eingebunden:

  1. Stellen Sie sicher, dass sich das Bearbeitungsfenster im Befehlsmodus befindet.

  2. Wählen Sie die Menüoption Einfügen | Protokollbefehl | Hyperreport-Protokoll aus. Es erscheint das Dialogfeld Hyper-Protokoll einfügen. Menü-Übersicht anzeigen

  3. Wählen Sie aus der Liste der Dateitypen, ob Sie ein Protokoll (.rpt) oder eine Protokollvorlage (.rtp). einfügen möchten.

  4. Wählen Sie das Protokoll oder die Vorlage aus, das in das Werkstückprogramm eingebunden werden soll.

  5. Klicken Sie auf die Schaltfläche Öffnen, um den Befehl einzufügen.

PC-DMIS fügt den Befehl PROTOKOLL/DATEINAME an der Cursorposition im Bearbeitungsfenster ein.

Siehe auch:

Der Befehl PROTOKOLL/DATEINAME

Zuordnen von PC-DMIS-Ausdrücken zu Eigenschaften von HyperView-Objekten

Bi-direktionale Natur von Ausdruckszuordnungen, wenn der Ausdruck ein L-Wert ist.


Der Befehl PROTOKOLL/DATEINAME

Das Protokoll-Befehlsobjekt wird im Bearbeitungsfenster mit dem Befehl PROTOKOLL/DATEINAME identifiziert. Diesem Befehl folgen der Dateiname der Protokollvorlage für das HyperView-Protokoll, die Option AUTODRUCKEN und danach PARAM/-Optionen.

AUTODRUCKEN

Wenn Sie die Option AUTODRUCKEN auf DRUCKEN umschalten, wird das HyperView-Protokoll oder die Protokollvorlage auf dem Standarddrucker gedruckt, nachdem es geladen und ausgeführt wurde. Das Protokoll wird unmittelbar nach Absetzen des Druckauftrags geschlossen, und die Ausführung des Werkstückprogramms wird fortgesetzt.

Wird die Option AUTODRUCKEN auf PDF umgeschaltet, wird das HyperView-Protokoll in einer PDF- (Portable Document Format) Datei gespeichert.

Hinweise zum erstellten PDF-Dateinamen

  • Der Name der erstellten .pdf-Datei setzt sich aus dem gleichen Grundnamen wie der Dateiname des HyperView-Protokolls und aus einem angehängten numerischen Index und einer Erweiterung zusammen.

  • Die erstellte Datei befindet sich zudem in demselben Verzeichnis wie die Protokolldatei.

  • Sollte bereits eine Datei mit dem erstellten Dateinamen vorhanden sein, wird der Index automatisch um Eins erhöht, bis ein eindeutiger Dateiname gefunden wird.

Hinweis: Das Kontrollkästchen HyperProtokolle Inline im Dialogfeld Druckoptionen des Bearbeitungsfensters hat, sofern markiert, Vorrang vor der Option AUTODRUCKEN. Siehe auch "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen", um Informationen zu diesem Kontrollkästchen zu erhalten.

PARAM

Mit der Option PARAM/ können Sie Protokollvorlagen- (oder HyperViewProtokoll-) Variablen und Eigenschaften PC-DMIS-Ausdrücke zuordnen. Die Syntax lautet:

PARAM/{HyperView-Variablenname}={PC-DMIS-Ausdruck}

Beispiel: Angenommen, in einerm HyperView-Protokoll befindet sich eine globale Variable mit dem Namen "NumBoltHoles”. Die folgende PARAM/-Option würde der Variablen "AnzBolzLo" den PC-DMIS-Ausdruck zuweisen:
PARAM/AnzBolzLo=360.0/Winkel

Wenn der PC-DMIS-Ausdruck, der einer globalen HyperView-Variablen zugeordnet wird, ein L-Wert ist, übertragen sich Änderungen an der HyperView-Variablen automatisch auf die PC-DMIS-Variable.

Beispiel: Mit der folgenden PARAM/-Option wird "AnzBolzLo" der Variablen "AnzBolz" gleichgesetzt. Wenn sich die HyperView-Variable "AnzBolzLo" innerhalb des HyperView-Protokolls ändert, schlagen sich diese Änderungen automatisch in der PC-DMIS-Variablen "AnzBolz" nieder:
PARAM/AnzBolzLo=AnzBolz

Achtung: Nach der Ausführung werden alle durch Übergeben von Parametern in eine Protokollvorlage oder ein HyperView-Protokoll geänderten Objekte automatisch in ihren ursprünglichen Zustand zurückversetzt. Dies bedeutet, dass Sie den AUTODRUCKEN-Parameter zum Ausdrucken einer Kopie verwenden müssen, bevor die Ausführung beendet ist, falls Sie die Ergebnisse der Übergabe eines Parameters an die Vorlage oder ans Protokoll speichern möchten.


Zuordnen von PC-DMIS-Ausdrücken zu Eigenschaften von HyperView-Objekten

Zuordnen von PC-DMIS-Ausdrücken zu Eigenschaften von Objekten

PC-DMIS-Ausdrücke können im Bearbeitungsfenster mit dem Befehl PARAM/ Objekteigenschaften zugeordnet werden. Die Syntax zur Zuordnung eines PC-DMIS-Ausdrucks zu einer Objekteigenschaft lautet:

PARAM/{Objektcode}.{Eigenschaftsname}={PC-DMIS-Ausdruck}

Beispiel: Die folgende PARAM/-Option ändert die BorderStyle-Eigenschaft des Objekts "Text1":
PARAM/Text1.BorderStyle=1


Bi-direktionale Natur von Ausdruckszuordnungen, wenn der Ausdruck ein L-Wert ist.

Wenn der PC-DMIS-Ausdruck ein L-Wert ist, werden Änderungen der Eigenschaft Element in der PC-DMIS-Variablen wiedergegeben, wobei Werte von PC-DMIS zur Vorlage oder zum Protokoll und dann wieder zurück (usw.) geleitet werden können.

Beispiel: Die folgende PARAM/-Option ordnet den PC-DMIS-L-Wert "myTitle" der Eigenschaft "Title" des Formblatt-Rahmenobjekts zu. Alle Änderungen der Eigenschaft "Title" innerhalb des Formblatt werden in der PC-DMIS-Variablen "myTitle" wiedergegeben.
PARAM/TheFrame.Title=myTitle


Einfügen von Protokollbefehlen

Einfügen von Protokollbefehlen: Einführung

Einfügen von Befehlen für das Analysefenster

Analyse

Grafisch

Als Text

Multiplikator

Alle Pfeile einblenden

Fenster anzeigen

Menü "Datei"

Menü "Ansicht"

Ändern

Größe anpassen

Drehen

Menü "Einblenden"

Statistik einblenden

Histogramm einblenden

Min./Max. Abweichungen einblenden

Menü "Optionen"

Grafiken in Protokoll speichern

Befehl für Analyseansicht erstellen

Merkmalsfarben bearbeiten

Merkmalsoptionen

Größe einrichten

Einfügen von Merkmal-Infofeldern

Regeln zur Erstellung der Merkmal-Info

Anzeigeoptionen

Anzeige im Grafikfenster

Keine (Grafik)

Schlechteste Achse (Grafik)

Jede Achse (Grafik)

Darstellung

Merkmallayout

Schaltfläche "Rücksetzen"

Auswertung Lage

Auswertung Position

Angaben löschen

MERKMALINFO-Befehl

Einfügen von Punkt-Infofeldern

Punktangaben-Format

Auto

Punkt-Nr.

Punkt

Vektor

Abweich.

Symbol einblenden

ID einblenden

Typ einblenden

Überschriften (einblenden)

Grafik (einblenden)

Vertikale Linien (einblenden)

Horizontale Linien (einblenden)

Messpunktliste

Listenfeld

Elementliste (Bereich)

Listenfeld

Merkmale (Bereich)

Listenfeld

Angaben löschen

PUNKTINFO (Befehl)

Darstellung

Filter

Filter: Ohne

Filter: Messpunkt-Intervall

Filter: Schlechteste

Filter: Abweichung über

Filter: Außer Toleranz

Einbetten von HyperView-Protokollen

Einfügen von Programmiererkommentaren

Bediener

Protokoll

Eingabe

Dokumentation

Ja/Nein

Ergebnisanzeige

Kommentartext

Einfügen externer Objekte

Einfügen eines Druckbefehls

Syntax für den DRUCKEN/PROTOKOLL-Befehl

Bearbeiten des DRUCKEN/PROTOKOLL-Befehls

Einfügen eines Seitenvorschubbefehls

Definieren und Speichern einer Ansicht

Aufrufen einer gespeicherten Ansicht


Einfügen von Protokollbefehlen: Einführung

In PC-DMIS können Sie in das Bearbeitungsfenster eine Reihe von Befehlen einfügen, die bestimmen, welche Informationen im Protokollmodus des Bearbeitungsfensters auf welche Weise angezeigt werden. Mit Hilfe dieser Befehle, die durch Auswahl von Menüoptionen aus dem Untermenü Einfügen | Protokollbefehl eingefügt werden, können Programmierer das Bearbeitungsfenster konfigurieren, anzeigen und drucken sowie dessen Aufbau anpassen.

In diesem Abschnitt werden folgende Themen behandelt:

  • Einfügen von Befehlen für das Analysefenster

  • Einfügen von Merkmal-Infofeldern

  • Einfügen von Punkt-Infofeldern

  • Einbetten von HyperView-Protokollen

  • Einfügen von Programmiererkommentaren

  • Einfügen externer Objekte

  • Einfügen eines Druckbefehls

  • Einfügen eines Seitenvorschubbefehls

  • Definieren und Speichern einer Ansicht

  • Aufrufen einer gespeicherten Ansicht


Einfügen von Befehlen für das Analysefenster

Analyse (Dialogfeld)

Über den Menübefehl Einfügen | Protokollbefehl | Analysefenster wird das Dialogfeld Analyse aufgerufen, in dem Sie die Ausgabe des Merkmalprotokoll-Ausdrucks in einem für eine nähere Untersuchung geeigneten Format gestalten können.

Ist das Dialogfeld Analyse geöffnet, können Sie die Strg-Taste drücken und mit der linken Maustaste auf ein Element im Grafikfenster klicken. Dadurch werden alle Merkmale, die das ausgewählte Element verwenden, im Feld Merkmale markiert.

Mehr dazu:

Analyse

Alle Pfeile einblenden

Fenster anzeigen

Menü "Datei"

Menü "Ansicht"

Menü "Einblenden"

Menü "Optionen"


Analyse

Im Bereich Analyse dieses Dialogfelds können Sie das/die ausgewählte/n Merkmal/e entweder als Grafik- oder als Textausgabe im Feld Merkmale auswählen.

Standardmäßig sind die Kontrollkästchen im Bereich Analyse nicht markiert. Bei Auswahl der Kontrollkästchen Als Text oder Grafisch und anschließendem Klicken auf Übernehmen zeigt PC-DMIS die ausgewählte Merkmale in einer grafischen oder textlichen Darstellung an. CAD-Daten werden jedoch nicht angezeigt.

Wenn Sie bei einem Element auf Schwierigkeiten stoßen und diesen auf den Grund gehen wollen, ist es nützlich, eine der beiden Analyse-Optionen, entweder die grafische oder die Textanalyse, einzuschalten.

Beispiel: Gesetzt den Fall, Sie prüfen eine Ebene auf Planheit und stellen Fest, dass sie außerhalb der Toleranzwerte liegt. Mit der Grafikanalyse-Option können Sie die Ebene prüfen und feststellen, ob nur ein bestimmter Bereich den Toleranzwerten nicht entspricht, oder ob die gesamte Fläche betroffen ist.

So wählen Sie die grafische Analyse oder Textanalyse im Dialogfeld Merkmal aus:

  1. Wählen Sie in der Menüleiste Merkmal.

  2. Wählen Sie die Merkmalsoption, die Sie verwenden wollen, aus dem Menü aus. Damit wird das Dialogfeld "Merkmal" aufgerufen.

  3. Wählen Sie entweder die Option Grafisch oder Als Text.

  4. Beenden Sie das Merkmalsverfahren.

Mehr dazu:

Grafisch

Als Tex t

Multiplikator


Grafisch

Wenn das Kontrollkästchen Grafisch markiert ist, speichert PC-DMIS die Merkmalinformationen in einem für die grafische Anzeige geeigneten Format.


Als Text

Wenn das Kontrollkästchen Als Text markiert ist, speichert PC-DMIS die Merkmalinformationen in einem für die Anzeige in Textform geeigneten Format.


Multiplikator

Bei dem für Multiplikator angegebenen Wert handelt es sich um einen Skalierungsfaktor, um den der Abweichungspfeil und Toleranzbereich im Grafikanalysemodus vergrößert werden. Wird hier beispielsweise ein Wert von 2,0 eingegeben, vergrößert PC-DMIS den Pfeil auf das Doppelte des Grafikbildes.

Diese Option ist nur zu Anzeigezwecken verfügbar und erscheint nicht im Textausdruck.


Alle Pfeile einblenden

Über die Schaltfläche Alle Pfeile einblenden werden die Pfeile angezeigt, mit denen Abweichungen in der Grafikanalyse gekennzeichnet werden. Diese Grafikanalysepfeile können einzeln ausgeblendet werden. Drücken Sie hierzu STRG+UMSCHALT, und klicken Sie auf die auszublendenden Pfeile. Durch Klicken auf die Schaltfläche Alle Pfeile einblenden lassen sich alle Pfeile wieder einblenden. Die Grafikanalysepfeile werden dann wieder für Anzeigezwecke zurückgesetzt.


Fenster anzeigen

Über die Schaltfläche Fenster anzeigen wird das Analysefenster aufgerufen. In diesem Fenster können die Merkmale in der am besten geeigneten Ansicht angezeigt werden.

So arbeiten Sie effektiv mit dem Analysefenster:

  1. Wählen Sie im Analysefenster das zu prüfende Merkmal.

  2. Geben Sie einen Wert für den Multiplikator ein (siehe hierzu "Multiplikator").

  3. Klicken Sie auf die Schaltfläche Fenster anzeigen. PC-DMIS zeigt das Analysefenster an.

Mit den Optionen in der Menüleiste des Analysefensters können Sie die grafische Darstellung ändern, die aktuelle Grafikanzeige erfassen oder die ausgewählten Merkmalfarben bearbeiten.

Analysefenster

Über die Menüleiste im Analysefenster können Sie folgende Menüoptionen aufrufen:

  • Datei

  • Ansicht

  • Einblenden

  • Optionen

Um die Erstansicht der Grafikanalyse im Analysefenster zu bestimmen, verwendet PC-DMIS für gescannte Profilmerkmale den Scan-Schnittvektor oder für andere Merkmale die aktuelle Arbeitsebene. Diese Ansicht kann später geändert werden.


Menü "Datei"

Mit der Menüoption Datei im Analysefenster können Sie den Inhalt des Grafikanalysefensters direkt an einen Drucker übertragen und ausdrucken.


Menü "Ansicht"

Mit den Befehlen des Menüs Ansicht im Analysefenster können Sie die für das ausgewählte Merkmal angezeigte Grafik vorübergehend ändern. Durch Drehen, Anpassen der Größe oder Ändern der Ansicht können Sie leicht auf die erforderlichen Merkmale zugreifen.

Hinweis: Diese Option ist besonders nützlich bei Prüfung des Profilfehlers eines Punktsatzes.

Mehr dazu:

Ändern

Größe anpassen

Drehen


Ändern

Mit dem Menübefehl Ansicht | Ändern können Sie neue Ansichten aus einer CAD-Datei erstellen. Diese Funktion ist besonders nützlich, wenn Sie mit einer 2D IGES-Datei arbeiten, die mehrere Ansichten eines Werkstücks in einer Ebene enthält, und wenn die Ansichten im Grafikfenster mit der korrekten Ausrichtung verknüpft werden müssen. Weitere Informationen zum Bearbeiten der Ansichten finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".


Größe anpassen

Mit dem Menübefehl Ansicht | Größe anpassen wird die Darstellung des Werkstücks neu gezeichnet, so dass sie ganz in das Grafikfenster hineinpasst. Diese Funktion ist immer dann nützlich, wenn ein Bild zu groß oder zu klein wird.


Drehen

Die Menüoption Ansicht | Drehen zeigt das Dialogfeld Drehen an, durch das Sie das Werkstückbild in drei Dimensionen drehen können.

Weitere Informationen hierzu finden Sie unter "Drehung der Zeichnung" im Abschnitt "Bearbeiten der CAD-Anzeige".


Menü "Einblenden"

Anzeigeoptionen (Dialogfeld)

Die Befehle Einblenden | Anzeigeoptionen des Analysefensters rufen das Dialogfeld Anzeigeoptionen auf. In diesem Dialogfeld können Sie bestimmen, was im Analysefenster angezeigt werden soll.

Die Befehle Einblenden | Merkmalsanzeige des Analysefensters rufen das Dialogfeld Merkmal-Info bearbeiten auf. In diesem Dialogfeld können Sie die hervorgehobenen Merkmale eingehend bearbeiten. Weitere Informationen hierzu finden Sie unter "Gemeinsame Optionen in den Merkmalsdialogfeldern" im Abschnitt "Merkmale für Elemente erstellen" und unter "Einfügen von Merkmal-Infofeldern" in diesem Abschnitt.

Mehr dazu:

Statistik einblenden

Histogramm einblenden

Min./Max. Abweichungen einblenden


Statistik einblenden

Über das Kontrollkästchen Statistik einblenden im Dialogfeld Anzeigeoptionen können Sie die Anzeige verschiedener Statistiken im Analysefenster veranlassen. Wenn Statistik einblenden nicht aktiviert ist, wird kein Merkmal-Informationstext angezeigt (für keines der Merkmale). Unter der Menüoption Merkmal-Info bearbeiten finden Sie Näheres darüber, wie das Format der im Analysefenster angezeigten Statistiken geändert wird.


Histogramm einblenden

Wenn das Kontrollkästchen Histogramm einblenden im Dialogfeld Anzeigeoptionen aktiviert ist, wird für jeden Punkt ein Histogramm der Abweichungen angezeigt. Histogramme können innerhalb des Analysefensters an eine andere Stelle verschoben werden.

Vorgehensweise:

  1. Klicken Sie auf das gewünschte Histogramm.

  2. Ziehen Sie den Cursor an die gewünschte Stelle.

  3. Lassen Sie die Maustaste wieder los.


Min./Max. Abweichungen einblenden

Wenn das Kontrollkästchen Min./Max. Abweichungen einblenden im Dialogfeld Anzeigeoptionen aktiviert ist, werden die Maximal- und Mindestabweichungen durch die Symbole "*+" bzw. "*-" gekennzeichnet.


Menü "Optionen"

Mit den Befehlen im Menü Optionen im Analysefenster können Sie einen Kopie des aktuellen Grafikbildschirms für spätere Zwecke speichern. Weiterhin können Sie über diese Menüoptionen das Dialogfeld Farbe bearbeiten aufrufen und die Größe des Analysefensters anpassen.

Mehr dazu:

Grafiken in Protokoll speichern

Befehl für Analyseansicht erstellen

Merkmalfarben bearbeiten

Merkmalsoptionen

Größe einrichten


Grafiken in Protokoll speichern

Das Bild bleibt bis zur Erfassung eines anderen Bildschirms oder bis zum Schließen des Werkstückprogramms in der Zwischenablage.

Die Menüoption Optionen | Grafiken in Protokoll speichern im Analysefenster erfasst das aktive Grafikfenster und kopiert es in einen ANZEIGE/METADATEI-Befehl, der dann im Prüfprotokoll des Bearbeitungsfensters angezeigt werden kann.

PC-DMIS bietet jedoch nicht die Möglichkeit, den kopierten Bildschirminhalt zu bearbeiten oder zu formatieren. Die Grafik wird an der Cursorposition angezeigt. Dieser ANZEIGE/METADATEI-Befehl unterscheidet sich von dem über das Hauptmenü aufgerufenen ANZEIGE/METADATEI-Befehl insofern, als er den Bildschirminhalt nur bei Erstellung des Befehls und nicht bei dessen Ausführung erfasst. (Hinweise zum Erstellen einer Routine zur Erfassung des Bildschirminhalts, die sich bei der Ausführung automatisch aktualisiert, finden Sie unter "Befehl für Analyseansicht erstellen".


Befehl für Analyseansicht erstellen

Über den Menüeintrag Optionen | Befehl für Analyseansicht erstellen im Analysefenster wird der Befehl ANALYSEANSICHT im Bearbeitungsfenster angezeigt. Wenn dieser Befehl markiert und ausgeführt wird, zeigt PC-DMIS die Liste der Merkmale unter Angabe der Anzahl der zuvor gewählten Ansichten und Drehungen in einem separaten Fenster "Analyseebene" an. Es kopiert automatisch den Bildschirminhalt des Analyseebenenfensters mit den aufgeführten Merkmalen. Diese kopierten Bildschirminhalte stehen dann für die Anzeige und den Ausdruck im Prüfprotokoll zur Verfügung.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ANALYSEANSICHT/D1,D2,D3,,

D1,D2,D3 = Liste der anzuzeigenden Merkmale

Sie können beliebig viele Merkmalparameter einsetzen.

Durch Eingabe von "ANALYSEANSICHT" im Bearbeitungsfenster wird auch ein ANALYSEANSICHT-Befehl erstellt. Alle für die Analyse ausgewählten Merkmale werden zu Parametern für diesen Befehl.


Merkmalsfarben bearbeiten

Über den Menübefehl Optionen | Merkmalsfarben bearbeiten im Analysefenster können Sie die Farben für einen bestimmten Toleranzbereich festlegen. Bei Wahl dieser Option wird das Dialogfeld Merkmalsfarbe bearbeiten eingeblendet.

Merkmalsfarbe bearbeiten (Dialogfeld)

Anleitungen zum Ändern der Merkmalsfarben für eine Toleranz in diesem Dialogfeld finden Sie unter dem Thema "Merkmalsfarben bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".


Merkmalsoptionen

Im Dialogfeld Optionen für Merkmalsanalyse können Sie angeben, welche Informationen im Analysefenster angezeigt werden sollen.

Optionen für Merkmalsanalyse

So rufen Sie diese Option auf:

  1. Klicken Sie im Menü auf Analyse. Es erscheint das Dialogfeld Analyse. Menü-Übersicht anzeigen

  2. Wählen Sie das Merkmal im Listenfeld aus.

  3. Klicken Sie auf die Schaltfläche Fenster anzeigen. Das Analysefenster wird eingeblendet.

  4. Wählen Sie Optionen | Merkmalsoptionen im Analysefenster. Es erscheint das Dialogfeld Optionen für Merkmalsanalyse. Die meisten Optionen werden erst dann verfügbar, wenn ein Merkmal im Dialogfeld Analyse ausgewählt wird. Die entsprechenden Optionen stehen dann zur Auswahl.

In diesem Dialogfeld sind folgende Optionen verfügbar:

Pfeilspitzen einblenden

Mit dem Kontrollkästchen Pfeilspitzen einblenden können Sie die Pfeilspitzen der Abweichungslinien ein- bzw. ausblenden.

Linien zw. Messpunkten einblenden Messpunkte

Mit dem Kontrollkästchen Linien zw. Messpunkten einblenden können Sie die Linien zwischen gemessenen Punkten ein- bzw. ausblenden.

Linien zwischen Nennwerten einblenden

Mit dem Kontrollkästchen Linien zwischen Nennwerten einblenden können Sie die Linien zwischen Nennwerten ein- bzw. ausblenden.

Toleranzlinien einblenden

Über das Kontrollkästchen Toleranzlinien einblenden wird die Anzeige der akzeptablen Toleranzen für das Merkmal ein- bzw. ausgeschaltet.

Durchmesser einblenden

Mit dem Kontrollkästchen Durchmesser einblenden können Sie die Durchmesser von verfügbaren Positionsmerkmalen ein- bzw. ausblenden.

Besteinpassung, max. Inkreis- und min. Umkreis-Durchmesser einblenden

Mit diesem Kontrollkästchen können Sie die verschiedenen Durchmesser aktivieren bzw. deaktivieren, die u.U. mit dem Rundheitsmerkmal gezeichnet wurden. Diese Durchmesser stellen durchschnittliche, maximale und minimale Abweichungen für ein rundes Element dar.

Konturzeichnung einblenden

Die Option Konturzeichnung einblenden funktioniert nur bei Flächenscans und ist für Profilmerkmale verfügbar. Die Konturzeichnung verwendet die Scanpunkte des Flächen-Scans zur Erstellung eines Maschengitters, wobei die Farben mit den Profilabweichungen jedes Messpunkts verknüpft sind.

In PC-DMIS können Sie die Konturzeichnung am CAD-Modell auch im Grafikfenster anzeigen. Siehe auch "Anzeigen von Profilkonturzeichnungen" im Abschnitt "Merkmal für Element erstellen".

Farbinterpolation zwischen Messpunkten einblenden

Die Option Farbinterpolation zw. Messpunkten einblenden ermöglicht das Einfügen von Farben zwischen Messpunkten. Diese Option ist für Profilmerkmale verfügbar.

Pfeile einblenden

Mit der Option Pfeile einblenden können Sie die Pfeile der Abweichungslinien ein- bzw. ausblenden. Diese Option ist für Profilmerkmale verfügbar.


Größe einrichten

Anzeigeformat für die Analyse (Dialogfeld)

Mit Hilfe des Dialogfelds Anzeigeformat für die Analyse können Sie bestimmen, wie das Analysefenster angezeigt werden soll. Mit diesen Optionen können Sie auch den Befehl ANALYSEANSICHT einstellen, so dass PC-DMIS den Bildschirminhalt während der Ausführung in einem der ausgewählten Modi kopiert (siehe "Befehl für Analyseansicht erstellen").

Folgende Optionen stehen zur Auswahl:

Hochformat | Über diese Option wird die Größe des Analysefensters so eingestellt, dass es dem Standard-Seitenformat "Hochformat" entspricht.
Querformat | Über diese Option wird die Größe des Analysefensters so eingestellt, dass es dem Standard-Seitenformat "Querformat" entspricht.
Größe an ganze Seite anpassen | Über diese Option wird das Fenster so angepasst, dass es auf eine ganze gedruckte Seite passt.


 Search ID Dimension List box Select All button Clear button Display Options area Dimension Info Format area Graph Options area Graphic Options area Location Axes area True Position Axes area Delete Infos button Create button

Einfügen von Merkmal-Infofeldern

Dialogfeld "Merkmal-Info bearbeiten"

Die Menüoption Einfügen | Protokollbefehl | Merkmalsangaben blendet das Dialogfeld Merkmal-Info bearbeiten ein. Hier können Sie einen MERKMALINFO-Befehl erstellen, der ausgewählte Merkmalinformationen im Grafikfenster anzeigt. Informationen zum Bearbeiten eines MERKMALINFO-Befehls imBearbeitungsfenster finden Sie unter "MERKMALINFO-Befehl".

Beispiel eines "Merkmal-Info"-Feldes

Die Liste "Merkmale" des Dialogfelds zeigt ein Sternchen (*) an, wenn das Merkmal bereits das Textfeld MERKMALINFO enthält. Wenn die MERKMALINFO im Grafikfenster ausgeblendet ist, wird ein numerisches Zeichen (#) eingeblendet.

Beispiel einer Merkmalsliste, in der vorhandene und ausgeblendete MERKMALINFO-Felder angezeigt werden.

Das Kontrollkästchen Auto (unter Merkmallayout in diesem Dialogfeld) dient zur automatischen Bestimmung des geeigneten Merkmalausgabeformats, basierend auf dem ausgewählten Merkmaltyp. Wenn Sie diese Option übergehen möchten, markieren Sie die/das gewünschte/n Kontrollkästchen unter Merkmallayout. PC-DMIS zeigt die Reihenfolge der Ausgabe durch Anzeige einer Zahl links neben dem Kontrollkästchen an. Dadurch können Sie die Reihenfolge des Formats Ihren individuellen Bedürfnissen entsprechend ändern. Sie können die Auswahl eines Kontrollkästchens aufheben, indem Sie es einfach nochmals anklicken.

Wenn diese Option angezeigt wird, können Sie die Taste STRG drücken und gedrückt halten und mit der linken Maustaste klicken, um im Grafikfenster ein Element auszuwählen. Alle Merkmale, die dieses ausgewählte Element verwenden, werden daraufhin im Listenfeld Merkmale angezeigt.

Im Dialogfeld Merkmal-Info bearbeiten können Sie die angezeigten Merkmalinformationen bearbeiten. Die folgenden Abschnitte beschreiben die in diesem Dialogfeld verfügbaren Befehle und Optionen.

Mehr dazu:

Regeln zur Erstellung der Merkmal-Info

Anzeigeoptionen

Anzeige im Grafikfenster

Darstellung

Merkmallayout

Auswertung Lage

Auswertung Position

Angaben löschen

MERKMALINFO-Befehl


Regeln zur Erstellung der Merkmal-Info

Beim Erstellen eines MERKMALINFO-Feldes im Dialogfeld Merkmal-Info bearbeiten werden lediglich solche Merkmale im Feld Merkmale angezeigt, die oberhalb der aktuellen Cursorposition liegen.

Werden MERKMALINFO-Felder im Etikettenmodus und durch Auswahlfelder innerhalb des Grafikfensters erstellt, dann erstellt PC-DMIS nicht für jedes ausgewählte Element ein MERKMALINFO-Feld. Diese werden nur für Elemente, die oberhalb der aktuellen Cursorposition liegen, erstellt.

Hat das Werkstückprogramm mehrere Ansichten, erscheint das MERKMALINFO-Feld nur in der Ansicht, die das entsprechende Merkmal enthält und darunter. Nehmen wir beispielsweise an, das Werkstückprogramm hätte folgende Befehle:

ANSICHT1

F1 = ELEM

ANSICHT2

ANSICHT3

D1 = MERKMAL

ANSICHT4

Sie können ein MERKMALINFO-Feld für das Element F1 nur dann hinzufügen, wenn der Einfügungspunkt unterhalb von D1 liegen würde. Nachdem das MERKMALINFO-Feld erstellt ist, wird es in ANSICHT3 und ANSICHT4, aber nicht in ANSICHT1 und ANSICHT2, angezeigt.


Anzeigeoptionen

Im Bereich Anzeige ist es möglich, unterschiedliche Anzeigeformate für die einzelnen Merkmale im Grafikfenster festzulegen. Es sind die folgenden Optionen verfügbar:

Symbol einblenden | Mit diesem Kontrollkästchen wird die Anzeige des entsprechenden Merkmal-Symbols (Icons) im Überschriftenteil des Merkmal-Infofelds ein- bzw. ausgeschaltet.
Merkmal-ID (Anzeige) | Dieses Kontrollkästchen schaltet die Anzeige der ID für das Merkmal im Grafikfenster ein bzw. aus.
Element-ID zeigen | Dieses Kontrollkästchen schaltet die Anzeige der ID für das Element, dessen Merkmale gerade gemessen werden, ein bzw. aus.
Überschriften (einblenden) | Dieses Kontrollkästchen schaltet die Anzeige der Zeilen- und Spaltenüberschriften im Merkmal-Infofeld ein bzw. aus.
Vertikale Linien (einblenden) | Dieses Kontrollkästchen schaltet die Anzeige der vertikalen Linien zwischen den Spalten im Merkmal-Infofeld ein bzw. aus.
Horizontale Linien (einblenden) | Dieses Kontrollkästchen schaltet die Anzeige der horizontalen Linien zwischen den Reihen im Merkmal-Infofeld ein bzw. aus.


Anzeige im Grafikfenster

Im Bereich Anzeige im Grafikfenster lässt sich der Merkmalsprozentsatz des Feldes Merkmal-Info grafisch anzeigen.

Mehr dazu:

Keine (Grafik)

Schlechteste Achse (Grafik)

Jede Achse (Grafik)


Keine (Grafik)

Wählen Sie diese Option, wenn keine Grafik im Merkmal Infofeld angezeigt werden soll.


Schlechteste Achse (Grafik)

Wählen Sie diese Option, wenn eine Grafik im oberen Teil des Merkmal-Infofelds angezeigt werden soll. Nur der schlechteste Merkmalsprozentsatz wird in der Grafik dargestellt.


Jede Achse (Grafik)

Wählen Sie diese Option, um für jede Achse im Merkmal-Infofeld eine Grafik mit dem Merkmalsprozentsatz anzuzeigen.

Feld Merkmal-Info


Grafikoptionen

Bereich "Grafikoptionen"

Unter Darstellung können Sie die Hintergrundfarbe und die Linienfarbe für das aktuelle Punkt-Infofeld festlegen. Außerdem können Sie festlegen, ob PC-DMIS den Rand des Punkt-Infofelds schattiert anzeigen soll.

Um die Grafikoptionen für das Punkt-Infofeld zu ändern, wählen Sie die gewünschte Option aus diesem Bereich aus und klicken auf Übernehmen oder OK.

Sie können die Standarddarstellung für neu erstellte Punkt-Infofelder festlegen, indem Sie einfach die gewünschten Optionen auswählen und dann im Bereich Punktangaben-Format auf die Schaltfläche Standard klicken.


Merkmallayout

Mit den Optionsschaltern im Bereich Merkmallayout können Sie bestimmen, welche Informationen für jedes einzelne Merkmal im Grafikfenster angezeigt werden sollen. Wenn das Kontrollkästchen Anzeige in einem Element-Dialogfeld ausgewählt wurde, zeigt PC-DMIS die Informationen im Grafikfenster an.

Merkmaldaten, die im Grafikfenster für das Element KREIS1 angezeigt werden.

Im Dialogfeldbereich Merkmal Info sind die folgenden Kontrollkästchen verfügbar:

Auto | Bei markiertem Kontrollkästchen Auto werden die folgenden Informationen automatisch angezeigt: Messwert, Nennwert, Toleranzen, Abweich., Min./Max. und Außer Tol.
Messwert | Bei markiertem Kontrollkästchen werden die tatsächlich gemessenen Merkmale angezeigt.
Nennwert | Bei markiertem Kontrollkästchen werden die theoretischen Werte für das Merkmal angezeigt.
Toleranzen | Bei markiertem Kontrollkästchen werden die zulässigen Toleranzbereiche entweder größer oder kleiner als der Nennwert angezeigt.
Abweich. | Bei markiertem Kontrollkästchen wird die Abweichung des gemessenen Werts vom Nennwert angezeigt.
Min./Max. | Bei markiertem Kontrollkästchen werden die maximalen und minimalen Werte des Merkmals angezeigt.
Außer Tol. | Bei markiertem Kontrollkästchen wird angezeigt, wie weit der gemessene Wert außerhalb der Toleranz liegt bzw. vom Nennwert abweicht.
Mittelwert | Bei markiertem Kontrollkästchen wird der Durchschnitt aller Abweichungen für das Merkmal angezeigt.
StdAbw. | Bei markiertem Kontrollkästchen wird die Standardabweichung aller Abweichungen für das Merkmal angezeigt.
Anzahl Punkte | Bei markiertem Kontrollkästchen wird angezeigt, wie viele Punkte verwendet werden, um das Element dieses Merkmals zu messen.

Mehr dazu:

Schaltfläche "Rücksetzen"


Schaltfläche "Rücksetzen"

Mit der Schaltfläche Rücksetzen wird die Auswahl aller markierten Kontrollkästchen in diesem Abschnitt aufgehoben und das Kontrollkästchen Auto ausgewählt.


Auswertung Lage

Diese Tabelle beschreibt die verschiedenen Lageachsen und deren Funktionen, die Ihnen bei der Bearbeitung von Merkmalsangaben zur Verfügung stehen.

Schlechteste | Bei dieser Option wird die Achse verwendet, die die schlechteste Außerhalb-Toleranz-Bedingung ergibt. PC-DMIS durchsucht die verfügbaren Achsen und wählt die aus, die das schlechteste Szenario für das Merkmal liefert.
Abm. Achse | Bei dieser Option werden einfach die Achsen verwendet, die zuvor im Merkmal-Dialogfeld definiert wurden.
X | Zeigt den X-Achsenwert an.
Y | Zeigt den Y-Achsenwert an.
Z | Zeigt den Z-Achsenwert an.
PRad | "PRad" steht für "Polarradius". Mit dieser Option werden Polarkoordinaten ausgewählt.
PWin | PWin steht für Polarwinkel. Mit dieser Option werden kartesische Koordinaten ausgewählt.
D | Zeigt den Durchmesserwert an.
R | Zeigt den Radiuswert (die Hälfte des Durchmessers) an.
A | Zeigt den Winkelwert (für Kegel) an.
L | Zeigt die Länge (für Zylinder, Langlöcher, Kegel und Ellipsen) an.
H | Zeigt die Höhe an.
V | Zeigt die Vektorlage an.
T | Zeigt Fehler entlang des Vektors (für Punkte auf gekrümmten Oberflächen) an.
RT | Zeigt die Abweichung entlang des Protokollvektors an.
S | Zeigt die Abweichung entlang des Oberflächenvektors an.
RS | Zeigt die Abweichung entlang des Oberflächenprotokolls an.
PD | Zeigt den Durchmesser eines Kreises (rechtwinklig zum Stiftvektor) an.
Form | Zeigt das integrierte Formmerkmal des Elements an. Informationen hierzu finden Sie unter "Standardachsen für Lagemerkmale" im Abschnitt "Merkmale für Elemente erstellen".


Auswertung Position

Diese Tabelle beschreibt die verschiedenen Positionsachsen und deren Funktionen, die bei der Bearbeitung von Merkmalsangaben zur Verfügung stehen.

Schlechteste | Bei dieser Option wird die Achse verwendet, die die schlechteste Außerhalb-Toleranz-Bedingung ergibt. PC-DMIS durchsucht die verfügbaren Achsen und wählt die aus, die das schlechteste Szenario für das Merkmal liefert.
Abm. Achse | Bei dieser Option werden einfach die Achsen verwendet, die zuvor im Merkmal-Dialogfeld definiert wurden.
X | Mit diesem Kontrollkästchen wird der Wert der X-Achse angezeigt.
Y | Mit diesem Kontrollkästchen wird der Wert der Y-Achse angezeigt.
Z | Mit diesem Kontrollkästchen wird der Wert der Z-Achse angezeigt.
PRad | "PRad" steht für "Polarradius". Mit dieser Option werden Polarkoordinaten ausgewählt.
PWin | PWin steht für Polarwinkel. Mit dieser Option werden kartesische Koordinaten ausgewählt.
PA | Mit diesem Kontrollkästchen wird der Polarwinkelwert angezeigt.
PR | Mit diesem Kontrollkästchen wird der Polarradiuswert angezeigt.
DF | Mit diesem Kontrollkästchen wird der Durchmesser des Elements angezeigt.
TP | Mit diesem Kontrollkästchen wird die Positionstoleranz und die dazugehörige Abweichung angezeigt.
D1 | Mit diesem Kontrollkästchen wird der Durchmesser/Breite-Wert des ersten Bezugselements angezeigt.
D2 | Mit diesem Kontrollkästchen wird der Durchmesser/Breite-Wert des zweiten Bezugselements angezeigt.
D3 | Mit diesem Kontrollkästchen wird der Durchmesser/Breite-Wert des dritten Bezugselements angezeigt.
Form | Mit diesem Kontrollkästchen wird das integrierte Formmerkmal des Elements angezeigt. Informationen hierzu finden Sie unter "Standardachsen für Positionsmerkmale" im Abschnitt "Merkmale für Elemente erstellen".


Angaben löschen

Die Schaltfläche Angaben löschen entfernt alle PUNKTINFO-Befehle aus dem Werkstückprogramm.


MERKMALINFO-Befehl

Der MERKMALINFO-Befehl wird im Dialogfeld Merkmal-Info bearbeiten (Einfügen | Protokollbefehl | Merkmal Info) erstellt.

Nach Einfügen eines MERKMALINFO-Befehls im Werkstückprogramm werden die Merkmaldaten im Grafikfenster angezeigt. Der MERKMALINFO-Befehl kann im Bearbeitungsfenster geändert werden. Die Befehlszeile für diesen Befehl lautet:

MERKMALINFO/Merkm_ID;ICON,MERKM_ID,ELEMENT_ID;VERT,HORIZ, ÜBERSCHRIFTEN, "GRAFIKOPTION";"MERKMALAUSGABE", ,$
"ACHSENAUSGABE"

Merkm_ID = ID des zur Anzeige ausgewählten Merkmals.

ICON = Schalter mit zwei Zuständen: "ICON" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die MERKMALINFO die Merkmals- oder Element-ID zusammen mit dem entsprechenden Symbol an.

MERKM_ID = Schalter mit zwei Zuständen: "MERKM_ID" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die MERKMALINFO die Merkmals-ID zusammen mit den Informationen für das erstellte Merkmal an.

ELEMENT_ID = Schalter mit zwei Zuständen: "ELEMENT_ID" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die MERKMALINFO die ID des ersten Elements des Merkmals zusammen mit den Informationen für das erstellte Merkmal an.

VERT = Schalter mit zwei Zuständen: "VERT" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Spalten der MERKMALINFO mit vertikalen Linien zwischen den einzelnen Spalten dargestellt.

HORIZ = Schalter mit zwei Zuständen: "HORIZ" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Zeilen der MERKMALINFO mit horizontalen Linien zwischen den einzelnen Reihen dargestellt.

ÜBERSCHRIFTEN = Schalter mit zwei Zuständen: "ÜBERSCHRIFTEN" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Ist er EINgeschaltet, werden im Feld Merkmal Info Spalten- und Zeilenüberschriften angezeigt.

GRAFIKOPTION = Die Grafikoption für die grafische Darstellung des Merkmalsprozentsatzes im Feld Merkmal Info. Mögliche Umschaltwerte sind GRAFIK SCHLECHTESTE und GRAFIK ACHSE. Ist die Zeichenfolge auf eine Leerstelle umgeschaltet, wird im Feld keine Grafik angezeigt.

MERKMALAUSGABE = Format der Merkmalsangaben, die basierend auf der Auswahlreihenfolge angezeigt werden. Verfügbare Ausgabeoptionen sind: MESS, NENNW, TOL, ABW, MAXMIN, AUS_TOL, MITTELW, STDABW und ANZPUNKTE. Optionen können nicht dupliziert werden.

ACHSENAUSGABE = Format der Merkmalsachsen, die basierend auf der Auswahlreihenfolge angezeigt werden. Die Verfügbarkeit von Achsen hängt vom Merkmalstyp ab und schließt alle Lage- und Positionsachsen mit ein. Wenn MERKM_VERWENDEN in der ersten Achsenposition eingeschaltet ist, zeigt die MERKMALINFO die Achsen an, die im Merkmal angegeben wurden. Wenn in einer beliebigen Achsenposition SCHLECHTESTE eingeschaltet ist, wird die Achse angezeigt, die den größten Außerhalb-Toleranz-Wert erzeugt hat. Diese Ausgabeoption steht nicht für Merkmale zur Verfügung, die weder Lage- noch Positionsmerkmale sind. Achsen können nicht dupliziert werden.


Einfügen von Punkt-Infofeldern

Dialogfeld Bearbeite Punktangaben

Die Menüoption Einfügen | Protokollbefehl | Punktangaben blendet das Dialogfeld Bearbeite Punktangaben ein. Dieses Dialogfeld erstellt einen PUNKTINFO-Befehl, mit dem Sie im Grafikfenster in einem Punktangabenfeld Informationen zu einzelnen Punkten anzeigen können. Informationen zum Bearbeiten eines PUNKTINFO-Befehls im Bearbeitungsfenster finden Sie unter "PUNKTINFO-Befehl".

So können Sie über das Dialogfeld Bearbeiten Punktangaben Informationen zu einzelnen Punkten im Grafikfenster anzeigen lassen:

  1. Öffnen Sie das Dialogfeld Bearbeite Punktangaben, indem Sie im Hauptmenü Punktangaben wählen.

  2. Beachten Sie, dass die Elemente im Feld Elementliste und die Merkmale im Listenfeld Merkmale aufgeführt werden.

  3. Wählen Sie mindestens ein Element oder ein Merkmal aus. Die einzelnen mit diesem Element verknüpften Punkte erscheinen im Feld Messpunktliste.

  4. Wählen Sie im Feld Messpunktliste einen oder mehrere Punkte aus, die angezeigt werden sollen. Wenn Sie mehr als ein Merkmal oder ein Element ausgewählt haben, werden alle Punkte dieses Merkmals oder Elements im Punktangaben-Feld angezeigt.

  5. Stellen Sie sicher, dass das Kontrollkästchen Punkt Info einblenden markiert ist.

  6. Klicken Sie auf Übernehmen. Die Angaben zu dem bzw. den ausgewählten Messpunkten werden daraufhin im Grafikfenster in einem Punktangaben-Feld angezeigt.

Punktangaben-Feld, in dem der erste Messpunkt eines Kreiselements angezeigt wird.

Jedes Punktangaben-Feld kann die Messpunkt-Nr., die XYZ-Position, den IJK-Vektor und die Abweichung eines bestimmten Messpunkts angeben.

Die Formate lassen sich auf ähnliche Weise wie die Formate des Merkmal-Infofelds ändern, speichern und verschieben.

Mehr dazu:

Punktangaben-Format

Messpunktliste

Elementliste (Bereich)

Merkmale (Bereich)

Angaben löschen

PUNKTINFO (Befehl)

Grafikoptionen

Filter


Punktangaben-Format

In diesem Bereich des Dialogfelds können Sie bestimmen, welche Art von Angaben im Grafikanzeigebereich neben einem Element oder Merkmal angezeigt werden. Die Kontrollkästchen in diesem Bereich müssen in Verbindung mit der Schaltfläche Erstellen (Übernehmen beim Bearbeiten) oder OK verwendet werden, um Angaben anzuzeigen bzw. von der Anzeige auszuschließen.

Mehr dazu:

Punkt-Nr.

Punkt

Vektor

Abweich.

Symbol einblenden

ID einblenden

Typ einblenden

Überschriften (einblenden)

Grafik (einblenden)

Vertikale Linien (einblenden)

Horizontale Linien (einblenden)


Punkt-Nr.

Über das Kontrollkästchen Punkt-Nr. wird die Messpunktreihenfolge eines Punkts auf einem Element angezeigt.

Beispiel: Wenn einer der Messpunkte, der zum Messen eines Kreises (für den im allgemeinen 4 Messpunkte aufgenommen werden) verwendet wurde, ausgewählt wird, zeigt diese Option eine Zahl (von 1 bis 4) an, die angibt, wann dieser Messpunkt innerhalb der Messfolge aufgenommen wurde: 1., 2., 3. oder 4.


Punkt

Mit dem Kontrollkästchen Punkt können Sie die X-, Y- und Z-Punktlage des ausgewählten Messpunkts anzeigen.


Vektor

Mit dem Kontrollkästchen Vektor können Sie den IJK-Vektor des ausgewählten Messpunkts anzeigen.


Abweichung

Mit dem Kontrollkästchen Abweichung (Abweich.) können Sie die Abweichung des Punkts vom Nennpunkt anzeigen.

  • Bei Elementen ist die Punktabweichung der Abstand zwischen den gemessenen Punkten und den Ist-Messpunkten.

  • Bei Merkmalen ist die Punktabweichung vom Merkmaltyp abhängig und entspricht der für die einzelnen Punkte in der Textanalyse des Merkmals angezeigten Abweichung.


Symbol einblenden

Das Kontrollkästchen Symbol einblenden veranlasst die Anzeige des Element-Symbols im Überschriftenteil des Punkt-Infofelds.


ID einblenden

Mit dem Kontrollkästchen ID einblenden können Sie die ID eines bestimmten Elements oder Merkmals anzeigen lassen.


Typ einblenden

Mit dem Kontrollkästchen Typ einblenden können Sie den Typ des angezeigten Elements oder Merkmals einblenden lassen.


Überschriften (einblenden)

Mit dem Kontrollkästchen Überschriften lassen sich im Punkt Infofeld Zeilenüberschriften einblenden.


Grafik (einblenden)

Mit dem Kontrollkästchen Grafik lässt sich im Feld Punkt Info das Diagramm mit dem Merkmalsprozentsatz einblenden.


Vertikale Linien (einblenden)

Mit dem Kontrollkästchen Vertikale Linien lassen sich im Punkt-Infofeld die vertikalen Linien ein- bzw. ausblenden.


Horizontale Linien (einblenden)

Mit dem Kontrollkästchen Horizontale Linien lassen sich horizontale Linien im Punkt-Infofeld ein- bzw. ausblenden.


Messpunktliste

In diesem Bereich des Dialogfelds können Sie auswählen, welche einzelnen Messpunkte eines Elements oder Merkmals angezeigt werden sollen.

Mehr dazu:

Listenfeld


Listenfeld

Das Feld Messpunktliste enthält eine Liste aller mit einem bestimmten Element oder Merkmal verknüpften Messpunkte. Wählen Sie einfach die Messpunkte aus, zu denen Sie Angaben sehen möchten.


Elementliste (Bereich)

In diesem Bereich des Dialogfelds können Sie ein einzelnes Element auswählen. Die mit diesem Merkmal verknüpften Messpunkte werden im Feld Messpunktliste angezeigt.

Mehr dazu:

Listenfeld


Listenfeld

Das Feld Elementliste enthält eine Liste aller mit einem bestimmten Werkstückprogramm verknüpften Elemente. Wählen Sie einfach das Element aus, dessen Messpunktangaben Sie sehen möchten.


Merkmale (Bereich)

Unter Merkmale können Sie einzelne Merkmale auswählen. Die mit diesem Merkmal verknüpften Messpunkte werden im Feld Messpunktliste angezeigt.

Mehr dazu:

Listenfeld


Listenfeld

Das Listenfeld Merkmale enthält eine Liste aller mit einem bestimmten Werkstückprogramm verknüpften Merkmale. Wählen Sie einfach das Element aus, dessen Messpunktangaben Sie sehen möchten.


Angaben löschen

Die Schaltfläche Angaben löschen entfernt alle MERKMALINFO-Befehle aus dem Werkstückprogramm.


PUNKTINFO (Befehl)

Der PUNKTINFO-Befehl wird im Dialogfeld Bearbeite Punktangaben (Einfügen | Protokollbefehl | Punktangaben) erstellt.

Nach Einfügen eines PUNKTINFO-Befehls im Werkstückprogramm wird im Grafikfenster ein Punktangaben-Feld eingeblendet. Sie können den PUNKTINFO-Befehl im Bearbeitungsfenster ändern. Die Befehlszeile für diesen Befehl lautet:

PUNKTINFO/Merkm_ID oder Element_ID; FILTER FILTER_TYP FILTER_NR;ICON,ID,TYP,VERT,HORIZ; ÜBERSCHRIFTEN, GRAFIK; "AUSGABEFORMAT" ,$
"MESSPKTNUMMERN"

Merkm_ID oder Element_ID = ID des anzuzeigenden Merkmals oder Elements.

FILTER_TYP = Eine Zeichenkette, mit der eine der Filteroptionen KEINE, INTERVALL, SCHLECHTESTE, ABWEICHUNG oder AUS_TOL ausgewählt werden kann.

FILTER_NR = Ein Nummernfeld, das bei der Filteroption INTERVALL, SCHLECHTESTE oder ABWEICHUNG verfügbar ist.

ICON = Schalter mit zwei Zuständen: "ICON" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die PUNKTINFO die Merkmals- oder Element-ID zusammen mit dem entsprechenden Symbol an.

ID = Schalter mit zwei Zuständen: "ID" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die PUNKTINFO die Merkmals- oder Element-ID zusammen mit den Punktangaben an.

TYP = Schalter mit zwei Zuständen: "TYP" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die PUNKTINFO den Merkmals- oder Elementtyp (z.B. KREIS, PUNKT, RUNDHEIT, LAGE) zusammen mit den Punktangaben an.

VERT = Schalter mit zwei Zuständen: "VERT" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Spalten der PUNKTINFO mit vertikalen Linien dargestellt.

HORIZ = Schalter mit zwei Zuständen: "HORIZ" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Zeilen der PUNKTINFO mit horizontalen Linien zwischen den einzelnen Reihen dargestellt.

ÜBERSCHRIFTEN = Schalter mit zwei Zuständen: "ÜBERSCHRIFTEN" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Ist er EINgeschaltet, werden im Feld Punktangaben Zeilenüberschriften angezeigt.

GRAFIK = Schalter mit zwei Zuständen: "GRAFIK" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Ist er EINgeschaltet, wird der Merkmalsprozentsatz im Feld Punktangaben grafisch dargestellt.

AUSGABEFORMAT= Format der Punktangaben, die basierend auf der Auswahlreihenfolge angezeigt werden. Verfügbare Ausgabeoptionen sind MESSPKT , PT , V und ABW. Optionen können nicht dupliziert werden.

MESSPKTNUMMERN = Die Messpunkt-Nummern sind besonders numerierte Messpunkte, die durch diesen bestimmten PUNKTINFO-Befehl gesteuert werden. Es können mehrere Messpunkte mit einem einzigen PUNKTINFO-Befehl angezeigt werden. Jedes Feld in den Messpunktnummern ist ein Umschaltfeld. Bei EINgeschaltetem Messpunkt entspricht die numerierte Zeichenfolge der Messpunkt-Nr. (1, 2, 3 usw.). Bei AUSgeschaltetem Messpunkt besteht die Zeichenfolge aus Leerstellen.


Grafikoptionen

Unter Darstellung können Sie die Hintergrundfarbe und die Linienfarbe des im Grafikfensters aktuell angezeigten Merkmal-Infofelds festlegen. Außerdem können Sie festlegen, ob PC-DMIS den Rand des Merkmal-Infofelds schattiert anzeigen soll.

Um die Grafikoptionen für das Merkmal-Infofeld zu ändern, wählen Sie die gewünschte Option aus diesem Bereich aus und klicken auf Übernehmen oder OK.

Außerdem können Sie den Standard zur Darstellung neu erstellter Merkmal-Infofelder festlegen. Hierzu wählen Sie die gewünschten Optionen aus und klicken dann im Bereich Merkmallayout auf die Schaltfläche Standard.


Filter

Bereich "Filter"

Im Bereich Filter können Sie die bei der Darstellung einzelner Punkte zu verwendenden Filteroptionen einstellen.

Mehr dazu:

Filter: Ohne

Filter: Messpunkt-Intervall

Filter: Schlechteste

Filter: Abweichung über

Filter: Außer Toleranz


Filter: Ohne

Mit der Option Ohne wird PC-DMIS angewiesen, keine Filter für den PUNKTINFO-Befehl einzusetzen. Mit dem PUNKTINFO-Befehl werden alle gewählten Messpunkte angezeigt.


Filter: Messpunkt-Intervall

Durch Auswahl des Optionsschalters Messp. Intervall werden der ganzzahlige Wert im Feld rechts daneben überprüft und nur das bestimmte Messpunktintervall angezeigt, das mit dem PUNKTINFO-Befehl ausgewählt wurde. Wenn Sie beispielsweise 2 wählen, wird jeder zweite Messpunkt angezeigt, bei 3 jeder dritte, bei 4 jeder vierte Messpunkt, etc.


Filter: Schlechteste

Durch Auswahl des Optionsschalters Schlechteste werden der ganzzahlige Wert im Feld rechts daneben überprüft und nur die Messpunkte angezeigt, welche die schlechtesten Abweichungen für das Merkmal ergeben. Wenn Sie beispielsweise 3 in das Feld eingeben, zeigt der PUNKTINFO-Befehl nur die drei schlechtesten Abweichungen an.


Filter: Abweichung über

Die Option Abweich. über überprüft den Zahlenwert im Feld rechts daneben und zeigt nur die Messpunkte an, deren Abweichung größer ist als dieser Wert. Wenn Sie beispielsweise 0,01 in das Feld eingeben, werden Abweichungen von 0,013 oder -0,015 angezeigt, während Abweichungen von 0,003 oder -0,005 nicht angezeigt werden.


Filter: Außer Toleranz

Die Option Außer Toleranz zeigt nur die Messpunkte an, die außerhalb des Toleranzbereichs liegen.

Messpunkte, die sich auf Elemente (und nicht auf Merkmale) beziehen, werden nur angezeigt, wenn ihre Abweichungen größer sind als die, die unter Abweichungstoleranz einblenden auf der Registerkarte Allgemein des Dialogfelds Setup-Optionen aufgeführt sind. (Informationen hierzu finden Sie unter "Abweichungstoleranzen einblenden" im Abschnitt "Voreinstellungen".)


Einfügen von Programmiererkommentaren

Kommentar (Dialogfeld)

Mit der Menüoption Einfügen | Protokollbefehl | Kommentar können Sie Anmerkungen oder Anweisungen für den Bediener in das Bearbeitungsfenster einfügen. Diese werden dann beim Ausführen des Werkstückprogramms oder beim Drucken des Prüfprotokolls im Feld Kommentartext angezeigt. Die Länge des Kommentars ist nicht begrenzt. Im Befehlsmodus passen jedoch nur maximal 255 Zeichen in eine Zeile. Wenn bei der Texteingabe im Bearbeitungsfenster der rechte Rand erreicht wird, drücken Sie die EINGABETASTE. (Auf diese Weise lässt sich der gesamte Text im Feld Kommentartext anzeigen.) Um eine neue Zeile zu erstellen, setzen Sie den Cursor an die gewünschte Stelle im Feld Kommentartext, und drücken Sie die EINGABETASTE.

Wählen Sie Kommentar im Menü aus, um das Dialogfeld Kommentar anzuzeigen.

Verwenden von Variablen in Kommentar-Zeichenfolgen

Angenommen, Sie möchten eine Variable einer vorhandenen Kommentar-Zeichenfolge hinzufügen oder die Variable mit der Kommentar-Zeichenfolge verketten. Hierzu gibt es zwei Möglichkeiten. Erstens: Drücken Sie die EINGABETASTE und geben Sie die Variable in eine neue Kommentarzeile auf folgende Weise ein:

C1=KOMMENTAR/EINGABE,NEIN,'Geben Sie die Variable ein'

ZUWEISEN/V1= C1.EINGABE

KOMMENTAR/BEDIENER,NEIN, Die V1-Variable ist

,V1

Zweitens: Sie können sie in dieselbe Zeile platzieren, indem Sie die nicht-variable Zeichenfolge in Anführungszeichen setzen und die Variable mit einem Pluszeichen (+) auf folgende Weise der Zeichenfolge hinzufügen:

KOMMENTAR/BEDIENER,NEIN, "Die V1-Variable ist " + V1

Mehr dazu:

Bediener

Protokoll

Eingabe

Dokumentation

Ja/Nein

Ergebnisanzeige

Kommentartext


Bediener

Mit dieser Option können Sie Text während der Ausführung des Werkstückprogramms Text anzeigen lassen.

So verwenden Sie die Option Bediener:

  1. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet. Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Bediener.

  3. Geben Sie im Feld Kommentartext den gewünschten Text ein.

  4. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Während PC-DMIS das Werkstückprogramm ausführt, werden die entsprechenden Kommentare in einem Meldungsfeld angezeigt. (Sie können diese Kommentare nicht bearbeiten.) Klicken Sie auf die Schaltfläche OK, um das Meldungsfeld zu entfernen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/BEDIENER,TOG1,Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.


Protokoll

Mit dieser Option können Sie Text an das Prüfprotokoll senden.

Vorgehensweise:

  1. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet. Menü-Übersicht anzeigen

  2. Klicken Sie auf die Option Protokoll.

  3. Geben Sie im Feld Kommentartext den gewünschten Text ein.

  4. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Während der Ausführung des Werkstückprogramms in PC-DMIS werden diese Meldungen nicht angezeigt. PC-DMIS sendet diese Kommentare jedoch an das Prüfprotokoll, wenn es gedruckt wird.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/PROTOK,Kommentartext

Hinweis: Wenn unterhalb des Textes im Prüfprotokoll Gedankenstriche (oder andere Zeichen) eingefügt werden sollen, erstellen Sie zur Eingabe der zusätzlichen Zeichen eine zweite Kommentarzeile.
Beispiel:
KOMMENTAR/PROTOK,Prüfprotokoll-Kommentar
KOMMENTAR/PROTOK,-----------------------------------

Durch diesen Satz von Befehlszeilen wird im Prüfprotokoll eine Prüfprotokoll-Kommentarzeile erstellt.


Eingabe

Die Option Eingabe ist insofern mit der Option Bediener vergleichbar, als damit während der Ausführung eines Werkstückprogramms Text angezeigt werden kann. Neben dem Meldungsfeld, in dem der zuvor eingegebene Text angezeigt wird, wird durch diese Option ein Kommentarfeld eingeblendet. Auf diese Weise können Sie numerische Daten eingeben, die in das Prüfprotokoll geschrieben werden.

Diese Option erweist sich als äußerst nützlich, wenn Benutzer während der Ausführung des Werkstückprogramms eine Teile- oder Seriennummer eingeben möchten. Das Meldungsfeld blendet die Aufforderung zur Eingabe der erforderlichen Nummer (z.B. Seriennummer) ein, und anschließend erscheint diese Nummer auch im Prüfprotokoll.

So verwenden Sie die Option Eingabe:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der diese Option eingefügt werden soll.

  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet. Menü-Übersicht anzeigen

  3. Klicken Sie auf die Option Eingabe.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.

  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Die Eingabe wird außerdem der links vom Befehl angegebenen Variablen zugewiesen. Die Variable muss eine Zeichenfolge sein. Diese Variable kann dann an jeder Stelle, an der ein Ausdruck zulässig ist, verwendet werden.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
Kommentar-ID = KOMMENTAR/EINGABE,TOG1 Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.


Dokumentation

Mit dieser Option können Sie Text zum internen Programm hinzufügen. Ihr einziger Zweck besteht in der Dokumentation von Programmieranmerkungen. Dieser Text wird nicht an das Prüfprotokoll gesendet und auch nicht während der Programmausführung angezeigt. Sie haben lediglich die Möglichkeit, innerhalb des Bearbeitungsfensters Informationen zu dokumentieren.

So verwenden Sie die Option Dokumentation:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der Text eingefügt werden soll.

  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet. Menü-Übersicht anzeigen

  3. Klicken Sie auf die Option Dokumentation.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.

  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

$$ TOG1, Bitte bearbeiten Sie den Kommentartext!

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.

Hinweis: Wenn Sie ein Werkstückprogramm öffnen, das von einer späteren Version in die aktuelle Version gespeichert wurde, werden alle Befehle, die nicht von der aktuellen Version unterstützt werden, als DOC-Kommentare angezeigt. Siehe auch "Speichern unter" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Ja/Nein

Die Option Ja / Nein ist insofern mit der Option Bediener vergleichbar, als damit während der Ausführung eines Werkstückprogramms Text angezeigt werden kann. In addition Zusätzlich zu einer Meldung mit zuvor eingegebenem Text werden die dem Benutzer zur Auswahl stehenden Schaltflächen Ja und Nein angezeigt. Sie können dem Benutzer damit einfache Fragen stellen, deren Antworten dann im Werkstückprogramm erscheinen und über die ID des Kommentars zugänglich sind. Besitzt der Kommentar z. B. die ID C1 und wird auf die Schaltfläche Ja geklickt, wird dem Ausdruck "C1.EINGABE" der Wert 'JA' zugewiesen. Wird auf die Schaltfläche Nein geklickt, wird dem Ausdruck "C1.EINGABE" der Wert 'NEIN' zugewiesen. Diese Option ist hilfreich für Benutzer, die eine Verzweigung oder Schleife über die Antwort "Ja" oder "Nein" erreichen möchten.

So verwenden Sie die Option Ja / Nein:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der der Befehl KOMMENTAR/JANEIN eingefügt werden soll.

  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet. Menü-Übersicht anzeigen

  3. Klicken Sie auf die Option Ja / Nein.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.

  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
Kommentar-ID = KOMMENTAR/JANEIN,TOG1, Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.

Achtung: Wird eine bedingte Verzweigungsanweisung zur Wertigkeitsprüfung eines JA/NEIN-Kommentars verwendet, beachten Sie bitte, dass bei dieser Prüfung ein "JA"- oder "NEIN"-Wert in Großbuchstaben gesucht werden sollte. Ein "Ja" oder "Nein" in Kleinbuchstaben wird nicht funktionieren. Informationen zum Verzweigen finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufregelung".


Ergebnisanzeige

Über die Option Auslesen wird der Kommentartext im unteren Teil des Taster-Anzeigefensters angezeigt. Hierzu müssen Sie das Kontrollkästchen Bildschirm zeigt Historie im Dialogfeld Taster-Anzeige einrichten aktiviert haben.

So verwenden Sie die Option Ja / Nein:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der der Befehl KOMMENTAR/JANEIN eingefügt werden soll.

  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet. Menü-Übersicht anzeigen

  3. Klicken Sie auf die Option Ja / Nein.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.

  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KOMMENTAR/ANZEIGE,TOG1, Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.

Weitere Informationen zum Einrichten dieser Option finden Sie unter "Einrichten des Ergebnisanzeigefensters" im Abschnitt "Einfügen von Protokollbefehlen".

Informationen zur Verwendung des Taster-Anzeigefensters finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".


Kommentartext

Das Feld Kommentartext enthält den Text, den Sie in Verbindung mit den unten angegebenen Kommentaroptionen anzeigen möchten:

  • Bediener

  • Protokoll

  • Eingabe

  • Dokument

  • Ja/Nein

  • Ergebnisanzeige


Einbetten von HyperView-Protokollen

Einbetten von HyperView-Protokollen oder Protokollvorlagen

So betten Sie ein HyperView-Protokoll oder eine Protokollvorlage in ein Werkstückprogramm ein:

  1. Wählen Sie die Menüoption Einfügen | Protokollbefehl | Hyperreport-Protokoll aus. Es erscheint das Dialogfeld HyperReport einfügen. Menü-Übersicht anzeigen

  2. Wählen Sie aus der Liste Dateityp die Option Protokolle (*.rpt) oder Protokollvorlagen (*.rtp) aus.

  3. Navigieren Sie zum Verzeichnis, das die Datei enthält, die Sie einbetten möchten, und markieren Sie diese Datei.

  4. Klicken Sie auf die Schaltfläche Öffnen.

Der PROTOKOLL/DATEINAME-Befehlsblock wird im Bearbeitungsfenster an der Cursor-Position eingefügt.

Weitere Informationen hierzu finden Sie unter "Einbetten von HyperView-Protokollen in Werkstückprogramme" im Abschnitt "Messergebnisse berichten".


Einfügen externer Objekte

Um Ihrem Protokoll externe Objekte hinzuzufügen, wählen Sie den Menüeintrag Einfügen | Protokollbefehl | Externes Objekt. Weitere Informationen finden Sie unter "Hinzufügen externer Elemente".


Einfügen eines Druckbefehls

In PC-DMIS können Sie in das Bearbeitungsfenster einen DRUCKEN/PROTOKOLL-Befehl einfügen, der bei Ausführung den Inhalt des Bearbeitungsfensters an das definierte Ausgabeziel (Drucker oder Datei) sendet.

So fügen Sie den Befehl DRUCKEN/PROTOKOLL in das Bearbeitungsfenster ein:

  1. Öffnen Sie das Bearbeitungsfenster (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Klicken Sie auf das Symbol Befehlsmodus der Symbolleiste des Bearbeitungsfensters, um PC-DMIS in den Befehlsmodus zu versetzen.

  3. Wählen Sie die Menüoption Einfügen | Protokollbefehl | Druckbefehl aus (oder geben Sie an der gewünschten Stelle DRUCKEN ein, und drücken Sie die TAB-Taste). PC-DMIS zeigt den Befehl DRUCKEN/PROTOKOLL und die verschiedenen konfigurierbaren Optionen an. Menü-Übersicht anzeigen

Über den Befehl DRUCKEN/PROTOKOLL wird der Ausdruck von Bearbeitungsfensterprotokollen aus dem Werkstückprogramm heraus gesteuert. Erreicht PC-DMIS während der Ausführung des Werkstückprogramms diese Stelle, wird ein Protokoll erstellt und an das angegebene Ausgabeziel gesendet.

Hinweis: Alle Optionen, die über die Menüoption Datei | Drucken | Druckereinrichtung Protokoll verfügbar sind (mit Ausnahme der DMIS-Ausgabeoptionen), sind auch über diesen Befehl verfügbar.

Informationen zum Drucken aus dem Bearbeitungsfenster im Allgemeinen finden Sie unter "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Mehr dazu:

Syntax für den DRUCKEN/PROTOKOLL-Befehl

Bearbeiten des DRUCKEN/PROTOKOLL-Befehls


Bearbeiten des DRUCKEN/PROTOKOLL-Befehls

So bearbeiten Sie diese Optionen im Dialogfeld Druckoptionen:

  1. Setzen Sie den Cursor auf die Befehlszeile DRUCKEN/PROTOKOLL.

  2. Drücken Sie "F9".

  3. Nehmen Sie die gewünschten Änderungen vor.

  4. Klicken Sie auf OK.

PC-DMIS aktualisiert den Befehl nun so, dass er Ihren Änderungen entspricht. Dieser Vorgang unterscheidet sich von einem direkten Aufruf des Dialogfelds Druckoptionen über das Menü Protokoll des Bearbeitungsfensters. Wird das Dialogfeld direkt über das Menü Protokoll aufgerufen, wird der Befehl DRUCKEN/PROTOKOLL nicht in das Bearbeitungsfenster eingefügt.

Hinweis: Der Befehl DRUCKEN/PROTOKOLL kann im Werkstückprogramm mehrmals eingesetzt werden.

Hinweis: Der Befehl DRUCKEN/PROTOKOLL ist eine eindeutige Instanz der im Dialogfeld Druckoptionen enthaltenen Informationen. Deshalb sind Optionen, die ohne Verwendung des Befehls DRUCKEN/PROTOKOLL im Dialogfeld Druckoptionen gewählt werden, unabhängig von jedem DRUCKEN/PROTOKOLL-Befehl und wirken sich auf den Druckvorgang nach der Ausführung des Werkstückprogramms aus.


Syntax für den DRUCKEN/PROTOKOLL-Befehl

Die Syntax des Befehls lautet:

DRUCKEN/PROTOKOLL,AUSFÜHRART=ENDE,$

ZU_DATEI=AUS,TOG1,$

ZU_DRUCKER=AUS,$

DMO_AUSGABE=AUS,DATEI_OPTION=ÜBERSCHREIBEN,DATEINAME=,$

AUSGABE_NENNWERTE=ALLE,AUSGABE_ELEMENT_MIT_MERKMAL=JA,$

VORHERIGE_AUSFÜHRUNGEN=INSTANZEN_LÖSCHEN

AUSFÜHRART = Da Protokolldaten von PC-DMIS anders als von DMIS verwaltet werden, können Sie mit dieser Option steuern, wann und auf welche Art und Weise Protokolldaten an Ausgabedateien von PC-DMIS oder DMIS gesendet werden. Bei DMIS ist eine Definition der Ausgabedateinamen und anderer Druckerparameter bereits vor der Ausführung des Programms erforderlich. Bei PC-DMIS dagegen wird erst nach der Ausführung des Werkstückprogramms festgelegt, wo die Protokolldaten abgelegt werden sollen. Diese Option unterstützt beide Formate. Hierzu wird einer von zwei Werten benötigt, entweder der Wert ANFANG oder ENDE.

ANFANG
PC-DMIS wird angewiesen, mit dem Druckvorgang entweder zum Ende des Programms oder aufgrund eines weiteren DRUCKEN/PROTOKOLL-Befehls zu beginnen, Beim Importieren einer DMIS-Datei mit einem Protokolldrucken-Befehl, wird als Anfangswert ANFANG verwendet.

ENDE
PC-DMIS wird angewiesen, alles, was bis zur Eingabe des DRUCKEN/PROTOKOLL-Befehls bereits ausgeführt worden ist, auszudrucken. Wenn Sie, statt einer DMIS-Datei mit einem Protokolldrucken-Befehl zu importieren, Ihren eigenen DRUCKEN/PROTOKOL-Befehl innerhalb von PC-DMIS eingeben, wird als Anfangswert ENDE verwendet.

Achtung:Falls Ihr Werkstückprogramm mehr als einen DRUCKEN/PROTOKOLL-Befehl enthält, kann es vorkommen, dass PC-DMIS einige Befehle nicht druckt. Zum Beispiel, wenn der erste DRUCKEN/PROTOKOLL-Befehl ENDE verwendet und der zweite Protokolldrucken-Befehl ANFANG benutzt, wird PC-DMIS alles, was dazwischen liegt, nicht drucken.

Außerdem, falls ein DRUCKEN/PROTOKOLL-Befehl ANFANG verwendet, und der folgende Protokolldrucken-Befehl ENDE benutzt, wird der zweite Ausdruck leer sein, da der erste Protokolldrucken-Befehl den Puffer geleert hat.

ZU_DATEI= Mit dieser Option können Sie angeben, ob das gedruckte Protokoll zu einer Datei gesendet werden soll (EIN) oder nicht (AUS).

AUTO= Wählen Sie diese Option, wenn PC-DMIS den Protokolldateinamen automatisch erstellen soll. Wenn die AUTO-Option ausgewählt ist, wird dieses Schlüsselwort von einem numerischen Feld gefolgt, z.B. AUTO=10. Der erstellte Dateiname entspricht dem Namen des Werkstückprogramms mit angehängtem numerischen Index und angehängter a .RTF-Erweiterung. Zudem befindet sich die erstellte Datei in demselben Verzeichnis wie das Werkstückprogramm. Sollte bereits eine Datei mit dem erstellten Dateinamen vorhanden sein, wird bei Wahl der Option AUTO der Index erhöht, bis ein eindeutiger Dateiname gefunden wird.

ZU_DRUCKER= Mit dieser Option können Sie angeben, ob das gedruckte Protokoll zum Drucker gesendet werden soll (EIN) oder nicht (AUS).

TOG1 Dieser Wert bestimmt den Vorgang, wenn auf eine Datei gedruckt wird. Verfügbare Optionen sind ANHÄNGEN / AUTOM / ÜBERSCHREIBEN / PROMPT. Je nach ausgewählter Option erscheinen unter Umständen unterschiedliche Angaben.

ÜBERSCHREIBEN
Wählen Sie diese Option, wenn die Protokollinformationen die Datei mit dem angegebenen Dateinamen überschreiben sollen. Hinter dem Schlüsselwort ÜBERSCHREIBEN steht ein Dateinamensfeld, z. B. ÜBERSCHREIBEN=D:\PROTOKOLLE\DATEI001.RTF. Es muss der vollständige Pfad angegebenen werden; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei noch nicht geben, wird sie bei Ausführen des Befehls DRUCKEN/PROTOKOLL angelegt.

ANHÄNGEN
Bei Wahl dieser Option werden die Protokollinformationen an den angegebenen Dateinamen angehängt. Hinter dem Schlüsselwort ANHÄNGEN steht ein Dateinamensfeld, z. B. ANHÄNGEN=D:\PROTOKOLLE\DATEI001.RTF. Es muss der vollständige Pfad angegebenen werden; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei noch nicht geben, wird sie bei Ausführen des Befehls DRUCKEN/PROTOKOLL angelegt.

PROMPT
Wählen Sie diese Option, wenn PC-DMIS den Benutzer anhand des Dialogfelds Speichern unter zur Eingabe des Namens der Datei auffordern soll, in die die Protokollinformationen geschrieben werden sollen.

DMO_AUSGABE= Wählen Sie diese Option, um zu bestimmen, ob PC-DMIS das Protokoll an die in DATEINAME angegebene DMIS-Ausgabedatei (.dmo) senden soll. Dies kann entweder EIN oder AUS sein.

DATEINAME= Wählen Sie diese Option, um ein DMIS-Ausgabeverzeichnis und einen Dateinamen festzulegen. Hat DMO_AUSGABE den Wert EIN, wird PC-DMIS die Protokolldaten in der angegebenen Datei speichern. Zum Beispiel, hätte dieses Feld d:\pcdmisprotokolle\meindmis.dmo, würde PC-DMIS die Protokolldaten in dieser DMIS-Datei in diesem Verzeichnis speichern.

DATEI_OPTION= Mit dieser Option können Sie eine der folgenden Dateioptionen für Ihre DMIS-Dateiausgabe wählen:

ANHÄNGEN
Hiermit werden die Protokolldaten am Ende der in DATEINAME angegebenen DMIS-Datei angehängt.

ÜBERSCHREIBEN
Hiermit werden die Protokolldaten am Ende der in DATEINAME angegebenen DMIS-Datei mit den neuesten Protokolldaten überschrieben.

INDEX
Hierdurch bekommt der in DATEINAME angegebene DMIS-Dateiname einen numerischen Wert, der bei nachfolgenden Ausführungen des Wekstückprogramms erhöht wird. Falls beispielsweise als DATEINAME "meindmis.dmo" steht, wird beim nächsten Mal "meindmis001.dmo", dann "meindmis002.dmo" u.s.w. als Dateiname verwendet, ähnlich zur Option AUTO=.

ENTWURFMODUS Mit dieser Option können Sie das Drucken im Entwurfmodus ein- (EIN) oder ausschalten (AUS).

AUSGABE_NENNWERTE= Diese Option beschreibt wie PC-DMIS die Nennwerte in der DMIS-Ausgabedatei protokolliert.

ALLE
PC-DMIS gibt sowohl alle theoretischen Werte als auch die Messwerte an die DMIS-Datei aus.

KEINE
Es sind keine theoretischen Werte in das Protokoll eingeschlossen.

EINSTELLUNGEN_IMPORTIEREN
Es werden nur genau die theoretischen Werte an das Protokoll ausgegeben, die von dem originalen DMIS-Programm ausgegeben werden.

AUSGABE_ELEMENT_MIT_MERKMAL Hiermit wird PC-DMIS angewiesen, die gemessenen Elemente und die entsprechenden Toleranzen zusammen in der Ausgabedatei speichert oder nicht. Nimmt entweder JA oder NEIN.

JA
Bei der DMIS-Protokolldatei protokolliert PC-DMIS die Messergebnisse sofort, und zwar vor die zugehörigen Toleranzwerte für jedes Merkmal, das mit dem Element selbst verknüpft ist. Wenn ein Element keine Toleranz aufweist, erfolgt keine Ausgabe.

NEIN
Bei der DMIS-Protokolldatei protokolliert PC-DMIS die Messergebnisse genau zu dem Zeitpunkt, wenn die Messung des Elements abgeschlossen ist, und nicht später bei der Ausführung der zugehörigen Merkmale.

VORHERIGE_AUSFÜHRUNGEN= Diese Option ist insbesondere von Nutzen, wenn der Befehl DRUCKEN/PROTOKOLL innerhalb einer Schleife ausgeführt wird. Wird ein Element bei einer einzelnen Ausführung mehr als einmal gemessen, werden vorherige Instanzen der Messdaten dieses Elements gespeichert. Mit dem Umschaltfeld TOG2 können Sie bestimmen, ob die gespeicherten Messdaten gelöscht (INSTANZEN_LÖSCHEN) oder beibehalten (INSTANZEN_BEIBEHALTEN) werden sollen.


Einfügen eines Seitenvorschubbefehls

In PC-DMIS können Sie einen VORSCHUB-Befehl in das Bearbeitungsfenster einfügen. Dieser Befehl veranlasst, dass die gedruckte Seite eines Protokolls aus dem Drucker ausgeworfen wird, wenn der VORSCHUB-Befehl markiert und ausgeführt wird. Der VORSCHUB-Befehl hat bei der Ausgabe in eine Datei keine Auswirkung.

So fügen Sie den Befehl VORSCHUB in das Bearbeitungsfenster ein:

  1. Öffnen Sie das Bearbeitungsfenster (Ansicht | Bearbeitungsfenster). Menü-Übersicht anzeigen

  2. Klicken Sie auf das Symbol Befehlsmodus der Symbolleiste des Bearbeitungsfensters, um PC-DMIS in den Befehlsmodus zu versetzen.

  3. Wählen Sie die Menüoption Einfügen | Protokollbefehl | Seitenvorschub aus (oder geben Sie an der gewünschten Stelle VORSCHUB ein, und drücken Sie die TAB-Taste). PC-DMIS zeigt den VORSCHUB-Befehl an. Menü-Übersicht anzeigen


Definieren und Speichern einer Ansicht

Sie können unterschiedliche Grafikfenster-Ansichten zur späteren Bezugnahme erstellen und speichern. Mit der Menüoption Ansicht erstellen können Sie unbegrenzt viele Ansichten speichern. Diese werden als Ansichten bezeichnet.

Vorgehensweise:

  1. Wählen Sie die Menüoption Einfügen | Protokollbefehl | Ansicht erstellen aus. Menü-Übersicht anzeigen Es erscheint ein Popup-Fenster mit der Eingabeaufforderung "Name der zu speichernden Ansicht eingeben."

  2. Geben Sie im Popup-Fenster den gewünschten Namen für die Ansicht ein (max. 19 Zeichen).

  3. Klicken Sie auf die Schaltfläche OK, oder drücken Sie die EINGABETASTE. PC-DMIS setzt die aktuelle Ansicht mit dem von Ihnen ausgewählten Namen gleich, indem ein =ANSICHT-Befehl eingefügt wird.

Sie können die erstellte Ansicht schnell aufrufen, indem Sie ihn in der Liste Ansichten der Symbolleiste Einstellungen auswählen oder die Menüoption Ansicht aufrufen verwenden.

Hinweis: Wenn Sie nur die aktuelle Ansicht ändern und dann speichern wollen, ohne eine neue Ansicht zu erstellen, wählen Sie statt dessen die Menüoption Ansicht speichern.


Aufrufen einer gespeicherten Ansicht

Durch Auswahl der Menüoption Einfügen | Protokollbefehl | Ansicht aufrufen wird der Befehl AUFRUFEN/ANSICHT in das Bearbeitungsfenster eingefügt. Wenn Sie diesen Befehl markieren und ausführen, zeigt PC-DMIS die gespeicherte Ansicht im Grafikfenster an.


Verwenden der Datei-Eingabe/-Ausgabe

Verwenden der Datei-Eingabe/-Ausgabe: Einführung

Grundlegende Datei-I/O-Konzepte

Verwenden des Dialogfeldes "Datei I/O"

Öffnen einer Datei zum Lesen oder Schreiben

Beispielcode für "Datei öffnen"

Schließen einer geöffneten Datei nach dem Lesen oder Schreiben

Beispielcode für "Datei schließen"

Lesen eines Zeichens aus einer Datei

Beispielcode für "Zeichen lesen"

Lesen einer Zeile aus einer Datei

Beispielcode für "Zeile lesen"

Lesen eines Textblocks aus einer Datei

Beispielcode für "Block lesen"

Lesen von Text bis zu einem Begrenzer

Beispielcode für "Lesen bis zu"

Schreiben eines Zeichens in eine Datei

Beispielcode für "Zeichen schreiben"

Schreiben einer Zeile in eine Datei

Beispielcode für "Zeile schreiben"

Schreiben eines Textblocks in eine Datei

Beispielcode für "Block schreiben"

Positionieren eines Dateizeigers am Anfang einer Datei

Beispielcode für "Zum Start zurück"

Speichern der aktuellen Position eines Dateizeigers

Beispielcode für "Dateiposition speichern"

Aufrufen der gespeicherten Position eines Dateizeigers

Beispielcode für "Dateiposition abrufen"

Kopieren einer Datei

Beispielcode für "Datei kopieren"

Verschieben einer Datei

Beispielcode für "Datei verschieben"

Löschen einer Datei

Beispielcode für "Datei löschen"

Prüfen des Vorhandenseins einer Datei

Beispielcode für "Datei vorhanden"

Anzeigen eines Dateidialogfelds

Beispielcode für "Dateidialogfeld"

Prüfen auf das Ende einer Datei oder Ende einer Zeile

Beispielcode für "EOF" und "EOL"


Verwenden der Datei-Eingabe/-Ausgabe: Einführung

In diesem Abschnitt wird beschrieben, wie Daten in Werkstückprogramme eingegeben und daraus ausgegeben werden. Die verfügbaren Menüoptionen ermöglichen das Öffnen von Dateien im Lese- oder Schreibmodus. Daten können dann entweder aus diesen Dateien gelesen oder in sie geschrieben werden. Mit den Datei I/O-Befehlen können Daten aus externen Dateien eingelesen und in einem Werkstückprogramm verwendet werden. Mess- und Toleranzdaten können mit diesen Befehlen auch wieder in externe Dateien geschrieben werden. Außerdem können mit Hilfe dieser Befehle weitere Dateivorgänge durchgeführt werden.

Dieser Abschnitt enthält detaillierte Beschreibungen der I/O-Operationen sowie Anwendungsbeispiele für die einzelnen Operationen. Die Beispiele verwenden Elemente, die in den Abschnitten "Verzweigen mit Hilfe der Ablaufregelung" section und "Verwenden von Ausdrücken und Variablen" beschrieben sind.

Hinweis: Schleifendruchläufe oder Verzweigungen wurden in den Codebeispielen eingerückt, damit ersichtlich ist, welche Anweisungen mit einer bestimmten Bedingung verknüpft sind. In der tatsächlichen Ansicht des Bearbeitungsfensters ist der Code nicht eingerückt.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Grundlegende Datei-I/O-Konzepte

  • Verwenden des Dialogfeldes "Datei I/O"

  • Öffnen einer Datei zum Lesen oder Schreiben

  • Schließen einer geöffneten Datei nach dem Lesen oder Schreiben

  • Lesen eines Zeichens aus einer Datei

  • Lesen einer Zeile aus einer Datei

  • Lesen eines Textblocks aus einer Datei

  • Lesen von Text bis zu einem Begrenzer

  • Schreiben eines Zeichens in eine Datei

  • Schreiben einer Zeile in eine Datei

  • Schreiben eines Textblocks in eine Datei

  • Positionieren eines Dateizeigers am Anfang einer Datei

  • Speichern der aktuellen Position eines Dateizeigers

  • Aufrufen der gespeicherten Position eines Dateizeigers

  • Kopieren einer Datei

  • Verschieben einer Datei

  • Löschen einer Datei

  • Prüfen des Vorhandenseins einer Datei

  • Anzeigen eines Dateidialogfelds

  • Prüfen auf das Ende einer Datei oder Ende einer Zeile


Grundlegende Datei-I/O-Konzepte

Prüfen des Vorhandenseins einer Datei:
Bei allen I/O-Operationen ist es sinnvoll, zunächst das Vorhandensein der Datei zu überprüfen. Dies könnte in Form einer IF/THEN-Schleife erfolgen, so dass der Benutzer bei einem negativen Prüfungsergebnis benachrichtigt wird. Beim Schreiben in eine Datei muss die Datei zuerst in der Windows-Umgebung erstellt werden.

Weitere Informationen hierzu finden Sie unter "Prüfen des Vorhandenseins einer Datei".

Öffnen und Schließen von Dateien:
Bei Operationen, die aus einer Datei lesen oder in eine Datei schreiben, müssen Sie die Datei zuerst für die Systemprozesse öffnen. Hierfür weisen Sie der Datei eine Variable, den sogenannten Dateizeiger, zu. Beim Öffnen einer Datei können Sie angeben, ob die Datei zum Lesen oder Schreiben (Überschreiben) oder zum Anhängen geöffnet wird. Nachdem die Datei geöffnet wurde, ist das Lesen oder Schreiben möglich. Wenn Sie die Arbeit an der Datei beendet haben, sollten Sie den Dateizeiger schließen. Dadurch wird die Datei geschlossen, und sie kann von anderen Systemprozessen verwendet werden. Dateien, die bereits von einem anderen Prozess geöffnet sind, können nicht geöffnet werden.

Weitere Informationen hierzu finden Sie unter "Öffnen einer Datei zum Lesen oder Schreiben" und unter "Schließen einer geöffneten Datei nach dem Lesen oder Schreiben".

Dateizeiger und Positionen:
Dateizeiger sind Variablen, die auf eine Datei verweisen. Sie speichern den Namen und den Speicherort einer geöffneten Datei und dienen zum Lesen aus oder Schreiben in diese Datei. Sobald eine Datei geöffnet und auf einen Dateizeiger eingestellt ist, verhält sich der Zeiger wie ein Cursor in einem Textverarbeitungsprogramm. Er zeigt an, an welcher Position in der Datei Sie gerade lesen oder schreiben.

· Wenn Sie Daten an eine Datei anhängen, sollte sich der Dateizeiger meist am Ende der Datei befinden.

· Wenn Sie eine Datei lesen oder überschreiben, sollte sich der Dateizeiger am Anfang der Datei befinden.

Verwenden von Begrenzern beim Lesen oder Schreiben

Beim Schreiben von Daten sollten Sie Begrenzer verwenden, um Datenteile voneinander zu trennen. Dadurch wird es einfacher, die Daten wieder in ein Werkstückprogramm einzulesen. Ein Begrenzer kann jedes Zeichen oder eine Zeichenfolge sein. Angenommen, Sie haben einen Punkt namens PKT1 mit den gemessenen X-,Y- und Z-Werten 2.5, 4.3 und 6.1. Sie können diese Werte durch Kommata voneinander getrennt (der Begrenzer ist in diesem Fall ein Komma) in eine Datendatei schreiben. Ein Beispiel:

DATEI/ZEILE_SCHREIB,FPTR,PKT1.X + "," + PKT1.Y + "," + PKT1.Z

Beim Lesen von Daten können Sie die hereinkommenden Daten auf Basis eines festgelegten Begrenzers trennen und zur späteren Bearbeitung in Variablen einfügen. Angenommen, Sie möchten dieselben X-,Y- und Z-Werte wie oben aufgeführt einlesen. Die Werte sollten in einer einzelnen Textzeile stehen: 2.5,4.3,6.1. Sie können den Text bei den Kommata trennen und die Werte mit Hilfe einer Codezeile in die entsprechenden Variablen einfügen. Ein Beispiel:

V1=DATEI/ZEILE_LESEN,FPTR,{WertX}+","+{WertY}+","+{WertZ}

Anschließend können Sie WertX, WertY und WertZ als normale Variablen in Ihrem Werkstückprogramm verwenden. WertX lautet dann 2.5, WertY 4.3 und WertZ 6.1.


Verwenden des Dialogfeldes "Datei I/O"

Alle Datei I/O-Befehle werden zuerst durch Auswahl der entsprechenden Datei I/O-Menüoption in das Werkstückprogramm eingefügt (wählen Sie Einfügen | Datei I/O-Befehl). Nachdem der Befehl im Bearbeitungsfenster existiert, drücken Sie auf den Befehl "F9", um auf das zugehörige Dialogfeld Datei I/O zuzugreifen.

Beispiel eines Datei I/O-Dialogfeldes

Dieses Dialogfeld bietet einfach eine visuelle Art und Weise, den aktuellen Datei I/O-Befehl zu bearbeiten. Sie können aber auch einen Befehl innerhalb des Bearbeitungsfensters ändern, indem Sie die im Abschnitt "Verwenden des Bearbeitungsfensters" behandelten Methoden anwenden.

Sie sollten jedoch in diesem Dialogfeld keine neuen Datei I/O-Befehle einfügen. Dies geschieht durch Auswahl der entsprechenden Menüoption oder, indem Sie die Befehle direkt in das Bearbeitungsfenster eingeben.


Öffnen einer Datei zum Lesen oder Schreiben

Mit der Menüoption Einfügen | Datei I/O-Befehl | Datei öffnen können Sie in das Bearbeitungsfenster einen Befehl eingeben, durch den während der Ausführung des Werkstückprogramms eine Datenträgerdatei geöffnet wird.

Dateien können geöffnet werden, um Daten einfach anzuzeigen, hinzuzufügen oder zu speichern.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Dateizeigername> =Datei/Öffnen,<Dateiname>,<Öffnen-Modus>

<Dateizeigername> | Die vom Benutzer gewählte ID des Dateizeigers, der zum Zugriff auf die geöffnete Datei verwendet wird. Diese ID dient zum Verweis auf die geöffnete Datei in anderen Datei I/O-Befehlen.
<Dateiname> | Der Dateiname der zu öffnenden Datenträgerdatei.
<Öffnen-Modus> | Der Modus, in dem die Datei geöffnet werden sollte. Dateien können in den folgenden Modi geöffnet werden: Lesen, Schreiben oder Anhängen.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Datei öffnen".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Datei öffnen"


Beispielcode für "Datei öffnen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Dieser Code öffnet eine Datei namens TEST.TXT zum Lesen, Schreiben oder Anhängen von Dateien und speichert den Dateinamen in einem Dateizeiger namens FPTR.

FPTR=DATEI/ÖFFNEN,C:\PCDMISW\TEST.TXT,LESEN

FPTR=DATEI/ÖFFNEN,C:\PCDMISW\TEST.TXT,SCHREIBEN

FPTR=DATEI/ÖFFNEN,C:\PCDMISW\TEST.TXT,ANHÄNGEN

Beachten Sie, dass Sie für die Eingabe des vollständigen Pfads einen Eingabekommentar verwenden und den Pfad dann in einen DATEI/ÖFFNEN-Befehl einsetzen können. Dasselbe ist auch bei einem DATEI/DIALOGFENSTER-Befehl möglich. Sehen Sie sich diese Beispiele an:

C1=KOMMENTAR/EINGABE,Geben Sie den vollständigen Pfad und den Namen der Datei ein.

V1=DATEI/DIALOGFENSTER, WÄHLEN SIE EINE DATEI ZUM ÖFFNEN AUS.

FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN

FPTR=DATEI/ÖFFNEN,V1,LESEN

Weitere Informationen hierzu finden Sie unter "Anzeigen eines Dateidialogfelds".


Schließen einer geöffneten Datei nach dem Lesen oder Schreiben

Mit der Menüoption Einfügen | Datei I/O-Befehl | Datei schließen können Sie einen Befehl in das Bearbeitungsfenster einfügen, durch den eine geöffnete Datei während der Ausführung des Werkstückprogramms geschlossen wird. Durch das Schließen von Dateien werden die von den geöffneten Dateien beanspruchten Ressourcen wieder freigegeben, und alle an der Datei vorgenommenen Änderungen müssen auf dem Datenträger gespeichert werden.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Schließen, <Dateizeigername>,<Schließmodus>

<Dateizeigername> | Die zur Kennung der Datei verwendete ID. Sie wird beim Öffnen der Datei erstellt.
<Schließmodus> | Dieser Parameter verfügt über zwei Optionen: BEIBEHALTEN und LÖSCHEN Durch die Option BEIBEHALTEN wird die im Dateizeiger definierte Datei einfach nur geschlossen. Durch die Option LÖSCHEN wird die Datei zuerst geschlossen und anschließend gelöscht.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

1. Öffnen Sie das Bearbeitungsfenster.

2. Setzen Sie den Cursor auf den Befehl "Datei schließen".

3. Drücken Sie F9.

Mehr dazu:

Beispielcode für "Datei schließen"


Beispielcode für "Datei schließen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Dieser Code schließt die Datei, die dem Dateizeiger FPTR zugewiesen ist.

DATEI/SCHLIESSEN,FPTR,BEIBEHALTEN

Unter Verwendung des Parameters LÖSCHEN schließt und löscht dieser Code die Datei, die FPTR zugeordnet ist.

DATEI/SCHLIESSEN,FPTR,LÖSCHEN


Lesen eines Zeichens aus einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Lesebefehle | Zeichen lesen platziert einen Befehl in das Bearbeitungsfenster, durch den ein Einzelzeichen aus der im Dateizeiger-Namensfeld (siehe Syntax weiter unten) angegebenen Datei gelesen und der im Variablen-Namensfeld angegebenen Variablen zugewiesen wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Zeichen_lesen,<Dateizeigername>

<Dateizeigername> | Die ID zum Öffnen der Datei.
<Variablenname> | Der Name der Variablen, die dieses Zeichen trägt.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Zeichen lesen".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Zeichen lesen"


Beispielcode für "Zeichen lesen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Sehen Sie sich dieses Beispiel an, in dem aus einer Zeile einer Datendatei immer ein Zeichen gelesen wird, bis ein Leerzeichen vorkommt.

V1=DATEI/VORHANDEN,test.txt

IF/V1<>0

KOMMENTAR/BEDIENER,Lesen aus der Datei möglich. Zum Fortfahren auf 'OK' klicken.

ZUWEISEN/V3 = ""

FPTR=DATEI/ÖFFNEN,D:\Programmdateien\pcdmis35\test.txt,LESEN

DO/

V2=DATEI/ZEICH_LESEN,FPTR

ZUWEISEN/V3 = V3+V2

UNTIL/V2 == " "

DATEI/SCHLIESSEN,FPTR

KOMMENTAR/BEDIENER,"Das erste Wort aus einer Textzeile der Datei lautet: " + V3

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Lesen aus der Datei nicht möglich. Das Programm wird beendet.

GEHZU/ENDE

END_ELSE/

ENDE=MARKE/

PROGRAMM/ENDE

Erläuterung des Codes

V1=DATEI/VORHANDEN
Diese Zeile überprüft, ob die angegebene Datei vorhanden ist. Die Datei muss sich im Verzeichnis befinden, in dem PC-DMIS installiert ist, damit dieser Code funktioniert. Andernfalls muss die Zeile, welche die Datei enthält, auch den vollständigen Pfad der Datei enthalten. V1 erhält das Ergebnis der Dateiprüfung. Ist die Datei vorhanden, ist der Wert ungleich Null. Andernfalls lautet er 0.

IF/V1<>0
Diese Zeile nimmt den Wert von V1 und prüft, ob die Auswertung einen Wert ungleich Null ergibt. Ist dies der Fall, wird in einem Kommentar gemeldet, dass der Lesevorgang beginnen kann. Ist der Wert gleich Null, wird das Werkstückprogramm beendet.

ZUWEISEN/V3 = ""
Diese Zeile erstellt eine leere Zeichenfolge und weist diese V3 zu. Der Code verwendet diese Variable, um aus den einzeln eingelesenen Zeichen eine Zeichenfolge zu erstellen. Wenn Sie die leere Zeichenfolge nicht erstellen, weist V3 den Standardwert 0 auf.

FPTR=DATEI/ÖFFNEN
Diese Zeile öffnet die angegebene Datei zum Lesen und weist sie dem Standarddateizeiger FPTR zu.

DO/
Diese Zeile beginnt eine DO/UNTIL-Schleife. Sie begrenzt den DATEI/ZEICH_LESEN-Code, so dass die Zeichen fortlaufend einzeln eingelesen werden. Die Schleife wird beendet, wenn ein Leerzeichen eingelesen wird.

V2=DATEI/ZEICH_LESEN,FPTR
Diese Zeile liest ein Zeichen aus der geöffneten Datei ein, die mit dem Dateizeiger FPTR verbunden ist. Das Zeichen wird in der Variablen V2 gespeichert.

ZUWEISEN/V3 = V3+V2
Diese Zeile verwendet die leere Variable V3 und verkettet die Zeichenfolge von V3 mit V2. Anschließend weist sie den Wert wieder V3 zu. Auf diese Weise wird V3 bei jeder weiteren Ausführung der DO/UNTIL-Schleife ein weiteres Zeichen hinzugefügt.

UNTIL/V2 == " "
Diese Zeile beendet die DO/UNTIL-Schleife, sobald der DATEI/ZEICH_LESEN-Code ein Leerzeichen in der geöffneten Datei entdeckt.

DATEI/SCHLIESSEN,FPTR
Diese Zeile schließt die geöffnete Datendatei, wodurch andere Systemprozesse wieder auf die Datei zugreifen können. Der restliche Code wird beendet und zeigt das erste Wort aus der Datendatei in einem Bedienerkommentar an.


Lesen einer Zeile aus einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Lesebefehle | Zeile lesen platziert einen Befehl in das Bearbeitungsfenster, durch den während der Programmausführung eine Zeile aus der angegebenen Datei gelesen wird. Dieser Befehl setzt die durch die Variablen-ID angegebene Variable auf 1 (wahr) oder 0 (falsch) und zeigt damit den Erfolg (wahr) bzw. das Fehlschlagen (falsch) des Aufrufs an. Der von diesem Befehl angeforderte Ausdruck kann verwendet werden, um die eingelesene Zeile zu begrenzen und um Variablen und Verweise automatisch durch die aus der Datei eingelesenen Daten aufzufüllen. Aus der Eingabedatei werden Daten bis zum nächsten Zeilenumbruch-Zeichen eingelesen.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Zeile_lesen,<Dateizeigername>,<Ausdruck>

<Variablenname> | Der Name der Variablen, die als Ergebnis den Erfolg oder das Fehlschlagen des Befehls "Zeile lesen" anzeigt. Sie gibt "OK" oder "EOF" zurück.
<Dateizeigername> | Der beim Öffnen der Datei für den Dateizeiger angegebene Name.
<Ausdruck> | Die Zielvariable(n) der Eingabedaten. Eingabedaten können durch Text begrenzt werden und erlauben somit ein einfacheres Analysieren der eingehenden Datenzeilen. Variablen- und Elementverweise sollten in geschwungene Klammern gesetzt werden.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Zeile lesen".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Zeile lesen"


Beispielcode für "Zeile lesen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Sehen Sie sich dieses Beispiel an, in dem aus einer Datendatei immer eine Zeile gelesen wird, bis der Befehl DATEI/ZEILE_LESEN eine leere Zeile vorfindet. Das Werkstückprogramm zeigt den gefundenen Textblock an und wird dann beendet.

V1=DATEI/VORHANDEN,test.txt

IF/V1<>0

KOMMENTAR/BEDIENER,Lesen aus der Datei möglich. Zum Fortfahren auf 'OK' klicken.

ZUWEISEN/V3 = ""

FPTR=DATEI/ÖFFNEN,D:\Programmdateien\pcdmis35\test.txt,LESEN

DO/

V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}

ZUWEISEN/V3 = V3 + ZEILE

KOMMENTAR/BEDIENER,"Der aktuelle Wert der Variablen V3 ist:

,V3

UNTIL/V2 == "EOF"

DATEI/SCHLIESSEN,FPTR

KOMMENTAR/BEDIENER,"Der Textblock lautet wie folgt: "

,V3

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Lesen aus der Datei nicht möglich. Das Programm wird beendet.

GEHZU/ENDE

END_ELSE/

ENDE=MARKE/

PROGRAMM/ENDE

Erläuterung des Codes

Ein Großteil dieses Codes entspricht dem Code, der unter "Beispielcode für 'Zeichen lesen'" erläutert wird. Hier ist nur Code aufgelistet, der sich von diesem unterscheidet.

DO/
Diese Zeile beginnt eine DO/UNTIL-Schleife. Sie begrenzt den DATEI/ZEILE_LESEN-Code, so dass die Zeilen fortlaufend einzeln eingelesen werden. Die Schleife wird beendet, wenn das Ende der Datei erreicht wird.

V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}
Diese Zeile liest den gesamten Text ein, bis sie auf einen Zeilenumbruch stößt. Im Gegensatz zu DATEI/ZEICH_LESEN, wo der Text in V2 gespeichert wird, geht dieser Code anders vor.

  • V2 gibt in diesem Fall zwei Werte aus: entweder "OK" oder "EOF". "OK" wird angezeigt, wenn weitere Dateien eingelesen werden können, und "EOF", wenn das Ende der Datei erreicht ist.

  • Der Code {ZEILE} ist eine vom Benutzer eingegebene Variable, die den Text speichert. Die Variable steht in geschwungenen Klammern, um PC-DMIS mitzuteilen, dass es sich um eine Variable und nicht um einen Teil des begrenzenden Textes handelt. Ohne geschwungene Klammern würde PC-DMIS in der Datei "ZEILE" nach einer Zeichenfolge suchen und nur den Text nach "ZEILE" und vor dem Zeilenumbruch zurückgeben.

ZUWEISEN/V3 = V3+ZEILE
Diese Zeile verwendet die leere Variable V3 und verkettet die Zeichenfolge von V3 mit ZEILE. Anschließend weist sie den verketteten Wert V3 zu. Auf diese Weise wird V3 bei jeder weiteren Ausführung der DO/UNTIL-Schleife eine weitere Zeile hinzugefügt.

UNTIL/V2 == "EOF"
Diese Zeile testet die Bedingung für die DO/UNTIL-Schleife. Sobald der DATEI/ZEILE_LESEN-Code das Ende der Datei erreicht, wie die Schleife beendet. Wenn der Programmablauf die Schleife beendet hat, wird die Ausführung des restlichen Codes beendet und der gesamte Codeblock in einem Bedienerkommentar angezeigt.

Weitere Beispiele:
Die Befehlszeile:
ERGEBNIS = DATEI/ZEILE_LESEN,F1, "WERKSTÜCK_ID :" + {V1} hat zur Folge, dass sämtlicher Text, der in der eingelesenen Zeile nach "Werkstück-ID:" steht, V1 zugewiesen wird. Die Zeile wird in diesem Fall aus der Datei eingelesen, die mit F1 als Dateizeigername geöffnet wurde. Das Ergebnis des Einlesens (Erfolg oder Fehlschlag) wird dann in der Variablen "Ergebnis" gespeichert.

Die Befehlszeilen:
DATEI/ZEILE_LESEN,F1, "Lage:"+{VARX}+ ","+{VARY}+ ","+{VARZ}+ ","+{VARI}+ ","+{VARJ}+ ","+{VARK}
?ZUWEISEN/KREIS1.XYZ = MPUNKT(VARX, VARY, VARZ)
?ZUWEISEN/KREIS1.IJK = MPUNKT(VARI, VARJ, VARK)
?liest kommagetrennten Text nach der Zeichenfolge "Lage:" ein und speichert die Werte in den X-, Y-, Z- und I-, J-, K-Werten von KREIS1.

Die Befehlszeile:
Datei/Zeile_lesen,F1, "Wert Nr. " + Schleifenvar. + " : " + {Var2} bewirkt, dass Var2 mit dem nach dem Doppelpunkt erscheinenden Text ausgefüllt wird. Die in diesem Beispiel angegebene Variable "Schleifenvar." steht nicht in geschwungenen Klammern und trägt folglich zum begrenzenden Text bei.


Lesen eines Textblocks aus einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Lesebefehle | Block lesen platziert einen Befehl in das Bearbeitungsfenster, durch den während der Programmausführung ein Zeichenblock aus einer geöffneten Datei gelesen wird. Die Anzahl der eingelesenen Zeichen wird durch den Parameter "Größe" angegeben.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname>=Datei/Block_lesen,<Dateizeigername>,<Größe>

<Variablenname> | Eine Variablen-ID der Variablen, die den Wert erhält, der den Erfolg oder Fehlschlag des Block-Einlesevorgangs anzeigt.
<Dateizeigername> | Der beim Öffnen der Datei für den Dateizeiger angegebene Name.
<Größe> | Die Anzahl der zu lesenden Zeichen

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

1. Öffnen Sie das Bearbeitungsfenster.

2. Setzen Sie den Cursor auf den Befehl "Block lesen".

3. Drücken Sie F9.

Mehr dazu:

Beispielcode für "Block lesen"


Beispielcode für "Block lesen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Angenommen, Sie haben mehrere externe Datendateien, die verschiedene Werkstückdaten enthalten. Darin geben jeweils die ersten Zeichen an, wofür die Datei bestimmt ist. In diesem Fall können Sie den Befehl Datei/Block_Lesen verwenden, um nur die ersten Zeichen jeder Datei zu lesen, bevor Sie sich dazu entschließen, alle Zeilen einzulesen und zu verarbeiten. Sehen Sie sich den folgenden Code an:

C3=KOMMENTAR/EINGABE,Geben Sie den Namen des

,Dateicodes ein, nach dem gesucht werden soll.

ZUWEISEN/BLOCKSIZE (BLOCKGRÖSSE) = LÄN(C3.EINGABE)

ZUWEISEN/FILECODE (DATEICODE) = C3.EINGABE

DO/

C1=KOMMENTAR/EINGABE,Geben Sie den vollständigen Pfad,

,den Dateinamen und die Erweiterung

,für die zu verarbeitende Datei ein.

,Drücken Sie [Q], um das Programm zu beenden.

IF/C1.EINGABE== "B" ODER C1.EINGABE=="b"

KOMMENTAT/BEDIENER,Sie haben sich für die Beendigung des Programms entschieden. Das Programm wird nun beendet.

GEHZU/ENDE

END_IF/

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

KOMMENTAR/BEDIENER,"Datendatei [" + C1.EINGABE + "] ist vorhanden. Zum Fortfahren auf 'OK' klicken."

FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN

V2=DATEI/BLOCK_LESEN,FPTR,BLOCKSIZE (BLOCKGRÖSSE)

DATEI/SCHLIESSEN,FPTR

IF/V2<>FILECODE (DATEICODE)

KOMMENTAR/BEDIENER,"Der Dateicode von [" + V2 + "] stimmt nicht mit"

,"dem FILECODE (DATEICODE) von [" + FILECODE (DATEICODE) + "] überein."

END_IF/

UNTIL/V2==FILECODE (DATEICODE)

KOMMENTAR/BEDIENER,"Datei [" + C1.EINGABE + "] stimmt damit überein."

,"Der Dateicode von [" + V2 + "] stimmt mit"

,"dem FILECODE (DATEICODE) von [" + FILECODE (DATEICODE) + "] überein."

KOMMENTAR/BEDIENER,Das Programm verarbeitet dann die Datei.

END_IF/

ELSE/

KOMMENTAR/BEDIENER,"Datendatei [" + C1.EINGABE + "] ist nicht vorhanden. Versuchen Sie es erneut mit einer vorhandenen Datei."

GEHZU/ENDE

END_ELSE/

ENDE=MARKE/

PROGRAMM/ENDE

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

ZUWEISEN/BLOCKSIZE (BLOCKGRÖSSE) = LEN (C3.EINGABE)
Diese Zeile erstellt eine benutzerdefinierte Variable namens BLOCKSIZE (BLOCKGRÖSSE), die eine Ganzzahl enthält, die der Anzahl der gefundenen Zeichen in C3.EINGABE entspricht. Diese Variable wird als Größe für den Zeichenblock verwendet, der eingelesen werden soll.

ZUWEISEN/FILECODE (DATEICODE) = C3.EINGABE
Diese Zeile erstellt die Variable FILECODE (DATEICODE) und gibt ihr den Wert aus C3.EINGABE.

C1=KOMMENTAR/EINGABE
Dieser Kommentar speichert den vom Benutzer eingegebenen vollständigen Pfad in der Variable C1.EINGABE.

V1=DATEI/VORHANDEN,C1.EINGABE
? Diese Zeile prüft das Vorhandensein der Datei, die im Kommentar C1 definiert wurde.

DO/
? Diese Zeile beginnt eine DO/UNTIL-Schleife. Sie begrenzt den Codeblock, der dem Benutzer die Eingabe einer Datei zum Lesen ermöglicht. Die Schleife wird so lange fortgesetzt, bis der Text, welcher der Variablen FILECODE (DATEICODE) zugewiesen wurde, dem ausgelesenen Text entspricht.

V2=DATEI/BLOCK_LESEN,FPTR,BLOCKSIZE (BLOCKGRÖSSE)
Diese Zeile liest jene Anzahl von Zeichen, die der Ganzzahl in der Variablen BLOCKSIZE (BLOCKGRÖSSE) entspricht. Der Text wird dann in der Variablen V2 gespeichert.

IF/V2<>FILECODE
Diese Zeile beginnt einen IF/END IF-Codeblock, der testet, ob der Text in der Variablen V2 dem in der Variablen FILECODE (DATEICODE) gespeicherten Text entspricht. Stimmt er damit überein, wird die Programmausführung fortgesetzt. Andernfalls wird dem Benutzer in einer Meldung mitgeteilt, dass die beiden Codes nicht übereinstimmen.

UNTIL/V2==FILECODE (DATEICODE)
Diese Zeile prüft die Bedingung der DO/UNTIL-Schleife, um festzustellen, ob der Text in der Variablen V2 mit jenem in der Variablen FILECODE (DATEICODE) übereinstimmt. Wird die Anweisung als falsch ausgewertet, wird die DO-Schleife erneut ausgeführt, so dass der Benutzer einen anderen Dateinamen auswählen kann. Wird die Anweisung als wahr ausgewertet, wird die Schleife beendet, und das Programm meldet, dass die Codes übereinstimmen. PC-DMIS kann dann mit dem Lesen aller Datenzeilen der angegebenen Datei fortfahren.


Lesen von Text bis zu einem Begrenzer

Die Menüoption Einfügen | Datei I/O-Befehl | Lesebefehle | Lesen bis zu platziert einen Befehl in das Bearbeitungsfenster, durch den während der Programmausführung der gesamte Text 'bis zu' einem der gegebenen Begrenzer aus der angegebenen Datei gelesen wird. Der gesamte durch diesen Befehl gelesene Text wird in der angegebenen Zielvariablen platziert. Der Befehl stellt den Textlesevorgang ein, wenn PC-DMIS folgendes antrifft:

  • Definierte Begrenzer

  • Zeilenumbrüche

  • Zeilenvorschubzeichen

Bei Erreichen des Dateiendes wird die Zielvariable auf "EOF" (End of File, Dateiende) gesetzt.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = DATEI/LESEN_BIS,<Dateizeigername>,<Begrenzer>

<Variablenname> | Dies ist der Name der Zielvariablen.
<Dateizeigername> | Der beim Öffnen der Datei für den Dateizeiger angegebene Name.
<Begrenzer> | Dies ist eine Zeichenfolge mit Null oder mehr Begrenzungszeichen.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster, indem Sie Bearbeitungsfenster wählen.

  2. Setzen Sie den Cursor auf den Befehl DATEI/LESEN.

  3. Drücken Sie "F9". Das Dialogfeld Datei I/O wird geöffnet.

In dem nun eingeblendeten Dialogfeld:

  1. Geben Sie in das Feld Variablen-ID den Namen der Variablen ein, die die eingelesenen Informationen aufnehmen wird.

  2. Geben Sie in das Feld Dateizeiger-ID den Namen des Dateizeigers ein.

  3. Geben Sie in das Feld Text den Begrenzer ein (der von Ihnen ausgewählte Begrenzer muss in Anführungszeichen gesetzt werden).

  4. Klicken Sie auf OK.

Mehr dazu:

Beispielcode für "Lesen bis zu"


Beispielcode für "Lesen bis zu"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Beispiel: Angenommen, im Verzeichnis c:\temp befindet sich eine Textdatei namens "muster.txt", deren erste Zeile folgende Informationen enthält.

root:x:0:0:root:/root:/bin/bash

So verwenden Sie den Befehl "Lesen bis zu" bei dieser Datei:

  1. Fügen Sie in das Bearbeitungsfenster einen DATEI/ÖFFNEN-Befehl ein.

  2. Wählen Sie einen beliebigen Dateizeigernamen aus, um den Datei/Öffnen-Befehl zu benennen. In diesem Beispiel wird als Dateizeigername "Muster" verwendet.

Der Datei/Öffnen-Befehl sollte in etwa folgendermaßen aussehen:

MUSTER =DATEI/ÖFFNEN,C:\TEMP\MUSTER.TXT,LESEN

Sie können nun mit den "Lesen bis zu"-Befehlen von PC-DMIS Variablen definieren, durch die unterschiedliche Datensegmente aufgerufen werden. Im folgenden Beispiel suchen folgende Variablen nach einem ":" als Begrenzer (ohne die Anführungszeichen).

BENUTZERNAME =DATEI/LESEN_BIS,MUSTER,:

KENNWORT =DATEI/LESEN_BIS,MUSTER,:

BENUTZER =DATEI/LESEN_BIS,MUSTER,:

Wenn PC-DMIS diese Zeilen ausführt, wird folglich folgendes festgelegt:

Benutzername = root

Kennwort = x

Benutzer = 0

Über einen Bedienerkommentar wie im folgenden Beispiel können Sie veranlassen, dass diese Ergebnisse während der Ausführung auf dem Bildschirm angezeigt werden:

KOMMENTAR/BEDIENER,Aus Muster.txt wird folgender Text eingelesen

,Benutzername:

,BENUTZERNAME

,Kennwort:

,KENNWORT

,Benutzer:

,BENUTZER


Schreiben eines Zeichens in eine Datei

Die Menüoption Einfügen | Datei I/O-Befehle | Schreibbefehle | Zeichen schreiben fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Einzelzeichen in eine Datenträgerdatei ausgegeben wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Zeichen_schreiben,<Dateizeigername>,<Ausdruck>

<Dateizeigername> | Der Name des Dateizeigers, der beim Öffnen der Datei angegeben wird.
<Ausdruck> | Das in die Datei zu schreibende Zeichen. Wenn die Auswertung des Ausdrucks mehr als ein Zeichen ergibt, wird lediglich das erste Zeichen geschrieben.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Zeichen schreiben".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Zeichen schreiben"


Beispielcode für "Zeichen schreiben"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Sehen Sie sich den folgenden Code an, der eine vom Benutzer vorgegebene Zeichenfolge jeweils pro Zeichen in eine Datendatei schreibt.

C1=KOMMENTAR/EINGABE,Geben Sie den Namen der Datei ein, in

die geschrieben werden soll (einschl. des vollständigen Pfads).

FPTR=DATEI/ÖFFNEN,C1.EINGABE,SCHREIBEN

C2=KOMMENTAR/EINGABE,Geben Sie einen Text ein, der an die Datei gesendet werden soll.

,Dadurch wird die Zeichenfolge zeichenweise

,an die Datei gesendet.

ZUWEISEN/ZÄHLER = 0

ZUWEISEN/LÄNGE = LEN(C2.EINGABE)

DO/

ZUWEISEN/WRITETHIS = MITTE(C2.EINGABE,ZÄHLER,1)

DATEI/ZEICH_SCHREIBEN,FPTR,WRITETHIS

ZUWEISEN/ZÄHLER = ZÄHLER + 1

UNTIL/ZÄHLER == LÄNGE

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

FPTR=DATEI/ÖFFNEN,C2.EINGABE,SCHREIBEN
Diese Zeile öffnet die im Kommentar C1 angegebene Datei zum Schreiben und weist sie dem Dateizeiger FPTR zu. Alle Daten in dieser Datei werden überschrieben, wenn der Dateizeiger auf den Anfang der Datei zeigt.

ZUWEISEN/ZÄHLER = 0
Diese Zeile weist der benutzerdefinierten Variable COUNT (ANZAHL) den Wert 0 zu. Sie wird für die Schleifen verwendet, um die Zeichenfolge jeweils pro Zeichen auszugeben.

ZUWEISEN/LÄNGE = LEN(C2.EINGABE)
Diese Zeile verwendet die Funktion LÄNGE( ), um die Länge einer Zeichenfolge auszugeben. Diese Funktion verwendet einen Parameter, die Zeichenfolge. Sie zählt die Anzahl der Zeichen in der Zeichenfolge (einschl. Leerzeichen) und gibt diese Anzahl in Form eines Ganzzahlwerts aus. In diesem Fall enthält die benutzerdefinierte Variable LÄNGE diesen Wert.

DO/
Diese Zeile beginnt eine DO/UNTIL-Schleife. Der Code zwischen der DO- und der UNTIL-Anweisung wird ausgeführt, bis die Schleifenbedingung als wahr ausgewertet wird.

ZUWEISEN/WRITETHIS = MITTE(C2.EINGABE,ZÄHLER,1)
Diese Zeile erstellt eine benutzerdefinierte Variable namens WRITETHIS und verwendet die Funktion MITTE( ), um ein Zeichen der Zeichenfolge C2.EINGABE an WRITETHIS auszugeben. MITTE( ) verwendet drei Parameter.

· Parameter 1: Die Zeichenfolge, aus der Werte abgerufen werden. In diesem Fall wird C2.EINGABE verwendet.

· Parameter 2: Die Position in der Zeichenkette, an der das Zeichen entnommen wird. Das erste Zeichen in einer Zeichenfolge befindet sich an Position 0, das zweite an Position 1, das dritte an Position 2 usw. In diesem Fall wird die Variable ZÄHLER verwendet.

· Parameter 3: Die Anzahl der Zeichen ab der Position des zweiten Parameters, die übernommen werden sollen. In diesem Fall wird der Wert 1 verwendet. (Da das Beispiel immer nur ein Zeichen schreibt, gibt es keinen Grund, mehr Zeichen zu übernehmen.)

DATEI/ZEICH_SCHREIBEN,FPTR,WRITETHIS
Diese Zeile schreibt das in der Variable WRITETHIS gespeicherte Zeichen in die Datei, die durch den Dateizeiger FPTR angegeben wird.

ZUWEISEN/ZÄHLER = ZÄHLER + 1
Diese Zeile nimmt den aktuellen Wert aus ZÄHLER, erhöht ihn um 1 und platziert dann den neuen Wert wieder in ZÄHLER.

UNTIL/ZÄHLER == LÄNGE
Diese Zeile testet die Bedingung der DO/UNTIL-Schleife. In diesem Fall erhöht die Schleife die Variable ZÄHLER so lange, bis diese denselben Wert aufweist wie die Variable LÄNGE. Dann werden die Schleife und das Programm beendet.


Schreiben einer Zeile in eine Datei

Die Menüoption Einfügen | Datei I/O-Befehle | Schreibbefehle | Zeile schreiben fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung eine Textzeile in eine Datenträgerdatei ausgegeben wird. Zur Ausgabe von Variablen und Werkstückprogramm-Daten in eine Datei sollten Sie die Ausdrucksyntax verwenden. An den in die Datei geschriebenen Text wird automatisch ein Zeilenwechsel angefügt.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Zeile_schreiben,<Dateizeigername>,<Ausdruck>

<Dateizeigername> | Der Name des Dateiverweises, der beim Öffnen der Datei angegeben wird.
<Ausdruck> | Der in die Datei zu schreibende Text. In diesem Feld können Ausdrücke verwendet werden.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Zeile schreiben".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Zeile schreiben"


Beispielcode für "Zeile schreiben"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Angenommen, Sie möchten einige gemessene XYZ-Werte in eine Datendatei exportieren. Der folgende Code ermöglicht Ihnen die Eingabe eines Elementetiketts und einer Datendatei und das anschließende Senden der X-,Y- und Z-Daten für dieses Element an eine Datendatei.

C1=KOMMENTAR/EINGABE,Geben Sie die Beschriftung des

,zu verwendenden Elements ein.

C2=KOMMENTAR/EINGABE,Geben Sie den Namen der Datei ein, in

,die geschrieben werden soll (einschl. des vollständigen Pfads).

FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN

ZUWEISEN/ELEMENTNAME = C1.EINGABE

ZUWEISEN/ALLVALS (ALLE_WERTE) = ELEMENTNAME.X + "," + ELEMENTNAME.Y + "," + ELEMENTNAME.Z

KOMMENTAR/BEDIENER,"Der zu schreibende Text lautet: " + ALLVALS (ALLE_WERTE)

DATEI/ZEILE_SCHREIB,FPTR,ALLVALS (ALLE_WERTE)

DATEI/SCHLIESSEN,FPTR

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN
Diese Zeile öffnet die im Kommentar C2 angegebene Datei zum Anhängen und weist sie dem Dateizeiger FPTR zu. Wenn Sie ANHÄNGEN in SCHREIBEN ändern, wird der vorhandene Inhalt der Datendatei überschrieben.

ZUWEISEN/ELEMENTNAME = C1.EINGABE
Diese Zeile weist der benutzerdefinierten Variable ELEMENTNAME die Zeichenfolge des Elementetiketts aus C1.EINGABE zu.

ZUWEISEN/ALLVALS (ALLE_WERTE)=ELEMENTNAME.X+","+ELEMENTNAME.Y+","+ELEMENTNAME.Z
Diese Zeile gibt der benutzerdefinierten Variable ALLVALS (ALLE_WERTE) den Wert von ELEMENTNAME.X,ELEMENTNAME.Y,ELEMENTNAME.Z. Das heißt, sie enthält nun die X-, Y- und Z-Werte des Elementetiketts, das im Eingabekommentar C1 eingegeben wurde.

DATEI/ZEILE_SCHREIB,FPTR,ALLVALS (ALLE_WERTE)
Diese Zeile schreibt die Werte aus ALLVALS in die vom Dateizeiger FTPR angegebene Datei.


Schreiben eines Textblocks in eine Datei

Die Menüoption Einfügen | Datei I/O-Befehle | Schreibbefehle | Block schreiben fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Textblock in eine Datenträgerdatei ausgegeben wird. Zur Ausgabe von Variablen und Werkstückprogramm-Daten in eine Datei sollten Sie die Ausdrucksyntax verwenden. Im Gegensatz zum Befehl "Zeile schreiben" wird beim Befehl "Block schreiben" kein Zeilenwechsel am Ende angehängt.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Block_schreib,<Dateizeigername>,<Ausdruck>

<Dateizeigername> | Der Name des Dateiverweises, der beim Öffnen der Datei angegeben wird.
<Ausdruck> | Der in die Datei zu schreibende Text. In diesem Feld können Ausdrücke verwendet werden.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Block schreiben".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Block schreiben"


Beispielcode für "Block schreiben"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgende Code schreibt jeden beliebigen Text, den der Benutzer eingibt, in einen Eingabekommentar und hängt dann einen Doppelpunkt als Begrenzer an.

C1=KOMMENTAR/EINGABE,Geben Sie eine Zeichenfolge ein. PC-DMIS hängt dann einen Doppelpunkt (als Begrenzer) an die Zeichenfolge an, und schreibt sie in eine Datei Ihrer Wahl.

C2=KOMMENTAR/EINGABE,Geben Sie den Namen der Datei ein, in

die geschrieben werden soll (einschl. des vollständigen Pfads).

FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN

ZUWEISEN/WRITETHIS = C1.EINGABE + ":"

KOMMENTAR/BEDIENER,"Der zu schreibende Text lautet: " + WRITETHIS

DATEI/ZEILE_SCHREIB,FPTR,WRITETHIS

DATEI/SCHLIESSEN,FPTR

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN
Diese Zeile öffnet die im Kommentar C2 angegebene Datei zum Anhängen und weist sie dem Dateizeiger FPTR zu.

ZUWEISEN/WRITETHIS = C1.EINGABE + ":"
Diese Zeile hängt einen Doppelpunkt an den Text in C1.EINGABE an und weist die neue Zeichenfolge der benutzerdefinierten Variablen WRITETHIS (DAS_SCHREIBEN) zu.

DATEI/ZEILE_SCHREIB,FPTR,WRITETHIS
Diese Zeile schreibt die Werte aus WRITETHIS in die vom Dateizeiger FTPR angegebene Datei. Später können Sie Text aus dieser Datei einlesen und dabei den Doppelpunkt als Begrenzer verwenden.


Positionieren eines Dateizeigers am Anfang einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Positionierungsbefehle | Zum Start zurück fügt einen Befehl im Bearbeitungsfenster ein, der den Dateizeiger am Anfang des Dateistroms positioniert.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Rücklauf,<Dateizeigername>

<Dateizeigername>

Der Name des Dateizeigers zur Neupositionierung am Anfang der Datei.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Zum Start zurück".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Zum Start zurück"


Beispielcode für "Zum Start zurück"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Sehen Sie sich dieses Beispiel an, das Daten aus einer externen Datei zeilenweise einliest. Nach jeder Zeile haben Sie die Möglichkeit, von vorne zu beginnen und den Anfang der Datei einzulesen. Das Beispiel beschreibt die Verwendung des Befehls DATEI/RÜCKLAUF.

C1=KOMMENTAR/EINGABE,Geben Sie eine Datei ein, aus der gelesen werden soll.

,(Vollständigen Pfad angeben.)

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

DO/

FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN

C2=KOMMENTAR/JANEIN,Möchten Sie mit dem Einlesen am Dateianfang beginnen?

IF/C2.EINGABE == "JA"

DATEI/RÜCKLAUF,FPTR

END_IF/

V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}

KOMMENTAR/BEDIENER,"Die aktuelle Zeile lautet: " + ZEILE

UNTIL/V2=="EOF"

END_IF/

DATEI/SCHLIESSEN,FPTR

KOMMENTAR/BEDIENER,Das Programm wird beendet.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

C2=KOMMENTAR/JANEIN
Diese Zeile fragt, ob Sie mit dem Lesen am Dateianfang beginnen möchten. Die JA/NEIN-Antwort wird in der Variablen C2.EINGABE gespeichert.

IF/C2.EINGABE == "JA"
Diese Zeile beginnt einen IF/END IF-Block. Sie testet die Bedingung der Variablen C2.EINGABE, die den Wert JA enthält. Ist die Bedingung wahr, führt PC-DMIS die Zeilen nach der IF-Anweisung aus. Ist die Bedingung falsch, führt PC-DMIS die Zeilen nach der END_IF-Anweisung aus.

DATEI/RÜCKLAUF,FPTR
Diese Zeile setzt den Dateizeiger wieder an den Anfang der Datei.

END_IF/
Diese Zeile beendet den IF/END IF-Codeblock.


Speichern der aktuellen Position eines Dateizeigers

Die Menüoption Einfügen | Datei I/O-Befehl | Positionierungsbefehle | Dateiposition speichern fügt einen Befehl im Bearbeitungsfenster ein, durch den die aktuelle Position eines Dateizeigers innerhalb des Dateistroms gespeichert wird. Die Speicherposition kann später über den Befehl "Dateiposition abrufen" erneut abgerufen werden.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Pos_speichern,<Dateizeigername>

<Dateizeigername>

Der Name des Dateizeigers, dessen Dateiposition gespeichert wird.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Dateiposition speichern".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Dateiposition speichern"


Beispielcode für "Dateiposition speichern"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Sehen Sie sich dieses Beispiel an, das Daten aus einer externen Datei zeilenweise einliest. Nach jeder Zeile haben Sie die Möglichkeit, die Dateiposition zu speichern und später wieder aufzurufen. Das Beispiel beschreibt die Verwendung des Befehls DATEI/POS_SPEICHERN.

C1=KOMMENTAR/EINGABE,Geben Sie eine Datei ein, aus der gelesen werden soll.

,(Vollständigen Pfad angeben.)

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

DO/

FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN

C2=KOMMENTAR/JANEIN,Möchten Sie die Dateiposition speichern und später aufrufen? Die Schleife wird beendet.

IF/C2.EINGABE == "JA"

DATEI/POS_SPEICHERN,FPTR

GOTO/QUITLOOP (SCHLEIFE_BEENDEN)

END_IF/

V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}

KOMMENTAR/BEDIENER,"Die aktuelle Zeile lautet: " + ZEILE

UNTIL/V2=="EOF"

END_IF/

DATEI/SCHLIESSEN,FPTR

QUITLOOP (SCHLEIFE_BEENDEN)=MARKE/

KOMMENTAR/BEDIENER,Der Lesevorgang wurde beendet.

PROGRAMM/ENDE

Erläuterung des Codes

Dieser Code entspricht dem Code, der unter "Beispielcode für 'Zum Start zurück'" beschrieben wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

C2=KOMMENTAR/JANEIN
Diese Zeile fragt, ob Sie die aktuelle Dateiposition speichern und die Schleife beenden möchten. Die JA/NEIN-Antwort wird in der Variablen C2.EINGABE gespeichert.

DATEI/POS_SPEICHERN,FPTR
Diese Zeile speichert die Position des Dateizeigers im Dateistrom.

Wenn Sie die Datei mit demselben Dateizeigernamen und im selben Werkstückprogramm wieder öffnen, können Sie eine gespeicherte Dateiposition aufrufen und von dort aus weiterlesen. Eine Fortsetzung dieses Beispiels finden Sie unter "Beispielcode für 'Dateiposition aufrufen'".


Aufrufen der gespeicherten Position eines Dateizeigers

Die Menüoption Einfügen | Datei I/O-Befehl | Positionierungsbefehle | Dateiposition abrufen fügt einen Befehl im Bearbeitungsfenster ein, durch den eine zuvor gespeicherte Dateiposition abgerufen wird. Verwenden Sie den Befehl Dateiposition speichern, um eine Position in einer geöffneten Datei zu speichern.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Pos_aufrufen, <Dateizeigername>

<Dateizeigername>

Der Name des Dateizeigers, dessen Position abgerufen wird.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl Dateiposition abrufen.

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Dateiposition abrufen"


Beispielcode für "Dateiposition abrufen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

In diesem Beispiel wird eine zuvor gespeicherte Datei geöffnet, ein vorhandener Dateizeiger verwendet und die gespeicherte Position des Dateizeigers abgerufen. Anschließend werden die Daten aus dieser Position eingelesen. Dieser Code beschreibt die Verwendung des Befehls DATEI/POS_AUFRUFEN und stellt eine Fortsetzung des Beispielcodes unter "Beispielcode für 'Dateiposition abrufen'" dar.

KOMMENTAR/BEDIENER,Das Programm ruft nun die gespeicherte Dateiposition auf.

FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN

DATEI/RÜCKLAUF,FPTR

KOMMENTAR/BEDIENER,Die Datei wurde zum Testen zurückgespult.

,Zum Testen des Rücklaufs wird nun die erste Zeile eingelesen.

V3=DATEI/ZEILE_LESEN,FPTR,{ZEILE}

KOMMENTAR/BEDIENER,Die aktuelle Zeile lautet:

,ZEILE

DATEI/RÜCKLAUF,FPTR

DATEI/POS_AUFRUFEN,FPTR

KOMMENTAR/BEDIENER,Die zuvor gespeicherte Dateiposition wurde aufgerufen.

,Die Daten der Zeile an der gespeicherten Position werden nun ausgegeben.

V4=DATEI/ZEILE_LESEN,FPTR,{GESPEICHERT}

KOMMENTAR/BEDIENER,Der Text an der gespeicherten Position lautet:

,GESPEICHERT

Erläuterung des Codes

Dieser Code entspricht dem Code, der unter "Beispielcode für 'Zum Start zurück'" beschrieben wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

DATEI/POS_AUFRUFEN,FPTR
Diese Zeile ruft die gespeicherte Dateizeigerposition im Dateistrom für den Dateizeiger FPTR auf.

V4=DATEI/ZEILE_LESEN,FPTR,{GESPEICHERT}
Diese Zeile liest die nächste Zeile nach der gespeicherten Dateizeigerposition ein und weist sie der benutzerdefinierten Variable GESPEICHERT zu. Die Variable wird dann im nächsten Bedienerkommentar ausgegeben.


Kopieren einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Datei kopieren fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Dateikopiervorgang stattfindet.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Kopieren,<Quelldateiname>,<Zieldateiname>,<Ersetzen-Modus>

<Quelldateiname> | Der Name der Quelldatei (Datei, aus der kopiert wird)
<Zieldateiname> | Der Name der Zieldatei (Datei, in die kopiert wird)
<Ersetzen-Modus> | Die zu treffende Maßnahme, wenn die Zieldatei bereits existiert. Wenn das Ziel bereits existiert, lauten die beiden Modi "Überschreiben" und "Fehler".

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

1. Öffnen Sie das Bearbeitungsfenster.

2. Setzen Sie den Cursor auf den Befehl "Datei kopieren".

3. Drücken Sie F9.

Mehr dazu:

Beispielcode für "Datei kopieren"


Beispielcode für "Datei kopieren"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgende Code fragt nach der zu kopierenden Datei sowie nach einem Zielverzeichnis und der Datei, in die kopiert werden soll.

C1=KOMMENTAR/EINGABE,Geben Sie die zu kopierende Datei ein.

,(Vollständigen Dateipfad angeben.)

C2=KOMMENTAR/EINGABE,Geben Sie einen Namen für die Zieldatei ein.

,(Vollständigen Dateipfad angeben.)

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

KOMMENTAR/BEDIENER,Die zu kopierende Datei ist vorhanden. Der Kopiervorgang beginnt.

DATEI/KOPIEREN,C1.EINGABE,C2.EINGABE,FEHLER_WENN_ZIEL_VORHANDEN

V2=DATEI/VORHANDEN,C2.EINGABE

IF/V2==0

KOMMENTAR/BEDIENER,"Die Datei ist nicht vorhanden in: " + C2.EINGABE

,Kopiervorgang beendet.

PROGRAMM/ENDE

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Kopiervorgang abgeschlossen.

PROGRAMM/ENDE

END_ELSE/

END_IF/

KOMMENTAR/BEDIENER,Die zu kopierende Datei ist nicht vorhanden.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

C1=KOMMENTAR/EINGABE
Diese Zeile nimmt den vollständigen Pfad der zu kopierenden Datei und platziert ihn in der Variablen C1.EINGABE.

C2=KOMMENTAR/EINGABE
Diese Zeile nimmt den vollständigen Pfad der Zieldatei und platziert ihn in der Variablen C2.EINGABE.

DATEI/KOPIEREN,C1.EINGABE,C2.EINGABE,FEHLER-WENN_ZIEL_VORHANDEN
Diese Zeile kopiert die Originaldatei in eine Zieldatei. Dieser Befehl verwendet drei Parameter.

  • Parameter 1 ist C1.EINGABE. Dies ist der vollständige Pfad zur Datei, die kopiert werden soll.

  • Parameter 2 ist C2.EINGABE oder der vollständige Pfad zur Zieldatei.

  • Parameter 3 bricht in diesem Fall den DATEI/KOPIEREN-Vorgang ab, wenn bereits eine Datei mit demselben Zieldateinamen vorhanden ist. Sie können diesen Parameter so einstellen, dass eine vorhandene gleichnamige Datei überschrieben wird.


Verschieben einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Datei verschieben fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Dateischiebevorgang stattfindet.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Verschieben,<alterDateiname>,<neuerDateiname>

<alterDateiname> | Die Speicherposition und der Name der Datei
<neuerDateiname> | Die neue Speicherposition und der Name der Datei

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Datei verschieben".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Datei verschieben"


Beispielcode für "Datei verschieben"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgende Code fragt nach der zu verschiebenden Datei, nach dem Zielverzeichnis und dem Namen der Zieldatei und führt dann die Dateiverschiebung durch.

C1=KOMMENTAR/EINGABE,Geben Sie die zu verschiebende Datei ein.

,(Vollständigen Dateipfad angeben.)

C2=KOMMENTAR/EINGABE,Geben Sie einen Namen für die Zieldatei ein.

,(Vollständigen Dateipfad angeben.)

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

KOMMENTAR/BEDIENER,Die zu verschiebende Datei ist vorhanden. Die Dateiverschiebung beginnt.

DATEI/VERSCHIEBEN,C1.EINGABE,C2.EINGABE

V2=DATEI/VORHANDEN,C2.EINGABE

IF/V2==0

KOMMENTAR/BEDIENER,"Die Datei ist nicht vorhanden in: " + C2.EINGABE

,Die Verschiebung wurde nicht ordnungsgemäß durchgeführt.

PROGRAMM/ENDE

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Verschiebungsvorgang abgeschlossen.

PROGRAMM/ENDE

END_ELSE/

END_IF/

KOMMENTAR/BEDIENER,Die Originaldatei ist nicht vorhanden. Versuchen Sie es erneut.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Datei verschieben'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

DATEI/VERSCHIEBEN,C1.EINGABE,C2.EINGABE
Diese Zeile kopiert die Originaldatei in eine Zieldatei. Dieser Befehl verwendet zwei Parameter.

· Parameter 1 ist C1.EINGABE. Dies ist der vollständige Pfad zu der zu verschiebenden Datei.

· Parameter 2 ist C2.EINGABE oder der vollständige Pfad zur Zieldatei.


Löschen einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Datei löschen fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung eine Datei gelöscht wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Löschen,<Dateiname>

<Dateiname>

Der Name der zu löschenden Datei.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Datei löschen".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Datei löschen"


Beispielcode für "Datei löschen"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgende Code fragt nach einem Dateinamen und löscht dann die Datei.

C1=KOMMENTAR/EINGABE,Geben Sie die zu löschende Datei ein.

,(Vollständigen Dateipfad angeben.)

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

KOMMENTAR/BEDIENER,Die Datei ist vorhanden. Bereit für den Löschvorgang.

DATEI/LÖSCHEN,C1.EINGABE

V2=DATEI/VORHANDEN,

IF/V2==0

KOMMENTAR/BEDIENER,Die Datei wurde gelöscht.

PROGRAMM/ENDE

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Die Datei ist noch vorhanden.

PROGRAMM/ENDE

END_ELSE/

END_IF/

KOMMENTAR/BEDIENER,Die zu löschende Datei ist nicht vorhanden. Wählen Sie eine vorhandene Datei aus.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Datei verschieben'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

DATEI/LÖSCHEN,C1.EINGABE
Diese Zeile löscht die angegebene Datei. Dieser Befehl verwendet einen Parameter, den Namen der zu löschenden Datei. In diesem Fall ist dies C1.EINGABE.


Prüfen des Vorhandenseins einer Datei

Die Menüoption Einfügen | Datei I/O-Befehl | Datei vorhanden fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung das Vorhandensein einer Datei überprüft und die angegebene Variable auf das Ergebnis gesetzt wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Vorhanden,<Dateiname>

<Dateiname> | Der Name der Datei, die daraufhin überprüft wird, ob sie bereits auf dem Datenträger existiert
<Variablenname> | Der Name der Variablen, die auf das Ergebnis der durchgeführten Prüfung gesetzt wird. Die Variable wird auf den Wert 1 gesetzt, wenn die Datei existiert und auf 0, wenn sie nicht existiert.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl "Datei vorhanden".

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Datei vorhanden"


Beispielcode für "Datei vorhanden"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgenden Code fragt nach einem Dateinamen und prüft dann, ob die Datei vorhanden ist.

C1=KOMMENTAR/EINGABE,Geben Sie die zu überprüfende Datei ein.

V1=DATEI/VORHANDEN,C1.EINGABE

IF/V1<>0

KOMMENTAR/BEDIENER,Die Datei ist vorhanden.

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Die Datei ist nicht vorhanden.

END_ELSE/

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

V1=DATEI/VORHANDEN,C1.EINGABE
Diese Zeile überprüft, ob die angegebene Datei vorhanden ist. Die Datei muss sich im Verzeichnis befinden, in dem PC-DMIS installiert ist, damit dieser Code funktioniert. Andernfalls muss die Zeile, welche die Datei enthält, auch den vollständigen Pfad der Datei enthalten. V1 erhält das Ergebnis der Dateiprüfung. Ist die Datei vorhanden, ist der Wert ungleich Null. Andernfalls lautet er 0.


Anzeigen eines Dateidialogfelds

Die Menüoption Einfügen | Datei I/O-Befehl | Dateidialogfeld fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Dateidialogfeld eingeblendet wird. In diesem Dateidialogfeld kann der Bediener des Werkstückprogramms einen Dateinamen während der Programmausführung auswählen. Der Name der gewählten Datei wird in der angegebenen Variable gespeichert.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Dialogfeld,<Ausdruck>

<Variablenname> | Der Name der Variablen, die auf den Namen der Datei, die der Benutzer im Dateidialogfeld gewählt hat, gesetzt wird.
<Ausdruck> | Der Text, der in der Titelleiste des Dateidialogfelds erscheint.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Setzen Sie den Cursor auf den Befehl Dateidialogfeld.

  3. Drücken Sie "F9".

Mehr dazu:

Beispielcode für "Dateidialogfeld"


Beispielcode für "Dateidialogfeld"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgende Code zeigt ein Dialogfeld an, in dem Sie eine zu löschende Datei auswählen können.

V1=DATEI/DIALOGFELD,Zu löschende Datei auswählen

V2=DATEI/VORHANDEN,V1

IF/V2<>0

KOMMENTAR/BEDIENER,Die Datei ist vorhanden. Bereit für den Löschvorgang.

DATEI/LÖSCHEN,V1

V3=DATEI/VORHANDEN,

IF/V3==0

KOMMENTAR/BEDIENER,Die Datei wurde gelöscht.

PROGRAMM/ENDE

END_IF/

ELSE/

KOMMENTAR/BEDIENER,Die Datei ist noch vorhanden.

PROGRAMM/ENDE

END_ELSE/

END_IF/

KOMMENTAR/BEDIENER,Die zu löschende Datei ist nicht vorhanden. Wählen Sie eine vorhandene Datei aus.

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Die hier angeführten Erläuterungen beziehen sich nur auf dieses Beispiel.

V1=DATEI/DIALOGFELD, Zu löschende Datei auswählen
Diese Zeile zeigt ein Dialogfeld mit dem Titel "Zu löschende Datei auswählen" an. Darin können Sie nach einer Datei suchen, und wenn Sie auf Öffnen klicken, übergibt PC-DMIS den vollständigen Dateipfad der ausgewählten Datei an V1. Der Rest des Programms löscht die ausgewählte Datei.


Prüfen auf das Ende einer Datei oder Ende einer Zeile

In PC-DMIS können Sie das Ende einer Datei prüfen, indem Sie die Funktion EOF oder EOL in einer Bedingungsprüfung verwenden.

EOF steht für END OF FILE (ENDE DER DATEI). Diese Funktion verwendet einen Dateizeiger mit einer Zeichenfolge. Wird die Funktion richtig innerhalb der Bedingungsanweisung platziert, prüft sie den Dateizeiger daraufhin, ob er das Ende der angegebenen Datei erreicht hat. In diesem Fall gibt die Funktion "wahr" wieder.

EOL steht für END OF LINE (ENDE DER ZEILE). Diese Funktion verwendet einen Dateizeiger mit einer Zeichenfolge. Wird die Funktion richtig innerhalb der Bedingungsanweisung platziert, prüft sie den Dateizeiger daraufhin, ob er das Zeilenende in der angegebenen Datei erreicht hat. In diesem Fall gibt die Funktion "wahr" wieder. Diese Funktion eignet sich am besten für eine Schleife.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

EOF(<Dateizeiger>) oderEOL(<Dateizeiger>)

<Dateizeiger>

Der Name des Dateizeigers, der geprüft wird.

Mehr dazu:

Beispielcode für "EOF" und "EOL"


Beispielcode für "EOF" und "EOL"

Der unten stehende Beispielcode sollte im Befehlsmodus des Bearbeitungsfensters eingegeben werden, und nicht innerhalb des Dialogfeldes Datei I/O.

Der folgende Code öffnet eine Datei namens test.txt und liest die Datei durch. Solange das Ende der Datei (das durch den Code WHILE/!EOF gekennzeichnet ist) nicht erreicht wurde, liest PC-DMIS die Datei zeichenweise durch, und weist V1 ein Zeichen zu.

Hat PC-DMIS das Ende einer Zeile in dieser Datei erreicht, wird das letzte Zeichen dieser Zeile angezeigt.

Dieser Vorgang wird solange wiederholt, bis PC-DMIS das Dateiende erreicht hat. PC-DMIS blendet dann den Text "Dateiende erreicht..." ein.

FPTR=DATEI/ÖFFNEN,D:\temp\test.txt,LESEN

WHILE/!EOF("FPTR")

V1=DATEI/ZEICH_LESEN,FPTR

IF/!EOL("FPTR")

KOMMENTAR/BEDIENER,NEIN,"Zeilenende erreicht. Das letzte Zeichen lautet:"

,V1

END_IF/

END_WHILE/

KOMMENTAR/BEDIENER,NEIN,"Dateiende erreicht..."


Verwenden von Ausdrücken und Variablen

Verwenden von Ausdrücken und Variablen: Einführung

Verwenden von Ausdrücken in einem Werkstückprogramm

Anzeigen von Ausdruckswerten

Nur Ausdruckswerte beibehalten

Verwenden von Ausdrücken mit Verzweigung

Verwenden von Ausdrücken mit Datei-Eingabe/-Ausgabe

Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm

Erstellen eines Ausdrucks über die Tastatur

Erstellen eines Ausdrucks mit dem Ausdruckerstellungsprogramm

Prüfen der Korrektheit des Ausdrucks

Typ des Ausdruckelements

ID

Erweiterung

Zweite Erweiterung

Schaltfläche "Hinzufügen"

Bearbeitungsfeld

Beschreibungsbereich

Verwenden von Variablen mit Ausdrücken

Zuweisen von Werten zu Variablen mit Hilfe des Dialogfelds "Zuweisung"

Zuweisen zu

Zuweisen von

Einfügen

Ausdruckskomponenten

Arten von Operanden

Literale

Verweise

Verweise vom Typ "Double"

Verweise vom Typ "Punkt"

Verweise vom Typ "Zeichenfolge"

Variablen

Strukturen

Regeln für Strukturen

Strukturen mit Variablen vom Typ "Punkt"

Zeiger

Arrays

Element-Arrays:

Array-Indexobjekt:

Messpunkt-Arrays:

Variablen-Arrays:

Operatoren für Ausdrücke

Priorität/Vorrang

Funktionen

Verfügbare Funktionen

Zeichenfolgenfunktionen

Punktfunktionen

Zeigerfunktionen

Array-Funktionen

Funktionsfunktionen

Gemischte Funktionen

TutorElement-Funktion

QualToolData-Funktion (Kalibriernormal-Datenfunktion)

Trigonometrie- Funktionen

Beispiele für Funktionen

Erzwungene Umwandlung von Operanden

Erzwungene Umwandlung in eine Ganzzahl

"Double"-Zwangsumwandlung

Erzwunge Umwandlung in eine Zeichenfolge

Erzwungene Umwandlung in einen Punkt

Operanden-Zwangsumwandlung und Ausdrücke gemischter Art

ID-Ausdrücke

Element-Array-ID

ID-Stellvertreterzeichen

IDs für Elemente innerhalb von Unterprogrammen, BASIC-Skripts oder externen Programmen

ID-Ausdrucks-Kombinationen

Zugreifen auf die Objekteigenschaften eines Protokolls


Verwenden von Ausdrücken und Variablen: Einführung

Ein Ausdruck ist eine benutzerdefinierte Bedingung, die in Verbindung mit PC-DMIS-Befehlen zur Ablaufsteuerung verwendet wird. Mit Hilfe von Ablaufsteuerungsanweisungen können Sie diese Bedingungen in Ihrem Werkstückprogramm testen und bestimmen, wie PC-DMIS vorgehen soll, wenn die Bedingung erfüllt oder nicht erfüllt wird.

Ausdrücke spielen eine wichtige Rolle, wenn Sie bestimmte Aufgaben durch PC-DMIS ausführen lassen möchten. Durch die Verwendung von Ausdrücken in Verbindung mit Befehlen zur Programmablaufsteuerung können Sie die leistungsstarken Funktionen von PC-DMIS noch besser nutzen.

Dieser Abschnitt beschreibt, wie Sie Ausdrücke im Bearbeitungsfenster von PC-DMIS erstellen und verwenden können. Beim Arbeiten mit Ausdrücken sollten Sie das Bearbeitungsfenster von PC-DMIS in den Befehlsmodus versetzen. Dadurch können Sie den Code im Bearbeitungsfenster direkt einsehen.

In diesem Abschnitt werden folgende Hauptthemen behandelt:

  • Verwenden von Ausdrücken in einem Werkstückprogramm

  • Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm

  • Verwenden von Variablen mit Ausdrücken

  • Ausdruckskomponenten


Verwenden von Ausdrücken in einem Werkstückprogramm

Im Bearbeitungsfenster von PC-DMIS können in den meisten editierbaren Feldern Ausdrücke verwendet werden. Bei editierbaren Feldern handelt es sich in der Regel um die Felder, die gelb markiert werden, wenn Sie im Befehlsmodus des Bearbeitungsfensters die TABULATORTASTE drücken. In Feldern, die den Typ eines Elements ändern, sind keine Ausdrücke zulässig.

Beispiel: Im Feld eines Auto-Elements, das den Typ des automatischen Elements angibt (z.B. Oberflächenpunkt, Auto-Kreis, Auto-Langloch etc), sind keine Ausdrücke zulässig.

Die folgenden Unterthemen enthalten eine ausführliche Beschreibung der verfügbaren Ausdrücke.

Mehr dazu:

Anzeigen von Ausdruckswerten

Nur Ausdruckswerte beibehalten

Verwenden von Ausdrücken mit Verzweigung

Verwenden von Ausdrücken mit Datei-Eingabe/-Ausgabe


Anzeigen von Ausdruckswerten

Wenn Sie den Wert eines Ausdrucks sehen möchten, setzen Sie den Mauszeiger mindestens eine Sekunde lang über den Ausdruck. Der Ausdruck wird berechnet, und unmittelbar unterhalb des Mauszeigers wird ein kleines gelbes Feld eingeblendet, das den Ausdruck und den ermittelten Wert anzeigt.


Nur Ausdruckswerte beibehalten

So lösen Sie einen Ausdruck im Bearbeitungsfenster sofort, so dass nur der Wert beibehalten wird:

  1. Markieren Sie den Ausdruckstext im Bearbeitungsfenster.

  2. Setzen Sie das Zeichen ` (accent grave) vor den Ausdruckstext.

Beispiel: Sie geben den Ausdruck " `1/7 " in einem numerischen Feld ein. Der Ausdruck wird sofort gelöst, und nur der Wert (0,143) wird in das Feld übernommen.


Verwenden von Ausdrücken mit Verzweigung

Ablaufsteuerungsbefehle verwenden Ausdrücke, um den Ablauf eines Programms während der Ausführung zu bestimmen. Informationen dazu, wann ein Verzweigen möglich ist oder nicht, finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm

Ausdruckerstellungsprogramm (Dialogfeld)

In PC-DMIS können Sie im Bearbeitungsfenster über die Tastatur Ausdrücke erstellen, oder Sie können die komfortable Benutzeroberfläche des Dialogfelds Ausdruckerstellungsprogramm verwenden. Die Menüoption Bearbeiten | Ausdruck öffnet das Dialogfeld Ausdruckerstellungsprogramm.

In diesem Dialogfeld können Sie einen Ausdruck erstellen und in ein editierbares Feld einfügen. Das Dialogfeld Ausdruckerstellungsprogramm wird auch geöffnet, wenn der Cursor in einem Feld positioniert ist, in dem Ausdrücke zulässig sind, und Sie die Taste F2 drücken.

Dieses Dialogfeld enthält alle Operatoren und Funktionen, die in Ausdrücken zulässig sind.

Mehr dazu:

Erstellen eines Ausdrucks über die Tastatur

E rstellen eines Ausdrucks mit dem Ausdruckerstellungsprogramm

Typ des Ausdruckelements

ID

Erweiterung

Zweite Erweiterung

Schaltfläche "Hinzufügen"

Bearbeitungsfeld

Beschreibungsbereich

Prüfen der Korrektheit des Ausdrucks


Verwenden von Ausdrücken mit Datei-Eingabe/-Ausgabe

Beim Schreiben von Daten in eine externe Datendatei oder Lesen von Daten aus einer externen Datendatei werden häufig Variablen und andere Ausdrücke verwendet, um diese Daten effizient zu verwalten, zu speichern und anzuzeigen. Weitere Informationen hierzu finden Sie im Abschnitt "Verwenden der Datei-Eingabe/-Ausgabe".


Erstellen eines Ausdrucks über die Tastatur

So erstellen Sie einen Ausdruck, indem Sie ihn über die Tastatur direkt in das Bearbeitungsfenster eingeben:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

  3. Drücken Sie die TABULATORTASTE, um den Cursor in ein editierbares Feld zu setzen, in das Sie den Ausdruck einfügen möchten. Bei den editierbaren Feldern handelt es sich um die gelb markierten Felder.

  4. Geben Sie den Ausdruck ein.


Erstellen eines Ausdrucks mit dem Ausdruckerstellungsprogramm

So geben Sie mit dem Dialogfeld Ausdruckerstellungsprogramm einen Ausdruck ein:

  1. Öffnen Sie das Bearbeitungsfenster.

  2. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

  3. Setzen Sie den Cursor in ein editierbares Feld, in das Sie den Ausdruck einfügen möchten.

  4. Drücken Sie die Taste F2, wenn der Cursor in einem Feld positioniert ist, das Ausdrücke zulässt. Es erscheint das Dialogfeld Ausdruckerstellungsprogramm. Dieses Dialogfeld enthält alle Typen von Operatoren, Operanden und Funktionen. Auf folgende Elemente kann über dieses Dialogfeld zugegriffen werden:

  • Verfügbare Ausdruckstypen

  • Variablen

  • Elemente

  • Merkmale

  • Ausrichtungen

  • Kommentare

  5. Wählen Sie den Typ des Ausdruckelements aus der ersten Auswahlliste aus. Je nach ausgewähltem Typ werden unterschiedliche Kombinationsfelder angezeigt.

  6. Wählen Sie aus der Dropdown-Liste ID die gewünschte ID aus.

  7. Wählen Sie aus der Auswahlliste Erweiterung eine Erweiterung aus.

  8. Wählen Sie aus der Auswahlliste Zweite Erweiterung eine weitere Erweiterung aus. Wenn der Ausdruck eingesetzt werden kann, wird die Schaltfläche Hinzufügen verfügbar.

  9. Klicken Sie auf die Schaltfläche Hinzufügen. Der Ausdruck wird in einem Bearbeitungsfeld angezeigt.

  10. Klicken Sie auf OK. Der Ausdruck wird jetzt an der aktuellen Cursorposition im Bearbeitungsfenster angezeigt.

Hinweis: Sie können das Dialogfeld Ausdruckerstellungsprogramm auch von den folgenden Dialogfeldern aus öffnen: Dialogfeld If-Ausdruck - Wählen Sie hierzu Einfügen | Programmablaufsteuerung | If-Goto und klicken Sie dann auf die Schalftfläche Ausdruck; Dialogfeld Zuweisung - Wählen Sie Einfügen | Zuweisung. Klicken Sie auf die Schaltfläche Zuweisen zu oder Zuweisen von. Sobald der Ausdruck erstellt wurde, fügt PC-DMIS ihn automatisch an der nächstmöglichen Position im Bearbeitungsfenster ein.


Prüfen der Korrektheit des Ausdrucks

Wenn der Cursor das Feld verlässt, in das ein Ausdruck eingegeben wurde, prüft PC-DMIS den Ausdruck auf Korrektheit. Wenn es im geprüften Ausdruck ein Problem gibt, wird eine Fehlermeldung mit dem Hinweis auf einen ungültigen Wert eingeblendet oder der Ausdruckstext wird rot angezeigt. Ausdrücke, die sich auf nicht existierende Objekte beziehen, werden ebenfalls rot angezeigt.

Da der Ausdruck beim Verlassen des Feldes auf seine Korrektheit geprüft wird, bleibt ein Feld, das aufgrund eines Bezugs auf ein nicht vorhandenes Objekt (z.B. KREIS1.X) rot dargestellt wurde, sogar dann noch rot, wenn das neue Objekt (z.B. KREIS1) hinzugefügt wird. Das Feld wird so lange rot angezeigt, bis der Ausdruck erneut auf Korrektheit geprüft wird.

So prüfen Sie die Korrektheit des Ausdrucks erneut:

  1. Bewegen Sie den Cursor in das Feld des Ausdrucks.

  2. Drücken Sie die Taste F2. Das Dialogfeld Ausdruckerstellungsprogramm wird erneut geöffnet. Die am Ausdruck vorgenommenen Änderungen werden im Bearbeitungsfeld angezeigt.

  3. Klicken Sie auf die EINGABETASTE, um das Dialogfeld zu schließen.


Typ des Ausdruckelements

In der Dropdown-Liste Typ des Ausdruckelelements des Dialogfelds Ausdruckerstellungsprogramm werden die verschiedenen Typen von Ausdruckelementen aufgeführt, die in Ausdrücke eingefügt werden können. Dazu gehören:

  • Funktionen

  • Operatoren

  • Ausrichtungen

  • Kommentare

  • Merkmale

  • Elemente

  • Variablen


ID

In der Dropdown-Liste ID des Dialogfelds Ausdruckerstellungsprogramm werden die Elemente aufgeführt, die für den in der Dropdown-Liste Typ des Ausdruckelements ausgewählten Typ von Ausdruckelement verfügbar sind.

Beispiel:

  • Wenn in der Auswahlliste Typ des Ausdruckelements der Eintrag Funktionen und Operatoren ausgewählt wurde, enthält die Auswahlliste ID eine Liste der verfügbaren Funktionen und Operatoren.

  • Wenn in der Auswahlliste Typ des Ausdruckelements der Eintrag Elemente ausgewählt wurde, enthält die Auswahlliste ID eine Liste der Elemente im Werkstückprogramm.


Erweiterung

Die Auswahlliste Erweiterung wird verfügbar, wenn dem in der Auswahlliste ID ausgewählten Element eine Erweiterung hinzugefügt werden muss, damit es als Ausdruckelement eingesetzt werden kann. In der Dropdown-Liste Erweiterung werden die Erweiterungen angezeigt, die für den in der Dropdown-Liste "ID" ausgewählten Eintrag verfügbar sind.

Beispiel: Angenommen, Sie haben in der Auswahlliste ID ein Element ausgewählt. Die Liste möglicher Erweiterungen, die zum Verweisen auf Daten dieses Elements eingesetzt werden können (z. B. "X", "Y", "Z", "Durchm", "Länge", etc.), werden daraufhin in der Auswahlliste Erweiterung aufgeführt.


Zweite Erweiterung

Die Auswahlliste Zweite Erweiterung wird verfügbar, wenn dem in der Auswahlliste Erweiterung ausgewählten Eintrag eine zweite Erweiterung hinzugefügt werden muss, damit er als Ausdruckelement verwendbar ist.

Beispiel: Sie verweisen auf den Nennwert der X-Achsenlage eines Merkmals namens "D1".

Setzen Sie folgendes Verfahren ein:
Wählen Sie D1 aus der Auswahlliste ID.
Wählen Sie X aus der Auswahlliste Erweiterung
Wählen Sie Nennw aus der Auswahlliste Zweite Erweiterung.


Schaltfläche "Hinzufügen"

Wenn Sie in den Dropdown-Listen ein verwendbares oder vollständiges Ausdruckelement wählen, wird die Schaltfläche Hinzufügen verfügbar. Wenn Sie auf diese Schaltfläche klicken, wird der Text angezeigt, der dem Ausdruck hinzugefügt werden soll.

Nehmen Sie beispielsweise an, dass folgende Elemente ausgewählt wurden:

  • Merkmale aus der Liste Typ des Ausdruckelements

  • D1 aus der Liste ID

  • X aus der Liste Erweiterung

  • Nennw aus der Liste Zweite Erweiterung

In diesem Fall wird die Schaltfläche Hinzufügen aktiviert und zeigt folgenden Text an: Hinzufügen D1.X.NENNW.

Wenn Sie auf die Schaltfläche Hinzufügen klicken, wird der Text dann im Bearbeitungsfeld unten im Dialogfeld eingeblendet.

Hinweis: Wenn Sie auf die Schaltfläche OK klicken, wird der Text aus dem Bearbeitungsfeld in das Bearbeitungsfenster übernommen (im Ausdrucksfeld an der aktuellen Cursorposition). Wenn Sie einen Eintrag aus dem Ausdrucksfeld des Bearbeitungsfensters auswählen und der hinzuzufügende Text Klammern enthält, wird das ausgewählte Element in die Klammern des hinzugefügten Texts gesetzt.


Bearbeitungsfeld

Unten im Dialogfeld Ausdruckerstellungsprogramm wird in einem Bearbeitungsfeld der aktuelle Ausdruck angezeigt. Der Ausdruck kann direkt in dieses Feld eingegeben werden, Sie können jedoch auch die Schaltfläche Hinzufügen verwenden.


Beschreibungsbereich

Das Dialogfeld Ausdruckerstellungsprogramm enthält auch einen Beschreibungsbereich. Hier werden Informationen zu den aus der Auswahlliste ausgewählten Einträgen angezeigt. Darüber hinaus wird in einem Feld neben der Schaltfläche Hinzufügen der aktuelle Wert des Ausdrucks angezeigt.

Hinweis: Ungültige Ausdrücke haben den Wert 0.


Verwenden von Variablen mit Ausdrücken

Variablen sind Objekte, die Werte enthalten. Variablen beziehen sich auf reelle, Ganzzahl-, Zeichenfolgen- oder Punkt-Operanden. Variablen sind bei der Verwendung von Ausdrücken äußerst wichtig. Eine Variable hat einen Namen und einen Wert. Der Name dient zum Zugriff auf den Wert der Variablen. Er bleibt unverändert, während sich der Wert ändern kann. Über den Befehl ZUWEISEN/ können Sie einer Variable einen Wert zuweisen.

Mit der Anweisung ZUWEISEN/V1 = 2 wird beispielsweise eine Variable namens V1 mit einem Wert von 2 erstellt. ZUWEISEN/V2 = V1 + 2 greift auf den Wert von V1 zu. Hätte V1 bei der Ausführung dieser Zuweisungsanweisung immer noch den Wert 2, dann würde V2 den Wert 4 haben.

Weitere Informationen zu Variablen finden Sie unter "Variablen".

Siehe auch:

Zuweisen von Werten zu Variablen mit Hilfe des Dialogfelds "Zuweisung"


Assigning Values to Variables by Using the Assignment Dialog Box

Assignment dialog box

Display Menu Roadmap

The Insert | Assignment menu option displays the Assignment dialog box. This dialog box allows you to assign a value to a variable or data element of a part program feature, dimension, or alignment. Use of the assignment command requires a basic understanding of PC-DMIS expressions .

More:

Assign To

A ssign From

Insert


Zuweisen zu

Mit der Schaltfläche Zuweisen zu können Sie angeben, welche Variable den im Feld Zuweisen von errechneten Wert erhalten soll. Die mit der Schaltfläche Zuweisen zu ausgewählten Daten werden in das Feld Zuweisen zu gesetzt. Bei diesem Wert kann es sich um den Namen einer Variablen oder um einen Verweis auf ein Datenelement eines Elements, Merkmals oder einer Ausrichtung handeln.


Zuweisen von

Unter dem Begriff "ausgewertet" versteht man das Ergebnis, das man bei Lösen des mathematischen Ausdrucks eines Werts erhält.

Mit der Schaltfläche Zuweisen von können Sie den zuzuweisenden Wert in das Feld Zuweisen von platzieren. Enthält dieses Feld einen Ausdruck, so wird dieser bei der Programmausführung ausgewertet und das Ergebnis oder der Wert der Berechnung wird dem im Feld Zuweisen zu angegebenen Objekt zugewiesen.


Einfügen

Die Schaltfläche Einfügen fügt einen Zuweisungsbefehl in das Werkstückprogramm ein, wobei das Dialogfeld Zuweisung geöffnet bleibt. Mit dieser Schaltfläche können Sie eine Reihe von Zuweisungsbefehlen einfügen, ohne dabei das Dialogfeld schließen zu müssen.


Ausdruckskomponenten

Ausdrücke haben folgende Arten von Operanden:

  • Ganzzahlen

  • Reelle Zahlen

  • Zeichenfolgen

  • Punkte

  • Elementzeiger

  • Arrays

  • Funktionen

Diese werden im folgenden näher beschrieben.

Siehe auch:

Arten von Operanden

Literale

Verweise

Variablen

Strukturen

Zeiger

Arrays

Operatoren für Ausdrücke

Priorität/Vorrang

Funktionen

Erzwungene Umwandlung von Operanden

ID-Ausdrücke


Arten von Operanden

Die Operanden können vorliegen als:

  • Literale

  • Verweise

  • Variablen

  • Strukturen

  • Zeiger


Literale

*Ganzzahlen: 1, -6, 209

Reelle Zahlen: 1, -6, 2,4, -0,1, 345.6789

Zeichenfolgen: "Hallo Welt", "47", "KREIS 1"

Punkte: Für Punkte ist keine Literaldarstellung verfügbar. Punkte können jedoch mit der Funktion MPUNKT aus anderen Literalen erstellt werden: MPUNKT(0,0,1), MPUNKT(2,2, 3,1, 4,0).

Dateizeiger: Der Name eines Elements in geschwungenen Klammern: {KREIS1}, {LINIE2}, {F3}

Arrays: Für Arrays ist keine Literaldarstellung verfügbar. Arrays können jedoch mit der Funktion ARRAY aus anderen Literalen erstellt werden: Beispiel ARRAY(3, 5, 6), ARRAY("Hallo", 2.3, 9). Diese Funktionen erstellen 3 Element-Arrays mit den Ganzzahlelementen 3, 5 und 6 im ersten Beispiel und dem Zeichenfolgenelement "Hallo", dem Doppelelement 2.3 und dem Ganzzahlelement 9 im zweiten Beispiel.

Funktionen: Für Funktionen ist keine Literaldarstellung verfügbar. Funktionen werden mit dem Schlüsselwort FUNKTION definiert. Der Zugriff auf Funktionen erfolgt über Variablen-IDs. Ein Beispiel: ZUWEISEN/Add2 = FUNKTION((X), X+2) definiert eine Funktion, mit der einem Argument 2 hinzugefügt wird. Der Variablen Add2 wird die Funktion zugewiesen. Die Funktion kann mit der Variablen Add2 wie folgt aufgerufen werden. ZUWEISEN/Ergebnis = Add2(5). Dem Ergebnis wird der Wert 7 zugewiesen.

Hinweis: Numerische Literale werden als reelle Zahlen interpretiert, sofern der Operator bzw. die Funktion keine Ganzzahlen vorschreibt. Ein Beispiel: Der Ausdruck 10 / 8 wird auf 1,25 anstatt auf 1 ausgewertet. Beachten Sie außerdem, dass eine ganzzahlige Teilung auch über die Operanden-Umwandlungsoperatoren möglich ist. Der Ausdruck INT(10) / INT(8) ergibt den Wert 1.


Verweise

Verweise nehmen Bezug auf Datenelemente von anderen Objekten in einem Werkstückprogramm. Verweise basieren auf der ID eines Objekts im Werkstückprogramm, gefolgt von einem Punkt und einer Erweiterung, die auf das Datenelement des Objekts verweist.

Beispiel: Wenn KREIS1 der Name eines gemessenen Kreises im Werkstückprogramm ist, dann verweist KREIS1.X auf den gemessenen Wert der Komponente X von KREIS1. Alle Verweise werden in Werkstückkoordinaten relativ zur aktuellen Ausrichtung ermittelt.

Mehr dazu:

Verweise vom Typ "Double"

Verweise vom Typ "Punkt"

Verweise vom Typ "Zeichenfolge"


Verweise vom Typ "Double"

Es sind die folgenden Bezugsausdrücke verfügbar:

Beispiele für gültige Erweiterungen für Elementverweise vom Typ "Double"

Format: <Element-ID>.<Erweiterung> -> KREIS1.X

KREIS1.X gemessener X-Wert von KREIS1
KREIS1.Y gemessener Y-Wert von KREIS1
KREIS1.Z gemessener Z-Wert von KREIS1

KREIS1.TX theoretischer X-Wert (Nennwert) von KREIS1
KREIS1.TY theoretischer Y-Wert (Nennwert) von KREIS1
KREIS1.TZ theoretischer Z-Wert (Nennwert) von KREIS1

LINIE1.SX gemessener X-Wert des Anfangspunkts von LINIE1
LINIE1.SY
LINIE1.SZ

LINIE1.TSX gemessener X-Wert des Anfangspunkts von LINIE1
LINIE1.TSY
LINIE1.TSZ

LINIE1.EX gemessener X-Wert des Endpunkts von LINIE1
LINIE1.EY
LINIE1.EZ

LINIE1.TEX gemessener X-Wert des Endpunkts von LINIE1
LINIE1.TEY
LINIE1.TEZ

PUNKT.I gemessene I-Komponente des Vektors für PUNKT
PUNKT.J
PUNKT.K

PUNKT.I gemessene I-Komponente des Vektors für PUNKT
PUNKT.TJ
PUNKT.TK

ELEMENT1.TYP Der Elementtyp (z.B. Kreis, Langloch, Kegel). Damit können Sie beispielsweise den Typ eines allgemeinen Elements ändern (Zuweisen/ Allg1.TYP = Elem1.TYP).

ELEM1.ALLE nimmt auf alle Elemente des Elements Bezug. Diese Art von Bezug eignet sich zum Kopieren von Informationen in ein allgemeines Element. (Zuweisen/ Allg1.ALLE = Elem1.ALLE)

Oberflächenvektor

KANTE.OBERFLI

KANTE.OBERFLJ

KANTE.OBERFLK

KANTE.TOBERFI

KANTE.TOBERFJ

KANTE.TOBERFK

Winkelvektor

KREIS.WINKI

KREIS.WINKJ

KREIS.WINKK

KREIS.TWINKI

KREIS.TWINKJ

KREIS.TWINKK

Radius

KREIS1.R

KREIS1.TR

KREIS1.RAD

KREIS1.TRAD

KREIS1.RADIUS

KREIS1.PR – Polarradius

KREIS1.TPR – Theoretischer Polarradius

KREIS1.TRADIUS (nur die ersten Zeichen, TRAD, sind von Bedeutung)

Durchmesser

KREIS1.D

KREIS1.TD

KREIS1.DURCHM

KREIS1.TDURCHM

KREIS1.DURCHMESSER

KREIS1.TDURCHMESSER (nur die ersten Zeichen, TDURCHM, sind von Bedeutung)

Winkel

KEGEL.A

KEGEL.TA

KEGEL.WINK

KEGEL.TWINK

KEGEL.WINKEL

KEGEL.TWINKEL

KEGEL.PA – Polarwinkel

KEGEL.TPA – Theoretischer Polarwinkel (nur die ersten Zeichen sind von Bedeutung)

Länge

LINIE.L

LINIE.TL

LINIE.LÄNG

LINIE.TLÄNG

LINIE.LÄNGE

LINIE.TLÄNGE (nur die ersten Zeichen, TLÄNG, sind von Bedeutung)

Höhe

ZYLINDER.PH – Polarhöhe

ZYLINDER.TPH – Theoretische Polarhöhe

Radius, Winkel, Höhe

PUNKT.RAH – Punkt mit gemessenem Radius, Winkel und Höhe

PUNKT.TRAH – Punkt mit theoretischem Radius, Winkel und Höhe

Bespiele für gültige Erweiterungen für Merkmalsverweise vom Typ "Double"

Format: <Merkmal-ID>.<ACHSE>.<Merkmalelement> -> MERKM1.X.NENNW

MERKM1.X.NENNW | Nennwert für die X-Achsenlage von MERKMAL1
MERKMAL1.X.MESS | Gemessener Wert für die X-Achsenlage von MERKMAL1
MERKMAL1.X.MAX | Maximale Abweichung für die X-Achsenlage von MERKMAL1
MERKMAL1.X.MIN | Minimale Abweichung für die X-Achsenlage von MERKMAL1
MERKMAL1.X.PTOL | Plus-Toleranzwert für die X-Achsenlage von MERKMAL1
MERKMAL1.X.MTOL | Minus-Toleranzwert für die X-Achsenlage von MERKMAL1
MERKMAL1.X.ABW | Abweichung auf der X-Achsenlage von MERKMAL1
MERKMAL1.X.AUS_TOL | Außerhalb-Toleranz-Wert auf der X-Achsenlage von MERKMAL1
MERKMAL1.Y.NENNW | Nennwert für die Y-Achsenlage von MERKMAL1
MERKMAL1.Z.ABW | Abweichung auf der Z-Achsenlage von MERKMAL1
MERKMAL3.PA.MESS | Gemessener Wert für die Polarwinkellage von MERKMAL3
MERKMAL4.M.PTOL | Plus-Toleranzwert für die M-Achsenlage von MERKMAL4
*MERKMAL4.PTOL | Plus-Toleranzwert für die M-Achsenlage von MERKMAL4 (siehe Hinweis unter "Gültige Achsen" unten).
MERKMAL5.BTOL | Bonus-Toleranzwert, wobei MERKMAL5 eine Position ist.

Gültige Achsen:

X, Y, Z, D, R, A, T, V, L, PR, PA, M, PD, RS, RT, S, H, DD, DF, TP

Hinweis: * Bei Merkmalen, die per Definition nur eine Achse haben (z. B. Rundheit, Konzentrizität, usw.), kann der Achsenkennzeichner weggelassen werden. Wenn Sie den Achsenkennzeichner verwenden, sollten Sie beachten, dass alle Merkmaltypen (die nur eine Achse haben) den M-Achsenkennzeichner verwenden – ausgenommen davon sind 2D- und 3D-Winkelabmessungen, bei denen der A-Achsenkennzeichner verwendet wird.

Beispiele für gültige Erweiterungen für Ausrichtungsverweise vom Typ "Double"

Format: <Ausrichtungs-ID>.<Ausrichtungsachse oder Nullpunkt>.<Ausrichtungsachse- oder Nullpunkt-Komponente> -> A1.NULLPUNKT.X

A1.NULLPUNKT.X | X-Ausrichtungskomponente des gemessenen Nullpunkts von A1
A2.NULLPUNKT.Y | Y-Ausrichtungskomponente des gemessenen Nullpunkts von A2
A1.NULLPUNKT.Z | Z-Ausrichtungskomponente des gemessenen Nullpunkts von A1
A1.X-ACHSE.I | I-Ausrichtungskomponente der gemessenen X-Achse von A1
A1.Y-ACHSE.J | J-Ausrichtungskomponente der gemessenen Y-Achse von A1
A1.Z-ACHSE.K | K-Ausrichtungskomponente der gemessenen Z-Achse von A1
A1.CNULLPUNKT.X | X-Ausrichtungskomponente des Nullpunkts von A1 auf Basis der theoretischen Daten (C steht für CAD)
A1.CX-ACHSE.J | J-Ausrichtungskomponente der X-Achse von A1 auf Basis der theoretischen Daten (C steht für CAD)


Verweise vom Typ "Punkt"

Es sind die folgenden Bezugsausdrücke verfügbar:

Beispiele für gültige Erweiterungen für Elementverweise vom Typ "Punkt"

Format: <Element-ID>.<Erweiterung> -> KREIS1.XYZ

KREIS1.XYZ | Gemessener Flächenmittelpunkt von KREIS1
KREIS1.TXYZ | Theoretischer Flächenmittelpunkt von KREIS1
LINIE1.SXYZ | Gemessener Anfangspunkt von LINIE1
LINIE1.TSXYZ | Theoretischer Anfangspunkt von LINIE1
LINIE1.EXYZ | Gemessener Endpunkt von LINIE1
LINIE1.TEXYZ | Theoretischer Endpunkt von LINIE1
KREIS1.IJK | Gemessener Vektor von KREIS1
KREIS1.TIJK | Theoretischer Vektor von KREIS1
KANTE.OBERFLIJK | Gemessener Oberflächenvektor von KANTE
KANTE.TOBERFLIJK | Theoretischer Oberflächenvektor von KANTE
AUTOKREIS1.WINKIJK | Gemessener Winkelvektor von AUTOKREIS1
AUTOKREIS1.TANGIJK | Theoretischer Winkelvektor von AUTOKREIS1

Beispiele für gültige Erweiterungen für Ausrichtungsverweise vom Typ "Punkt"

Format: <Ausrichtungs-ID>.<Ausrichtungsachse oder Nullpunkt> -> A1.X-ACHSE

A1.NULLPUNKT | Gemessener Nullpunkt von Ausrichtung A1
A1.X-ACHSE | Gemessene X-Achse von Ausrichtung A1
A1.Y-ACHSE | Gemessene Y-Achse von Ausrichtung A1
A1.Z-ACHSE | Gemessene Z-Achse von Ausrichtung A1
A1.CNULLPUNKT | Theoretischer Nullpunkt von Ausrichtung A1
A1.CX-ACHSE | Theoretische X-Achse von Ausrichtung A1
A1.CY-ACHSE | Theoretische Y-Achse von Ausrichtung A1
A1.CZ-ACHSE | Theoretische Z-Achse von Ausrichtung A1


Verweise vom Typ "Zeichenfolge"

Verweise auf Kommentare sind die einzigen Objekte vom Typ "Zeichenfolge". Über Verweise kann nur auf EINGABE-Kommentare oder JA/NEIN-Kommentare Bezug genommen werden. Diese Kommentartypen verfügen über eine ID, über die sie identifiziert werden können.

Format: <Kommentar-ID>.EINGABE -> C1.EINGABE

C1.EINGABE – Der (vom Bediener eingegebene) Eingabewert für Kommentar C1.

Kommentare vom Typ JA/NEIN setzen die Eingabe unter Berücksichtigung der aktuellen Spracheinstellung von PC-DMIS auf die jeweilige "Ja"- bzw. "Nein"-Zeichenfolge. In der deutschen Ausgabe von PC-DMIS kann der Bediener die Zeichenfolge mit der Schaltfläche "JA" auf "JA" und mit der Schaltfläche "NEIN" auf "NEIN" setzen. Beachten Sie, dass bei Vergleichen mit diesen Zeichenfolgen zwischen Groß- und Kleinschreibung unterschieden wird. Wenn Sie daher die gesetzten Zeichenfolgen mit "ja" bzw. "nein" vergleichen, erhalten Sie immer ein falsches Ergebnis, selbst wenn der Kommentartyp auf "JA" bzw. "NEIN" gesetzt ist.


Variablen

Variablen können einen der sieben Operanden-Typen annehmen: Ganzzahl, reelle Zahl, Zeichenfolge, Punkt, Elementzeiger, Array oder Funktion. Variablen entstehen und erhalten ihren Wert und Typ, wenn eine ZUWEISEN-Anweisung ausgeführt wird. Die Variablen-ID kann aus einer beliebigen alphanumerischen Zeichenfolge bestehen, die nicht mit einem numerischen Zeichen beginnt. Variablen-IDs können auch Unterstriche enthalten, solange diese nicht am Anfang stehen.

Variablenwerte werden zwischen Ausführungsabläufen gespeichert. Das heißt, die Variablen haben am Ende der Programmausführung dieselben Werte wie am Anfang der erneuten Ausführung.

Hinweis: Wenn das Bearbeitungsfenster aktiviert ist, zeigt PC-DMIS den aktuellen Wert einer Variable an, sobald der Cursor in das entsprechende Feld gesetzt wird. Die Werte von Variablen ändern sich während der Ausführung je nach Ablauf des Programms. Positionieren Sie den Mauszeiger über einer beliebigen Variable, um den aktuellen Wert dieser Variable zu sehen.

ZUWEISEN/ V1 = 2,2+2 | Die Variable V1 ist eine reelle Zahl mit dem Wert 4,2.
ZUWEISEN/ VAR1 = KREIS1.X | Die Variable VAR1 ist eine reelle Zahl, deren Wert dem zum Zeitpunkt der Zuweisung gemessenen Wert von KREIS1.X entspricht.
ZUWEISEN/ MYVAR2 = LINIE1.XYZ | Die Variable MYVAR2 ist ein Punkt, dessen Wert dem zum Zeitpunkt der Zuweisung gemessenen Flächenmittelpunkt von LINIE1 entspricht.
ZUWEISEN/ SVAR = "Hallo Welt" | Die Variable SVAR ist eine Zeichenfolge mit dem Wert "Hallo Welt".

In diesen Beispielen sind die Variablen zugewiesene Werte. Wenn einer Variable ein Wert zugewiesen wurde, kann sie in beliebigen Ausdrucksfeldern als Operand verwendet werden.

Beispiel: V1 in einem numerischen Feld
ZUWEISEN/V1 = 1/3
ANFAHRWEG / V1

Hier wird V1 als Wert des Anfahrwegs für den Befehl ANFAHRWEG verwendet.

Hinweis: In den meisten editierbaren Feldern können Ausdrücke verwendet werden. Auch der folgende Ausdruck ist daher gültig und zeigt dieselbe Wirkung. ANFAHRWEG / 1/3.

Die Komponenten von Variablen des Typs "Punkt" können über die für Verweise verwendete Punkt-Erweiterung-Schreibweise einzeln angesprochen werden.

ZUWEISEN/ V1 = MPUNKT(3, 4, 5) | Die Variable V1 ist vom Typ "Punkt" und hat einen Wert von 3, 4, 5.
ZUWEISEN/ XVAR = V1.X | XVAR ist vom Typ "Double" und hat einen Wert von 3.
ZUWEISEN/ YVAR = V1.Y | YVAR ist vom Typ "Double" und hat einen Wert von 4.
ZUWEISEN/ IVAR = V1.I | IVAR ist vom Typ "Double" und hat einen Wert von 3.
ZUWEISEN/ REDUNVAR = V1.XYZ | REDUNVAR ist vom Typ "Punkt" und hat einen Wert von 3, 4, 5.

Die folgenden Erweiterungen sind gleichwertig. Beide Beispiele dienen dazu, die Bedeutung von Ausdrücken in Werkstückprogrammen zu verdeutlichen.

Angenommen, V1 ist vom Typ "Punkt".

V1.X entspricht V1.I
V1.Y entspricht V1.J
V1.Z entspricht V1.K

V1.XYZ entspricht V1.IJK und V1 ohne Erweiterung.

Wenn einer Variable vom Typ "Zeichenfolge" ein Wert zugewiesen wurde, der dem Namen der ID eines Elements, Merkmals oder einer Ausrichtung entspricht, so kann diese Variable als Bezugsobjekt verwendet werden.

Beispiel:
ZUWEISEN/ V1 = "KREIS1"

Die folgenden Operanden sind möglich und gültig, vorausgesetzt, es ist ein Element mit dem Namen KREIS1 vorhanden.

V1.X - der gemessene X-Wert von KREIS1
V1.TX - der theoretische X-Wert von KREIS1
V1.Durchm (Durchmesser) - der gemessene Durchmesser von KREIS1
V1.Radius - der gemessene Radius von KREIS1

Diese Art eines bei Zeichenfolgen-Variablen möglichen Indirektverweises ist auf eine Ebene von Indirektverweisen beschränkt. Die folgende Kombination funktioniert nicht.

ZUWEISEN/ V1 = "KREIS1"
ZUWEISEN/V2 = "V1"
V2.X - dies ergibt den Wert 0 und nicht den aktuell gemessenen Wert von KREIS1.X.

Hinweis: Der Verweis V2.X wird nicht als Fehler durch roten Text gekennzeichnet, obwohl ein darüber stehender Ausdruck seinen Typ auf "Zeichenfolge" setzt. V2.X kann nicht als Fehler markiert werden, da der Ablauf der Werkstückprogrammausführung erst zum Zeitpunkt der Ausführung bekannt wird.

Wenn Sie jedoch geschwungene Klammern verwenden, funktioniert es folgendermaßen:

ZUWEISEN/V1 = {KREIS}
ZUWEISEN/V2 = {V1}
V2.X - Dadurch erhalten Sie den Wert von KREIS1.X.

Sehen Sie sich das folgende Beispiel an:

ZUWEISEN/ V1 = "KREIS1"
ZUWEISEN/ V2 = "V1"
IF / KREIS1.X > KREIS1.TX, GEHEZU, L2
L1 = MARKE /
ZUWEISEN/ V3 = V2.X
GEHEZU / MARKE, L3
L2 = MARKE /
ZUWEISEN/ V2 = MPOINT( 2, 5, 7)
GEHEZU / MARKE, L1
L3 = MARKE /

Wenn während der Programmausführung der Wert von KREIS1.X größer ist als der Wert von KREIS1.TX, dann ist der Ausdruck V2.X gültig und ergibt einen Wert von 2. Wenn nicht, ergibt der Ausdruck V2.X den Wert 0, da der Wert von V2 zum Zeitpunkt der Zuweisung für V3 der Zeichenfolge "V1" entspricht. Der Programmierer des Werkstückprogramms muss dafür sorgen, dass die Ausdrücke in allen Fällen brauchbare Ergebnisse liefern.

Ergänzender Hinweis zur ZUWEISEN-Anweisung: Beinahe alle Elementverweise können auf der linken Seite der Zuweisungsanweisung (ZUWEISEN) verwendet werden, um einem gemessenen oder theoretischen Datenelement eines Elements einen Wert zuzuweisen. Die einzige Ausnahme bilden die einzelnen I-, J- und K-Komponenten von Vektoren. Um Vektoren Werte zuzuweisen, muss der gesamte Vektor als Einheit mit einem Ausdruck zugewiesen werden, der als Punkt ausgewertet wird. Vektordaten werden normalisiert, wenn sie in die Vektordatenelemente des Elements eingegeben werden.

Beispiel:

ZUWEISEN/ KREIS1.I = 2 - ungültig
ZUWEISEN/ KREIS1.IJK = MPOINT(2, 0, 0)-gültig (Vektor ist normalisiert: 1, 0, 0)

Weitere Informationen zur Verwendung von Variablen innerhalb von Merkmalen finden Sie unter "Merkmal für Variablen erstellen" im Abschnitt "Merkmal für Elemente erstellen".


Strukturen

In Version 3.5 und höher können Sie einen neuen Variablentyp namens Strukturen verwenden. Mit Hilfe von Strukturen können Sie Variablen mit Erweiterungen versehen, um ein Unterelement dieser Variable zu kennzeichnen. Sehen Sie sich das folgende Beispiel an:

Beispiel:

ZUWEISEN/V1.HÖHE = 6
ZUWEISEN/V1.BREITE = 4,3
ZUWEISEN/V1.MODUS = "KREISFÖRMIG"?
ZUWEISEN/V1.PUNKT = MPUNKT(100.3, 37.5, 63.1)

In diesem Beispiel gilt folgendes:

· V1 ist die Struktur.

· HÖHE, BREITE, MODUS und PUNKT sind Unterelemente der Struktur.

Mehr dazu:

Regeln für Strukturen

Strukturen mit Variablen vom Typ "Punkt"


Regeln für Strukturen

  • Ebenso wie Variablen müssen auch Strukturen nicht deklariert werden.

  • Unterelemente einer Struktur können aus folgenden Variablentypen bestehen:

q Ganzzahl

q Double

q Punkt

q Elementzeiger

q Funktion

q Array

q Struktur

So können Sie beispielsweise Strukturelemente haben, die Arrays sind, und Array-Elemente, die Strukturen sind. Dadurch erhalten die folgenden Beispielausdrücke Gültigkeit:

Beispiel

ZUWEISEN/PKW.LINKESEITE.TÜR[2].QUADRANT[3].VERBINDUNG[5].MESSPKT[4] = MPUNKT(558.89, 910.12, 42.45)

KOMMENTAR/BEDIENER,"Aktuelle Z-Position: " + PKW.LINKESEITE.TÜR[2].QUADRANT[3].VERBINDUNG[5].MESSPKT[4].Z

ZUWEISEN/AKTUELLEVERBINDUNG = LINKESEITE.TÜR[2].QUADRANT[3].VERBINDUNG[5]

KOMMENTAR/BEDIENER,"Nächster Messpunkt: " + AKTUELLEVERBINDUNG.MESSPKT[4]


Strukturen mit Variablen vom Typ "Punkt"

Wenn eine Variable den Typ "Punkt" aufweist, kann der Benutzer die Erweiterungen .X, .Y, .Z, .I, .J und .K dennoch verwenden, um einzelne Elemente des Punkts zu erhalten. Der Benutzer kann auch alle Erweiterungen aus diesem Beispiel in deren Strukturen einsetzen, ohne sie dabei als Punktelemente verwenden zu müssen.

Beispiel:

ZUWEISEN/V1.X = "Eine Zeichenfolge"
ZUWEISEN/V1.Y = ARRAY(1,3,5,9,7)
ZUWEISEN/V1.Z = MPUNKT(3,5,7)

KOMMENTAR/PROTOK,V1.X | Die Ausgabe lautet "Eine Zeichenfolge".
KOMMENTAR/PROTOK,V1.Y[2] | Die Ausgabe lautet "3", das zweite Element des Arrays.
KOMMENTAR/PROTOK,V1.Z.Y | Die Ausgabe ist "5", der Y-Wert von MPUNKT.

Durch das Kombinieren von Strukturen mit den Funktionen der PC-DMIS-Ausdruckssprache sind dynamische Strukturverweise, wie sie hier gezeigt werden, möglich:

(Fortsetzung des Beispiels)

ZUWEISEN/DYNAMISCHESTRUKT = FUNKTION((X,Y), X.Y)
C1 =KOMMENTAR/EINGABE,Element eingeben?
ZUWEISEN/TESTZF = C1.EINGABE
ZUWEISEN/VORNE = LINKS(TESTZF, INDEX(TESTZF, ".")-1)
ZUWEISEN/HINTEN = SYMMETRIEPKT(TESTZF, INDEX(TESTZF, "."))
ZUWEISEN/ERGEBNIS = DYNAMISCHESTRUKT(VORNE, HINTEN)

In diesem Teil des Beispiels werden Sie aufgefordert, einen Variablenverweis einzugeben, dann wird der Verweis am ersten '.' geteilt und mit Hilfe der Funktion DYNAMISCHESTRUKT festgelegt, dass ERGEBNIS diesem Verweis entspricht.

Wenn Sie also beispielsweise V1.Y[4] für die Variable C1.EINGABE eingeben, erhält ERGEBNIS schließlich den Wert 9 (das vierte Element des Arrays, das V1.Y zugewiesen ist).

Die Lernzeitauswertung der Ausdrücke wurde dahingehend verbessert, dass nun alle Elemente einer Struktur oder eines Arrays genau angezeigt werden.


Zeiger

Zeiger sind auch als "Elementzeiger" bekannt. Weitere Hinweise dazu finden Sie unter dem Begriff "Elementzeiger" im Glossar.

Mit Zeigern können Sie auf einfache Art über eine Variable auf ein Element verweisen oder Objekte mit dem Befehl "Unterprogramm aufrufen" übergeben. Zeiger funktionieren ähnlich wie ein Indirektverweis über Zeichenfolgenamen. Die Vorteile von Zeigern zeigen sich jedoch bei Unterprogrammen. Im Gegensatz zu Zeichenfolgen lassen Zeiger, die als Argument eines Unterprogramms übergeben werden, eine direkte Modifizierung des Objekts zu, auf das das Unterprogramm verweist. Zeiger werden nicht in komplexen Ausdrücken verwendet. Wird ein Zeiger in einem komplexen Ausdruck verwendet, ergibt er den Wert 0.

Sehen Sie sich folgende Beispiele an:

Beispiel: Zeigerverwendung

ZUWEISEN/ V1 = {KREIS1} | V1 ist nun ein Zeiger, der auf KREIS1 zeigt.
ZUWEISEN/ ABST = DOUBLE(V1.XYZ) | Abst = Abstand von KREIS1 zum Nullpunkt.
Sie können einen Ausdruck auch zwischen geschwungene Klammern setzen, um einen Elementzeiger zu erhalten. In den Versionen vor Version 3.5 war dies unzulässig. Nun sind alle folgenden Beispiele gültige Methoden, um den Zeiger auf das Element KREIS1 einzustellen:
ZUWEISEN/ELEMENTZÄHLER = 1 ZUWEISEN/V1={"KREIS" + ELEMENTZÄHLER} | Weist V1 den Ausdruck "KREIS1" zu.
ZUWEISEN/V2="KREIS1" ZUWEISEN/V3={V2} | Weist Variable V3 den Ausdruck "KREIS1" aus Variable V2 zu.
C1=KOMMENTAR/EINGABE, Geben Sie einen Elementnamen ein. ZUWEISEN/V4={C1.EINGABE} | Nimmt den Elementnamen aus C1.EINGABE und setzt ihn in Variable V4.

Beispiel: Unterprogramm

Im aufrufenden Programm:

CS1 = UNTERPROGAUFR/UNTERPRG,CHANGEX, {KREIS1}

Im aufgerufenen Unterprogramm:

GEN1 = BENUTZERDEFINIERT/ELEMENT
?UNTERPROGRAMM/CHANGEX, ARG1 = {GEN1}

(Wenn KREIS1 übergeben wird, tritt KREIS1 an Stelle von GEN1)

ARG1.X = 5

(Setzt den gemessenen X-Wert von KREIS1 auf 5.)

ENDE/UNTERPROGRAMM

Beispiel: komplexer Ausdruck

ZUWEISEN/ V1 = {KREIS1} + 2

{KREIS1} ergibt 0 und somit ergibt der gesamte Ausdruck 2.


Arrays

Es sind drei Array-Typen verfügbar: Element-Arrays, Messpunkt-Arrays und Variablen-Arrays.

Wichtig: Selbst wenn mehrdimensionale Arrays im Softwareprogramm mehrdimensional dargestellt werden, können diese erst als mehrdimensionale Arrays genutzt werden, wenn ihnen ein ARRAY-INDIZES-Befehl (siehe auch "Array-Indexobjekt:") vorangestellt wird. Vorher sind sie nur eindimensional nutzbar.

Mehr dazu:

Element-Arrays:

Array-Indexobjekt:

Messpunkt-Arrays:

Variablen-Arrays:


Element-Arrays:

Wird ein Element während einer Programmausführung mehrmals gemessen, wird automatisch ein Element-Array erstellt. Die Anzahl der Elemente in diesem Array entspricht dabei der Anzahl der Ausführungen dieses Elements.

Beispiel: Wenn beispielsweise ein gemessenes Kreisobjekt innerhalb einer WHILE-Schleife steht, die fünfmal ausgeführt wird, wird ein Array von fünf gemessenen Kreisen erzeugt. Lautet die ID des gemessenen Kreises "Kreis1", kann mit einem Array-Ausdruck auf die einzelnen Instanzen des gemessenen Kreisobjekts zugegriffen werden. Eckige Klammern dienen zur Angabe der gewünschten Instanz.

Zuweisen/V1 = Kreis1[3].x

V1 wird der gemessene X-Wert der dritten Instanz von Kreis1 zugewiesen.

Hinweis: Wenn für ein bestimmtes Element ein Element-Array vorhanden ist, in einem Verweis jedoch keine Array-Schreibweise verwendet wird, nimmt PC-DMIS die aktuellste Instanz. Im obigen Beispiel würde der Bezug Kreis1.x dem Bezug Kreis1[5].x entsprechen, da die fünfte Instanz die aktuellste Instanz des Objekts ist.

Ausdrücke können innerhalb der eckigen Klammern eines Array-Ausdrucks verwendet werden. Kreis1[3].x und Kreis1[2+1].x sind demzufolge gültige gleichwertige Bezüge. Das folgende Beispiel verwendet eine Schleife, um den gemessenen Flächenmittelpunkt der fünf Kreise im obigen Beispiel auszudrucken.

Beispiel:

Zuweisen/V1 = 1
While/V1 < 6
Kommentar/Protok, "Flächenmittelpunkt von Instanz Nr." + V1 + " von Kreis1:  " + Kreis1[V1].XYZ
Zuweisen/V1 = V1 + 1
End/While

Mögliche Ausgabe des obigen Beispiels:

Flächenmittelpunkt von Instanz Nr. 1 von Kreis1: 3,4, 2,6, 1,43

Flächenmittelpunkt von Instanz Nr. 2 von Kreis1: 4,4, 3,6, 2.43

Flächenmittelpunkt von Instanz Nr. 3 von Kreis1: 5.4, 4.6, 3.43

Flächenmittelpunkt von Instanz Nr. 4 von Kreis1: 6.4, 5.6, 4.43

Flächenmittelpunkt von Instanz Nr. 5 von Kreis1: 7,5, 6,6, 5.43

Arrays sind auch für Merkmale und Ausrichtungen vorhanden, die mehrmals während eines Programmablaufs ausgeführt wurden. Die Ausdrücke Merkm1[2].Nenn und Ausrich1[4].Nullpunkt sind gültig, sofern das Merkmal "Merkm1" mindestens zweimal und die Ausrichtung "Ausrich1" mindestens viermal ausgeführt wurden.

Wenn ein Element-Array-Verweis außerhalb der Grenzen liegt (z.B. Kreis1[2.5] oder > Kreis1["Hallo Welt"]), wird das oberste bzw. das unterste Element zurückgegeben. Weist Kreis1 beispielsweise 3 Instanzen auf, gibt Kreis1[4] und höher Kreis1[3] zurück und Kreis[0] und tiefer würde Kreis1[1] zurückgeben. Alle Ausdrücke zwischen eckigen Klammern werden als Ganzzahlen interpretiert – 2,5 ergibt demzufolge 2, und "Hallo Welt" ergibt 0.


Array-Indexobjekt:

Standardmäßig handelt es sich bei Element-Arrays stets um eindimensionale Arrays. Wenn die Behandlung eines Element-Arrays als mehrdimensionales Array vorteilhafter ist, können Sie zu diesem Zweck das Array-Index-Objekt einsetzen.

Das Array-Indexobjekt ermöglicht Ihnen die Angabe von Ober- und Untergrenzen, um mehrdimensionale Arrays zu erstellen.

  • Durch das Festlegen der Ober- und Untergrenze der ersten Dimension wird ein zweidimensionaler Array erstellt, bei dem die erste Dimension begrenzt und die zweite Dimension unbegrenzt ist.

  • Durch Einstellen der Ober- und Untergrenze der ersten zwei Dimensionen eines Arrays wird ein dreidimensionaler Array erstellt. Die letzte Dimension ist immer unbegrenzt.

Beispiel:

Das Element F1 befindet sich in einer verschachtelten WHILE-Schleife. Die innere WHILE-Schleife wird fünfmal ausgeführt, und die äußere WHILE-Schleife wird dreimal ausgeführt. Wenn die Ausführung abgeschlossen ist, wurde F1 15mal ausgeführt. Somit sind 15 Instanzen von F1 vorhanden.

Sehen Sie sich das Werkstückprogrammsegment im folgenden Beispiel an:

ARRAY_INDIZES/1..5,..
ZUWEISEN/V1 = 1
WHILE/V1<=3
ZUWEISEN/V2 = 1
WHILE/V2<=5
F1=ELEM/PUNKT,KART
NENN/V2,V1,0,0,0,1
MESS/1,1,0,0,0,1
MESS/PUNKT,1
MESSPKT/BASIS,V2,V1,0,0,0,1,1,1,0
ENDEMESS/
ZUWEISEN/V2 = V2+1
KOMMENTAR/PROTOK,"Lage von F1[" + V2 + "," + V1 + "] :" + F1[V2,V1].XYZ
END_WHILE/
ZUWEISEN/V1 = V1+1
END_WHILE/

Mit diesem Codesegment wird ein 3 x 5-Raster von 15 gemessenen Punkten erstellt.

Der ARRAY-INDIZES-Befehl hat für die erste Dimension des Elements einen Wertebereich von 1 bis einschließlich 5 festgelegt. Im Prüfprotokoll werden die Objekte deshalb nicht als F1[1] – F1[15] angezeigt, sondern als F1[1, 1] – F1[5, 3]. So wird eine bessere Übereinstimmung mit dem Layout der Elemente erzielt. Beachten Sie, dass auch der Kommentar auf das Element-Array mit einer Syntax für zweidimensionale Arrays verweist.

So fügen Sie ein ARRAY_INDIZES-Objekt in ein Werkstückprogramm ein:

  1. Geben Sie über die Tastatur "Array" in einer leeren Zeile im Bearbeitungsfenster ein.

  2. Drücken Sie die TABULATORTASTE.

Hinweis: Wenn das Kontrollkästchen Klammern für Element-Arrays anzeigen deaktiviert ist, wird das Element nicht mit dem Namen in Klammern angezeigt. Informationen hierzu finden Sie unter "Klammern für Element-Arrays anzeigen" im Abschnitt "Voreinstellungen".


Messpunkt-Arrays:

Die Messpunkte eines gegebenen Elements sind als Array verfügbar. Sie können auf diese Messpunkte über Ausdrücke mit folgender Array-Syntax zugreifen: <Element-ID>.Hit[<Array-Ausdruck>].<Erweiterung> oder <Element-ID>.RawHit[<Array-Ausdruck>].<Erweiterung>. Hit gibt tasterkompensierte Daten zurück, wenn die Tasterkompensation eingeschaltet ist. RawHit gibt immer Rohdaten (nicht kompensierte Daten) zurück. Gültige Erweiterungen sind X, Y, Z, I, J, K, TX, TY, TZ, TI, TJ, TK, XYZ, TXYZ, IJK und TIJK

Kreis1.Hit[1].XYZ | Der gemessene Flächenmittelpunkt (tasterkompensiert) von Messpunkt 1 von "Kreis1".
Kreis1.Hit[2].IJK | Der gemessene Vektor von Messpunkt 2 von "Kreis1".

Messpunktdaten sind für alle Objekte verfügbar, die Messpunkte haben, unabhängig davon, ob die tatsächlichen Messpunkte im Bearbeitungsfenster angezeigt werden oder nicht. Messpunkte können daher von Scans oder Auto-Elementen stammen.

In den folgenden Themen werden weitere Array-Funktionen behandelt, die zum Auffinden der minimalen oder maximalen Punkte in einem Scan hilfreich sind.

Zuweisen eines Messpunktebereichs zu einem Array.

Mit Hilfe der folgenden Syntax können Sie einem Array einen Messpunktebereich zuweisen:

<Element-ID>.<Messpunkttyp>[<Startnum>..<Endnum>].<Erweiterung>

wobei:

<Element-Id> den Namen des Elements angibt.

<Messpunkttyp> entweder das Wort "MESSPUNKT" für kompensierte Daten oder "RAWHIT" für unkompensierte Daten enthalten kann. Wird die Tasterkompensation ausgeschaltet, sind wiedergegebene Werte immer unkompensiert.

<Startnum> ist ein Ausdruck, der zur Erkennung des ersten Indexwerts des Messpunktebereichs dient.

<Endnum> ist ein Ausdruck, der zur Erkennung des zweiten Indexwerts des Messpunktebereichs dient.

<Erweiterung> dient zur Erkennung des Datentyps. Mögliche Erweiterungen beinhalten die folgenden gemessenen oder theoretischen Datentypen:

· X - Die gemessenen X-Werte der Messpunkte

· Y - Die gemessenen Y-Werte der Messpunkte

· Z - Die gemessenen Z-Werte der Messpunkte

· XYZ - Die gemessenen XYZ-Werte der Messpunkte

· I - Die gemessenen I-Werte der Messpunkte

· J - Die gemessenen J-Werte der Messpunkte

· K - Die gemessenen K-Werte der Messpunkte

· IJK - Die gemessenen IJK-Werte der Messpunkte

· TX - Die theoretischen X-Werte der Messpunkte

· TY - Die theoretischen Y-Werte der Messpunkte

· TZ - Die theoretischen Z-Werte der Messpunkte

· TXYZ - Die theoretischen XYZ-Werte der Messpunkte

· TI - Die theoretischen I-Werte der Messpunkte

· TJ - Die theoretischen J-Werte der Messpunkte

· TK - Die theoretischen K-Werte der Messpunkte

· TIJK - Die theoretischen IJK-Werte der Messpunkte

Beispiel:

ZUWEISEN/V1 = SCAN1.HIT[1..10].X | V1 wird einem Array aus 10 Werten zugewiesen, welche die gemessenen X-Werte aus den ersten 10 Messpunkten von SCAN1 sind.
ZUWEISEN/V2 = SCAN1.HIT[1..SCAN1.NUMHITS].XYZ | V2 wird einem Array aus Punkten aus jedem der Flächenmittelpunkte der Messpunkte des Scans zugewiesen.

Arrays sortieren

Arrays können in PC-DMIS in auf- oder absteigender Reihenfolge sortiert werden. Die folgenden Ausdrücke nehmen einen Array und geben ihn als sortierten Array zurück:

Um in aufsteigender Reihenfolge zu sortieren, verwenden Sie:
SORTUP(<array>)

Um in absteigender Reihenfolge zu sortieren, verwenden Sie:
SORTUP(<array>)

Beispiel:

ZUWEISEN/V1 = ARRAY(5,8,3,9,2,6,1,7) | V1 ist dem Array "5,8,3,9,2,6,1,7" zugewiesen
Zuweisen/V2 = SORTUP(V1) | V2 wird die Array-Werte in aufsteigender Reihenfolge enthalten: "1,2,3,5,6,7,8,9"
ZUWEISEN/V3 = SORTDOWN(V1) | V3 wird die Array-Werte in absteigender Reihenfolge enthalten: "9,8,7,6,5,3,2,1"

Die größten oder kleinsten Indexwerte eines Arrays zurückgeben:

Sie können einen Array in eine Funktion eingeben und die Indexwerte des Elements, das den größten oder niedrigsten Wert aufweist, mit Hilfe folgender Funktionen zurückgeben:

Um den Indexwert des Elements mit dem größten Wert zurückzugeben, verwenden Sie:
MAXINDEX(<array>)

Um den Indexwert des Elements mit dem kleinsten Wert zurückzugeben, verwenden Sie:
MININDEX(<array>)

Beispiel:

ZUWEISEN/V1 = ARRAY(5,8,3,9,2,6,1,7) | V1 ist dem Array "5,8,3,9,2,6,1,7" zugewiesen
Zuweisen/V2 = MAXINDEX(V1) | V2 wird den Indexwert 4 des Arrays halten. Der Istwert dieses Arrays lautet 9.
ZUWEISEN/V3 = MININDEX(V1) | V2 wird den Indexwert 7 des Arrays halten. Der Istwert dieses Arrays lautet 1.

Sie können die zurückgegebenen Indexwerte zugrundelegen, um den Istwert des Array-Elements zu ermitteln.

Die größten oder kleinsten sortierten Indexwerte eines Arrays zurückgeben

Sie können einen Array in eine Funktion eingeben, die Array-Werte in auf- oder absteigender Reihenfolge sortieren lassen und die Indexwerte dann mit Hilfe folgender Funktionen zurückgeben:

Um den Indexwert des Elements mit dem größten Wert zurückzugeben, verwenden Sie:
MAXINDEX(<array>)

Um den Indexwert des Elements mit dem kleinsten Wert zurückzugeben, verwenden Sie:
MININDEX(<array>)

Beispiel:

ZUWEISEN/V1 = ARRAY(4,8,2,9,5,7) | V1 ist dem Array "4,8,2,9,5,7" zugewiesen
Zuweisen/V2 = MAXINDIZES(V1) | V2 wird einen Array mit diesen Werten halten: "4,2,6,5,1,3"
ZUWEISEN/V3 = MININDIZES(V1) | V3 wird einen Array mit diesen Werten halten: "3,1,5,6,2,4"

Beispiel für die Verwendung von Arrays, um die minimalen und maximalen Punkte in einem Scan zu finden.

Die oben behandelten Messpunkt-Arrayfunktionen dienen hauptsächlich dem Zweck, Ihnen ein einfaches Auffinden der minimalen oder maximalen Punkte in einem Scan zu ermöglichen.

Um den Punkt aus SCAN1 mit dem größten gemessenen X-Wert zu bemaßen, könnten Sie folgenden Ausdruck verwenden:

ZUWEISEN/MAXPKTINDEX = MAXINDEX(SCAN1.HIT[1..SCAN1.NUMHITS].X)

D1 = LAGE VON ELEMENT SCAN1.HIT[MAXPKTINDEX]

Um die drei höchsten Punkte in der Z-Achse von SCAN2 zu finden, könnten Sie folgenden Ausdruck verwenden:

ZUWEISEN/MI = MAXINDIZES (SCAN2.HIT[1..SCAN2.NUMHITS].Z)

ZUWEISEN/DREIPUNKTE = ARRAY(SCAN2.HIT[MI[1]].XYZ, SCAN2.HIT(MI[2]].XYZ, SCAN2.HIT[MI[3]].XYZ)


Variablen-Arrays:

Variablen-Arrays müssen nicht deklariert werden. Variablen-Arrays entstehen, sobald eine ZUWEISEN-Anweisung ausgeführt wird und der Ausdruck auf der rechten Seite der Anweisung einen Array ergibt oder sich der Ausdruck auf der linken Seite der Anweisung auf ein Element in einem Variablen-Array bezieht.

Zuweisen/V1 = Array(3, 4, 5, 6, 7) | Erstellt einen Array aus 5 Elementen und weist ihn V1 zu.
Zuweisen/V2 = V1[3] | Weist V2 den Wert des dritten Elements im Array V1 zu: 5
Zuweisen/V1[4] = 23 | Weist dem vierten Element des Arrays V1 den Wert 23 zu.

Arrays werden dynamisch erstellt und zugeordnet. Ein Array kann demzufolge mit einem Array-Bezug auf der linken Seite einer ZUWEISEN-Anweisung erstellt werden.

Zuweisen/V3[5] = 8

Erstellt dynamisch einen Array und setzt das fünfte Element auf 8.

Wenn auf ein Array-Element Bezug genommen wird, dem noch nie ein Wert zugewiesen wurde, ergibt der Array-Ausdruck den Wert 0.

Zuweisen/V3[5] = 8 |
Zuweisen/V4 = V3[5] | V4 wird auf den Wert 8 gesetzt.
Zuweisen/V5 = V3[6] | Wenn dem sechsten Element von V3 noch nie ein Wert zugewiesen wurde, wird V5 auf 0 gesetzt.

Ebenso wie andere Array-Typen können Ausdrücke innerhalb von eckigen Klammern verwendet werden.

Zuweisen/V3[5] = 8 |
Zuweisen/V4 = V3[2+3] | V4 wird auf den Wert 8 gesetzt.

Variablen-Arrays können mehrere Dimensionen haben.

Zuweisen/V6 = Array( Array(4, 7, 2), Array(9, 2, 6)) | V6 wird ein 2-mal-3-dimensionaler Array zugewiesen, wobei gilt: V6[1, 1] = 4, V6[1, 2] = 7, V6[1, 3] = 2, V6[2, 1] = 9, V6[2,2] = 2 und V6[2,3] = 6.
Zuweisen/V7 = V6[2,1] | V7 wird auf den Wert 9 gesetzt.

Variablen-Arrays können negative Indizes haben.

Zuweisen/V8[-3] = 5

Das Element mit dem Index -3 des Arrays V8 wird auf 5 gesetzt.

Array-Zuweisungen überschreiben vorherige Werte:

Zuweisen/V8 = "Hallo" | Der Variablen V8 entspricht die Zeichenfolge "Hallo".
Zuweisen/V8[2] = 5 | V8 ist nun nicht mehr vom Typ "Zeichenfolge", sondern vom Typ "Array", dessen zweitem Element der Wert 5 zugewiesen wird.
Zuweisen/V8 = 9 | V8 ist nun nicht mehr vom Typ "Array", sondern vom Typ "Ganzzahl" mit dem Wert 9.

Arrays können aus mehreren Typen erstellt werden:

Zuweisen/V9 = Array("Hallo", 3, 2,9, {ELEM1})

Erstellt Array V9 mit 4 Elementen. Das erste Element ist eine Zeichenfolge, das zweite eine Ganzzahl, das dritte eine reelle Zahl, und das vierte Element ist ein Zeiger auf ELEM1.


Operatoren für Ausdrücke

PC-DMIS hält folgende Basisoperatoren für Sie bereit:

+ Addition: <Ausdruck> + <Ausdruck>
Addiert die beiden Ausdrücke. Im Fall von Zeichenfolgen werden diese verkettet.

- Subtraktion: <Ausdruck> - <Ausdruck>
Subtrahiert den ersten Ausdruck vom zweiten Ausdruck.

* Multiplikation: <Ausdruck> * <Ausdruck>
Multipliziert die beiden Ausdrücke.

/ Division: <Ausdruck> - <Ausdruck>
Dividiert den ersten Ausdruck durch zweiten Ausdruck.

^ Potenzierung: <Ausdruck> ^ <Ausdruck>
Potenziert den ersten Ausdruck (Basis) durch den zweiten Ausdruck (Exponent).

% Modulo: <Ausdruck> % <Ausdruck>
Gibt den Rest aus der Division des ersten Ausdrucks durch den zweiten zurück.

- Additive Umkehrung -<Ausdruck>
Gibt die additive Umkehrung des Ausdrucks zurück.

! Logische Nicht-Funktion: !<Ausdruck>
Gibt die logische Nicht-Funktion des Ausdrucks zurück.

== Gleich: <Ausdruck> == <Ausdruck>
Ergibt 1, wenn die Ausdrücke gleich sind. Ergibt andernfalls 0. (Hier werden zwei Gleichheitszeichen verwendet, um den Zuweisungsoperator = in der ZUWEISEN-Anweisung zu unterscheiden).

<> Ungleich: <Ausdruck> <> <Ausdruck>
Ergibt 1, wenn die Ausdrücke nicht gleich sind. Ergibt andernfalls 0.

> Größer als: <Ausdruck> > <Ausdruck>
Ergibt 1, wenn der erste Ausdruck größer ist als der zweite Ausdruck. Ergibt andernfalls 0.

>= Größer als oder gleich: <Ausdruck> >= <Ausdruck>
Ergibt 1, wenn der erste Ausdruck größer als der zweite Ausdruck oder gleich ist. Ergibt andernfalls 0.

< Kleiner als: <Ausdruck> < <Ausdruck>
Ergibt 1, wenn der erste Ausdruck kleiner als der zweite Ausdruck ist. Ergibt andernfalls 0.

<= Kleiner als oder gleich: <Ausdruck> <= <Ausdruck>
Ergibt 1, wenn der erste Ausdruck kleiner als oder gleich dem zweiten Ausdruck ist. Ergibt andernfalls 0.

AND logisches Und: <Ausdruck> AND <Ausdruck>
Ergibt 1, wenn beide Ausdrücke nicht 0 ergeben. Ergibt andernfalls 0.

OR Logisches Oder: <Ausdruck> OR <Ausdruck> Ergibt 1, wenn beide Ausdrücke nicht 0 ergeben. Ergibt andernfalls 0.

() Klammern: ( <Ausdruck> )
Gibt dem Ausdruck innerhalb der Klammern Priorität bei der Auswertung.


Priorität/Vorrang

Ausdrücke werden anhand folgender Prioritäten ausgewertet. (Die Liste beginnt mit der höchsten Priorität und endet mit der Niedrigsten.)

Höchste Priorität

  • Operanden

  • (monadisches Minus), !, (), Funktionen (i.e. ABS, COS, STR, LEN, CROSS usw.)

  • ^

  • *, /, %

  • +, -

  • ==, <>, <, <=, >, >=

  • UND

  • ODER

Niedrigste Priorität


Funktionen

Bei Funktionen handelt es sich um PC-DMIS-spezifische Ausdrücke oder benutzerdefinierte Ausdrücke, die Parameter annehmen und Ergebnisse zurückgeben. Die Parameter werden im Ausdruck eingesetzt, bevor der Ausdruck ausgewertet wird.

Mehr dazu:

Verfügbare Funktionen

Zeichenfolgenfunktionen

Mathematische Funktionen

Punktfunktionen

Zeigerfunktionen

Array-Funktionen

Funktionsfunktionen

Gemischte Funktionen

TutorElement-Funktion

QualToolData-Funktion (Kalibriernormal-Datenfunktion)

Beispiele für Funktionen


Liste "Funktionen"

Die folgende Liste in alphabetischer Reihenfolge enthält alle Funktionen, die der Ausdruckssprache von PC-DMIS zur Verfügung stehen. Durch Klicken auf einen Eintrag erscheint ein spezifisches Unterthema mit weiteren Informationen bzw. Beispielen.

ABS (mathematisch)

ACOS (mathematisch)

ANGLEBETWEEN (Punkt)

ARRAY (Array)

ASIN (mathematisch)

ATAN (mathematisch)

CHR (Zeichenfolge)

COS (mathematisch)

CROSS (Punkt)

DEG2RAD (mathematisch)

DELTA (Punkt)

DIST2D (Dateizeiger)

DIST3D (Dateizeiger)

DOT (Punkt)

ELEMENT (Zeichenfolge)

EOF (Verschiedenes)

EOL (Verschiedenes)

EQUAL (Array)

EQUAL (Zeichenfolge)

EXP (mathematisch)

FORMAT (Zeichenfolge)

FUNCTION (Funktion)

GETCOMMAND (Dateizeiger)

GETSETTING(Zeichenfolge)

GETTEXT (Zeichenfolge)

IF (Verschiedenes)

INDEX (Zeichenfolge)

ISIOCHANNELSET (Verschiedenes)

LEFT (Zeichenfolge)

LEN (Array)

LEN (Zeichenfolge)

LN (mathematisch)

LOG (mathematisch)

LOWERCASE(Zeichenfolge)

MAX (Array)

MID (Zeichenfolge)

MIN (Array)

ORD (Zeichenfolge)

PROBEDATA (Verschiedenes)

QUALTOOLDATA (Verschiedenes)

RAD2DEG (mathematisch)

RIGHT (Zeichnenfolge)

ROUND (mathematisch)

SIN (mathematisch)

SQRT (mathematisch)

SYSTEMDATE (Zeichenfolge)

SYSTEMTIME (Zeichenfolge)

SYSTIME (Zeichenfolge)

TAN (mathematisch)

TUTORELEMENT (Verschiedenes)

UNIT (Punkt)

UPPERCASE(Zeichenfolge)


Zeichenfolgenfunktionen

CHR Zeichenkonvertierung: CHR(<Ganzzahl>)
Gibt eine Zeichenfolge zurück, die aus dem Zeichen besteht, das dem angegebenen ASCII-Dezimalwert entspricht.

ELEMENT Lage begrenzter Teilzeichenfolgen: ELEMENT(<Ganzzahl>, <Zeichenfolge1>, <Zeichenfolge2>)

Gibt die n-te (n = <Ganzzahl>) Teilzeichenfolge in Zeichenfolge2 zurück, wobei Zeichenfolge1 als begrenzender Text dient, durch den die Elemente in Zeichenfolge2 unterteilt werden. Beispiel: Wenn Zeichenfolge2 "6, 12, 8, 4, 5" ist, und Zeichenfolge1 aus "," besteht, dann lauten die 5 Elemente, die mit dem ELEMENT-Befehl einzeln extrahiert werden können "6", "12", "8", "4" und "5".

EQUAL Zeichenfolgevergleich ohne Berücksichtigung von Groß-/Kleinschreibung: EQUAL(<Zeichenfolge>, <Zeichenfolge>)

Vergleicht zwei Zeichenfolgen (ignoriert Groß-/Kleinschreibung), um zu bestimmen, ob sie gleich sind. Gibt eine auf den Wert 1 gesetzte Ganzzahl zurück, wenn die Zeichenfolgen gleich sind, bzw. 0, wenn sie nicht gleich sind.

GETSETTING Damit können Sie verschiedene PC-DMIS-Einstellungen unter Zugrundelegung der eingefügten Zeichenfolgenparameter zurückgeben.

GETSETTING(<Zeichenfolge>)

Folgende Zeichenfolgenparameter stehen zur Auswahl:

  • "CNC-Modus" – Gibt den Wert 1 zurück, wenn sich PC-DMIS im CNC-Modus befindet, andernfalls "0".

  • "Manueller Modus" – Gibt den Wert 1 zurück, wenn sich PC-DMIS im manuellen Modus befindet, andernfalls "0".

  • "Aktuelle Ausrichtung" - Gibt die aktuelle Ausrichtung als Zeichenfolge zurück.

  • "Aktuelle Arbeitsebene" - Gibt die aktuelle Arbeitsebene als Zeichenfolge zurück.

  • "Arbeitsebenen-Wert" - Gibt den Wert der aktuellen Arbeitsebene als numerischen Wert zurück.

  • "Anfahrweg" - Gibt den aktuellen Wert des Anfahrwegs als doppelt genauen Wert zurück.

  • "Rückfahrweg" - Gibt den aktuellen Wert des Rückfahrwegs als doppelt genauen Wert zurück.

  • "Prüfen" - Gibt den aktuellen Kontrollwert als doppelt genauen Wert zurück.

  • "Messgeschwindigkeit" - Gibt den aktuellen Messgeschwindigkeitswert als doppelt genauen Wert zurück.

  • "Bewegungsgeschwindigkeit" - Gibt den aktuellen Bewegungsgeschwindigkeitswert als doppelt genauen Wert zurück.

  • "Fly-Modus" – Gibt den Wert 1 zurück, wenn sich PC-DMIS im Fly-Modus befindet, andernfalls "0".

  • "DSE vorhanden" – Gibt den Wert 1 zurück, wenn ein DSE vorhanden ist, andernfalls 0.

  • "Manuelles KMG" – Gibt den Wert 1 zurück, wenn es sich um ein manuelles KMG handelt, andernfalls "0".

  • "LangStr(<Nummer oder ID>)" – Gibt eine aus einer Zahl oder einer der folgenden IDs bestehende Zeichenfolge der PC-DMIS-Ressourcen in der aktuellen Sprache wieder:
    "Ja", "Nein", "Bediener", "Protok", "Eingabe", "Dok", "JaNein", "Auslesen ", "Intern", "Extern", "Kart", "Polr", "Außen", "Innen", "Kleinste_Quad", "Min", "Max", "Hüllkr", "Fester_Rad", "Arbeitsebene", "X-Achse", "Y-Achse", "Z-Achse", "Xplus", "Xminus", "YPlus", "YMinus", "ZPlus", "ZMinus", "Punkt", "Ebene", "Linie", "Kreis", "Kugel", "Zylinder", "Langloch", "Rechteckloch", "Kegel" oder "Keins".

    Wenn der Wert, den Sie verwenden, eine positive Zahl ist, extrahiert PC-DMIS die Zeichenfolge aus der Datei "resource.dll". Verwenden Sie eine negative Zahl, extrahiert PC-DMIS die Zeichenfolge aus der Datei "strings.dll" (Tabelle der Zeichenfolgen).

  • "Erweiterte Blechoptionen" – Gibt den Wert 1 zurück, wenn das Kontrollkästchen Erweiterte Blechoptionen einblenden im Dialogfeld Setup-Optionen aktiviert ist, andernfalls 0.

  • "LetzterMesspunktBewegen(X)" – Gibt den X-Wert des letzten MESSPKT/BASIS- oder BEWEGUNGSPUNKT-Befehls zurück. Für diese Funktion muss sich PC-DMIS im CNC-Modus befinden.

  • "LetzterMesspunktBewegen(Y)" – Gibt den Y-Wert des letzten MESSPKT/BASIS- oder BEWEGUNGSPUNKT-Befehls zurück. Für diese Funktion muss sich PC-DMIS im CNC-Modus befinden.

  • "LetzterMesspunktBewegen(Z)" – Gibt den Z-Wert des letzten MESSPKT/BASIS- oder BEWEGUNGSPUNKT-Befehls zurück. Für diese Funktion muss sich PC-DMIS im CNC-Modus befinden.

Um zu ermitteln, ob sich PC-DMIS im MANUELLEN oder CNC-Modus befindet, betrachten Sie bitte folgendes Beispiel zur Verwendung der GETSETTING-Funktion:

Beispiel:
ZUWEISEN/DCCMODEVAR = GETSETTING("CNC-Modus")
weist der Variablen DCCMODEVAR den Wert 1 zu, wenn sich PC-DMIS im CNC-Modus befindet, andernfalls den Wert 0.
ZUWEISEN/MANMODEVAR = GETSETTING("Manueller Modus")
weist der Variablen MANMODEVAR den Wert 1 zu, wenn sich PC-DMIS im manuellen Modus befindet, andernfalls den Wert 0.

Um die Arbeitsebene zu ermitteln, betrachten Sie bitte folgendes Beispiel:

Beispiel:
ZUWEISEN/ARBEITSEBENE_ID = GETSETTING("Aktuelle Arbeitsebene")
weist der Variablen ARBEITSEBENE_ID den Zeichenfolgenwert der aktuellen Arbeitsebene (ZPLUS, ZMINUS etc.) zu.
ZUWEISEN/ARBEITSEBENE_WERT = GETSETTING("Arbeitsebene Wert")
weist der Variablen ARBEITSEBENE_WERT einen numerischen Wert für die Arbeitsebene zu. Folgende Werte sind mit den Arbeitsebenen verknüpft: ZPLUS = 0, ZMINUS = 3, XPLUS = 1, XMINUS = 4, YPLUS = 2 oder YMINUS = 5.

GETTEXT Gibt den aktuellen Text vom angegebenen Datenfeld zurück: GETTEXT(<Zeichenfolge oder Ganzzahl>, <Ganzzahl>, <Zeiger>)

Diese Funktion besitzt drei Felder.

Erstes Feld-Datenfeldnummer oder Beschreibung

Das erste Feld kann entweder eine Zeichenfolge (mit der Beschreibung des Datenfeldes) oder die Datenfeldnummer sein.

So erhalten Sie diese Werte:

1. Versetzen Sie PC-DMIS in den Befehlsmodus. Klicken Sie mit der rechten Maustaste auf eine beliebige Stelle im Bearbeitungsfenster. Ein Kontextmenü wird eingeblendet.

2. Wählen Sie im Kontextmenü Wechsle Popup-Anzeige und Datentypangaben.

3. Setzen Sie die Maus auf ein Datenfeld im Bearbeitungsfenster. Es erscheinen die Datentypbeschreibung und -nummer sowie der Datentypindex des betreffenden Datenelements.

Hinweis: Da die Typbeschreibung von Sprache zu Sprache verschieden sein kann, sollten Sie die Typnummer verwenden, wenn das Werkstückprogramm unter einer anderen als der aktuellen Sprache eingesetzt wird.

Zweites Feld-Typindex

Das zweite Feld ist der Typindex. Der Wert dieses Feldes ist in der Regel Null. Der richtige Wert lässt sich mit derselben wie für das erste Feld beschriebenen Methode feststellen.

Drittes Feld-Befehlszeiger

Das dritte Feld ist ein Befehlszeiger. Es verweist auf den Befehl, der das Feld enthält, aus dem der Text stammt. Dieses Feld kann unter Verwendung der Befehlszeigerschreibweise (z.B. {F15}) oder mit dem GetCommand-Ausdruck angegeben werden (siehe folgendes Beispiel).

Beispiel:
ZUWEISEN/V1 = GETTEXT("Besteinpassungs-Berechnungstyp", 0, {F15})
Dieser Befehl weist V1 den aktuellen Wert des Umschaltfelds "Besteinpassungs-Berechnungstyp" von Element F15 zu.
ZUWEISEN/V2 = GETCOMMAND("Kommentar", "OBEN", 1)
ZUWEISEN/V3 = GETTEXT("Kommentartyp", 1, V2)
V2 wird ein Zeiger zum ersten Kommentar vom Anfang des Werkstückprogramms aus gesehen zugewiesen.
V3 wird der Wert des Umschaltfelds "Kommentartyp" zugewiesen. Ist der erste Kommentar im Werkstückprogramm ein dem Bediener anzuzeigender Kommentar, erhält V3 als Wert die Zeichenfolge "BEDIENER".

Weitere Informationen zur Einstellung eines Zeigers auf einen Befehl finden Sie unter "Zeigerfunktionen".

INDEX Lage der Teilzeichenfolge: INDEX(<Zeichenfolge>, <Zeichenfolge>)
Gibt die Position der zweiten Zeichenfolge innerhalb der ersten Zeichenfolge zurück. Das erste Zeichen in der Zeichenfolge ist 1. Ein Rückgabewert von 0 zeigt an, dass die Teilzeichenfolge nicht in der Zeichenfolge gefunden wurde.

LEFT Linke n Zeichen von Zeichenfolge: LEFT(<Zeichenfolge>, <Zeichenfolge>)
Gibt eine Zeichenfolge zurück und extrahiert dabei die durch den zweiten Ausdruck definierte Anzahl von Zeichen, von links nach rechts aus dem ersten Ausdruck. Der erste Ausdruck wird in den Typ "Zeichenfolge" und der Zweite in den Typ "Ganzzahl" umgewandelt.

LEN Länge der Zeichenfolge: LEN(<Zeichenfolge>)
Gibt die Anzahl von Zeichen in der Zeichenfolge zurück.

LOWERCASE Zeichenfolge mit Kleinschreibung erstellen: LOWERCASE(<Zeichenfolge>)

Gibt die Kleinschriftentsprechung der Zeichenfolge als Zeichenfolge zurück.

MID Mittlere n Zeichen einer Zeichenfolge: MID(<Zeichenfolge>, <Ganzzahl>, <Optionale Ganzzahl>)
Gibt eine Teilzeichenfolge zurück und extrahiert dabei die durch den dritten Parameter definierte Anzahl von n Zeichen aus der durch den ersten Parameter definierten Zeichenfolge, beginnend an der durch den zweiten Parameter definierten Position. Wenn der dritte Parameter nicht definiert wird, werden alle Zeichen ab der Position bis zum Ende der Zeichenfolge zurückgegeben.

ORD Ordinalkonvertierung: ORD(<Zeichenfolge>)
Gibt den Ganzzahl-ASCII-Wert des ersten Zeichens der Zeichenfolge zurück. (0-255).

RIGHT Rechte n Zeichen der Zeichenfolge: RIGHT(<Zeichenfolge>, <Ganzzahl>)
Gibt eine Zeichenfolge zurück und extrahiert dabei die durch die Ganzzahl definierte Anzahl von Zeichen, von rechts nach links aus der Zeichenfolge.

SYSTEMDATE Systemdatum: SYSTEMDATE(<Datenformat-Zeichenfolge>)

Gibt die datumsformatierte Zeichenfolge mit den aktuellen Datumsdetails zurück. Der Befehl SYSTEMDATE("dd'/'MM'/yy'") gibt die Zeichenfolge "15/03/99" zurück, wenn das aktuelle Datum der 15. März 1999 ist.

Verwenden Sie die folgenden Zeichenfolgenelemente, um die Zeitzeichenfolge zu erstellen. Die unten definierte Groß-/Kleinschreibung der Elemente muss eingehalten werden (MM anstelle von mm). Nicht zum Datum gehörende Zeichen (z.B. Leerstellen zwischen Datumsformat-Zeichenfolge-Elementen) erscheinen in der Ausgabezeichenfolge an derselben Position wie in der Eingabezeichenfolge. Zeichen in der Eingabezeichenfolge, die von einfachen Anführungszeichen umschlossen sind, erscheinen in der Ausgabezeichenfolge an derselben Position, jedoch ohne die Anführungszeichen.

d - Tag des Monats als Ziffern. Ohne führende Null bei einstelligen Werten.

dd - Tag des Monats als Ziffern. Mit führender Null bei einstelligen Werten.

ddd - Drei-Buchstaben-Abkürzung für Wochentag.

dddd - Vollständige Bezeichnung des aktuellen Wochentags.

M - Monat als Ziffer ohne führende Null bei einstelligen Werten.

MM - Monat als Ziffer mit führender Null bei einstelligen Werten.

MMM - Monat als Drei-Buchstaben-Abkürzung.

MMMM - Vollständige Bezeichnung des Monats.

y - Jahr als Ziffer ohne führende Null bei einstelligen Werten.

yy - Jahr als Ziffer mit führenden Nullen bei einstelligen Werten.

yyyy - Jahr dargestellt mit 4 Ziffern.

SYSTEMTIME Formatierte Systemzeit: SYSTEMTIME(<Zeitformat-Zeichenfolge>)

Gibt die zeitformatierte Zeichenfolge mit den aktuellen Zeitdetails zurück. Der Befehl SYSTEMTIME("HH':'mm':'ss") gibt eine Zeichenfolge im Format "23:29:40" zurück.

Verwenden Sie die folgenden Zeichenfolgenelemente, um die Zeitzeichenfolge zu erstellen. Die unten angegebene Groß-/Kleinschreibung der Elemente muss eingehalten werden (tt anstelle von TT). Nicht zur Zeit gehörende Zeichen (z.B. Leerstellen zwischen Zeitformat-Zeichenfolge-Elementen) erscheinen in der Ausgabezeichenfolge an derselben Position wie in der Eingabezeichenfolge. Zeichen in der Eingabezeichenfolge, die von einfachen Anführungszeichen umschlossen sind, erscheinen in der Ausgabezeichenfolge an derselben Position, jedoch ohne die Anführungszeichen.

h – Stunden ohne führende Null bei einstelligen Werten, 12-Stunden-Format.

hh – Stunden mit führender Null bei einstelligen Werten, 12-Stunden-Format.

H – Stunden ohne führende Null bei einstelligen Werten, 24-Stunden-Format.

HH – Stunden mit führender Null bei einstelligen Werten, 24-Stunden-Format.

m – Minuten ohne führende Null bei einstelligen Werten.

mm – Minuten mit führender Null bei einstelligen Werten.

s – Sekunden ohne führende Null bei einstelligen Werten.

ss – Sekunden mit führender Null bei einstelligen Werten.

t – Ein-Zeichen-Zeitmarke, wie beispielsweise A oder P.

tt – Zwei-Zeichen-Zeitmarke – wie beispielsweise AM oder PM.

SYSTIME Systemzeit: SYSTIME()
Gibt die aktuelle Systemzeit als Zeichenfolge zurück. Diese Funktion unterscheidet sich von der oben beschriebenen SYSTEMTIME-Funktion. Sie gibt Tag, Datum, Uhrzeit und Jahr automatisch aus.
Beispiel: "Freitag, 7. Mai 1999, 13:50:21"

Hinweis: Die zurückgegebene Zeichenfolge für die aktuelle Systemzeit ist an die lokale Zeitzoneneinstellung angepasst.

UPPERCASE Zeichenfolge in Großschreibung erstellen: UPPERCASE(<Zeichenfolge>)

Gibt die Großschriftentsprechung der Zeichenfolge als Zeichenfolge zurück.

FORMATFormat: FORMAT(<Zeichenfolge>, <Ganzzahl, doppelt, oder Punkt>)

Diese Funktion nimmt zwei Ausdrücke, und gibt eine mit der sprintf-Funktion in C++ vergleichbare formatierte Zeichenfolge zurück.

  • Ausdruck 1 sollte vom Typ Zeichenfolge sein und einen oder drei Formatspezifizierer enthalten. Wenn es sich um einen anderen Typ handelt, versucht der Ausdruckauswerter die Umwandlung in eine Zeichenfolge zu erzwingen. Die Zeichenfolge sollte einen Formatspezifizierer enthalten, wenn Ausdruck 2 vom Typ "Ganzzahl" oder "Double" ist und drei Formatspezifizierer (siehe die folgenden Abschnitte), wenn es sich bei Ausdruck 2 um den Typ "Punkt" handelt.

  • Ausdruck 2 muss vom Typ Ganzzahl, Double, oder Punkt sein. Wird ein anderer Typ verwendet, hat der Ausdruck den Wert 0.

Formatspezifizierer für die Formatfunktion:

Die Formatspezifizierer sollten dieselbe Syntax haben, wie die in der sprintf-Funktion der Programmiersprache C++ verwendeten Formatspezifizierer.

Ein Formatspezifizierer besteht aus optionalen und obligatorischen Feldern und hat folgende Syntax:

%[Attribute] [Breite] [.Genauigkeit] Typ

Jedes Feld des Formatspezifizierers besteht entweder aus einem Einzelzeichen oder einer Zahl, die eine bestimmte Formatoption bedeuten. Der einfachste Formatspezifizierer basiert einfach auf einem Prozentzeichen und einem Schriftzeichen (beispielsweise %d). Wenn nach dem Prozentzeichen ein Schriftzeichen folgt, das als Formatfeld bedeutungslos ist, wird das Zeichen nach STDOUT kopiert. Um beispielsweise ein Prozentzeichen-Schriftzeichen auszugeben, verwenden Sie %%.

Die optionalen Felder Attribut, Breite und Genauigkeit, die vor dem Schriftzeichen erscheinen, steuern andere Aspekte der Formatierung. Sie werden nachfolgend beschrieben.

Attribute Diese optionalen Zeichen steuern die Ausgabeanpassung und den Ausdruck von Zeichen, Leerstellen, Dezimalpunkten und Oktal-/Hexadezimalvorzeichen. Ein Formatspezifizierer kann mehrere Attribute aufweisen.

Folgende Attribute sind zulässig:

–
Bedeutung: Linksausrichtung des Ergebnisses an der vorgegebenen Feldbreite.
Standard: Rechtsausrichtung.

+
Bedeutung: Ein Vorzeichen (+ oder –) vor den Ausgabewert setzen, wenn der Ausgabewert vorzeichenbehaftet ist.
Standard: Vorzeichen erscheinen nur bei Werten mit negativen Vorzeichen (-).

0
Bedeutung: Steht als Vorzeichen vor der Breite eine 0, werden Nullen hinzugefügt, bis die Mindestbreite erreicht wird. Erscheinen eine Null (0) und ein Minus (–), wird der Wert 0 ignoriert. Wird der Wert 0 mit einem Ganzzahlformat (i, u, x, X, o, d) definiert, wird der Wert 0 ignoriert.
Standard: Kein Auffüllen.

Leerzeichen (' ')
Bedeutung: Ein Leerzeichen vor den Ausgabewert setzen, wenn der Ausgabewert vorzeichenbehaftet und positiv ist. Das Leerzeichen wird ignoriert, wenn sowohl Leerzeichen als auch + Attribute erscheinen.
Standard: Kein Leerzeichen.

#
Bedeutung 1: In Kombination mit den Typen o, x, oder X, versieht das # Attribut jeden Ausgabewert, der ungleich Null ist, mit dem Vorzeichen 0, 0x beziehungsweise 0X.
Standard 1: Kein Vorzeichen.
Bedeutung 2: In Kombination mit den Typen e, E oder f, erzwingt das # Attribut in allen Fällen ein Dezimalkomma in jedem Ausgabewert.
Standard 2: Das Dezimalkomma erscheint nur vor Ziffern.
Bedeutung 3: In Kombination mit dem Format g oder G, erzwingt das # Attribut in allen Fällen ein Dezimalkomma in jedem Ausgabewert und verhindert das Abschneiden der hinteren Nullstellen.
Standard 3: Das Dezimalkomma erscheint nur vor Ziffern. Die hinteren Nullstellen werden entfernt.
Hinweis: Wird in Kombination mit d, i oder u ignoriert.

Breite Mit diesem zweiten optionalen Feld oder Argument wird die Mindestanzahl der auszugebenden Zeichen gesteuert. Es handelt sich bei diesem Wert um eine nicht negative Dezimalzahl (Ganzzahl).

  • Wenn die Zeichenanzahl im Ausgabewert die vorgegebene Breite unterschreitet, wird der Wert links oder rechts – je nach dem, ob ein – Attribut (für Linksausrichtung) festgelegt wurde - mit Leerzeichen aufgefüllt, bis die Mindestbreite erreicht wird.

  • Steht als Vorzeichen vor der Breite eine 0, werden Nullen hinzugefügt, bis die Mindestbreite erreicht wird (was bei linksausgerichteten Zahlen störend ist).

  • Die Definition der Breite ist niemals Ursache für ein Abschneiden der Werte. Wenn die Zeichenanzahl im Ausgabewert die vorgegebene Breite überschreitet, oder wenn keine Breite vorgegeben wurde, werden alle Zeichen des Werts gedruckt (je nach dem, wie die weiter unten aufgeführten Genauigkeitsvorgaben sind).

Genauigkeit Dieses dritte optionale Feld oder Argument steuert die Anzahl der auszugebenden Zeichen, die Anzahl der Dezimalstellen oder die Anzahl signifikanter Ziffern. Anders als bei der Definition der Breite kann die Genauigkeitsdefinition entweder zu einem Abschneiden des Ausgabewerts oder zur Abrundung eines Gleitpunktwerts führen. Es handelt sich bei diesem Wert um eine nicht negative Dezimalzahl (Ganzzahl) nach einem Punkt (.).

Typ Dieses obligatorische Zeichen bestimmt, ob es sich bei dem zugehörigen Argument um den Typ "Ganzzahl", "Double" oder "Punkt" handelt. Die Liste verfügbarer Typen beinhaltet:

d - vorzeichenbehaftete Dezimalganzzahl

i - vorzeichenbehaftete Dezimalganzzahl

o - vorzeichenlose Oktalganzzahl

u - vorzeichenlose Dezimalganzzahl

x - vorzeichenlose HexGanzzahl, in Kombination mit "abcdef"

x - vorzeichenlose HexGanzzahl, in Kombination mit "ABCDEF"

e - doppelt genauer Wert in Exponentialform [-]d.dddd e [sign]ddd

E - wie "e", nur dass E zur Einführung des Exponenten verwendet wird

f - doppelt genauer Wert in der Form [-]dddd.dddd

g - formatisiert entweder in das Format e oder f, je nachdem, welches Format kompakter ist

G - wie "g", nur dass G zur Einführung des Exponenten verwendet wird

Beispiel für die FORMAT-Funktion:

Dieses Beispiel zeigt verschiedene Anweisungen, welche die FORMAT-Funktion in einem Werkstückprogramm verwenden.

ZUWEISEN/V1 = TASTERDATEN("VERSATZ") | V1 wird zum Typ "Punkt", der die Versätze des aktuellen Tasters darstellt. Unter Zugrundelegung der Werte aus dem für dieses Beispiel verwendeten Werkstückprogramm, wird V1 zu: <-1.8898, 1.8898, 5.704>
ZUWEISEN/V3 = FORMAT("%.5f, %.5f, %.5f", V1) | V3 wird zum Typ "Zeichenfolge". Die Zeichenfolge wird auf Basis des Punktobjekts der Variable V1 formatiert. V3 enthält nun: -1.88976, 1.88976, 5.70403
ZUWEISEN/V4 = 1.123456789 | V4 wird zumTyp "Double".
ZUWEISEN/V5 = FORMAT("%.5f ", V4) + FORMAT("%.6f ", V4) + FORMAT("%.7f ", V4) + FORMAT("%.8f", V4) | V5 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 1.12346 1.123457 1.1234568 1.12345679
ZUWEISEN/V6A = "V4 wird der Wert: " + FORMAT("%.8f", V4) zugewiesen. | V6 wird zum Typ "Zeichenfolge" mit dem Wert: "V4 hat den Wert: 1.12345679
ZUWEISEN/V6B = FORMAT ("V4 wird der Wert: %.8f", V4) zugewiesen. | Das Ergebnis des Ausdrucks bleibt dasselbe wie für V6A oben.
ZUWEISEN/V7 = 4444 | V7 wird zum Typ "Double", da alle Zahlen als doppelte Werte interpretiert werden, solange nicht die Umwandlung in Ganzzahlen erzwungen wird.
ZUWEISEN/V8 = FORMAT("%o", INT(V7)) | V8 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 10534
ZUWEISEN/V9 = FORMAT("%u", INT(-1)) | V9 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 4294967295
ZUWEISEN/V10 = FORMAT("%x", INT(2143)) | V10 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 85f
ZUWEISEN/V11 = FORMAT("%X", INT(9567)) | V11 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 255F
ZUWEISEN/V12 = FORMAT("%e", 0.0005432) | V12 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 5.432000e-004
ZUWEISEN/V13 = FORMAT("%E", 145.3421) | V13 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: 1.453421E+002
ZUWEISEN/V14 = FORMAT(",%6d,", INT(1)) | V14 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: , 1,
ZUWEISEN/V15 = FORMAT(",%-6d,", INT(1)) | V15 wird zum Typ "Zeichenfolge" mit dem folgenden Wert: ,1 ,


Mathematische Funktionen

ABS Absoluter Wert: ABS(<Double>)
Gibt den Absolutwert der Eingabe zurück.

EXP Exponentiell: EXP(<Double>)
Gibt den Exponentialwert des Ausdrucks zurück.

LOG Zehnerlogarithmus: LOG(<Double>)
Gibt den Zehnerlogarithmus des Ausdrucks zurück.

LN Natürlicher Logarithmus: LN(<Double>)
Gibt den natürlichen Logarithmus des Ausdrucks zurück.

ROUND Aufrunden: ROUND(<Double>)
Gibt den auf die nächste Ganzzahl gerundeten Wert zurück.

SQRT Quadratwurzel: SQRT(<Double>)
Gibt die Quadratwurzel der Eingabe zurück.

Trigonometrie- Funktionen

Wichtig: Jede der Trigonometriefunktionen unterstützt Eingaben und Ausgaben in Radianten. Verwenden Sie die nachfolgend beschriebene Funktion RAD2DEG, wenn Sie Werte in Grad angeben möchten.

ACOS Arkuskosinus: ACOS(<Double>)
Gibt den Arkuskosinus des Ausdrucks zurück . ACOS(5.0) gibt beispielsweise 0 zurück. ACOS(<Ausdruck>) gibt grundsätzlich den Arkuskosinus des Ausdruckswerts zurück.

ASIN Arkussinus: ASIN(<Double>)
Gibt den Arkussinus der Eingabe zurück.

ATAN Arkustangens: ATAN(<Double>)
Gibt den Arkustangens der Eingabe zurück.

COS Kosinus: COS(<Double>)
Gibt den Kosinus der Eingabe zurück .

DEG2RAD Grad in Radiant: DEG2RAD(<Double>)
Gibt die Eingabe dividiert durch 360 und multipliziert mit 2p zurück. Konvertiert von Grad in Radianten.

RAD2DEG Radianten in Grad: RAD2DEG(<Double>)
Gibt die Eingabe multipliziert mit 360 und dividiert durch 2p zurück. Konvertiert von Radianten in Grad.

SIN Sinus: SIN(<Double> )
Gibt den Sinus der Eingabe zurück.

TAN Tangens: TAN(<Double>)
Gibt den Tangens der Eingabe zurück.

Hinweis: Funktionen, bei denen die Eingabe außerhalb der Toleranz liegt (bei ACOS, ASIN, LOG, LN, SQRT usw. würde der Computer abstürzen), geben 0 zurück.


Punktfunktionen

ANGLEBETWEEN Zwischenwinkel: ZWISCHENWINKEL( <Punkt>, <Punkt>)
Gibt den Winkel zwischen den beiden Vektoren in Grad zurück.

CROSS Kreuzprodukt: KREUZPRODUKT(<Punkt>, <Punkt>)
Der Rückgabewert gehört dem Typ "Punkt" an und entspricht dem Kreuzprodukt des ersten und zweiten Ausdrucks.

DELTA Vektorversatz: DELTA(<Punkt>, <Punkt>, <Double>)
Die Funktion nimmt den ersten Ausdruck (Punkt) und berechnet einen neuen Punkt in der Richtung des zweiten Ausdrucks (Vektor) mit einem Versatz gemäß dem dritten Ausdruck. DELTA(MPOINT(0,0,0), MPOINT(1,0,0), 10) liefert beispielsweise den Punkt 10,0,0.

DOT Skalarprodukt: SKALARPRODUKT(<Punkt>, <Punkt>)
Gibt das Skalarprodukt der beiden Punkte (Vektoren) zurück.

UNIT: Einheitsvektor: EINHEITSVEKTOR(<Punkt>)
Gibt den Punkt (Einheitsvektor) dividiert durch seine Länge zurück. UNIT(MPOINT(0,0,0)) liefert beispielsweise den Punkt 0,0,1.


Zeigerfunktionen

DIST2D: 2DABSTAND: DIST2D(<ELEM1>, <ELEM2>, <ELEM3>)
Berechnet den 2D-Abstand zwischen ELEM1 und ELEM2, nachdem sie auf ELEM3 projiziert wurden.

DIST3D: 3DABSTAND: DIST3D(<ELEM1>, <ELEM2>)
Berechnet den 3D-Abstand zwischen ELEM1 und ELEM2.

GETCOMMAND: Fordert einen Zeiger zu dem durch die Parameter angegebenen Befehl an: GETCOMMAND(<Ganzzahl oder Zeichenfolge>, <Zeichenfolge>, <Ganzzahl>

Erster Parameter-Befehlsangabenfeld

Der erste Parameter ist das Befehlsangabenfeld. Es gibt den zu suchenden Befehlstyp an. Es kann folgendes übergeben werden:

  • Eine den Befehl beschreibende Zeichenfolge

  • Eine Nummer des Befehlstyps

  • Die eindeutige Nummernkennung

Wird die eindeutige ID des Befehls übergeben, sind keine weiteren Argumente erforderlich.

So erhalten Sie die den Befehl beschreibende Zeichenfolge, die Nummer des Befehlstyps und die eindeutige Nummernkennung des Befehls:

  1. Klicken Sie mit der rechten Maustaste auf eine Stelle im Bearbeitungsfenster.

  2. Wählen Sie Wechsle Popup-Anzeige | Befehlsangaben (PC-DMIS muss sich im Befehlsmodus befinden).

  3. Setzen Sie den Mauszeiger auf den gewünschten Befehl. In der Popup-Anzeige erscheinen die Beschreibung, Typnummer und eindeutige Nummernkennung des betreffenden Befehls.

Zweiter Parameter-Suchrichtung

Der zweite Parameter gibt die Suchrichtung an. Zulässige Werte sind:

Wert | Beschreibung
NACH OBEN | Dieser Wert bedeutet, dass die Suche bei dem aktuellen Befehl beginnen und nach oben weiterverlaufen soll.
NACH UNTEN | Dieser Wert besagt, dass die Suche bei dem aktuellen Befehl beginnen und nach unten weiterverlaufen soll.
OBEN | Dieser Wert besagt, dass die Suche am Anfang des Werkstückprogramms beginnen und nach unten weiterverlaufen soll.
UNTEN | Dieser Wert besagt, dass die Suche bei dem letzten Objekt im Werkstückprogramm beginnen und nach oben weiterverlaufen soll.

Dritter Parameter – Zu suchende Instanz

Der dritte Parameter gibt an, nach welcher Instanz des Befehls gesucht werden soll.

Beispiel: Angenommen, im Werkstückprogramm befinden sich vier Instanzen des Befehls "Aktive Tastspitze einstellen" und es wird ein Zeiger zur zweiten Instanz von oben angefordert. In diesem Fall würde wie nachstehend veranschaulicht als dritter Parameter "2" und als zweiter Parameter "OBEN" übergeben werden.

ZUWEISEN/V1 = GETCOMMAND("Aktive Tastspitze einstellen", "OBEN", 2)

Mit der Funktion GETCOMMAND lässt sich der dritte Parameter für die Zeichenfolgenfunktion GETTEXT bereitstellen. Weitere Informationen zu GETTEXT finden Sie unter "Zeichenfolgenfunktionen"

LEN: Zeigerschleifenzähler: LEN(<ZEIGER>)
Gibt aus, wie oft ein Zeiger in einer Schleife war. Ein Beispiel: Wenn sich das Element KREIS1 in einer Schleife befindet, die 10 Mal wiederholt wird, können Sie in einer Variable speichern, wie oft KREIS1 gemessen wurde. Hierfür verwenden Sie eine ZUWEISEN-Anweisung, die wie folgt aussieht:ZUWEISEN/V1=LEN({KREIS1})


Array-Funktionen

ARRAY: Array erstellen: ARRAY(<AUSDRUCK1>, <AUSDRUCK2>, <AUSDRUCK3>, …)
Erstellt ein Array-Objekt mit Array-Elementen, angegeben durch Ausdrucksparameter. Die Array-Elemente sind mit einem Basisindex von 1 durchnumeriert.

EQUAL: Elementweiser Array-Vergleich: EQUAL(<ARRAY>, <ARRAY>)
Vergleicht die beiden Arrays Element um Element, um zu bestimmen, ob sie dieselben Elemente enthalten. Wenn die beiden Arrays nicht gleich groß sind oder mindestens ein Element in einem Array nicht mit dem entsprechenden Element des anderen Arrays übereinstimmt, gibt die Funktion 0 zurück. Andernfalls liefert sie den Wert 1.

LEN: Array-Elementzähler: LEN(<ARRAY>)
Gibt die Anzahl der Elemente im Array zurück.

MAX: Größtes Array-Element: MAX(<ARRAY>)
Gibt das größte Element des Arrays zurück. Elemente im Array werden numerisch oder alphabetisch verglichen.

MIN: Kleinstes Array-Element: MIN(<ARRAY>)
Gibt das kleinste Element des Arrays zurück. Elemente im Array werden numerisch oder alphabetisch verglichen.


Funktionsfunktionen

FUNKTION: Erstellt eine Funktion: FUNKTION((<PARAM1>, <PARAM2>…), <AUSDRUCK>)
Erstellt eine Funktion, die die in der Parameterliste angegebenen Parameter in den Ausdruck einsetzt

  • Das erste Element bei der Verwendung des Schlüsselworts FUNKTION ist die Parameterliste.

  • Die Liste besteht aus kommagetrennten Parameternamen.

  • Die Parameterliste steht auch in Klammern.

  • Das zweite Element ist der Ausdruck.

  • Der Ausdruck enthält die Parameternamen dort, wo die Parameter beim Aufrufen der Funktion eingesetzt werden sollen.

Siehe auch "Beispiel für allgemeine Funktionen".


Gemischte Funktionen

IF: Bedingte Ausdrucksauswertung: IF(<AUSDRUCK1>, <AUSDRUCK2>, <AUSDRUCK3>)

Wenn AUSDRUCK1 wahr (Ergebniswert nicht 0) ist, gibt diese Funktion den Wert von AUSDRUCK2 zurück; im anderen Fall liefert sie den Wert von AUSDRUCK3.

PROBEDATA: Gibt Daten zum aktuellen oder angegebenen Taster zurück: PROBEDATA(<OPTTASTERDATENTYP>, <OPTTASTSPITZENID>, <OPTTASTERDATEINAME>)

OPTTASTERDATENTYP: Optionaler Parameter, der angibt, welche Tasterdaten der Ausdruck zurückgeben soll. Wird dieser Parameter nicht angegeben, wird die aktuelle Tastspitzen-ID zurückgegeben (Standardparameter). Dieser Parameter gehört dem Typ "Zeichenfolge" an. Jeder Ausdruck, der einen gültigen Zeichenfolgenausdruck ergibt, kann an der Position des ersten Ausdrucks stehen. Zu den gültigen Zeichenfolgenausdrücken (Groß-/Kleinschreibung ist unerheblich) für den ersten Ausdruck zählen: Hierbei handelt es sich um Zeichenfolgenausdrücke, die in doppelten Anführungszeichen stehen sollten:

Versatz – Gemessener Tastspitzen-X-, -Y-, -Z-Versatz. Gibt den Typ "Punkt" zurück.

Vektor – Tastspitzen-Vektor. Gibt den Typ "Punkt" zurück.

A - Tastspitzen-A-Winkel. Gibt den Typ "Double" zurück.

B - Tastspitzen-B-Winkel. Gibt den Typ "Double" zurück.

Durchm(esser) – Gemessener Tastspitzen-Durchmesser. Die ersten sechs Zeichen "Durchm" sind erforderlich. Die restlichen Zeichen bis zur vollständigen Bezeichnung sind fakultativ. Gibt den Typ "Double" zurück.

Stärk(e) – Gemessene Tastspitzenstärke. Die ersten fünf Zeichen "Stärk" sind erforderlich. Die restlichen Zeichen bis zur vollständigen Bezeichnung sind fakultativ. Gibt den Typ "Double" zurück.

Datum – Datum, an dem die Tastspitze zuletzt kalibriert wurde. Gibt den Typ "Zeichenfolge" zurück.

Uhrzeit – Uhrzeit, an der die Tastspitze zuletzt kalibriert wurde. Gibt den Typ "Zeichenfolge" zurück.

ID– Tastspitzen-ID, der Standardparameter. Gibt den Typ "Zeichenfolge" zurück.

"TaRAbw"– Die radiale Abweichung des Tasters. Gibt den Typ "Double" zurück.

Standardabweichung – Die Standardabweichung des Tasters. Gibt den Typ "Double" zurück.

C - Der Winkel C eines CW43 light probe head (Tastkopf)-P. Gibt den Typ "Ganzzahl" zurück.

Hinweis: Durch Voranstellen des Buchstabens "T" bei den Funktionen "Versatz", "Durchmesser" oder "Stärke" werden die theoretischen Informationen (i.e. TVERSATZ, TDURCHMESSER bzw. TSTÄRKE) zurückgegeben.

OPTTASTSPITZENID: Dieser optionale Parameter gibt an, mit welcher Tastspitze die mit dem ersten Ausdruck spezifizierten Tasterdaten ermittelt werden sollen. Wenn dieser Parameter nicht angegeben wird, wird die aktuelle Tastspitze verwendet. Dieser Parameter sollte vom Typ "Zeichenfolge" sein.

OPTTASTERDATEINAME: Dieser optionale Parameter gibt an, mit welcher Tasterdatei die Tasterdaten ermittelt werden sollen. Wenn dieser Parameter nicht angegeben wird, wird die aktuelle Tasterdatei verwendet.

FESTGELEGTER_I/O_KANAL: Zu diesem Ausdruck gehören zwei Parameter. Der erste Parameter gibt an, welcher I/O-Kanal überprüft wird (der Bereich der verfügbaren Nummern richtet sich nach der jeweils verwendeten Maschine). Der zweite Parameter bestimmt, ob die Software die Master- oder die Slave-Maschine abfragt. Ist für den zweiten Parameter 1 (Eins) festgelegt, wird die Slave-Steuereinheit abgefragt. Ist kein zweiter Parameter vorhanden (oder lautet dessen Einstellung Null), dann fragt der I/O-Kanal die Master-Steuereinheit ab. Außerhalb des Mehrarmbetriebs ist die Master-Steuereinheit die einzige verfügbare Option.

Hinweis: Wenn einer der angegebenen Parameter (Tasterdatentyp, Tastspitzen-ID, Tasterdateiname oder Kanalnummer) ungültig ist, gibt der Ausdruck den Wert 0 zurück.

Beispiele:
ZUWEISEN/V1 = PROBEDATA() | V1 wird die aktuelle Tastspitzen-ID zugewiesen (z.B. "T1A0B0").
ZUWEISEN/V2 = PROBEDATA("TOFFSET", "T1A45B0") | V2 wird der theoretische Tasterversatz für die Tastspitze T1A45B0 zugewiesen.
ZUWEISEN/V3 = PROBEDATA("Datum", "T1A90B90", "MEINTASTER") | V3 wird eine Zeichenfolge zugewiesen, die das Datum repräsentiert, an dem die Tastspitze TA90B90 der Tasterdatei MEINTASTER zuletzt kalibriert wurde.
ZUWEISEN/V4 = FESTGELEGTER_IO_KANAL(3, 0) | V4 entspricht 1 (dem Wert "wahr"), wenn der Kanal festgelegt ist, andernfalls ergibt V4 den Wert 0 ("falsch").

EOF und EOL: Weitere Informationen zu diesen Funktionen sinden Sie unter "Das Ende einer Datei oder Zeile prüfen" im Abschnitt "Verwenden der Datei-Eingabe/-Ausgabe".


TutorElement-Funktion

Mit der Erweiterung um den Tutor-Übersetzer unterstützt PC-DMIS ab Version 3.5 die neue TutorElement-Funktion. Diese Funktion nimmt ein Argument, entweder eine Zahl oder eine Zeichenfolge (eine Zeichenfolge wäre beispielsweise die ID eines Elements).

Diese Funktion arbeitet mit dem Variablentyp Strukturen. Eine Beschreibung der Strukturen und Unterelemente finden Sie unter "Strukturen".

Beispiele:

ZUWEISEN/E = TUTORELEMENT(1) | Erstellt eine einzelne TutorElement-Struktur.
ZUWEISEN/WM = TUTORELEMENT(n) | Erstellt für jede Zahl über 1 einen Array von n TutorElement-Strukturen.
ZUWEISEN/KREIS1E = TUTORELEMENT("KREIS1") | Kopiert Daten aus dem Element KREIS1 in die TutorElement-Strukturen.

Die TutorElement-Struktur verfügt derzeit über die folgenden Unterelemente:

Unter-Element | Beschreibung
ID | Zeichenfolge der Element-ID
TYP | GANZZAHL (FTYP)
X, Y, Z | X-, Y- und Z-Koordinatenwerte
PR | Polarradius
PA | Polarwinkel
CX | I
CY | J
CZ | K
DM | Durchmesser 1
DM2 | Durchmesser 2
DS | Abstand vom Nullpunkt
A | Winkel
AXY | Winkel in der XY-Ebene
AYZ | Winkel in der YZ-Ebene
AZX | Winkel in der ZX-Ebene
F | Formfehler
SDEV | Standardabweichung
TP | Position


QualToolData-Funktion (Kalibriernormal-Datenfunktion)

Diese Funktion gibt Daten über den aktuellen oder angegebenen Taster zurück: Die Syntax lautet wie folgt:

QUALTOOLDATA(<TOOLINFO>, <TOOLID>, <FACENUMBER>)

Dieser Befehl verwendet drei Parameter. Zur Datenrückgabe ist mindestens ein Parameter erforderlich.

Der erste Parameter, <TOOLINFO>, ist eine Zeichenfolge, mit der die Art der Informationen, die über das Kalibriernormal zurückzugeben sind, festgelegt wird. Wird dieser Parameter nicht übergeben, gibt diese Funktion den Namen des aktuellen oder angegebenen Kalibriernormals wieder.

· "DURCHM" - Hiermit wird der Durchmesser des Kalibriernormals als doppelter Wert zurückgegeben.

· "ID" - Hiermit wird der Name des Kalibriernormals als Zeichenfolge zurückgegeben.

· "LÄNGE" - Erfüllt dieselbe Funktion wie "DURCHM". Gibt den Durchmesser des Kalibriernormals auch als doppelten Wert zurück.

· "OVERRIDEIJK" - Gibt den mit der Suche übersteuerten IJK-Vektor als Punktwert zuück.

· "POLYDURCHM" - Gibt den Durchmesser der vorgegebenen polyedrischen Fläche als doppelten Wert zurück.

· "POLYIJK" - Gibt den IJK-Vektor der vorgegebenen polyedrischen Fläche als Punktwert zurück.

· "POLYXYZ" - Gibt den XYZ-Vektor der vorgegebenen polyedrischen Fläche als Punktwert zurück.

· "SCHAFTIJK" - Gibt den IJK-Vektor des Schafts als Punktwert zurück.

· "TYP" - Gibt den Typ des Kalibriernormals als ganzzahligen Wert (0 für eine Kugel, 1 für eine Slave-Kugel, 2 für ein Polyeder, 3 für ein Slave-Polyeder) wieder.

· "BREITE" - Dieser Parameter wird nicht mehr verwendet.

· "XYZ" - Gibt die XYZ-Position des Kalibriernormals als Punktwert zurück.

Der zweite Parameter, <TOOLID>, ist eine Zeichenfolge, mit der der Name des Kalibriernormals, über das der Bediener Informationen erhalten möchte, festgelegt wird. Wird dieser Parameter nicht übergeben, nimmt PC-DMIS an, dass Informationen über das aktuelle Kalibriernormal gewünscht werden. Bei dieser Zeichenfolge wird nicht zwischen Groß- und Kleinbuchstaben unterschieden.

Den dritten Parameter, <FACENUMBER>, benötigen Sie nur für die Arbeit mit einem polyedrischen Kalibriernormal und nur dann, wenn der erste Parameter "POLYXYZ", "POLYIJK" oder "POLYDURCHM" lautet. Hierbei handelt es sich um einen Ganzzahlwert, der vorgibt, welche Fläche des polyedrischen Kalibriernormals zu verwenden ist, um Daten zu erhalten.

Beispiele:

ZUWEISEN/VDURCHM = QUALTOOLDATA("DURCHM","KUGEL_1_IN") | Übergibt der Variablen VDURCHM den Durchmesser des Kalibriernormals KUGEL_1_IN.
ZUWEISEN/VID = QUALTOOLDATA("ID") | Übergibt der Variablen VID den Namen des aktuellen Kalibriernormals.
ZUWEISEN/VTYP = QUALTOOLDATA("TYP") | Übergibt der Variablen VTYP den aktuellen Kalibriernormaltyp.
ZUWEISEN/VPOLYDURCHM = QUALTOOLDATA("POLYDURCHM","POLYTEST",3) | Übergibt der Variablen VPOLYDURCHM den Durchmesser von Fläche 3 auf dem polyedrischen Kalibriernormal POLYTEST.


Beispiele für Funktionen

Bei der Erstellung und Verwendung Ihrer eigenen Funktionen könnten folgende unterschiedliche Beispielfunktionen hilfreich sein:

  • Beispiel für allgemeine Funktionen

  • Beispiel für als Variable übergebene Funktionen

  • Beispiel für Funktionen mit mehreren Parametern

  • Beispiel für Funktionen, die andere Funktionen erstellen

  • Beispiel für Funktionen als Mitglied eines Arrays

  • Beispiel für rekursiv definierte Funktionen


Beispiel für allgemeine Funktionen

Zuweisen/MEINEFUNK = FUNKTION((X,Y,Z), X*3 + Y*2 + Z) | Erstellt eine benutzerdefinierte Funktion und weist sie der Variablen MEINEFUNK zu. Die Funktion nimmt drei Parameter: X, Y und Z. X wird mit 3 multipliziert. Y wird mit 2 multipliziert. Z enthält einfach den übergebenen Wert. Insgesamt werden X + Y + Z zurückgegeben.
Zuweisen/V1 = MEINEFUNK(7,2,5) | Weist V1 durch Auswerten der an die Funktion MEINEFUNK(7,2,5) übergebenen Parameter den Wert 30 zu. 7 ist der Parameter und ersetzt X im Ausdrucksteil der Funktionsdefinition. So wird X*3 zu 7*3 oder zu 21. 2 ersetzt Y, so wird Y*2 zu 2*2 oder zu 4. 5 ersetzt Z. Alle Werte werden nun addiert (21 + 4 + 5) und an V1 übergeben.


Beispiel für als Variable übergebene Funktionen

Funktionen können als Variablen übergeben werden: Das folgende Beispiel baut auf das oben stehende Beispiel für allgemeine Funktionen auf:

Zuweisen/NEUEFUNK = MEINEFUNK | Stellt für die Variable NEUEFUNK die Funktion ein, die auch MEINEFUNK verwendet.
Assign/V3 = NEUEFUNK(12,2,3) | Weist V3 den Wert 43 von den ausgewerteten Ausdrücken innerhalb der Funktion (36 + 4 + 3) zu.


Beispiel für Funktionen mit mehreren Parametern

Funktionen können über mehrere Parameter verfügen:

Zuweisen/ADDIERENUNDVERDOPPELN = FUNKTION((A,B), 2*(A+B)) | Erstellt eine Funktion und weist sie der Funktion ADDIERENUNDVERDOPPELN zu. Die Funktion addiert zwei Parameter und multipliziert das Ergebnis mit 2.
Zuweisen/V2 = ADDIERENUNDVERDOPPELN(4, 5) | Weist V2 den Wert 18 zu. Die Parameter 4 und 5 werden im Ausdrucksteil der Funktion eingesetzt. Ergebnis: 2*(4+5).


Beispiel für Funktionen, die andere Funktionen erstellen

Funktionen können andere Funktionen erstellen.

Zuweisen/ZUSAMMENSETZEN = FUNKTION((F, G), FUNKTION((X), G(F(X)) )) | Definiert ZUSAMMENSETZEN als Funktion, die zwei Funktionen als Parameter verwendet, mit denen sie eine neue Funktion erstellt.
Zuweisen/ADD2 = FUNKTION((X), X+2) | Definiert ADD2 als Funktion, die 2 zu dem übergebenen Parameter hinzuaddiert.
Zuweisen/ADD3 = FUNKTION((X), X+3) | Definiert ADD3 als Funktion, die 3 zu dem übergebenen Parameter hinzuaddiert.
Zuweisen/ADD5 = ZUSAMMENSETZEN(ADD2, ADD3) | Definiert ADD5 als Funktion, die sich aus den Funktionen ADD2 und ADD3 zusammensetzt.
Zuweisen/V5 = ADD5(3) | Weist V5 den Wert V8 zu.


Beispiel für Funktionen als Mitglied eines Arrays

Funktionen können Mitglieder eines Array sein.

Zuweisen/EINARRAY = ARRAY(3, FAKTORPRODUKT, "Hallo Welt", ADD5) | Definiert EINARRAY als Array aus 4 Elementen: einer Zahl (3), einer Funktion (FAKTORPRODUKT), einer Zeichenfolge ("Hallo Welt"), und einer Funktion (Add5).
Zuweisen/V6 = EINARRAY[2](4) | Das zweite Element von EINARRAY ist die Funktion FAKTORPRODUKT. Der Parameter 4 wird an diese Funktion übergeben, und das Ergebnis von 24 wird V6 zugewiesen.
Zuweisen/V7 = EINARRAY[2](EINARRAY[4] (EINARRAY[1])) | Von innen nach außen: Das erste Element von EINARRAY (3) wird an die Funktion des vierten Array-Elements (Add5) übergeben. Das Ergebnis, 8, wird an die Funktion des zweiten Array-Elements (FAKTORPRODUKT) übergeben und V7 zugewiesen. V7 erhält einen Wert von 40320.


Beispiel für rekursiv definierte Funktionen

Funktionen können rekursiv definiert werden. (Das heißt, sie können so definiert werden, dass sie sich selbst aufrufen.)

Zuweisen/FAKTORPRODUKT = FUNKTION((X), IF(X<=1, 1, X*FAKTORPRODUKT(X-1)) | Erstellt eine Funktion namens "Faktorprodukt", die einen Parameter verarbeitet. Wenn der Parameter kleiner als oder gleich 1 ist, wird er als 1 ausgewertet, andernfalls wird er als X multipliziert mit dem Faktorprodukt von X-1 ausgewertet.
Zuweisen/V4 = FAKTORPRODUKT(5) | Weist V4 den Wert 120 (5*4*3*2*1) zu.


Erzwungene Umwandlung von Operanden

Operanden können als andere Typen interpretiert werden, indem einer der Interpretationsoperatoren verwendet wird:

Mehr dazu:

Erzwungene Umwandlung in eine Ganzzahl

"Double"-Zwangsumwandlung

Erzwunge Umwandlung in eine Zeichenfolge

Erzwungene Umwandlung in einen Punkt

Operanden-Zwangsumwandlung und Ausdrücke gemischter Art


Erzwungene Umwandlung in eine Ganzzahl

INT(<Ausdruck>) – wandelt den Ausdruckswert in den Typ Ganzzahl um.

INT(4) | Ergibt 4.
INT(4.5) | Ergibt 4.
INT("Hallo Welt") | Ergibt 0.
INT("2") | Ergibt 2.
INT("2.2") | Ergibt 2.
INT("3 Blinde Mäuse") | Ergibt 3.
INT("Die 3 blinden Mäuse") | Ergibt 0.
INT("3, 4, 5") | Ergibt 3.
INT(MPOINT(0, 0, 1)) | Ergibt den Abstand des Punkts vom Nullpunkt, in diesem Fall 1.
INT(MPOINT(3, 4, 5)) | Abstand ergibt 7.0711. Dieser Ausdruck ergibt den Wert 7.


"Double"-Zwangsumwandlung

DOUBLE(<Ausdruck>) - wandelt den Ausdruckswert in den Typ "Double" um.

DOUBLE(4) | Ergibt 4,0.
DOUBLE(4,5) | Ergibt 4,5.
DOUBLE("Eine Zeichenfolge") | Ergibt 0,0.
DOUBLE("3,5") | Ergibt 3,5.
DOUBLE("3,5 Zoll") | Ergibt 3,5.
DOUBLE("Der Kreis misst 3,5 Zoll im Durchmesser") | Ergibt 0,0.
DOUBLE(MPOINT(0,0,1)) | Ergibt 1,0.
DOUBLE(MPOINT(3,4,5)) | Ergibt 7,0711.


Erzwunge Umwandlung in eine Zeichenfolge

STR(<Ausdruck>) – wandelt den Ausdruckswert in den Typ "Zeichenfolge" um.

STR(4) | Ergibt "4".
STR(4.5) | Ergibt "4.5".
STR("Hallo Welt") | Ergibt "Hallo Welt".
STR(MPOINT(3,4,5)) | Ergibt "3, 4, 5".


Erzwungene Umwandlung in einen Punkt

MPOINT(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>) – wandelt Ausdruckswerte in den Typ "Punkt" um – nachdem jeder einzelne Ausdruck in den Typ "Double" umgewandelt wurde.

MPOINT( 1, 1, 1) | Ergibt Punkt 1,0, 1,0, 1,0.
MPOINT( 1,1, 1,1, 1,1) | Ergibt Punkt 1,1, 1,1, 1,1.
MPOINT("1", "1", "1") | Ergibt Punkt 1,0, 1,0, 1,0.
MPOINT( 3, 4,5, "5,6") | Ergibt Punkt 3,0, 4,5, 5,6.
MPOINT( MPOINT(1, 0, 0), MPOINT(0,1,0), MPOINT(3,4,5) ) | Ergibt Punkt 1,0, 1,0, 7,0711.


Operanden-Zwangsumwandlung und Ausdrücke gemischter Art

Der Ausdruckauswerter wandelt Variablen in Ausdrücken gemischter Art automatisch um. Wenn das Ergebnis eines Ausdrucks wegen der automatisch erzwungenen Umwandlung nicht den Erwartungen entspricht, können Sie das gewünschte Ergebnis unter Umständen durch die Verwendung von Umwandlungsoperatoren erzielen. Die folgenden Beispiele zeigen eine automatisch erzwungene Umwandlung in Ausdrücken gemischter Art.

"KREIS" + 1 | Ergibt "KREIS1".
"2" + 2 | Ergibt 4.
"Der Wert von 2+2 ist gleich " + 2 + 2 | Ergibt "Der Wert von 2+2 ist gleich 22" (da Ausdrücke von links nach rechts ausgewertet werden).
"Der Wert von 2+2 ist gleich " + (2 + 2) | Ergibt "Der Wert von 2+2 ist gleich 4".
LINIE1.XYZ > 2 | Ergibt 1, wenn der Abstand des Flächenmittelpunkts von LINIE1 zum Nullpunkt größer als 2 ist.
LINIE1.XYZ > LINIE2.XYZ | Ergibt 1, wenn der Abstand des Flächenmittelpunkts von LINIE1 zum Nullpunkt größer als der Abstand des Flächenmittelpunkts von LINIE2 ist.
LINIE1.XYZ = LINIE2.XYZ | Ergibt 1, falls die Flächenmittelpunkte von LINIE1 und LINIE2 gleich sind (in diesem Fall erfolgt keine erzwungene Typumwandlung)
DOUBLE(LINIE1.XYZ) = DOUBLE(LINIE2.XYZ) | Ergibt 1, wenn die Flächenmittelpunkte denselben Abstand zum Nullpunkt aufweisen.
11% 3.1 | Ergibt 2 (% ist der für den Einsatz von Ganzzahlen entwickelte Modulo-Operator. Er gibt den Rest aus einer ganzzahligen Division zurück. 11%3 = 2. )
KREIS1.MESSPUNKT [3.2].X | Ergibt den gemessenen X-Wert des dritten Messpunkts von Kreis1. Das Argument 3.2 wird automatisch in eine Ganzzahl mit dem Wert 3 umgewandelt.


ID-Ausdrücke

Viele PC-DMIS-Befehle verwenden Element-IDs als Parameter. Erstellte Elemente verwenden beispielsweise IDs, um anzugeben, welche Elemente als Eingabe für das erstellte Element zu verwenden sind. ID-Ausdrücke ermöglichen es dem Benutzer, Bezug zu nehmen auf: eine bestimmte Instanz eines Elements, eine Gruppe von Elementen mit ähnlichen Namen, eine Instanz eines Elements innerhalb des Aufrufs eines Unterprogramms oder ein Element in einem externen Werkstückprogramm.

Mehr dazu:

Element-Array-ID

ID-Stellvertreterzeichen

IDs für Elemente innerhalb von Unterprogrammen, BASIC-Skripts oder externen Programmen

ID-Ausdrucks-Kombinationen


Element-Array-ID

Mit Hilfe einer Element-Array-ID können Sie auf eine bestimmte Instanz eines Elements oder einen Bereich von Elementinstanzen Bezug nehmen. Wenn das Element "Kreis1" beispielsweise innerhalb einer WHILE-Schleife steht, die fünfmal ausgeführt wird, existiert beim Verlassen der Schleife ein Array aus fünf Instanzen des Kreises. Um auf eine der fünf Instanzen von "Kreis1" Bezug zu nehmen, verwenden Sie die Element-Array-Syntax gemäß der Beschreibung unter "Element-Arrays", wonach "Kreis1 [1]" auf die erste Instanz und "Kreis1 [2]" auf die zweite Instanz usw. Bezug nehmen würde.

Für einen Bezug auf einen Instanzenbereich verwenden Sie die Punkt-Punkt-Schreibweise (..). "Kreis1[1..3]" verweist auf den Bereich von der ersten bis zur dritten Instanz von Kreis1. "Kreis1[3..5]" verweist auf den Bereich von der dritten bis zur fünften Instanz von Kreis1. "Kreis1[1..5]" verweist auf den Bereich von der ersten bis zur fünften Instanz von Kreis1. Wenn auf einen Bereich von Elementen verwiesen wird, wird der Satz wie ein erstellter Satz behandelt und verhält sich auch so.


ID-Stellvertreterzeichen

Mit Hilfe von ID-Stellvertreterzeichen können Sie auf einen Satz ähnlich benannter Elemente Bezug nehmen. Es gibt zwei Stellvertreterzeichen: "*" und "?". (Weitere Informationen hierzu finden Sie unter "Auswählen von Elementen durch Metazeichen-Entsprechung" im Abschnitt "Bearbeiten der CAD-Anzeige".)

Das Sternchen '*' steht für 0 oder mehr Instanzen beliebiger Zeichen. Um auf den Satz von Elementen Bezug zu nehmen, deren IDs mit den Buchstaben "KREIS" beginnen, verwenden Sie den ID-Ausdruck "KREIS*". Mit dieser Syntax wird ein Satz von Elementen erstellt, der alle Elemente umfasst, deren ID mit "KREIS" beginnt, beispielsweise "KREIS1", "KREIS2", "KREIS3" oder "KREIS".

Hinweis: Wenn KREIS3 mehrere Ausführungen hat, wird nur die letzte Messung verwendet. Um auf die verschiedenen Instanzen der Ausführungen Bezug zu nehmen, verwenden Sie einen Ausdruck der folgenden Art: KREIS?[1..3]

Das Fragezeichen (?) steht für eine Instanz eines beliebigen Zeichens.

Beispiel: Der ID-Ausdruck "XX???1" erstellt einen Satz von Elementen, deren IDs sechs Zeichen lang sind, mit "XX" beginnen und mit "1" enden, beispielsweise "XXKRE1", "XXKEG1", "XXKIN1" oder "XXYY21".


IDs für Elemente innerhalb von Unterprogrammen, BASIC-Skripts oder externen Programmen

Unterprogramme können innerhalb des aktuellen Werkstückprogramms oder in ein externes Werkstückprogramm platziert werden. Wenn sich das Unterprogramm im selben Programm befindet wie der Aufruf des Unterprogramms, kann die unter "Element-Arrays:" beschriebene Syntax für Element-Array-IDs verwendet werden, um auf einzelne Instanzen eines im Unterprogramm erstellten Elements zu verweisen. Befindet sich das Unterprogramm dagegen in einem externen Werkstückprogramm, kann folgende Syntax zur Bezugnahme auf Elemente verwendet werden, die im Unterprogramm erstellt wurden: "<ID des Unterprogrammaufrufs>:<Element-ID>". Wenn sich beispielsweise ein Element mit dem Namen "F1" in einem externen Unterprogramm befindet, das mit dem Befehl "Unterprogr. aufrufen" mit der ID "CS1" aufgerufen wurde, dann kann die Bezugnahme auf dieses Element über den ID-Ausdruck "CS1:F1" verwendet werden.

Beispiel: Das folgende Beispiel veranschaulicht lediglich die Verwendung der Syntax "CS1.F1" und ist nicht als tatsächliches Anwendungsbeispiel gedacht.

Programm 1: PLUS1.PRG

UNTERPROGRAMM/PLUS1, A1 = 0, A2 = 0, A3 = 0
F1 =ELEM/PUNKT,KART
NENN/ A1+1,A2+1,A3+1,0,0,1
MESS/3,1,1,0,0,1
MESS/PUNKT,1
MESSPKT/BASIS,A1+1,A2+1,A3+1,0,0,1,0,0,0
ENDEMESS/
ENDE_UNTERPROG/

Programm 2: TEST.PRG

CS1 =AUFR_UNTERPROG/PLUS1,D:\V30\WINDEBUG\PLUS1.PRG: 3,3,3,,
MERKM D1= LAGE VON PUNKT CS1:F1 EINHEITEN=ZOLL ,$
GRAF=AUS TEXT=AUS MULT=10,00 AUSGABE=BEIDE
ACH NENNWERT +TOL -TOL MESS MAX MIN ABW AUSSER_TOL
X 3,0000 0,0000 0,0000 3,0000 3,0000 3,0000 0,0000 0,0000
----#----
ENDE DES MERKMALS D1

BASIC-Skripts erstellen und löschen Objekte dynamisch. Verwenden Sie die Syntax "<BASIC-Skript-ID>:<Element-ID>", um auf ein Element zu verweisen, das mit einem BASIC-Skript erstellt wurde. Wenn beispielsweise ein BASIC-Skript mit der ID "BS1" ein Element mit der ID "F2" erstellt, verwenden Sie den ID-Ausdruck "BS1:F2", um auf dieses Element zu verweisen.

Externe Programme können mit Hilfe des Befehls ANHÄNGEN an PC-DMIS angehängt werden. Verwenden Sie die folgende Syntax, um auf Elemente in solchen Programmen zu verweisen: "<ID des angehängten Programms>:<Element-ID>". Um auf Element "F3" im externen Werkstückprogramm mit der ID "GETR1" Bezug zu nehmen, verwenden Sie den Ausdruck "GETR1:F3". (Weitere Informationen hierzu finden Sie unter "Anhängen eines externen Werkstückprogramms" im Abschnitt "Hinzufügen externer Elemente".)


ID-Ausdrucks-Kombinationen

Array-ID-Ausdrücke, Stellvertreterzeichen-ID-Ausdrücke sowie externe Unterprogramm-, Basic-Skript- und externe Werkstückprogramm-ID-Ausdrücke können miteinander kombiniert werden. Um beispielsweise auf die dritte Instanz von allen Elementen in einem externen Werkstückprogramm mit der ID "BOLZMUST", die mit den Buchstaben "KREIS" beginnen, zu verweisen, verwenden Sie den ID-Ausdruck "BOLZMUST:KREIS*[3]".

ID-Ausdrücke können auch in regulären Ausdrücken verwendet werden. Der gemessene Flächenmittelpunkt der obigen Elementgruppe könnte einer Variablen also mit dem folgenden Ausdruck zugewiesen werden:

ZUWEISEN/V1 = BOLZMUST:KREIS*[3].XYZ

ID-Ausdrücke können auch in regulären Ausdrücken verwendet werden. Der gemessene Flächenmittelpunkt der obigen Elementgruppe könnte einer Variablen also mit dem folgenden Ausdruck zugewiesen werden:

ZUWEISEN/V1 = BOLZMUST:KREIS*[3].XYZ


Zugreifen auf die Objekteigenschaften eines Protokolls

PC-DMIS-Versionen 4.0 und höher unterstützen die Fähigkeit, eigene benutzerspezifische Protokoll- und Etikettenvorlagen, die von PC-DMIS zur Anzeige von Protokolldaten in einem Protokollfenster verwendet werden, zu erstellen (siehe Ansicht | Protokollfenster). Diese Vorlagen werden mittels Vorlageneditoren erstellt, die eine Visual-Basic-ähnliche Schnittstelle verwenden, mit der Sie besondere Komponenten, genannt "Objekte", einfügen, verschieben und in ihrer Größe anpassen können.

Jedes Objekt besteht aus "Eigenschaften", die bestimmen, auf welche Weise dieses Objekt angezeigt wird und welche Informationen es enthält. Einige dieser Eigenschaften gelten für alle Objekte, andere nur für verwandte Objekte und manche treffen auf nur ein einziges Objekt zu.

Die PC-DMIS-Ausdruckssprache ist in der Lage, das aktuell geladene Protokoll zu befragen und Eigenschaftswerte eines bestimmten Objekts in einer Variablen zu speichern. Sie kann Werte vom Typ "Zeichenfolge", "Ganzzahl" und "reelle Zahl" durch folgende Syntax erfassen:

Eigenschaftsanfrage-Syntax

Zuweisenn/V1 = Protokoll.<Objektname>.<Eigenschaftsname>

Protokoll bezieht sich auf das aktuell geladene Protokoll. <Objektname> ist der eindeutige Name des Objekts und <Eigenschaftsname> ist ein gültiger Eigenschaftsname für das Objekt.

Ein einfaches Beispiel

Angenommen, Ihre Protokollvorlage enthält beispielsweise ein Textobjekt namens "Text1", das im Abschlussprotokoll den Namen des Bedieners anzeigen soll. Die tatsächliche Zeichenfolge, die den Namen des Bedieners darstellt, wird in der Texteigenschaft des Objekts gespeichert. Standardmäßig besitzt die Texteigenschaft (angezeigter Text) den Ausgangswert "Text1" (siehe folgende Abbildung). Dies ändert sich, sobald der Bediener seinen Namen während der Ausführung eingibt.

Dialogfeld "Eigenschaften", das ein ausgewähltes Objekt und die Anfrageeigenschaft anzeigt

Um mittels des Ausdruckssprache-Codes die "Text"-Eigenschaft dieses Textobjektes anzufragen und die eingegebenen Daten zu erhalten, sähe der von Ihnen hierzu verwendete Befehl folgendermaßen aus:

Zuweisen/V1 = Protokoll.Text1.Text

"Protokoll" weist den Code darauf hin, das in dem Protokollfenster geladene Protokoll anzuschauen. "Text1" ist eine Anweisung, das Objekt "Text1" zu suchen. "Text" bedeutet, dass die "Text"-Eigenschaft innerhalb des Objekts gesucht werden soll. Der Wert der "Text"-Eigenschaft wird daraufhin an die V1-Variable übergeben und kann anschließend weiter bearbeitet oder mit Hilfe der PC-DMIS-Ausdruckssprache angezeigt werden.

Suche nach den Eigenschaften

Sie können herausfinden, welche Eigenschaften mit einem bestimmten Objekt verbunden sind, indem Sie auf die Protokollvorlage im Protokollvorlageneditor (Datei | Protokollieren | Bearbeiten | Protokollvorlage) zugreifen, das Objekt auswählen und dann mit der rechten Maustaste auf das Objekt klicken, um das Eigenschaftenblatt anzuzeigen.

Das Eigenschaftenblatt eines Textobjektes

Das Eigenschaftenblatt enthält zwei Spalten. Die linke Spalte zeigt den Eigenschaftsnamen an, die rechte Spalte zeigt den aktuellen Wert an. Stellen Sie sicher, dass im Ausdruckscode der exakte Eigenschaftsname verwendet wird.

Achtung: Bei der Abfrage von Eigenschaftswerten könnten Sie feststellen, dass manche Eigenschaften einen scheinbar nutzlosen numerischen Wert zurückgeben. Normalerweise geschieht dies, wenn die Eigenschaft eine Liste verfügbarer Optionen aufweist und PC-DMIS einen internen Wert für die ausgewählte Eigenschaft zurückgibt, die keinen Bezug zur angezeigten Eigenschaft hat.

Beispielsweise hat das Text-Objekt eine Ausrichtungs-Eigenschaft mit folgenden Werten:
0 - Horizontal
1 - Vertikal oben
2 - Vertikal unten

Wenn Sie jedoch den Wert mit Hilfe der PC-DMIS-Ausdruckssprache erhalten, wird die Software stattdessen folgendes lzurückgeben:
0 (für horizontal)
900 (für vertikal oben)
-900 (für vertikal unten)

Es bedarf der Übung, herauszufinden, welche Rückgabewerte denen auf dem Eigenschaftenblatt angezeigten Werten entsprechen.


Hinzufügen externer Elemente

Hinzufügen externer Elemente: Einführung

Einfügen eines externen Befehls

So fügen Sie einen externen Befehl ein:

Option "Anzeige"

Option "Keine Anzeige"

Die Optionen "Warten" und "Nicht warten"

Schaltfläche ". . ."

Erstellen eines externen Befehls als Menü- oder Symbolleisteneintrag

Beispiel zur Anwendung des externen Befehls zur Anzeige einer Datei

Einfügen von BASIC-Skripts

So fügen Sie ein BASIC-Skript als Befehl ein

So fügen Sie ein BASIC-Skript als Menü- oder Symbolleisteneintrag ein

Übergeben von Variablen in und aus BASIC-Skripts

Beispiel 1: Verwenden der Funktionszeile zum Übergeben von Variablen

Beispiel 2: Verwenden der Methoden "GetVariableValue" und "SetVariableValue" zum Übergeben von Variablen

Anhängen eines externen Werkstückprogramms

Verwenden eines Zeigers zur Bezugnahme auf Daten

Einfügen externer Objekte

Neu erstellen

Aus Datei erstellen

Verknüpfen

Als Symbol anzeigen

Liste "Objekttyp"

Markieren externer Objekte für die Ausführung

Anzeige von Dateien auf andere Art und Weise


Hinzufügen externer Elemente: Einführung

Dieser Abschnitt beschreibt die verschiedenen externen Elemente, die Sie in Werkstückprogramme einfügen können. Dazu gehören externe Anwendungen, BASIC-Skripts, Werkstückprogramme und andere Objekte, welche die Leistung Ihres Werkstückprogramms steigern.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Einfügen eines externen Befehls

  • Einfügen von BASIC-Skripts

  • Anhängen eines externen Werkstückprogramms

  • Einfügen externer Objekte


Einfügen eines externen Befehls

Externer Befehl (Dialogfeld)

Mit der Menüoption Einfügen | Externer Befehl können Sie einen Befehl in das Bearbeitungsfenster einfügen, bei dessen Markierung und Ausführung ein externes Programm oder eine externe Stapeldatei über das Werkstückprogramm ausgeführt wird.

  • Normale DOS-Befehle können ausgeführt werden, wenn sie in eine Stapeldatei eingegeben werden.

  • PC-DMIS führt den externen Befehl nur aus, wenn dieser im Bearbeitungsfenster markiert ist.

  • Es müssen ein gültiger Pfad und Dateiname verwendet werden.

  • PC-DMIS unterbricht die Ausführung des Programms und zeigt eine Meldung an, wenn es während der Ausführung auf den Befehl EXTERNERBEFEHL/ANZEIGE trifft. Klicken Sie auf OK, um die Ausführung des Werkstückprogramms fortzusetzen.

Mehr dazu:

So fügen Sie einen externen Befehl ein:

Option "Anzeige"

Option "Keine Anzeige"

Die Optionen "Warten" und "Nicht warten"

Schaltfläche ". . ."

Erstellen eines externen Befehls als Menü- oder Symbolleisteneintrag

Beispiel zur Anwendung des externen Befehls zur Anzeige einer Datei


So fügen Sie einen externen Befehl ein:

Wählen Sie die Menüoption Externer Befehl aus. Das Dialogfeld Externer Befehl wird eingeblendet.

  1. Geben Sie im Dialogfeld einen externen Befehl an. Hierfür geben Sie entweder den vollständigen Dateipfad in das verfügbare Feld ein, oder Sie suchen mit Hilfe der. . . Schaltfläche nach der Datei.

  2. Wählen Sie die Option Anzeige oder Keine Anzeige.

  3. Klicken Sie auf OK. Der Befehl wird in das Bearbeitungsfenster eingefügt.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

EXTERNER_BEFEHL/ANZEIGESTATUS ; Pfadname

ANZEIGESTATUS= Dieses Umschaltfeld steuert, ob PC-DMIS die Ausführung unterbricht und Sie in einer Meldung darüber informiert, dass ein externer Befehl ausgeführt wird. Es ist zwischen ANZEIGE und KEINE_ANZEIGE umschaltbar.

Pfadname = Diese Zeichenfolge steht für den Pfad und Dateinamen der ausführbaren Datei oder Stapeldatei.


Option "Anzeige"

Bei Auswahl der Option Anzeige wird eine Meldung angezeigt, in der Sie darüber informiert werden, dass die Programmausführung unterbrochen und ein externer Befehl ausgeführt wird. PC-DMIS unterbricht die Ausführung solange, bis Sie in der Meldung auf OK klicken. Beachten Sie, dass die Warnmeldung nur dann erscheint, wenn sie im Dialogfeld Anzeigeoptionen für Warnmeldungen eingeschaltet ist.

So lassen Sie die Meldung erscheinen:

  1. Drücken Sie F5, um das Dialogfeld Setup-Optionen zu öffnen.

  2. Wählen Sie die Schaltfläche Warnmeldungen aus der Registerkarte Allgemein. Das Dialogfeld Anzeigeoptionen für Warnmeldungen wird angezeigt.

  3. Wählen Sie das Kontrollkästchen OK Ausführung angehalten, um einen Prozess zu erzeugen. Klicken Sie auf "OK", um mit der Ausführung fortzufahren.


Option "Keine Anzeige"

Bei Auswahl der Option Keine Anzeige wird der festgelegte externe Befehl ausgeführt, ohne eine Meldung anzuzeigen. PC-DMIS setzt die Ausführung fort, während gleichzeitig die Programm- oder Stapeldatei ausgeführt wird.


Die Optionen "Warten" und "Nicht warten"

Die meisten Optionen werden erst dann verfügbar, wenn die Option Keine Anzeige ausgewählt wird.

Durch die Option Warten wird das Werkstückprogramm solange unterbrochen, bis der externe Befehl seine Operation beendet hat.

Durch die Option Nicht warten wird das Werkstückprogramm fortgesetzt, selbst wenn der externe Befehl seine Operation noch nicht beendet hat.


. . . Schaltfläche

Die . . . Schaltfläche im Dialogfeld öffnet das Dialogfeld Öffnen . Damit können Sie den Dateinamen für den externen Befehl auswählen. Wenn Sie diese Datei öffnen, fügt PC-DMIS den vollständigen Pfad in das Dialogfeld Externer Befehl ein.


Erstellen eines externen Befehls als Menü- oder Symbolleisteneintrag

In PC-DMIS können Sie Symbolleisten und Menüs anpassen und neue Einträge einfügen, die mit EXE-, BAT- oder BAS-Dateien verknüpft sind. Weitere Informationen hierzu finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".


Beispiel zur Anwendung des externen Befehls zur Anzeige einer Datei

Folgendes Beispiel zeigt an, wie eine Stapeldatei (ein externes Programm) erstellt wird, die durch den Befehl EXTERNERBEFEHL zum Öffnen und Anzeigen einer Datei verwendet wird. Angenommen, Sie möchten eine Bilddatei anzeigen, ohne die Menüoption Einfügen | Protokollbefehl | Externes Objekt zu verwenden. Hierzu geben Sie eine Aufforderung in Form einer Befehlszeile (oder DOS-Aufforderung) in eine Stapeldatei ein.

Hinweis: Der Vorteil oder Nachteil (abhängig von Ihren Anforderungen) bei dieser Methode ist, dass die Abbildung am Ende der Ausführung des Werkstückprogramms nicht im Protokoll erscheint.

Erstens: Erstellen Sie eine Stapeldatei, um die Abbildung anzuzeigen:

  1. Öffnen Sie einen Texteditor, wie zum Beispiel Notepad, und geben Sie folgenden Befehl in die erste Zeile ein:

start <PFAD>

<PFAD> entspricht hier dem vollständigen Pfad zur Abbildung (beispielsweise: start d:\temp\meinTeil.gif).

Durch diesen Befehl wird Windows angewiesen, die Bilddatei mit dem standardmäßigen Programm zur Image-Ansicht zu öffnen.

  2. Speichern Sie die Datei und geben Sie ihr eine .bat-Dateinamen-Erweiterung.

Zweitens: Verknüpfen Sie das Dialogfeld Externer Befehl mit der Stapeldatei:

  1. Wählen Sie Einfügen | Externer Befehl aus. Das Dialogfeld Externer Befehl wird eingeblendet.

  2. Klicken Sie auf die Schaltfläche .... Nun erscheint das Dialogfeld Öffnen.

  3. Ändern Sie in der Liste Dateityp unten im Dialogfeld Öffnen den Dateityp auf BAT Files (Stapeldatei "*.bat").

  4. Navigieren Sie zur Stapeldatei und wählen Sie sie aus.

  5. Klicken Sie auf die Schaltfläche Öffnen. Das Dialogfeld Öffnen wird geschlossen und das Dialogfeld Externer Befehl enthält nun den Pfad zur Stapel (.bat) -Datei.

Drittens: Steuern Sie den Vorgang und fügen Sie den Befehl ein:

  1. Bestimmen Sie durch Auswahl der Option Anzeige oder Keine Anzeige im Dialogfeld Externer Befehl, ob eine Meldung, die die Programmausführung unterbricht angezeigt werden soll oder nicht.

  2. Durch Klicken auf OK wird ein EXTERNERBEFEHL in das Bearbeitungsfenster eingefügt.
    EXTERNERBEFEHL/ANZEIGE ; E:\BATCH\TEST.BAT

Viertens: Führen Sie das Programm aus:

  1. Markieren Sie die resultierende Befehlszeile im Bearbeitungsfenster.

  2. Führen Sie das Werkstückprogramm aus.

  3. PC-DMIS führt nun das vorgegebene Stapelprogramm aus, wobei das Bild angezeigt wird und PC-DMIS die Ausführung des Werkstückprogramms entweder fortsetzt oder es unterbricht, solange Sie das Bild betrachten. Je nachdem, welche Auswahl Sie im Dialogfeld "Externer Befehl" getroffen haben.


Einfügen von BASIC-Skripts

Die mit PC-DMIS gelieferte BASIC-Programmiersprache stellt eine leistungsstarke Erweiterung der Softwarefunktionen dar. BASIC-Skripts oder -Anwendungen können innerhalb der PC-DMIS-Umgebung erstellt (bzw. von einem anderen Programm importiert werden) und mit einer Schaltfläche auf einer benutzerdefinierbaren Symbolleiste verknüpft werden, um die einfache Ausführung leistungsstarker Makros zu ermöglichen. Die mit PC-DMIS bereitgestellte Version von BASIC bietet alle Funktionen einer höheren Programmiersprache, u.a. angepasste Dialogfelder (die mit Hilfe des integrierten Bearbeitungsfensters erstellt werden), ODBC- und OLE-Unterstützung. Diese Optionen sind nur als Zusatzoption zur Grundausstattung des Geometriesoftwarepakets PC-DMIS erhältlich.

Die im Bearbeitungsfenster für ein Beispielskript angezeigte Befehlszeile lautet:
SKRIPT/DATEINAME = C:\PCDMISW\beispiel.bas
FUNKTION/Main,EINBLENDEN=JA,,
ENDESKRIPT/

Im Feld DATEINAME= können Sie den Pfad zu der BASIC-Datei angeben (.bas Dateinamenerweiterung), die Sie in das Werkstückprogramm einfügen und ausführen möchten.

Das Feld FUNKTION/Main führt das "Main"-(Haupt-) Unterprogramm aus. Zur Angabe eines anderen Unterprogramms oder ausführbaren BASIC-Funktion kann dieses Feld geändert werden.

Mit dem Feld EINBLENDEN= können Sie bestimmen, ob Befehle, die vom BASIC-Skript automatisch erzeugt wurden, im Werkstückprogramm nach der Ausführung erscheinen oder nicht.

  • Wenn dieses Feld auf EINBLENDEN=NEIN eingestellt ist, erscheinen erzeugte Befehle weder im Übersichts- Befehls- oder DMIS-Modus (Befehle erscheinen jedoch immernoch im Prüfprotokoll). PC-DMIS speichert zudem keinen der erzeugten Befehle mit dem Werkstückprogramm.

  • Wenn das Feld auf EINBLENDEN=JA eingestellt ist, erscheinen erzeugte Befehle im Werkstückprogramm, mit dem sie dann von PC-DMIS gespeichert werden. Um eine Kompatibilität mit früheren Versionen zu gewährleisten, ist die Standardeinstellung EINBLENDEN=JA.

Die Hilfedatei der BASIC-Sprache von PC-DMIS gibt eine komplette Beschreibung dieses Zusatzpakets. Wenn Sie kein Exemplar der Hilfedatei mit Ihrem BASIC-Programmiersprachenpaket erhalten haben, wenden Sie sich bitte an den PC-DMIS-Software-Kundendienst.

Mehr dazu:

So fügen Sie ein BASIC-Skript als Befehl ein

So fügen Sie ein BASIC-Skript als Menü- oder Symbolleisteneintrag ein

Übergeben von Variablen in und aus BASIC-Skripts

Verwenden des BASIC-Skripteditors


So fügen Sie ein BASIC-Skript als Befehl ein

Die Menüoption Einfügen | BASIC-Skript öffnet das Dialogfeld BASIC-Skript einfügen.

In diesem Dialogfeld können Sie ein Objekt des BASIC-Skripts in das Werkstückprogramm einfügen. BASIC-Skriptobjekte enthalten den Namen des BASIC-Skripts, das gleichzeitig mit der Ausführung des BASIC-Skriptobjekts ausgeführt werden sollte. Die Ausführung des Werkstückprogramms wird erst fortgesetzt, nachdem das BASIC-Skript ausgeführt wurde. Erstellt das BASIC-Skript beim Ausführen Objekte, so werden diese in das Werkstückprogramm eingefügt und ausgeführt. Die durch BASIC-Skripts eingefügten Objekte sind in einer anderen Farbe hervorgehoben als andere Objekte, woran erkennbar ist, dass sie von einem BASIC-Skript erstellt wurden. Weitere Hinweise zu BASIC-Skripts finden Sie in der PC-DMIS-Online-Hilfe für BASIC.


So fügen Sie ein BASIC-Skript als Menü- oder Symbolleisteneintrag ein

In PC-DMIS können Sie Symbolleisten und Menüs anpassen und neue Einträge einfügen, die mit EXE-, BAT- oder BAS-Dateien verknüpft sind. Weitere Informationen hierzu finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".


Übergeben von Variablen in und aus BASIC-Skripts

Bei PC-DMIS-Code können Variablen nur an BASIC-Skripts und nicht durch BASIC-Skripts übergeben werden.

Die einzigen unterstützten Variablentypen, die aus PC-DMIS an BASIC-Skripts übergeben werden können, sind:

  • Integer (Ganzzahl)

  • String (Zeichenfolge)

  • Double (Verdoppelung)

Sehen Sie sich diese Beispiele an:

Hinweis: In PC-DMIS halten Variablen Werte nur während der Werkstückprogrammausführung; während der Lernzeit haben PC-DMIS-Variablen immer einen Wert von Null.

Mehr dazu:

Beispiel 1: Verwenden der Funktionszeile zum Übergeben von Variablen

Beispiel 2: Verwenden der Methoden "GetVariableValue" und "SetVariableValue" zum Übergeben von Variablen


Beispiel 1: Verwenden der Funktionszeile zum Übergeben von Variablen

Durch den folgenden Befehl wird ein BASIC-Skript namens TEST.BAS ausgeführt. Bei der Ausführung übergibt er zudem die von der FUNKTION/ Zeile definierte Variable an das Skript TEST.BAS:

CS2=SKRIPT/DATEINAME= D:\PROGRAMME\PCDMIS35\TEST.BAS
FUNKTION/ShowVars,3,"Hallo",2.5,,
STARTSKRIPT/

Nachfolgend sehen Sie das Skript TEST.BAS. Bei Ausführung zeigt es die übergebenen Variablen in den entsprechenden Meldungsfeldern an:

Sub ShowVars(IntVar As Integer, StrVar As String, DoubleVar As Double)

msgbox "Die übergebene Ganzzahl-Variable ist " & IntVar

msgbox "Die übergebene Zeichenfolgenvariable ist " & StrVar

msgbox "Die übergebene Double-Variable ist " & DoubleVar

End Sub


Beispiel 2: Verwenden von "GetVariableValue" und "SetVariableValue"

Beispiel 2: Verwenden der Methoden "GetVariableValue" und "SetVariableValue" zum Übergeben von Variablen.

Im folgenden Beispiel wird zuerst der PC-DMIS-Code verwendet, um einen Ganzzahlwert durch den Benutzer zu erhalten, der dann der Variablen V1 zugewiesen wird.

C1=KOMMENTAR/EINGABE,Geben Sie einen Ganzzahlwert ein.
ZUWEISEN/V1 = INT(C1.EINGABE)
KOMMENTAR/BEDIENER,VOR DEM SKRIPT: Die Variable ist
,V1

Dann wird ein BASIC-Skript namens TEST.BAS aufgerufen.

CS2=SKRIPT/DATEINAME= D:\PROGRAMME\PCDMIS35\TEST.BAS
FUNKTION/Main,,
STARTSKRIPT/
ENDESKRIPT/

Dies ist TEST2.BAS:

Sub Main
Dim App As Object
Set App = CreateObject ("PCDLRN.Application")
Dim Part As Object
Set Part = App.ActivePartProgram
Dim Var As Object
Set Var = Part.GetVariableValue ("V1")
Dim I As Object
If Not Var Is Nothing Then
Var.LongValue = Var.LongValue + 1
Part.SetVariableValue "V1", Var
MsgBox "V1 ist jetzt: " & Var
Else
Msgbox "Variable konnte nicht gefunden werden"
End If
End Sub

In diesem Skript wird die Variable V1 genommen und mit Hilfe der Automatisierungsmethoden GetVariableValue und SetVariableValue um Eins erhöht. Der neue Wert für V1 wird dann in das Werkstückprogramm eingefügt.

PC-DMIS zeigt die geänderte Variable dann in einem Bedienerkommentar an.

KOMMENTAR/BEDIENER, NACH DEM SKRIPT: Variable ist nun
,V1


Anhängen eines externen Werkstückprogramms

Über Einfügen | Werkstückprogramm anhängen wird das Dialogfeld Externes Werkstückprogramm anhängen geöffnet. In diesem Dialogfeld können Sie ein Werkstückprogramm an ein aktuelles Werkstückprogramm anhängen. Dies bedeutet aber nicht, dass PC-DMIS tatsächlich alle Befehle des angegebenen Werkstückprogramms anhängen und ausführen wird. Stattdessen wird ein Zeiger an das Werkstückprogramm angehängt, der zum Zugriff auf dessen Merkmals- und Elementdaten dient. Siehe auch "Verwenden eines Zeigers zur Bezugnahme auf Daten".

Dialogfeld "Externes Werkstückprogramm anhängen"

Dieses Dialogfeld enthält die folgenden Optionen:

Option | Beschreibung
Dateiname für externes Werkstückprogramm | In dieses Feld können Sie den Pfad für das anzuhängende Werkstückprogramm eingeben. Alternativ dazu können Sie den Dateinamen auch mit der Schaltfläche Suchen auswählen. Der Pfad wird dann automatisch in das Feld eingefügt.
Programm-Ausrichtungen gleichsetzen | In diesem Bereich können Sie aus den verfügbaren Listen Ausrichtungen auswählen, die von zwei Werkstückprogrammen gemeinsam genutzt werden sollen. Weitere Informationen hierzu finden Sie unter "Angleichen einer Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Die Menüoption Werkstückprogramm anhängen ist besonders im Mehrarmbetrieb von Nutzen. Mit dieser Option können Sie ein Werkstückprogramm des "Slave"-Arms an ein Werkstückprogramm des "Master"-Arms anhängen. Durch das Anhängen des Werkstückprogramms wird die Datenfreigabe ermöglicht, so dass sowohl der "Master"- als auch der "Slave"-Arm über die gleiche Ausrichtung verlaufen, Elementdaten zu Berechnungszwecken von einem Werkstückprogramm an das nächste weitergeben und allgemein zusammenarbeiten können. (Weitere Informationen zum Mehrarmbetrieb finden Sie unter "Arbeiten im Mehrarmbetrieb".)

Mehr dazu:

Verwenden eines Zeigers zur Bezugnahme auf Daten


Verwenden eines Zeigers zur Bezugnahme auf Daten

Es kann häufig vorkommen, dass Sie beim Zugriff auf ein angehängtes Werkstückprogramm die darin enthaltenen Daten verwenden möchten. Wenn Sie auf diese Daten verweisen, müssen Sie auf den Zeiger (oder die Variable) Bezug nehmen, der über den Speicherort des Werkstückprogramms Auskunft gibt.

Hierzu ein Beispiel:

Angenommen, TEST_A.prg wird an das aktuelle Werkstückprogramm angehängt. Der Befehl hierzu würde etwa folgendermaßen lauten:

CS1=ANHÄNGEN/C:\PCDMISW\TEST_A.PRG, Maschine=

ANGLEICHEN/LOKALE AUSRICHTUNG = A1, ANGEHÄNGTE AUSRICHTUNG = A1

Beachten Sie den Zeiger CS1. Unter Verwendung dieses Zeigers werden Daten aus dem angehängten Werkstückprogramm extrahiert.

Angenommen, Sie möchten den gemessenen X-Wert für Element F1 aus TEST_A.prg innerhalb des aktuellen Werkstückprogramms anzeigen. Die von Ihnen hierzu verwendete Anweisung sähe etwa folgendermaßen aus:

KOMMENTAR/BEDIENER,"Der X-Wert für F1 aus dem angehängten Werkstücprogramm lautet:"

,CS1:F1.X

Mit dem Code CS1:F1.X wird PC-DMIS angewiesen, in TEST_A.prg nach Element F1 zu suchen und den X-Wert anzuzeigen. Auf diese Weise wird innerhalb von PC-DMIS auf Zeiger verwiesen.

PC-DMIS listet auch Elemente aus einem angehängten Werkstückprogramm im Dialogfeld Konstruktion oder Merkmal auf. PC-DMIS zeigt den ID-Zeiger des angehängten Werkstückprogramms im Feld Elementliste an. Links neben dem Zeiger wird ein Pluszeichen (+) eingeblendet. Durch Klicken auf das Pluszeichen wird eine Ansicht aller Elemente im angehängten Werkstückprogramm ein- oder ausgeblendet. Nachdem Sie die Ansicht erweitert haben, um alle Elemente des angehängten Werkstückprogramms anzuzeigen, können Sie Elemente auswählen, um sie beim Erstellungs- oder Merkmalsverfahren zu verwenden.

Hinweis: Der Zeiger des angehängten Werkstückprogramms kann nicht ausgewählt werden. Sie können nur die erweiterten IDs auswählen, die mit dem Zeiger verknüpft sind.


Einfügen externer Objekte

Objekt einfügen (Dialogfeld)

Mit der Menüoption Einfügen | Protokollbefehl | Externes Objekt können Sie verschiedene Objekttypen aus anderen Anwendungen Ihres Systems in das Bearbeitungsfenster aufnehmen. Welche Objekttypen eingefügt werden können, hängt von den auf dem Computersystem installierten Anwendungen ab. Zu den Objekten, die eingefügt werden können, gehören u.a. Grafiken, Audio-Clips, Film-Clips, Midi-Clips, Dokumente, Arbeitsblätter, Datenbanktabellen usw. Sie können externe Objekte verwenden, um Lernvideos, gesprochene oder schriftliche Anweisungen in das Werkstückprogramm zu importieren.

Achtung: Stellen Sie sicher, dass sich das Bearbeitungsfenster im Befehlsmodus befindet, [image] wenn Sie mit externen Objekten arbeiten.

Mehr dazu:

Neu erstellen

Aus Datei erstellen

Als Symbol anzeigen

Liste "Objekttyp"

Markieren externer Objekte für die Ausführung

Anzeige von Dateien auf andere Art und Weise


Neu erstellen

Mit der Schaltfläche Neu erstellen können Sie an einer im Bearbeitungsfenster angegebenen Stelle eine neue Datei eines bestimmten Objekttyps erstellen. Die Objekttypen werden in der Liste Objekttyp ausgewählt. Objekte können nur entweder unmittelbar vor oder nach einem Element im Werkstückprogramm platziert werden.

So erstellen Sie ein neues Objekt und platzieren es im Bearbeitungsfenster:

  1. Klicken Sie auf die Option Neu erstellen.

  2. Wählen Sie den gewünschten Objekttyp im Listenfeld Objekttyp aus. Das Objekt erscheint im Bearbeitungsfenster in einem Feld, das von kleinen rechteckigen Punkten begrenzt ist. Mit Hilfe der Maus können Sie das Feld an eine andere Stelle ziehen, oder Sie können es über die kleinen Rechtecke in seiner Größe anpassen.

  3. Doppelklicken Sie innerhalb des Objekts. Daraufhin wird die Anwendung, die das jeweilige Objekt ausführt, im Bearbeitungsfenster geöffnet.

  4. Bearbeiten Sie das Objekt mit den spezifischen Werkzeugen der eingefügten Anwendung.

  5. Wenn Sie fertig sind, klicken Sie im Bearbeitungsfenster auf den Bereich außerhalb des eingefügten Objekts.

Beispiel: So fügen Sie ein neues Word-Dokument in das Bearbeitungsfenster ein:

  1. Klicken Sie auf die Option "Neu erstellen".

  2. Wählen Sie das gewünschte Word-Dokumentobjekt in der Liste Objekttyp aus.

  3. Ziehen Sie das Objektfeld mit der Maus an die gewünschte Stelle im Bearbeitungsfenster.

  4. Passen Sie die Größe des Felds entsprechend an.

  5. Geben Sie die gewünschte Information in das Word-Dokumentobjekt ein.

  6. Klicken Sie außerhalb des Objekts, um zu den normalen Funktionen des PC-DMIS-Bearbeitungsfensters zurückzukehren. Das Word-Dokument bleibt im Bearbeitungsfenster.

Beispiel eines Word-Dokuments, das im Bearbeitungsfenster erstellt wurde. Beachten Sie, auf welche Weise die Menüs und Symbolleisten im Bearbeitungsfenster durch die Menüs und Symbolleisten der Anwendung, die dem zu erstellenden Objekt entspricht, ersetzt werden.


Aus Datei erstellen

Mit der Option Aus Datei erstellen können Sie eine zuvor erstellte Datei als ein Objekt in das Bearbeitungsfenster einfügen.

Vorgehensweise:

  1. Klicken Sie auf die Schaltfläche Aus Datei erstellen.

  2. Geben Sie den Verzeichnispfad zu der Datei ein, die Sie als Objekt platzieren möchten.Oder navigieren Sie mit der Schaltfläche Suchen zum entsprechenden Verzeichnis.

  3. Wählen Sie die als Objekt einzufügende Datei aus.

  4. Klicken Sie auf OK. Das Objekt wird nun im Bearbeitungsfenster eingeblendet. Mit Hilfe der Maus können Sie das Feld an eine andere Stelle ziehen, oder Sie können es über die kleinen Rechtecke in seiner Größe anpassen.

Beispiel: Wenn Sie ein zuvor geschriebenes Word-Dokument, das eine Reihe von Anweisungen zur Bedienung des KMG enthält, in das Bearbeitungsfenster einfügen möchten, markieren Sie die Option Aus Datei erstellen, navigieren Sie zum Verzeichnis mit dem Dokument und klicken Sie auf OK. Das Dokument wird im Bearbeitungsfenster innerhalb des Objektfelds eingeblendet. Sie können das Objektfeld mit der Maus an die jeweils gewünschte Stelle im Bearbeitungsfenster verschieben und es in seiner Größe anpassen.

Mehr dazu:

Verknüpfen


Verknüpfen

Wenn Sie die Option Aus Datei erstellen markieren, können Sie Ihr Objekt mit dem Bearbeitungsfenster verknüpfen. Wenn Sie das Objekt dann wieder mit seiner Ursprungsdatei verknüpfen, werden sämtliche an der Ursprungsdatei vorgenommenen Änderungen auch im Bearbeitungsfenster aktualisiert.


Als Symbol anzeigen

Über das Kontrollkästchen Als Symbol anzeigen können Sie, anstatt die Daten direkt anzuzeigen, das eingebettete Objekt als Symbol anzeigen lassen. Das Symbol wird dann im Bearbeitungsfenster durch Doppelklicken aktiviert.

Beispiel: Angenommen, Sie platzieren ein Word-Dokument in das Bearbeitungsfenster und markieren das Kontrollkästchen Als Symbol anzeigen.Das Word-Dokument erscheint als Symbol. Wenn Sie jetzt auf das Symbol doppelklicken, wird die eingebettete Anwendung geöffnet und zeigt die im Word-Dokument enthaltenen Informationen an.

Beispiel eines Word-Dokuments, das als Symbol dargestellt wird.


Liste "Objekttyp"

Beispiel einer Objekttyp-Liste

Die Liste Objekttyp enthält die auf Ihrem Computersystem zur Auswahl stehenden Objekttypen. Diese unterscheiden sich je nach Computer und den auf der Festplatte installierten Anwendungsprogrammen.

So wählen Sie einen Objekttyp:

  1. Suchen Sie das Objekt mit der Bildlaufleiste oder der NACH-OBEN- bzw. NACH-UNTEN-TASTE.

  2. Markieren Sie das Objekt.

  3. Klicken Sie auf OK.


Markieren externer Objekte für die Ausführung

Standardmäßig werden externe Objekte gedruckt und nicht ausgeführt, während ein Werkstückprogramm ausgeführt wird. Bei manchen Objekten kann die gewünschte Aktion jedoch im Ausführen und nicht im Drucken bestehen.

Beispiel: Bei Einbettung einer Grafik kann die gewünschte Aktion darin bestehen, die Grafik in das Protokoll auszugeben. Bei Einbettung eines Audio- oder Film-Clips hingegen kann die gewünschte Aktion darin bestehen, bei Ausführung des Objekts gleichzeitig die Wiedergabe des Clips stattfinden zu lassen.

Externe Objekte verfügen über vier Ausführungsmodi:

  1. Drucken – Nicht ausführen

  2. Nicht drucken – Nicht ausführen

  3. Nicht drucken – Ausführen

  4. Drucken – Ausführen

Um zwischen den verschiedenen Modi umzuschalten, drücken Sie F3, während sich die Einfügemarke auf der gleichen Zeile wie das externe Objekt im Bearbeitungsfenster befindet.

Schraffierte Linien - diagonal durch die Grafik verlaufende Linien. Schraffierte Umrandung - diagonal durch die Umrandung der Grafik verlaufende Linien. | Zur Anzeige des aktuellen Ausführungsmodus des Objekts werden schraffierte Linien und Umrandungen verwendet. Siehe nachstehende Beispiele:
 | Keine schraffierten Linien | Wenn keine schraffierten Linien über dem Objekt erscheinen, wird dieses im Protokoll ausgegeben.
 | Schraffierte Umrandung | Wenn das Objekt von einer schraffierten Umrandung umgeben ist, wird es ausgeführt.

Hinweis: Bei der Ausführungsaktion handelt es sich immer um die gleiche Aktion wie beim Doppelklicken auf ein externes Objekt. Bei Mediendateien lautet die Standardaktion in der Regel Wiedergabe. Bei den meisten anderen Objekten lautet die Standardaktion Bearbeiten.
Wiedergabe Audio-Clips geben akustische Signale wieder. Film-Clips geben den jeweiligen Film wieder, usw.

Bearbeiten Bei Objekten, bei denen die Standardaktion "Bearbeiten" lautet, handelt es sich in der Regel nicht um auszuführende Objekte. Einige Anwendungsobjekte sind jedoch auch in der Lage, bei ihrer Aktivierung angepasste BASIC-Skripts auszuführen. Ein Beispiel dieses externen Objekttyps wäre ein Word-Dokument oder eine Excel-Tabelle. Mit Hilfe dieser Objekttypen und den PC-DMIS-Automationsbefehlen kann das Objekt durch Daten aus dem Werkstückprogramm geändert werden. So kann beispielsweise ein Excel-Diagramm in ein Werkstückprogramm mit einem BASIC- Skript eingefügt werden, wobei letzteres bei seiner Aktivierung anhand der PC-DMIS-Automationsbefehle Daten aus dem Werkstückprogramm extrahiert und das Diagramm entsprechend anpasst, bevor es an das Prüfsprotokoll ausgegeben wird.


Anzeige von Dateien auf andere Art und Weise

PC-DMIS bietet eine Alternative zur Anzeige von Dateien mit Hilfe des Befehls EXTERNERBEFEHL des Bearbeitungsfensters. Weitere Informationen finden Sie unter "Beispiel zur Anwendung des externen Befehls zur Anzeige einer Datei.".


Arbeiten im Mehrarmbetrieb

Arbeiten im Mehrarmbetrieb: Einführung

Einrichten eines Mehrarm-KMGs

Schritt 1: PC-DMIS auf allen Computern installieren

Schritt 2: Bestimmen des Master-Systems

Schritt 3: Die KMG-Achsen jedes Arms in Übereinstimmung bringen

Schritt 4: Konfigurieren der Ausrichtung des Tastkopf-Adapters

Schritt 5: Einrichten von Master und Slave

Dieser PC (Slave) empfängt Daten vom Haupt-PC

Dieser Haupt-PC steuert alle Arme

Dieser Computer ist nicht im Mehrarmbetrieb

Schritt 6: Verbindung zwischen den Computern herstellen

Schritt 7: Mehrarmbetrieb aktivieren

Schritt 8: Kalibrieren des Mehrarmsystems

Kalibrierverfahren – Teil 1

Kalibrierverfahren – Teil 2

Durchführen einer automatischen Kalibrierung

Schritt 9: Kalibrieren der Mehrarm-Tasterdateien

Master-Tasterdatei-Kalibrierung

Slave-Tasterdatei-Kalibrierung

Schritt 10: Festlegen des Mehrarm-Nullpunkts

Erstellen eines Werkstückprogramms im Mehrarmbetrieb

Zuweisen eines Befehls zu einem Arm

Einem neuen Arm vorhandene Befehle zuweisen

Programmausführung im Mehrarmbetrieb

Anfangspunkte für den Mehrarmbetrieb setzen

Pausieren eines Arms zur Kollisionsvermeidung

Verwenden eines Bewegungs-Sync-Befehls

Verwenden eines Exklusive Zone-Befehls

Temperaturkompensation bei Mehrarm-Kalibrierung

Ausführen eines Master-Werkstückprogramms auf dem Slave-Arm

So fügen Sie ein Symbol hinzu, über das PC-DMIS im umgekehrten Achsenmodus ausgeführt wird:


Arbeiten im Mehrarmbetrieb: Einführung

Der Mehrarm-Betrieb wurde zur Steuerung von Mehrarm-KMGs entwickelt. Die Option Mehrarmbetrieb ist als Zusatzpaket verfügbar. Derzeit unterstützt diese Version nur den Mehrarmbetrieb mit zwei Messarmen. Die beiden Arme müssen an verschiedenen Computern mit jeweils einer PC-DMIS-Version und einer Anschlusssperre angeschlossen sein. Diese Arme arbeiten mit einer gemeinsamen Ausrichtung.

Zukünftige Versionen von PC-DMIS werden die Möglichkeit bieten, bis zu vier Maschinenarme mit einer PC-DMIS-Version steuern zu können, wobei jede beliebige Kombination von ein bis vier Computern verwendet werden kann.

Der Messvorgang im Mehrarmbetrieb ist mit dem bei Einzelarmgeräten vergleichbar, mit dem Unterschied, dass PC-DMIS bei Einsatz eines Mehrarmsystems in der Lage sein muss, den Arm zu erkennen, der die Messung ausführt. In den Themen dieses Abschnitts werden die hierfür notwendigen Verfahren erläutert.

Die Hauptthemen in diesem Abschnitt beschreiben die Einrichtung eines Mehrarm-KMGs, das Erstellen von Werkstückprogrammen im Mehrarmbetrieb sowie das Vorgehen beim Ausführen eines "Master"-Werkstückprogramms auf einem "Slave"-Arm. Es handelt sich um folgende Themen:

  • Einrichten eines Mehrarm-KMGs

  • Erstellen eines Werkstückprogramms im Mehrarmbetrieb

  • Ausführen eines Master-Werkstückprogramms auf dem Slave-Arm

Hinweis: PC-DMIS muss vor Ausführung des Mehrarmbetriebs auf allen Systemen installiert werden.


Einrichten eines Mehrarm-KMGs

Verfahren Sie zum Einrichten eines Mehrarm-KMGs wie folgt:

Mehr dazu:

Schritt 1: PC-DMIS auf allen Computern installieren

Schritt 2: Bestimmen des Master-Systems

Schritt 3: Die KMG-Achsen jedes Arms in Übereinstimmung bringen

Schritt 4: Konfigurieren der Ausrichtung des Tastkopf-Adapters

Schritt 5: Einrichten von Master und Slave

Schritt 6: Verbindung zwischen den Computern herstellen

Schritt 7: Mehrarmbetrieb aktivieren

Schritt 8: Kalibrieren des Mehrarmsystems

Schritt 9: Kalibrieren der Mehrarm-Tasterdateien

Schritt 10: Festlegen des Mehrarm-Nullpunkts


Schritt 1: PC-DMIS auf allen Computern installieren

Der erste Schritt zum Einrichten dieser Option ist die Installation von PC-DMIS auf allen Computern, die zur Mehrarm-Steuerung dienen. (Schlagen Sie ggf. in der Dokumentation mit den Software-Installationsverfahren nach.)

Die Mehrarm-Option muss in allen Anschlusssperren programmiert sein. So können Sie dies überprüfen:

  1. Wählen Sie Hilfe | Info über PC-DMIS für Windows aus. Das Dialogfeld Info über PC-DMIS für Windows wird eingeblendet. Es enthält Informationen über die Programmentwickler und die installierten Module.

  2. Öffnen Sie die Auswahlliste Module, und suchen Sie nach "Mehrarm". Wenn dieser Eintrag angeführt wird, ist die Option in der aktuellen Anschlusssperre aktiviert.

Sie sollte auf allen Computern verfügbar sein.

Nächster Schritt


Schritt 2: Bestimmen des Master-Systems

Bestimmen des Master-Systems. In den meisten Fällen kann jede Arm-Steuerung diese Aufgabe übernehmen. Wenn das Mehrarmsystem jedoch mit einem Drehtisch ausgestattet ist, dann muss es sich bei dem Master um die Steuereinheit handeln, die den Drehtisch steuert.

Kennzeichnen Sie die Master- und Slave-Arme in irgendeiner Weise. Die meisten Benutzer bezeichnen den Master-Arm als "ARM1" und den Slave-Arm als "ARM2".

Nächster Schritt


Schritt 3: Die KMG-Achsen jedes Arms in Übereinstimmung bringen

Die KMG-Achsen der beiden Arme müssen übereinstimmen. Die Achsen X+, Y+ und Z+ müssen bei allen Armen in derselben Richtung verlaufen.

Wenn Sie die Zuweisung oder Richtung der Achsen ändern müssen:

  1. Vergewissern Sie sich, dass PC-DMIS im Online-Modus ausgeführt wird.

  2. Wählen Sie auf dem Slave-Computer die Option Bearbeiten | Einstellungen | KMG Schnittstelle einrichten aus. Das Dialogfeld KMG-Optionen wird angezeigt.

  3. Wählen Sie die Registerkarte Achsen. Daraufhin werden die Kombinationsfelder der X-, Y- und Z-Achsen eingeblendet.

  4. Weisen Sie die Achsen des angeschlossenen KMGs über die Listen X, Y oder Z so zu, dass sie den Achsen des Master-Arms entsprechen. Normalerweise müssen nur die X- und Y-Achsen verändert werden.

  5. Klicken Sie auf Übernehmen, um die Änderungen beizubehalten.

  6. Beenden Sie PC-DMIS, nachdem das Dialogfeld geschlossen wurde.

  7. Starten Sie PC-DMIS neu, und überprüfen Sie die Richtigkeit der vorgenommenen Änderungen, indem Sie die Achsen der beiden Arme in dieselben Richtungen verschieben. Die Achsenzähler müssen sich entsprechend erhöhen.

Hinweis: Die numerischen Werte der Zähler stimmen erst nach Abschluss der Master-/Slave-Kalibrierung überein.

Nächster Schritt


Schritt 4: Konfigurieren der Ausrichtung des Tastkopf-Adapters

Nachdem PC-DMIS auf allen Systemen geladen und die Achsen aller Arme in Übereinstimmung gebracht wurden, konfigurieren Sie die Ausrichtung des Tasterkopf-Adapters wie folgt:

  1. wählen Sie die Menüoption Bearbeiten | Einstellungen | Einrichten, um das Dialogfeld Setup-Optionen aufzurufen. Menü-Übersicht anzeigen

  2. Wählen Sie die Registerkarte Werkstück/Maschine.

  3. Klicken Sie auf die Schaltfläche Einbaulage des Tastkopfes. Das Dialogfeld Einbaulage der Tastköpfe erscheint.

Einbaulage der Tastköpfe (Dialogfeld)

  4. Ändern Sie ggf. die Adapterausrichtung für jeden KMG-Arm.

Nächster Schritt

Siehe auch:

Dieser PC (Slave) empfängt Daten vom Haupt-PC

Dieser Computer (master) steuert alle Arme

Dieser Computer ist nicht im Mehrarm Betrieb


Schritt 5: Einrichten von Master und Slave

Im nächsten Schritt wird der Mehrarmbetrieb für den aktuellen Computer eingerichtet. Wählen Sie die Menüoption Bearbeiten | Einstellungen | Mehrarm Betrieb einrichten. Über diese Menüoption wird das Dialogfeld Mehrarm-Betrieb einrichten aufgerufen.

Dialogfeld Mehrarm-Betrieb einrichten

Bestimmen Sie mit Hilfe dieses Dialogfelds, ob der aktuelle Computer der Haupt-PC (Master) ist und Befehle an die Slave-Arme sendet oder ob der aktuelle Computer ein Neben-PC (Slave) ist, der durch den Haupt-PC empfangene Befehle weitergibt.

Wenn Sie die Änderungen in diesem Dialogfeld vorgenommen und auf OK geklickt haben, blendet PC-DMIS eine Warnmeldung ein, die Sie darüber informiert, dass Sie PC-DMIS neustarten müssen, damit die Änderungen wirksam werden.

  • Dieser PC (Slave) empfängt Daten vom Haupt-PC

  • Dieser Haupt-PC steuert alle Arme

  • Dieser Computer ist nicht im Mehrarmbetrieb

Nächster Schritt


Dieser PC (Slave) empfängt Daten vom Haupt-PC

Mit der Option 'Dieser PC (Slave) empfängt Daten vom Haupt-PC' kann der Computer ausschließlich mit dem Slave-Arm bedient werden und leitet Daten vom Haupt-PC weiter. Die Verbindung kann über einen TCP/IP-Port erfolgen.


Dieser Haupt-PC steuert alle Arme

Mit der Option Dieser Haupt-PC steuert folgende Arme wird der Computer zum Hauptrechner, der alle Arme steuert. Sie können für den Anschluss des Computers an die anderen Arme entweder die Option Direkte Verbindung oder TCPIP Verbindung wählen.

Wenn Sie die Option TCPIP Verbindung wählen, können Sie die anderen Arme anschließen. Vorgehensweise:

  1. Wählen Sie den Arm aus der Liste Einstellungen für Arm aus.

  2. Verwenden Sie die IP-Adresse in dem Feld neben TCPIP Verbindung. Geben Sie die Anschlussnummer der IP-Adresse in das gleichnamige Feld ein.

  3. Geben Sie die Verzögerung für die TCPIP-Verbindung im Feld Verzögerung für TCPIP in Millisekunden: an. Mit diesem Wert wird die Anzahl von Millisekunden für die Verzögerung bestimmt, nach der PC-DMIS eine TCPIP-Verbindung zwischen dem aktuellen Arm und dem aktuellen Computer aufzubauen versucht.


Dieser Computer ist nicht im Mehrarmbetrieb

Wird der Computer nicht zur Einrichtung des Mehrarmbetriebs eingesetzt, wählen Sie die Option "Dieser PC ist nicht im Mehrarm Betrieb".


Schritt 6: Verbindung zwischen den Computern herstellen

Sie müssen nun eine Verbindung zwischen den Computern herstellen, damit sie miteinander kommunizieren können. Sie können entweder über ein serielles Nullmodemkabel miteinander verbunden werden, oder, wenn beide Computer an ein Netzwerk angeschlossen sind, können sie über das Netzwerk miteinander kommunizieren. Unter "Schritt 5: Einrichten von Master und Slave" wird beschrieben, wie Sie diese Kommunikationseinstellungen konfigurieren.

Wenn die Verbindung zwischen den Computern hergestellt ist,

  1. starten Sie PC-DMIS auf den Slave-Systemen. Sie brauchen kein neues Werkstückprogramm zu erstellen oder Programm zu aktivieren. Die Slave-Systeme sind nun bereit.

  2. Starten Sie PC-DMIS auf dem Master-System. Erstellen Sie ein neues Werkstückprogramm (oder aktivieren Sie ein bereits verfügbares Programm). Wenn Sie ein neues Werkstückprogramm erstellen, blendet PC-DMIS das Dialogfeld Taster-Hilfsprogramme automatisch ein.

  3. Wählen oder erstellen Sie eine Tasterdatei, in der ein Taster auf dem Master-Arm beschrieben wird. Vergessen Sie nicht, den AB-Winkel für die Tastspitze einzuschließen, mit der Sie die Beziehung zwischen den beiden Armen kalibrieren werden. Der Taster soll nicht zu diesem Zeitpunkt kalibriert werden.

Nächster Schritt


Schritt 7: Mehrarmbetrieb aktivieren

Wenn Sie nach Einrichten beider Computer ein Werkstückprogramm aufrufen, sollte die Menüoption Vorgang | Aktivieren Mehrarm Betrieb auf dem Haupt-PC zur Auswahl stehen. Wählen Sie die Menüoption Aktivieren Mehrarm Betrieb.

In PC-DMIS erscheint im Menü links neben der Option Vorgang | Aktivieren Mehrarm Betrieb ein Häkchen, wenn diese Option ausgewählt ist. Die Symbolleiste Aktuelle Arme wird angezeigt.

Wenn der Mehrarmbetrieb aktiviert wird, versucht PC-DMIS, eine Verbindung zwischen den Computersystemen herzustellen. Über diese Verbindung werden die Aktivitäten aller Arme aufeinander abgestimmt.

Problembehandlung

Wenn PC-DMIS nach Aktivierung des Mehrarmbetriebs keine Verbindung zwischen den Computern herstellen kann, erhalten Sie eine Fehlermeldung des Inhalts, dass ein bestimmter Arm nicht antwortet. Das Kommunikationsproblem kann folgende Ursachen haben:

  • PC-DMIS ist auf einem Computer nicht in Betrieb.

  • Ein Online-Werkstückprogramm läuft gerade auf einem Slave-PC.

  • Die Kabelverbindungen (oder sonstige Netzwerkverbindungen) zwischen den Computern funktionieren nicht.

  • Die im Dialogfeld Mehrarm-Betrieb einrichten vorgenommenen Einstellungen sind falsch.

Nachdem zwischen den Computern eine Verbindung hergestellt wurde, können Sie die Beziehung zwischen den beiden Armen kalibrieren.

Hinweis: Wird das aktive Werkstückprogramm verlassen, beendet PC-DMIS auch den Mehrarmbetrieb.

Nächster Schritt


Schritt 8: Kalibrieren des Mehrarmsystems

Als Nächstes erhalten Sie Anweisungen zur Kalibrierung des Mehrarmsystems.

Vor der Kalibrierung und nachdem PC-DMIS auf den Computersystemen gestartet wurde, müssen alle beim Messvorgang zu verwendenden Taster definiert werden. PC-DMIS kalibriert das Mehrarmsystem auf Basis der theoretischen Daten der Taster.

Wichtig: Die Taster sollen zu diesem Zeitpunkt nicht kalibriert werden. Vergewissern Sie sich nur, dass die Taster richtig definiert sind und dass Sie den AB-Winkel für die Tastspitze, mit der Sie das Mehrarmsystem kalibrieren wollen, hinzugefügt haben.

Ihr Werkstückprogramm sollte mehrere TASTERLADEN-Befehle enthalten, jeweils einen für jeden Arm.

Vorsicht: Sollten Sie bereits zuvor den Versuch einer Mehrarm-Kalibrierung unternommen haben, hat PC-DMIS armtoarm.dat-Dateien erzeugt, die in den jeweiligen PC-DMIS-Installationsverzeichnissen der Master- und Slave-Computer abgelegt sind. Sie sollten diese Dateien löschen oder umbenennen, bevor Sie den Vorgang fortsetzen, damit die Daten der vorherigen Kalibrierversuche den aktuellen Kalibriervorgang nicht negativ beeinflussen.

Gehen Sie folgendermaßen vor:

  • Kalibrierverfahren – Teil 1

  • Kalibrierverfahren – Teil 2

  • Durchführen einer automatischen Kalibrierung

Nächster Schritt


Kalibrierverfahren – Teil 1

Mehrarm-Kalibrierung (Dialogfeld)

  1. Wählen Sie die Menüoption Vorgang | Kalibrieren/Editieren | Mehrarm Betrieb (die nur im Online-Modus zur Auswahl steht). Menü-Übersicht anzeigen zeigt PC-DMIS das Dialogfeld Mehrarm-Kalibrierung an.

  2. Vergewissern Sie sich, dass die korrekten Tasterdateien und -spitzen in den Arm-Listen des Dialogfelds ausgewählt sind.

  3. Wählen Sie ein geeignetes Kalibriernormal aus der Liste der verfügbaren Kalibriernormale aus. Das Kalibriernormal ist nur bei Auswahl der Option Beide Arme messen Kalibriernormal erforderlich.

  4. Wählen Sie die Art der Kalibrierung, entweder Ausrichtung und Nullpunkt oder Nur Nullpunkt.

  • Bei Auswahl der Option Ausrichtung und Nullpunkt wird eine 3D-Transformation zwischen den beiden Armen erstellt, um eine evtl. fehlende Rechtwinkligkeit zwischen den beiden Armen zu kompensieren. Dies muss mindestens einmal durchgeführt werden (wird gewöhnlich regelmäßig alle paar Monate wiederholt).

  • Bei Auswahl von Nur Nullpunkt wird nur der Nullpunkt zwischen den beiden Armen korrigiert. Diese Art von Kalibrierung sollte häufiger auf Basis der TasterKalibrierverfahren durchgeführt werden. Beim Kalibrieren des Tasters werden Sie gefragt, ob Sie das Kalibriernormal verschoben haben. Wenn Sie PC-DMIS in der Regel mitteilen, dass Sie das Kalibriernormal nicht verschoben haben, muss der Nullpunkt zwischen den Armen nicht korrigiert werden. Bei einer anderslautenden Antwort müssen Sie nach der Kalibrierung der Tastspitzen zu diesem Dialogfeld zurückkehren und als Art der Armverhältniskalibrierung Nur Nullpunkt wählen.

Achtung: Bei Auswahl von Nur Nullpunkt müssen Sie sicherstellen, dass Sie kalibrierte Tastspitzen verwenden.

  5. Wählen Sie das für die Kalibrierung auszuführende Verfahren, indem Sie entweder die Option Manuelle Kalibrierung oder CNC Kalibrierung aktivieren.

  • Bei Wahl der Option Manuelle Kalibrierung fordert PC-DMIS Sie auf, jede Kugelposition mit dem Bedienelement des KMGs zu messen. Nachdem Sie den ersten Messpunkt oben auf der Kugel aufgenommen haben, nimmt PC-DMIS die restlichen Messpunkte im CNC-Modus auf.

  • Bei Auswahl der Option CNC Kalibrierung dürfen Sie alle Kugelpositionen angeben. PC-DMIS führt die gesamte Bewegung unter Computersteuerung durch. Durch Anklicken der Schaltfläche Position editieren können Sie die Lage der einzelnen Kugelpositionen ändern, indem Sie die entsprechenden X-, Y- und Z-Koordinaten eingeben (zum Eintragen dieser drei Werte kann es nützlich sein, die Position des aktiven Arms zu lesen). Beachten Sie jedoch bitte, dass durch Klicken auf die Schaltfläche Fertig auf Ihrem Bedienelement die aktuelle Position des Arms gelesen werden kann.

Achtung: Sie müssen zuerst mindestens eine Kalibrierung vom Nullpunkt zum Arm im manuellen Modus durchführen, um die grundlegende Beziehung zwischen den beiden Armen zu bestimmen. Wenn Sie eine Armverhältniskalibrierung abgeschlossen haben, erzeugt PC-DMIS eine Datei namens armarm.results, die in dem über die Menüoption Suchpfad festlegen definierten Verzeichnis gespeichert wird (siehe auch "Angabe externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen". Diese Textdatei kann mit jedem beliebigen Textbearbeitungsprogramm geöffnet werden. Sie zeigt die Güte der Kugelpositionen an der Stelle, wo Sie die erste Einpassung vorgenommen haben, an. Insbesondere wird der "Einpassungsfehler" angezeigt. Diese Information könnte hilfreich sein, um die Gesamtgenauigkeit der Kalibrierung zu zeigen.

  6. Geben Sie in das Feld Anzahl der Kugeln eine Zahl ein. Diese Zahl bestimmt, wie viele Kugeln pro Arm gemessen werden. Wenn Sie eine größere Kugelanzahl als 1 eingeben, wird zur Erstellung des Nullpunkts der Mittelwert der Messungen verwendet.

  • Bei Auswahl der Option Manuelle Kalibrierung fordert PC-DMIS Sie auf, diese Positionen manuell zu messen.

  • Bei Auswahl der Option CNC Kalibrierung bewegt PC-DMIS jeden Arm automatisch, um diese Positionen zu messen. Als Mindestanzahl sind drei Kugeln erforderlich.

Vorsicht: Stellen Sie sicher, dass sich die Kugeln nicht in derselben Position befinden. Andernfalls wird der Kalibriervorgang mit falschen Ergebnissen abgeschlossen.

  7. Bestimmen Sie anhand der verfügbaren Optionen unten, wie die Kalibriernormale mit den Armen gemessen werden.

Beide Arme messen Kalibriernormal

      • Bei Wahl dieser Option im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, jede Kugelposition mit beiden Armen zu messen.

      • Bei Wahl dieser Option im Modus CNC Kalibrierung bewegt PC-DMIS beide Arme zum Messen einer Kugel auf alle im Dialogfeld Kalibrierpositionen bearbeiten festgelegten Positionen. Die gewünschte Anzahl von Kugelpositionen sollte tatsächlich auf dem KMG gespeichert sein, da zwischen Messungen nicht genügend Zeit verbleibt, um die Kugel physisch zu bewegen.

Arm 1 hält Kugel und Messung erfolgt mit Arm 2

      • Bei Auswahl dieser Option im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, den Master-Arm an jede Position zu bewegen und die Kalibrierkugel mit dem Slave-Arm zu messen.

      • Bei Auswahl dieser Option im Modus CNC-Kalibrierung bewegt PC-DMIS den Master-Arm an jede der angegebenen Kalibrierpositionen und befiehlt dem Slave-Arm, die Kugel an der betreffenden Position zu messen. Für diese Option ist eine besondere am Armende montierte Kugel erforderlich.

Arm 2 hält Kugel und Messung erfolgt mit Arm 1

      • Bei Auswahl dieser Option im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, den Slave-Arm an jede Position zu bewegen und die Kalibrierkugel dann mit dem Master-Arm zu messen.

      • Bei Auswahl dieser Option im Modus CNC Kalibrierung bewegt PC-DMIS den Slave-Arm an jede der angegebenen Kalibrierpositionen und befiehlt dem Master-Arm, die Kugel an der betreffenden Position zu messen. Für diese Option ist eine besondere am Armende montierte Kugel erforderlich.

  8. Klick Sie auf die Schaltfläche Kalibrieren, sobald diese aktiviert wird. Diese Schaltfläche wird erst nach Auswahl aller benötigter Kalibrierparameter aktiviert.

Wenn Sie die Option Beide Arme messen Kalibriernormal gewählt haben, müssen Sie zunächst folgende Einträge vornehmen, bevor die Schaltfläche Kalibrieren verfügbar wird:

    • Einen gültigen Taster-Dateinamen und Tastspitzenwinkel für Arm1.

    • Einen gültigen Taster-Dateinamen und Tastspitzenwinkel für Arm2.

    • Ein gültiges Kalibriernormal aus der "Liste der verfügbaren Kalibriernormale".

Wenn Sie die Option Arm 1 hält Kugel und Messung erfolgt mit Arm 2 gewählt haben, müssen Sie zunächst folgende Einträge vornehmen, bevor die Schaltfläche Kalibrieren verfügbar wird:

    • Einen gültigen Taster-Dateinamen und Tastspitzenwinkel für Arm1.

    • Einen gültigen Taster-Dateinamen und Tastspitzenwinkel für Arm2.

    • Bei der Tastspitze von Arm 1 muss es sich um den Typ FIXEDBALL (Feste Kugel), wie in der probe.dat-Datei angegeben, handeln.

Wenn Sie die Option Arm 2 hält Kugel und Messung erfolgt mit Arm 1 gewählt haben, müssen Sie zunächst folgende Einträge vornehmen, bevor die Schaltfläche Kalibrieren verfügbar wird:

    • Einen gültigen Taster-Dateinamen und Tastspitzenwinkel für Arm1.

    • Einen gültigen Taster-Dateinamen und Tastspitzenwinkel für Arm2.

    • Bei der Tastspitze von Arm 2 muss es sich um den Typ FIXEDBALL (Feste Kugel), wie in der probe.dat-Datei angegeben, handeln.

9. PC-DMIS beginnt mit der von Ihnen angeforderten Kalibrierung. Dadurch wird eine Ausrichtung zwischen Master-Arm und Slave-Arm erreicht. Dies geschieht durch Nivellieren, Drehen und Einstellen des Nullpunkts.

  • Wenn Sie die Option Manuelle Kalibrierung gewählt haben, beginnen Sie mit der Aufnahme eines Messpunktes oben auf der Kugel. PC-DMIS misst die restlichen Punkte dann automatisch. Nachdem Sie die Kugel in der aktuellen Position gemessen haben, fordert PC-DMIS Sie auf, diese an eine neue Stelle auf dem Tisch zu verschieben.

  • Wenn Sie die Option CNC Kalibrierung gewählt haben, misst PC-DMIS einfach jede der angegebenen Kalibierkugelpositionen. Achten Sie darauf, dass die Kugelpositionen auf dem Tisch nicht kolinear (in einer Linie) liegen. Ordnen Sie die Kugelpositionen so weit wie möglich voneinander entfernt an, wobei mindestens eine davon in die Z-Achse erhöht sein sollte.

Hinweis: Alternativ hierzu kann zur Kalibrierung von CNC-Maschinen manuell die Kalibrierung Nur Nullpunkt gefolgt von der CNC-Kalibrierung Ausrichtung und Nullpunkt durchgeführt werden. Diese Methode ist auf größeren Messgeräten hilfreich, bei denen davon ausgegangen werden kann, dass die X- und Z-Achsen relativ parallel zueinander verlaufen. Hieran würde sich dann die Tasterkalibrierung und die Kalibrierung Nur Nullpunkt anschließen.

Kalibrierverfahren – nächster Teil


Kalibrierverfahren – Teil 2

Wenn Sie die in Teil 1 beschriebene Kalibrierung durchgeführt haben, müssen Sie die Master- und Slave-Tasterdateien mit demselben Kalibriernormal kalibrieren. Dadurch wird die Nullpunkt-Relation zwischen den beiden Tastspitzen zurückgesetzt. Die Ebene oder Drehung der Ausrichtung wird nicht geändert, lediglich der Nullpunkt. Wenn Sie mit einem PHS-Dreh-/Schwenkkopf arbeiten, müssen Sie eine Wrist-Kalibrierung mit beiden Armen am gemeinsamen Kalibriernormal durchführen.

Verfahren Sie wie folgt:

  1. Klicken Sie in der Symbolleiste Aktuelle Arme auf die Schaltfläche Arm 1 aktiv. Die meisten Benutzer weisen diese Schaltfläche dem Haupt-PC zu.

  2. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster). Menü-Übersicht anzeigen

  3. Wenn PC-DMIS Sie fragt, ob Sie eine neue Tasterdatei laden möchten, klicken Sie auf Nein.

  4. Kalibrieren Sie den Master-Taster (oder führen Sie eine Wrist-Kalibrierung durch, wenn Sie mit einem PHS arbeiten). PC-DMIS fragt jetzt, ob der Taster bewegt wurde.

  5. Klicken Sie auf Ja.

  6. Wenn Sie die Kalibrierung abgeschlossen haben, schließen Sie das Dialogfeld Taster-Hilfsprogramme.

  7. Klicken Sie in der Symbolleiste Aktuelle Arme auf die Schaltfläche Arm 2 aktiv. Die meisten Benutzer weisen diese Schaltfläche dem Slave-Computer zu.

  8. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme, um den Slave-Taster zu kalibrieren (oder führen Sie eine Wrist-Kalibrierung durch, wenn Sie mit einem PHS arbeiten).

  9. Wenn PC-DMIS Sie dieses Mal fragt, ob der Taster bewegt wurde, müssen Sie Nein anklicken.

Wenn Sie beide Tasterdateien im Mehrarmbetrieb kalibriert haben, ist die Mehrarm-Kalibrierung abgeschlossen. PC-DMIS kopiert die Slave-Tasterdatei, die Tasterdaten und die Arm-zu-Arm-Transformationsdaten zum Slave-Computer. Dadurch können Sie den Slave-Arm unabhängig betreiben, als wäre er eine Erweiterung des Master-Koordinatensystems. Alternativ dazu können Sie auch immer mit beiden Armen gemeinsam im Mehrarmbetrieb arbeiten.


Durchführen einer automatischen Kalibrierung

Zusätzlich zur regulären Mehrarm-Kalibrierung können Sie in PC-DMIS auch eine automatische Kalibrierung der Arme durchführen.

PC-DMIS enthält einen Befehl, der den aktuellen Taster während der Ausführung des Werkstückprogramms automatisch kalibriert. PC-DMIS beginnt die Kalibrierroutine, sobald der Befehl ausgeführt wird.

Wählen Sie die Menüoption Einfügen | Kalibrieren | AutoKalibrieren Mehrarm, um den Befehl einzufügen.

Der folgende Befehlsblock wird in das Bearbeitungsfenster eingefügt:

AUTO_KALIBRIEREN/MEHRARM, MESSENDER_ARM=BEIDE, KALIBRIERMODUS=CNC, KALIB_NORMAL_ID=kal_m, IN_MITTE_MESSEN=0,0,0

Eine Beschreibung der Elemente in diesem Befehlsblock finden Sie hier:

Element | Beschreibung
MESSENDER_ARM= | Gibt an, welcher Arm die Messung durchführt (und nicht, welcher Arm das Kalibriernormal hält). Zur Auswahl stehen BEIDE, ARM2 oder ARM1.
KALIBRIERMODUS= | Zeigt, ob Sie die Kalibrierung im manuellen oder im CNC-Modus durchführen.
KALIB_NORMAL_ID= | Gibt den Namen des verwendeten Kalibriernormals an.
IN_MITTE_MESSEN= | Die X,Y,Z-Position, die für die Messung verwendet werden soll, wenn KALIBRIERMODUS=CNC ist. Bei Verwendung von KALIBRIERMODUS=MANUELL wird dieser Befehl nicht verwendet.

Durch Drücken von F9 wird das Dialogfeld Auto Kalibrierung Mehrarm geöffnet.

Dialogfeld "Auto Kalibrierung Mehrarm"

Die meisten Optionen in diesem Dialogfeld entsprechen jenen im Dialogfeld Mehrarm-Kalibrierung. Es gibt jedoch zwei bedeutende Unterschiede:

1. PC-DMIS unterstützt bei diesem Befehl derzeit nur den Kalibriertyp Nur Nullpunkt. Daher können Nur Nullpunkt und die Anzahl der Kugeln nicht geändert werden. Da PC-DMIS bei diesem Befehl nur eine Kugel unterstützt, gibt es keine gesonderte Schaltfläche zum Editieren aller Kugelpositionen. Mit Hilfe der Felder X-Mitte, Y-Mitte und Z-Mitte können Sie die Position der einen Kugel festlegen. Bei Verwendung der CNC-Kalibrierung legen diese Felder die X-, Y- und Z-Koordinaten für die Kugelposition fest.

2. Sie können den Taster und die Tastspitze für den Master oder Slave nicht festlegen. Diese werden in den Listen im Dialogfeld nur zu Informationszwecken angezeigt. Der Befehl AUTO_KALIBRIEREN/MEHRARM ruft sie aus dem Inhalt des Programms ab, in dem der Befehl verwendet wird.

Master-Taster | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTERLADEN für den Master-Arm bestimmt, der vor dem Befehl AUTO_KALIBRIEREN/MEHRARM steht.
Master-Tastspitze | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTSPITZE für den Master-Arm bestimmt, der vor dem Befehl AUTO_KALIBRIEREN/MEHRARM steht.
Slave-Taster | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTERLADEN für den Slave-Arm bestimmt, der vor dem Befehl AUTO_KALIBRIEREN/MEHRARM steht.
Slave-Tastspitze | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTSPITZE für den Slave-Arm bestimmt, der vor dem Befehl AUTO_KALIBRIEREN/MEHRARM steht.


Schritt 9: Kalibrieren der Mehrarm-Tasterdateien

Nachdem das System nun kalibriert wurde, müssen Sie die Mehrarm-Tasterdateien kalibrieren.

Bei dieser Art von Kalibrierung haben Sie folgende Möglichkeiten:

  • Jeden Arm in beliebiger Reihenfolge kalibrieren.

  • Verschiedene Kalibriernormale zur Kalibrierung verschiedener Arme verwenden.

  • Den Slave-Arm vom Slave-Computer aus und den Master-Arm vom Haupt-PC aus kalibrieren.

  • Den Slave-Taster auf demselben Kalibriernormal wie den Master-Taster kalibrieren.

  • Jeweils nur einen Arm kalibrieren.

PC-DMIS synchronisiert die Tasterdateien der verschiedenen Computer nach dieser Kalibrierung, sobald der Mehrarmbetrieb das nächste Mal auf dem Haupt-PC aufgerufen wird.

  • Master-Tasterdatei-Kalibrierung

  • Slave-Tasterdatei-Kalibrierung

Nächster Schritt


Master-Tasterdatei-Kalibrierung

Zur Kalibrierung der Master-Tasterdatei gehen Sie vor wie folgt:

  1. Wählen Sie Arm 1 aktiv in der Symbolleiste Aktuelle Arme.

  2. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster). Menü-Übersicht anzeigen

  3. Befolgen Sie die unter "Messen" im Abschnitt "Definieren von Hardware" zur Verfügung stehenden Verfahren, über die Sie Hinweise zur Kalibrierung der Tasterdateien erhalten.


Slave-Tasterdatei-Kalibrierung

Zur Kalibrierung der Slave-Tasterdatei gehen Sie vor wie folgt:

  1. Wählen Sie eines der Slave-Arm-Symbole (Arm 2 aktiv, Arm 3 aktiv oder Arm 4 aktiv in der Symbolleiste Aktuelle Arme aus.

  2. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme. Menü-Übersicht anzeigen

  3. Befolgen Sie die unter "Messen" im Abschnitt "Definieren von Hardware" zur Verfügung stehenden Verfahren, über die Sie Hinweise zur Kalibrierung der Tasterdateien erhalten.

Wenn Sie ein anderes Kalibriernormal verwenden wollen, als das für die Master-Tasterdatei verwendete, wählen Sie ARM2KUGEL während der Slave-Tasterkalibrierung aus.

So wählen Sie das Kalibriernormal ARM2KUGEL aus:

  1. Wählen Sie in der Menüleiste Einfügen | Hardwaredefinition | Taster. Menü-Übersicht anzeigen

  2. Klicken Sie auf Messen. Das Dialogfeld Taster kalibrieren erscheint.

  3. Klicken Sie auf Kalibriernormal bearbeiten. Das gleichnamige Dialogfeld erscheint.

  4. Wählen Sie aus der Liste Art des Kalibriernormals die Option ARM2KUGEL aus.

  5. Klicken Sie zur Bestätigung Ihrer Auswahl auf OK. Unten im Dialogfeld Taster kalibrieren kalibrieren erscheint nun ARM2KUGEL.


Schritt 10: Festlegen des Mehrarm-Nullpunkts

Als letzter Schritt bei der Kalibrierung des Mehrarmsystems muss der Nullpunkt zwischen allen Armen festgelegt werden. Dies sollte mit Hilfe der kalibrierten Tasterdateien auf den Master- und Slave-Armen erfolgen.

Um den Mehrarm-Nullpunkt festzulegen, gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld Mehrarm-Kalibrierung dialog box (Vorgang | Kalibrieren/Editieren | Mehrarm Betrieb). Menü-Übersicht anzeigen

Mehrarm-Kalibrierung (Dialogfeld)

  2. Wählen Sie die Option Nur Nullpunkt.

  3. Geben Sie in das Feld Anzahl der Kugeln ein, wie viele Kugeln zur Bestimmung des Nullpunkts gemessen werden sollen. Werden mehrere Kugelpositionen gemessen, bestimmt PC-DMIS den Nullpunkt anhand des Mittelwertes der Positionen.

  4. Wählen Sie die Option Beide Arme messen Kalibriernormal.

  5. Wählen Sie die geeigneten Tasterdateien und -spitzen aus.

  6. Wählen Sie die Option CNC Kalibrierung oder die Option Manuelle Kalibrierung. Im Modus CNC Kalibrierung müssen Sie im Dialogfeld Kalibrierpositionen bearbeiten die richtige Kugelposition festlegen.

  7. Wählen Sie aus der Liste der verfügbaren Kalibriernormale eine Kugel aus, die den richtigen Durchmesser und die richtige Ausrichtung des zu messenden Kalibriernormals aufweist.

  8. Klicken Sie auf OK.

  • Im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, einen einzelnen Punkt auf der Kugel mit den mehreren Armen zu messen. Die restlichen Punkte werden dann automatisch im CNC-Modus um die Kugel herum gemessen.

  • Im Modus CNC-Kalibrierung bewegt PC-DMIS beide Arme an alle im Dialogfeld Kalibrierpositionen bearbeiten festgelegten Positionen.

Nachdem Sie alle Tasterdateien im Mehrarmbetrieb kalibriert und den Armverhältnis-Nullpunkt eingestellt haben, ist der Kalibriervorgang abgeschlossen.

Achtung: Wenn Sie die Mehrarm-Kalibrierung abgeschlossen haben und danach eine Wrist-Kalibrierung durchführen (siehe "Wrist-Kalibrierung" im Abschnitt "Arbeiten mit einem Wrist-Gerät"), müssen Sie den Wrist-Vorgang mit der Option "Nur Nullpunkt" wiederholen, gemäß den Anweisungen unter "Schritt 8: Kalibrieren des Mehrarmsystems".

PC-DMIS kopiert die Slave-Tasterdatei, die Tasterdaten und die Arm-zu-Arm-Transformationsdaten zum Slave-Computer. Auf diese Weise haben Sie die Möglichkeit, den Slave-Arm unabhängig auszuführen, als ob er eine Erweiterung des Master-Koordinatensystems wäre. Sie können sie auch zusammen im Mehrarmbetrieb ausführen. Jedesmal, wenn Sie den Mehrarmbetrieb aufrufen (über Vorgang | Aktivieren Mehrarmbetrieb), synchronisiert PC-DMIS folgende Elemente zwischen den beiden Computern:

  • Änderungen an Tasterdateien

  • Änderungen an der Wristkalibrierung

  • Änderungen an den Fehlermatrixdaten

  • Tasterwechslerdaten

  • Änderungen an den Kalibriernormaldaten


Erstellen eines Werkstückprogramms im Mehrarmbetrieb

Nachdem die Taster definiert und kalibriert wurden, kann das Werkstückprogramm erstellt werden. Sie erstellen ein Werkstückprogramm im Mehrarmbetrieb wie die anderen Werkstückprogramme, mit einigen Unterschieden. Im Wesentlichen müssen Sie in einem Mehrarm-Werkstückprogramm dafür sorgen, dass die Ausführung verschiedener Befehle bestimmten Armen zugeordnet wird und Sie müssen Exklusive Zonen definieren, um Kollisionen der Arme auszuschließen. Nachstehend wird beschrieben, wie vorzugehen ist:

Mehr dazu:

Zuweisen eines Befehls zu einem Arm

Programmausführung im Mehrarmbetrieb

Anfangspunkte für den Mehrarmbetrieb setzen

Pausieren eines Arms zur Kollisionsvermeidung

Temperaturkompensation bei Mehrarm-Kalibrierung


Zuweisen eines Befehls zu einem Arm

Standardmäßig weist PC-DMIS dem gerade aktiven Arm neue Befehle zu. Sie können die Symbolleiste Aktuelle Arme nutzen, um zwischen dem gerade aktuellen Arm zu wechseln oder nur die mit einem bestimmten Arm verknüpften Befehle auszuführen.

Symbolleiste "Aktuelle Arme"

Die Symbolleiste Aktuelle Arme enthält Symbole zur Darstellung mehrerer Arme, die mit entsprechenden farbig kodierten Markierungssymbolen versehen sind. Jedes Arm-Symbol entspricht einem Arm auf dem Messgerät.

Über die Arm-Symbole können Sie den gerade aktiven Arm wechseln.

Die Ausführungs-Symbole (die mit Markierungen versehen sind) bieten die Möglichkeit, nur die mit einem bestimmten Arm verbundenen Befehle auszuführen.

Nachdem Sie den Mehrarmbetrieb aktiviert haben, fügt PC-DMIS farbige vertikale Linien in den linken Rand des Bearbeitungsfensters ein, um anzuzeigen, welcher Arm den ausgewählten Befehl verwendet. (Im Übersichtsmodus zeigt PC-DMIS die einem Slave-Arm zugeordneten Befehle in Fettdruck an.)

Bearbeitungsfenster mit grünen (Element KREIS1) und roten (Element GERADE1) Linien, die die Teilbereiche Arm2 bzw. Arm1 kennzeichnen

  • Elemente, die Arm 1 (dem Master-Arm) zugewiesen sind, werden durch die rote Linie gekennzeichnet.

  • Elemente, die Arm 2 (dem Slave-Arm) zugewiesen sind, werden durch die grüne Linie gekennzeichnet.

  • Elemente, die mehreren Armen zugewiesen sind, werden durch mehrfarbige Linien gekennzeichnet.

Farbige horizontale Balken (anstatt vertikaler Linien) bedeuten, dass sich der betreffende Befehl auf beide Arme auswirkt und erst dann von einem der Arme ausgeführt werden darf, nachdem beide Arme alle vorangehenden Befehle ausgeführt haben. Diese Art von Befehl (gewöhnlich ein Verzweigungs- oder Ausrichtungsbefehl) wird von beiden Armen gleichzeitig ausgeführt.

Mehr dazu:

Einem neuen Arm vorhandene Befehle zuweisen


Einem neuen Arm vorhandene Befehle zuweisen

Das Menüelement Arm Umgebung wechseln ist nur in Systemen verfügbar, die in den Mehrarmbetrieb versetzt wurden.

Sind einem bestimmten Arm Befehle zugewiesen, die Sie einem anderen Arm zuweisen möchten, gehen Sie folgendermaßen vor:

  1. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.

  2. Wählen Sie den Bearbeitungsfensterbefehl aus, den Sie hinzufügen möchten.

  3. Wählen Sie in der Menüleiste die Option Vorgang | Arm Umgebung wechseln. Menü-Übersicht anzeigen

Bei Auswahl dieser Option verbindet PC-DMIS alle hervorgehobenen Befehle mit dem anderen Arm.

  • Wenn Sie keine Befehle hervorheben, wird der Befehl, an dem sich der Cursor im Bearbeitungsfenster befindet, mit dem anderen Arm verknüpft.

  • Die meisten Befehle können mit dem Master-Arm, dem Slave-Arm oder beiden Armen verbunden werden. So kann beispielsweise der Befehl ANFAHRWEG oder AUSRICHTUNG erstellt werden, der für den Master- und den Slave-Arm oder nur einen der beiden Arme gilt.

  • Die Zuweisung bestimmter Befehle zu mehreren Armen ist nicht zulässig. Dazu gehören Elemente, Messpunkte, Merkmale und Tasterbefehle.


Programmausführung im Mehrarmbetrieb

Sofern Sie nicht nur die einem bestimmten Arm zugewiesenen Befehle ausführen lassen wollen, wird das Programm bei der Ausführung des Werkstückprogramms so wie üblich von oben nach unten im Bearbeitungsfenster abgearbeitet, wobei jeder Arm die ihm zugewiesenen Befehle ausführt.

Hinweis: Im Mehrarmbetrieb hinkt die Ausführung der Slave-Arm-Befehle stets etwas hinter der Ausführung der Befehle des Master-Arms her. Diese Art von Verzögerung ist normal.


Anfangspunkte für den Mehrarmbetrieb setzen

PC-DMIS ermöglicht Ihnen, Anfangspunkte für den aktuellen Arm zuzuweisen, indem Sie das Symbol Startpunkt einfügen/löschen im Bearbeitungsfenster auswählen oder mit der rechten Maustaste im Befehlsmodus auf eine beliebige Stelle des Bearbeitungsfensters klicken und die Option im Kontextmenü auswählen.

Um mehrere Anfangspunkte festzulegen, müssen Sie zuerst den aktuellen Lernarm wechseln, bevor Sie auf das Symbol Startpunkt einfügen/löschen klicken.

Auf dem linken Seitenrand des Bearbeitungsfensters erscheint nun ein sogenannter Anfangspunkt-Pfeil in der gleichen Farbe wie der des aktuellen Arms in der Symbolleiste Aktuelle Arme.

Der Screenshot auf der linken Seite zeigt an, dass der rote Arm1 mit der Ausführung am Kreis CIR3 beginnt, während der grüne Arm2 die Ausführung bei CIR2 startet.

Wenn Sie die Ausführung abbrechen, wird PC-DMIS die Anfangspunkte für jeden Arm automatisch zu dem Befehl, an dem die Ausführung für jeden Arm abgebrochen wurde, verschieben.

Durch die Eingabe der Anfangspunkte wird PC-DMIS angewiesen, mit der Programmausführung an einem ganz bestimmten Punkt zu beginnen, wenn die Menüoption Datei | Teilw. Ausführung | Ausführen ab Startpunkt gewählt wurde. Weitere Informationen zum Verwenden von Anfangspunkten finden Sie unter "Anfangspunkte setzen" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Wichtig: Beachten Sie bitte, dass, wenn die aktuelle Tastspitze für diese Position im Programm nicht mit der aktuellen Ausrichtung des Tastkopfes übereinstimmt, PC-DMIS den obenstehenden Tastspitzenbefehl nicht ausführen wird, um die Tastspitzenausrichtung zu ändern.


Pausieren eines Arms zur Kollisionsvermeidung

In manchen Fällen ist es ratsam, dass ein Arm wartet, bis der andere Arm alle Messungen in einem überlappenden Bereich vorgenommen hat. Mit dieser Vorsichtsmaßnahme sollen in der Regel Kollisionen zwischen den Armen vermieden werden. Es gibt zwei verschiedene Befehle, mit denen sich Kollisionen vermeiden lassen.

Mehr dazu:

Verwenden eines Bewegungs-Sync-Befehls

Verwenden eines Exklusive Zone-Befehls


Verwenden eines Bewegungs-Sync-Befehls

BEWEGEN/SYNC-Befehle können am Anfang und Ende einer Messfolge eingefügt werden, um sicherzustellen, dass sich an dieser Stelle nur ein Arm bewegt. Weitere Informationen hierzu finden Sie unter "Einfügen eines Bewegungs-Sync-Befehls" im Abschnitt "Einfügen von Bewegungsbefehlen".


Verwenden eines Exklusive Zone-Befehls

Es kann der Befehl BEWEGEN/EXKLUSIVE_ZONE eingefügt werden.

  • Der Vorteil dieser Methode liegt darin, dass PC-DMIS nur einen der Arme warten lässt, wenn sich der andere Arm in dessen exklusiver(Sicherheits-) Zone befindet.

  • Der Nachteil liegt darin, dass alle Befehlsblöcke, die einen Arm in den überlappenden Bereich in der Mitte des Doppelarmvolumens schicken, von BEWEGEN/EXKLUSIVE_ZONE-Befehlen umklammert werden müssen.

So verwenden Sie diesen Befehl:

  1. Suchen Sie eine Befehlsfolge, die bewirkt, dass einer der Arme in einen überlappenden Teil des KMG-Volumens eintritt.

  2. Platzieren Sie am Anfang der Folge den Befehl BEWEGEN/EXKLUSIVE_ZONE=EIN.

  3. Platzieren Sie am Ende der Folge den Befehl BEWEGEN/EXKLUSIVE_ZONE=AUS.

Mit dem Befehl BEWEGEN/EXKLUSIVE_ZONE=EIN können Sie zwei Eckpunkte angeben, die eine 3D-Zone bilden. Diese Zone wird nun für den Arm reserviert, dem der Befehl zugewiesen ist. Befindet sich der andere Arm bereits in der angeforderten Zone, dann wartet PC-DMIS, bis der erste Arm nicht mehr im Weg ist und verlässt den umstrittenen Raum mit dem Befehl BEWEGEN/EXKLUSIVE_ZONE=AUS. Weitere Informationen hierzu finden Sie unter "Einfügen eines Bewegungs-Sync-Befehls" im Abschnitt "Einfügen von Bewegungsbefehlen".


Temperaturkompensation bei Mehrarm-Kalibrierung

Ein Thermoelement misst Temperaturunterschiede.

Zur Temperaturkompensierung auf KMGs müssen zwei entsprechende Befehle in das Programm eingefügt werden – ein Befehl für den Master-Arm und ein anderer für den Slave-Arm. Die Werkstücktemperatur wird nur über das Thermoelement des Werkstücks aufgezeichnet, das an die Master-Steuereinheit angeschlossen ist.

Abgesehen davon, dass eine STP-Datei (Serv1.stp) im richtigen Verzeichnis des Slave-Arm-Computers abgelegt sein muss, ist auch sicherzustellen, dass eine andere STP-Datei für den Slave-Arm (namens Serv1s.stp) im entsprechenden Verzeichnis des Master-Arm-Computers abgelegt ist. Hierfür müssen Sie die Datei "Serv1.stp" des Slave-Arm-Computers kopieren, in "Serv1s.stp" umbenennen und im Master-Arm-Computer ablegen.

Weitere Informationen zur Temperaturkompensierung finden Sie unter "Temperaturkompensation" im Abschnitt "Voreinstellungen".


Ausführen eines Master-Werkstückprogramms auf dem Slave-Arm

Wenn Sie Ihr Master-Werkstückprogramm auf einem Slave-Arm ausführen möchten, können Sie PC-DMIS im umgekehrten Achsen-Modus ausführen. In diesem Modus werden das Vorzeichen der X- und Y-Achse intern umgekehrt, so dass die Werte der Y-Achse in Richtung Maschinenmittelpunkt positiv werden und die X-Achse der X-Achse des Master-Arms gegenüber liegt.

Alle vorhandenen Tasterdateien, Wrist-Matrizen, Tasterwechsler- und anderen Kalibrierungs- und Fehlerkompensierungsdateien sind ohne erforderliche Änderungen in diesem Modus verwendbar.

Hinweis: Im normalen und umgekehrten Achsenmodus vorgenommene Kalibrierungen sind korrekt und in beiden Modi verwendbar.

Mehr dazu:

So fügen Sie ein Symbol hinzu, über das PC-DMIS im umgekehrten Achsenmodus ausgeführt wird:


So fügen Sie ein Symbol hinzu, über das PC-DMIS im umgekehrten Achsenmodus ausgeführt wird:

  1. Navigieren Sie mit dem Explorer in das Verzeichnis, in dem das Symbol hinzugefügt werden soll.

  2. Klicken Sie im Menü Datei des Explorers auf Neu | Verknüpfung. Der Assistent Verknüpfung erstellen erscheint und fordert Sie zur Eingabe eines Pfades zum Programm auf.

  3. Geben Sie entweder im Feld Befehlszeile den vollständigen Pfad zur PC-DMIS-Programmdatei ein, oder navigieren Sie mit der Schaltfläche Suche zur betreffenden Datei, um diese auszuwählen. Der Standardpfad lautet "C:\Pcdmisw\Pcdlrn.exe".

  4. Wenn sich der Pfad im Feld Befehlszeile befindet, setzen Sie den Cursor an das Ende der Pfadangabe und geben Sie dann eine Leerstelle und /r oder -r ein. Auf diese Weise wird PC-DMIS angewiesen, im umgekehrten Achsen-Modus zu arbeiten. Dieser Modus kann auch mit dem Bedienermodus kombiniert werden, indem -o oder /o in die Befehlszeile eingefügt wird.

  5. Klicken Sie auf Weiter.

  6. Geben Sie im Feld Geben Sie einen Namen für die Verknüpfung ein einen bezeichnenden Namen, wie z.B. "Umgekehrter PC-DMIS-Achsenmodus" ein.

  7. Klicken Sie auf Fertig stellen. Das neue Symbol wird angezeigt.


Navigation in und Anzeigen von mehreren Fenstern

Navigation in und Anzeigen von mehreren Fenstern: Einführung

Zwischen geöffneten Werkstückprogrammen wechseln

Anordnen geöffneter Fenster

Aktivieren geöffneter Fenster


Navigation in und Anzeigen von mehreren Fenstern: Einführung

In diesem Abschnitt wird beschrieben, wie Sie mit Hilfe des Menüs Fenster einfach durch mehrere geöffnete Werkstückprogramme navigieren bzw. diese anzeigen können.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Zwischen geöffneten Werkstückprogrammen wechseln

  • Anordnen geöffneter Fenster

  • Aktivieren geöffneter Fenster


Zwischen geöffneten Werkstückprogrammen wechseln

Nachfolgend sind einige einfache Möglichkeiten beschrieben, um zwischen geöffneten Werkstückprogrammen hin- und herzuschalten:

Klicken auf die Optionen "Weiter" oder "Vorheriges": Wählen Sie die Menüoptionen Weiter oder Vorheriges, um in einer Reihe geöffneter Werkstückprogramme zum nächsten oder vorherigen Werkstückprogramm zu wechseln. Wenn Sie das letzte der geöffneten Werkstückprogramme erreicht haben, geschieht nichts bei Auswahl von Weiter.

Klicken auf eine Liste geöffneter Werkstückprogramme: ganz unten im Menü Fenster zeigt PC-DMIS eine Liste aller geöffneten Werkstückprogramme an. Sie können das zu aktivierende Werkstückprogramm ganz einfach auswählen, indem Sie in der Liste auf den Namen des Werkstückprogramms klicken.

Klicken auf eine Titelleiste: Wenn die Titelleiste des Bearbeitungs- oder Grafikfenster eines Werkstückprogramms sichtbar ist, können Sie einfach auf die Titelleiste klicken, um zu diesem Werkstückprogramm zu wechseln.


Anordnen geöffneter Fenster

Mit Hilfe der nachfolgenden Menüoptionen können Sie alle geöffneten Fenster anordnen. Diese Menüoptionen haben keinen Einfluss auf das Bearbeitungsfenster, bis Sie das Bearbeitungsfenster aus seiner Kopplungsposition entfernen, indem Sie mit der rechten Maustaste auf das Bearbeitungsfenster klicken und die Menüoption Kopplungsansicht deaktivieren.

Symbol | Menüoption | Beschreibung
 | Überlappend | Stapelt alle Fenster übereinander, wobei nur die Titelleisten sichtbar sind. Das aktive Fenster liegt hierbei ganz oben.
 | Horizontal teilen | Ordnet die Fenster untereinander an. Das aktive Fenster befindet sich ganz oben.
 | Vertikal teilen | Ordnet die Fenster nebeneinander an. Das aktive Fenster befindet sich ganz links.
 | Nächstes Fenster aktivieren | Aktiviert das nächste geöffnete Fenster.


Aktivieren geöffneter Fenster

Beispiel für das Menü "Fenster"

Über der Liste der Werkstückprogramme listet PC-DMIS auch alle geöffneten Fenster im Menü Fenster auf. Durch einfaches Auswählen eines Fensters in diesem Menü wird dieses Fenster aktiviert.


Arbeiten im Offline-Modus

Arbeiten im Offline-Modus: Einführung

Voraussetzungen

Unterstützte IGES-Elemente

IGES-Kompatibilität

DXF-Eingabe

DES-Eingabe

XYZ-ASCII-Datei

Offline-Taster

Einstellen der Tastertiefe

Einstellen der ungefähren Tastertiefe

Einstellen der Tastertiefe auf einem Element

Einstellen der Tastertiefe auf einer Kugel

Einstellen der Tastertiefe auf einem Kegel

Eingeben der Tastertiefe

Offline-Messung von Elementen

Automatische Messungen

Kreisförmige Elemente

Lineare Elemente

Flächenelemente

Einzelmessungen

Platzieren von Messpunkten auf einer Fläche

Platzieren von Messpunkten auf einem Element

Beenden einer Messung

Offline-Ausführung von Werkstückprogrammen und Fehlersuche

Tasterbahn


Arbeiten im Offline-Modus: Einführung

Mit der Offline-Version von PC-DMIS kann der Benutzer Werkstückprogramme ohne Einsatz eines KMGs entwickeln und auf Fehler untersuchen. In den letzten Jahren hat die Möglichkeit der Offline-Programmierung zunehmend an Bedeutung gewonnen. Benutzern von Koordinatenmessgeräten ist klar geworden, dass sich ihre Investitionen in KMGs nur dann wirklich lohnen, wenn sie die Geräte zum Messen von Werkstücken einsetzen können, anstatt Messprogramme dafür zu schreiben.

Die ersten Versuche der KMG-Hersteller, die Geräte mit Offline-Programmierfunktionen auszustatten, beinhalteten aufwendige, spezialisierte Texteditoren. Obwohl diese Produkte nur eingeschränkt Verwendung fanden, haben sie das Benutzerinteresse an der Offline-Programmierung geweckt. Dieses Interesse hat einige CAD-Hersteller dazu veranlasst, Produkte zu entwickeln, mit denen Benutzer Werkstückprogramme anhand von CAD-Modellen erstellen können.

Diese Produkte waren Texteditoren zwar weit überlegen, hatten jedoch einen großen Nachteil: sie waren sehr teuer. Da jeder KMG-Hersteller eine oder mehrere eigene spezielle Messprogrammsprache(n) verwendete, die sich ständig änderte(n) oder in einigen Fällen durch andere ersetzt wurde(n), waren die mit der Entwicklung und Weiterführung dieser Produkte verbundenen Kosten so hoch, dass sie nur noch für wenige Benutzer erschwinglich waren.

Diese Situation führte zur Entwicklung der DMIS-Spezifikation, einer universellen KMG-Sprache. Dank DMIS konnten CAD-Hersteller Werkstückprogrammierungspakete entwickeln, die anstatt auf viele Programmiersprachen nur noch auf eine einzige Programmiersprache abzielten, wodurch die Kosten erheblich verringert wurden. Auch die Kunden profitierten von diesen Einsparungen, und die Offline-Werkstückprogrammierung wurde zur erschwinglichen Option für eine große Gruppe von KMG-Benutzern. Ein Problem bestand jedoch immer noch. Wie stand es um KMG-Benutzer, deren CAD-Hersteller die Offline-Werkstückprogrammierung nicht unterstützten und dies auch nicht vorhatten?

Viele Mainframe-CAD-Hersteller, die von ihrer bestehenden Kundschaft – meist großen Firmen – dazu gedrängt wurden, haben zwar DMIS-Erweiterungen für ihre Produkte entwickelt, doch haben PC-basierte CAD-Hersteller mit ihrem vielfältigen Kundenkreis an diesem Bereich bisher noch sehr wenig Interesse gezeigt. Viele KMG-Benutzer, insbesondere Kleinbetriebe, arbeiten ausschließlich mit PC-basierten CAD-Systemen. Mit PC-DMIS steht die Offline-Programmierung jetzt auch dieser Gruppe zur Verfügung.

Mit PC-DMIS können Programmierer, die Standard-IGES-Modelle verwenden, die von praktisch jedem CAD-Hersteller unterstützt werden, Werkstückprogramme auf einem kostengünstigen PC oder PC-Klon erstellen und benötigen hierzu kein KMG. Diese Werkstückprogramme können dann zur Steuerung jedes KMGs eingesetzt werden, das entweder PC-DMIS ausführt oder die DMIS-Spezifikation unterstützt.

Bei der Offline-Programmierung kommen viele Methoden zum Einsatz, die größtenteils mit denen der Online-Programmierung vergleichbar sind. Wie zu erwarten, werden zur Tasterkalibrierung, zur Vornahme von Messungen und zur Fehlersuche in Programmen jedoch andere Methoden als in der Online-Version eingesetzt. In diesem Abschnitt werden die Offline-Programmiermethoden von PC-DMIS beschrieben.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Voraussetzungen

  • Offline-Taster

  • Einstellen der Tastertiefe

  • Offline-Messung von Elementen

  • Offline-Ausführung von Werkstückprogrammen und Fehlersuche


Voraussetzungen

Damit PC-DMIS offline verwendet werden kann, müssen die CAD-Daten in Form eines IGES-Modells, einer DES-Datei, einer DXF-Datei oder in Form von X,Y,Z,I,J,K-Daten vorliegen. Informationen zum Importieren dieser Dateien in das PC-DMIS-System finden Sie unter "Importieren von CAD- oder Programmdaten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".

Mehr dazu:

Unterstützte IGES-Elemente

DXF-Eingabe

DES-Eingabe

XYZ-ASCII-Datei


Unterstützte IGES-Elemente

IGES-Element | Beschreibung
100 | KREIS/BOGEN
102 | VERBUNDKURVE
104 | KEGELBOGEN
106 | VOLLDATEN (Mehrpunktlinie)
108 | EBENE
110 | GERADE
112 | PARAMETRISCHE SPLINE-KURVE (mit Kurven- und Oberflächenoption)
114 | PARAMETRISCHE SPLINE-OBERFLÄCHE (mit Kurven- und Oberflächenoption)
116 | PUNKT
118 | GEREGELTE FLÄCHE (mit Kurven- und Oberflächenoption)
120 | ROTATIONSFLÄCHE (mit Kurven- und Oberflächenoption)
122 | TABELLARISIERTER ZYLINDER (mit Kurven- und Oberflächenoption)
124 | TRANSFORMATIONSMATRIX
126 | RATIONALE B-SPLINE-KURVE (mit Kurven- und Oberflächenoption)
128 | RATIONALE B-SPLINE-OBERFLÄCHE (mit Kurven- und Oberflächenoption)
140 | VERSATZFLÄCHE
144/142 | BESCHNITTENE FLÄCHE (mit Kurven- und Oberflächenoption)
402 | ASSOZIATIVITÄTINSTANZ
408/308 | UNTERFIGUR
410 | ANSICHT

Mehr dazu:

IGES-Kompatibilität


IGES-Kompatibilität

PC-DMIS ist mit IGES 3.0, 4.0 und 5.1 kompatibel.


DXF-Eingabe

PC-DMIS liest eine DXF- (Drawing Interchange File) Datei als CAD-Daten ein, die zum Erstellen von Werkstückprogrammen verwendet werden sollen. Dieses Dateiformat unterstützt keinen Text. Als einziger Datentyp werden Elementdaten unterstützt.

Diese Option gehört nicht zum PC-DMIS-Standardmodul. Wenn Sie am Erwerb dieses Zusatzpakets interessiert sind, wenden Sie sich an Ihren zuständigen PC-DMIS-Software-Kundendienst.


DES-Eingabe

PC-DMIS liest eine DES- (Data Exchange Standard) Datei als CAD-Daten ein, die zum Erstellen von Werkstückprogrammen verwendet werden sollen. Die Daten können als Daten zu Elementen oder Spannvorrichtungen hereinkommen. Bei Elementdaten haben Sie die Möglichkeit, den Elementtyp anhand des Element-Etiketts zu definieren. Durch Auswahl des DES-Punktes in der PC-DMIS-Anzeige wird das richtige Dialogfeld für das CNC-Element angezeigt, in dem die Werte des DES-Punktes eingetragen sind.

Der DES-Elementtyp wird durch die fünfte Position des Element-Etiketts definiert. Hierbei handelt es sich um die fünfzehnte (15.) Spalte des Datentyps GERADE in der DES-Datei. Es folgt eine Liste der Zeichen und zugehörigen Elementtyen.

ZEICHEN | DES-Typ | PC-DMIS Blechtyp
S | Fläche | Flächenpunkt
T | Beschnitt | Kantenpunkt
H | Stoßkante | Kantenpunkt
X | Bohrung | Kreis (innen)
Y | Bolzen | Kreis (außen)
Z | Langloch | Langloch


XYZ-ASCII-Datei

PC-DMIS liest jede ASCII-Datei ein, die XYZ- (und möglicherweise IJK-) Daten enthält. Die Datei sollte die (theoretischen) Sollprüfpunkte enthalten, die gemessen werden müssen.

Detaillierte Informationen zu XYZ-ASCII-Dateien finden Sie unter "Importieren einer XYZIJK-Datei" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".


Offline-Taster

Bei der Offline-Version können alle Funktionen zur Definition und Kalibrierung der Taster verwendet werden, die in der Online-Version definiert werden. Die Werte können jedoch nur eingegeben werden. Messungen sind nicht möglich. (Beispielsweise können Sie nicht wirklich ein Kalibrierartefakt messen, um den Durchmesser eines Tasters zu ermitteln.)

Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

Hinweis: Es wird empfohlen (ist jedoch nicht zwingend erforderlich), dass zum Erstellen des Offline-Werkstückprogramms derselbe Taster verwendet wird wie zur Online-Ausführung des Werkstückprogramms.


Einstellen der Tastertiefe

Bei der Offline-Programmierung von Messungen ist es wichtig, die Tiefe des Tasters auf einen bestimmten Abstand (im Verhältnis zur Oberfläche der aktuellen Arbeitsebene) einzustellen. PC-DMIS bietet mehrere Methoden zum Festlegen der Tastertiefe.

Hinweis: Diese Methoden können nur im Programmmodus angewandt werden. Vergewissern Sie sich, dass "PROG" in der STATUS-Schaltfläche anzeigt wird.

Mehr dazu:

Einstellen der ungefähren Tastertiefe

Einstellen der Tastertiefe auf einem Element

Einstellen der Tastertiefe auf einer Kugel

Einstellen der Tastertiefe auf einem Kegel

Eingeben der Tastertiefe


Einstellen der ungefähren Tastertiefe

In den meisten Fällen genügt es, eine ungefähre Tastertiefe festzulegen, um ein Element korrekt zu messen. Hierzu gehen Sie in der Offline-Version von PC-DMIS vor wie folgt:

  1. Setzen Sie den Mauszeiger in der zur Aufnahme eines Messpunktes gewünschten Tiefe auf die Zeichnung.

  2. Klicken Sie mit der rechten Maustaste auf die aktuelle Position. PC-DMIS zeichnet den Taster an seiner neuen Position neu.

Einstellen der Tastertiefe


Einstellen der Tastertiefe auf einem Element

So positionieren Sie den Taster auf ein bestimmtes Element (z.B. eine Ebene):

  1. Bewegen Sie den Cursor in die Nähe des Elements.

  2. Drücken und halten Sie die rechte Maustaste.

  3. Lassen Sie die Maustaste wieder los.

Sobald Sie die Maustaste loslassen, lässt PC-DMIS den Taster am nächstgelegenen CAD-Element "einrasten" und zeigt folgende Meldung an: "Präzise Tiefe festgelegt auf".

In der Statusleiste werden die aktuelle Anzahl der Messpunkte und die Tasterposition angegeben.

Einstellen der Tastertiefe auf einem Element


Einstellen der Tastertiefe auf einer Kugel

In PC-DMIS gibt es zwei Verfahren, mit denen Sie die Tastertiefe auf einer Kugel festlegen können. Die Lage des Tasters im Verhältnis zur Mittellinie der Zeichnung gibt vor, an welcher Stelle der Messpunkt auf der Kugel aufgenommen wird. Befindet sich der Taster unterhalb der Mittellinie, nimmt PC-DMIS den Messpunkt am unteren Punkt der Kugel auf. Damit ein Messpunkt am oberen Punkt der Kugel aufgenommen wird, muss die Tastertiefe auf einen Wert oberhalb der Mittellinie eingestellt werden. Weitere Informationen über die folgenden Verfahen finden Sie unter "Messen von Elementen offline".

3D-Verfahren

So legen Sie die präzise Tiefe auf einer dreidimensionalen sphärischen Oberfläche fest:

  1. Bewegen Sie den animierten Taster zum gewünschten Kreis.

  2. Drücken und halten Sie die rechte Maustaste.

  3. Lassen Sie die Maustaste wieder los. Nun wird die präzise Tiefe auf der Kugel festgelegt.

PC-DMIS positioniert den Taster an der Seite des Elements, an der die Maustaste zuerst gedrückt gehalten wurde. So wird der Typ des gemessenen Elements bestimmt. Wenn der Taster an der Außenseite eines kreisförmigen CAD-Elements einrastet, werden die Messpunkte außerhalb des Kreises platziert. Wenn der Taster an der Innenseite desselben Elements einrastet, werden die Messpunkte innerhalb des Kreises platziert. Der 3D-Nullpunkt des Kreises muss sich an derselben Stelle wie der Kugelmittelpunkt befinden.

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der sphärischen Oberfläche ein.

2D-Verfahren

Bei Verwendung einer zweidimensionalen Zeichnung benötigt PC-DMIS mindestens zwei Ansichten der Kugel. Die Kugel sollte in beiden Ansichten als Kreis (oder Bogen) sichtbar sein.

  1. Legen Sie mit einer der Ansichten die präzise Tiefe für zwei der Achsen fest. (Informationen zur Festlegung der präzisen Tiefe finden Sie unter "Festlegen der Tastertiefe auf einem Element".) PC-DMIS zeigt folgende Meldung an: “Präzise Tiefe festgelegt auf".

  2. Legen Sie anhand der zweiten Ansicht die präzise Tiefe für die dritte Achse fest. PC-DMIS zeigt folgende Meldung an: “Präzise Tiefe festgelegt auf Kugel." Mit diesem Verfahren wird der tatsächliche dreidimensionale Mittelpunkt der Kugel ausfindig gemacht.

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der sphärischen Oberfläche ein.


Einstellen der Tastertiefe auf einem Kegel

In PC-DMIS gibt es zwei Verfahren, mit denen Sie die Tastertiefe auf einer Kugel festlegen können. Weitere Informationen über die folgenden Verfahren finden Sie unter "Offline-Messung von Elementen".

3D-Verfahren

Damit PC-DMIS die präzise Tiefe auf einer konischen Oberfläche festlegen kann, müssen auf dem Kegel zwei CAD-Kreise (oder -Bögen) angezeigt werden. Es wird empfohlen, bei diesem Verfahren zwei Ansichten der Oberfläche zu verwenden, dies ist jedoch nicht zwingend erforderlich. (Zur Festlegung der Tastertiefe auf einem Kegel können auch isometrische Ansichten verwendet werden.)

  1. Legen Sie die präzise Tiefe für ein Ende des Kegels anhand eines der beiden Kreise fest. PC-DMIS zeigt folgende Meldung an: “Präzise Tiefe festgelegt auf".

  2. Legen Sie die präzise Tiefe für das andere Ende des Kegels anhand des zweiten Kreises fest. PC-DMIS zeigt folgende Meldung an: “Präzise Tiefe festgelegt auf".

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der konischen Oberfläche ein. Auf Kegeln können einzelne Messpunkte durch Drücken und Halten der linken Maustaste aufgenommen werden. Durch Drücken der linken Maustaste wird PC-DMIS angewiesen, in gleichmäßigen Abständen um den Kegel herum Messpunkte aufzunehmen.

2D-Verfahren

PC-DMIS kann bei zweidimensionalen Zeichnungen die präzise Tiefe auf einer konischen Oberfläche nur dann bestimmen, wenn die Länge zwischen den beiden Kreisen (wie oben beschrieben) definiert ist. Da sich diese Kreise auf derselben Tiefe befinden, muss auch die präzise Tiefe einer Geraden definiert werden. Hierbei kann es sich um eine gerade Linie oder um eine Linie an der Kante des Kegels handeln. Nachdem Sie die präzise Tiefe auf den Kreisen festgelegt haben, halten Sie die rechte Maustaste gedrückt, während sich der Mauszeiger neben der für die Länge verwendeten Gerade befindet.

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der konischen Oberfläche ein. Auf Kegeln können einzelne Messpunkte durch Drücken und Halten der linken Maustaste aufgenommen werden. Durch Drücken der linken Maustaste wird PC-DMIS angewiesen, in gleichmäßigen Abständen um den Kegel herum Messpunkte aufzunehmen.


Eingeben der Tastertiefe

In manchen Fällen kann es erforderlich sein, die Tastertiefe auf eine bestimmte Position festzulegen. Vorgehensweise:

  1. Klicken Sie im Programmmodus auf den Teil X, Y, Z der Statusleiste (oder wählen Sie die Option Vorgang | Bewegen nach, die im Abschnitt "Einfügen von Bewegungsbefehlen" beschrieben ist). Menü-Übersicht anzeigen

  2. Es erscheint das Dialogfeld Auto Bewegungspunkte. Die Standardeinstellung entspricht der aktuellen Tasterposition.

  3. Ändern Sie die Werte wie gewünscht in den Feldern X, Y und Z. Durch Aktivieren des Kontrollkästchens Bewegung speichern ist es möglich, den Befehl BEWEGEN PUNKT zum Programm hinzuzufügen. Wenn Sie möchten, können Sie zudem das Kontrollkästchen Inkrementalbewegung und das Kontrollkästchen Bewegung ausführen markieren.

  4. Wenn Sie nach Eingabe der neuen X-, Y- oder Z-Werte auf Fertig klicken, bewegt PC-DMIS den animierten Taster an die neue Position.


Offline-Messung von Elementen

In PC-DMIS gibt es mehrere verschiedene Methoden zur Offline-Programmierung von Messroutinen. Ein Messpunkt wird durch Drücken und Halten der linken Maustaste aufgenommen. Mit der Tastenkombination ALT + "-" (Minus) können Sie eine bestimmte Anzahl von Messpunkten wieder entfernen, solange der Messvorgang noch nicht abgeschlossen ist. (Drücken Sie für jeden zu entfernenden Messpunkt einmal ALT + "-".) Mit der Taste ENDE können Sie den Messvorgang abschließen.

Hinweis: Drücken Sie die Taste ENDE, um den Messvorgang zu beenden. PC-DMIS erfasst so lange Messpunkte im Messpunktpuffer, bis die Taste ENDE gedrückt wird.

Mehr dazu:

Automatische Messungen

Einzelmessungen

Beenden einer Messung


Automatische Messungen

PC-DMIS kann auf Basis der IGES-Definition kreisförmiger und linearer Elementtypen bestimmte Annahmen dahingehend machen, wie diese gemessen werden sollten. Sie können von diesen Annahmen profitieren, indem Sie die Werkstückprogrammierung beschleunigen.

Mehr dazu:

Kreisförmige Elemente

Lineare Elemente

Flächenelemente


Kreisförmige Elemente

Die Standardanzahl von Messpunkten, die PC-DMIS auf einem kreisförmigen Element erzeugt, ist eine Systemoption. Um diesen Wert zu ändern, öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten) und klicken dann auf die Registerkarte Allgemein. Geben Sie die neue Standardanzahl in das Bearbeitungsfeld Auto Kreispunkte ein.

PC-DMIS kann für Kreise, Zylinder und Bögen automatisch Messpunkte erstellen. Vorgehensweise:

  1. Bewegen Sie den Cursor in der Nähe des Elementumfangs.

  2. Klicken Sie mit der linken Maustaste. (Die Statusanzeige muss auf den Programmmodus eingestellt sein.) PC-DMIS erstellt nun auf dem Element in der aktuellen Tastertiefe in regelmäßigen Abständen Messpunkte. (Siehe auch "Setup-Optionen: Registerkarte "Allgemein"" im Abschnitt "Voreinstellungen".)

Halten Sie sich bei kreisförmigen Elementen an die folgenden Messregeln:

  • Für einen Innendurchmesser (ID) setzen Sie den Cursor einfach an eine Stelle innerhalb des Elements.

  • Für einen Außendurchmesser setzen Sie den Cursor einfach an eine Stelle außerhalb des Elements.

  • Nehmen Sie zur automatischen Programmierung von Zylindern mindestens zwei Messpunktsätze in unterschiedlichen Tastertiefen auf.

  • Beim Programmieren eines Bogens verteilt PC-DMIS die Messpunkte entlang der Bogenlänge.

  • Wenn Sie eine Kugel oder einen Kegel messen, legen Sie zuerst die präzise Tiefe auf der Kugel oder dem Kegel fest, bevor Sie Messpunkte erstellen. Informationen hierzu finden Sie unter "Einstellen der Tastertiefe auf einer Kugel" und unter "Einstellen der Tastertiefe auf einem Kegel".


Lineare Elemente

Die Standardanzahl von Messpunkten, die PC-DMIS auf einem linearen Element erzeugt, ist eine Systemoption. Um diesen Wert zu ändern, öffnen Sie das Dialogfeld Setup-Optionen (Bearbeiten | Einstellungen | Einrichten) und klicken dann auf die Registerkarte Allgemein. Geben Sie die neue Standardanzahl in das Bearbeitungsfeld Auto Geradenpunkte ein.

PC-DMIS kann Messpunkte für Geraden und Ebenen automatisch erstellen. Vorgehensweise:

  1. Bewegen Sie den Cursor nah entlang der Gerade.

  2. Klicken Sie mit der linken Maustaste. (Die Statusanzeige muss auf den Programmmodus eingestellt sein.)

Halten Sie sich zum Messen von linearen Elementen an die folgenden Regeln:

  • PC-DMIS erstellt in regelmäßigen Abständen Messpunkte in der aktuellen Tastertiefe entlang der Geradenlänge. (Siehe auch "Setup-Optionen: Registerkarte "Allgemein"" im Abschnitt "Voreinstellungen".

  • Der Cursor muss sich auf der Seite der Gerade befinden, an der die Messpunkte aufgenommen werden sollen.

  • Nehmen Sie zur automatischen Programmierung von Ebenen mindestens zwei Messpunktsätze in unterschiedlichen Tastertiefen auf.


Flächenelemente

Durch einen UV-Scan können automatisch Messpunkte auf einer Fläche entlang ihrer UV-Richtung platziert werden. Drücken Sie im Programmmodus und im Flächenmodus die linke Maustaste innerhalb der auszuwählenden Fläche. In dem nun eingeblendeten Dialogfeld können die UV-Anfangs- und -Endwerte sowie die Anzahl der Punkte entlang jeder UV-Richtung angegeben werden.


Einzelmessungen

Mit automatischen Messungen lässt sich der Programmierungsvorgang zwar beschleunigen, in manchen Fällen ist es jedoch aufgrund der Werkstückgeometrie oder des Elementtyps notwendig, Messpunkte präzise auf einem Element zu platzieren.

Mehr dazu:

Platzieren von Messpunkten auf einer Fläche

Platzieren von Messpunkten auf einem Element


Platzieren von Messpunkten auf einer Fläche

In vielen Fällen ist es notwendig, die Messpunkte präzise auf einer Fläche (d.h. bei Ebenen-, Kugel- oder Kegelmessung) zu positionieren. Vorgehensweise:

  1. Bewegen Sie den Cursor an die Stelle, an der Sie den Messpunkt aufnehmen möchten.

  2. Halten Sie die linke Maustaste gedrückt (bewegen Sie die Maus dabei nicht).

  3. Lassen Sie die Schaltfläche wieder los. PC-DMIS programmiert den Messpunkt an dieser Stelle.

Der Cursor darf nicht bewegt werden, sondern muss an derselben Position verbleiben, während die Maustaste gedrückt wird. Andernfalls würde PC-DMIS Ihre Absicht falsch verstehen. Sollte die Tastspitze an einem Element einrasten, nachdem die Taste losgelassen wurde, dann wurde die Maus während des Vorgangs bewegt. Drücken Sie die Tastenkombination ALT + "-" (Minus), um den Messpunkt zu entfernen, und beginnen Sie von neuem.

Hinweis: Vor der Platzierung von Einzelmessungen auf einem Kegel, einer Kugel oder Ebene muss die präzise Tiefe festgelegt werden.


Platzieren von Messpunkten auf einem Element

In vielen Fällen ist es notwendig, Messpunkte präzise auf anderen Elementen als einer Ebene zu positionieren. Vorgehensweise:

  1. Bewegen Sie den Cursor an die Stelle, an der Sie die Messpunkte aufnehmen möchten.

  2. Halten Sie die linke Maustaste gedrückt.

  3. Bewegen Sie den Taster an die Stelle, an der Sie den Messpunkt aufnehmen möchten. (Der Taster muss mindestens 0,3 cm auf dem Bildschirm bewegt werden).

  4. Lassen Sie die Schaltfläche wieder los.

PC-DMIS lässt den Messpunkt auf dem Element "einrasten". PC-DMIS ordnet den Messpunkt an der Seite des Elements an, an der sich der Cursor befand, als die Maustaste gedrückt gehalten wurde.


Beenden einer Messung

Um eine Messung im Offline-Modus zu beenden, drücken Sie die Taste ENDE.


Offline-Ausführung von Werkstückprogrammen und Fehlersuche

Werkstückprogramme werden in der Offline-Version von PC-DMIS genauso ausgeführt wie in der Online-Version. Das Bearbeitungsfenster gewährt direkten Zugriff auf alle Befehle in einem Werkstückprogramm, wodurch die Feineinstellung eines Offline-Werkstückprogramms genauso einfach ist wie bei einem auf einem KMG erstellten Programm.

Einen Überblick über die vielen Bearbeitungsoptionen in PC-DMIS finden Sie unter "Bearbeiten eines Werkstückprogramms".

Es liegt im Verantwortungsbereich des Programmierers, anhand der Taster-Animation Kollisionen und falsch platzierte Messpunkte aufzudecken. Zu diesem Zweck reduziert man am besten die Bewegungs- und Messgeschwindigkeit. Dies geschieht durch Auswählen der Option Taster einrichten (siehe "Ändern der Protokoll- und Bewegungsparameter" im Abschnitt "Voreinstellungen" ) und durch Eingabe der gewünschten Geschwindigkeiten im entsprechenden Bearbeitungsfeld. PC-DMIS hält den Messvorgang an, wenn die Schaltfläche Anhalten angeklickt wird, und nimmt ihn erst nach Auswahl der Schaltfläche Fortfahren wieder auf.

Mehr dazu:

Tasterbahn


Tasterbahn

Die Menüoption Vorgang | Grafikfenster | Bahngeraden einblenden bietet eine graphische Darstellung der Tasterbahn entlang des Werkstücks. Diese Option ist ein leistungsfähiges Werkzeug zur Bearbeitung der Tasterbahn und ist beim Offline-Messvorgang sehr nützlich. So greifen Sie auf diese Option zu:

  • Markieren Sie die Elemente im Bearbeitungsfenster des betreffenden Werkstückprogramms, die zur Bearbeitung der Tasterbahn verwendet werden. (Informationen hierzu finden Sie unter "Markieren von Befehlen für die Ausführung" im Abschnitt "Bearbeiten eines Werkstückprogramms".)

  • Wählen Sie die Option Ansicht | Bahngeraden aus. PC-DMIS zeigt die Bahngeraden des Tasters an, die während des Lernabschnitts des Werkstückprogramms erstellt wurden. Weitere Informationen zur Verwendung der Bahngeraden finden Sie unter "Anzeigen und Animieren von Bahngeraden" im Abschnitt "Bearbeiten der CAD-Anzeige".


Übertragen von DOS-/AVAIL-Dateien in PC-DMIS

Übertragen eines Werkstückprogramms in PC-DMIS:

Einführung

Übertragen einer Werkstückprogrammdatei

DOS in Windows

Avail/MMIV in Windows

Importieren einer Werkstückprogrammdatei

DOS-, Avail- und MMIV-Dateien

Der BEWEGEN/DSE_VERSATZ-Befehl für importierte DOS-Werkstückprogramme


Übertragen von DOS-/AVAIL-Dateien in PC-DMIS:Einführung

PC-DMIS ermöglicht Benutzern, in DOS oder Avail erstellte Werkstückprogramme zur Ausführung in PC-DMIS für Windows zu übertragen. Das ursprüngliche Werkstückprogramm muss mit Hilfe von Avail oder PC-DMIS (DOS) erstellt worden sein. Der Übersetzungsvorgang ist nur verfügbar, wenn das ursprüngliche Werkstückprogramm mit Avail oder PC-DMIS (DOS), Version 3.2 oder höher, erstellt wurde.

Hinweis: Das Importieren von mit Tutor für Windows erstellten Werkstückprogrammen ist in dieser Version nicht verfügbar.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Einführung

  • Übertragen einer Werkstückprogrammdatei

  • Importieren einer Werkstückprogrammdatei


Übertragen einer Werkstückprogrammdatei

Verfahren Sie zum Übertragen einer Datei wie folgt:

Mehr dazu:

DOS in Windows

Avail/MMIV in Windows


DOS in Windows

  1. Starten Sie PC-DMIS für DOS von DOS aus. Die Liste Aktive Werkstücke erscheint.

  2. Klicken Sie auf die Schaltfläche Importieren in der Menüliste.

  3. Wählen Sie das zu übertragende Werkstückprogramm aus. PC-DMIS zeigt das Menü Import-Optionen an.

  4. Klicken Sie in der Menüleiste auf die Schaltfläche DIMSCMDS (DIMS-Befehle). PC-DMIS fragt nach dem Namen der Ausgabedatei.

  5. Geben Sie den betreffenden Dateinamen gefolgt von einer dreistelligen Erweiterung ein. Es wird empfohlen (ist jedoch nicht zwingend erforderlich), die Erweiterung ".dim" zu wählen.

  6. Wenn PC-DMIS das Werkstückprogramm nachverarbeitet, werden Sie zur Eingabe des Namens einer PC-DMIS für Windows-Tasterdatei aufgefordert. Geben Sie den entsprechenden Namen ein.

  7. Vergewissern Sie sich, dass es sich um eine Tasterdatei handelt, die für Windows verwendet wird.

  8. Drücken Sie die EINGABETASTE.

  9. Nach Abschluss der Nachverarbeitung werden Sie aufgefordert, zum Fortfahren eine beliebige Taste zu drücken. PC-DMIS zeigt wieder die Liste Aktive Werkstücke an.

  10. Beenden Sie PC-DMIS für DOS.


Avail/MMIV in Windows

Avail/MMIV-Dateien müssen übersetzt werden, um in PC-DMIS für Windows ausgeführt werden zu können. Es wird empfohlen (ist jedoch nicht erforderlich), die Dateien mit dem Dateinamen LLF*.* zu speichern. Befolgen Sie einfach die Anweisungen unter "Importieren einer Werkstückprogrammdatei".


Importieren einer Werkstückprogrammdatei

Verfahren Sie beim Importieren einer Werkstückprogrammdatei wie folgt. Der Vorgang ist bei allen Dateitypen gleich.

Mehr dazu:

DOS-, Avail- und MMIV-Dateien


DOS-, Avail- und MMIV-Dateien

  1. Starten Sie PC-DMIS für Windows durch einen Doppelklick auf das betreffende Desktop-Symbol (oder durch Auswahl der Schaltfläche Start | Programme | PC-DMIS für Windows auf dem Desktop). PC-DMIS wird geladen und zeigt das Dialogfeld Datei öffnen an.

  2. Klicken Sie auf die Schaltfläche Cancel, um das Dialogfeld zu schließen.

  3. Wählen Sie die Menüoption Datei | Neu, um ein neues Werkstückprogramm zu erstellen. Das Dialogfeld Neues Werkstückprogramm erscheint. Menü-Übersicht anzeigen

  4. Geben Sie einen neuen Werkstückprogramm-Dateinamen und gegebenenfalls andere Informationen ein.

  5. Klicken Sie auf OK. Das Dialogfeld wird geschlossen, und das Dialogfeld Taster-Hilfsprogramme erscheint.

  6. Klicken Sie auf die Schaltfläche Abbrechen, um das Dialogfeld Taster-Hilfsprogramme zu schließen.

  7. Wählen das Untermenü Datei | Import. Menü-Übersicht anzeigen

  8. Wählen Sie den entsprechenden Eingabedatentyp (DIMS, AVAIL oder MMIV) aus. Nun erscheint das Dialogfeld Öffnen.

  9. Wählen Sie die richtige Datei aus. Wurde sie mit der Erweiterung .DIM / .LLF*.* gespeichert, zeigt PC-DMIS automatisch alle verfügbaren Dateien mit der entsprechenden Erweiterung an. Wechseln Sie ggf. in das richtige Verzeichnis.

  10. Klicken Sie auf die Schaltfläche Import. Wenn bereits CAD-Daten für ihr Werkstückprogramm vorhanden sind, fragt PC-DMIS, ob Sie die vorhandenen CAD-Daten entweder ersetzen oder zusammenführen möchten. Das Dialogfeld Übertragungsmethode wählen wird eingeblendet. Die folgenden Übertragungsmöglichkeiten stehen zur Verfügung:

  • Hauptprogramm und alle aufgerufenen Unterprogramme in ein DIMS-Werkstückprogramm übertragen

  • Nur angegebene Datei übertragen. Unterprogramm-Aufrufe einschließen, jedoch keine Unterprogrammdateien übertragen.

  • Hauptprogramm und aufgerufene Unterprogramme in separate DIMS-Werkstückprogramme übertragen.

  11. Bitte wählen Sie eine der folgenden Übertragungsoptionen:

  12. Klicken Sie auf die Schaltfläche OK, oder drücken Sie die EINGABETASTE.

PC-DMIS überträgt die DIMS/AVAIL/MMIV-Daten und kehrt wieder zum Werkstückprogramm zurück.

q Bei jedem TOOLCHANGE (TASTERWECHSEL)-Befehl werden Sie aufgefordert, eine PC-DMIS-Tasterdatei auszuwählen.

q Bei jedem TASTSPITZENWECHSEL werden Sie aufgefordert, einen PC-DMIS-Taster auszuwählen.

Ihr Werkstückprogramm kann nun in PC-DMIS für Windows ausgeführt werden.

Achtung: Wenn Sie ein AVAILWerkstückprogramm importieren, das in einem Elementblock ein IFTEST (WENNTEST)-Schlüsselwort oder einen GOTO/SPRUNGMARKE-Befehl enthält, oder ein MMIV-Werkstückprogramm, das in einem Elementblock ein VERZWEIGEN/TEST-Schlüsselwort oder einen VERZWEIGEN/SPRUNGMARKE-Befehl enthält, verschiebt PC-DMIS seine entsprechenden IF- und GOTO-Befehle vor den Elementblock. Dies wird bei zukünftigen Versionen von PC-DMIS korrigiert werden.

Mehr dazu:

Der BEWEGEN/DSE_VERSATZ-Befehl für importierte DOS-Werkstückprogramme


Der BEWEGEN/DSE_VERSATZ-Befehl für importierte DOS-Werkstückprogramme

In der DOS-Version drehte das Programm die DSE in die neuen Winkel und machte dann eine automatische Bewegung, so dass die Tastspitze dort anhielt, wo sie sich vor der Winkeländerung befunden hatte. Wird die DSE jedoch in PC-DMIS für Windows in die neuen Winkel gedreht, entfällt diese zusätzliche Bewegung. Aus diesem Grund fügt PC-DMIS für Windows im Fall von übertragenen und importierten DOS-Programmen automatisch BEWEGEN/DSE_VERSATZ-Befehle ein, um die Übertragung von der DOS-Version von PC-DMIS in PC-DMIS für Windows zu vereinfachen.

Dieser Befehl hat die folgende Schreibweise und verwendet zwei Eingaben:

BEWEGEN/DSE_VERSATZ,EINGABE1,EINGABE2

EINGABE1 ist der alte Tastspitzenwinkel.

EINGABE2 ist der neue Tastspitzenwinkel.

Hinweis: In den regulären Werkstückprogrammen von PC-DMIS für Windows ist dieser Befehl nicht erforderlich und steht daher in keinem der Menüs zur Auswahl.


Arbeiten mit einem DSE-Gerät

Arbeiten mit einem DSE-Gerät: Einführung

Installation

Hinweise zu Renishaw PHS mit Leitz-Schnittstelle

Tastspitzenkalibrierung

Neue Tasterdatei

Tastkopf kalibrieren

DSE-Kalibrierung

Fehlermatrix berechnen

Kalibrierprüfung

Nullpunktfahrt Tastkopf

Verwenden der DSE in einem Werkstückprogramm

Option 1

Option 2

Option 3

Option 4


Arbeiten mit einem DSE-Gerät: Einführung

PC-DMIS bietet vollständige Unterstützung für die Kalibrierung und Verwendung von stufenlos verstellbaren DSE-Geräten, wie beispielsweise für die Geräte Renishaw PHS, DEA CW43 und DEA CW43L sowie für Geräte anderer Hersteller.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Installation

  • Tastspitzenkalibrierung

  • Tastkopf kalibrieren

  • Kalibrierprüfung

  • Nullpunktfahrt Tastkopf

  • Verwenden der DSE in einem Werkstückprogramm


Installation

Wenn auf Ihrem KMG eine DSE (Dreh-Schwenk-Einheit ) installiert ist, fügt PC-DMIS den X-, Y- und Z-Ergebnisanzeigen, die normalerweise angezeigt werden, A- und B-Achsen hinzu. Die DSE-Option muss in der Anschlusssperre für PC-DMIS eingeschaltet sein, um die DSE-Unterstützung zu aktivieren. Da eine Vielzahl von kontinuierlichen Dreh-/Schwenkeinheiten und Schnittstellen unterstützt werden, sollten Sie sich bei Ihrem jeweiligen Software-Anbieter informieren, welche der PC-DMIS-Registrierungseinträge zu ändern sind (Informationen zur Verwendung des PC-DMIS-Einstellungseditors zur Änderung der Registrierungseinträge finden Sie im Abschnitt "Ändern von Registrierungseinträgen").

PC-DMIS ruft die Steuereinheit automatisch ab und stellt fest, ob die DSE vorhanden ist.

Mehr dazu:

Hinweise zu Renishaw PHS mit Leitz-Schnittstelle


Hinweise zu Renishaw PHS mit Leitz-Schnittstelle

Wenn Sie den kinematischen Adapter für die Renishaw-DSE verwenden, müssen Sie den Registrierungseintrag RenishawKinematicMount=1 im Abschnitt [Option] des PC-DMIS-Einstellungseditors ändern. Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Anhang "Ändern von Registrierungseinträgen".

PC-DMIS fragt Sie (beim Systemstart), ob die PHS-DSE auf dem KMG installiert ist. PC-DMIS stellt Ihnen diese Frage nur, wenn die Steuerung gerade eingeschaltet wurde. Wenn Sie PC-DMIS einmal mitgeteilt haben, was sich am Ende des Arms befindet, wird diese Frage erst wieder gestellt, wenn die Steuereinheit heruntergefahren und neu gestartet worden ist. Ist die DSE installiert, fügt PC-DMIS den Ergebnisanzeigen eine A- und B-Achse hinzu. Diese Anzeige erscheint zusätzlich zur normalerweise erscheinenden Ergebnisanzeige der X-, Y- und Z-Achse.

Hinweis: Die Wertänderungen werden erst dann in der Ergebnisanzeige aktualisiert, wenn Sie PC-DMIS ausführen und die Frage bezüglich der PHS-DSE positiv beantwortet haben.


Tastspitzenkalibrierung

Bei der Tastspitzenkalibrierung wird vorausgesetzt, dass Sie die DSE bereits kalibriert haben. Für die Tastspitze, die zur Kalibrierung der DSE verwendet wird, ist keine weitere Kalibrierung erforderlich. Die Kalibrierung der zur Kalibrierung der DSE verwendeten Tastspitze erfolgt automatisch.

Die Tastspitzenkalibrierung dient dazu, den Abstand vom Mittelpunkt der letzten Verbindungsstelle (Verbindungsstelle A) zum Tastspitzenmittelpunkt zu berechnen. Wenn die DSE bereits kalibriert wurde, genügt es theoretisch, eine A,B-Kombination der Tastspitze zu messen, um diesen Abstand zu berechnen. Es empfiehlt sich jedoch, mehr als eine A,B-Kombination zu messen, damit PC-DMIS das Mittel der errechneten Tastspitzenversätze berechnen kann. Dadurch wird die Genauigkeit verbessert.

Mehr dazu:

Neue Tasterdatei


Neue Tasterdatei

Wenn Sie die DSE-Kalibrierung durchgeführt haben, können Sie die an der DSE befestigte Tastspitze auswechseln und eine neue Tastspitze kalibrieren. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme über die Menüoption Einfügen | Hardwaredefinition | Taster. Menü-Übersicht anzeigen

  2. Vergewissern Sie sich, dass die Beschreibung des Tasters mit der neu geladenen Tastspitze übereinstimmt.

  3. Wählen Sie eine (oder mehrere) A, B-Kombination(en), die dieser neuen Tastspitze entspricht (entsprechen), in der Liste Aktuelle Tastspitzen aus. Ist die gewünschte A,B-Kombination nicht in der Liste enthalten, können Sie diese durch Anklicken der Schaltfläche Winkel hinzufügen in die Liste aufnehmen. Zur Kalibrierung der Tastspitze müssen Sie mindestens eine A,B-Kombination aus der Tastspitzenliste auswählen. Wenn Sie mehr als eine Kombination auswählen, berechnet PC-DMIS das Mittel der Ergebnisse und kann somit einen genaueren Tastspitzenversatz ermitteln.

  4. Nach Auswahl der gewünschten Tastspitzen klicken Sie auf die Schaltfläche Messen. Daraufhin wird das Dialogfeld Taster kalibrieren angezeigt. In diesem Dialogfeld können Sie die Anzahl der Messpunkte, den Anfahr- / Rückfahrweg und die Messgeschwindigkeiten festlegen.

  5. Wählen Sie zum Kalibrieren die Optionsschaltfläche Tastspitzen kalibrieren.

  6. Stellen Sie die gewünschten Parameter ein.

  7. Klicken Sie auf die Schaltfläche Messen.

PC-DMIS beginnt, die Kalibrierkugel anhand der angegebenen A,B-Winkelkombinationen zu messen.


Tastkopf kalibrieren für stufenlos verstellbare DSE-Geräte

Wenn auf dem KMG ein einrastbares DSE installiert ist, ermöglicht PC-DMIS Ihnen den Zugriff auf die Optionen Tastkopf kalibrieren und Nullpunktfahrt Tastkopf im Bereich Durchzuführende Tätigkeit des Dialogfelds Taster kalibrieren.

Taster kalibrieren (Dialogfeld)

Bereich "Durchzuführende Tätigkeit" mit der aktivierten Option "Tastkopf kalibrieren"

Hinweis: Die Kalibrierung dieser DSE wird nur mit einem einzelnen Tasterstift - nicht mit Sterntastern - durchgeführt. Nach Abschluss der Kalibrierung kann durch Kalibrierung des kleinstmöglichen Tasterwinkels jede Winkelposition der DSE in neuen Tasterdateien verwendet werden. Zusätzliche Informationen finden Sie unter "Tastkopf kalibrieren" im Abschnitt "Bereich "Durchzuführende Tätigkeit"". Informationen zur Kalibrierung des Tasters finden Sie unter "Messen" im Abschnitt "Definieren von Hardware".

Über die Option Tastkopf kalibrieren können Sie die DSE kalibrieren. Mit diesem Verfahren können Sie mehrere Winkel auf einer Kalibrierkugel messen, um so die internen Abstände in der DSE selbst zu bestimmen. Anhand dieser berechneten Daten kann PC-DMIS die Postion der Tastspitze an jedem beliebigen A,B-Winkelpaar genau vorausbestimmen. Auf diese Weise können Sie jeden beliebigen A,B-Winkel im Werkstückprogramm verwenden, ohne die einzelnen Tastspitzenpositionen kalibrieren zu müssen.

Hinweis: Vergewissern Sie sich, dass Sie die gewünschten Messwerte im Dialogfeld Taster kalibrieren für die Kugelmessung angegeben haben, bevor Sie die Option Tastkopf kalibrieren wählen und die Messung vornehmen. Im Dialogfeld Messen können Sie die Anzahl der Messpunkte, den Vorhaltebereich und Rückfahrweg sowie verschiedene Messgeschwindigkeiten festlegen. Informationen hierzu finden Sie unter "Messen" im Abschnitt "Definieren von Hardware".

Mehr dazu:

DSE-Kalibrierung


DSE-Kalibrierung

Zur Kalibrierung der DSE müssen mindestens drei A-Winkelpositionen und drei B-Winkelpositionen für insgesamt neun Kugelmessungen gemessen werden (jede A-Winkelposition muss an jeder B-Position gemessen werden). Im Bereich Parameter für DSE Kalibrierung des Dialogfelds Taster kalibrieren können Sie die Winkel für die Kalibrierung der A- und B-Achsen festlegen. Die ersten drei Optionen dienen zur Kalibrierung der Verbindungsstelle A.

Informationen zur Verwendung des Bereichs Parameter für DSE Kalibrierung für die Definition der AB-Winkelpositionen finden Sie unter "DSE-Kalibrierungswinkel einrichten" im Abschnitt "Definieren von Hardware".

Hinweis: Bei Verwendung eines Renishaw PHS müssen Sie jedesmal eine DSE-Kalibrierung durchführen oder im Bereich Durchzuführende Tätigkeit des Dialogfelds Taster kalibrieren die Option Nullpunktfahrt Tastkopf wählen und erneut auf Messen klicken, wenn die Stromversorgung der PHS-Steuereinheit unterbrochen wurde.

Vorsicht bei der Verwendung von Tastern des Typs SP600

Bei den meisten Tastertypen auf einer kontinuierlichen DSE kalibriert das DSE-Gerät einen Winkelbereich und schätzt die restlichen Werte. Wird jedoch ein Taster des Typs SP600 auf einer kontinuierlichen DSE verwendet, benötigt der SP600-Taster eine eigene Auslenkungsmatrix. Sie müssen daher jeden AB-Tastspitzenwinkel kalibrieren, der nicht im ursprünglichen Vorgang der Matrixerstellung berücksichtigt wurde. Andernfalls erhalten Sie ungenaue Messergebnisse.

Mehr dazu:

Fehlermatrix berechnen


Fehlermatrix berechnen

Normalerweise werden DSE-Geräte in relativ kleinen Inkrementen kalibriert (z.B. 20 Grad). Wenn Sie eine stufenlos verstellbare DSE kalibrieren und dabei das Kontrollkästchen Tastkopf kalibrieren ausgewählt ist, erstellt PC-DMIS automatisch eine DSE-Fehlerkompensierungsdatei namens abcomp.dat, die zur Korrektur von DSE-Winkelfehlern verwendet wird. Durch das Erstellen einer Fehlermatrix wird die DSE-Genauigkeit beim Messen von Positionen, die bisher noch nicht kalibriert wurden, erhöht, da PC-DMIS dadurch die Tasterversätze interpolieren kann.

Nach Berechnung der Fehlermatrix werden die Ergebnisse auf der Festplatte des Computers gespeichert, damit Sie bei jeder Verwendung der DSE von der verbesserten Winkelgenauigkeit profitieren können. Die Fehlermatrix sollte regelmäßig (mindestens einmal wöchentlich) oder bei Bedarf berechnet werden. Bei der Berechnung der Fehlermatrix führt PC-DMIS auch eine gültige DSE- und Tastspitzen-Kalibrierung für die aktuell geladene Tasterdatei durch.

Hinweis: Die DSE-Kalibrierung sollte jedesmal dann durchgeführt werden, wenn der Befestigungsadapter für die DSE gewechselt wird. Wann und wie oft die Fehlermatrix für eine DSE berechnet werden sollte, entnehmen Sie bitte der Hardware-Dokumentation oder den Herstellerinformationen, da die Intervalle je nach Konstruktion des Geräts und Empfehlung des Herstellers variieren können.

Nach Kalibrierung des stufenlos verstellbaren DSE-Geräts und Erstellung einer DSE-Fehlermatrixdatei, sollte PC-DMIS durch Sie angewiesen werden, die Fehlermatrixdatei zu verwenden. Hierzu aktivieren Sie das KontrollkästchenDSE-Matrix verwenden des Dialogfelds Taster-Hilfsprogramme (siehe auch "Kontrollkästchen "DSE-Matrix verwenden" im Abschnitt "Definieren von Hardware"). Sie können dann jede Position neuer Tasterdateien mit einem minimalen Aufwand an Kalibrierungen erstellen und verwenden.

Hierzu erstellen Sie einfach eine neue Tasterdatei und führen eine reguläre Tastspitzenkalibrierung durch. Verwenden Sie hierbei jedoch mindestens eine Tasterposition auf dem Kalibriernormal, das mit der Tasterdatei verknüpft ist, die während des Vorgangs Tastkopf kalibrieren verwendet wird. Es ist wichtig, dass Sie bei der Kalibrierung mehr als eine Tasterposition verwenden, da die Tasterversatzdaten dann genauer an die DSE-Fehlermatrix angepasst werden. Dies gilt besonders dann, wenn in der neuen Tasterdatei mehrere DSE-Positionen verwendet werden sollen.

Hinweis: Besteht keine Verknüpfung mit der Tasterdatei, die bei Erstellung der Fehlermatrix verwendet wurde, treten Messfehler auf.


Kalibrierprüfung

Bereich "Durchzuführende Tätigkeit" mit der Option "Kalibrierprüfung"

Nach der Kalibrierung des Tastkopfs sollten Sie eine Kalibrierprüfung durchführen. Diese ist jedoch nicht unbedingt erforderlich. Durch eine Kalibrierprüfung erhalten Sie Informationen zur allgemeinen Genauigkeit der DSE-Kalibrierung und künftiger Messungen. Die Kalibrierprüfung kann auch dazu eingesetzt werden, um neue Tastspitzen, die neuen Tasterdateien hinzugefügt wurden, auf Fehler zu überprüfen.

So führen Sie eine Kalibrierprüfung durch:

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme über die Menüoption Einfügen | Hardwaredefinition | Taster. Menü-Übersicht anzeigen

  2. Wählen Sie die Winkel, die für die Kalibrierprüfung verwendet werden sollen, in der Liste Aktuelle Tastspitzen. Es empfiehlt sich, sowohl Tasterwinkel auszuwählen, die bei der DSE-Kalibrierung verwendet wurden, als auch solche, die nicht verwendet wurden.

  3. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  4. Geben Sie die Parameter an, die bei der Kalibrierprüfung verwendet werden sollen, und wählen Sie das passende Kalibriernormal aus.

  5. Wählen Sie die Option Kalibrierprüfung im Bereich Durchzuführende Tätigkeit aus.

  6. Klicken Sie auf die Schaltfläche Messen.

  7. Befolgen Sie die Bildschirmanweisungen.


Nullpunktfahrt Tastkopf

Bereich "Durchzuführende Tätigkeit" mit der Option "Nullpunktfahrt Tastkopf"

Einige DSE-Geräte¾wie beispielsweise der Renishaw PHS¾weisen keine vordefinierten Nullpunktpositionen auf und verwenden für die DSE-Positionierung Potentiometer anstelle von Skalen. Bei dieser Art von DSE-Geräten muss der Nullpunkt jedesmal wieder neu definiert werden, wenn die Stromzufuhr der Steuereinheit für den Tasterkopf unterbrochen wird. Sie können den DSE-Nullpunkt neu definieren, indem Sie die Option Tastkopf kalibrierenoption (siehe “Tastspitzenkalibrierung”) oder die Option Nullpunktfahrt Tastkopf verwenden.

Bei Auswahl von Nullpunktfahrt Tastkopf wird der Winkelfehlerversatz über den zuvor berechneten DSE-Nullpunkt berechnet, indem ein oder mehrere Tasterwinkel an einer zuvor kalibrierten Kugelposition kalibriert werden. Dies hat den Vorteil, dass Sie nur einen Tastspitzenwinkel verwenden müssen und der Vorgang viel schneller abgeschlossen ist als eine DSE-Kalibrierung.

Es empfiehlt sich jedoch, bei diesem Vorgang mehr als einen Tasterwinkel zu verwenden, da PC-DMIS den Durchschnitt aus allen Nullpunkt-Fehlern berechnet und somit eine genauere Anpassung an die DSE-Fehlermatrix ermöglicht.

So führen Sie eine Tastkopf-Nullpunktfahrt durch:

  1. Öffnen Sie das Dialogfeld Taster-Hilfsprogramme über die Menüoption Einfügen | Hardwaredefinition | Taster. Menü-Übersicht anzeigen

  2. Wählen Sie dieselbe Tasterdatei aus, die zur Tastkopf-Kalibrierung verwendet wurde.

  3. Wählen Sie die Winkel, die für die Kalibrierungsprüfung verwendet werden sollen, in der Liste Aktuelle Tastspitzen aus.

  4. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  5. Geben Sie die Parameter an, die bei der Kalibrierprüfung verwendet werden sollen, und wählen Sie dasselbe Kalibriernormal aus, das auch zur Tastkopf-Kalibrierung verwendet wurde.

  6. Wählen Sie die Option Nullpunktfahrt Tastkopf im Bereich Durchzuführende Tätigkeit aus.

  7. Klicken Sie auf die Schaltfläche Messen.

Hinweis: Nach der Tastkopf-Kalibrierung sollten Sie die Kalibrierkugel nicht mehr bewegen, bevor Sie den Tastkopf auf den Nullpunkt gefahren haben. Wird sie bewegt, müssen Sie den Tastkopf neu kalibrieren (siehe “Tastspitzenkalibrierung”).


Verwenden der DSE in einem Werkstückprogramm

PC-DMIS erkennt automatisch, ob die DSE über das Bedienelement gedreht wurde. Dies ist jedoch nur bei Maschinen möglich, die diese Funktion unterstützen. Die Tastspitzenversätze werden, basierend auf den aktuellen A,B-Winkeln, dynamisch aktualisiert. Das heißt, die XYZ-Ergebnisanzeige wird die jeweils aktuelle Tastspitzenposition anzeigen, während diese gedreht wird. Wie nachstehend erläutert, gibt es vier mögliche Methoden, mit denen Sie eine neue A,B-Tastspitzenkombination zu einem Werkstückprogramm hinzufügen können.

Nachdem eine neue A,B-Tastspitzenkombination mittels einer der nachstehenden Methoden in das Werkstückprogramm aufgenommen wurde, zeigt PC-DMIS die aktive Tastspitze, die in das Werkstückprogramm einprogrammiert wurde, in der Dropdown-Liste Aktuelle Tastspitzen in der Symbolleiste an. Dabei handelt es sich um den voranstehenden Befehl TASTSPITZE/ oben an der Cursorposition im Bearbeitungsfenster. Um die DSE an diese A,B-Winkelkombination zu bewegen, schließen Sie die Liste Aktuelle Tastpitzen. PC-DMIS fragt, ob Sie den Taster drehen möchten. Lautet die Antwort Ja, wird die DSE an die gewünschte Position gedreht. Dies ist nützlich, wenn Sie zurückgehen und Messdaten und Bewegungspunkte in das Werkstückprogramm einfügen möchten.

Mehr dazu:

Option 1

Option 2

Option 3

Option 4


Option 1

Wählen Sie im Dialogfeld Taster-Hilfsprogramme die Option Winkel hinzufügen. Dadurch können Sie neue A,B-Winkelpaare in die Tasterdatei eingeben. Wenn die Tasterspitze bereits kalibriert worden ist, dann sind die neuen A,B-Kombinationen ebenfalls kalibriert und einsatzbereit. Nachdem das Dialogfeld Taster-Hilfsprogramme beendet wurde, können Sie diese neuen A,B-Kombinationen verwenden, indem Sie diese aus dem Tastspitzen listenfeld in der Symbolleiste abrufen.


Option 2

Richten Sie die DSE mit dem Bedienelement manuell auf die gewünschten A,B-Winkel aus. Wenn die gewünschte Position erreicht ist, drücken Sie die Taste Bewegung speichern am Bedienelement, oder nehmen Sie manuell einen Messpunkt auf. Die aktuellen A,B-Winkel werden automatisch gelesen. Wenn sich die Winkel A oder B um mehr als den Delta-Mindestwert für die DSE geändert haben (siehe "Delta-Mindestwert für DSE-Drehung" im Abschnitt "Voreinstellungen"), fügt PC-DMIS die aktuellen A, B-Winkel automatisch zur Liste der aktuellen Tastspitzen hinzu und fügt einen TASTSPITZE/-Befehl in das Werkstückprogramm ein. Der neue Befehl TASTSPITZE/ wird vor der gespeicherten Bewegung bzw. dem manuell aufgenommenen Messpunkt in das Werkstückprogramm eingefügt. Wenn das Werkstückprogramm dann ausgeführt wird, wechselt PC-DMIS zuerst die Tastspitze, bevor zur vorprogrammierten Stelle vorgerückt wird.


Option 3

Geben Sie im Bearbeitungsfenster einen TASTSPITZE/-Befehl ein. Wenn Sie die Bearbeitung des Vektors abgeschlossen haben, berechnet PC-DMIS die besten A,B-Kombinationen, durch die der Tasterspitzen-Schaft parallel zu diesem Vektor positioniert wird. Diese Winkel zeigt PC-DMIS im Dialogfeld Mit angefordertem Vektor übereinstimmende DSE-Winkel an.

Mit angefordertem Vektor übereinstimmende DSE-Winkel

Oft stehen zwei oder mehrere A,B-Kombinationen zur Auswahl, die den Schaft in der angeforderten Lage positionieren. Diese werden im Dialogfeld angezeigt, und die A,B-Kombination, die der aktuellen A,B-Kombination der DSE am ehesten entspricht, wird zur Standardoption. Wenn der gewünschte Vektor durch eine unendliche Position auf der A- oder B-Achse ermittelt werden kann, markiert PC-DMIS diesen Eintrag mit der Bezeichnung "Beliebiger Winkel" und stellt ihn standardmäßig auf den aktuellen Wert dieser Achse ein. Sie können bei Bedarf auch einen anderen Wert eingeben. Wenn Sie in diesem Dialogfeld auf OK klicken, fügt PC-DMIS die ausgewählte A,B-Kombination zur Liste der Tastspitzen des aktuellen Tasters hinzu und ändert den TASTSPITZE/-Befehl dahingehend, dass darin die neue Tastspitze verwendet wird.


Option 4

Im Dialogfeld Auto Element verfügt jede Registerkarte über ein Kontrollkästchen für Auto DSE. Wenn diese Option markiert ist, bestimmt PC-DMIS anhand der Definition des Elements, welcher Tastspitzen-Schaftvektor sich am besten zur Messung des aktuellen Elements eignet. Dieser Tastspitzen-Schaftvektor wird dann zur Berechnung der besten A,B-Kombinationen verwendet. Diese werden in dem unter "Option 3" beschriebenen Dialogfeld Mit angefordertem Vektor übereinstimmende DSE-Winkel angezeigt.


Kalibrieren seltener verwendeter Taster

Kalibrieren seltener verwendeter Taster: Einführung

Kalibrieren von OTM3 Series-Lasertastern

Laser kalibrieren: Methode 1

Laser kalibrieren: Methode 2

Kalibrieren von Nextel-Lasertastern

Kalibrieren von optischen Sensoren des Typs NC-100

Kalibrieren des schaltenden Messtasters:

Schritt 1: Den schaltenden Messtaster und zwei Tastspitzenpositionen definieren

Schritt 2: Kalibrieren der Tastspitzenpositionen auf einer Kalibrierkugel

Schritt 3: Erstellen des polyedrischen Kalibriernormals

Schritt 4: Eingaben im Dialogfeld "Taster kalibrieren"

Schritt 5: Die Ausrichtung des polyedrischen Kalibriernormals einstellen

Schritt 6: Kalibrieren aller erforderlichen Tastspitzenpositionen auf der Kalibrierkugel

Schritt 7: NC-100-Artefakt kalibrieren

Kalibrieren des Optiksensors NC100


Kalibrieren seltener verwendeter Taster:Einführung

In diesem Abschnitt wird beschrieben, wie seltener verwendete Tastertypen kalibriert werden. Viele Benutzer von PC-DMIS verwenden schaltende Tastsysteme. Eine Anleitung zur Kalibrierung dieser Tastertypen finden Sie unter "Messen" im Abschnitt "Definieren von Hardware" dieses Handbuchs.

Hier werden die folgenden Verfahren zur Kalibrierung von Tastern beschrieben:

  • Kalibrieren von OTM3 Series-Lasertastern

  • Kalibrieren von Nextel-Lasertastern

  • Kalibrieren von optischen Sensoren des Typs NC-100


Kalibrieren von OTM3 Series-Lasertastern

Bei der OTM3-Serie handelt es sich um scannende Lasertaster. Es gibt zwei Methoden zur Kalibrierung dieser Tastertypen. Sie werden nur von Geräten unterstützt, die eine Leitz-Schnittstelle verwenden.

Mehr dazu:

Laser kalibrieren: Methode 1

Laser kalibrieren: Methode 2


Laser kalibrieren: Methode 1

Kalibrieren Sie ein schaltendes Tastsystem auf der Kugel, die Sie zur Kalibrierung des Lasertasters verwenden. Dadurch wird auch die Position der Kugel kalibriert, so dass Sie den Lasertaster vollständig im CNC-Modus kalibrieren können.


Laser kalibrieren: Methode 2

  1. Wenn Sie den ersten manuellen Punkt aufnehmen müssen, gehen Sie wie folgt vor:

  2. Bewegen Sie den Taster senkrecht in Richtung der Oberfläche, bis die grüne "Im Bereich"-Leuchte an der Wolf & Beck-Steuereinheit aufleuchtet und die Taste Probe Enable (Taster aktivieren) am Bedienelement grün leuchtet.

  3. Drücken Sie am Bedienelement die Taste Probe Enable (Taster aktivieren), um die Punktposition aufzuzeichnen.

  4. Bewegen Sie den Taster von der Oberfläche weg.

  5. Klicken Sie auf die Schaltfläche Fortfahren.

Hinweis: Beachten Sie, dass die Ergebnisse der Kalibrierung sehr schlecht ausfallen können. Es können sogar negative Tasterdurchmesser vorkommen. Außerdem kann der verwendete Teil des Kalibriertasters bei der Kalibrierung nur im Bereich von >= 65 Grad bis 90 Grad liegen.


Kalibrieren von Nextel-Lasertastern

Dokumentation ist in Vorbereitung.


Kalibrieren von optischen Sensoren des Typs NC-100

Der Optiksensor NC-100 wird als "berührungsloser" Taster behandelt. Das bedeutet, dass der Sensor niemals das Werkstück berührt, wenn gemessen wird.

Zur Kalibrierung dieses Sensors benötigen Sie ein besonderes polyedrisches Kalibriernormal mit 17 Flächen, was 17 Ausrichtungen des Tastkopfes erforderlich macht. Außerdem ist der Einsatz eines kalibrierten schaltenden Tasters notwendig, um die Ausrichtung des polyedrischen Instruments zu kalbrieren.

Der Kalibriervorgang des Optiksensors NC-100 dauert insgesamt ca. eine Stunde. Stellen Sie sicher, dass genug Zeit zur Beendigung des Vorgangs zur Verfügung steht. Wird dieser Vorgang in Einzelschritten durchgeführt, muss er möglicherweise noch einmal von Anfang an wiederholt werden.

Es werden zwei Arten von Kalibrierinstrumenten benötigt: Eine Kalibrierkugel und ein polyedrisches Kalibriernormal.

Mehr dazu:

Kalibrieren des schaltenden Messtasters

Kalibrieren des Optiksensors NC100


Kalibrieren des schaltenden Messtasters:

Zunächst müssen Sie den schaltenden Messtaster kalibrieren. Er muss in mindestens zwei Positionen kalibriert werden (je nachdem, welches System Sie verwenden, auch in drei Positionen).

Dreiachsiger Taster

Folgende Positionen sollten für die KMG-Konfigurationen und zur Messlehre-Ausrichtung verwendet werden:

  • A0B0C0

  • A90B180C0

Das Verfahren einer neuen Tasterdatei für ein schaltendes Tastsystem und Kalibrierung des schaltenden Messtasters wurde bereits unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware" beschrieben. Weitere Informationen zu diesem Thema erhalten Sie dort.

Folgen Sie den folgenden Anweisungen, um diese Phase des Kalibriervorgangs abzuschließen.

Klicken Sie hier, um mit der Kalibrierung zu beginnen


Schritt 1: Den schaltenden Messtaster und zwei Tastspitzenpositionen definieren

Zunächst müssen Sie den richtigen Taster, die Tasterverlängerungen, Tastspitzen und Tastspitzenpositionen für den schaltenden Messtaster definieren.

  1. Definieren Sie im Dialogfeld Taster-Hilfsprogramme (Einfügen | Hardwaredefinition | Taster) den Taster, die Tasterverlängerung und die Tastspitzen im Feld Tasterbeschreibung. Menü-Übersicht anzeigen

  2. Klicken Sie auf die Schaltfläche Winkel hinzufügen. Es erscheint das gleichnamige Dialogfeld.

  3. So fügen Sie Winkel A0B0C0 und A90B180C0 zur LIste neuer Winkel hinzu.

  4. Klicken Sie auf OK, um die im Dialogfeld Winkel hinzufügen angegebenen Tastspitzenwinkel zu übernehmen. Die Winkel werden nun in der Liste Aktuelle Tastspitzen des Dialogfelds Taster-Hilfsprogramme angezeigt.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 2: Kalibrieren der Tastspitzenpositionen auf einer Kalibrierkugel

Jetzt kalibrieren sie zwei Tastspitzenpositionen auf einer Kalibrierkugel.

  1. Wählen Sie die beiden Tastspitzen aus, die Sie zur Erstausrichtung der polyedrischen Messlehre verwenden werden, aus der Liste Aktuelle Tastspitzen aus.

  2. Klicken Sie im Dialogfeld Taster-Hilfsprogramme auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  3. Wählen Sie ein geeignetes Kalibriernormal aus der Liste der verfügbaren Kalibriernormale aus.

  4. Klicken Sie auf Messen, um die T1A0B0C0-, T1A90B180C0-Tastspitzen auf der Kalibrierkugel zu messen.

  5. Folgen Sie den Bildschirmanweisungen.

Hinweis: Auch wenn das polyedrische Kalibriernormal in den nächsten Schritten verwendet wird, sollte die Kalibrierkugel für spätere Verwendungszwecke an ihrer Position auf der KMG-Messplatte verbleiben.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 3: Erstellen des polyedrischen Kalibriernormals

Vor der Kalibrierung des polyedrischen Kalibriernormals muss das polyedrische Kalibriernormal definiert werden.

  1. Wählen Sie die beiden gerade kalibrierten Tastspitzen aus der Liste Aktuelle Tastspitzen im Dialogfeld Taster- Hilfsprogramme aus.

  2. Klicken Sie wieder auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  3. Klicken Sie auf die Schaltfläche Kalibriernormal hinzufügen. Das Dialogfeld Kalibriernormal hinzufügen erscheint.

  4. Wählen Sie aus der Liste Art des Kalibriernormals die Option POLYEDER.

  5. Geben Sie den Namen für das Kalibriernormal in das Feld Kalibriernormal-ID ein.

  6. Definieren Sie den Schaftvektor I, J, K. Durchmesser / Länge müssen nicht definiert werden, da diese bereits aufgrund der von Ihnen getroffenen Auswahl des Kalibriernormals fest programmiert sind.

  7. Klicken Sie auf OK. PC-DMIS zeigt abermals das Dialogfeld Taster kalibrieren an.

Fahren Sie mit dem nächsten Schritt fort.

Der Begriff "aktive Tastspitze" bezieht sich auf den Teil des Tastsystems (auch Taster genannt), der gegenwärtig geladen ist. Es können mehrere Tastspitzen gleichzeitig aktiv sein, wobei diese dann in der "Liste aktueller Tastspitzen" aufgeführt sind.

Die entweder am Pinole des KMG oder an der einrastbaren DSE befestigte Sensoreinheit. Am Taster muss eine Tastspitze zur Aufnahme der Messdaten angebracht sein (außer im Falle eines starren Tasters.)


Schritt 4: Eingaben im Dialogfeld "Taster kalibrieren"

Im geöffneten Dialogfeld Taster kalibrieren sehen Sie nun die in den verschiedenen Feldern angezeigten Werte. Dies sind die Parametereinstellungen, auf die PC-DMIS während des Messvorgangs zugreifen wird.

Sie können diese Standardwerte akzeptieren oder Sie nach Ihrem Bedarf ändern.

  1. Wählen Sie den Optionsschalter NC-100-Artefakt kalibrieren im Bereich Durchzuführende Tätigkeit aus.

  2. Wählen Sie eine der Optionen Manuell, CNC oder Man+DCC.

Hinweis: Selbst wenn die Modi CNC oder Man+CNC ausgewählt wurden, werden Sie von PC-DMIS aufgefordert, manuell Messpunkte am Kalibriernormal aufzunehmen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 5: Festlegen der Ausrichtung des Polyeders

Schritt 5: Die Ausrichtung des polyedrischen Kalibriernormals festlegen

PC-DMIS fordert Sie auf, zwei Ebenen auf dem polyedrischen Kalibriernormal zu messen. Anhand dieser Ebenen wird die Ausrichtung des Kalibriernormals eingestellt.

  1. Klicken Sie im Dialogfeld Taster kalibrieren auf die Schaltfläche Messen. Jetzt erscheint ein Meldungsfeld mit der Frage, ob Sie die Erstausrichtung beibehalten wollen.

  2. Klicken Sie auf Ja. Sie sollten nur dann NEIN anklicken, wenn die Ausrichtung bereits zuvor erstellt wurde. Es erscheint ein anderes Meldungsfeld mit der Frage, ob Sie den motorischen Tastkopf DSE bewegen möchten.

  3. Klicken Sie auf Ja. Das Dialogfeld Ausführmodus wird angezeigt. PC-DMIS fordert Sie dann auf, drei Messpunkte zur Messung einer Ebene aufzunehmen.

  4. Nehmen Sie drei Messpunkte auf der Oberfläche des Kalibriernormals auf, die am ehesten vertikal zur Tasterposition T1A0,B0,C0 verläuft.

  5. Drücken Sie Fertig auf Ihrer Bedieneinheit. Daraufhin fragt PC-DMIS, ob Sie die DSE in die zweite Position drehen möchten.

  6. Klicken Sie auf OK. PC-DMIS dreht den Tastspitzenwinkel auf den zweiten Tastspitzenwinkel in Position T1A90B180C0. PC-DMIS fordert Sie erneut auf, drei Messpunkte zur Messung einer Ebene aufzunehmen.

  7. Nehmen Sie drei Messpunkte auf der Oberfläche des Kalibriernormals auf, die am ehesten rechtwinklig zur aktuellen Tasterposition verläuft.

  8. Drücken Sie Fertig auf Ihrer Bedieneinheit. Wenn Sie Fertig gedrückt haben, zeigt PC-DMIS ein anderes Meldungsfeld mit der Information, dass noch nicht alle der zur Kalibrierung benötigten Tastspitzen in der Tasterdatei verfügbar sind.

  9. Klicken Sie auf Ja, um diese Tastspitzenpositionen hinzuzufügen. PC-DMIS wird die ListeAktuelle Tastspitzen des Dialogfeld Taster-Hilfsprogramme dann um bis zu 17 neue Positionen ergänzen.

Achtung: Bewegen Sie das polyedrische Kalibriernormal NICHT nach Einstellung dieser Erstausrichtung. Auch wenn im nächsten Schritt die Kalibrierkugel verwendet wird, werden Sie abermals das polyedrische Kalibriernormal verwenden. Wenn dieses bewegt wird, müssen Sie den Kalibriervorgang nochmals von vorn beginnen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 6: Kalibrieren aller erforderlichen Tastspitzenpositionen auf der Kalibrierkugel

In diesem Schritt werden Sie die Kalibrierkugel zur Messung der neuen Positionen verwenden, die Ende des vorhergehenden Schrittes hinzugekommen sind. Die beste Ausgangsposition ist, wenn das Kalibriernormal seit der letzten Verwendung nicht bewegt wurde.

  1. Wählen Sie die neu hinzugekommenen Tastspitzenpositionen aus der Liste Aktuelle Tastspitzen des Dialogfelds Taster-Hilfsprogramme aus.

  2. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  3. Wählen Sie eine der Optionen CNC oder Man+CNC aus.

  4. Wählen Sie die Option Tastspitzen kalibrieren im Bereich Durchzuführende Tätigkeit.

  5. Wählen Sie ein geeignetes Kalibriernormal aus der Liste der verfügbaren Kalilbriernormale aus.

  6. Klicken Sie auf die Schaltfläche Messen. Wenn Sie die Option CNC gewählt haben, beginnt PC-DMIS automatisch, die Kugel anhand der verschiedenen Tastspitzenpositionen zu messen.

  7. Nach der Kalibrierung kehrt PC-DMIS zum Dialogfeld Taster-Hilfsprogramme zurück.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 7: NC-100-Artefakt kalibrieren

In diesem Schritt wird PC-DMIS das polyedrische Kalibriernormal kalibrieren, indem jede Bohrung auf jeder Oberfläche des Kalibriernormals gemessen wird.

  1. Klicken Sie im Dialogfeld Taster-Hilfsprogramme auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.

  2. Vergewissern Sie sich, dass der im Feld Anz. der Messpkte angezeigte Wert mindestens 4 beträgt. Die Zahl gibt die Anzahl der Messpunkte an, die bei jeder Bohrung auf den Flächen des Kalibriernormals aufzunehmen sind.

  3. Wählen Sie die Option CNC.

  4. Wählen Sie den Optionsschalter NC-100-Artefakt kalibrieren im Bereich Durchzuführende Tätigkeit aus.

  5. Wählen Sie das polyedrische Kalibriernormal aus der Liste der verfügbaren Kalibriernormale aus.

  6. Klicken Sie auf die Schaltfläche Messen. PC-DMIS blendet an dieser Stelle zwei Meldungsfelder ein: Im Ersten werden Sie gefragt, ob Sie die Erstausrichtung beibehalten wollen.

  7. Klichen Sie auf NEIN. Sie haben diesen Schritt bereits durchgeführt. Im zweiten Meldungsfeld wird gefragt, ob das Kalibriernormal bewegt wurde.

  8. Da Sie das polyedrische Kalibriernormal noch nicht kalibriert haben, klicken Sie auf JA. PC-DMIS fragt nun, ob das KMG bereit ist, den Tastkopf zu drehen.

  9. Klicken Sie auf OK. PC-DMIS zeigt das Dialogfeld Ausführungsoptionen an und beginnt den Messvorgang. Die erste Oberfläche des Kalibriernormals wird manuell gemessen. PC-DMIS fordert Sie auf, zunächst drei Stützpunkte aufzunehmen.

  10. Nehmen Sie die drei Stützpunkte auf der Oberfläche des Kalibriernormals auf, die am ehesten vertikal zur zum Schaftvektor (ganz oben auf dem Kalibriernormal) verläuft. PC-DMIS fordert Sie dann auf, weitere Messpunkte in der Bohrung aufzunehmen (je nach dem, welche Anzahl von Messpunkten Sie zuvor festgelegt haben).

  11. Nehmen Sie drei Messpunkte in der Bohrung auf. Nachdem Sie die erste Oberfläche manuell gemessen haben, übernimmt PC-DMIS die Messaufgabe und misst die verbleibenden Oberflächen im CNC-Modus.

Wenn PC-DMIS die Messung aller 17 Oberflächen des polyedrischen Kalibrierinstruments abgeschlossen hat, wird wieder das Dialogfeld Taster-Hilfsprogramme eingeblendet.

Sie haben nun die erste Hälfte des ersten —und kompliziertesten— Teils des Kalibriervorgangs für den Optiksensor abgeschlossen. Der restliche Vorgang ist nicht so langwierig und dürfte nur wenige Minuten dauern.

Fahren Sie mit dem nächsten Teil des Vorgangs fort.


Kalibrieren des Optiksensors NC100

Nun müssen Sie Winkel kalibrieren, die von Ihrem berührungslosen oder (optischen) Messtaster verwendet werden. Der Optiksensor NC-100 ist der erste auf dem Markt verfügbare optische Taster, der in mehreren Ausrichtungen kalibriert werden kann.

  1. Vom Dialogfeld Taster-Hilfsprogramme aus definieren Sie den Taster, die Verlängerung und den Optiksensor für Ihr NC-100-System.

  2. Klicken Sie auf die Schaltfläche Winkel hinzufügen. Es erscheint das gleichnamige Dialogfeld.

  3. Fügen Sie alle von Ihrem Werkstückprogramm benötigten Winkel hinzu. Diese Winkel sollten vertikal zur dem zu messenden Werkstückelement verlaufen.

  4. Klicken Sie auf OK, um zum Dialogfeld Taster-Hilfsprogramme zurückzukehren.

  5. Klicken Sie auf Messen. Das Dialogfeld Taster kalibrieren erscheint.

  6. Wählen Sie die Optionsschaltfläche CNC.

  7. Wählen Sie die Option Tastspitzen kalibrieren im Bereich Durchzuführende Tätigkeit.

  8. Wählen Sie das polyedrische Kalibriernormal aus der Liste der verfügbaren Kalibriernormale aus.

  9. Klicken Sie auf die Schaltfläche Messen. PC-DMIS wird die von Ihnen ausgewählten Tasterpositionen kalibrieren.

Sie haben die Kalibrierung Ihres Tasters erfolgreich abgeschlossen.


Arbeiten mit tragbaren Geräten

Arbeiten mit tragbaren Geräten: Einführung

Starten von "PC-DMIS Portable":

Verwenden des Maus-Modus'

Konvertieren von Messpunkten in Punkte

Scannen von Auto-Element-Stützpunkten


Arbeiten mit tragbaren Geräten: Einführung

Tragbare Geräte sind Messmaschinen, die manuell bedient werden und die aufgrund von Größe und Design relativ leicht zu transportieren sind. Manchmal nennt man sie "manuelle Maschinen" oder "Starrer-Taster-Maschinen", weil sie nicht im CNC-Modus ausgeführt werden können und nicht über ein schaltendes Tastsystem verfügen, um Messpunkte aufzunehmen. Tatsächlich verwenden manche tragbare Geräte, wie der SMX Tracker, zur Aufnahme von Messpunkten einen physischen Taster anstelle eines Lasertasters.

In diesem Anhang werden sie über unterschiedliche Aspekte über diese Geräte und deren Zusammenarbeit mit PC-DMIS informiert. Die Verwendung dieser Geräte zur Kalibrierung oder zur Durchführung von manuellen Scans mit starren Tastern werden hier nicht behandelt, da diese Themen bereits unter Definieren von Hardware" bzw. unter "Scannen Ihres Werkstücks" diskutiert wurden. Auch werden komplexere Vorgänge, die bereits in der Dokumentation, die zusammen mit Ihrer tragbaren Hardware geliefert wurde, besprochen worden sind, hier nicht behandelt.

Dieser Anhang enthält die folgenden Themen:

  • Starten von "PC-DMIS Portable":

  • Verwenden des Maus-Modus'

  • Konvertieren von Messpunkten in Punkte

  • Scannen von Stützpunkten


Starten von "PC-DMIS Portable"

PC-DMIS bietet Ihnen die Möglichkeit, beim Arbeiten mit tragbaren Geräten eine leicht veränderte Benutzeroberfläche zu starten. Symbolleisten-Symbole und Menüeinträge werden größer dargestellt, so dass sie aus der Erntfernung leichter zu erkennen sind. Sie können auf diese Benutzeroberfläche durch Anhängen von "/portable:on" in die Befehlszeile von PC-DMIS zugreifen.

Um eine Tastenkombination zum Starten von PC-DMIS im tragbaren Modus zu erstellen,

  1. Klicken Sie innerhalb eines Ordners in Windows mit der rechten Maustaste auf Neu | Tastenkombination. Es erscheint der Assistent Tastenkombination erstellen.

  2. Klicken Sie auf Suchen und wählen Sie Pcdlrn.exe im Installationsverzeichnis von PC-DMIS aus.

  3. Fügen Sie im Feld, das in Richtung Pcdlrn.exe zeigt, folgendes an den Pfad an:

/portable:on

  4. Falls PC-DMIS im Verzeichnis "C:\Pcdmisw" installiert wurde, lautet die Befehlzeile im Assistenten wie folgt:

  5. KLicken Sie auf Weiter und geben Sie einen Namen für die Tastenkombination an.

  6. Klicken Sie auf Fertig stellen. Die Tastenkombination wird an der angegebenen Stelle erstellt.

  7. Doppelklicken Sie auf die neu erstellte Tastenkombination, um PC-DMIS Portable zu starten.

Ein Screenshot der Benutzeroberfläche von Portable, der die größere Schrift und die größeren Symbole aus der Symbolleiste zeigt.

Sie können alternativ auf das Dialogfeld Anpassen (Rechtsklick auf den Symbolleistenbereich und Auswahl von Anpassen) und dann auf die Kontrollkästchen "Große Menüs verwenden" und "Große Werkzeugleisten verwenden" zugreifen.


Verwenden des Maus-Modus'

Mit PC-DMIS können Sie Ihr tragbares Gerät in den "Maus-Modus" versetzen. Mit diesem speziellen Modus können Sie die Standardmauszeigerfunktionen (Bewegung des Zeigers, Klick, Rechtsklick etc.) innerhalb PC-DMIS dadurch durchführen, indem Sie den Arm und Tastkopf hin- und herbewegen und auf Tasten drücken, um "Mausklicks" durchzuführen. PC-DMIS interpretiert die Bewegungs wie eine Standardmausfunktion. Dadurch können Sie beim tragbaren Gerät bleiben, anstatt zwischen dem Gerät und dem Computer ständig hin- und herzuwechseln.

Wenn sich PC-DMIS im Maus-Modus befindet und Sie versuchen, die reguläre Maus aufzunehmen und zu verwenden, werden die PC-DMIS-Funktionen unberechenbar. Sie sollten diesen Modus verlassen, bevor Sie die Standardmausfunktionen verwenden.

Maus-Modus funktioniert zwar außerhalb von PC-DMIS, aber das Programm wird im Hintergrund weiter ausgeführt und minimiert.

Einstellen des Maus-Modus'

  • 3-Tasten-Konfiguration: Drücken Sie auf die dritte Taste. Das tragbare Gerät wird in den Maus-Modus versetzt und PC-DMIS ordnet die Tasterbewegungen dem Mauszeiger auf dem Bildschirm zu.

  • 2-Tasten-Konfiguration: Drücken und halten Sie die Taste "Messpunkt aufnehmen" und drücken Sie dann schnell die Taste "Fertig" (innerhalb der ersten Sekunde).

Aufnahme von Mausklicks

  • 3-Tasten-Konfiguration: Die mittlere Taste (Taste 2) führt einen Linksklick und die erste Taste einen Rechtsklick durch.

  • 2-Tasten-Konfiguration: Eine Taste führt einen Linksklick und die andere Taste führt einen Rechtsklick durch.

Beenden des Maus-Modus'

  • 3-Tasten-Konfiguration: Um den Maus-Modus mit einer Drei-Tasten-Maus zu beenden, drücken Sie die dritte Taste.

  • 2-Tasten-Konfiguration: Bewegen Sie den Cursor zum oberen Teil des Bildschirms und drücken Sie die linke Maustaste.


Konvertieren von Messpunkten in Punkte

Sie können PC-DMIS veranlassen, einen Punktstrom von der Schnittstelle zu erhalten. Dafür halten Sie die Taste Messpunkt aufnehmen auf Ihrem tragbaren Gerät gedrückt. Dadurch können Sie auf schnelle Weise über eine Fläche scannen, wobei Sie mehrere Punkte in sehr kurzer Zeit aufnehmen.

Nachdem PC-DMIS den Punktstrom erhalten hat, führt es eine der folgenden Aktionen durch:

  • Einzelne Punktelemente erstellen. Wenn Sie sich im NurPunkt-Modus befinden oder wenn das Dialogfeld Auto Element Vektorpunkt geöffnet ist, erstellt PC-DMIS einzelne Punktelemente aus diesem Punktstrom.

    • Um in den Nur Punkt-Modus zu wechseln, klicken Sie auf das Symbol Nur Punkt-Modus aus der Symbolleiste Grafikmodi.

    • Um das Dialogfeld Vektorpunkt zu öffnen, wählen Sie das Symbol Vektorpunkt aus der Symbolleiste Auto Elemente.

  • Elementerkennung. Wenn Sie sich in keinem dieser Modi befinden, werden die Punkte zum Messpunktepuffer geleitet und Sie können das Messpunktzahl-Inkrement auf der Statusleiste einsehen. Wenn Sie die Messung beenden, hängt das resultierende Element von den Einstellungen und davon, ob die Elementerkennung verwendet wurde, ab.


Scannen von Auto-Element-Stützpunkten

Wenn Sie ein Auto-Element messen, das Stützpunkte verwendet, werden Sie von PC-DMIS aufgefordert, die Stützpunkte während der Werkstückprogrammausführung aufzunehmen. Anstatt nur ein paar einzelne Messpunkte mit dem verfahrbaren Arm aufzunehmen, können Sie jetzt die Fläche mit dem Taster scannen, um auf jeder Fläche auf schnelle Weise mehrere Messpunkte zu erfassen. Damit erhöhen Sie die Genauigkeit.

Einige Elemente, wie den Auto Kreis, weisen eine Stützebene auf. Andere Auto Elemente, wie den Auto Winkelpunkt oder den Auto Eckpunkt, weisen mehrere Stützebenen auf. Um eine Fläche zu scannen, drücken Sie einfach die Taste auf Ihrer tragbaren Maschine, über die Sie mit dem Erfassen der Messpunkte durch die Steuerung beginnen. Führen Sie den Taster dann so lange, wie sie möchten, über die Fläche und PC-DMIS liest mehrere Messpunkte ein. Wenn Sie die Taste loslassen und das Scannen der Fläche beenden, werden Sie von PC-DMIS aufgefordert, den nächsten Satz an Stützpunkten auf der nächsten Fläche aufzunehmen. Fahren Sie mit dem Vorgang so lange fort, bis alle nötigen Stützpunkte auf allen Flächen gescannt wurden.

Regeln zum Scannen von Stützpunkten

  • Es ist nicht möglich, mehrere Stützebenen in einem Scan-Segment zu scannen. Mit anderen Worten, Stützpunkte können nicht um Ecken gescannt werden. Beim Scannen von Stützpunkten muss jeder Scan auf einer einzigen Fläche ausgeführt werden. Wenn ein Element Stützpunkte aus mehr als einer Fläche benötigt, wie beispielsweise ein Eckpunktelement drei Flächen verwendet, muss jede Fläche für sich gescannt werden.

  • Sie können nicht nach Stützpunkten scannen und dann mit dem gleichen Scan-Segment ein Element messen. Wenn Stützpunkte vor dem eigentlichen Scannen des Elements zu dessen Messung gescannt werden, sollten Sie ein Scan-Segment für jede Fläche, die Stützpunkte benötigt, durchführen. Führen Sie dann ein separates Scan-Segment für die eigentliche Elementmessung durch.

  • Beim Scannen des eigentlichen Elements und nicht der Stützpunkte, können Sie die Elementmessung in einem einzigen Scanvorgang durchführen. Bei einem Auto Rechteckloch werden beispielsweise alle vier Seiten in einem fortlaufenden Segment gescannt.

Informationen zu Auto Elementen und Stützpunkten finden Sie unter "Erstellen von Auto Elementen".

Registrierungseinträge für das Scannen mit starren Tastern

Es gibt mehrere Registrierungseinträge im PC-DMIS Einstellungseditor, die steuern, wie Punkte von der Steuereinheit des tragbaren Arms in PC-DMIS eingelesen werden. Folgende Einträge befinden Sich im Abschnitt HardProbeScanningInFeatures:

  • MinDeltaBetweenPointsInMM - Hierdurch wird die Mindestdistanz (in Millimetern), die der Taster zurücklegen muss, bevor ein neuer Messpunkt von der Steuereinheit von PC-DMIS gesendet wird, eingestellt.

  • MinTimeDeltaBetweenPointsInMilliseconds - Hierdurch wird der Mindestzeitraum (in Millisekunden), der vergehen muss, bevor PC-DMIS einen neuen Messpunkt aufnimmt, eingestellt.

  • MaxPointsForAFeature - Hierdurch wird die Höchstzahl an Punkten, die für das Element benötigt werden, eingestellt. Alle von der Steuereinheit in PC-DMIS eingelesenen Punkte, die jenseits dieser Höchstzahl liegen, werden ignoriert.

Für Informationen zu diesen Einträgen starten Sie den Einstellungseditor von PC-DMIS und drücken F1, um die Online-Hilfe aufzurufen. Navigieren Sie dann zu den entsprechenden Themen.


Arbeiten im Bedienermodus

Arbeiten im Bedienermodus: Einführung

Datei öffnen (Optionen)

Menüoptionen im Bedienermodus

Datei

Öffnen

Schließen

Verlassen

Exportieren

Beenden

Bearbeiten

Ansicht

Fenster

Hilfe

Verwenden des Fensters mit Markierungsgruppen im Bedienermodus

Beenden und zum Datei-Manager zurückkehren

Vollständiges Protokoll drucken

Tastspitzen kalibrieren


Arbeiten im Bedienermodus: Einführung

Im Bedienermodus ist in PC-DMIS nur eine eingeschränkte Anzahl von Optionen verfügbar. Wenn diese Einschränkungen wirksam sind, kann der Bediener das Werkstückprogramm nur öffnen und ausführen.

Wählen Sie Programme | PC-DMIS für Windows | Bediener, aus dem Menü Start, um PC-DMIS im Bedienermodus zu starten.

Wenn PC-DMIS im Bedienermodus gestartet wird, sind nur die zur Ausführung des Werkstückprogramms erforderlichen Optionen verfügbar.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Datei öffnen (Optionen)

  • Menüoptionen im Bedienermodus

  • Verwenden des Fensters mit Markierungsgruppen im Bedienermodus


Datei öffnen (Optionen)

Öffnen (Dialogfeld)

Beim Dialogfeld Öffnen handelt es sich um das Standard-Dialogfeld für Windows. Sie können ein Werkstückprogramm im Bedienermodus aktivieren, indem Sie auf den Namen des betreffenden Programms doppelklicken oder den Dateinamen des Werkstückprogramms markieren und die Schaltfläche Öffnen anklicken.

Die folgenden Optionen in diesem Dialogfeld sind im Bedienermodus deaktiviert:

  • Importieren in PC-DMIS. Wenn Sie sich nicht im Bedienermodus befinden, wird diese Option aufgerufen, indem man mit der rechten Maustaste auf ein Werkstückprogramm klickt und im Kontextmenü den Befehl "In PC-DMIS importieren" wählt.

  • Exportieren aus PC-DMIS. Wenn Sie sich nicht im Bedienermodus befinden, wird diese Option aufgerufen, indem man mit der rechten Maustaste auf ein Werkstückprogramm klickt und im Kontextmenü den Befehl "Aus PC-DMIS exportieren" wählt.

  • Bearbeiten des Werkstücknamens, der Serien- oder Versionsnummer auf der PC-DMIS-Eigenschaftsseite des Werkstückprogramms. Wenn Sie sich nicht im Bedienermodus befinden, können diese Optionen aufgerufen werden, indem mit der rechten Maustaste auf das betreffende Programm geklickt und im Kontextmenü der Befehl "Eigenschaften" ausgewählt wird.


Menüoptionen im Bedienermodus

Nachdem ein Werkstückprogramm aktiviert wurde, erscheint der PC-DMIS-Hauptbildschirm mit den folgenden Optionen.

Grafikfenster im Bedienermodus

Mehr dazu:

Datei

Bearbeiten

Ansicht

Fenster

Hilfe


Datei

Über das Menü Datei können Sie ein vorhandenes Werkstückprogramm öffnen, das aktuelle Werkstückprogramm exportieren oder das Programm beenden.

Mehr dazu:

Öffnen

Schließen

Verlassen

Exportieren

Beenden


Öffnen

Mit der Menüoption Datei | Öffnen können Sie jederzeit zwischen Werkstückprogrammen wechseln, indem Sie das Dialogfeld Öffnen aufrufen und dort ein anderes Werkstückprogramm auswählen. Wenn Sie ein anderes Werkstückprogramm auswählen als das, das derzeit ausgeführt wird, speichert und schließt PC-DMIS automatisch das aktive Werkstückprogramm, bevor das neu ausgewählte Werkstückprogramm geladen wird. Wird jedoch versucht, das aktive Werkstückprogramm ein zweites Mal über das Dialogfeld Öffnen aufzurufen, bietet PC-DMIS zwei Optionen an:

  • Verwerfen aller seit dem letzten Speichervorgang am aktiven Werkstückprogramm vorgenommenen Änderungen und Neuladen des ausgewählten Werkstückprogramms ohne die Änderungen

  • Abbrechen des gesamten Vorgangs und Rückkehr zum Dialogfeld Öffnen

Im Bedienermodus kann immer nur ein Werkstückprogramm geöffnet sein.


Schließen

Mit Datei | Schließen wird das Werkstückprogramm geschlossen und die Messwerte aller ausgeführten Markierungsgruppen werden gespeichert.


Verlassen

Mit Datei | Verlassen wird das aktuelle Werkstückprogramm geschlossen, ohne die von den ausgeführten Markierungsgruppen erfassten Messwerte zu speichern. Nur Daten, die bereits vorher gespeichert wurden, können wieder abgerufen werden.


Exportieren

Zum Exportieren des aktuellen Werkstückprogramms wählen Sie die Menüoption Datei | Export. Daraufhin wird das Dialogfeld Daten exportieren angezeigt. Wählen Sie den Datentyp für den Export sowie ein Verzeichnis aus, und klicken Sie dann auf OK. Weitere Informationen zum Exportieren finden Sie unter "Exportieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".


Beenden

Um PC-DMIS und alle anderen Programme zu verlassen und den Computer abzumelden, wählen Sie die Menüoption Datei | Beenden. PC-DMIS speichert das aktuelle Werkstückprogramm automatisch, bevor es beendet wird.


Bearbeiten

Dialogfeld Taster-Anzeige einrichten. In diesem Dialogfeld können Sie festlegen, wie die Informationen angezeigt werden. Informationen hierzu finden Sie unter "Einrichten der Ergebnisanzeige" im Abschnitt "Voreinstellungen".


Ansicht

Über dieses Menü können Sie die folgenden Fenster im Bedienermodus ein- oder ausblenden:

Grafikfenster – Durch Auswahl dieser Option wird das Grafikfenster ein- oder ausgeblendet. Siehe "Das Grafikfenster" im Abschnitt "Navigation durch die Benutzerschnittstelle".

Voransichtsfenster – Durch Auswahl dieser Option wird das Voransichtsfenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Verwenden des Voransichtsfensters" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".

Taster-Anzeige - Durch Auswahl dieser Option wird das Taster-Ergebnisanzeigefenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Verwenden des Voransichtsfensters" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".

Fenster mit Markierungsgruppen – Durch Auswahl dieser Option wird das Markierungsgruppenfenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Verwenden des Fensters mit Markierungsgruppen" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen". Siehe auch "Verwenden des Fensters mit Markierungsgruppen im Bedienermodus".


Fenster

Im Menü Fenster sind Vorgänge zur Verwaltung mehrerer geöffneter Werkstückprogramme und Fenster verfügbar. Informationen hierzu finden Sie im Abschnitt "Navigation in und Anzeigen von mehreren Fenstern".


Hilfe

Das Menü Hilfe enthält dieselben Menüoptionen wie im Standardbetriebsmodus von PC-DMIS.


Verwenden des Fensters mit Markierungsgruppen im Bedienermodus

Fenster mit Markierungsgruppen

Wenn Sie ein Werkstückprogramm laden, wird das Markierungsgruppenfenster automatisch geöffnet. Im Bedienermodus stehen folgende Optionen in diesem Fenster zur Auswahl:

Mehr dazu:

Beenden und zum Datei-Manager zurückkehren

Vollständiges Protokoll drucken

Tastspitzen kalibrieren


Beenden und zum Datei-Manager zurückkehren

Bei Auswahl von Zum Datei-Manager wird das Dialogfeld Öffnen geöffnet, in dem Sie Werkstückprogramme für das Öffnen auswählen können.


Vollständiges Protokoll drucken

Mit der Option Protokoll drucken wird das vollständige Protokoll zur Ausgabequelle gesendet, die im Lernteil des Werkstückprogramms eingerichtet wurde.

Ausgaben in eine Datei werden im .RTF-Format gespeichert. Wenn es sich um das erste Prüfprotokoll seit dem Systemstart handelt, fordert PC-DMIS im Fenster Neue Datei Nr. die Eingabe einer Zahl. Ist die Option Auto aktiviert, erhöht PC-DMIS die Anfangsnummer, mit der die anfängliche Datei gespeichert wurde, bei allen danach gespeicherten Dateien um jeweils eins (bis das System heruntergefahren wird). Die angezeigte Nummer kann jederzeit durch Eingabe einer anderen Nummer überschrieben werden.

Wurde im Lernmodus das Kontrollkästchen Konzeptmodus markiert, ändert PC-DMIS die Schriftarten im Bearbeitungsfenster beim Drucken in den Entwurfsmodus. Alle im Protokoll verwendeten Farben (zur Unterscheidung von Toleranzen, Modi etc.) werden in diesem Fall in Graustufen gedruckt. Durch diese Änderungen wird die Druckgeschwindigkeit wesentlich erhöht.

Klicken Sie zum Drucken des aktuellen Bearbeitungsprotokolls auf die Schaltfläche Protokoll drucken (oder drücken Sie F4). Der Inhalt des Bearbeitungsfensters wird zum Drucker und/oder in eine zuvor ausgewählte Datei gesendet.


Tastspitzen kalibrieren

Über die SchaltflächeTastspitzen kalibrieren werden alle Tastspitzenwinkel für alle Taster des aktuellen Werkstückprogramms kalibriert. Dieser Vorgang teilt PC-DMIS die Position und den Durchmesser jeder Tastspitze mit.

Hinweis: PC-DMIS protokolliert die Kalibrierung der Taster nicht. Sie müssen daher sicherstellen, dass ein Taster neu kalibriert wird, falls er in irgendeiner Weise geändert wurde.


Messen von Auto-Elementen mit dem NC-100-Optiksensor

Auto-Elemente mit dem NC-100-Optiksensor messen: Einführung

Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor

Schaltfläche "Aufzeichnen"

Schaltfläche "Optik einrichten"

Liste "Elementtyp"

Für Kantenpunkte

Für charakteristische Punkte

Felder "Einzug"

Feld "Höhe"

Vektorpunkt mit dem NC-100

Vektorpunkt-Felddefinitionen mit dem NC-100

Messen eines Vektorpunkts mit dem NC-100

Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden

Flächendaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Kantenpunkt mit dem NC-100

Definition des Kantenpunkttyps mit dem NC-100

Kantenpunkt-Felddefinition mit dem NC-100

Messen eines Kantenpunkts mit dem NC-100

Eingabedaten für einen Kantenpunkt mit dem NC-100 verwenden

Flächendaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden

Charakteristische Punkte

Definition des Typs "Charakteristischer Punkt"

Felddefinitionen für "Charakteristischer Punkt"

Messen eines charakteristischen Punkts

Eingabedaten für einen charakteristischen Punkt verwenden

Angabe der Flächendaten für einen charakteristischen Punkt auf dem Bildschirm

Angabe der Drahtmodelldaten für einen charakteristischen Punkt auf dem Bildschirm

Kreis, Stift oder Schwerpunkt mit dem NC-100

Definition des Kreistyps mit dem NC-100

Kreis-Felddefinitionen mit dem NC-100

Messen eines Kreises mit dem NC-100

Eingabedaten für einen Kreis mit dem NC-100 verwenden

Flächendaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Rechteckloch/Bund & Spalt mit dem NC-100

Definition des Rechteckloch- und Bund & Spalttyps mit dem NC-100

Felddefinitionen für Rechteckloch und Bund & Spalt mit dem NC-100

Messen eines Rechtecklochs mit dem NC-100

Eingabedaten für ein Rechteckloch mit dem NC-100 verwenden

Flächendaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

Tiefe für eine Bund & Spaltmessung mit dem NC-100

Tiefe 2 für eine Bund & Spaltmessung mit dem NC-100

Spalt für eine Bund & Spaltmessung mit dem NC-100

Bund für eine Bund & Spaltmessung mit dem NC-100

Typ = RECHTS/LINKS für eine Bund & Spaltmessung mit dem NC-100

Elementtyp für ein Rechteckloch und für Bund & Spaltmessungen mit dem NC-100

Messen eines Langlochs mit dem NC-100

Langloch-Felddefinitionen mit dem NC-100

Messen eines Langlochs mit dem NC-100

Eingabedaten für ein Langloch mit dem NC-100 verwenden

Flächendaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für ein Langloch mit dem NC-100 verwenden


Auto-Elemente mit dem NC-100-Optiksensor messen: Einführung

Dieser Abschnitt befasst sich speziell mit dem Einsatz des NC-100-Optiksensors zum Messen von Auto-Elementen. Informationen zum Einrichten des NC-100-Optiksensors finden Sie unter "Setup-Optionen: Registerkarte "NC-100-Setup"" im Abschnitt "Voreinstellungen".

Über das Menü Einfügen | Element | Auto Element können Sie auf die CNC(Computer Numerical Control)-Funktionen zugreifen, wenn ein automatisches KMG (Koordinatenmessgerät) verwendet wird. Mit dem Dialogfeld Auto Element können Sie CNC-Elemente beliebiger Art erstellen.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor

  • Vektorpunkt mit dem NC-100

  • Kantenpunkt mit dem NC-100

  • Charakteristische Punkte

  • Kreis, Stift oder Schwerpunkt mit dem NC-100

  • Rechteckloch/Bund & Spalt mit dem NC-100

  • Messen eines Langlochs mit dem NC-100

Bei bestimmten Themen wird in dieser Online-Hilfe für weitere Informationen auf den Abschnitt "Erstellen von Auto-Elementen" verwiesen.

Hinweis: Im Abschnitt "Erstellen von Auto-Elementen" finden Sie weitere Einzelheiten über das Messen von Auto-Elementen im Allgemeinen. Beachten Sie jedoch bitte, dass einige der in diesem Abschnitt beschriebenen Optionen bei Einsatz des NC-100-Optiksensors möglicherweise nicht verfügbar sind.


Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor

Vollständige Informationen zu den zahlreichen im Dialogfeld "Auto-Elemente" zur Auswahl stehenden Optionen finden Sie unter "Häufig verwendete Optionen im Dialogfeld "Auto-Elemente"".

In diesem Thema werden einige dieser Dialogfeldfunktionen in Zusammenhang mit der Verwendung von NC-100-Optiksensorn behandelt sowie Dialogfeldoptionen, die nur bei der Verwendung dieser Taster zur Auswahl eingeblendet werden.

Mehr dazu:

Schaltfläche "Aufzeichnen"

Schaltfläche "Optik einrichten"

Liste "Elementtyp"

Felder "Einzug"

Feld "Höhe"


Schaltfläche "Aufzeichnen"

Mit der Schaltfläche Aufzeichnen werden tatsächliche Messdaten als Nennwerte für ein Element erfasst. So verwenden Sie die Schaltfläche "Aufzeichnen":

  1. Setzen Sie den NC-100-Optiksensor über das zu messende Element.

  2. Klicken Sie zum Einrichten der Parameter für den Optiksensor auf die Schaltfläche Optik einrichten.

  3. Klicken Sie im Anschluss an das Einrichten auf die Schaltfläche Aufzeichnen.

PC-DMIS misst das Element zusammen mit dem NC-100-Computersystem und fügt die Messdaten in die THEO-Felder ein. Auf diese Weise ist es möglich, Elemente ohne Zuhilfenahme von CAD-Daten zu messen.


Schaltfläche "Optik einrichten"

Informationen zur Schaltfläche Optik einrichten finden Sie unter "Setup-Optionen: Registerkarte "NC-100 Setup"" im Abschnitt "Voreinstellungen ".


Liste "Elementtyp"

In der Liste Elementtyp stehen die folgenden Elementtypen zur Auswahl:

Mehr dazu:

Für Kantenpunkte

Für charakteristische Punkte


Für Kantenpunkte

NORMAL = Dies ist die normale Kantentypmessung, die auf der Oberflächenhöhe der Kante vorgenommen wird.

DELTAZ = Diese Option ermöglicht die Messung einer Kante in der angegebenen Tiefe im Verhältnis zur Ebene, auf der die Oberfläche liegt.

EXTREMPUNKT = Diese Option ermöglicht die Messung einer Kante am Höchstwert in einer vorgegebenen Richtung.

GR.LOCH = Diese Option ermöglicht die Messung einer Kante, die zum Messen eines Teils einer Bohrung, die größer als das Sichtfeld des Sensors ist, verwendet wird.


Für charakteristische Punkte

In der Liste der Elementtypen können Sie die verfügbaren Typen charakteristischer Punkte auswählen. Dazu gehören:

CHARAKTER 1 = Dieser Elementtyp ermöglicht die Messung zweier Punkte (einen auf jeder Oberfläche) an einem vorgegebenen Einzug relativ zum Schnittpunkt zweier Ebenen.

CHARAKTER 2 = Dieser Elementtyp misst den Punkt am Schnittpunkt zweier Ebenen.


Felder "Einzug"

Weitere Informationen erhalten Sie unter"Felder "Einzug"" im Abschnitt "Erstellen von Auto-Elementen".

Charakteristischer Punkt

In PC-DMIS können Sie zwei Einzugswerte, Einzug 1 und Einzug 2, verwenden, um die Versatzabstände vom charakteristischen Punkt festzulegen. Anhand dieser Versätze berechnet PC-DMIS eine Punktposition auf jeder der beiden Flächen des Winkels in einem charakteristischen Punkt.

Die Einzugsfelder sind nur nach Auswahl von CHARAKTER 1 aus der Liste Elementtyp verfügbar.

Messen eines charakteristischen Punkts unter Verwendung zweier theoretischer Abstände

· Im Feld Einzug 1 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der ersten Fläche des Winkels bestimmen.

· Im Feld Einzug 2 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der zweiten Fläche des Winkels bestimmen.


Feld "Höhe"

Weitere Informationen finden Sie unter "Feld "Höhe"" im Abschnitt "Erstellen von Auto-Elementen".

Beugungsradius

Bei der Einstellung TYP = STANZLOCH wird die theoretische Länge des Elements durch das Feld Höhe definiert. Wird ein Wert für Höhe, jedoch nicht für Tiefe angegeben, teilt PC-DMIS den Wert für Höhe zu gleichen Teilen durch drei und verwendet ihn für die Tiefe.

Bei der Einstellung TYP = AUSSEN wird durch diese Option die Aufnahme eines zusätzlichen Messpunkts oben in der Mitte des Bolzens veranlasst. Wenn hier ein anderer Wert als 0 angegeben wird, nimmt PC-DMIS einen zusätzlichen Messpunkt im Bolzenmittelpunkt auf. Dann wird die Höhe des Bolzens berechnet.


Vektorpunkt mit dem NC-100

Registerkarte "Vektorpunkt" - Dialogfeld "Auto Element"

Mit der Messoption Vektorpunkt können Sie eine theoretische Punktposition sowie die theoretische Antastrichtung definieren, mit der das KMG den Punkt messen soll.

Einzelpunktmessung

So greifen Sie auf die Option Vektorpunkt zu:

  1. Rufen Sie das Dialogfeld Auto Element auf (Einfügen | Element | Auto Element | Punkt | Vektor). Menü-Übersicht anzeigen

  2. Wählen Sie den Auto-Elementtyp Vektorpunkt aus.

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Vektorpunkt lautet wie folgt:
F-ID=AUTO/VEKTORPUNKT, THEO_STÄRKE = n, TOG, EINRASTEN = J/N
NENN/ TX,TY,TZ,TI,T,J,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
AUTO BEWEGEN = J/N, ABSTAND = n

Mehr dazu:

Vektorpunkt-Felddefinitionen mit dem NC-100

Messen eines Vektorpunkts mit dem NC-100


Vektorpunkt-Felddefinitionen mit dem NC-100

Dieses Thema wurde bereits unter "Vektorpunkt-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" behandelt. Die folgende Definition gilt speziell für NC-100-Optiksensoren:

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Messdaten an. Positive und negative Werte sind zulässig.


Messen eines Vektorpunkts mit dem NC-100

PC-DMIS bietet mehrere Methoden zum Messen eines Vektorpunkts mit der Option "Auto Element". Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden

  • Angabe der Flächendaten für einen Vektorpunkt auf dem Bildschirm mit dem NC-100

  • Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm mit dem NC-100

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Mehr dazu:

Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden

Flächendaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden


Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Vektorpunkt eingeben.


Flächendaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Angabe der Flächendaten für einen Vektorpunkt auf dem Bildschirm mit dem NC-100

So erzeugen Sie einen Vektorpunkt mit Hilfe von Flächendaten:

  1. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Lage des Punkts (auf der Oberfläche) zu bestimmen.

  2. Klicken Sie auf die Oberfläche. PC-DMIS markiert die ausgewählte Fläche.

  3. Vergewissern Sie sich, dass die richtige Fläche gewählt wurde.

Vollständige Informationen über dieses Verfahren finden Sie unter "Angabe der Flächendaten für einen Vektorpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto Elementen".


Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm mit dem NC-100

Dieses Thema wird unter "Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Kantenpunkt mit dem NC-100

Registerkarte "Kantenpunkt" - Dialogfeld "Auto Element"

Mit der Messoption "Kantenpunkt" können Sie eine Punktmessung definieren, die auf der Kante des Werkstücks vorzunehmen ist.

Es gibt vier Arten von Kantenmessungen. Dazu gehören:

  • KANTENNORMAL

  • KANTENDELTAZ

  • KANTENEXTREMPKT

  • KANTE GR.LOCH

Sie erfordern unterschiedliche Einstellungen für die Eingabe-/Ausgabeparameter sowie unterschiedliche theoretische Definitionen in den PC-DMIS-Befehlszeilen.

Durch das Visionssystem erfasster Punkt

So greifen Sie auf die Option Kantenpunkt zu:

  1. Rufen Sie das Dialogfeld Auto Element auf (Einfügen | Element | Auto Element | Punkt | Kante). Menü-Übersicht anzeigen

  2. Wählen Sie den Auto-Elementtyp Kantenpunkt aus.

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Kantenpunkt lautet wie folgt:
E-ID=AUTO/KANTENNORMAL, ZEIGE_MESSP. = J/N, ALLEPARAMANZEIGEN = J/N,
NENN/ TX,TY,TZ,TI,TJ,TK
MESS/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n ,TOG3 ,KANTE THEO_STÄRKE = .n
AUTOBEWEGEN=TOG , ABSTAND = n,
OBERFLÄCHENNORMAL = I,J,K, TIEFE = n

Mehr dazu:

Definition des Kantenpunkttyps mit dem NC-100

Messen eines Kantenpunkts mit dem NC-100


Definition des Kantenpunkttyps mit dem NC-100

Kantenpunkttyp-Definition mit dem NC-100

KANTENNORMAL= Dies ist die normale Kantentypmessung, die auf der Oberflächenhöhe der Kante vorgenommen wird.

KANTENDELTAZ = Diese Option ermöglicht die Messung einer Kante in der angegebenen Tiefe im Verhältnis zur Ebene, auf der die Fläche liegt.

Kante in einer vordefinierten Tiefe von der Werkstückoberfläche entfernt

KANTENEXTREMPKT = Diese Anforderung ermöglicht die Messung einer Kante am Höchstwert in einer vorgegebenen Richtung.

Kante am Maximalwert entlang einer bekannten Richtung

KANTE GR.LOCH = Diese Option ermöglicht die Messung einer Kante, die zum Messen eines Teils einer Bohrung, die größer als das Sichtfeld des Sensors ist, verwendet wird.

Konturmessung an einer großen Bohrung

M ehr dazu:

Kantenpunkt-Felddefinition mit dem NC-100


Kantenpunkt-Felddefinition mit dem NC-100

Dieses Thema wurde bereits unter "Kantenpunkt-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" behandelt. Die folgenden Optionen sind spezifisch für NC-100-Optiksensoren:

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Messdaten an. Positive und negative Werte sind zulässig.

ZEIGE_MESSP. = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Messpunkte angezeigt werden. Diese Option ist bei Kantenpunkten derzeit nicht verfügbar.

ALLEPARAMANZEIGEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Kantenpunkts angezeigt werden.

KANTE IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der gemessenen Kante an. Positive und negative Werte sind zulässig.

TIEFE = Dieser Wert ist ein veränderbarer Abstand. (Nur bei "KANTENDELTAZ" verfügbar.)


Messen eines Kantenpunkts mit dem NC-100

PC-DMIS bietet die folgenden Methoden zum Messen eines Kantenpunkts mit dem NC-100-Videotaster:

  • Verwenden von Eingabedaten für einen Kantenpunkt

  • Angabe der Flächendaten für einen Kantenpunkt auf dem Bildschirm

  • Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Hinweis: PC-DMIS geht davon aus, dass die vertikale Oberfläche und die Messoberfläche im rechten Winkel zueinander stehen.


Eingabedaten für einen Kantenpunkt mit dem NC-100 verwenden

Dieses Thema wird unter "Eingabedaten für einen Kantenpunkt verwenden" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Flächendaten am Bildschirm für einen Kantenpunkt auf dem Bildschirm mit dem NC-100 verwenden

Angabe der Flächendaten für einen Kantenpunkt auf dem Bildschirm mit dem NC-100

Dieses Thema wird unter "Angabe der Flächendaten für einen Kantenpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Drahtmodelldaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Charakteristische Punkte

Registerkarte "Charakterist. Punkt" - Dialogfeld "Auto Element"

Die Registerkarte Charakterist. Punkt ist nur bei Einsatz eines NC-100-Videotasters verfügbar.

Ein charakteristischer Punkt ist im Wesentlichen ein Winkelpunkt. Es gibt zwei Arten von charakteristischen Punkten, die unter "Definition des Typs charakteristischer Punkte" beschrieben werden. Für sie sind unterschiedliche Eingabe-/Ausgabeparameter-Einstellungen sowie unterschiedliche theoretische Definitionen im DMIS-Befehl erforderlich. Der DMIS-Messbefehl ist bei beiden möglichen Typen von charakteristischen Punkten gleich. Dieses Diagramm zeigt eine allgemeine Messung eines charakteristischen Punkts.

Messen eines charakteristischen Punkts

So greifen Sie auf die Option Charakterist. Punkt zu:

  1. Rufen Sie das Dialogfeld Auto Element auf (Einfügen | Element | Auto Element | Punkt | Charakteristisch). Menü-Übersicht anzeigen

  2. Wählen Sie den Auto-Elementtyp Charakterist. Punkt aus.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel eines charakteristischen Punkts lautet wie folgt:

F-ID=AUTO/CHARAKTERMERKM 1, ZEIGE_MESSP.=J/N,ALLEPARAMANZEIGEN=J/N
NENN/ TX,TY,TZ,TI,TJ,TK,TX2,TY2,TZ2
MESS/ X,Y,Z,I,J,K,X2,Y2,Z2
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG
AUTO BEWEGEN = J/N, ABSTAND = n VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
EINZUG1= n, EINZUG2 = n

Mehr dazu:

Definition des Typs "Charakteristischer Punkt"

Messen eines charakteristischen Punkts


Definition des Typs "Charakteristischer Punkt"

CHARAKTERMERKM 1 = Dieser Elementtyp ermöglicht die Messung zweier Punkte (einen auf jeder Oberfläche) an einem vorgegebenen Einzug relativ zum Schnittpunkt zweier Ebenen. Dies ergibt zwei Datenpunkte.

CHARAKTERMERKM 2 = Dieser Elementtyp ermöglicht die Messung des Punktes am Schnittpunkt zweier Ebenen. Dies ergibt einen Datenpunkt.

Mehr dazu:

Felddefinitionen für "Charakteristischer Punkt"


Felddefinitionen für "Charakteristischer Punkt"

ZEIGE_MESSP. = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Messpunkte angezeigt werden. Diese Option ist derzeit nicht verfügbar.

ALLEPARAMANZEIGEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Messdaten an. Positive und negative Werte sind zulässig.

TOG 1= Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLR (polar) angezeigt.

NENN/ = Dieser Wert stellt den Ziel-Messpunkt dar.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Messposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (NENN) angeben.

AUTO BEWEGEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, dass diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTO BEWEGUNG bewegt.

VEKTOR1 = Die drei Zahlen (IJK-Werte) stellen einen veränderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der ersten Oberfläche gestellt.

VEKTOR2 = Die drei Zahlen (IJK-Werte) stellen einen veränderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der zweiten Oberfläche gestellt.

EINZUG1 = Dieser veränderbare Wert gibt den Versatz für die Punktposition auf der ersten Fläche des Winkels an. Er kommt bei dem charakteristischen Punkt 2 nicht zur Anwendung.

EINZUG2 = Dieser veränderbare Wert gibt den Versatz für die Punktposition auf der zweiten Fläche des Winkels an. Er kommt bei dem charakteristischen Punkt 2 nicht zur Anwendung.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld "Auto-Elemente"" im Abschnitt "Erstellen von Auto-Elementen".

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld "Auto-Elemente" im Abschnitt "Erstellen von Auto-Elementen".


Messen eines charakteristischen Punkts

PC-DMIS bietet mehrere Methoden zum Messen eines charakteristischen Punkts mit der Option "Auto-Elemente", Sie werden nachstehend beschrieben:

  • Eingabedaten für einen charakteristischen Punkt verwenden

  • Angabe der Flächendaten für einen charakteristischen Punkt auf dem Bildschirm

  • Angabe der Drahtmodelldaten für einen charakteristischen Punkt auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Eingabedaten für einen charakteristischen Punkt verwenden

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den charakteristischen Punkt eingeben.


Angabe der Flächendaten für einen charakteristischen Punkt auf dem Bildschirm

So erstellen Sie einen charakteristischen Punkt mit Hilfe von Flächendaten:

  1. Klicken Sie auf das Symbol Flächenmodus [image] .

  2. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Fläche.

  3. Vergewissern Sie sich, dass die richtige Fläche gewählt wurde.

Im Dialogfeld werden der Wert des ausgewählten charakteristischen Punkts und des Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche Umkehren können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.

Hinweis: Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Fläche.


Angabe der Drahtmodelldaten für einen charakteristischen Punkt auf dem Bildschirm

Ein charakteristischer Punkt kann auch mit Drahtmodell-CAD-Daten erstellt werden.

So generieren Sie den Punkt:

  1. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.

  2. Vergewissern Sie sich, dass die richtige Oberfläche gewählt wurde.

Für den Auto-Elementtyp Charakterist. Punkt des Dialogfelds Auto Element werden der Wert des ausgewählten charakteristischen Punkts und des Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn der Taster beide Seiten des Werkstücks erreichen kann, wird der vertikale Vektor aus den CAD-Daten verwendet. Mit der Schaltfläche Umkehren können Sie die Antastrichtung ändern.

  • Bei jedem weiteren Mausklick vor Auswahl der Schaltfläche Erzeugen werden die angezeigten Informationen durch die neuen Daten überschrieben.

  • Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


Kreis, Stift oder Schwerpunkt mit dem NC-100

Registerkarte "Kreis" - Dialogfeld "Auto Element"

Mit der Option "Auto-Element Kreis" können Sie eine Kreismessung definieren. Die drei möglichen Messtypen werden unter "Definition des Kreistyps mit dem NC-100" beschrieben. Wenn mehr als 10 Punkte erforderlich sind oder der Sensor die Schnittpunkte nicht identifizieren kann, wählt der Sensor Punkte auf der Stanzlochkontur aus und projiziert diese auf die Ebene. Die Identifizierung dieser Punkte kann mit Hilfe der Infrarotlinien erfolgen.

Lochmessung mit Infrarotlinien, die über die Lochkontur geführt werden

So greifen Sie auf die Option Kreis zu:

  1. Rufen Sie das Dialogfeld Auto Element auf (Einfügen | Element | Auto Element | Kreis). Menü-Übersicht anzeigen

  2. Wählen Sie den Auto-Elementtyp Kreis aus.

Die Befehlszeile des Bearbeitungsfensters für einen Beispielkreis lautet wie folgt:

F-ID=AUTO/KREIS, ZEIGE_MESSP.=J/N, ALLEPARAMANZEIGEN=J/N
NENN/ TX,TY,TZ,TI,TJ,TK,TDURCHM,
MESS/ X,Y,Z,I,J,K,DURCHM,
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2, TOG3
AUTO BEWEGEN = J/N, ABSTAND = n
ANZPKTE = n

Mehr dazu:

Definition des Kreistyps mit dem NC-100

Messen eines Kreises mit dem NC-100


Definition des Kreistyps mit dem NC-100

Kreis-Felddefinition mit dem NC-100

STANZLOCH =Dieser Elementtyp ermöglicht die Messung einer inneren oder äußeren kreisförmigen Bohrung.

STIFT = Dieser Elementtyp ermöglicht die Messung eines Stiftes.

Stiftmessung

SCHWERPUNKT = Dieser Elementtyp dient der Messung einer Bohrung unbestimmter Form. Nur die Lage wird protokolliert.

Messung von Stanzlöchern unterschiedlicher Form

Mehr dazu:

Kreis-Felddefinitionen mit dem NC-100


Kreis-Felddefinitionen mit dem NC-100

Viele der Definitionen wurden bereits unter dem Thema "Kreis-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" behandelt. Bei Verwendung eines NC-100-Optiktasters gibt es folgende zusätzliche oder geänderte Definitionen:

ZEIGE_MESSP. = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Messpunkte angezeigt werden.

ALLEPARAMANZEIGEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Messdaten an. Positive und negative Werte sind zulässig.

NENN/ = Dieser Wert stellt die theoretische Elementposition dar. DNENN ist der Nennwert des Durchmessers.

MESS/ = Dieser Wert stellt den gemessenen Punkt dar. DNENN ist der gemessene Wert des Durchmessers.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kreises auf Basis der Tasterposition bei der Aufnahme des Messpunkts. (Innerhalb eines Kreises = INNEN, außerhalb eines Bolzens = AUSSEN.) Diese Definitionen sind nur beim Elementtyp Bohrung verfügbar.

TOG3 = In diesem Feld können Sie eine der folgenden Optionen wählen: KLEINSTE_QUAD, PFERCHKR, HÜLLKR, MINMAX und FESTER_RAD. Diese Definitionen sind nur beim Elementtyp Bohrung verfügbar.

ANZPKTE = Dieser veränderbare Wert muss eine Ganzzahl sein, die größer als drei (3) ist. Diese Definitionen sind nur beim Elementtyp Bohrung verfügbar.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld "Auto-Elemente"" im Abschnitt "Erstellen von Auto-Elementen".


Messen eines Kreises mit dem NC-100

PC-DMIS bietet verschiedene Methoden zum Messen eines Auto-Kreises, die im folgenden beschrieben werden:

  • Eingabedaten für einen Kreis mit dem NC-100 verwenden

  • Flächendaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

  • Drahtmodelldaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Eingabedaten für einen Kreis mit dem NC-100 verwenden

Dieses Thema wird unter "Eingabedaten für einen Auto-Kreis verwenden" im Abschnitt "Erstellen von automatischen Elementen" behandelt.


Flächendaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Flächendaten für einen Auto-Kreis auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Drahtmodelldaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Angabe der Drahtmodelldaten für einen Kreis auf dem Bildschirm mit dem NC-100

Dieses Thema wird unter "Angabe der Drahtmodelldaten für einen Auto-Kreis auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Rechteckloch/Bund & Spalt mit dem NC-100

Rechteckloch (Dialogfeld)

Mit der Option "Rechteckloch" können Sie eine Rechtecklochmessung oder eine Spalt- und Bündigkeitsmessung definieren. Verfügbare Messtypen finden Sie unter "Definition des Rechteckloch- und des Spalt- und Bundtyps mit dem NC-100".

Das Rechteckloch kann unter Verwendung der Punkte innerhalb des ROI und entlang der Lochkontur gemessen werden.

Rechteckloch-Messung

So greifen Sie auf die Option Rechteckloch zu:

  1. Rufen Sie das Dialogfeld Auto Element auf (Einfügen | Element | Auto Element | Punkt | Rechteckloch). Menü-Übersicht anzeigen

  2. Wählen Sie den Auto-Elementtyp Rechteckloch aus.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Rechteckloch lautet wie folgt:

F-ID=AUTO/RECHTECKLOCH, ZEIGE_MESSP.=J/N, ALLEPARAMANZEIGEN=J/N
NENN/ TX,TY,TZ,TI,TJ,TK, TBREITE, TLÄNGE,
MESS/ X,Y,Z,I,J,K, BREITE, LÄNGE,
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1
AUTO BEWEGEN = J/N, ABSTAND = n

Die Befehlszeile des Bearbeitungsfensters einer Beispielsmessung für Bund & Spalt lautet wie folgt:

F-ID=AUTO/SPALT DELTAZ, ZEIGE_MESSP.=J/N, ALLEPARAMANZEIGEN=J/N
NENN/ TX,TY,TZ,TI,TJ,TK,TSPALT,TBUND
MESS/ X,Y,Z,I,J,K,SPALT,BUND
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2
AUTO BEWEGEN = J/N, ABSTAND = n, TIEFE = n, TIEFE2 = n

Mehr dazu:

Definition des Rechteckloch- und Bund & Spalttyps mit dem NC-100

Messen eines Rechtecklochs mit dem N C -100

Tiefe für eine Bund & Spaltmessung mit dem N C-100

Tiefe2 für eine Bund & Spaltmessung mit dem N C-100

Spalt für eine Bund & und Spaltmessung mit dem N C-100

Bund für eine Bund & Spaltmessung mit dem N C-100

Typ - RECHTS/LINKS für eine Bund & Spaltmessung mit dem N C-100

Elementtyp für ein Rechteckloch und für Bund & Spaltmessungen mit dem N C-100


Definition des Rechteckloch- und Bund & Spalttyps mit dem NC-100

RECHTECKLOCH = Dieser Elementtyp ermöglicht die Messung eines Rechtecklochs.

SPALT NORMAL= Dieser Elementtyp ermöglicht die Messung des Spalts und der Bündigkeit eines Spalts auf der Oberflächenebene der feststehenden Seite.
Die folgende Beschreibung zeigt einen allgemeinen Fall einer Punkterfassung:

Durch das Visionssystem erfasster Spalt-Normalpunkt

SPALT DELTAZ = Diese Anforderung ermöglicht die Messung eines Spalts in einer vorgegebenen Tiefe relativ zur feststehenden Seite des Werkstücks.

Bund & Spaltmessung in vorgegebener Tiefe

M ehr dazu:

Felddefinitionen für Rechteckloch und Bund & Spalt mit dem NC-100


Felddefinitionen für Rechteckloch und Bund & Spalt mit dem NC-100

Definition des Rechteckloch- und Bund & Spalttyps mit dem NC-100

Viele der Definitionen wurden bereits unter dem Thema "Rechteckloch-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" behandelt. Bei Verwendung eines NC-100-Optiktasters gibt es folgende zusätzliche oder geänderte Definitionen:

ZEIGE_MESSP. = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Messpunkte angezeigt werden.

ALLEPARAMANZEIGEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Messdaten an. Positive und negative Werte sind zulässig.

TOG2 = Dieses Feld bestimmt die feststehende Seite einer Bund & Spaltmessung. Diese Definition steht nur für Bund & Spalt zur Auswahl.

NENN/ = Dieser Wert stellt die theoretische Elementposition dar.

TIEFE = Dieser Wert ist veränderbar und stellt die Messtiefe auf der feststehenden Seite einer Bund & Spaltmessung dar.

TIEFE2 = Dieser Wert kann bearbeitet werden und stellt die Messtiefe auf der beweglichen Seite einer Bund & Spaltmessung dar.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld "Auto-Elemente"" im Abschnitt "Erstellen von Auto-Elementen".


Messen eines Rechtecklochs mit dem NC-100

PC-DMIS bietet mehrere Methoden zum Messen eines Rechtecklochs mit der Option "Auto-Elemente", die im folgenden beschrieben werden:

  • Eingabedaten für ein Langloch mit dem NC-100 verwenden

  • Flächendaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

  • Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.


Eingabedaten für ein Rechteckloch mit dem NC-100 verwenden

Dieses Thema wird unter "Eingabedaten für ein Rechteckloch verwenden" im Abschnitt "Erstellen von automatischen Elementen" behandelt.


Flächendaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

Angabe der Flächendaten für ein Rechteckloch auf dem Bildschirm mit dem NC-100

Dieses Thema wird unter "Angabe der Flächendaten für ein Rechteckloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm mit dem NC-100

Dieses Thema wird unter "Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Tiefe für eine Bund & Spaltmessung mit dem NC-100

Über das Feld Tiefe wird der Abstand unterhalb der Oberfläche der feststehenden Seite bestimmt, in dem PC-DMIS Zwischenraum und Bündigkeit misst. Dieses Kästchen wird bei Auswahl von SPALT DELTAZ aus der Liste Elementtyp verfügbar.

Vorgehensweise:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Tiefe 2 für eine Bund & Spaltmessung mit dem NC-100

Über das Feld Tiefe2 wird der Abstand unterhalb der Oberfläche der beweglichen Seite bestimmt, in dem PC-DMIS Zwischenraum und Bündigkeit misst. Dieses Kästchen wird bei Auswahl von SPALT DELTAZ aus der Liste Elementtyp verfügbar.

Vorgehensweise:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Spalt für eine Bund & Spaltmessung mit dem NC-100

Im Feld Spalt wird der Spalt der Bund & Spaltmessung angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.

  2. Geben Sie einen neuen Wert ein.


Bund für eine Bund & Spaltmessung mit dem NC-100

Im Feld Bund wird die Bündigkeit der Bund & Spaltmessung angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie das Kästchen Bund aus.

  2. Geben Sie einen neuen Wert ein.


Typ = RECHTS/LINKS für eine Bund & Spaltmessung mit dem NC-100

Mit der Option RECHTS und der Option LINKS wird die feststehende Seite der Bund & Spaltmessung definiert. Bei Bund & Spaltmessungen muss eine Seite als die feststehende (oder Soll-) Seite definiert werden. Die feststehende Seite ist das Bezugsmerkmal, an dem die andere Seite gemessen wird.


Elementtyp für ein Rechteckloch und für Bund & Spaltmessungen mit dem NC-100

In der Liste Elementtyp stehen die verfügbaren Typen von Rechtecklöchern und von Bund & Spaltmessungen zur Auswahl. Dazu gehören:

RECHTECKLOCH = Dieser Elementtyp ermöglicht die Messung eines Rechtecklochs.

SPALT NORMAL= Dieser Elementtyp ermöglicht die Messung des Spalts und der Bündigkeit eines Spalts auf der Oberflächenebene der feststehenden Seite.

SPALT DELTAZ = Dieser Elementtyp ermöglicht die Messung eines Spalts in einer vorgegebenen Tiefe relativ zur feststehenden Seite des Werkstücks.

SPALTENMASS = Dieser Messtyp ist derzeit nicht verfügbar.


Messen eines Langlochs mit dem NC-100

Registerkarte "Langloch" - Dialogfeld "Auto Element"

Mit der Option "Langloch" können Sie eine Langlochmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht zuerst eine Reihe von Geraden und Kreisen messen und Schnitt- und Mittelpunkte daraus erstellen wollen.

Das Langloch kann unter Verwendung der Punkte innerhalb des ROI entlang der Lochkontur gemessen werden.

Langloch-Messung

So greifen Sie auf die Option Langloch zu:

  1. Rufen Sie das Dialogfeld Auto Element auf (Einfügen | Element | Auto Element | Punkt | Langloch). Menü-Übersicht anzeigen

  2. Wählen Sie den Auto-Elementtyp Langloch aus.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Langloch lautet wie folgt:

F-ID=AUTO/LANGLOCH, ZEIGE_MESSP.=J/N ALLEPARAMANZEIGEN=J/N
NENN/ TX,TY,TZ,TI,TJ,TK,TLÄNGE,TBREITE
MESS/ X,Y,Z,I,J,K,LÄNGE,BREITE
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1
AUTO BEWEGEN = J/N, ABSTAND = n

Mehr dazu:

Langloch-Felddefinitionen mit dem NC-100

Messen eines Langlochs mit dem NC-100


Langloch-Felddefinitionen mit dem NC-100

Viele der Definitionen wurden bereits unter dem Thema "Langloch-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen". Bei Verwendung eines NC-100-Optiktasters gibt es folgende zusätzliche oder geänderte Definitionen:

ZEIGE_MESSP. = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Messpunkte angezeigt werden. Diese Option ist derzeit nicht verfügbar.

ALLEPARAMANZEIGEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Messdaten an. Positive und negative Werte sind zulässig.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld "Auto-Elemente"" im Abschnitt "Erstellen von Auto-Elementen".


Messen eines Langlochs mit dem NC-100

PC-DMIS bietet mehrere Methoden zum Messen eines Langlochs mit der Option "Auto-Elemente", die im folgenden beschrieben werden:

  • Verwenden von Eingabedaten für ein Langloch

  • Angabe der Flächendaten für ein Langloch auf dem Bildschirm

  • Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Mehr dazu:

Eingabedaten für ein Langloch mit dem NC-100 verwenden

Flächendaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für ein Langloch mit dem NC-100 verwenden


Eingabedaten für ein Langloch mit dem NC-100 verwenden

Dieses Thema wird unter "Eingabedaten für ein Langloch verwenden" im Abschnitt "Erstellen von automatischen Elementen" behandelt.


Flächendaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Flächendaten für ein Langloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.

Hinweis: Sind die CAD-Daten, welche die Enden des Langlochs definieren, spezifisch als Typ KREIS oder BOGEN definiert (d.h., als IGES-Einheit 100), nimmt PC-DMIS automatisch zwei weitere Messpunkte auf dem Bogen auf. Wenn beide Enden zu diesem Typ gehören, genügt eine Berührung auf jedem Bogen, um diesen Elementtyp zu messen.


Drahtmodelldaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Verwenden von Tastaturbefehlen und Kontextmenüs

Verwenden von Tastaturbefehlen und Kontextmenüs: Einführung

Tastenkombinationen

Kontextmenüs

Kontextmenüs in Dialogfeldern nach Windows-Standard

Kontextmenüs auf der Symbolleiste

Kontextmenüs im Grafikfenster

Kontextmenü "Elemente"

Kästchenauswahl-Kontextmenü

K ontextmenü "Auto Element-Bahngeraden"

Kontextmenüs im Bearbeitungsfenster

Übersichtsmodus: Kontextmenü "Befehle"

Datenelement-Kontextmenü

Befehlsmodus-Kontextmenü


Verwenden von Tastaturbefehlen und Kontextmenüs: Einführung

In diesem Abschnitt finden Sie Tastenkombinationen für viele Menüoptionen, Dialogfelder und Befehle, die in PC-DMIS verwendet werden. Durch die Verwendung von Tastenkombinationen können Sie die Programmierzeit verkürzen und Ihre Produktivität und Effizienz steigern.

Zu den Hauptthemen in diesem Abschnitt gehören:

  • Tastenkombinationen

  • Kontextmenüs


Tastenkombinationen

In dieser Tabelle können Sie die verfügbaren Tastaturbefehle schnell und einfach nachschlagen. Wenn vor der Beschreibung einer Tastenkombination das Wort Bearbeitungsfenster steht, dann kann dieser Befehl nur dann ausgeführt werden, wenn das Bearbeitungsfenster aktiv ist. Genauere Informationen zu den Funktionen der einzelnen Optionen finden Sie im entsprechenden Abschnitt der Online-Hilfe.

Taste

Beschreibung

Taste

Beschreibung

Taste

Beschreibung

F1

Öffnet die Online-Hilfe.

STRG + A

Bearbeitungsfenster:
 Markiert den gesamten Text.

STRG + F1

Versetzt PC-DMIS in den Übertragungsmodus

F2

Bearbeitungsfenster:
Öffnet das Dialogfeld Ausdruckerstellungsprogramm, wenn sich der Cursor in einer Zeile befindet, in der Ausdrücke zulässig sind.

STRG + C

Bearbeitungsfenster:
Kopiert ausgewählten Text.

STRG + F2

Versetzt PC-DMIS in den 2D-Rotationsmodus

F3

Bearbeitungsfenster:
Markiert den Befehl zur Ausführung oder hebt dessen Markierung auf.

Wenn sich der Cursor auf einem externen Objekt befindet, schaltet F3 zwischen dem Druck- und Ausführungsmodus um.

STRG + D

Löscht das aktuelle Element.

STRG + F3

Versetzt PC-DMIS in den 3D-Rotationsmodus und öffnet das Dialogfeld Drehen.

F4

Bearbeitungsfenster:
Druckt den Inhalt des Bearbeitungsfensters.

STRG + E

Führt das ausgewählte Element aus.

STRG + F4

Schaltet PC-DMIS in den Programmodus.

F5

Öffnet das Dialogfeld Setup-Optionen.

STRG + F

Öffnet das Dialogfeld Auto Element.

STRG + F5

Versetzt PC-DMIS in den Textfeldmodus.

F7

Bearbeitungsfenster:
Wechselt innerhalb eines ausgewählten Umschaltfelds zum nächsten alphabetischen Eintrag.

STRG + G

Fügt in das Bearbeitungsfenster einen LESEPUNKT/-Befehl ein.

STRG + TAB

Minimiert das Bearbeitungsfenster oder stellt dessen Originalgröße wieder her.

F8

Bearbeitungsfenster:
Blättert innerhalb eines ausgewählten Umschaltfelds zurück zum letzten alphabetischen Eintrag.

STRG + J

Bearbeitungsfenster:
Springt zu einem referenzierten Befehl.

STRG + UMSCHALT

Blendet den ausgewählten Grafikanalysepfeil aus.

F9

Bearbeitungsfenster:
Öffnet das zum Befehl an der Cursorposition zugehörige Dialogfeld.

STRG + K

Speichert das ausgewählte Merkmal im Bearbeitungsprotokoll.

STRG + ENDE

Bearbeitungsfenster:
Setzt den Cursor an das Ende des aktuellen Werkstückprogramms.

F10

Öffnet das Dialogfeld Parametereinstellungen.

STRG + M

Fügt einen Bewegungspunkt-Befehl ein.

STRG + POS1

Bearbeitungsfenster:
Setzt den Cursor an den Anfang des aktuellen Werkstückprogramms.

F12

Öffnet das Dialogfeld Vorrichtung einrichten.

STRG + N

Erstellt ein neues Werkstückprogramm.

STRG + ALT + A

Öffnet das Dialogfeld Ausrichtung.

UMSCHALT + Klick mit rechter Maustaste

Öffnet das Dialogfeld Größe der Zeichnung.

STRG + O

Öffnet ein Werkstückprogramm.

STRG + ALT + P

Öffnet das Dialogfeld Taster-Hilfsprogramme.

UMSCHALT + TAB

Bearbeitungsfenster:
Setzt den Cursor zurück in das letzte vom Benutzer bearbeitbare Feld.

STRG + P

Druckt das Grafikfenster.

STRG + Klick mit linker Maustaste

Die Durchführung dieses Vorgangs an einem Element oder einer Etiketten-ID im Grafikfenster während des Textfeldmodus veranlasst den Cursor, sich zu diesem Element im Bearbeitungsfenster zu bewegen.

Bei geöffnetem Dialogfeld Analyse werden bei der Durchführung dieses Vorgangs alle zugewiesenen Merkmale ebenfalls ausgewählt.

UMSCHALT + PFEIL

Hebt den gesamten Text bei Bewegen des Cursors hervor.

STRG + Q

Bearbeitungsfenster:
Führt das aktuelle Werkstückprogramm aus.

STRG + Klick mit rechter Maustaste

Dreht das CAD-Modell im Grafikfenster, wenn mit der Maus gezogen wird.

UMSCHALT + F5

Bearbeitungsfenster:
Schaltet die Messpunktanzeige eines Merkmals zwischen kartesischen und polaren Koordinaten um. Der polare Anzeigemodus wird durch den Buchstaben "P" ausgewiesen.

STRG + R

Öffnet das Dialogfeld Drehen.

PEIL NACH-OBEN-TASTE

Bearbeitungsfenster:
Setzt den Cursor an das nächste über der aktuellen Position verfügbare Element

UMSCHALT + F10

Bearbeitungsfenster:
Öffnet das Dialogfeld Springe zu.

STRG + S

Speichert das aktuelle Werkstückprogramm.

PFEIL NACH-UNTEN

Bearbeitungsfenster:
Setzt den Cursor an das nächste unterhalb der aktuellen Position verfügbare Element.

ENDE

Beendet die Messung eines Elements.

Bearbeitungsfenster:
Setzt den Cursor an das Ende der aktuellen Zeile.

STRG + T

Bearbeitungsfenster:
Weist den aktuellen Befehl (oder ausgewählte Befehle) dem Master-Arm, dem Slave-Arm oder beiden Armen zu.

PFEIL NACH RECHTS

Bearbeitungsfenster:
Setzt den Cursor an das nächste rechts von der aktuellen Position verfügbare Element

Im Übersichtsmodus wird dadurch eine ausgeblendete Liste eingeblendet.

Pos1

Bearbeitungsfenster:
Setzt den Cursor an den Anfang der aktuellen Zeile.

STRG + V

Bearbeitungsfenster:
Fügt den Inhalt der Zwischenablage ein.

PFEIL NACH LINKS

Bearbeitungsfenster:
Setzt den Cursor an das nächste links von der aktuellen Position verfügbare Element.

Im Übersichtsmodus wird dadurch eine eingeblendete Liste ausgeblendet.

TAB

Bearbeitungsfenster:
Bewegt den Cursor vorwärts zum nächsten benutzereditierbaren Feld.

STRG + X

Bearbeitungsfenster:
Schneidet den ausgewählten Text aus.

Alt + H

Öffnet das Menü Hilfe.

ESC

Diese Taste bricht alle Vorgänge (außer der Dateneingabe) ab, wenn sie vor Betätigung der Eingabetaste gedrückt wird.

STRG + Y

Bearbeitungsfenster:
Führt das Werkstückprogramm ab der Cursorposition aus.

ALT + J

Bearbeitungsfenster: Springt von einem referenzierten Befehl zurück.

ENTF

Bearbeitungsfenster:
Siehe "RÜCKTASTE".

STRG + Z

Aktiviert die Funktion "Größe anpassen".

ALT + F3

Bearbeitungsfenster:
Öffnet das Dialogfeld Suchen.

RÜCKTASTE

Bearbeitungsfenster:
Löscht alle markierten Zeichen. Ist nichts hervorgehoben, funktioniert diese Taste wie in einem herkömmlichen Editor. Wenn ein Element nicht gelöscht werden kann, wird eine Fehlermeldung angezeigt.

STRG + UMSCHALT + F

Wechselt zur Funktion Elementerkennung Flach, wenn Elementtypen unter Verwendung eines starren Tasters geschätzt werden.

ALT + RÜCKTASTE

Bearbeitungsfenster:
Macht die letzte Aktion im Bearbeitungsfenster rückgängig.

ALT + "-" (Minus)

Durch Betätigung der Tastenkombination ALT+ '-' (Minus) wird der letzte Messpunkt im Messpunktepuffer gelöscht.

STRG + UMSCHALT + R

Wechselt zur Funktion Elementerkennung Rund, wenn Elementtypen unter Verwendung eines starren Tasters geschätzt werden.

UMSCHALT + RÜCKTASTE

Bearbeitungsfenster:
Wiederholt die letzte rückgängig gemachte Aktion im Bearbeitungsfenster.

EINGABE oder RÜCKTASTE

Bearbeitungsfenster:
Erstellt eine neue Zeile. Ist die Zeile nicht abgeschlossen, bevor der Cursor daraus entfernt wird, wird sie automatisch gelöscht.

Markiert einen Befehl.

STRG + ENTER oder EINGABE

Bearbeitungsfenster:
Im Übersichtsmodus können Sie mit diesem Tastaturbefehl einen Befehl auswählen, der dem Bearbeitungsfenster hinzugefügt werden soll.


Kontextmenüs

Mit Hilfe von Kontextmenüs lassen sich häufig verwendete Befehle mit einem einfachen Mausklick ausführen. In diesem Abschnitt wird beschrieben, wie auf die verschiedenen Kontextmenüs zugegriffen wird und welche Funktionen über die verschiedenen Menüoptionen ausgeübt werden. Kontextmenüs erscheinen nach der Aktivierung der entsprechenden Stellen durch das Programm.

Mehr dazu:

Kontextmenüs in Dialogfeldern nach Windows-Standard

Kontextmenüs auf der Symbolleiste

Kontextmenüs im Grafikfenster

Kontextmenüs für "Auto Element-Bahngeraden"

Kontextmenüs im Bearbeitungsfenster


Kontextmenüs in Dialogfeldern nach Windows-Standard

Zusätzlich zu den Standardbefehlen in Windows-basierten Dialogfeldern, ergänzt PC-DMIS die Kontextmenüs unter bestimmten Umständen um weitere Funktionen. Viele dieser Funktionen sind in den Abschnitten "Verwenden von grundlegenden Dateioptionen" und "Verwenden von fortgeschrittenen Dateioptionen" beschrieben.

Beim Öffnen, Speichern oder Einsatz anderer Dateivorgänge können Sie mit der rechten Maustaste auf den Dateinamen des im Dialogfeld aufgeführten Werkstückprogramms klicken, um diese Kontextmenüoptionen aufzurufen.

Option | Beschreibung
PC-DMIS-Import | Importiert Daten aus einer Eingabedatei in das ausgewählte Werkstückprogramm. Informationen hierzu finden Sie unter "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".
PC-DMIS-Export | Exportiert Daten aus dem ausgewählten Werkstückprogramm in eine Ausgabedatei. Informationen hierzu finden Sie unter "EXportieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".
Öffnen | Öffnet ein Werkstückprogramm. Informationen hierzu finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
Ausschneiden | Schneidet ein Werkstückprogramm aus und stellt es in die Zwischenablage; in Verbindung mit dem Windows-Befehl Einfügen kann das ausgeschnittene Werkstückprogramm in einen anderen Ordner eingefügt werden.
Kopieren | Kopiert ein Werkstückprogramm in die Zwischenablage; zusammen mit dem Windows-Befehl Einfügen kann das kopierte Werkstückprogramm auf diese Weise in einen anderen Ordner eingefügt werden. Informationen hierzu finden Sie unter "Durchführen von Dateivorgängen" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
Umbenennen | Dient zur Umbenennung eines Werkstückprogramms.
Löschen | Löscht ein Werkstückprogramm. Informationen hierzu finden Sie unter "Durchführen von Dateivorgängen" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
Registerkarte Eigenschaften | PC-DMIS | Zeigt Dateiangaben zum Werkstückprogramm an. Sie können den Namen, die Seriennummer oder die Versionsnummer eines Werkstückprogramms anzeigen oder ändern. Informationen hierzu finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Kontextmenüs auf der Symbolleiste

Wenn mit der rechten Maustaste auf den Symbolleistenbereich geklickt wird, zeigt PC-DMIS eine Liste der Symbolleisten sowie andere Optionen an, auf die direkt zugegriffen werden kann. Dazu gehören:

Option | Beschreibung
Dateivorgänge | Blendet die Symbolleiste Dateivorgänge im Symbolleistenbereich ein bzw. aus.
Grafikmodi | Blendet die Symbolleiste Grafikmodi im Symbolleistenbereich ein bzw. aus.
Bearbeitungsfenster | Blendet die Symbolleiste Bearbeitungsfenster im Symbolleistenbereich ein bzw. aus.
Schnellstart | Blendet die Symbolleiste Schnellstart im Symbolleistenbereich ein bzw. aus.
Fensterlayouts | Blendet die Symbolleiste Fenster-Layout im Symbolleistenbereich ein bzw. aus.
Makro Abspielen/Aufzeichnen | Blendet die Symbolleiste Macro Abspielen/Aufzeichnen im Symbolleistenbereich ein bzw. aus.
Auto Elemente | Blendet die Symbolleiste Auto Elemente im Symbolleistenbereich ein bzw. aus.
Gemessene Elemente | Blendet die Symbolleiste Gemessene Elemente im Symbolleistenbereich ein bzw. aus.
Abhängige Elemente | Blendet die Symbolleiste Abhängige Elemente im Symbolleistenbereich ein bzw. aus.
Merkmal | Blendet die Symbolleiste Merkmal im Symbolleistenbereich ein bzw. aus.
Einstellungen | Blendet die Symbolleiste Einstellungen im Symbolleistenbereich ein bzw. aus.
Tastermodus | Blendet die Symbolleiste Tastermodus im Symbolleistenbereich ein bzw. aus.
Aktuelle Arme | Blendet die Symbolleiste Aktuelle Arme im Symbolleistenbereich ein bzw. aus.
Aktueller Drehtisch | Blendet die Symbolleiste Aktueller Drehtisch im Symbolleistenbereich ein bzw. aus.
Assistenten | Blendet die Symbolleiste Assistenten im Symbolleistenbereich ein bzw. aus.
Anpassen | Passt die Symbolleisten und Menüs Ihren Anforderungen an. Informationen hierzu finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".

Diese Symbolleisten sind im Abschnitt "Verwenden der Symbolleisten".


Kontextmenüs im Grafikfenster

Die folgenden Kontextmenüs sind im Grafikfenster verfügbar. Sie können sie aufrufen, indem Sie mit der rechten Maustaste auf bestimmte Bereiche klicken. Manche Kontextmenüs sind nur verfügbar, wenn sich PC-DMIS in einem bestimmten Modus befindet (Informationen hierzu finden Sie unter "Symbolleiste "Grafikmodi"" im Abschnitt "Verwenden von Symbolleisten"). Die aufgelisteten Menüoptionen sind je nach Modus verschieden.

Mehr dazu:

Kontextmenü "Elemente"

Kästchenauswahl-Kontextmenü

Aufspannung-Kontextmenü

Kontextmenü "Auto Element-Bahngeraden"


Kontextmenü "Elemente"

Um auf dieses Kontextmenü zuzugreifen, klicken Sie mit der rechten Maustaste auf ein Element-ID-Etikett, ein Merkmal-Info-Feld oder auf ein Punktangaben-Feld im Grafikfenster.

Option

Beschreibung

ID ausblenden

Diese Menüoption blendet das ID-Etikett eines einzelnen Elements im Grafikfenster aus. Ein ausgeblendetes Etikett ist weiterhin vorhanden und nun lediglich nicht mehr sichtbar.

ID in Ansicht ausblenden

Dieses Menü blendet das ausgewählte ID-Etikett des Elements nur in der aktuellen Ansicht aus. In anderen Ansichten bleibt es immernoch sichtbar.

IDs einblenden, IDs ausblenden

Über diese Untermenüs können Sie die verschiedenen ID-Etiketten ein- bzw. ausblenden. Sie können folgende Arten von ID-Etiketten ein- bzw. ausblenden:

  • Alle

  • Element Etiketten

  • Merkmal Infos

  • Punkt Info

  • Toleranzrahmen

Alle ausgeblendeten ID-Etiketten sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.

ID in allen Ansichten einblenden

Dieses Menü blendet das ausgewählte ID-Etikett in allen Ansichten ein.

Element ausblenden

Diese Option blendet ein einzelnes Element im Grafikfenster aus. Das Element ist weiterhin vorhanden und nun lediglich nicht mehr sichtbar.

Alle Elemente ausblenden

Diese Option blendet alle Elemente auf dem Werkstück im Grafikfenster aus. Die Elemente sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.

Alle Elemente einblenden

Diese Option zeigt alle zuvor ausgeblendeten Elemente im Grafikfenster wieder an.

ID zurücksetzen

Diese Option platziert ein einzelnes ID-Etikett wieder an die ursprüngliche Stelle direkt neben dem zugehörigen Element.

Alle IDs zurücksetzen

Diese Option platziert alle ID-Etiketten wieder an ihrer ursprünglichen Stelle direkt neben dem jeweils zugehörigen Element.

Cursor bewegen zu

Wählen Sie diese Menüoption, um den Cursor in die Befehlszeile dieses Elements im Bearbeitungsfenster zu setzen. Dies wirkt sich nur auf die Lage des Cursors im Bearbeitungsfenster aus; die Lage des Tasters im Grafikfenster ist hiervon nicht betroffen.

Hintergrundfarbe ändern...

Öffnet das Dialogfeld Ändere Etiketten. Über dieses Dialogfeld können Sie die Hintergrundfarbe für das ID-Etikett eines Elements ändern. Sie können alle Element-Etiketten in diese neue Farbe ändern oder lediglich den aktuellen Etiketttyp. Es gibt drei verschiedene Arten von Etiketten: Element-ID-Etiketten, Merkmal-Info- und Punkt-Infofelder.

Sie können Ihre Änderungen in den Standardeinstellungen durch Klicken auf die Schaltfläche Standard vornehmen.

Toleranzrahmen sind von dieser Funktion ausgeschlossen.

Linienfarbe ändern...

Öffnet das Dialogfeld Ändere Etiketten. Über dieses Dialogfeld können Sie die Rahmenfarbe für das ID-Etikett eines Elements ändern. Sie können den Rahmen aller Element-Etiketten in diese neue Farbe ändern oder lediglich den aktuellen Etiketttyp. Es gibt drei verschiedene Arten von Etiketten: Element-ID-Etiketten, Merkmal-Info- und Punkt-Infofelder.

Sie können Ihre Änderungen in den Standardeinstellungen durch Klicken auf die Schaltfläche Standard vornehmen.

Toleranzrahmen sind von dieser Funktion ausgeschlossen.

Schattenkante einblenden...

Öffnet das Dialogfeld Ändere Etiketten. Über dieses Dialogfeld können Sie eine kleine Schattenkante unter dem ID-Etikett eines Elements ein- oder ausblenden. Sie können die Schattenkante entweder allen oder nur dem aktuellen Etiketttyp hinzufügen. Es gibt drei verschiedene Arten von Etiketten: Element-ID-Etiketten, Merkmal-Info- und Punkt-Infofelder.

Sie können Ihre Änderungen in den Standardeinstellungen durch Klicken auf die Schaltfläche Standard vornehmen.

Toleranzrahmen sind von dieser Funktion ausgeschlossen.

Ergänzungen zum Kontextmenü "Elemente" im Textfeldmodus

Im Textfeldmodus erweitert PC-DMIS das Standardkontextmenü für Elemente um bestimmte Optionen. Dazu gehören:

Option

Beschreibung

Toleranzrahmen erstellen...

Über diese Option wird aus dem ausgewählten Element ein Positionsmerkmal Toleranzrahmen (TR) erstellt. Es erscheint das Dialogfeld Form- & Lagetoleranz. Weitere Informationen zum erstellen von TR-Merkmalen finden Sie unter "Verwenden von Toleranzrahmen".

Merkmal Etikett erstellen...

Diese Option erstellt ein Merkmal-Info-Textfeld für das ausgewählte Element. In dem nun eingeblendeten Dialogfeld Merkmal-Info bearbeiten sind die verfügbaren Elemente zu sehen, aus denen das Merkmal-Info-Textfeld erstellt werden kann.

Sind mit dem Element keine Merkmale verknüpft, erstellt PC-DMIS dafür automatisch ein Standardlagemerkmal (siehe "Merkmal "Lage" erstellen" im Abschnitt "Merkmale für Elemente erstellen"). Weitere Informationen zur Verwendung des Dialogfelds Merkmal-Info bearbeiten finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

Punktinfo Etikett erstellen…

Diese Option erstellt ein Punktinfo-Textfeld für das ausgewählte Element. In dem nun eingeblendeten Dialogfeld Bearbeite Punktangaben sind das Element (sowie alle verfügbaren Merkmale) zu sehen, aus denen das Punktinfo-Textfeld erstellt werden kann. Weitere Informationen zur Verwendung des Dialogfelds Bearbeite Punktangaben zum Erstellen eines Punktangaben-Textfelds finden Sie unter "Einfügen von Punkt-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

So greifen Sie auf diese neuen Optionen zu:

  1. Wählen Sie das Symbol Etikettenmodus (siehe "Etikettenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige").

  2. Klicken Sie im Grafikfenster mit der rechten Maustaste auf ein Element oder auf das ID-Etikett eines Elements, um das Kontextmenü anzuzeigen.

Kontextmenü für Merkmal-/Punktangaben im Etikettenmodus

Wenn Sie im Etikettenmodus mit der rechten Maustaste auf ein Merkmalangaben- oder ein Punktangaben-Feld klicken, erweitert PC-DMIS das Standardkontextmenü für Elemente um die folgenden beiden Optionen:

Option

Beschreibung

Bearbeiten

Mit dieser Option können Sie das ausgewählte Merkmalangaben- oder Punktangaben-Textfeld bearbeiten. Das nun eingeblendete Dialogfeld Merkmal-Info bearbeiten bzw. Bearbeite Punktangaben sieht etwas anders aus. Neben den Standardschaltflächen entlang des unteren Rands des Dialogfelds ist nun die zusätzliche Schaltfläche Anwenden auf Alle verfügbar:

Mit Anwenden auf Alle können Sie alle im Dialogfeld vorgenommenen Änderungen auf alle Merkmalangaben- oder Punktangaben-Felder anwenden:
Hinweis: Nur die am Original-Infofeld vorgenommenen Änderungen werden für alle Merkmalangaben- bzw. Punktangaben-Felder übernommen. Einstellungen des Original-Infofelds, die bereits von anderen Infofeldern abweichen, werden nicht für die anderen Infofelder übernommen.

Weitere Informationen hierzu finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

Löschen

Mit dieser Menüoption können Sie das ausgewählte Merkmal- bzw. Punktangaben-Textfeld löschen. Im Bearbeitungsfenster wird der entsprechende PUNKTINFO- bzw. MERKMALINFO-Befehl ebenfalls gelöscht.

So greifen Sie auf diese neuen Optionen zu:

  1. Wählen Sie das Symbol Etikettenmodus (siehe "Etikettenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige").

  2. Klicken Sie im Grafikfenster mit der rechten Maustaste auf ein Merkmalangaben- bzw. ein Punktangaben-Feld.


Kästchenauswahl-Kontextmenü

Dieses Kontextmenü funktioniert nur im Textfeldmodus. So greifen Sie auf dieses Menü zu:

  1. Wählen Sie das Symbol Textfeldmodus (siehe "Textfeldmodus" im Abschnitt "Bearbeiten der CAD-Anzeige").

  2. Wählen Sie ein oder mehrere Elemente aus, indem Sie ein Kästchen darum ziehen. PC-DMIS hebt alle grafischen Elemente oder Element-ID-Etiketten innerhalb des Kästchens hervor.

Es wird ein Kontextmenü mit folgenden Optionen eingeblendet:

Option

Beschreibung

Merkmal Etikett erstellen...

Diese Option erstellt Merkmalangaben-Textfelder für die ausgewählten Elemente.

In dem Dialogfeld Merkmal-Info bearbeiten, das nun für eines der hervorgehobenen Elemente eingeblendet wird, sind die verfügbaren Elementen zu sehen, aus denen Sie das erste Merkmalangaben-Textfeld erstellen können.

Wenn Sie die gewünschten Optionen im Dialogfeld Merkmal-Info bearbeiten ausgewählt haben, klicken Sie entweder auf die Schaltfläche OK oder auf die Schaltfläche Erzeugen (beim Bearbeiten auf die Schaltfläche Übernehmen), um die Merkmalangaben-Felder zu erstellen.

Das erste Merkmalangaben-Feld wird aus dem/den im Dialogfeld Merkmal-Info bearbeiten ausgewählten Merkmal(en) erstellt.

Aus allen mit den einzelnen Elementen verknüpften Merkmalen werden alle weiteren Infofelder erstellt.

Sind mit keinem der Elemente Merkmale verknüpft, wird für das betreffende Element automatisch ein Standardlagemerkmal erstellt (siehe "Merkmal für Lage erstellen" im Abschnitt "Merkmale für Elemente erstellen"). Weitere Informationen zur Verwendung des Dialogfelds Merkmal-Info bearbeiten finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

Punktinfo Etikett erstellen…

Wählen Sie diese Menüoption, um Punktangaben-Textfelder für die hervorgehobenen Elemente zu erstellen. In dem Dialogfeld Bearbeite Punktangaben, das für eines der hervorgehobenen Elemente eingeblendet wird, sind das Element (sowie alle verfügbaren Merkmale) zu sehen, aus denen das Punktangaben-Textfeld erstellt werden kann.

Wenn Sie die gewünschten Optionen im Dialogfeld "Bearbeite Punktangaben" ausgewählt haben, klicken Sie entweder auf die Schaltfläche OK oder auf die Schaltfläche Erzeugen (beim Bearbeiten auf die Schaltfläche Übernehmen), um die Angabenfelder zu erstellen.

Das erste Angabenfeld wird aus dem im Dialogfeld Bearbeite Punktangaben ausgewählten Element oder Merkmal bzw. Merkmalen erstellt. Aus allen mit den einzelnen Elementen verknüpften Merkmalen und dem Element selbst werden alle weiteren Punktangaben-Felder erstellt. Für alle Messpunkte wird eine Punktangaben-Feld erstellt. Weitere Informationen zur Verwendung des Dialogfelds Bearbeite Punktangaben zum Erstellen eines Punktangaben-Textfelds finden Sie unter "Einfügen von Punkt-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

IDs einblenden, IDs ausblenden

Wählen Sie eine dieser Menüoptionen, um alle ID-Etiketten der ausgewählten Elemente ein- bzw. auszublenden. Alle ausgeblendeten ID-Etiketten sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.

Merkmale ausblenden

Diese Option blendet alle ausgewählten Elemente auf dem Werkstück im Grafikfenster aus. Die Elemente sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.

IDs zurücksetzen

Diese Option setzt alle ausgewählten ID-Etiketten wieder an ihre ursprüngliche Stelle direkt neben dem jeweils zugehörigen Element.


Aufspannung-Kontextmenü

Dieses Kontextmenü funktioniert nur im Aufspannmodus (siehe "Aufspannungen einfügen" im Abschnitt "Definieren von Hardware"). So greifen Sie auf dieses Menü zu:

  1. Wählen Sie das Symbol Aufspannmodus aus der Symbolleiste Grafikmodi.

  2. Klicken Sie mit der rechten Maustaste auf ein Aufspannungsobjekt, das Sie bereits in das Grafikfenster eingefügt haben.

Es wird ein Kontextmenü mit folgenden Optionen eingeblendet:

Option | Beschreibung
Objekt fallen lassen | Hierdurch wird die ausgewählte Aufspannung im darunter liegenden Bereich auf die evtl. darunter befindlichen Objekte im Grafikfenster 'fallen gelassen'. Befindet sich nichts in der -Z-Richtung, erfolgt keine Aktion. Befinden sich dort Objekte, dann fällt die Aufspannung so lange nach unten, bis sie das(die) Objekt(e) darunter berührt.
Objekt 'drehen Raum' | Hierbei wird der vertikale Oberflächenvektor an der Stelle, wo Sie gerade mit der rechten Maustaste angeklickt haben, an das Maschinenkoordinatensystem ausgerichtet.
Objekt drehen | Hierbei wird der Punkt an der Stelle, wo Sie gerade mit der rechten Maustaste angeklickt haben, auf die nächste Kante projiziert. Danach wird der Kurventangentenvektor am Lotpunkt ausgerichtet. Die Drehung ist vom Standpunkt der aktuellen Normalansicht eine 2D-Achsenausrichtung.
Achsparallel ausrichten | Hierbei wird die ausgewählte Aufspannung so ausgerichtet, dass (mit einer minimalen Änderung) ihre Achsen parallel zu den CAD-Achsen sind.
Vorrichtungskomponenten verkoppeln | Hierdurch werden alle Bildschirm-Vorrichtungskomponenten in einer Gruppe angeordnet, so dass beim Ziehen oder Drehen von nur einer Vorrichtung auch gleichzeitig alle anderen Vorrichtungen gezogen oder gedreht werden.
Vorrichtungskomponenten entkoppeln | Hierdurch werden Vorrichtungskomponenten entkoppelt, wobei Sie die Möglichkeit haben, die Komponenten individuell zu verändern.
Komponente an der Stelle festmachen | Wenn Vorrichtungskomponenten verkoppelt sind, können Sie über diese Option die Lage der ausgewählten Komponente in der Gruppe von verkoppelten Komponenten bestimmen. Diese Komponente wird auch dann an ihrer aktuellen Position verbleiben, wenn Sie andere Komponenten der verkoppelten Gruppe bewegen.
Vorrichtung speichern | Durch Auswahl dieser Menüoption wird das Dialogfeld Speichern unter geöffnet, über das Sie jedes Bildschirm-Vorrichtungselement speichern können. Sollten sich mehr als eine Vorrichtung auf dem Bildschirm befinden, speichert PC-DMIS alle Vorrichtungen als eine einzige Gruppe. Gespeicherte Vorrichtungen werden für spätere Zwecke im erweiterbaren BENUTZER-Baum des Dialogfelds Aufspannungen gespeichert.
Nur in X verschieben | Durch Auswahl dieses Menüeintrags und durch Ziehen der Vorrichtung wird diese nur entlang der X-Achse bewegt.
Nur in Y verschieben | Durch Auswahl dieses Menüeintrags und durch Ziehen der Vorrichtung wird diese nur entlang der Y-Achse bewegt.
Nur in Z verschieben | Durch Auswahl dieses Menüeintrags und durch Ziehen der Vorrichtung wird diese nur entlang der Z-Achse bewegt.
Nur in XY verschieben | Durch Auswahl dieses Menüeintrags und durch Ziehen der Vorrichtung wird diese nur entlang der X- und Y-Achsen bewegt.
Nur in YZ verschieben | Durch Auswahl dieses Menüeintrags und durch Ziehen der Vorrichtung wird diese nur entlang der Y- und YZ-Achsen bewegt.
Nur in ZX verschieben | Durch Auswahl dieses Menüeintrags und durch Ziehen der Vorrichtung wird diese nur entlang der Z- und X-Achsen bewegt.
Nur in XY drehen | Durch Auswahl dieses Menüeintrags erfolgt die Drehung nur in der XY-Ebene. Durch Drücken auf STRG und Ziehen der Vorrichtung kann gedreht werden. Durch nochmaliges Anklicken wird die Auswahl dieser Option aufgehoben.
Nur in YZ drehen | Durch Auswahl dieses Menüeintrags erfolgt die Drehung nur in der YZ-Ebene. Durch Drücken auf STRG und Ziehen der Vorrichtung kann gedreht werden. Durch nochmaliges Anklicken wird die Auswahl dieser Option aufgehoben.
Nur in ZX drehen | Durch Auswahl dieses Menüeintrags erfolgt die Drehung nur in der ZX-Ebene. Durch Drücken auf STRG und Ziehen der Vorrichtung kann gedreht werden. Durch nochmaliges Anklicken wird die Auswahl dieser Option aufgehoben.


Kontextmenü "Auto Element-Bahngeraden"

Um auf dieses Kontextmenü zuzugreifen, wählen Sie die Schaltfläche Bahngeraden einblenden [image] innerhalb eines Auto Element--Dialogfelds.

Option

Beschreibung

Punkt einfügen

Fügt einen zusätzlichen Messpunkt in das Auto Element ein.

Punkt löschen

Löscht den ausgewählten Messpunkt aus dem Auto Element.

Stützpunkt einfügen

Fügt einen Stützpunkt für das Auto Element ein.

Stützpunkt löschen

Löscht den ausgewählten Messpunkt aus dem Auto Element.

Reihe einfügen

Beim Arbeiten mit einem Element, das mehrere Reihen von Messpunkten verwendet, wie ein Zylinder oder ein Kegel, wird durch diese Option eine weitere Reihe von Messpunkten eingefügt.

Reihe Löschen

Beim Arbeiten mit einem Element, das mehrere Reihen von Messpunkten verwendet, wie ein Zylinder oder ein Kegel, wird durch diese Option eine ausgewählte Reihe von Messpunkten gelöscht.

Punkt verschieben

Diese Menüoption wird bei jeder manuellen Änderung eines Messpunkts oder Pfads mit Hilfe der Maus automatisch ausgewählt.

Wenn diese Menüoption deaktiviert wird, wird die vorgenommene Änderung von PC-DMIS wieder umgekehrt.

Wenn Sie diese Option zur Bearbeitung eines Messpunkts ausgewählt haben und dann zur Senkrechtansicht des Elements über die Option Ansicht Senkrecht wechseln, können Sie zudem die Tiefe und Höhe für diesen bestimmten Messpunkt anpassen.

Ansicht Normal

Hierdurch wird die CAD-Ansicht des Elements auf eine Ansicht von oben nach unten geändert.

Ansicht Senkrecht

Hierdurch wird die CAD-Ansicht des Elements zu einer Seitenansicht geändert. Diese Ansicht ist besonders dafür geeignet, die Elementtiefe zu definieren oder zusätzliche Ebenen von Messpunkten hinzuzufügen.


Kontextmenüs im Bearbeitungsfenster

Das PC-DMIS-Bearbeitungsfenster enthält, je nachdem, welcher Modus im Bearbeitungsfenster auswählt wurde, folgende Kontextmenüs.

Mehr dazu:

Übersichtsmodus: Kontextmenü "Befehle"

Datenelement-Kontextmenü

Befehlsmodus-Kontextmenü


Übersichtsmodus: Kontextmenü "Befehle"

Wenn Sie im Übersichtsmodus des Bearbeitungsfensters (siehe "Arbeiten im Übersichtsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters") einen Befehl auswählen und mit der rechten Maustaste darauf klicken, wird das Kontextmenü eingeblendet. Dieses Menü enthält folgende Optionen:

Option

Beschreibung

Bearbeiten

Über diese Option wird das Dialogfeld für das aktuelle Objekt eingeblendet.

Markieren

Diese Option schaltet den Markierungsstatus des Objekts zur Ausführung um.

Löschen

Diese Option löscht den ausgewählten Befehl und alle Unterbefehle aus dem Werkstückprogramm.

Kopieren

Diese Option kopiert den ausgewählten Befehl in die Zwischenablage.

Ausschneiden

Diese Option schneidet den ausgewählten Befehl aus dem Werkstückprogramm aus und stellt ihn in die Zwischenablage.

Einfügen

Diese Option fügt einen zuvor ausgeschnittenen oder kopierten Befehl aus der Zwischenablage unter dem ausgewählten Befehl ein.

Alles ausblenden

Diese Option blendet alle erweiterten Einträge aus.

Befehl einblenden

Diese Option blendet die aktuelle Befehlszeile ein und zeigt alle mit dem ausgewählten Befehl verknüpften Daten- oder Gruppenelemente an.

Befehl hinzufügen

Mit dieser Option können Sie einen Befehl aus einer alphabetischen, bildlauffähigen Liste in das Bearbeitungsfenster einfügen.

SCHRITT 1: Navigieren Sie durch die Liste, indem Sie die ersten Buchstaben des Befehls eingeben. PC-DMIS geht automatisch zu dem betreffenden Befehl.

SCHRITT 2: Wählen Sie den Befehl aus der Liste aus.

SCHRITT 3: Drücken Sie entweder STRG + EINGABE oder EINGABE, um den neuen Befehl in das Bearbeitungsfenster einzufügen.

Die Tastenkombination STRG + EINGABE fügt den Befehl nach dem Befehlsblock ein, der zum Öffnen des Kontextmenüs verwendet wurde.

Die Taste EINGABE fügt den Befehl innerhalb des Befehlsblocks ein, der zum Öffnen des Kontextmenüs verwendet wurde. Die Taste EINGABE übt nur dann diese Funktion aus, wenn es sich bei dem hinzugefügten Befehl um die Art von Befehl handelt, der in PC-DMIS in einen anderen Befehlsblock eingefügt werden darf. Andernfalls wird er nach dem aktuellen Befehl eingefügt.

Kopplungsansicht

Diese Menüoption bestimmt, ob das Bearbeitungsfenster angekoppelt oder nicht angekoppelt wird.

Wenn Sie diese Option deaktivieren, verhält sich das Bearbeitungsfenster wie in früheren Versionen von PC-DMIS und liegt ungekoppelt über dem Grafikfenster.

Wenn Sie diese Option aktivieren, können Sie das Bearbeitungsfenster an den Seitenrändern sowie am oberen oder unteren Rand des Grafikfensters ankoppeln.

Optimiere Messweg

Über diese Menüoption können Sie die Pfadoptimierung einmal durchführen, wenn Sie das Modul "Prüfmerkmalplan" verwenden. Andernfalls ist diese Option nicht verfügbar. Weitere Informationen zur Verwendung dieser Option finden Sie in der Dokumentation zum Prüfmerkmalplan.


Datenelement-Kontextmenü

Das Datenelement-Kontextmenü wird eingeblendet, wenn im Übersichtsmodus (siehe "Arbeiten im Übersichtsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters"). Das Kontextmenü besitzt folgende Optionen:

Option | Beschreibung
Bearbeiten | Zum Untermenü dieses Elements gehören "Text für Wert/Ausdruck" und "Ausdruckerstellungsprogramm verwenden".
Text für Wert/Ausdruck: | Ermöglicht das Bearbeiten des aktuellen Elements, sofern der Eintrag bearbeitet werden kann. Ist das Datenelement ein Umschaltelement, erscheint eine Umschaltliste. Andernfalls erscheint ein Feld, in dem der aktuelle Wert bearbeitet werden kann.
Ausdruckserstellungsprogramm verwenden: | Kann das Element bearbeitet werden, wird hiermit das Dialogfeld Ausdruckserstellungsprogramm aufgerufen, in dem Ausdrücke für das ausgewählte Feld erstellt werden können.
Kopieren | Kopiert eine von drei Textoptionen für das ausgewählte Datenelement in die Zwischenablage.
Text für Wert: | Kopiert den aktuellen Wert des Datenelements in die Zwischenablage.
Text für Ausdruck: | Kopiert den Text des aktuellen Ausdrucks in die Zwischenablage, sofern ein Ausdruck für das Datenelement vorhanden ist.
Text für Beschreibung: | Kopiert die Beschreibung des aktuellen Datenelements in die Zwischenablage.
Einfügen | Hiermit wird ein kopierter Wert, Ausdruck oder eine Objektbeschreibung an einer neuen Position eingefügt.
Kopplungsansicht | Informationen hierzu finden Sie unter "Übersichtsmodus: Kontextmenü "Befehle""


Befehlsmodus-Kontextmenü

Die folgenden Kontextmenüs sind verfügbar, wenn sich PC-DMIS im Befehlsmodus befindet. Siehe auch "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".

Option

Beschreibung

Befehl auswählen

Hebt den Befehl hervor, über den der Mauszeiger platziert ist.

Block auswählen

Wählt den gesamten Block aus, wenn sich der Mauszeiger über dem Anfangs- oder Endobjekt des Blocks befindet.

Ausführen ab dem Befehl

Diese Option startet die Ausführung ab der aktuellen Position der Einfügemarke im Bearbeitungsfenster.

Block ausführen

Diese Option führt den aktuell markierten Befehlsblock aus.

Springe zur Elementliste

Springt vom aktuellen Befehl zur referenzierten Element-ID.

Springe zurück

Springt zurück zum Befehl vor der Auswahl der Option Springe zu.

Bearbeiten

Hiermit wird das Dialogfeld geöffnet, in dem Sie den Befehl, auf den der Cursor zeigt, bearbeiten können.

Markieren

Diese Option schaltet den Markierungsstatus des Objekts zur Ausführung um. Weitere Informationen über das Markieren finden Sie unter "Markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Start Punkt setzen

Diese Option bestimmt die Anfangsposition, an der die Ausführung des Werkstückprogramms nach Auswahl der Menüoption Datei | Teilw. Ausführung | Ausführung ab Startpunkt beginnt. Informationen hierzu finden Sie unter "Anfangspunkte setzen" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Unterbrechungspunkt

Diese Option fügt einen Unterbrechungspunkt an der Position des Cursors ein. Weitere Informationen über Unterbrechungspunkte finden Sie unter "Verwenden von Haltepunkten" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Lesezeichen

Diese Option fügt an der Position des Cursors ein Lesezeichen ein. Weitere Informationen über Lesezeichen finden Sie unter "Verwenden von Lesezeichen" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Nennwerte ändern

Dadurch wird das standardmäßige Vorgehen von PC-DMIS bei die Nennwertsuche während des Lernmodus' und Ausführmodus' übergangen. Informationen hierzu finden Sie unter "Ändern gefundener Nennwerte" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Kopieren

Diese Option kopiert den im Bearbeitungsfenster ausgewählten Text in die Zwischenablage. Weitere Informationen über das Kopieren in das Bearbeitungsfenster finden Sie unter "Kopieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Ausschneiden

Diese Option schneidet den im Bearbeitungsfenster ausgewählten Text aus und stellt ihn in die Zwischenablage. Weitere Informationen über das Kopieren in das Bearbeitungsfenster finden Sie unter "Ausschneiden" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Einfügen

Diese Option fügt Text aus der Zwischenablage an der Position des Cursors in das Bearbeitungsfenster ein. Weitere Informationen über das Kopieren in das Bearbeitungsfenster finden Sie unter "Einfügen" im Abschnitt "Bearbeiten eines Werkstückprogramms".

Kopplungsansicht

Informationen hierzu finden Sie unter "Übersichtsmodus: Kontextmenü "Befehle""

Wechsle Popup-Anzeige

Ausdrucksw&ert

  1. Wählen Sie Ausdruckswert.

  2. Platzieren Sie den Cursor auf einem Ausdruck.

  3. In dem nun eingeblendeten kleinen Popup-Fenster wird der aktuelle Wert des Ausdrucks angezeigt.

Datentypangaben

  1. Wählen Sie Datentypangaben.

  2. Platzieren Sie den Cursor auf dem Datenfeld.

  3. In dem nun eingeblendeten kleinen Popup-Fenster werden Informationen über das Datenfeld angezeigt, u. a. Beschreibung, Nummer und Index des Datentyps.

Die in diesem Popup-Fenster angezeigten Informationen können in Verbindung mit dem GETTEXT-Ausdruck verwendet werden. Informationen hierzu finden Sie im Abschnitt "Verwenden von Ausdrücken und Variablen".

Befehlsangaben

  1. Wählen Sie Befehlsangaben.

  2. Platzieren Sie den Cusor auf einem beliebigen Befehl im Bearbeitungsfenster.

In dem nun eingeblendeten kleinen Popup-Fenster werden Informationen zur Beschreibung des Befehls sowie die Nummer des Befehlstyps angezeigt. Die in diesem Popup-Fenster angezeigten Informationen können in Verbindung mit dem GETCOMMAND-Ausdruck verwendet werden. Informationen hierzu finden Sie im Abschnitt "Verwenden von Ausdrücken und Variablen".

Objekt

Diese Menüoption steht erst nach Einfügen eines externen Objekts in das Bearbeitungsfenster zur Auswahl. Weitere Informationen hierzu finden Sie unter "Einfügen externer Objekte" im Abschnitt "Hinzufügen externer Elemente".

Wenn Sie das externe Objekt im Bearbeitungsfenster hervorheben und dann mit der rechten Maustaste darauf klicken, wird dieses Kontextmenü um bestimmte Optionen speziell für das betreffende Objekt ergänzt. Dies könnte beispielweise Optionen zum Öffnen oder Bearbeiten des Objekts oder zum Ändern seiner Eigenschaften beinhalten.


Fehlercodes

Fehlercodes werden dazu verwendet, den Bediener auf Warnungen und Fehlerzustände aufmerksam zu machen, die innerhalb des Koordinaten-Messsystems (KMS) auftreten. Das KMS besteht aus einem Koordinaten-Messgerät (KMG), der KMG-Elektronik und einem Rechner (PC), auf dem entweder MeasureMax+ oder MaxLite ausgeführt wird.

Die Fehlercodes in diesem Abschnitt gelten für Sheffield-Komponenten, die die KMG-Elektronik und die Measurement Library (MLB)-Befehle umfassen.

Fehlercodes sind durch einen Gruppennamen, einem Bindestrich und einer Zahl gekennzeichnet. Einige Beispiele sind MP-523, MLB-010 und TempKomp-200.

Es gibt folgende Fehlergruppen:

  • MLB

  • MP

  • CNC

  • RCU

  • TempKomp


Informationen zu MLB-Fehlern

Ein MLB-Fehler wird durch einen MLB-Befehl erzeugt, der nicht bearbeitet werden kann. Er kann auftreten, während ein Werkstückprogramm ausgeführt wird, beim Messen eines Werkstücks oder während der Bearbeitung eines Werkstückprogramms innerhalb von QuickTeach oder MaxLite. MLB-Fehler beinhalten keine Fehler, die von Visual Basic aufgespürt worden sind. Wenden Sie sich zur Unterstützung bei VB-Fehlern an die VB-Hilfe.

Einige Beispiele zu den MLB-Fehlern:

  1. Es ist keine Ressource verfügbar, wie bei Fehler MLB-090 für 'CNC nicht verfügbar' oder bei Fehler RCU-050 für 'RCU nicht verfügbar'.

  2. Die Befehlssyntax ist ungültig, wie bei Fehler MLB-020 für 'Unzulässiger Parameter' oder bei Fehler MLB-010 für 'nicht-identifizierte Funktionsbefehl-Zeichenfolge'.

  3. Das KMG kann die Bewegung nicht fertigstellen, wie bei Fehler MLB-168 für 'Unerwartete Berührung' oder bei Fehler MLB-169 für 'Unerwartete Fahrbeendigung'.

  4. Daten können nicht verarbeitet werden, wie bei Fehler MLB-038 für 'Gerade parallel zur Zylinderachse überschneidet sich nicht' oder bei Fehler MLB-070 für 'Referenz nicht gespeichert'.

MLB-Fehler werden am PC angezeigt, üblicherweise in einem Dialogfeld.

In der folgenden Tabellen sind die MLB-Fehlercodes aufgelistet:

MLB-001 | MLB-026 | MLB-062 | MLB-114 | MLB-168
MLB-003 | MLB-027 | MLB-063 | MLB-115 | MLB-169
MLB-004 | MLB-028 | MLB-064 | MLB-116 | MLB-170
MLB-005 | MLB-029 | MLB-070 | MLB-120 | MLB-173
MLB-006 | MLB-030 | MLB-071 | MLB-130 | MLB-190
MLB-007 | MLB-031 | MLB-072 | MLB-131 | MLB-191
MLB-010 | MLB-032 | MLB-080 | MLB-132 | MLB-505
MLB-011 | MLB-033 | MLB-088 | MLB-140 |
MLB-012 | MLB-034 | MLB-089 | MLB-150 |
MLB-013 | MLB-035 | MLB-090 | MLB-151 |
MLB-014 | MLB-036 | MLB-091 | MLB-152 |
MLB-015 | MLB-037 | MLB-092 | MLB-153 |
MLB-016 | MLB-038 | MLB-093 | MLB-154 |
MLB-017 | MLB-040 | MLB-094 | MLB-155 |
MLB-018 | MLB-041 | MLB-095 | MLB-156 |
MLB-019 | MLB-042 | MLB-096 | MLB-157 |
MLB-020 | MLB-043 | MLB-100 | MLB-158 |
MLB-021 | MLB-044 | MLB-101 | MLB-160 |
MLB-022 | MLB-045 | MLB-110 | MLB-161 |
MLB-023 | MLB-050 | MLB-111 | MLB-162 |
MLB-024 | MLB-060 | MLB-112 | MLB-164 |
MLB-025 | MLB-061 | MLB-113 | MLB-166 |


Angaben zum MP-Fehler

Ein MP-Fehler steht im Zusammenhang mit der KMG-Elektronik. Die Fehlernummern sind in folgende Gruppen kategorisiert:

Gruppieren | Bereich | Beschreibung
MP | 1-199 | Diagnosefehler
TempKomp | 200-299 | Temperaturkompensation
MP | 300-399 | Eigenständiger Ablauf unter Verwendung eines MP-Frontpaneels auf MP-30/35
MP | 500-599 | MP einschalten
MP | 600-699 | CNC einschalten
RCU | 700-799 | RCU einschalten

MP-Fehlernummern werden üblicherweise in der vierten Reihe der XYZ-Angezeige am PC eingeblendet. Bei der XYZ-Anzeige handelt es sich um einen Monitor, der als Fenster in MeasureMax+ und in STI eingeblendet werden kann. Auf MaxLite-Systemen wird dieser Monitor in der unteren rechten Ecke angezeigt. Wenn Sie über ein MP-30/35-System mit einem Frontpaneel verfügen, dann wird der Fehler auch in der W-Achsen-Anzeige des MP-Frontpaneels eingeblendet.

Bei Speicherfehlern werden zusätzliche Angaben im Bereich der Z-Achse der XYZ-Anzeige (oder, falls verfügbar, im MP-Frontpaneel) eingeblendet. Mit Hilfe der Hexadezimaladresse und den Bit-Angaben ist der Kundendienstbetreuer von Giddings & Lewis in der Lage, die Ursache des Fehlers zu bestimmen. Speicherfehler werden im Format "AAAAA C" dargestellt, wobei "AAAAA" die Adresse und "C" das Bit darstellt.

  • Im Fall von MP-RAM stellt "C" die Bit-Stelle, an der der Fehler aufgetreten ist, dar. Bei MP-ROM-, DCC-RAM- und ROM-Fehlern bedeutet "C" das Byte, an dem der Fehler aufgetreten ist.

  • Beträgt die Fehlernummer 500-599, betreffen die Adress- und Bit-Angaben die MP-CPU-Platine.

  • Beträgt die Fehlernummer 600-699, betreffen die Adress- und Bit(oder Chip)-Angaben die CNC-Platine.

Tritt der Fehler MP-160 während des Einschaltens auf, überprüfen Sie die CNC-Platinen-LED, schalten Sie den Strom um und beobachten Sie die LED. Eine Reihe von Zeichen blinkt auf der LED-Anzeige während des Testvorgangs. Jedes Zeichen stellt den Test einer bestimmten Systemkomponente oder einer Kommunikation zwischen Komponenten dar. Wenn einer dieser Tests fehlschlägt, bleibt das entsprechende Zeichen für diesen Test auf der LED-Anzeige. Die CNC-LED-Sequenz ist:

A | Gemeinsame RAM-Speicherzellen werden getestet
B | CNC wird auf MP-Unterbrechung getestet
C | MP-Unterbrechungsvereinbarung wird getestet
D | MP wird auf CNC-Unterbrechung getestet
E | CNC-ROM und -RAM werden getestet
F | Alle Tests durchgeführt - es wird auf die erste MP-Unterbrechung gewartet

Wenn die CNC-Platine nach Einschalten des Systems fehlschlägt, tritt Fehler MP-060 oder MP-151 auf. Diese Fehler geben an, dass der MP nicht in der Lage ist, mit der CNC-Platine zu kommunizieren. Überprüfen Sie die CNC-Platinen-LED auf folgende Zahlen:

1 | 32 ms seit der letzten D/A-Aktualisierung
2 | 32 ms seit der letzten MP-Aktualisierung
3 | CNC-zu-MP-Unterbrechung seit 32 ms nicht quittiert.
8 | Systemablauf normal
9 | Wartet auf Anfangssynchronisierung des gemeinsamen MP-RAM

Auf der CNC-Platinen-LED bedeutet ein Dezimalpunkt vor der Fehlernummer, dass die CPU inaktiv ist. Ein Dezimalkomma nach der Fehlernummer bedeutet, dass die Hardware festgestellt hat, dass D/A seit 32 ms nicht aktualisiert wurde.

Im Falle eines MP-Einschaltfehlers (Fehlernummer 500-599) kann es passieren, dass der Computer keine Fehlermeldung erhält. Wenn Sie über ein MP-30/35-System mit einem Frontpaneel verfügen, dann wird der Fehler auch in der W-Achsen-Anzeige des MP-Frontpaneels eingeblendet. Auf einem SMP-System wird der Fehler in der diagnostischen LED-Anzeige eingeblendet.

Die folgende Tabelle enthält die verfügbaren MP-Fehlercodes:

MP-001 | MP-047 | MP-124 | MP-176 | MP-522 | MP-561
MP-002 | MP-048 | MP-127 | MP-177 | MP-523 | MP-562
MP-003 | MP-055 | MP-129 | MP-178 | MP-524 | MP-563
MP-004 | MP-059 | MP-130 | MP-179 | MP-525 | MP-564
MP-007 | MP-060 | MP-131 | MP-180 | MP-526 | MP-565
MP-008 | MP-064 | MP-142 | MP-181 | MP-527 | MP-566
MP-013 | MP-077 | MP-143 | MP-182 | MP-528 | MP-601
MP-015 | MP-078 | MP-146 | MP-183 | MP-529 | MP-619
MP-018 | MP-079 | MP-147 | MP-184 | MP-530 | MP-621
MP-019 | MP-080 | MP-148 | MP-186 | MP-531 | MP-650
MP-021 | MP-081 | MP-149 | MP-310 | MP-532 | MP-651
MP-022 | MP-082 | MP-151 | MP-320 | MP-533 | MP-697
MP-023 | MP-083 | MP-158 | MP-330 | MP-534 | MP-698
MP-024 | MP-090 | MP-159 | MP-340 | MP-535 |
MP-025 | MP-091 | MP-160 | MP-501 | MP-536 |
MP-026 | MP-092 | MP-161 | MP-502 | MP-537 |
MP-027 | MP-093 | MP-162 | MP-503 | MP-538 |
MP-028 | MP-094 | MP-163 | MP-504 | MP-539 |
MP-029 | MP-095 | MP-164 | MP-505 | MP-540 |
MP-030 | MP-105 | MP-165 | MP-506 | MP-541 |
MP-031 | MP-108 | MP-166 | MP-507 | MP-542 |
MP-032 | MP-109 | MP-167 | MP-508 | MP-543 |
MP-033 | MP-111 | MP-168 | MP-510 | MP-544 |
MP-034 | MP-117 | MP-169 | MP-511 | MP-545 |
MP-035 | MP-118 | MP-170 | MP-512 | MP-546 |
MP-036 | MP-119 | MP-171 | MP-515 | MP-547 |
MP-042 | MP-120 | MP-172 | MP-516 | MP-548 |
MP-043 | MP-121 | MP-173 | MP-517 | MP-550 |
MP-045 | MP-122 | MP-174 | MP-519 | MP-551 |
MP-046 | MP-123 | MP-175 | MP-521 | MP-560 |


Informationen zum CNC-Fehler

CNC-Fehler werden auf der CNC-Karten-LED angezeigt.

Tritt der Fehler MP-160 während des Einschaltens auf, überprüfen Sie die CNC-Karten-LED, schalten den Strom um und beobachten Sie die LED. Eine Reihe von Zeichen blinkt auf der LED-Anzeige während des Testvorgangs. Jedes Zeichen stellt den Test einer bestimmten Systemkomponente oder einer Kommunikation zwischen Komponenten dar. Wenn einer dieser Tests fehlschlägt, bleibt das entsprechende Zeichen für diesen Test auf der LED-Anzeige. Die CNC-LED-Sequenz ist:

A | Gemeinsame RAM-Speicherzellen werden getestet
B | CNC wird auf MP-Interrupt getestet
C | MP-Interrupt-Vereinbarung wird getestet
D | MP wird auf CNC-Interrupt getestet
E | CNC-ROM und -RAM werden getestet
F | Alle Tests durchgeführt - es wird auf den ersten MP-Interrupt gewartet

Wenn die CNC-Platine nach Einschalten des Systems fehlschlägt, tritt Fehler MP-060 oder MP-151 auf. Diese Fehler geben an, dass der MP nicht in der Lage ist, mit der CNC-Karte zu kommunizieren. Überprüfen Sie die CNC-Karten-LED auf folgende Zahlen:

1 | 32 ms seit der letzten D/A-Aktualisierung
2 | 32 ms seit der letzten MP-Aktualisierung
3 | CNC-zu-MP-Interrupt seit 32 ms nicht quittiert.
8 | Systemablauf normal
9 | Wartet auf Anfangssynchronisierung des gemeinsamen MP-RAM

Auf der CNC-Karten-LED bedeutet ein Dezimalpunkt vor der Fehlernummer, dass die CPU inaktiv ist. Ein Dezimalkomma nach der Fehlernummer bedeutet, dass die Hardware festgestellt hat, dass D/A seit 32 ms nicht aktualisiert wurde.

Die folgende Tabelle enthält die verfügbaren CNC-Fehlercodes:

CNC-001

CNC-002

CNC-003


Angaben zu RCU-Fehlern

Ein RCU-Fehler wird nur durch die ältere ferngesteuerte RCU-I-Einheit erzeugt. RCU-Fehler-Nummern erscheinen in der Bildlauf-Anzeige auf der RCU-I.

Eine RCU-Fehlernummer wird von einer dreistelligen Zahl gefolgt, die die Versionsnummer der drei EPROMs im RCU an den Stellen F8, F10 und R12 repräsentiert. Sie können die Versionsnummer durch Drücken auf die Taste DISPLAY (ANZEIGE) auf der RCU-I einblenden.

Die folgende Tabelle enthält die verfügbaren RCU-Fehlercodes:

RCU - 003

RCU - 700

RCU - 701

RCU - 702

RCU - 703

RCU - 704

RCU - 705

RCU - 706

RCU - 707

RCU - 708


Informationen zum Temperaturkompensations-Fehler

Ein "TempKomp"-Fehler wird von der Temperaturkompensation auf Systemen, die diese Option unterstützen, erzeugt. TempKomp-Fehler werden dem Prüfprotokoll angefügt und im Prompt-Monitor angezeigt.

Die folgende Tabelle enthält die verfügbaren TempKomp-Fehlercodes:

TempKomp-200

TempKomp-201

TempKomp-202

TempKomp-203

TempKomp-204

TempKomp-205

TempKomp-206


Ändern von Registrierungseinträgen

Über die Anwendung des Einstellungseditors von PC-DMIS haben Sie die Möglichkeit, Registrierungseinträge zur Steuerung mancherlei Einstellungen in PC-DMIS zu ändern.

Um den Einstellungseditor zu starten, müssen Sie zunächst PC-DMIS schließen. Öffnen Sie dann den Einstellungseditor über das Kontextmenü aus der Programmgruppe, in der PC-DMIS installiert wurde. Um auf die Hilfedatei zuzugreifen, die mit dem Einstellungseditor von PC-DMIS verknüpft ist, starten Sie entweder den Einstellungseditor und drücken Sie F1 oder wählen die Hilfedatei " PC-DMIS-Einstellungseditor " aus der Registerkarte Inhalt in dieser Hilfedatei.


Glossar

95 % Sicherheit

Sind eine Gauß'sche Fehlerverteilung (oder ein Gauß'scher Filter), eine angemessene Anzahl von Messpunkten und die daraus resultierende Standardabweichung gegeben, können Sie mit 95%iger Sicherheit davon ausgehen, dass das tatsächliche Merkmal geringer als der Messwert sein wird.

AB-Positionen

Siehe AB-Winkel.

AB-Winkel

Die Position der A- und B-Achsen gibt die Winkel vor, die ein Taster während der Kalibrierung der Tastspitze verwendet. Sie werden auch als AB-Positionen bezeichnet. A ist der Winkel der senkrecht stehenden DSE. A = 0°, wenn die Tastspitze genau nach unten zeigt und vertikal zu dem Taster steht. B ist der Rotationswinkel. B = 0° ändert sich jeweils nach KMG-Typ und -Marke sowie nach Art des Tastkopfs.

ABGESETZTE Tastspitze

Tastspitze, die kegelförmig zuläuft und am Ende schmaler wird.

Abhängige Kurve

Eine abhängige Kurve ist von der Elementgruppe, aus der sie erstellt wurde, abhängig. Dies bedeutet, dass sich die erstellte Kurve bei einer späteren Änderung der Elementgruppe ebenfalls ändern kann.

Abhängige Kurven

Siehe "Abhängige Kurve".

Abhängige Oberfläche

Eine abhängige Oberfläche ist von der Elementgruppe, aus der sie erstellt wurde, abhängig. Dies bedeutet, dass sich die erstellte Oberfläche bei einer späteren Änderung der Elementgruppe ebenfalls ändern kann.

Abhängige Oberflächen

Siehe "Abhängige Oberfläche".

Ablaufsteuerung

Dieser Begriff bezieht sich auf Optionen in der Software, mit denen Sie die Ablaufrichtung des Werkstückprogramms steuern können.

Abstand

Ein benutzerdefinierter Wert, der den Versatzabstand zwischen der Kante eines Elements und einem Stützpunkt angibt.

Achse

Eine Achse ist eine der Bezugslinien in einem Koordinatensystem. Die verschiedenen Achsen lauten XPLUS, XMINUS, YPLUS, YMINUS, ZPLUS und ZMINUS. Eine Achse ist auch als die entlang der Länge eines Zylinders, Kegels, Langlochs oder einer Ellipse abgeleitete Mittellinie definierbar.

Achsen

Plural von Achse. Siehe Achse.

Achsenzähler

Hierbei handelt es sich um an das KMG angeschlossene Hardware, nämlich Digitallesegeräte, die zur Anzeige der X-, Y- und Z-Positionen der KMG-Achsen dienen.

Aktuelle Tastspitze

Der Begriff "aktuelle Tastspitze" bezieht sich auf den Teil des Tastsystems (auch Taster genannt), der gegenwärtig geladen ist. Es können mehrere Tastspitzen gleichzeitig aktiv sein, wobei diese dann in der "Liste aktueller Tastspitzen" aufgeführt sind.

Aktueller Taster

Dieser Begriff bezieht sich auf den Taster, der zur Kalibrierung der aktuellen Tasterspitze verwendet wird. Siehe auch Kalibriernormal.

Analoges Tastsystem

Diese Art von Taster ist ein elektronisches Gerät, mit dem die Oberfläche eines Werkstücks fortlaufend gescannt werden kann, ohne dabei die Oberfläche des Werkstücks zur Aufzeichnung der Messdaten verlassen zu müssen. Werden damit keine Scans durchgeführt, funktioniert das Tastsystem ähnlich wie ein schaltendes Tastsystem (ST).

Anfahrpunkt

Eine festgelegte XYZ-Position, von der bei bestimmten Spannsystem- und Tasterwechsler-Vorgängen Gebrauch gemacht wird.

Anfahrweg

Diese Zahl bestimmt, in welchem Abstand ein Taster seine Geschwindigkeit bei Annäherung an ein Werkstück zur Messpunktaufnahme reduziert.

Anfangs

Abkürzung für "Anfangsmesspunkt". Siehe "Anfangs-Stützpunkte".

Anfangspunkt

Der Anfangspunkt eines Scans entspricht dem Startpunkt der Scanausführung.

Anfangs-Stützpunkte

Die ersten Stützpunkte werden beim Lernen eines bestimmten Elements aufgenommen. Stützpunkte dienen zur Bestimmung des Oberflächenvektors, in den das gemessene Element projiziert wird.

Anfangsvektor

Siehe "Anfangsvektor".

Anfangswinkel

Anfangswinkel.

Ansichts-ID

Ansichts-ID ist ein benutzerdefinierter Name für eine vom Benutzer gespeicherte Ansicht.

Anzahl Messpunkte

Siehe "Anz. Messpkte".

Anzahl Reihen

Siehe "Anz. Reihen"

Arbeitsebene

Die Arbeitsebene wird durch aktuelle Ebenen und Durchgangsebenen definiert. In PC-DMIS können Sie eine bestimmte Ebene angeben, in die ein Element bei seiner Messung projiziert werden soll. Der Begriff "Arbeits…" bedeutet hier das gleiche wie "aktuell" oder "aktiv".

Argumente

Hierbei handelt es sich um die in einem Unterprogramm oder einer Gleichung, wie z. B. einer IF THEN-Anweisung, verwendeten Bedingungen. Wenn (IF) ein bestimmtes Argument (oder eine bestimmte Bedingung) erfüllt ist, dann (THEN) hat dies ein bestimmtes Ergebnis zufolge.

Ausreißer

Ausreißer sind "wilde Punkte", die in der Regel eher die Folge von Störungen im Messprozess sind, als tatsächlich physisch vertreten zu sein. Es könnte für Sie hilfreich sein, diese Punkte zu erkennen und zu ignorieren.

Ausrichten

"Ausrichten" bedeutet das Justieren (bzw. Drehen) des Werkstücks im Grafikfenster, bis dieses an einer Bildschirmkante ausgerichtet und dazu parallel ist.

Ausrichtungsblock

Dies ist ein Teil des Werkstückprogrammcodes im Bearbeitungsfenster. Er beginnt mit der Befehlszeile "Sprungmarke = AUSRICHTUNG/ANFANG,…" und setzt sich bis zur Befehlszeile "AUSRICHTUNG/ENDE" fort.

Ausrichtungsdrehfunktion

Mit der Schaltfläche Drehen (im Dialogfeld Ausrichtung) können Sie das Werkstück um eine bestimmte Achse drehen. Diese Funktion dient zur Erstellung von Ausrichtungen.

Ausrichtungsversatz

Hierbei handelt es sich um den Abstand des Werkstücks von der X-, Y- und Z-Position (0, 0, 0).

Ausdruck

Ein Ausdruck ist eine benutzerdefinierte Bedingung, die in Verbindung mit PC-DMIS-Befehlen zur Ablaufsteuerung verwendet wird. Sie können jeweils festlegen, welche Aktion in PC-DMIS stattfinden soll, wenn die Bedingung zutrifft bzw. nicht zutrifft.

Ausdrücke

Siehe "Ausdruck"

Ausstoßen

Bei Bewegen eines Tasters von einer Position an eine andere wird ein geometrisches Volumen erstellt. Mit dem Begriff "Ausstoßen" wird der Volumenraum definiert, in dem sich der Taster jeweils beim Bewegen von einem Punkt zum Nächsten befindet. Das Volumen wird dann auf eine etwaige Kollision mit dem Werkstück oder Tisch überprüft.

Ausstülpung

Eine "Ausstülpung" ist normalerweise ein nach außen stehender Kegel oder Zylinder, der oben abgeflacht ist und in den ein Schraubengewinde eingesetzt werden könnte. Er wird auch kurz als "Ansatzbolzen" bezeichnet.

BASIC-Skript

Ein BASIC-Skript besteht aus einer Reihe von BASIC-Befehlen, die in der Programmiersprache BASIC geschrieben wurden.

Baud

Dies ist die Rate, mit der Daten von einem Computer übertragen oder empfangen werden können. Als Einheit wird in der Regel Bits pro Sekunde (bps) verwendet.

Begrenzen

Siehe "Begrenzer".

Begrenzer

"Begrenzer" oder "Begrenzungszeichen" dienen zum Begrenzen von Informationssegmenten. Ein Begrenzer ist folglich ein Symbol, das bestimmte Informationssegmente voneinander trennt. In der geschriebenen Sprache gelten beispielsweise der Punkt, das Fragezeichen und das Ausrufezeichen als Begrenzungszeichen (oder Trennzeichen) für Sätze.

Bei Fehler

"Bei Fehler" ist eine bei manchen KMG-Steuereinheiten verfügbare Funktion, die bewirkt, dass das PC-DMIS-Werkstückprogramm in einen separaten auszuführenden Anweisungssatz abzweigt, wenn es zu einer unerwarteten Berührung bzw. Nichtberührung mit dem elektronischen Taster kommt. Sie können diese Funktion über das Hauptmenü aufrufen, indem Sie die Menüoption "Bei Fehler" auswählen.

Berechne Grenzen

Verkürzter Begriff für "Bereichsgrenzpunkte berechnen". Dient bei Umfang-Scans dazu, die Scanbahn während des Scanvorgangs zu begrenzen.

Besteinpassung

Hierbei handelt es sich um einen mathematischen Vorgang, der Element- oder Ausrichtungsparameter durch Minimieren bestimmter Fehlerbedingungen zwischen gemessenen und theoretischen Punkten für Elemente berechnet.

Besterkennung-Algorithmen

Dies sind mathematische Berechnungen, auf deren Grundlage PC-DMIS ermittelt, welcher Elementtyp aufgrund der Anzahl der aufgenommenen Messpunkte gerade gemessen wird. Anhand der Ergebnisse dieser Berechnungen führt PC-DMIS eine bestmögliche Schätzung zur Bestimmung des Elementtyps durch. Falsche Schätzungen können mit dem Befehl (Elementtyp) Ändern in der Menüleiste überschrieben werden.

Betriebsmodus

Die vier Betriebsmodi lauten Übertragungsmodus, 2D-Rotationsmodus, 3D-Rotationsmodus und Programmiermodus. Diese vier Optionen stehen als einzelne Symbole in der Symbolleiste von PC-DMIS zur Verfügung.

Beugungsradius

Dies ist im Grunde eine Blechmessung der Außenseite des Zylinders (Stiftmessung). Gemessen werden die Mittelpunktlage und Größe.

Bezugsmerkmal

Ein Bezugsmerkmal ist ein "imaginäres" und "perfektes" benutzerdefiniertes Element. Es dient als Bezugspunkt, von dem aus andere Elemente eines Werkstücks gemessen werden.

Bezugssystem

Ein Bezugssystem ist eine Ausrichtung, die aus dem aktuellen Satz von Bezugselementen erstellt wird. Es wird durch die Reihenfolge der A-, B-, C- etc. Bezüge definiert.

Blechkörper

Im Unigraphics-Modelliermodul ist dies die Bezeichnung für Oberflächen.

Blechstärke

Siehe Materialstärke.

Blechtasterstift

Ein Blechtasterstift dient zur Messung sehr dünner Werkstücke. Das Ende des Blechtasterstifts ist mit einer Halbkugel und einem kurzen Schaftteil ausgestattet, das koaxial und konzentrisch zum Kugelmittelpunkt verläuft.

Blockbearbeitung

Dieser Begriff bezieht sich auf das Verschieben eines Textblocks aus einem Bereich des Bearbeitungsfensters in einen Anderen.

Bund & Spalt

SPALT = Abstand (auf derselben Ebene) zwischen zwei gepaarten Blechwerkstücken. BUND = Höhenunterschied zwischen zwei gepaarten Blechwerkstücken. In der Draufsicht auf ein Auto ist z. B. der Abstand zwischen der Stoßstange und Motorhaube der SPALT (Abstand zwischen zwei Werkstücken auf einer Ebene). In der Seitenansicht des Autos ist die Bündigkeit von Stoßstange und Kofferraum der Höhenunterschied.

CAD-Datei

Eine CAD-Datei ist eine grafische Bilddatei, die durch computergestütztes Zeichnen erstellt wird und Daten über ein oder mehrere Werkstücke sowie über deren Elementabmessungen, -ausrichtungen und -größen enthält. Diese Dateien werden in der Regel in einem der folgenden Formate gespeichert: IGES, DFX, DES, STEP und XZYIJK.

CAD-Koordinaten

Die in X-, Y- und Z-Werten ausgedrückte Position eines Elements in einer CAD-Datei.

CD

Kollisionserkennung.

Charakteristischer Punkt

Dies ist eine vom NC-100-Videotaster durchgeführte Messung, bei der es sich im Grunde um eine Winkelpunktmessung handelt. Es gibt zwei Arten von Messungen. 1) Misst einen Punkt an der Schnittstelle zweier Flächen (dieser Messtyp ist am ehesten ein Winkelpunkt). 2) Misst zwei Punkte, einen auf jeder Fläche an einer vorgegebenen Entfernung zur Schnittstelle.

CNC

Computer Numerical Control (Computergestützte numerische Steuerung).

CNC-Modus

Im CNC-Modus wird das Koordinatenmessgerät direkt mit dem Computer gesteuert. Wenn dieser Modus aktiviert ist, übernimmt der Computer die Kontrolle über viele KMG-Funktionen.

DataPage

"DataPage" ist eine Statistikbearbeitungssoftware, die sich nahtlos mit PC-DMIS verknüpfen lässt.

DATEI I/O

Diese Menüoption steht für Datei-Eingabe/-Ausgabe (Input /Output). Es können Daten in diese Dateien eingegeben (geschrieben) oder aus diesen Dateien ausgegeben (gelesen) werden.

DD

Durchmesser des Bezugselements.

Delta

Dient zur Angabe einer Option, bei der Änderungen oder ein gewisses Maß an Änderungen erwartet wird.

Delta-Mindestwert für DSE-Drehung

Diese Option befindet sich auf der Registerkarte "Werkstück/KMG" im Dialogfeld Setup-Optionen. Wenn ein im CAD für die Messung markiertes Element keinen Vektor besitzt, der mit dem aktiven Tasterwinkel im Delta-Mindestwert für eine DSE-Drehung übereinstimmt, wird eine Warnmeldung ausgegeben.

DES

In Verbindung mit dem Importieren von Dateien steht DES für "Data Exchange Standard" (Datenaustauschstandard). In Verbindung mit Statistikdatenbanken steht DES für "Data Evaluation System" (Datenauswertungssystem).

DF

Durchmesser des Elements.

DIMS

Akronym für das Dateiformat "Dimensional Inspection Measurement System". Hierbei handelt es sich um das Format der Werkstückprogrammdateien von PC-DMIS.

Drahtkörper

Im Unigraphics-Modelliermodul ist dies die Bezeichnung für Drahtmodellelemente (Draht, Linien, Kurven usw.).

DREHEN - 2 +

Dies bedeutet, dass zur Durchführung des Befehls "Drehen" bei einer iterativen Ausrichtung zwei oder mehr Elemente erforderlich sind.

DRO

Akronym für Digital Read Out - Digitale Ergebnisanzeige.

DSE-Kalibr.

Abkürzung für "Dreh-/Schwenkkopf kalibrieren". Dient zur Berechnung des Tastkopfversatzes bei jeder verwendeten DSE-Position.

DSE-Matrix

Siehe auch "Fehlermatrix" und "Volumenkompensation".

Durchmesser

Die maximale Sehnenlänge eines Kreises, Zylinders oder einer Kugel. In PC-DMIS wird die Sehnenlänge, falls nicht anders angegeben, auf ein Besteinpassungs-Element angewendet. Stellen Sie sich ein rundes Element vor, durch dessen Mitte eine Gerade verläuft. Die Länge dieses Segments wird als Durchmesser bezeichnet. Manchmal wird sie auch als Stärke oder Breite des Elements bezeichnet.

Durchstoßpunkt

Hierbei handelt es sich um einen Schnittpunkt auf der CAD-Oberfläche, der anhand der Messpunktkoordinaten und des Antastvektors gefunden wurde. Er ist mit einem Strahl gleichzusetzen, der den Antastvektor verwendet, von der XYZ-Position des Messpunkts aus startet und dann die Oberfläche unter Zugrundelegung des Antastvektors am entsprechenden Punkt durchstößt.

DXF

Drawing Interchange Format (auch Drawing Exchange Format) = Spezielles Dateiformat zum Austausch von CAD-Daten.

Ebenenvektor

Siehe "Grenzebenenvektor".

Einrastbar

Die Einrastbarkeit der Taster-DSE in bestimmten vordefinierten Winkeln. Diese Positionen sind bei verstellbaren Tasterköpfen mechanisch in regelmäßigen Inkrementen festgelegt. Sie sind von 15° bis auf weniger als 0,1° regulierbar. Wenn eine DSE als "verstellbar" bezeichnet wird, bedeutet dies, dass er im Rahmen der für diese DSE verfügbaren Inkremente auf verschiedene Positionen bewegt werden kann.

Einzug

Der Wert, um den von der Kante des Elements (zur Position des Punkts) eingerückt wird.

Element

Element ist einfach eine Bezeichnung für ein Element.

Elementbreite

Die Messung eines Elements von einer Seite zur anderen. Der gemessene Wert entlang des kürzesten Merkmals eines Elements.

Elemente

Siehe "Element".

Elementerkennung

Bei Verwendung eines starren Tasters kann PC-DMIS nicht feststellen, welcher Elementtyp gemessen wird. Im Modus "Elementerkennung" können Sie angeben, ob das Element flach oder rund ist, und damit die Möglichkeit einer falschen Schätzung verringern.

Elementerkennung Flach

Bei Verwendung eines starren Tasters wird mit diesem Betriebsmodus festgelegt, in welcher Reihenfolge die Software einen gemessenen Elementtyp vorrangig erkennen soll. Der Modus Elementerkennung Flach wird versuchen, vor einem Kreis, Zylinder, Kegel oder einer Kugel eine Ebene zu erkennen. Siehe auch "Elementerkennung Rund" und "Elementerkennung".

Elementerkennung Rund

Bei Verwendung eines starren Tasters wird mit diesem Betriebsmodus festgelegt, in welcher Reihenfolge die Software einen gemessenen Elementtyp vorrangig erkennen soll. Der Modus "Elementerkennung Rund" wird versuchen, vor einer Ebene einen Kreis, Zylinder, Kegel oder eine Kugel zu erraten. Siehe auch "Elementerkennung".

Elementgruppe

Eine Elementgruppe ist eine Sammlung zuvor gemessener oder erstellter Elemente, die zu einem erstellten Element verbunden werden. Die Elemente, aus denen die Elementgruppe gebildet wird, müssen nicht unbedingt dem gleichen Elementtyp angehören.

Elementhöhe

Abstand von der Basis zum oberen Rand (der Mitte) des Elements.

Elementlänge

Der Messwert entlang des größten Merkmals.

Elementzeiger

Ein Elementzeiger ist ein Variablentyp, der direkt mit einem bestehenden Element funktioniert und somit direkten Zugriff auf dieses Element ermöglicht. Die Anweisung ZUWEISEN/V1 = {KREIS1} erstellt beispielsweise einen Elementzeiger zum Element KREIS1 und weist ihn der Variablen V1 zu. V1 kann dann für den Zugriff auf KREIS1 verwendet werden. KREIS1.X wiederum greift auf die gemessene x-Komponente des Flächenmittelpunkts von KREIS1 zu.

Elementzeiger

Siehe "Elementzeiger".

ELM1

Diese Abkürzung steht für "Element 1".

ELM2

Diese Abkürzung steht für "Element 2".

ELOGO.DAT

Diese Datendatei dient zur Formatierung der Fußzeile des Bearbeitungsprotokolls. Sie wird nur auf der allerletzten Seite des Bearbeitungsprotokolls verwendet.

Endpunkt

Hierbei handelt es sich um den Endpunkt eines Scans. Bei Erreichen dieses Punkts wird der Scanvorgang angehalten.

Endpunktvektor

Kompensationsvektor für den letzten Punkt eines Scans.

Endstück

Ein Artefakt, der gegen das Werkstück gehalten wird, um es in mindestens einer Achse zu fixieren. Gewöhnlich handelt es sich um eine Kugel mit einem definierten Durchmesser. Man verwendet Kugeln, da sie das Werkstück nur an einer Stelle berühren. Andere Arten von Endstücken sind beispielsweise Stifte (für Gegenbohrungen), Zylinder zum Auffinden von Kanten sowie Sonderteile, die dem zu fixierenden Werkstück angepasst sind.

Endvektor

Siehe "Endpunktvektor" (Endvektor).

Erstpunktvektor

Kompensationsvektor für den Anfangspunkt eines Scans.

Exportieren

Umwandlung der in einem PC-DMIS-Werkstückprogramm enthaltenen Zeichendaten in eine standardmäßige CAD-Ausgabedatei, wie z. B. IGES.

Extrempunkt-Element

Ein Extrempunkt-Element ist der Elementtyp, der bei Verwendung der Option "Extrempunkt" unter "Auto Elemente" erstellt wird. (Wählen Sie im Hauptmenü das Dialogfeld "Auto Elemente", und öffnen Sie die Registerkarte "Extrempunkt".) Beim Extrempunkt handelt es sich um den Punkt entlang eines festgelegten Vektors durch eine Oberfläche, der den größten Abstand entlang des Vektors in Bezug auf den Flächenmittelpunkt der Oberfläche aufweist.

Faro-Arm

Dieser Begriff bezieht sich auf das von Faro Technologies, Inc. hergestellte Gelenkarm-KMG.

Fehlermatrix

Alle KMGs weisen gewisse konstruktionsbedingte Ungenauigkeiten auf. Nach der Konstruktion dokumentieren die meisten KMG-Hersteller diese Ungenauigkeiten anhand einer mit Laser durchgeführten Geräteverifizierung. Diese Fehler werden dann in einer Computerdatei (comp.dat) elektronisch gespeichert, auf die PC-DMIS jederzeit zugreifen kann, um die Genauigkeit des KMGs zu optimieren. Die Computerdatei ist im Prinzip eine Fehlermatrix des KMGs. Siehe Volumenkompensation (VolKomp).

Festdelta

Option für das manuelle Scannen mit einem starren Taster; Datenpunkte werden hierbei nur in bestimmten oder "festen" Inkrementen erfasst.

Festtaster

Synonym für einen starren Taster. Ein Tastsystem, das keinen schaltenden Taster verwendet.

Flache Elemente

Flache Elemente werden als Punkte, Ebenen und Geraden definiert. Siehe "Flacher Elementtyp".

Flacher Elementtyp

Der Elementtyp "Flach" umfasst planare Elemente. Siehe "Flache Elemente".

Flächenmittelpunkt

Der genau in der Mitte eines Elements gelegene Punkt.

Fly-Modus

Diese Option bezieht sich darauf, wie PC-DMIS den Taster während des Messverfahrens hin- und herbewegt. Zur Verwendung dieses Modus' muss das KMG mit einer CNC-Steuereinheit ausgestattet sein, die den FLY-Modus unterstützt.

Form- & Lagetoleranz

Akronym für "Geometric Dimensioning and Tolerancing" (Geometrische Bemaßung und Toleranzfestlegung). Hierbei handelt es sich um eine standardisierte, internationale Sprache, die eine bekannte Symbolik zur Übermittlung von Design-Spezifikationen eines Werkstücks verwendet.

FOV

Abkzg. für "Field of Vision" - Sichtfeldmitte Bezieht sich auf den Bereich, der durch das Kameraauge sichtbar ist, ein integraler Bestandteil der Optiksensoren.

Fragezeichen- (?) Metazeichen

Das Fragezeichen (?) Metazeichen verhält sich genauso wie das Sternchen (*). Der einzige Unterschied besteht darin, dass das Fragezeichen-Metazeichen nur für ein einzelnes alphanumerisches Zeichen steht.

Funktionsgruppe für DREHEN

Der zur Durchführung des Befehls "Drehen" bei einer iterativen Ausrichtung erforderliche Satz an Funktionen. Siehe DREHEN - 2 +.

Gauß'scher Filter

Siehe "95 % Sicherheit".

Geometrien

Unter Geometrien versteht man Elemente oder geometrische Formen wie Geraden, Kreise usw.

Geradenabstand

Länge eines Geradensegments zwischen zwei Elementen.

Gewichtung

Ein aus einer Toleranz berechneter Wert zur Verwendung bei der Berechnung der Besteinpassung. Je kleiner die Toleranz, desto geringer das Fehlerpotential. Eine kleinere Toleranz "wiegt" somit bei der Berechnung der Besteinpassung "schwerer" bzw. hat eine größere Bedeutung.

Gewichtungen

Siehe "Gewichtung".

Gewinde

Der Teil der Tastspitze, der in ein anderes Werkstück geschraubt ist, wird mit der Gewindegröße angegeben. Das Gewinde ist der korkenzieherartig gewundene Ring, der die beiden Teile zusammenhält.

Gleitender Durchschnitt

Dies ist der Durchschnittswert eines Satzes von Datenpunkten, der sich mit der Zeit (gleitend) verschiebt. Im folgenden Beispiel wird von der Untergruppengröße 3 (die Anzahl der zur Berechnung eines gleitenden Durchschnitts verwendeten Datenpunkte) und dem folgenden Datensatz ausgegangen: [1,2,3,4,3,4,5,4,3,2,3] Der erste gleitende Durchschnitt wird aus den ersten drei Punkten berechnet: [1,2,3]. Der Wert ergibt 2. Der zweite gleitende Durchschnitt wird berechnet, indem innerhalb der Daten ein Schritt nach rechts weitergerückt wird. Hieraus ergeben sich folgende Daten: [2,3,4]. Der Wert ergibt 3. Die nächsten 3 Punkte sind: [3,4,3]. Deren Durchschnitt ist 3,33. Die nächsten 3 Punkte sind: [4,3,4]. So wird bis zum Ende der Daten verfahren.

Greifer

Dieses Gerät, das zusammen mit einem flexiblen Spannsystem eingesetzt wird, befindet sich am Ende des Pinoles. Es "greift" (oder hält) Säulen, entnimmt sie aus ihrem Magazin und legt sie auf dem Arbeitstisch ab oder nimmt sie dort auf und legt sie wieder zurück in ihr Magazin. Der Greifer verwendet Luftdüsen (ähnlich wie beim Air Hockey), um die Säule vom Arbeitstisch zu heben.

Grenzebene

Die Grenzebene wird senkrecht zum Grenzebenenvektor und mit denselben XYZ-Koordinaten wie der Anfangspunkt des Scans erstellt. Die Grenzebene dient oft zur Bestimmung des Zeitpunkts, zu dem ein Scan angehalten werden soll, indem angegeben wird, wie oft der Scan die Grenzebene überqueren darf.

Grenzebenenvektor

Der Grenzebenenvektor wird anfangs durch die Richtung vom Anfangspunkt zum Richtungspunkt eines Scans bestimmt.

Grenzpunkte

Hierbei handelt es sich um Stützpunkte zur Festlegung der Grenzen des Bereichs, der sich innerhalb einer gescannten Linie oder Oberfläche befinden soll.

Grenzüberschreitungen

Der numerische Wert (im Feld Anzahl der Grenzüberschreitungen) teilt PC-DMIS mit, wie oft die Kugelmitte des Tasters die Oberfläche der gegebenen Bedingung (planar, rund, zylindrisch) überqueren darf, bevor ein bestimmter Scan angehalten wird. Sobald die Kugelmitte die Oberfläche der Bedingung zum n-ten Mal überquert (wobei n = die angegebene Zahl), wird der Scan angehalten.

Hauptarmbetrieb

In diesem Modus erhält ein vom Benutzer als "Master" angegebener Arm bei einem Doppelarm-KMG den Vorrang vor einem anderen Arm, der als "Slave" bezeichnet wird. Damit werden Kollisionen der Arme vermieden. Wird auch als Master/Slave-Modus bezeichnet.

HEADER.DAT

Diese Datendatei enthält Formatierungsinformationen zu den Kopfzeilen des Bearbeitungsprotokolls. Hierzu gehören alle Seiten nach der ersten Seite.

ID

Identifikation oder Kennung. Auch als Etikett oder Elementname bezeichnet.

IGES

Akronym für das internationale Format "International Graphics Exchange Specification" zum Austausch von Grafikdateien.

Importieren

Das Verfahren, mit dem eine CAD-Datei aus einer Datenbank abgerufen und im PC-DMIS-Werkstückprogramm verarbeitet wird.

Indirektverweise

Der Wert der Variablen, auf die anhand der gegebenen Variablen verwiesen wird.

IO-Kanäle

Ein mit einer Nummer versehenes Gerät in der Steuereinheit, dessen Status auf "1" oder "0" gesetzt werden kann. An jeden Kanal können kompatible Geräte angeschlossen werden. So kommt es z.B. oft vor, dass ein Kanal an eine Luftzufuhr für ein externes Gerät angeschlossen wird. Wird der Kanal auf "1" gesetzt, ist die Luftzufuhr eingeschaltet; wird er auf "0" gesetzt, ist sie ausgeschaltet.

Istpunkt

Von den zahlreichen Messungen, die während des Tastzyklus von der Steuereinheit aufgenommen werden, ist der Istpunkt der Wert, der von der Steuereinheit zurückgegeben wird.

Iterative Ausrichtung

Bei dieser Ausrichtung wird eine Anzahl von Punkten zur Näherung an den Idealwert (oder Nennwert) verwendet. Ein mathematisches Berechnungsverfahren versucht wiederholt, anhand dieser Punkte eine Anpassung bzw. Näherung der Ausrichtung an den Nennwert vorzunehmen. Es führt anhand der Punkte gewissermaßen eine "Besteinpassungs-Berechnung" durch.

Kästchenauswahl

"Kästchenauswahl" ist eine Funktion innerhalb des Grafikfensterbereichs, mit der Sie anhand der Maus ein Kästchen um eine Gruppe von Elementen zeichnen und diese Elemente in einem Element-ID-Listenfeld hervorheben können.

Kästchentoleranzauswahl

Eine Variante der Kästchenauswahl. Die Kästchentoleranzauswahl kann bei geöffnetem Merkmalsdialogfeld und durch Kästchenauswahl einer Gruppe gemessener Elemente erfolgen. Über die Toleranzoptionen im Merkmalsdialogfeld können dann dieselben Toleranzen auf alle markierten Elemente angewendet werden.

Kalibriernormale

Siehe "Kalibriernormal".

Kalibrieren

Unter "Kalibrieren" versteht man auch das Einmessen oder Bestimmen der Position (einer Tastspitze zum Beispiel).

Kalibriertaster

Bei einem Kalibriertaster handelt es sich um ein kalibriertes Objekt, das zur Kalibrierung einer Tastspitze dient. Es handelt sich dabei in der Regel um eine Präzisionskalibrierkugel. Wird auch als "Kalibriernormal" bezeichnet.

Kalibrierung

Dieser Vorgang teilt PC-DMIS einfach die Position und den Durchmesser der Tastspitze mit. Dieser Vorgang wird auch als "Einmessung" bezeichnet.

Karosserie-Ausrichtung

Die meisten Karosserie- (und Flugzeug-) Ausrichtungen verfügen über ein Koordinatensystem, dass irgendwo im Raum liegt. Im Falle eines Autos befindet es sich gewöhnlicherweise im unteren Zentrum unterhalb des Armaturenbretts. An diesem Punkt beginnt die Merkmalserstellung von Elementen.

KART

Kartesisch. Wird verwendet, wenn das Koordinatensystem, auf das verwiesen wird, in kartesischer Form (XY oder XYZ) ausgedrückt werden soll.

Kerbe

Elementtyp, der mit der Hälfte eines Rechtecklochs vergleichbar ist.

KMG

Koordinatenmessgerät.

Kollisionstoleranz

Gibt einen messbaren Wert von der Oberfläche der CAD-Daten an. Dieser Wert soll Sie auf etwaige Kollisionen zwischen dem Taster und dem Werkstück aufmerksam machen.

Kommunikation

Kommunikationsanschluss.

Kontinuierliches Kontaktscannen

Dieses Scanverfahren kann nur bei Verwendung eines analogen Tastsystems, eines starren Tasters oder bestimmter Lasertaster und optischer Tastsysteme durchgeführt werden. Bei dieser Art von Scan wird die Tastspitze mit der Oberfläche eines Werkstücks in Berührung gebracht und linear bewegt, ohne dabei die Oberfläche des Werkstücks zu verlassen, bis entweder der gesamte oder ein Teil des Scans abgeschlossen ist.

Koordinatensystem

Ein Koordinatensystem besteht aus einem Nullpunkt und X-,Y- und Z-Achsen.

Koplanar

"Koplanar" oder "Planparallel" bedeutet, dass sich die Elemente in der gleichen Ebene befinden.

Kinematischer Adapter

Der Begriff "kinematische Fixierung" bezieht sich in der Regel auf einen Satz aus 3 Präzisionskalibrierkugeln, Aufnahmevorrichtungen für die Kugeln und einer Fixierungsvorrichtung, die dazu dienen, einen äußerst wiederholbaren Anschlusspunkt für Taster oder Tastköpfe zu bieten. Kinematische Adapter finden sich häufig auf Geräten, die den Einsatz automatischer Tasterwechsler vorsehen und machen eine erneute Kalibrierungen überflüssig.

Knoten

Ein Knoten ist ein Teil der mathematischen Definition eines Splines. Knoten sind mit den Passpunkten eines Splines verknüpft und dienen zur Definition der Spline-Form.

Knoten (Pl.)

Siehe "Knoten".

Kreisbeweg.

Kreisbewegung.

Kugeltastspitze

Tastspitze in der Form einer kleinen Kugel.

Leistungsschwellenwert

Dies ist die Zahl, anhand der die Prozessleistung bestimmt wird. Bei der Prozessleistung und dem Leistungsschwellenwert handelt es sich um zwei verschiedene Werte. Prozessleistung: Dies ist eine Zahl, die aus den Messdaten und den Toleranzwerten (USL und LSL = oberes und unteres Spezifikationslimit) berechnet wird. Sie gibt Aufschluss darüber, wie gut sich ein Prozess im Hinblick auf die angegebenen Toleranzwerte zur Werkstückerstellung eignet. Leistung als Gleichung ausgedrückt: Sie ist der Mindestwert zwischen: (USL-XQuerbalkenQuerbalken)/(3*Sigma) und: (XQuerbalkenQuerbalken - LSL)/(3*Sigma). Wobei "XQuerbalkenQuerbalken" das Mittel der Untergruppen-Mittel hinsichtlich der Daten bedeutet. Um den Prozess als "leistungsfähig" einzustufen, muss die berechnete Leistungsfähigkeit (oben angegebene Gleichung) größer als der vom Benutzer eingegebene Leistungsschwellenwert sein. Andernfalls wird ein Prozess als "nicht leistungsfähig" eingestuft.

Lernen

Dieser Begriff bezeichnet häufig den Vorgang bei der Erstellung von Anweisungen, die im Bearbeitungsfenster von PC-DMIS angezeigt werden. Dieses "Lernen" kann entweder durch Eingabe tatsächlicher Einträge, durch Auswahl von Menübefehlen oder durch Berühren von Messpunkten auf einem physischen Werkstück mit dem KMG und anschließendes Drücken der Taste FERTIG am Bedienelement oder der ENDE-Taste auf der Tastatur erfolgen.

Lernmodus

Dieser Begriff beschreibt den PC-DMIS-Status beim Erstellen bzw. Anhängen von Werkstückprogramm-Anweisungen im Bearbeitungsfenster.

Literale

Operanden, deren Symbole ihren Wert in Form von Literalen beschreiben. "3" ist ein Literal vom Typ "Ganzzahl". "3" steht nur für die Zahl Drei. Es bedeutet nie "4" oder "2". Eine Variable, wie z. B. "V1", gibt ihren Wert nicht mit einem Literal an, sondern ist eher eine Sprungmarke oder ein Platzhalter für einen Wert. "V1" kann stellvertretend für den Wert "2", "3", "4" oder eine beliebige andere Zahl des Objekttyps stehen. Literale besitzen oft ganz spezifische Funktionen und Bedeutungen und können manchmal anstelle von Argumenten verwendet werden. Siehe auch "Zeichenfolgenliterale".

LK-Systeme

Bei LK-Systemen handelt es sich im Gegensatz zu SHARPE-Modellen um von LK hergestellte KMGs oder KMG-Steuereinheiten.

LMC

Akronym für "Least Material Condition" (Geringster Materialwert).

Logo.dat

Diese Datendatei enthält Informationen zur Formatierung der Dokumentkopfzeile für die erste Seite des Bearbeitungsprotokolls. Sie kann auch Informationen wie Datum, Uhrzeit usw. enthalten.

Manueller Antastpunkt

Dies bedeutet, dass der Bediener das Gerät manuell bewegt, wenn der Messpunkt aufgenommen wird, und das Gerät nicht automatisch im CNC-Modus bewegt wird.

Markierungsgruppe

Markiert eine Gruppe von Elementen, die beim Ausführen des Werkstückprogramms gemessen wird.

Maschinenkoordinaten

Die in X-, Y- und Z-Werten ausgedrückte Position eines Elements oder Objekts innerhalb des Messvolumens eines KMGs in Bezug auf den Maschinennullpunkt.

Maschinenleistung

Dies entspricht im Prinzip der Prozessleistung (siehe Leistungsschwellenwert), mit dem Unterschied, dass die Standardabweichung auf andere Art berechnet wird. In diesem Fall wird die Standardabweichung auf Basis der individuellen Daten und nicht der Untergruppendaten berechnet. Dies ist im Grunde der einzige Unterschied.

Maschinenleistungsindex

Maschinenleistungsprozess. Anhand dieses Wertes wird bestimmt, wie gut ein bestimmter Prozess den Spezifikationslimits des Prozesses entspricht.

Maschinennullpunkt

Diese XYZ-Position ist der Gerätestandort 0,0,0, zu der der Taster jedesmal geht, wenn das Gerät ein- oder ausgeschaltet wird.

Massivkörper

Im Unigraphics-Modelliermodul ist dies die Bezeichnung für schattierte Flächen.

Materialstärke

Die Materialstärke ist eine Eigenschaft, die in Verbindung mit CAD-Dateien verwendet werden kann. In vielen Fällen, vor allem bei aus Blech konstruierten Werkstücken, stellt eine CAD-Datei nur eine Seite des Materials dar. Aus diesem Grund muss zur genauen Messung und Dimensionierung der gegenüberliegenden Seite des Werkstücks eine Korrekturstärke angewandt werden.

MESS

Dieser Begriff bezieht sich auf den MESS(bzw. IST)-Wert, d.h. die tatsächlich "gemessenen" Größen- oder Positionsdaten im Gegensatz zur "theoretischen" Größen- oder Positionswerten.

Messbereich

Der eigentliche, bei einer Maschine für die Messung nutzbare Bereich (Volumen oder Bereich). Wird auch als Messvolumen bezeichnet.

Messpunkt

Berührung des Werkstücks mit der Tastspitze. Wird auch als Antasten bezeichnet.

Messpunktaufnahme bei weichem Material (Soft Probing)

Soft Probing (oder SFT) ist ein von Leitz entwickelter Begriff, der für den häufig eingesetzten Tastmodus zur Messung weichen Materials verwendet wird.

Messpunktpuffer

Der Messpunktpuffer speichert die mit dem Taster aufgenommenen Messpunkte, bevor Sie daraus ein Element erstellen. Die gespeicherten Messpunkte können mit der Tastenkombination ALT+ '-' (Minus) gelöscht werden.

Messvolumen

Das Messvolumen ist jener Bereich des KMGs, der für die eigentliche Messung verwendet werden kann. Auch wenn das KMG möglicherweise sehr große Abmessungen hat, kann der eigentliche für die Messung zur Verfügung stehende Bereich wesentlich kleiner sein. Das Messvolumen kann je nach verwendeter Tasterkonfiguration (DSE-Typ, Tastereinheit und -spitze) größer oder kleiner ausfallen.

Metazeichen

Ein Metazeichen dient als Platzhalter für ein anderes alphanumerisches Zeichen oder andere Zeichen. In PC-DMIS stehen zwei Metazeichen zur Auswahl: das Sternchen- (*) Metazeichen und das Fragezeichen- (?) Metazeichen.

MDI

Akronym für "Multi-Document Interface". Hierbei handelt es sich um eine Anwendung oder Benutzeroberfläche, die das Öffnen mehrerer Dateien gleichzeitig erlaubt. (In PC-DMIS können beispielsweise gleichzeitig mehrere Werkstückprogramme geöffnet sein. Daher ist PC-DMIS eine MDI-Anwendung.)

Mikronen

Ein Mikron ist eine Maßeinheit, die einem Millionstel eines Meters entspricht.

MMC

Akronym für "Maximum Material Condition" (Maximaler Materialwert).

MMIV

Diese Abkürzung steht für das Messprogramm "Micro Measure IV".

Modellraum

Dies ist der 3D-Koordinatenraum, in dem Oberflächen- und Kurvengeometrien abgebildet werden.

Modi

Unter "Modi" versteht man verschiedene in PC-DMIS verfügbare Programmbetriebsarten. Jeder Modus bietet besondere Funktionen. Zu den in PC-DMIS verfügbaren Modi gehören u. a.: der Programmodus, Übertragungsmodus, CNC-Modus, manuelle Modus und Textfeldmodus.

Modus "Neu lernen"

Hierbei handelt es sich um eine Option für die Ausführung eines Scans. Wenn die Option "Ausführen" auf "NEU LERNEN" eingestellt ist, werden bei jeder Ausführung eines Scans die Kompensationsvektoren jedes Scanpunkts neu berechnet.

Mosaik

Eine Oberfläche wird in eine Gruppe von Vielecke unterteilt, so dass ein grafisches Bild schattiert werden kann. Dieser Vorgang wird auch als "Parkettierung" bezeichnet.

NENN

Steht für "theoretisch". Dies ist die Nenngröße oder Positionsinformation.

Newton

"Newton" ist die Einheit der Kraft. Ein Newton ist die Kraft, die erforderlich ist, um die Masse von einem Kilogramm in einer Sekunde auf die Geschwindigkeit von einem Meter pro Sekunde zu beschleunigen.

NULLPUNKT-Funktionsgruppe

Hierbei handelt es sich um die Gruppe von Elementen, die zur Durchführung des Befehls "Nullpunkt setzen" bei einer iterativen Ausrichtung erforderlich ist. Siehe NULLPUNKT SETZEN – 1.

NULLPUNKT SETZEN - 1

Dies bedeutet, dass zur Durchführung des Befehls "Nullpunkt setzen" bei einer iterativen Ausrichtung ein Element erforderlich ist.

NW-Suche

Entspricht dem Befehl "Nennwertsuche". Wenn diese Option unter "NW-Suche" des Dialogfelds "Scan" gewählt wird, bestimmt PC-DMIS die nächste gewählte CAD-Oberfläche neu, um die theoretischen CAD-Daten für jeden gescannten Datenpunkt zu erfassen. Anhand dieser Daten lässt sich dann die Abweichung jedes einzelnen Punkts berechnen.

ODBC

Akronym für "Open Database Connectivity" (offene Datenbankverbindung).

Open GL

Öffnet die Grafikbibliothek. Gemeint ist hier eine Bibliothek mit Grafikroutinen, die zur Anzeige von Grafikinformationen dienen.

Operand

Der Teil einer Gleichung, der durch einen Operator bearbeitet wird. In der Gleichung "2+3" sind die Zahlen 2 und 3 die Operanden und das Pluszeichen (+) der Operator.

Operanden

Siehe "Operand".

Optisches Tastsystem

Ein optisches Tastsystem besteht aus einem Taster, der seine Position aufgrund von Optik ermittelt. Ein Lasertaster gilt beispielsweise als optisches Tastsystem.

PA

Diese Abkürzung steht für Polarwinkel. Auch unter POLARWINK. zu finden. Der Polarwinkel wird bei Zylinderkoordinaten und in Verbindung mit dem Polarradius verwendet. Siehe PR.

Parameterraum

Dies ist der 2D-Koordinatenraum des parametrischen Wertebereichs einer Oberfläche. Angenommen, eine Ecke einer Oberfläche ist an Parameterposition (0,0) definiert und die gegenüberliegende Ecke an (1,1). Durch das Variieren der Parameter zwischen diesen beiden Positionen wird die gesamte Oberfläche definiert. Entsprechend der geometrischen Definition der Oberfläche kann eine Parameterraum-Position einem Punkt im Modellraum zugeordnet werden.

PHx

Hierbei handelt es sich um die Modellnummer eines bestimmten Renishaw-Tastkopfs. Die Abkürzung PHx steht für "Probe Head x" (Tastkopf x). Dieser Begriff dient auch zur allgemeinen Bezugnahme auf Tastköpfe mit motorischen Dreh-/Schwenkköpfen.

Pinole

Bezieht sich auf das Ende des Arms, an dem der Taster befestigt ist. Bei einer horizontalen Maschine ist der Pinole der horizontale Arm der Maschine und bewegt sich in der Regel entlang der X- oder Y-Achse der Maschine. Bei einem vertikalen KMG (meist auch als "Brückenmaschine" bezeichnet) ist die Pinole vertikal befestigt und bewegt sich entlang der Z-Achse des KMGs.

Pinolenende

Dieser Begriff bezieht sich nur auf die XYZ-Koordianten am Ende des Arms (oder Pinoles), ohne die XYZ-Koordinaten der Tastspitze zu berücksichtigen.

Pkt.

Abkürzung für "Punkt".

PKT TOL

Die Abkürzung "PKT TOL" des englischen Begriffs "Vector Point Tolerance" dient im Bearbeitungsfenster zur Angabe der Vektorpunkttoleranz (wobei PNT TOL = n) bei manuellen Berührungen in einer iterativen Ausrichtung.

Plus-Toleranzen im Minusfeld

Gibt eine Plus-Toleranz im Minusfeld an (z. B. 1.000 + 0.003 / + 0.001).

POLAR

Bezieht sich auf ein Polar-Koordinatensystem mit U- und V-Koordinaten (im Bearbeitungsfenster auch als POLR zu finden). U steht für den Polarradius und V für den Polarwinkel oder -vektor.

POLR

Abkürzung für "Polar".

Polylinie

In der Computergrafik ist die Polylinie eine kontinuierliche Linie, die aus einem oder mehreren Liniensegmenten besteht. Eine Polylinie wird manchmal wie ein einzelnes Objekt behandelt; es könnte aber auch in die eigenen Segmentkomponenten aufgeteilt werden.

POS. lesen

Position lesen. Mit dieser Funktion werden die aktuellen X-, Y- und Z-Koordinaten von der KMG-Steuereinheit abgerufen.

Potentiometer

Hierbei handelt es sich um Geräte, die elektromotorische Kräfte messen.

PR

Steht für Polarradius. Auch unter "PRad" zu finden. Der Polarradius wird bei Zylinderkoordinaten mit Polarwinkel verwendet. Siehe PA.

PRad

Siehe PR.

Priorität/Vorrang

In algebraischen Ausdrücken oder Zuweisungsoperationen bezieht sich der "Vorrang" auf die Reihenfolge, in der Operationen stattfinden. Multiplikation hat beispielsweise Vorrang vor Addition. Das Auswertungsergebnis des Ausdrucks "2 + 3 X 6" beträgt daher 20, da 2 zum Ergebnis von 3 x 6 addiert wird. Wird der ordnungsgemäße Vorrang nicht eingehalten, kann dies zu einem falschen Ergebnis von 30 führen.

PROE

Steht für das CAD-Dateiformat "ProEngineer".

Profil

"Ein Profil ist die Kontur eines Objekts in einer bestimmten Ebene (zweidimensionale Figur). Profile entstehen durch Projizieren einer dreidimensionalen Figur auf eine Ebene oder durch Vornehmen von Querschnitten durch diese Figur." - Gemäß des Standards "ASME Y14.5M-1994 Dimensioning and Tolerancing". Oftmals erscheinen Oberflächen von CAD-Zeichnungen, je nachdem, von welcher Seite man sie betrachtet, nicht wie Oberflächen, sondern wie Kurven, Geraden oder eine Ansammlung von einzelnen Punkten. Dieser Effekt entsteht durch das Projizieren einer dreidimensionalen Figur auf eine Ebene oder durch Vornehmen von Querschnitten durch diese Figur.

Profile

Siehe "Profil".

Profilfehler

Hierunter versteht man die Abweichung des eigentlichen bzw. gemessenen Profils vom theoretischen bzw. Sollprofil.

Programmiermodus

In diesem Modus können Sie das Werkstückprogramm im Bearbeitungsfenster erstellen. Das Bild des Tasters wird dabei außerdem im Grafikfenster angezeigt.

Prozessleistungsindex

Auch CPK genannt. Anhand dieses Wertes wird bestimmt, wie gut ein bestimmter Prozess den Spezifikationslimits des Prozesses entspricht.

Punktweise Digitalisierung

Die punktweise Digitalisierung ist ein Verfahren, bei dem für das Reverse-Engineering (zur Datenrückführung) Daten über die Werkstückoberfläche gesammelt werden. Die Daten werden erfasst, indem das Werkstück mit einem KMG und einer Software gescannt wird, die Einzelmesspunkte ausgeben kann. Nach Erfassen einer ausreichenden Anzahl von Punkten werden diese gruppiert und verarbeitet und daraus die elektronischen Werkstückoberflächen erzeugt, die dann von der CAD-Software zur Fertigstellung einer Konstruktion genutzt werden können.

PWin

Diese Abkürzung steht für Polarwinkel. Der Polarwinkel wird bei Zylinderkoordinaten und in Verbindung mit dem Polarradius verwendet. Siehe "PRad".

RAUM - 3 +

Dies bedeutet, dass zur Durchführung des Befehls "Raum" bei einer iterativen Ausrichtung drei oder mehr Elemente erforderlich sind.

RAUM-Gruppe

Die zur Durchführung des Befehls "RAUM" bei einer iterativen Ausrichtung erforderliche Gruppe von Elementen. Siehe "RAUM -3 +".

RFS

Akronym für "Regardless of Feature Size" (Elementgrößenneutral).

Richtungspunkt

Der Richtungspunkt eines Scans legt die Scanrichtung fest. Der Scan erfolgt von der Anfangspunkt-Überschrift in Richtung des Richtungspunkts, bis der Endpunkt erreicht wird.

RLE

RLE steht für Run Length Encoding (Lauflängenverschlüsselung). Hierbei handelt es sich um ein Verfahren zur Komprimierung von Bitmap-Dateien.

RMess

Relative Messung. Dient zur Erstellung eines neuen Auto-Elements an Koordinaten, die von den tatsächlichen Messkoordinaten eines zuvor gemessenen Elements abgeleitet werden.

ROI

Dies ist ein rechnergestütztes Kästchen, das für den NC-100-Videotaster auf dem Computerbildschirm angezeigt wird. Die Elementmessung muss innerhalb dieses Felds erfolgen.

Rotationsoberfläche

Diese Oberfläche kann durch Drehen einer Kurvenebene um eine Achse in ihrer Ebene erstellt werden.

Runde Elemente

Runde Elemente werden als Kreise, Kugeln, Kegel und Zylinder definiert. Siehe "Flacher Elementtyp".

Runder Elementtyp

Bei einem runden Elementtyp handelt es sich um ein Kreis- oder Kurvenelement. Siehe "Runde Elemente".

RTF

Akronym für "Rich Text File".

Rückzug nach Messpunkt

Bei dieser Zahl handelt es sich um einen vom Benutzer angegebenen Abstand, welcher dem nach Aufnahme eines Werkstück-Messpunkts zurückgezogenen Taster mitteilt, an welcher Stelle die Geschwindigkeit wieder erhöht werden soll.

Säulen-Passierweg

Der Säulen-Passierweg ist ein kleiner Korridor hinter dem nutzbaren Spannsystemvolumen, auf dem Säulen von einem Arm zum anderen bewegt und zur Platzierung auf dem Maschinentisch aus dem Magazin gezogen werden.

Säulen-Positioniergerät

Ein anderes Wort für "Greifer".

Scanpunktdichte

Die Scanpunktdichte bestimmt die Anzahl von Messpunkten, die das KMG pro Millimeter zurückgibt.

Schaft berührt Werkstück

Hierbei handelt es sich um eine versehentliche Berührung des Taster-Schafts mit dem Werkstück oder einem Element auf dem Werkstück.

Schaftkalibrierung

Die Schaftkalibrierung wird bei Blechtastern angewendet, um die Richtung der Schaftachse sowie den Mittelpunkt der Kalibrierkugel-Tastspitze zu erhalten.

Schaltendes Tastsystem

Bei dieser Art von Tastsystem wird automatisch ein Messpunkt geschaltet, sobald es das Werkstück berührt.

ScheibenTastspitze

Tastspitze in der Form einer kleinen Scheibe.

Schleifen

Vorgang, bei dem ein beliebiger Teil des Werkstückprogramms einer vorher festgelegten Anzahl von Wiederholungen unterzogen wird.

SCHNITT_VON

Schnittpunkt des betreffenden Elements.

Schnittebene

Bei der Schnittebene handelt es sich um eine theoretische Ebene, die mit den gleichen X-, Y- und Z-Koordinaten wie der Anfangspunkt des Scans senkrecht zum Schnittebenenvektor erstellt wird. Mit Hilfe der Schnittebene kann ein Scan mit allen Punkten, die auf der gleichen Ebene relativ zum Schnittebenenvektor liegen, erstellt werden.

Schnittebenenvektor

Der Schnittebenenvektor ist das Produkt zwischen dem Erstpunktvektor und der Linie zwischen den Anfangs- und End-Grenzpunkten von Scans. Ist kein Endpunkt vorhanden, wird die Linie zwischen dem Anfangspunkt und dem Richtungspunkt verwendet.

Schnittlinien

Schnittlinien sind CAD-Einheiten, die einer CAD-Zeichnung überlagert werden können. Obwohl sie keine merkmals- oder zeichnungsbezogenen Informationen enthalten, können sie durch einen Profilschnittscan referenziert werden, um einen über ein bestimmtes Werkstückteil verlaufenden linearen Scan zu erhalten. Es handelt sich dabei um Bezugslinien, die Ingenieure zur Angabe der Position von Werkstückelementen verwenden.

Schnittvek.

Schnittebenenvektor.

Schrittmodus

Der Schrittmodus ist eine Variante der Werkstückprogramm-Ausführung, bei der das KMG nur einen Befehlsblock auf einmal ausführt. Zur Fortsetzung des Programms sind Benutzereingaben erforderlich. Dieser Modus entspricht einem "schrittweisen" Durchlaufen des Werkstückprogramms.

Schwerpunkt

Der Schwerpunkt eines Lochs beliebiger Form.

SHSP

Tasterhalter Einstellungsstück

Sichebene

Abkürzung für "Sicherheitsebene". Ein Befehl, mit dem im Bearbeitungsfenster die Ebene definiert wird, zu der der Taster einen Sicherheitsabstand einhalten muss, um eine Kollision mit dem Werkstück zu vermeiden.

Sigma

Dieser griechische Buchstabe dient häufig zur Darstellung der Standardabweichung.

Skripting

Siehe "BASIC-Skripting".

SNSDEF

Dies ist ein in der DMIS-Sprache für die Definition von Sensoren verwendeter Begriff.

SPC

Dies ist ein Akronym für "Statistical Process Control" (statistische Prozesssteuerung). In PC-DMIS können SPC-Diagramme aus einer definierten Datenbank erstellt und aktualisiert werden.

Spline

Ein Spline ist eine bestimmte Art von Kurve oder Oberfläche. Splines werden aufgrund ihrer mathematischen Eigenschaften, die vielfältige vereinfachte Einsatzmöglichkeiten bieten, zum Modellieren verwendet. Splines lassen sich sowohl in Kurven als auch in Oberflächen verwenden.

Splines

Siehe "Spline".

ST

Akronym für "Schaltender Taster". Siehe "Schaltendes Tastsystem".

Ständig

Abkürzung für "Ständig". Siehe "Ständige Stützpunkte".

Ständige Stützpunkte

Die Anzahl der Stützpunkte, die während der Ausführung des Werkstückprogramms zur Messung eines bestimmten Elements dienen.

Standardabweichung

Dies ist die mittlere Quadratwurzel der Abweichung vom Mittelwert. Als Gleichung ausgedrückt: Quadratwurzel ((Summe ((xi-m) ^2)) / n-1) wobei: m = der Mittelwert n = die Anzahl der Datenpunkte xi = der i-te Datenpunkt ist.

Starrer Taster

Ein starres Tastsystem, nicht schaltend und ohne abnehmbaren Taster.

Statistik-Ausgabedatei

Diese Datei enthält die druckbare Statistik eines Werkstückprogramms. Statistische Daten werden in der Datei "xtats11.tmp" gespeichert, die sich im PCDMIS-Verzeichnis bzw. in dem von Ihnen gewählten Installationsverzeichnis von PC-DMIS befindet.

Steigung

Die Steigung ist der entlang der Achse des Elements in einer Rotation erfolgende Verschiebungsabstand.

Stellvertreterzeichen

Stellvertreterzeichen bestehen aus zwei Metazeichen, dem Sternchen (*) und dem Fragezeichen (?). Das Sternchen- (*) Metazeichen entspricht bei einer Suche einem oder mehreren beliebigen Zeichen bzw. dient als Platzhalter dafür. Das Fragezeichen (?) Metazeichen verhält sich genauso wie das Sternchen (*). Der einzige Unterschied besteht darin, dass das Fragezeichen-Metazeichen nur für ein einzelnes alphanumerisches Zeichen steht.

STEP AP203 & AP214

STEP steht für "Standard for the Exchange of Product Model Data". STEP wurde im Jahre 1988 international eingeführt. Es handelt sich dabei um einen Standard für die rechnerinterpretierbare Darstellung und den rechnerinterpretierbaren Produktdatenaustausch. Das Ziel von STEP lautet, ein neutrales Medium zu bieten, mit dem sich ein Produkt im Verlauf seines Lebenszyklus beschreiben lässt.

Sternchen- (*) Metazeichen

Das Sternchen- (*) Metazeichen entspricht bei einer Suche einem oder mehreren beliebigen Zeichen bzw. dient als Platzhalter dafür.

Steuereinheit

Jedes KMG verfügt über eine Steuereinheit. Die Steuereinheit treibt die Servos zum Bewegen des Geräts an, liest die Skalen zur Positionsbestimmung, bildet eine Schnittstelle zum tatsächlichen Taster etc. Für ein KMG (oder Koordinatenmessgerät) sind mehrere verschiedene Arten von Steuereinheiten verfügbar.

Stich-Scan

Diese Art von Scan wird auf CNC-KMGs durchgeführt, die über schaltende Tastsysteme verfügen. Während des Scans berührt das KMG das Werkstück, bewegt sich um den Rückfahrweg davon weg, bewegt sich auf den nächsten Punkt des Vorhaltebereichs zu und berührt das Werkstück wiederum. Dieses Verfahren wird solange wiederholt, bis der Scan abgeschlossen ist. Die Bezeichnung "Stich-Scan" rührt daher, dass dieses Verfahren der Funktionsweise einer Nähmaschine ähnelt.

Stiftbolzen

Stiftbolzen sind nicht entfernbare Elemente, die aus einem Werkstück herausragen (im Gegensatz zu Löchern, die in das Werkstück hineingehen). Stifte sind mit "Stiftbolzen" vergleichbar.

Stifte

Als "Stifte" bezeichnet man entfernbare Elemente, die aus einem Werkstück herausragen (im Gegensatz zu Löchern, die in das Werkstück hineingehen). Stifte sind mit "Stiftbolzen" vergleichbar.

STL

Stereolithographie-Format. Hierbei handelt es sich um eine in der Produktion verwendete ASCII- oder Binärdatei, die eine Liste der dreieckigen Facetten enthält, die ein am Computer erzeugtes ausgefülltes Modell beschreiben.

Systemkalibrierung

Verfahren, mit dem die Genauigkeit eines KMG überprüft und zur Reduzierung von Ungenauigkeiten entweder mechanische Anpassungen am KMG oder elektronische Anpassungen an der Datei Vol.komp vorgenommen werden.

Taster

Die entweder am Pinole des KMG oder an der einrastbaren DSE befestigte Sensoreinheit. Am Taster muss eine Tastspitze zur Aufnahme der Messdaten angebracht sein (außer im Falle eines starren Tasters.)

Tasterstift

Der "Taster" ist ein zylindrischer Schaft mit einer hochpräzisen Tastspitze. Er wird in die Tastereinheit hineingeschraubt und kann in der Regel gegen andere Taster ausgewechselt werden.

Tastertiefe

Die Tastertiefe ist die Position des Tasters entlang der Z-Achse, vertikal zu dem KMG-Tisch gesehen.

Tasterverlängerung

Eine Tasterverlängerung ist ein zylindrisches Teil, das zwischen Taster und Tastspitze befestigt wird. Es dient zur Verlängerung der messenden Tastspitze. Es können mehrere Verlängerungen auf einmal verwendet werden.

Tasterwechsler

Der Tasterwechsler ist ein im Messvolumen des KMG platzierter Wechsler. Er birgt mehrere Taster für die Verwendung in ein und demselben Werkstückprogramm. Das KMG kann ohne Eingreifen des Bedieners automatisch zwischen Tastern hin- und herwechseln.

Tastspitze

Der Teil des Tasterstifts, der mit dem zu prüfenden/messenden Werkstück in Berührung kommt. Tasterstifte können mit verschiedenen Tastspitzentypen ausgestattet sein. Bei der Tastspitze kann es sich um eine Kugel, eine Scheibe oder einen Zeiger handeln.

Tastzyklus

Dies ist der Zyklus an Vorgängen, den ein analoger Taster/eine Steuereinheit zur Aufnahme eines Messpunkts durchläuft.

Tiefe

Definiert den Abstand unterhalb der Oberfläche eines Werkstücks, in dem die Messung vorgenommen wird.

TOG (Umschaltung)

TOG ist ein "Umschaltfeld" im Bearbeitungsfenster. Um zwischen den im Bearbeitungsfenster verfügbaren Optionen hin- und herzuschalten, setzen Sie den Cursor auf das Umschaltfeld und drücken F7.

TP

Akronym für "True Position" (dt. "Position").

Translation (Mausfunktion für die Translation der Modellansicht aktivieren)

Hiermit wird PC-DMIS in einen Programmstatus versetzt, in dem Sie das Werkstück am Bildschirm verschieben, die Anzeigegröße des Werkstücks im Grafikfenster ändern können usw.

Trieder

Eine grafische Darstellung von Ebenen, die sich in einem Punkt treffen bzw. einen Punkt bilden. Auch als "Dreibein" bezeichnet.

Triggern durch Schaftkontakt

Dieser Begriff bezeichnet den Fall, dass der Taster durch den Kontakt zwischen Werkstück und Taster-Schaft anstatt durch den Kontakt zwischen Werkstück und Tastspitze getriggert wird. In diesem Fall werden falsche Daten erfasst.

Übergeordneter Befehl

Ein übergeordneter Befehl ist ein Befehl (oder eine von einem Befehl stammende Information), der (die) in einem anderen Befehl verwendet wird.

Überwachungsfeld

Ein aus zwei Feldern bestehender Befehl im Bearbeitungsfenster. Das erste Feld gibt den Namen oder den Titel des Überwachungsfelds an. Das zweite Feld zeigt den aktuellen Wert des Überwachungsfelds an (z. B. Temperatur: 75 oder Schicht: nachmittags). Überwachungsfelder werden in der Datei XSTATS11.TMP für Datenbankprogramme wie DataPage verwendet.

Überwachungsfelder

Siehe "Überwachungsfeld".

UG

Steht für den CAD-Dateityp "UniGraphics".

Unabhängige Kurve

Eine unabhängige Kurve ist nicht mehr von der Elementgruppe, aus der sie erstellt wurde, abhängig. Wenn sich die Elementgruppe ändert, bleibt die unabhängige Kurve davon unberührt.

Unabhängige Kurven

Siehe "Unabhängige Kurve".

Unabhängige Oberfläche

Eine unabhängige Oberfläche ist nicht mehr von der Elementgruppe, anhand deren sie erstellt wurde, abhängig. Wenn sich die Elementgruppe ändert, bleibt die unabhängige Oberfläche davon unberührt.

Unabhängige Oberflächen

Siehe "Unabhängige Oberfläche".

Untergeordneter Befehl

Ein 'untergeordneter Befehl' ist ein Befehl, dessen Ausführung von einem anderen Befehl abhängig ist.

Unterprogramm

Ein Unterprogramm innerhalb des Werkstückprogramms. Diese Unterprogramme enthalten Befehle aus der aktuellen Datei oder einer externen Datei sowie wiederholt einsetzbare Befehle.

Unterprogramme

Siehe "Unterprogramm".

Variable

Objekt, das einen Wert beinhaltet. Eine Variable hat einen Namen und einen Wert. Der Name dient zum Zugriff auf den Wert der Variablen. Er bleibt unverändert, während sich der Wert ändern kann. Mit der Anweisung ZUWEISEN/V1 = 2 wird beispielsweise eine Variable namens V1 mit einem Wert von 2 erstellt. ZUWEISEN/V2 = V1 + 2 greift auf den Wert von V1 zu. Besitzt V1 auch bei Ausführung dieser Zuweisungsanweisung noch den Wert 2, dann hat V2 einen Wert von 4. Eine Variable ist ein Wert, der auf reelle, Ganzzahl-, Zeichenfolgen- oder Punkt-Operanden verweist.

Variablen

Siehe "Variable".

Variabler Deltascan

Der variable Deltascan ist ein Scan, der nur mit einem starren Taster durchgeführt werden kann. Während eines variablen Deltascans werden Datenpunkte nur dann eingelesen, wenn die Anforderungen in Bezug auf ein bestimmtes Mindestzeitinkrement und ein Mindestabstandsinkrement erfüllt sind.

VDAF

VDAF steht für "VDA Surface Data Interface format". VDAFs wurden im Jahre 1986 als nationaler Standard in Deutschland veröffentlicht. Das Format wird vom deutschen Verband der Automobilindustrie (VDA) zum Austausch von 3D-CAD-Modelldaten verwendet.

VDAFs

Siehe VDAF.

Versatzmerkmal

PC-DMIS unterstützt drei Arten von Versatzmerkmalen: Versatzpunkte, Versatzlinien und Versatzebenen. Ein Versatzmerkmal ist aus einem oder mehreren Elementen erstellt. Jedes Element, aus dem sich das Versatzmerkmal zusammensetzt, kann dann einen damit verknüpften Versatz- oder Korrekturwert besitzen. Folglich kann jedes im Versatzmerkmal enthaltene Element mit dem neu erstellten Element übereinstimmen oder auch nicht.

Verschachtelte Unterprogramme

Hierbei handelt es sich um Unterprogramme, die von einem anderen Unterprogramm aus aufgerufen (oder darin verschachtelt) werden.

Verschiebbare Symbolleiste

Eine verschiebbare Symbolleiste kann aus ihrer verankerten Position wegbewegt werden und an die gewünschten Stelle auf dem Bildschirm "gleiten".

Vertikal zu

Der Ausdruck "Vertikal zu" einem bestimmten Element oder geometrischen Element bedeutet einfach, dass dieses "senkrecht zu" oder in einem 90°-Winkel zu einem anderen Element steht.

Verweise

Eine Ausdrucksyntax, die auf den Wert von Daten verweist. Die gesamte Syntax, die dem Zugriff auf verschiedene DatenElemente des Werkstückprogramms dient. "KREIS1.X" ist ein Verweis auf den gemessenen X-Wert des Flächenmittelpunkts des Elements KREIS1. "GERADE.LÄNGE" ist ein Verweis auf die Länge der GERADE. "C1.EINGABE" ist ein Verweis auf die Eingabe des Befehls C1.

Verwendete markieren

Die Funktion "Verwendete markieren" (im Dialogfeld Taster Hilfsprogramme) scannt ein PC-DMIS-Werkstückprogramm und markiert bzw. hebt die Tasterwinkel hervor, auf die im Werkstückprogramm verwiesen wird bzw. die darin verwendet werden. Auf diese Weise kann der Bediener einfach bestimmen, welche Tastwinkel oder -spitzen kalibriert werden sollen.

Verzweigen

Unter "Verzweigen" versteht man den Pfad (nicht den Pfad des Tasters, sondern den logischen Pfad bzw. den Ablauf eines laufenden Werkstückprogramms), dem bei Ausführung eines Werkstückprogramms gefolgt wird. Dieser Pfad kann als Folge einer logischen Anweisung wie IF, ELSEIF, ELSE, DO und WHILE variabel sein; d. h., die Ausführung des Werkstückprogramms kann je nach Eingabewert oder aufgrund einer im Werkstückprogramm errechneten bzw. gemessenen Variablen unterschiedlich ausgeführt werden.

VolComp-Datei

Die Datei "comp.dat". Damit eine genaue Messung mit dem KMG möglich ist, muss diese Datei im PC-DMIS-Betriebsverzeichnis des Computers gespeichert sein, der zur Bedienung volumenkompensierter KMGs verwendet wird. Siehe Volumenkompensation (VolComp).

Volumenkompensation (VolComp)

Volumenkompensation ist das Verfahren, bei dem auf die Fehlermatrix eines KMGs zugegriffen und der Fehler als Korrekturfaktor auf Messungen angewendet wird, um eine höhere Genauigkeit des KMGs zu erzielen. Nach ordnungsgemäßer Initialisierung eines KMGs wird dies von PC-DMIS automatisch erledigt. (Siehe auch "Fehlermatrix".)

Werkstückkoordinaten

Die als X-, Y- und Z-Werte ausgedrückte Position eines Elements an einem physischen Werkstück relativ zu einer Nullpunktposition.

Werkstückprogramm

Das Werkstückprogramm ist die textliche Beschreibung des Mess- oder Prüfverfahrens eines Objekts. Jedes Werkstückprogramm besitzt einen eindeutigen Namen mit der Erweiterung .prg. Das Werkstückprogramm wird vom KMG-Bediener erstellt. Das Werkstückprogramm kann, muss jedoch nicht immer, mit einem CAD-Modell verknüpft sein. Besteht eine Verknüpfung mit einem CAD-Modell, so trägt die CAD-Datei denselben Dateinamen wie das Werkstückprogramm mit der Erweiterung .CAD.

Wink.ende

Winkelende.

WPU

Abkzg. für "Wellen pro Umdrehung" (Engl. "Undulations Per Revolution").

X-, Y- und Z-Mitte

Diese Werte zeigen die Position der Mitte der KugelTastspitze an.

XBarR (XQuerbalkenR)

"XBar" (XQuerbalken) ist eine Schreibweise für das Statistiksymbol "X", das für den Mittelwert oder den Durchschnitt steht. Das XBar(XQuerbalken)-Diagramm stellt folglich das Prozessmittel oder den Prozessdurchschnitt dar. Die Berechnung erfolgt in der Regel über einen bestimmten Zeitraum hinweg. Die X-Achse des Diagramms gibt die Zeit an, und die Y-Achse des Diagramms gibt den Mittelwert an. Hierbei handelt es sich im wesentlichen um ein XBar-Diagramm mit zusätzlichen Informationen. "R" steht für "Range", den Datenbereich einer bestimmten Stichprobe. Eine Stichprobe ist als vordefinierte Anzahl von Messungen definiert. Zur Berechnung des Stichprobenbereichs wird der Mindestwert vom Höchstwert der Stichprobe subtrahiert. Da das Ergebnis dann an derselben Zeitposition im Diagramm wie der Mittelwert der Stichprobe eingetragen wird, erhält man für die Stichprobe auf diese Weise zwei Datenpunkte an einer Zeitposition.

XBarS (XQuerbalkenS)

"XBar" (XQuerbalken) ist eine Schreibweise für das Statistiksymbol "X", das für den Mittelwert oder den Durchschnitt steht. Das XBar(XQuerbalken)-Diagramm stellt folglich das Prozessmittel oder den Prozessdurchschnitt dar. Die Berechnung erfolgt in der Regel über einen bestimmten Zeitraum hinweg. Die X-Achse des Diagramms gibt die Zeit an, und die Y-Achse des Diagramms gibt den Mittelwert an. ". Hierbei handelt es sich im wesentlichen um ein XBar(XQuerbalken)-Diagramm mit zusätzlichen Informationen. "S" stellt die Standardabweichung der Stichprobe dar. Es gibt eine mathematische Gleichung zur Berechnung der Standardabweichung einer Stichprobe.

Z-Arm (vertikal)

Der Z-Arm ist der vertikale Arm des KMG.

Zeitdelta

Dieser vom Benutzer angegebene Wert dient zur gezielten Eliminierung von Messpunkten, die bei der Aufnahme mit manuellen Scans und starrem Taster schneller als im angegebenen Zeitabstand eingehen. Die Zeitabstände werden in Sekunden angegeben.

ZIEL

Steht für "Zielwerte". Hierbei handelt es sich um Daten zur Größe oder Position, an der das KMG eine Messung unternehmen wird.

Zuweisung

Die Zuweisung ist der Vorgang, bei dem der Wert einer Operation, einer Reihe von Operationen oder einer reellen Zahl einer Variablen übergeben wird. Dies wird durch Verwendung eines Zuweisungsoperators (=) erzielt. Der Zuweisungsoperator wird bei Auswahl der Zuweisungsoption (über die Menüleistenoption Zuweisung) automatisch erstellt.

Zylinder

Hierbei handelt es sich um den Schaft des Tasters, der von der messenden Tastspitze bis zur Verbindungsstelle für die Tasterbefestigung reicht. Bei einer Zylindertastspitze gibt es keine Präzisionstastspitze (siehe "Zylindertastspitze"). Der Schaft, der den Kalibriertaster unterstützt, wird ebenfalls als Schaft bezeichnet.

ZylinderTastspitze

Tastspitze mit der Form eines geraden Schafts.


To Delete the Probe Changer from the Graphics Display window:

Access the Edit window and delete the LOADPROBECHANGER command. This doesn't delete your pre-defined changer, just the animation of it inside the Graphics Display window.


Untere Toleranz

In das Feld UTol können Sie einen Toleranzwert für die Minus- Richtung eingeben. Das bedeutet, dass alle Abstände, deren gemessener Wert kleiner als der Nenn- oder theoretische Abstand ist, gültige Abstände sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Obere Toleranz

In das Feld OTol können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, dass alle Abstände, deren gemessener Wert größer als der Nenn- oder theoretische Abstand ist, gültige Abstände sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Toleranz

Der in das Feld Toleranz eingegebene Toleranzwert dient bei der Erkennung von Bohrungen in den CAD-Daten zur Bestimmung der Positionen dieser Löcher. Dieser Wert stammt von der Registerkarte Pfaddefinition, Feld Loch überspr..

  • Wenn der Abstand zwischen zwei beliebigen Begrenzungspunkten auf der Oberfläche kleiner als der Toleranzabstand ist, betrachtet PC-DMIS die Oberfläche als durchgehend und scannt in das Loch hinein.

  • Ist der Abstand größer als der Toleranzwert, geht PC-DMIS davon aus, dass zwischen den beiden Oberflächen ein Stanzloch liegt und überspringt dieses Loch während des Lernprozesses.


Auto

Mit dem Kontrollkästchen Auto wird PC-DMIS so eingerichtet, dass das Programm automatisch die Messpunkt-Nr, den Punkt, den Vektor und die Abweichung für die jeweiligen Punkte anzeigt, sobald das Kontrollkästchen Punkt Info einblenden markiert wird.


Symbol "CAD-Import"


Symbol "CAD-Import"

Pö Øe HTML public "-//W3C//DTD HTML 4.0 Frameset//EN"> Symbol "CAD-Import"

Symbol "CAD-Import"


Randbemerkung zur DMIS-Erweiterung

Erweiterungen können nicht-standardmäßige Befehle oder ergänzte / modifizierte Parameter der DMIS-Standardbefehle enthalten.


Randbemerkung zu DMIS

DMIS-Daten werden im PC-DMIS-Format in das Werkstückprogramm importiert, so dass eine separate Datei überflüssig ist.


Exportieren von CAD-Daten oder Programmdaten

Neben der Möglichkeit, Daten zu importieren, können mit PC-DMIS auch Werkstückprogramme in eines der folgenden unterstützten Dateiformate exportiert werden:

· DATAVIEW-Dateien (*.AS3)

· BASIC-Dateien (*.BAS)

· DES-Dateien (*.DES)

· DMIS-Dateien (*.DMI or *.DMS)

· BENUTZERDEFINIERTE Dateien (*.TXT)

· I-DEAS-Dateien

· IGES-Dateien (*.IGS)

· STEP AP203 (*.STP oder *.STEP)

· STEP AP214 (*.STP oder *.STEP)

· VDAFS (*.VDA)

· DXF /DWG (*DXF oder *DXG)

Hinweis: Wenn Ihr Programm in Form von CAD-Daten exportiert wird, werden die zuvor importierten CAD-Werkstückmodelle nicht exportiert. Statt dessen wird eine CAD-Datei aus den vorhandenen Elementbefehlen in Ihrem Werkstückprgramm erzeugt.

So exportieren Sie Daten aus dem aktuellen Werkstückprogramm:

  1. Wählen Sie die Menüoption Datei | Export und wählen Sie dann die zu exportierenden Daten aus dem Untermenü aus (oder klicken Sie im Windows Explorer mit der rechten Maustaste auf den Namen des Werkstückprogramms und wählen Sie dann Export). In den meisten Fällen erscheint daraufhin das Dialogfeld Öffnen.

    Öffnen (Dialogfeld)

  2. Wählen Sie den gewünschten Datentyp im Listenfeld Dateityp aus. PC-DMIS zeigt die für den angegebenen Datentyp verfügbaren Dateien an.

  3. Geben Sie den Namen der zu erstellenden Datei in das Feld Dateiname ein oder wählen Sie eine vorhandene Datei aus der Liste aus. Bei Auswahl einer vorhandenen Datei ersetzt PC-DMIS die aktuellen Daten in dieser Datei durch die aus dem Export resultierenden Informationen.

  4. Klicken Sie auf Export. Das Dialogfeld wird geschlossen. Je nach Dateityp zeigt PC-DMIS ein anderes Dialogfeld an und Sie werden zu zusätzlichen Eingaben aufgefordert. Weitere Informationen hierzu finden Sie unter den unten stehenden Themen.

  5. Klicken Sie auf Export. PC-DMIS erzeugt die exportierte Datendatei im ausgewählten Verzeichnis und gibt ihr die im Feld Dateityp definierte Erweiterung.

Siehe auch:

Exportieren einer IGES-Datei

Exportieren einer DES-Datei

Exportieren einer STEP-Datei

Exportieren einer VDAFS-Datei

Exportieren in eine I-DEAS DCI-Modelldatei

Export als eine BASIC-Datei

Export als eine DMIS-Datei


Unabhängige Objekte verarbeiten

Mit den Kontrollkästchen des Dialogfelds Unabhängige Objekte verarbeiten wird festgelegt, welche unabhängigen Objekte importiert werden sollen. Bei einem unabhängigen Objekt handelt es sich um ein Objekt, das kein untergeordnetes Objekt eines anderen Objekts im Modell ist. Das heißt, kein Objekt verwendet ein unabhängiges Objekt zur Definition seiner Geometrie. Rechts neben den Kontrollkästchen Unabhängiges Objekt zeigt PC-DMIS die Anzahl der einzelnen Typen unabhängiger Objekte an. Sind keine unabhängigen Objekte dieses Typs vorhanden, wird die Auswahl deaktiviert.

Für die meisten Modelle ist es ausreichend, nur die unabhängigen Körper zu importieren. Für VDAFS-Dateien benötigen Sie zusätzlich zu den Körpern möglicherweise die Umhüllungen, ebenen Flächen und Oberflächen, um die vollständige Modellgeometrie zu erhalten. Unabhängige Kurven sind üblicherweise nicht Bestandteil des Modells, sondern werden bei der Erstellung des Modells als Hilfslinien eingefügt.

Hinweis: Alle abhängigen Objekte werden verarbeitet, und zwar unabhängig davon, welche unabhängigen Objekte importiert werden. Ein abhängiges Objekt ist ein untergeordnetes Objekt eines zweiten übergeordneten Objekts. Das übergeordnete Objekt definiert seine Geometrie teilweise oder vollständig mit Hilfe des untergeordneten Elements.


Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren

Mit dem Kontrollkästchen Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren wird ein Problem mit Spline-Oberflächen behoben, das in einigen VDAFS-Dateien auftritt. Wenn Sie nach dem Import einer VDAFS-Datei verzerrte Oberflächen feststellen, aktivieren Sie dieses Kontrollkästchen und importieren Sie die Datei erneut.


Randbemerkung zu XYZ

XYZIJK-Dateien besitzen die Erweiterung ".xyz". Sie können die Werte in einer .xyz-Datei mit jedem Standard-Texteditor betrachten.


Registerkarte "Fehler suchen"

Registerkarte "Fehler suchen"

Geben Sie den Text hier ein.


Registerkarte "Leica ADM"

Dialogfeld "KMG-Optionen" - Registerkarte "ADM"

Steuerungs-Schaltflächen (Links, Hoch, Rechts, Herunter) -

Schaltfläche "Motor freigeben" -

Bew. Abstand: -

Suchdurchmesser: -

Schaltfläche "Suchen" -

Schaltfläche "Punkt aufnehmen" -


Schnittstelle "Leica"

Die Schnittstelle Leica wird mit Leica-Maschinen verwendet. Damit Ihre Leica-Schnittstelle arbeitet, ist es notwendig, die Leica zip-Datei herunterzuladen (ftp://ftp.wilcoxassoc.com/3rdParty/Leica/LeicaEmscon2.zip). Entpacken Sie die Datei und registrieren Sie die DLL gemäß den Anweisungen aus der Datei LeicaReadme.txt. Die Schnittstelle "Leica" macht die Verwendung des emScon-Treibers von Leica erforderlich (2.0 oder höher). Es gibt ältere Leica-Maschinen, die nicht mit dem emScon-Treiber ausgestattet sind. Diese müssen aktualisiert werden, bevor Sie PC-DMIS ausführen können.

Bevor Sie PC-DMIS starten, benennen Sie "leica.dll" in "interfac.dll" um.

Das Dialogfeld KMG-Optionen enthält die folgenden vier Registerkarten für die Leica-Schnittstelle:

Registerkarte "Optionen"

Siehe unter "Registerkarte "Leica-Optionen"".

Registerkarte "Rücksetzen"

Siehe unter "Registerkarte "Leica-Rücksetzen"".

Registerkarte "ADM"

Siehe unter "Registerkarte "Leica-ADM"".

Registerkarte "Fehler suchen"

Siehe unter "Erzeugen einer Debug-Datei".

Hinweis: Zusätzliche Informationen zu dieser Schnittstelle finden Sie in der Dokumentation zur Installation der KMG-Schnittstelle (MIIM).


Registerkarte "Leica - Optionen"

Dialogfeld "KMG-Optionen" - Registerkarte "Optionen"

Die Registerkarte Optionen liefert die Mittel zur Ausführung verschiedener TCU-Optionen und zur Konfiguration von Kommunikation und anderer Parameter.

TCU-Optionen - Über diesen Bereich können Sie folgende Optionen ausführen:

  • Nullpunktfahrt -

  • Initialisieren -

  • Auf Schwerkraft ausrichten -

  • Motoren Aus -

  • Nivel rücksetzen -

IP-Adresse - Geben Sie die IP-Adresse Ihres Laser-Trackers an (Standard 192.168.0.1).

Intervall aktualisieren - Die Häufigkeit der Aktualisierung von Ergebnisanzeigen (Standard 300 Millisekunden).

Vektorintervall -

Vektorabstand -

Vektor-Option - Wählen Sie entweder die Option Vektorabstand verwenden, Letzten IJK-Wert verwenden oder Kein Vektor.

Dauer der Messung -Hierbei handelt es sich um die in Millisekunden angegebene Zeit, die emScon fortlaufend benötigt, um Messpunkte aufzunehmen, bis der angegebene Zeitraum verstrichen ist. Der Durchschnittswert aller aufgenommenen Messpunkte wird zurückgegeben. Wenn dieser Wert auf weniger als 500 eingestellt wird, wird der letzte Tasterwert als Messung gewertet.


Registerkarte "Leica - Rücksetzen"

Dialogfeld "KMG-Optionen" - Registerkarte "Rücksetzen"

Nullpunktfahrt -

KMG oder die Option Werkstückkoordinaten -

Schaltfläche "Rücksetzen" -

Schaltfläche "Zielen" -

Schaltfläche "Hinzufügen" - Klicken Sie auf diese Schaltfläche, um das Dialogfeld Punkt zu öffnen. Geben Sie einen Titel und die XYZ-Werte ein und klicken Sie auf Erzeugen. Der neue Punkt wird zur obigen Liste der rückgesetzten Punkte hinzugefügt.

Schaltfläche "Entfernen" - Wählen Sie einen Punkt aus der Liste der rückgesetzten Punkte aus und klicken Sie auf Entfernen. Der ausgewählte Punkt wird gelöscht.

Standardrücksetzung festlegen - Wählen Sie einen Punkt aus der Liste der rückgesetzten Punkte aus und klicken Sie auf diese Schaltfläche. Dies ist nun der Standard Reset.

Laser auf nächsten Punkt richten -

ADM-Optionen

Nur Interferometer -

Standardrücksetzung verwenden - Wählen Sie diese Option, um die Standardrücksetzung zu verwenden

Interferometer Set by ADM -

Nur ADM -


Die Werkseinstellungen der Steuereinheit wiederherstellen

Falls Sie die ursprünglichen Werkseinstellungen Ihres KMGs überschrieben haben, als Sie auf einer der Registerkarten im Dialogfeld Parametereinstellungen auf Standard geklickt haben, besteht bei mit einer Leitz-Schnittstelle ausgestatteten KMGs immer noch die Möglichkeit, diese wiederherzustellen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld KMG-Optionen. Menü-Übersicht anzeigen

  2. Auf der ersten Registerkarte, die angezeigt wird, aktivieren Sie das Kontrollkästchen KMG-Standardeinstellungen bei Programmstart lesen. Damit wird PC-DMIS angewiesen, die Steuereinheit des KMGs beim nächsten Programmstart nach KMG-Standardeinstellungen zu durchsuchen.

  3. Klicken Sie auf OK, um das Dialogfeld zu schließen.

Bei der nächsten Ausführung von PC-DMIS werden die im PC-DMIS-Einstellungseditor gespeicherten Werte durch die ursprünglichen KMG-Werkseinstellungen ersetzt, die in der Steuereinheit gespeichert sind.

Hinweis: Die ursprünglichen Werkseinstellungen können mit diesem Verfahren nicht wiederhergestellt werden, wenn sie auf dem Festplattenlaufwerk der Steuereinheit überschrieben wurden.


Etikettanzeige

Diese EIN/AUS-Optionsfelder steuern die Anzeige von Element-IDs im Grafikfenster. Diese Option ist nützlich, wenn ein Teil der Werkstückzeichnung überladen wirkt. Sie können bestimmte IDs ausblenden, so dass andere einfacher gelesen werden können.

Siehe auch:

So schalten Sie die Anzeige von Element-IDs ein bzw. aus:


AK - Automatisches Verfolgen

Über den AD-Befehl wird das System angewiesen, die automatische Verfolgungsoption zu aktivieren.

Befehlsformat

MLString "AK p1,p2"

Beispiel

  1. MLString "AK Y"

    Verfolgen Sie mit dem Taster automatisch eine Fläche im aktiven Bezugssystem des Werkstücks.

  2. MLString "AK -Z"

    Verfolgen Sie mit dem Taster automatisch eine Fläche im aktiven Bezugssystem des Werkstücks.

  3. MLString "AK"

    Deaktivieren

  4. MLString "AK 1,1,0"

    Verfolgen Sie mit dem Taster automatisch eine Fläche. Der Taster wird anfangs in Richtung der Werkstückskoordinaten (1, 1, 0) bewegt, bis die Fläche berührt wird.

  5. MLString "AK 1,1,0,C"

    Verfolgen Sie automatisch eine Fläche. Der Taster wird anfangs in Richtung der Werkstückskoordinaten (1, 1, 0) bewegt, bis die Fläche berührt wird. Wenn die Fläche berührt wird, fährt der Taster mit dem Fahren fort, bis er sich entlang des angegebenen Vektors zentriert.

Eingabe

  • p1 = mit Vorzeichen versehene Werkstücksachse oder Richtungsvektor der Werkstückskoordinate (Zeichenfolge; optional)

  • p2 = "C" (Zeichenfolge; optional)

Der optionale Parameter p1 gibt entweder einen mit einem Vorzeichen versehenen Werkstücksachsen-Bezeichner (beispielsweise +X oder -Z) oder den Richtungsvektor der numerischen XYZ-Werkstückskoordinate an. Ist ein numerischer Vektor angegeben, dann darf er nicht null sein. Ein Einheitsvektor ist erlaubt, aber nicht erforderlich. Ist p1 nicht angegeben, wird die Verfolgungsoption deaktiviert.

Der optionale Parameter p2 darf nur der Buchstabe "C" sein.

Im ersten Beispiel ist Y das p1-Argument. Es deutet darauf hin, eine Fläche automatisch auf der Y-Maschinenachse zu verfolgen. Die Fläche liegt, vom Tastermittelpunkt aus gesehen, in der positiven Y-Richtung.

Im zweiten Beispiel ist -Z das p1-Argument. Es deutet darauf hin, eine Fläche automatisch und nominal-rechtwinklig zur Z-Maschinenachse zu verfolgen. Die Fläche liegt, vom Tastermittelpunkt aus gesehen, in der negativen Z-Richtung.

Im dritten Beispiel ist kein Argument vorhanden. Es deutet darauf hin, den automatischen Modus für das Verfolgen des elastischen Tasters zu deaktivieren.

Im vierten Beispiel ist der Richtungsvektor (1, 1, 0) des Werkstücks das p1-Argument. Er gibt an, dass automatisch entlang des Richtungsvektors (1, 1, 0) verfolgt werden soll (beispielsweise i=1, j=1 und k=0).

Ergebnisse

Dieser Befehl wird der CNC-Befehl-Warteschlange hinzugefügt. Bei der Ausführung beginnt das System mit der Verfolgung. Wenn der elastische Taster während der Ausführung dieses Befehls die Fläche nicht berührt, wird der Taster so lange in die angegebene Richtung geführt, bis er die Fläche berührt. Der Berührungsmodus des Soft-Tasters wird bei dessen Aktivierung, falls aktiv, deaktiviert (siehe TF-Befehl und BR-Befehl). Der Soft-Taster muss vor Ausführung dieses Befehls kalibriert werden.

Beachten Sie, dass die Maschinengeschwindigkeit auf Verfolgungsgeschwindigkeit beschränkt ist (siehe KS-Befehl).

Auslass-Aktion

Ignoriert; nicht ausgeführt, falls Teil eines übersprungenen Blocks.

Fehlermeldungen:

  • MLB-090 CNC ist nicht verfügbar.


AS - Automatisches Scannen

Über den AS-Befehl werden Steuerparameter für einen Automatisches-Scannen-/Daten-Erfassungs-Vorgang eingerichtet. Beachten Sie, dass dieser Vorgang für SMP-400, Version 104.0 und höher, neu definiert wurde.

Befehlsformat

MLString "AS p1,p2,p3,p4,p5,p6"

Beispiel

  1. MLString "AS Y,S55.6,I10"

    Führen Sie einen automatischen Scan durch, wobei Sie Probemesspunkte als Funktion der Y-Position erfassen, beginnend bei Y=55,6 und erfassen Sie jeweils einen Datenpunkt nach 10 Einheiten. Datenpunkte werden nur im Scandaten-Array erfasst.

  2. MLString "AS A,C12.3,-5.75,S0,I1,USER"

    Führen Sie einen automatischen Scan durch, wobei Sie Probemesspunkte als Funktion des Polarwinkels, relativ zum Arbeitsebenenpunkt (12,3, -5,75) erfassen, beginnend bei null Grad und erfassen Sie an jedem Grad einen Punkt. Datenpunkte werden im Scandaten-Array und im Summen-Array des Benutzers erfasst. Daten werden über den RN-Befehl im Radius-/Winkel-/Höhen-Format an den Wirt zurückgegeben.

Eingabe

  • p1 = Unabhängige Achse für Scan (Zeichenfolge; erforderlich)

  • p2 = Mittelpunkt für Polar-Scan (Zeichenfolge / numerisch; optional)

  • p3 = Anfangswert für unabhängige Achse (Zeichenfolge; optional)

  • p4 = Intervall zwischen aufeinanderfolgenden Zielen (Zeichenfolge oder numerisch; optional)

  • p5 = 'USER' oder 'INTERNAL' zur Summen-Array-Auswahl (Zeichenfolge; optional)

  • p6 = Anzahl der zu erfassenden Punkte (Zeichenfolge oder numerisch; optional)

Der erforderliche Parameter p1 gibt die unabhängige "Achse" für den Scan an. Dies kann nur A, P, S, X, Y, oder Z sein. A spezifiziert einen Polar-Scan mit zurückgegebenen Daten im R-, W-, H- (Radius-, Winkel-, Höhen-) Format. P spezifiziert einen Polar-Scan mit zurückgegebenen Daten im normalen X-, Y-, Z-Format. S weist darauf hin, dass Ziele entlang der Oberfläche mit der Anfangstasterposition von 0,0 verteilt werden sollen. X, Y und Z weisen auf die Verwendung einer Werkstückachse als die unabhängige Achse hin.

Der optionale Parameter p2 ist der Buchstabe 'C', der von zwei Koordinatenwerten gefolgt wird. Dieser Parameter ist nur für Polar-Scans von Bedeutung und definiert das Nenn-Zentrum der Arbeitsebene der gescannten Fläche. Die angeordneten Werte entsprechen X und Y für die XY-Ebene; Y und Z für die YZ-Ebene; und Z und X für die ZX-Ebene. Wenn bei einem Polar-Scan p2 nicht angegeben wurde, geht man von einem Mittelpunkt bei (0, 0) aus.

Der optionale Parameter p3 ist der Buchstabe 'S', gefolgt von der Ausgangskoordinate der unabhängigen Achse. Wenn p4 (nachstehend) ohne p3 angegeben wird, dann beginnt man mit der Datenerfassung an der aktuellen Tasterposition. Beachten Sie, dass p3 nicht angegeben werden kann, ohne p4 zu benennen.

Der optionale Parameter p4 ist der Buchstabe 'I', gefolgt von der inkrementalen Verschiebung zwischen den Zielen. Werden sowohl p3 als auch p4 weggelassen, wird angenommen, dass die Scan-Ziele eher absolut als inkremental sind und vorher unter Verwendung des SB-Befehls übermittelt wurden.

Der optionale Zeichenparameter p5 kann "USER" oder "INTERNAL" sein. Wird p5 angegeben, dann werden die Scan-Daten im angegebenen Summen-Array sowie im Scandaten-Puffer erfasst.

Der optionale Parameter p6 ist der Buchstabe 'N', gefolgt von der Anzahl der Punkte, die erfasst werden sollen. Wenn p6 nicht angegeben ist, wird die Datenerfassung so lange fortgesetzt, bis ein RN-Befehl ausgeführt wird.

Ergebnisse

Der AS-Befehl versetzt den SMP in einen Datenerfassungsmodus. Bevor dieser Befehl ausgeführt wird, sollte die Verfolgungsoption aktiviert werden (siehe den AK-Befehl). Außerdem sollte beim Geschlossene-Schleife-Scan der Taster vor dem ersten Ziel positioniert werden. Beim Offene-Schleife-Scan sollte er auf seine nominale Auslenkung positioniert werden. Nach der Ausführung dieses Befehls werden entsprechende Bewegungsbefehle ausgeführt, um den Taster durch den Zielbereich zu führen. Letztendlich wird der RN-Befehl ausgeführt, um die Datenerfassung zu beenden und/oder um die erfassten Scan-Daten an den Wirt zurückzugeben.

Auslass-Aktion

Ignoriert; nicht ausgeführt, falls Teil eines übersprungenen Blocks.

Fehlermeldungen:

  • MLB-080 Entweder ist der Soft-Taster nicht aktiviert oder die Verfolgungsoption ist nicht eingeschaltet.

  • MLB-090 CNC ist nicht verfügbar.

  • MLB-164 Unzureichende Auslenkung des analogen Tasters


BB - BeginBlock

Der BB-Befehl markiert den Anfang eines Codeblocks, der mit der Skip-Aktion verwendet wird.

Format des MLB-Befehls | Format der Sheffield-Routine
MLString "BB p1" | BeginBlock "p1"

Beispiel eines MLB-Befehls | Beispiel einer Sheffield-Routine
Beispiel 1:
MLString "BB FRONTFACE" | BeginBlock "FRONTFACE"

Eingabe

  • p1 = Maximal 10 Zeichen (Zeichenfolge; erforderlich)

p1 verleiht dem Programmblock einen Erkennungsnamen. Der Name kann bis zu 10 alphanumerische Zeichen enthalten.

Ergebnisse

Die Funktion stellt die internen Attribute ein, die den Anfang eines Blocks kennzeichnen.

Auslass-Aktion

Wenn dieser Befehl innerhalb eines übersprungenen Codeblocks erfolgt, tritt ein Fehler auf.

Fehlermeldungen:

  • MLB-014 Es gibt einen verschachtelten Codeblock.


BeginBlock

Die BeginBlock-Routine markiert den Anfang eines Codeblocks, der mit der Skip-Action verwendet wird.

Weitere Informationen zum BeginBlock finden Sie im MLB-Befehl unter BB.


BF - Elastischen (Soft-) Taster ausschalten

Der BF-Befehl deaktiviert den elastischen Taster. Bei der Verwendung eines analogen Drei-Achsen-Tasters (beispielsweise einem Renishaw SP-600) ist der Berührungstaster deaktiviert.

Befehlsformat

MLString "BF"

Beispiel

  1. MLString "BF"

Eingabe

Keine.

Ergebnisse

Das System deaktiviert den elastischen Taster und hört auf, die Auslenkungen als Teil der Koordinatendaten für die Tastspitzenposition einzubeziehen.

Auslass-Aktion

Ignoriert.

Fehlermeldungen:

Keine.


BR - Elastischen (Soft-) Taster einschalten

Der BR-Befehl aktiviert den elastischen Taster. Wenn dieser Befehl ausgeführt wird, ist der Berührungstaster deaktiviert.

Befehlsformat

MLString "BR"

Beispiel

  1. MLString "BR"

Eingabe

Keine.

Ergebnisse

Das System aktiviert den elastischen Taster und beginnt mit der Einbeziehung von Auslenkungen als Teil der Koordinatendaten für die Tastspitzenposition.

Auslass-Aktion

Wird selbst innerhalb eines übersprungenen Blocks ausgeführt.

Fehlermeldungen:

  • MLB-080 Der elastische Taster ist nicht kalibriert worden.


CNC-1 - 32 Millisekunden seit der letzten D/A-Aktualisierung

Die digitalen/analogen (D/A) Konverter auf der CNC-Karte sind seit mindestens 32 Millisekunden nicht mehr aktualisiert worden. Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Setzen Sie die CNC-Karte neu ein.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


CNC-2 - 32 Millisekunden seit der letzten D/A-Aktualisierung

Das CNC ist seit mindestens 32 Millisekunden nicht mehr aktualisiert worden. Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Setzen Sie die CNC-Karte neu ein.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


CNC-3 - CNC-zu-MP-Unterbrechung seit 32 Millisekunden nicht bestätigt

Das CNC hat einen Interrupt an den MP gesendet. Der Interrupt wurde während der letzten 32 Millisekunden nicht vom MP bestätigt. Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Setzen Sie die CNC-Karte neu ein.

  3. Setzen Sie die MP-CPU-Platine neu ein.

  4. Schalten Sie den MP wieder ein.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


EB - EndBlock

Der EB-Befehl markiert das Ende eines Codeblocks, dass mit einem BB-Befehl begann.

Format des MLB-Befehls | Format der Sheffield-Routine
MLString "EB" | EndBlock

Beispiel eines MLB-Befehls | Beispiel einer Sheffield-Routine
Beispiel 1:
MLString "EB" | EndBlock

Eingabe

Keine.

Ergebnisse

Der Befehl markiert das Ende eines Codeblocks, der mit dem vorherigen BB-Befehl begann.

Auslass-Aktion

Wird selbst innerhalb eines übersprungenen Blocks ausgeführt.

Fehlermeldungen:

  • MLB-015 Es ist kein passender Blockanfang vorhanden.


EndBlock

Die EndBlock-Routine markiert das Ende eines Codeblocks, der mit einem BB-Befehl begann.

Weitere Informationen zur EndBlock-Routine finden Sie im MLB-Befehl unter EB.


IL - Bibliothek initialisieren

Der IL-Befehl initialisiert die Messbibliothek. Attribute und Variablen kehren bei der System-Initialisierung zum Standardzustand zurück. Über diese Funktion werden keine Systemfehler geklärt, die durch einen Hardwarefehler ausgelöst wurden. Für solche Fehler müssen andere Korrekturmaßnahmen ergriffen werden.

Befehlsformat

MLString "IL"

Beispiele:

  1. MLString "IL"

Eingabe

Keine.

Ergebnisse

Das System:

  • Alle gemessenen Elemente werden gelöscht,

  • das Werkstück und der KMG-Maßstab werden auf 1:1 zurückgesetzt,

  • Achsenverschiebungen und -drehungen werden abgebrochen,

  • die Element- und Sequenzzahl werden auf Null gesetzt,

  • kehrt zu den Standardwerten für Messeinheiten und der Arbeitsebene zurück und

  • löscht alle anderen Variablen oder stellt sie auf die Standardwerte ein.

Diese Funktion wirkt sich nicht auf folgende Vorgänge aus:

  • Ausgewählte Tastspitze oder Tasterdurchmesser,

  • Kalibrierung irgendeiner Tastspitze,

  • Kalibrierung des Drehtisches oder

  • auf gespeicherte Referenzrahmen von 1 bis 48. Andere Referenzrahmen werden gelöscht

Auslass-Aktion

Diese Funktion darf in einem zu überspringenden Codeblock nicht auftreten. Fehler.

Fehlermeldungen:

Keine.


IO - I/O-Zustand

Mit dem IO-Befehl kann einer der Eingabe-Bits ('Nur lesen' oder 'Lesen-Schreiben') getestet oder der Zustand einer der Ausgabe-Bits ('Nur schreiben' oder Lesen-Schreiben') geändert werden.

Befehlsformat

MLString "IO p1,p2"

Beispiele:

  1. MLString "IO 3,1"

  2. MLString "IO 2"

Eingabe

  • p1 = 0 bis 67 (Numerisch; erforderlich)

  • p2 = 0 oder 1 (Numerisch; optional)

p1 ist eine Zahl, die dem Eingabe- bzw. Ausgabe-Bit entspricht, dessen Zustand angezeigt oder geändert wird. p1 muss eine Zahl zwischen 0 und 67 sein. Für nähere Angaben setzen Sie sich bitte mit Giddings & Lewis in Verbindung.

Wenn p2 angegeben ist, kennzeichnet p1 ein Ausgabe-Bit ('Nur schreiben' oder 'Lesen-Schreiben'). p2 darf nicht mit einem 'Nur lesen'-Bit angegeben werden. p2 gibt den Zustand an, in den das Ausgabe-Bit, das durch p1 gekennzeichnet ist, geändert werden soll. p2 muss entweder eine null (0) oder eine eins (1) sein.

Die Ausgabe-Bits sind wie Schalter, die entweder geöffnet oder geschlossen sind. Auf dem Steuer-Board gilt, dass, wenn p2 null (0) entspricht, der Schalter geschlossen ist. Wenn p2 eins (1) entspricht, ist der Schalter geöffnet. Für das digitale I/O-Hilfs-Board und das Temperaturkompensations-Board gilt, dass, wenn p2 null (0) entspricht, der Schalter geöffnet ist. Wenn p2 eins (1) ist, ist der Schalter geschlossen. Im ersten Beispiel wird der Zustand des Nur-Schreiben-Bits Nummer 3 gerade auf eins geändert.

Wenn p2 nicht angegeben wird, kennzeichnet p1 ein Eingabe- ('Nur lesen', 'Lesen-Schreiben') Bit. Der Programmierer kann nur den Zustand eines Bits, das als ein Eingabe-Bit identifiziert wurde, prüfen. Der Zustand eines Eingabe-Bits kann nicht geändert werden. Im zweiten Beispiel wird der Zustand des 'Nur lesen'-Bits Nr. 2 auf dem Steuer-Board geprüft.

Ergebnisse

Wenn p2 nicht angegeben wurde, wird der aktuelle Zustand des Eingabe-Bits, dass durch p1 gekennzeichnet ist, in der Variablen S7 gespeichert. Die Variable S7 muss sofort nach der Ausführung dieser Funktion überprüft werden, um den Zustand des Eingabe-Bits zu verifizieren. Wenn S7 null (0) ist, fließt kein Strom in das Eingabe-Bit. Wenn S7 eins (1) ist, fließt Strom in das Bit. Dies gilt für das Steuer-Board und das digitale I/O-Hilfs-Board. Für das Temperaturkompensations-Board gilt, dass, wenn S7 null ist, es sich bei dem Eingabe-Bit um einen offenen Schaltkreis (+V) handelt. Wenn S7 eins ist, dann ist das Eingabe-Bit Masse (OV). Für die Lesen-Schreiben-Eingabe-Bits gilt, dass S7 den letzten Wert, der in das Ausgabe-Bit geschrieben wurde, enthält.

Wenn p2 im IO-Befehl angegeben wurde, ist der Wert S7 bedeutungslos. Beachten Sie, dass alle Eingabe-Bits und/oder Ausgabe-Bits nicht für den Benutzer verfügbar sein dürfen. Die Verfügbarkeit hängt von der erworbenen MP-Konfiguration ab.

Auslass-Aktion

Wird selbst innerhalb eines übersprungenen Blocks ausgeführt.

Fehlermeldungen:

  • MLB-005 Kommunikationsfehler.

  • MLB-006 Logischer Übertragungsfehler in der Ausgabemaske.

  • MLB-007 Ausgabe nicht verfügbar.

  • MLB-021 Erster Parameter ungültig.

  • MLB-022 Zweiter Parameter ungültig.


KD - Einstellen der nominalen Auslenkung des elastischen (Soft-) Tasters

Der KD-Befehl stellt die zu verwendende nominale Soft-Taster-Auslenkung ein.

Befehlsformat

MLString "KD p1"

Beispiele:

  1. MLString "KD 0.05" -

    Setzt die nominale Soft-Taster-Auslenkung auf 0,05 Einheiten.

Eingabe

  • p1 = nominale Soft-Taster-Auslenkung (Numerisch; optional)

Der optionale, numerische Parameter p1 gibt die nominale Soft-Taster-Auslenkung in aktuellen Einheiten an. Der Wert muss positiv sein.

Wenn p1 nicht angegeben wurde, wird die aktuelle Einstellung für die nominale Soft-Taster-Auslenkung zurückgegeben. Der Standardwert nach der Initialisierung (IL) beträgt 0,05 Zoll.

Ergebnisse

Ist ein Wert angegeben, dann wird die nominale Soft-Taster-Auslenkung auf diesen Wert eingestellt unter Berücksichtigung der oben stehenden Angaben. Wenn kein Wert angegeben wurde, dann wird der aktuelle Wert an Variable S7 zurückgegeben.

Auslass-Aktion

Normale Ausführung.

Fehlermeldungen:

  • MLB-090 CNC ist nicht verfügbar.


KS - Verfolgungsgeschwindigkeit einstellen

KS - Verfolgungs-/Scangeschwindigkeit einstellen

Der KS-Befehl stellt die Tastergeschwindigkeit ein, die während der CNC-Bewegungen beim Verfolgen oder Scannen verwendet wird.

Befehlsformat

MLString "KS p1,p2"

Beispiele:

  1. MLString "KS 0.5"

    Setzen Sie die Verfolgungs-/Scan-Bewegungsgeschwindigkeit auf 0,5 Einheiten pro Sekunde.

Eingabe

  • p1 = Verfolgungs-/Scan-Bewegungsgeschwindigkeit (Numerisch; optional)

  • p2 = Verfolgungs-/Scan-Bewegungsgeschwindigkeit (Numerisch; optional)

Die optionalen, numerischen Parameter p1 und p2 geben die gewünschte Verfolgungs-/Scan-Bewegungsgeschwindigkeit in aktuellen Einheiten pro Sekunde an. Der Wert muss positiv sein. Wenn der angegebene Wert den zulässigen Höchstwert für die Maschine überschreitet, wird der zulässige Höchstwert verwendet.

Wenn nur p1 angegeben wird, wird der p1-Wert sowohl für den offenen als auch für den geschlossenen Schleifenscan verwendet. Wenn p1 und p2 angegeben wurden, dann wird p1 für den offenen Schleifenscan und p2 für den geschlossenen Schleifenscan verwendet.

Ist kein Wert angegeben, dann werden die aktuellen Einstellungen für die Verfolgungs- und Scan-Bewegungsgeschwindigkeit zurückgegeben. Die Standardwerte nach der Initialisierung (IL) sind 0,1 Zoll (oder 2.54 mm) pro Sekunde.

Ergebnisse

Ist ein Wert angegeben worden, dann wird die Verfolgungs-/Scan-Bewegungsgeschwindigkeit auf diesen Wert eingestellt unter Berücksichtigung der oben stehenden Angaben. Ist kein Wert angegeben worden, wird der aktuelle Offene-Schleife-Wert an die Variable S7 zurückgegeben und der Geschlossene-Schleife-Wert wird an die Variable S8 zurückgegeben. Das System verwendet dies als Höchstgeschwindigkeit bei jeder befohlenen CNC- oder Joystick-Bewegung beim Nachverfolgen einer Fläche mit einem elastischen (Soft-) Taster oder beim Scannen mit einem Solchen.

Auslass-Aktion

Normale Ausführung.

Fehlermeldungen:

  • MLB-090 CNC ist nicht verfügbar.


MLB-001 - MP-interner Syntaxfehler

Ein Messprozessor(MP)-interner Systemfehler ist aufgetreten.

Auswirkung

Befehl wurde abgebrochen. Weitere Werkstückprogrammabläufe sind nicht mehr möglich.

G ehen Sie folgendermaßen vor:

  1. Starten Sie das System neu.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-003 - Kommunikationsfehler

Dieser Fehler wird normalerweise von einer erforderlichen Systemressource verursacht, die entweder nicht vorhanden oder nicht funktionsfähig ist. Es handelt sich hierbei um einen MP-internen Systemfehler.

Auswirkung

Befehl wurde abgebrochen. Weitere Systemvorgänge sind nicht mehr möglich.

G ehen Sie folgendermaßen vor:

  1. Starten Sie das System neu.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-004 - Numerischer Fehler

Ein Zustand, in dem eine arithmetische Rechenoperation zu einem ungültigen Ergebnis führt, wie z. B. eine versuchte Division durch Null, ist entstanden. Es handelt sich hierbei um einen MP-internen Systemfehler.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Stellen Sie sicher, dass die gemessenen Punkte jenes Element bestimmen, das geprüft wird und dass die versuchte Elementerstellung sinnvoll ist.

  2. Kann für den Fehler keine Ursache ermittelt werden, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-005 - Kommunikationsfehler

Beim IO-Befehl sind Kommunikationsfehler mit dem MP aufgetreten. Es handelt sich hierbei um einen MP-internen Systemfehler.

Auswirkung

Die I/O-Bits können nicht korrekt gelesen oder geschrieben werden.

G ehen Sie folgendermaßen vor:

  1. Starten Sie das System neu.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-006 - Logischer Übertragungsfehler in der Ausgabemaske

Beim Befehl IO ist ein Fehler bei der Übertragung der logischen Ausgabemaske aufgetreten. Es handelt sich hierbei um einen MP-internen Systemfehler.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das logische Format der Ausgabemaske und führen Sie das Programm erneut aus.

  2. Starten Sie das System neu.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-007 - Ausgabe nicht verfügbar

IO-Befehlsausgabe der logischen Ausgabemaske ist nicht verfügbar. Es handelt sich hierbei um einen MP-internen Systemfehler.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Ändern Sie die Ausgabe-Anschlussnummer und führen Sie das Programm erneut aus.

  2. Starten Sie das System neu.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-010 - Nicht-identifizierte FCS

Die spezifizierte Funktionsbefehl-Zeichenfolge (FCS) entsprach keinem definierten MLB-Befehl.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm, sodass die richtige FCS-Kennung angewendet werden kann.


MLB-011 - Erster Datensatz in der Skip-Datei ist ungültig

Bei der ersten Zeile der Skip-Datei muss es sich entweder um "Typ=SKIP" oder "Typ=EXEC" handeln.

Auswirkung

Die Skip-Datei wird ignoriert und der normale Werkstückprogrammvorgang findet bei Fortsetzung statt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie den Inhalt der Skip-Datei.


MLB-012 - Ungültiger Datensatz in der Skip-Datei

Eine Zeile in der Skip-Datei enspricht entweder nicht einem Kommentar oder einem gültig formatiertem Codeblock-Namen.

Auswirkung

Die ungültige Zeile wird ignoriert.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie den Inhalt der Skip-Datei.


MLB-013 - Skip-Datei-Zugrifffehler

Beim Lesen der Skip-Datei ist ein Fehler aufgetreten.

Auswirkung

Die Skip-Datei wird ignoriert.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Skip-Datei und die Skip-Datei-Datenträger auf Fehler.


MLB-014 - Verschachtelte Codeblöcke

Das Werkstückprogramm enthält verschachtelt-benannte Codeblöcke. Mit der Ausführung des zweiten Codeblocks wurde vor Ende (EB) des ersten Codeblocks begonnen (BB).

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-015 - Fehlender Anfangsblock

Ein Endblock-Befehl (EB) wurde ohne passenden Anfangsblock (BB) ausgeführt.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-016 Verschachtelte Skipsequenz

Das Werkstückprogramm enthält eine verschachtelte Skipsequenz. Es wurde auf einen zweiten Anfangs-Skip-Befehl gestoßen, ohne dass es dazwischen eine End-Skip-Anweisung gegeben hat.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-017 - Ungültige End-Skipblock-Funktion

Ein End-Skip-Sequenzbefehl wurde gefunden, der nicht mit dem Anfangs-Skip-Sequenzbefehl übereinstimmt.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-018 - Unzulässiger Toleranzmodus

Bolzenkreis- oder Rechteckmuster-Funktion kann im Grenztoleranzmodus nicht aufgerufen werden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-019 - Unzulässiger Parameter

Es wurden entweder zuviele, nicht genügend, oder ein ungültiger Parameter angegeben.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-020 - Kein Parameter zulässig

Der angegebene Befehl läßt keinen Parameter zu. Es wurde aber ein Parameter spezifiziert.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-021 - Erster Parameter ungültig

Der erste angegebene Parameter ist für diese Funktion nicht zulässig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-022 - Zweiter Parameter ungültig

Der zweite angegebene Parameter ist für diese Funktion nicht zulässig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-023 - Dritter Parameter ungültig

Der dritte angegebene Parameter ist für diese Funktion nicht zulässig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-024 - Vierter Parameter ungültig

Der vierte angegebene Parameter ist für diese Funktion nicht zulässig.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-025 - Angegebener Parameter ungültig

Einer der angegebenen Parameter ist für diese Funktion nicht zulässig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-026 - Angegebene Tastspitze unzulässig

Die angegebene Tastspitze wurde nicht kalibriert oder hat eine ungültige Tastspitzennummer.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die angegebene Tastspitze und korrigieren Sie entweder deren Namen, kalibrieren Sie die Tastspitze oder wählen Sie die 'Tastspitze korrigieren'-Datei aus.


MLB-027 - Übermäßige Winkelabweichung

Es wurde versucht, Parallelität zwischen zwei fast senkrecht zueinander stehenden Elementen oder Rechtwinkligkeit zwischen zwei fast parallelen Elementen zu berechnen.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm, um korrekte Elemente oder den korrekten Befehl anzugeben.


MLB-028 - Unzureichende Anzahl von Parametern

Ein erforderlicher Parameter ist für diese Funktion nicht spezifiziert worden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-029 - Dimensionale Array-Werte außerhalb des zulässigen Bereichs

Die Datenmenge im dimensionalen Array ist entweder zu groß oder zu klein und kann deshalb nicht für diese Funktion verwendet werden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-030 - Stapelspeicher für Elemente enthält nicht die erforderlichen Elemente

Es besteht eine der folgenden Bedingungsvorgaben:

  1. Elementregister ist leer;

  2. Angegebene oder erforderliche Elementposition ist leer;

  3. Stapelspeicher für Elemente enthält keine zwei Elemente;

  4. Stapelspeicher für Elemente enthält nicht die erforderlichen Elemente;

  5. Im Stapelspeicher für Elemente befindet sich nicht die erforderliche Anzahl an Punkten, um das Element zu definieren.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm, um die geeigneten Daten im Stapelspeicher für Elemente zu erhalten.


MLB-031 - Erster Parameter spezifiziert ungültigen Elementtyp

Bei dem vom ersten Funktionsparameter spezifizierten Element handelt es sich um einen unzulässigen Elementtyp für diese Funktion. Beachten Sie, dass dieser Fehler auftreten kann, wenn kein Parameter angegeben wurde und die Funktion standardmäßig die Daten aus dem Elementregister verwendet und dieser Elementtyp fehlerhaft ist.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-032 - Zweiter Parameter spezifiziert ungültigen Elementtyp

Bei dem vom zweiten Funktionsparameter spezifizierten Element handelt es sich um einen unzulässigen Elementtyp für diese Funktion. Beachten Sie, dass dieser Fehler auftreten kann, wenn kein Parameter angegeben wurde und die Funktion standardmäßig die Daten aus der ersten Element-Stapelspeicherposition (F1) verwendet und dieser Elementtyp fehlerhaft ist.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-033 - Ungültiger Elementtyp "Ebene"

Das angegebene Element ist eine Ebene und der Elementtyp "Ebene" ist für diese Funktion nicht zulässig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-034 - Konzentrische Kreise überschneiden sich nicht

Die angegebenen Kreise für die Berechnung eines Schnittpunktes waren konzentrisch und können sich nicht überschneiden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-035 - Gerade senkrecht zur Arbeitsebene

Der Funktionsvorgang hat eine Projektion der angegebenen Gerade auf die aktuelle Arbeitsebene erfordert. Die Gerade steht jedoch senkrecht zur Ebene und konnte deshalb nicht projiziert werden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-036 - Ungültiges (Null-) Element wurde adressiert

Das angegebene Element gehört zum Typ 'Null', was bedeutet, dass es sich hierbei um das Ergebnis eines übersprungenen Vorgangs handelt. Diese Funktion kann jedoch nicht mit einem 'Null'-Element ausgeführt werden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-037 - Ungültiger Elementtyp

Der für diese Funktion ausgewählte Elementtyp ist ungültig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-038 - Gerade parallel zur Zylinderachse überschneidet sich nicht

Zur Ausführung des Befehls war die Berechnung einer Geraden mit einer zylindrischen Fläche erforderlich. Die angegebene Gerade ist aber parallel zur Zylinderachse und kann sich deshalb nicht überschneiden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-040 - Summen-Array enthält nicht genügend Elemente

Die Anzahl der Punkte, die für diesen Befehl erforderlich ist, ist nicht im Summen-Array enthalten.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-041 - Punkte definieren das Element nicht

Es besteht eine der folgenden Bedingungsvorgaben:

  1. Die Punkte definieren das Element nicht (Kreis, Gerade in der Arbeitsebene, Gerade im Raum oder eine Ebene).

  2. Die Elemente definieren keinen Versatzwinkel.

  3. Entweder ist die Gerade senkrecht zur Messebene oder die Punkte sind bei der Projektion auf die Messebene gleich. Der Versatzwinkel bleibt unverändert.

  4. Die Elemente liegen parallel zueinander.

  5. Die Elemente liegen senkrecht zueinander.

  6. Die Elemente sind identisch.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-042 - Ungültige Summen

Das angegebene Summen-Array ist aufgrund eines vorangegangenen Vorgangs ungültig.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-043 -Segmentierung wird gerade durchgeführt

Der Befehl kann während einer segmentierten Messung nicht ausgeführt werden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-044 - Segmentierung nicht initialisiert

Es wurde versucht, einen 'nächstes Segment'-Befehl auszuführen, als eine segmentierte Messfolge nicht ordnungsgemäß initialisiert wurde.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-045 - Befehl kann nicht übersprungen werden

Ein MLB-Befehl, der nicht übersprungen werden darf, war in einem übersprungenen Codeblock enthalten.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-050 - RCU nicht verfügbar

Der Befehl erfordert ein RCU, obwohl kein RCU verfügbar ist.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-060 - Drehtisch nicht verfügbar

Der Befehl erfordert einen Drehtisch, obwohl kein Drehtisch verfügbar ist.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-060 - Drehtischzähler nicht verfügbar

Der Befehl erfordert einen Drehtisch mit einem Zähler.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-062 - Nicht auf Drehtisch mit Zähler erlaubt

Der Befehl ist ungültig, wenn das System einen Drehtisch mit einem Zähler enthält.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-063 - Auf fehler-korrigiertem Drehtisch unzulässig

Dieser Befehl ist ungültig, wenn das System einen fehler-korrigierten Drehtisch enthält.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-064 - Auf Kopplungstisch von Hirth unzulässig

Der Befehl wird für einen verkoppelten Tisch von Hirth nicht unterstützt.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-070 - Referenz nicht gespeichert

Der Befehl hat versucht, einen Referenzrahmen aufzurufen, der nicht gespeichert wurde.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-071 - Überlauf des Elementspeichers

Das System hat nicht genügend Speicherplatz, um ein weiteres Element zu speichern.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Systemspezifikationen und korrigieren Sie das Werkstückprogramm. Elemente, die vorher gespeichert wurden, müssen möglicherweise gelöscht werden.


MLB-072 - Element wurde nicht gefunden

Der Befehl hat versucht, ein nicht gespeichertes Element aufzurufen oder zu löschen.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.


MLB-080 - Taster wurde unsachgemäß installiert

Diese Funktion ist mit dem installierten Tastertyp nicht kompatibel; beispielsweise ist eine Fünfachsenfunktion ungültig, wenn ein Berührungstaster installiert ist. Dieser Fehler kann auch auf einem System mit einem Tasterwechsler auftreten, wenn beim Systemstart ein Taster montiert war oder ein Taster manuell montiert wurde, als das System davon ausging, dass kein Taster installiert wurde.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.

  2. Passen Sie das installierte Equipment an, um das Problem zu beheben.


MLB-088 - RCU-Laufwerkstaste in Verbindung mit QU verwendet

Der Qu-Befehl wurde durch die Laufwerkstaste auf dem RCU-II beendet.


MLB-089 - RCU-Zum-Bildschirm-zurückkehren-Taste verwendet in Verbindung mit QU

Der Qu-Befehl wurde durch die Zum-Bildschirm-zurückkehren-Taste auf dem RCU-II beendet.


MLB-090 - CNC nicht verfügbar

Der Befehl erfordert CNC-Funktionalität, wenn CNC-Vorgänge derzeitig nicht auf dem System verfügbar sind.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.

  2. Passen Sie das installierte Equipment an, um das Problem zu beheben.

  3. Beheben Sie das Problem, das CNC-Vorgänge verhindert.


MLB-091 - Kontakt mit dem Werkstück wurde nicht hergestellt

Während einer versuchten CNC-Berührung hat sich der Taster weiter zum Ziel hin bewegt. Dabei wurde kein Kontakt mit dem Übersteuerungsabstand und dem Werkstück hergestellt.

Auswirkung

Punktdaten wurden nicht aufgezeichnet. Das Werkstückprogramm kann möglicherweise nicht fortgeführt werden.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Korrigieren Sie entweder das Programm oder die Position des Werkstücks.


MLB-092 - Unzureichender Sicherheitsabstand

Der angegebene Tasterdurchmesser und Sicherheitsabstand lassen ein Eintreten des Tasters in die Bohrung nicht zu.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Korrigieren Sie entweder die angegebene Größe der Bohrung, verkleinern Sie den zulässigen Sicherheitsabstand oder verwenden Sie einen kleineren Taster.


MLB-093 - System für Auto-Modus nicht konfiguriert

Der Befehl zur Auswahl des automatischen Modus wurde auf einem System ausgeführt, das nicht sachgemäß konfiguriert wurde, um diesen Vorgang zu unterstützen.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Korrigieren Sie entweder das Programm oder konfigurieren Sie das System.

  2. Sollte der Fehler nochmals auftreten und dieser Vorgang unterstützt werden, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-094 - Fern-Auto-Sperre nicht eingerastet

Der Befehl zur Auswahl des automatischen Modus' wurde ausgeführt, allerdings ist die ferngesteuerte Auto-Sperre nicht aktiv.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Korrigieren Sie entweder das Programm oder aktivieren Sie die ferngesteuerte Auto-Sperre. Wählen Sie den AUTO-Modus manuell, um mit dem Werkstückprogramm fortzufahren.

  2. Sollte der Fehler nochmals auftreten und dieser Vorgang unterstützt werden, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-095 - Fehler beim Einschalten des Servo-Stroms

Der Befehl zur Auswahl des automatischen Modus wurde zwar ausgeführt, allerdings konnte der Servo-Strom nicht eingeschaltet werden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Korrigieren Sie entweder das Werkstückprogramm oder beseitigen Sie das Hardwareproblem, durch das ein Einschalten des Servo-Stroms verhindert wurde. Schalten Sie den Servo-Strom manuell ein und wählen Sie den AUTO-Modus, um mit dem Werkstückprogramm fortzufahren.

  2. Sollte der Fehler nochmals auftreten und dieser Vorgang unterstützt werden, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-096 - Auto-Modus konnte nicht ausgewählt werden

Der Befehl zur Auswahl des automatischen Modus wurde zwar ausgeführt, allerdings konnte das System den Auto-Modus nicht auswählen.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Korrigieren Sie entweder das Werkstückprogramm oder beseitigen Sie das Hardwareproblem, durch das der Auto-Modus verhindert wird. Wählen Sie den AUTO-Modus manuell, um mit dem Werkstückprogramm fortzufahren.

  2. Sollte der Fehler nochmals auftreten und dieser Vorgang unterstützt werden, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-100 - Tastkopf-Bezugsfehler

Der DSE-2-Achsentaster liegt nach einer Bewegung nicht satt auf und ist nicht eingerastet.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Stellen Sie sicher, dass der 2-Achsen-Tastkopf satt aufliegt und fahren Sie fort.


MLB-101 - Tastkopf-Blockierungsfehler

Positionierung des motorischen DSE-Tastkopfes aufgrund eines Hindernisses nicht abgeschlossen.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bringen Sie den 2-Achsen-Tastkopf neu in Stellung und fahren Sie fort.


MLB-110 - Tastspitze "0" nicht kalibriert

Es wurde versucht, eine Tastspitze, mit Ausnahme der Master-Tastspitze (Tastspitze Nr. 0), zu kalibrieren, als die Lage der Vorrichtung relativ zur Tastspitze "0" unbekannt war. Die Tastspitze "0" muss kalibriert werden, bevor irgendeine andere Tastspitze kalibriert werden kann. Beachten Sie, dass dieser Fehler auftreten kann, wenn ein Kalibriervorgang der Tastspitze "0" begonnen, dann aber abgebrochen wurde.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Kalibrieren Sie Tastspitze "0".


MLB-111 - Kugelkalibriervorrichtung erforderlich

Versuch einer automatischen Kalibrierung nach Ausführung eines MLB-Befehls, der die Kalibriervorrichtung als Kegel und nicht als Kugel angegeben hat.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-112 - Ungültige Kalibrierung der Tastspitze "0", ausgelöst durch Temperaturwechsel

Auf einem System mit automatischen Temperatursensoren hat sich die Temperatur soweit nach der Kalibrierung der Tastspitze "0" verändert, dass zusätzliche Tastspitzen nicht präzise kalibriert werden können.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Kalibrieren Sie die Tastspitze "0" neu, bevor Sie weitere Tastspitzen kalibrieren.


MLB-113 - Kalibrierung wurde durch negativen Tasterdurchmesser ungültig gemacht

Ein Taster-Kalibriervorgang hat zur Berechnung eines negativen Tasterdurchmessers geführt. Dieser Fehler wird typischerweise durch Angabe einer falschen Größe der Kalibrierkugel verursacht. Oder aber die falschen Messeinheiten sind während der Angabe der Kalibrierkugelgröße aktiviert.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Problem und kalibrieren Sie den Taster neu.


MLB-114 - Übermäßiger Tasterversatz führte zu ungültiger Kalibrierung

Ein Taster-Kalibriervorgang führte zur Berechnung von Tasterversatzwerten, die offensichtlich ungültig waren. Verursacht wird dies typischerweise durch falsche Angabe der Kalibrierkugelposition bei "MEA" oder durch Bewegen der Kalibrierkugel nach der Kalibrierung der Tastspitze "0", ohne dass daraufhin die Bestimmung der Kugel ausgeführt wurde.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Problem und kalibrieren Sie den Taster neu.


MLB-115 - Dateifehler während des Element- oder Taster-Speichervorgangs

Element- oder Tasterdaten konnten nicht im Datenspeicher der Wirtsfestplatte gespeichert werden. Festplatte ist möglicherweise voll oder schreibgeschützt.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Problem und führen Sie das Programm erneut aus.


MLB-116 - Beim Start der Kreisbewegung nicht auf dem Kreis

Das KMG ist am Anfang eines Kreisbewegungsbefehls nicht innerhalb der Bewegungstoleranz des Befehlskreises positioniert

Auswirkung

Befehl wird nicht ausgeführt. SMP wurde in den manuellen Modus versetzt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Bewegungsbefehle unmittelbar vor der Kreisbewegung.


MLB-120 - Werkstück wurde unsachgemäß ausgerichtet oder skaliert

Das Werkstück wurde entweder nicht mit dem KMG ausgerichtet, abweichend für den rechteckigen Scan skaliert oder nicht nivelliert oder abweichend für den Polarscan skaliert.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Programm durch richtige Ausrichtung und/oder Skalierung des Werkstücks.


MLB-130 - Abbruch des Vorgangs

Der Vorgang wurde aufgrund einer Bediener-Auswahl abgebrochen

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Bestätigen Sie die Fehlermeldung und fahren Sie entweder fort oder brechen Sie das Werkstückprogramm dementsprechend ab.


MLB-131 - Elektronische Niveauregulierung nicht verfügbar

Ein Befehl zum Lesen der elektronischen Niveauregulierung wurde ausgeführt und die elektronische Niveauregulierung ist nicht verfügbar.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Verifizieren Sie, dass die elektronische Niveauregulierung in diesem System verfügbar, aber nicht funktionsfähig ist.


MLB-132 - Zeitlimit der elektronischen Niveauregulierungsschnittstelle überschritten

Ein Befehl zum Lesen der elektronischen Niveauregulierung wurde ausgeführt und das Zeitlimit der elektronischen Niveauregulierung ist überschritten.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Vergewissern Sie sich, dass die elektronische Niveauregulierung funktionsfähig ist.


MLB-140 - Punkt nicht verfügbar

Der angegebene Datenpunkt befindet sich nicht im Summierungs-Array. Das Programm hat den Punkt nicht gespeichert.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Korrigieren Sie das Werkstückprogramm.


MLB-150 - APC-Tasterwechsler nicht verbunden

Das Kabel, dass normalerweise den automatischen Tasterwechsler mit dem ACU verbindet, ist entweder nicht mit dem Tasterwechsler oder dem ACU verbunden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Wenn Sie über einen automatischen Tasterwechsler (APC) verfügen, verbinden Sie diesen.

  2. Wenn Sie nicht über einen APC-Tasterwechsler verfügen, verwenden Sie einen alternativen MLB-Befehl, der keinen APC erfordert.


MLB-151 - APC-Firmware oder -Schnittstelle nicht vorhanden

Sie haben eine automatische Tasterwechslerfunktion (APC-Funktion) angefordert, aber es ist kein APC oder Unterstützer-Firmware verfügbar.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Verwenden Sie eine alternierende Funktion, die keinen APC erfordert.


MLB-152 - APC-Tasterwechsler nicht kalibriert

Sie versuchen, ein Werkstückprogramm mit Hilfe des automatischen Tasterwechslers (APC) auszuführen. Dieser wurde nicht kalibriert.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Kalibrieren Sie den automatischen Tasterwechsler.


MLB-153 - APC/MP-Kommunikationsfehler

Die Kommunikation zwischen dem automatischen Tasterwechsler und dem Messprozessor (MP) ist ausgeschaltet.

Auswirkung

Der MP ist nicht in der Lage, mit dem automatischen Tasterwechsler zu kommunizieren.

G ehen Sie folgendermaßen vor:

  1. Setzen Sie den MP und den automatischen Tasterwechsler zurück .

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-154 - APC-Tasterwechsler-Zeitüberschreitung oder Defekt der Sperre

Die zugewiesene Zeit für eine Taster-Transaktion wurde überschritten oder ein Adapter konnte nicht gesperrt werden.

Auswirkung

Befehl wurde abgebrochen.

G ehen Sie folgendermaßen vor:

  1. Setzen Sie den automatischen Tasterwechsler zurück.


MLB-155 - APC-Wechsler-Überlauf

Überschreitung des Fahrwegs der automatischen Tasterwechsler-Baugruppe.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Kalibrieren Sie den automatischen Tasterwechsler neu.


MLB-156 - Sichere Position wurde nicht definiert

Es wurde keine sichere DSE-A-Rotationsposition definiert.

Auswirkung

Der automatische Tasterwechsler kann nicht verwendet werden.

G ehen Sie folgendermaßen vor:

  1. Definieren Sie eine sichere DSE-A-Position.


MLB-157 - Keine Erweiterungen geladen

Sie versuchen gerade, einen Mehrstationstaster zu assemblieren, während sich im Tasterwechsler-Magazin keine Erweiterungen befinden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Laden und kalibrieren Sie die benötigten Erweiterungen.


MLB-158 - Zu viele geladene Erweiterungen

Sie haben versucht, mehr als drei Erweiterungen auf den Taster zu laden.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Stellen Sie sicher, dass die letzte automatische Tasterwechslerstation, die in einer Tasterkonfiguration angegeben wurde, einen Wechsler enthält.


MLB-160 - Firmware-Einheit nicht gefunden

Es befindet sich eine fehlerhafte ROM- oder CPU-Platine im MP.

Auswirkung

Das System ist nicht betriebsbereit.

G ehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-161 - APC-Magazin konnte nicht herabgelassen werden

APC-Magazin konnte nicht herabgelassen werden.

Auswirkung

Es wurde ein Befehl ausgeführt, der das Herablassen des APC-Magazins erforderte, was aber nicht möglich war.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.

  2. Beheben Sie das Problem mit der anheben-/senken-Funktionalität des APC-Magazins.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-162 - APC-Magazin konnte nicht angehoben werden

Es wurde ein Befehl ausgeführt, der das Anheben des APC-Magazins erforderte, was aber nicht möglich war.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.

  2. Beheben Sie das Problem mit der anheben-/senken-Funktionalität des APC-Magazins.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MLB-164 - Unzureichende Auslenkung des analogen Tasters

Der analoge Taster ist am Anfang eines AS-Befehls um weniger als die Hälfte der Sollauslenkung ausgelenkt.

Auswirkung

Befehl wird nicht ausgeführt.

G ehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Bewegungsbefehle direkt vor dem AS-Befehl. Die nominale Auslenkung des analogen Tasters kann unter Verwendung des Befehls KD gelesen werden.


MLB-166 - Kein Kreis

Ursache

Das KMG ist am Anfang eines Kreisbewegungsbefehls nicht innerhalb der Bewegungstoleranz des Befehlskreises positioniert.

Auswirkung

Befehl wird nicht ausgeführt; SMP wird in den manuellen Modus versetzt.

Vom Anwender zu ergreifende Maßnahme:

Überprüfen Sie den Bewegungsbefehl unmittelbar vor der Kreisbewegung.

Vom Betriebsleiter zu ergreifende Maßnahme:

Keine.


MLB-168 - Unerwartete Berührung

Berührungstaster war während des Auto-Modus durchgebogen außer während eines Berührungs- oder Suchbefehls. Typischerweise geschieht dies während einer CNC-Bewegung, die über einen (hindernis)freien Pfad führen sollte.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

G ehen Sie folgendermaßen vor:

  1. Entfernen Sie das Hindernis und versetzen Sie die Maschine zurück in den Auto-Modus oder programmieren Sie die Bewegungsanweisungen der Maschine neu.


MLB-169 - Unerwartete Fahrbeendigung

Maschinenbewegung wurde durch ein Hindernis verhindert. Typischerweise geschieht dies infolge von Fahren jenseits der physischen Grenzen einer oder mehrerer Achsen.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

G ehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Entfernen Sie das Hindernis oder korrigieren Sie das Werkstückprogramm.


MLB-170 - Berührungstaster lädt nicht wieder auf

Der Berührungstaster war im Auto-Modus durchgebogen und konnte nach dem Zurückbewegen von der Fläche nicht wieder laden. Dies könnte durch ein Hindernis oder ein internes Problem verursacht werden.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

G ehen Sie folgendermaßen vor:

  1. Befreien Sie den Taster, falls er versperrt ist, oder überprüfen Sie die Tasterspannung und passen Sie sie gegebenenfalls an.

  2. Versetzen Sie das System zurück in den Auto-Modus, nachdem der Taster neu geladen ist und fahren Sie mit der Ausführung des Programms fort.


MLB-173 - DSE-Taster überladen

Die Krafteinwirkung auf eine der Achsen der motorischen DSE war stark genug, um die programmierte Position zu verlassen.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

G ehen Sie folgendermaßen vor:

  1. Setzen Sie, falls möglich, die DSE via RCU zurück. Nachdem der Tastkopf neu eingerastet ist, platzieren Sie das System zurück in den AUTO-Modus, um mit der Ausführung des Programms fortzufahren.


MLB-190 - Zu starke Tasterauslenkung

Der analoge Taster wurde während eines Scan-Bewegungsbefehls zu stark ausgelenkt.

Auswirkung

SMP wird in den folgenden Fällen in den manuellen Modus versetzt:

  • TrapScanDeflectStatus = False (Standard-Systemeinstellung). Der Befehl wurde vorübergehend unterbrochen, bis der SMP in den automatischen Modus geschaltet wird.

  • TrapScanDeflectStatus = True. Befehl wird nicht ausgeführt. Die Variable ScanDeflectStatus gleicht der Zahl 2.

Gehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Werkstückoberfläche.

  2. Überprüfen Sie den aktuellen Tasterauslenkungswert.

  3. Initiieren Sie die vom Benutzer erzeugte Scanfehler-Wiederherstellungsroutine.


MLB-191 - Von der Fläche abgekommen

Der analoge Taster wurde während eines Scan-Bewegungsbefehls nicht genügend ausgelenkt.

Auswirkung

SMP wird in den folgenden Fällen in den manuellen Modus versetzt:

  • TrapScanDeflectStatus = False (Standard-Systemeinstellung). Der Befehl wurde vorübergehend unterbrochen, bis der SMP in den automatischen Modus geschaltet wird.

  • TrapScanDeflectStatus = True. Befehl wird nicht ausgeführt. Die Variable ScanDeflectStatus gleicht der Zahl 0.

Gehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Werkstückoberfläche.

  2. Überprüfen Sie den aktuellen Tasterauslenkungswert.

  3. Initiieren Sie die vom Benutzer erzeugte Scanfehler-Wiederherstellungsroutine.


MLB-505 - Benutzerschlüssel unbekannt

Der Befehl UK gibt einen Schlüssel an, der nicht definiert ist.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Überprüfen Sie die Befehlsdefinition und korrigieren Sie das Werkstückprogramm.

  2. Fügen Sie den Benutzerschlüssel den Datenbanketiketten in MeasureMax+ hinzu.


MP-001 - Ungültige Befehlsmeldung - Syntaxfehler

Eine der folgenden Bedingungen erachtet die Befehlsmeldung als ungültig:

  1. MP, CNC oder RCU konnten die Meldung einer anderen Systemkomponente nicht erfassen.

  2. Die erforderliche Erweiterungs-ROM auf dem MP-30-System ist fehlerhaft oder wurde unsachgemäß installiert.

  3. Die DSE-Scan- oder Tasterwechsler-Optionen wurden in das MP-30-System konfiguriert und die Erweiterungs-ROMs befinden sich nicht auf der MP-CPU-Platine.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-002 - Ziel nicht vorhanden oder MP-Laufzeit-Systemfehler

Das Kommunikationssystem hat eine Meldung empfangen, die an eine nicht-existente Aufgabe verwendet werden sollte. Mögliche Erklärungen:

  1. Interner MP-Firmware-Fehler

  2. Die erforderliche Erweiterungs-ROM auf dem MP-30-System ist fehlerhaft oder wurde unsachgemäß installiert.

  3. Die DSE-Scan- oder Tasterwechsler-Optionen wurden in das MP-30-System konfiguriert und die Erweiterungs-ROMs befinden sich nicht auf der MP-CPU-Platine.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-003 - Ressourcen-Knappheit

Der MP kann einen Befehl nicht einwandfrei ausführen, weil eine erforderliche Ressource nicht verfügbar ist. Die Software hat keinen Zugriff auf das entsprechende Hardwareteil.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Stellen Sie sicher, dass alle erforderlichen Geräte ordnungsgemäß und fest verbunden sind.

  3. Schalten Sie den MP wieder ein.

  4. Sollten Sie keine Ursache für das Problem finden und der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-004 - Numerischer Fehler

Ein numerischer Fehler deutet auf ein internes MP-Firmware-Problem hin.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-007 - CPU-EPROM-Prüfsummenfehler

Es wurde ein Prüfsummenfehler für die MP-30-CPU-Platine in EPROM oder den SMP400-Codesegmentspeicher ermittelt. Dieser Prüfsummenfehler wird fortlaufend neu berechnet, während der MP eingeschaltet ist. Dieser Fehler zeigt an, dass die CPU-Platine nicht mehr zuverlässig arbeitet. Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-008 - CPU-EPROM-Prüfsummenfehler

Ein Prüfsummenfehler wurde für die MP-30-CNC-Platine in EPROM ermittelt. Dieser Prüfsummenfehler wird fortlaufend neu berechnet, während der MP eingeschaltet ist. Dieser Fehler zeigt an, dass die CNC-Platine nicht mehr zuverlässig arbeitet. Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-013 - MP-zu-Wirt-Pufferüberlauf

Der MP-zu-Wirt-Meldungspuffer ist übergelaufen. Er kann höchstens zehn Meldungen speichern.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-015 - MP-Vordergrund-nach-Hintergrund-Pufferüberlauf

Der interne Puffer, der vom MP-Vordergrund verwendet wird, um Statusinformationen zum Statusmonitor zu vermitteln, ist übergelaufen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-018 - MP-interner Zählerfehler

Die geringe Bytezahl von einem der Software-X/Y/Z-Zähler unterscheidet sich von der geringen Bytezahl des entsprechenden Hardwarezählers. Dieser Fehler deutet auf einen möglichen Defekt der CPU-Platine hin und nicht auf einen Defekt der Zähler-Platine. Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-019 - MP- und CNC-Firmware nicht kompatibel

Die Versionsnummer der CNC-Firmware ist nicht mit der Firmware der MP-30-CPU-Platine kompatibel. Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung. Entweder muss die CNC- oder die CPU-Platine der Firmware aktualisiert werden.


MP-021 - Defekt des Atlas-Y2- Zählers

Die Amp/Check/Div-Karte hat einen Y2-Achsenzähler-Fehler erkannt. Mögliche Ursachen:

  1. Der Laserstrahl ist blockiert.

  2. Der Laserstrahl wurde nicht ordnungsgemäß im Interferometer ausgerichtet.

  3. Der DC-Versatz im OPD-Lissajous ist zu groß.

  4. Im OPD-Lissajous ist die Amplitude unzureichend.

  5. Die Achsengeschwindigkeit ist zu hoch eingestellt (über 63,5 cm/Sek. für Laser-Maschinen).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-022 - Defekt des Atlas-Y3- Zählers

Die Amp/Check/Div-Karte hat einen Y3-Achsenzähler-Fehler erkannt. Mögliche Ursachen:

  1. Der Laserstrahl ist blockiert.

  2. Der Laserstrahl wurde nicht ordnungsgemäß im Interferometer ausgerichtet.

  3. Der DC-Versatz im OPD-Lissajous ist zu groß.

  4. Im OPD-Lissajous ist die Amplitude unzureichend.

  5. Die Achsengeschwindigkeit ist zu hoch eingestellt (über 63,5 cm/Sek. für Laser-Maschinen).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-023 - Atlas-Y2-Laserstrahl-Blockierungsfehler

Es ist eine Laserstrahlblockierung aufgetreten, die wahrscheinlich durch eine optische Fehlausrichtung oder einem im Strahlengang befindlichen Kabel ausgelöst wurde.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-024 - Atlas-Y3-Laserstrahl-Blockierungsfehler

Es ist eine Laserstrahlblockierung aufgetreten, die wahrscheinlich durch eine optische Fehlausrichtung oder einem im Strahlengang befindlichen Kabel ausgelöst wurde.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-025 - Hilfsachse X-A/D-Konversionsfehler

Es wurde ein A/D-Konversionsfehler für die X-Achse auf der Zählerkarte der drei Hilfsachsen protokolliert.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-026 - Hilfsachse Y-A/D-Konversionsfehler

Es wurde ein A/D-Konversionsfehler für die Y-Achse auf der Zählerkarte der drei Hilfsachsen protokolliert.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-027 - Hilfsachse Z-A/D-Konversionsfehler

Es wurde ein A/D-Konversionsfehler für die Z-Achse auf der Zählerkarte der drei Hilfsachsen protokolliert.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-028 - SP600 +12 Volt-Sicherung durchgebrannt

Ein Fehler wurde von der SP600-Netzwerkkarte im SMP400 gemeldet. Dieser Fehler kann von einem defekten DSE-Kopf oder einer durchgebrannten Sicherung auf der SP600-Netzwerkkarte verursacht werden. Die wahrscheinlichste Ursache des Fehlers ist der defekte, motorische DSE-Kopf.

Gehen Sie folgendermaßen vor:

  1. Dieser Fehler kann nicht behoben werden. Das Problem muss durch Ersetzen des motorischen DSE-Tastkopfes oder der Netzwerkkarte behoben werden.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-029 - SP600 -12 Volt-Sicherung durchgebrannt

Ein Fehler wurde von der SP600-Netzwerkkarte im SMP400 gemeldet. Dieser Fehler kann von einem defekten DSE-Kopf oder einer durchgebrannten Sicherung auf der SP600-Netzwerkkarte verursacht werden. Die wahrscheinlichste Ursache des Fehlers ist der defekte, motorische DSE-Kopf.

Gehen Sie folgendermaßen vor:

  1. Dieser Fehler kann nicht behoben werden. Das Problem muss durch Ersetzen des motorischen DSE-Tastkopfes oder der Netzwerkkarte behoben werden.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-030 - SP600 +5 Volt-Sicherung durchgebrannt

Ein Fehler wurde von der SP600-Netzwerkkarte im SMP400 gemeldet. Dieser Fehler kann von einem defekten DSE-Kopf oder einer durchgebrannten Sicherung auf der SP600-Netzwerkkarte verursacht werden. Die wahrscheinlichste Ursache des Fehlers ist der defekte, motorische DSE-Kopf.

Gehen Sie folgendermaßen vor:

  1. Dieser Fehler kann nicht behoben werden. Das Problem muss durch Ersetzen des motorischen DSE-Tastkopfes oder der Netzwerkkarte behoben werden.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-031 - Tasterüberlauf

(MP30) Bit 5, I/O Adresse 39(hex) = 1.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-032 - Zähler-Hardware/Konfiguration falsch zugeordnet

Das System wurde wie ein Lasersystem konfiguriert, hat aber 12-Bit-Standardzählerkarten anstelle der erforderlichen 16-Bit-Zählerkarte.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-033 - W-Achsenzähler-Fehler

Die Amp/Check/Div-Karte hat einen W-Achsenzähler-Fehler erkannt. Mögliche Ursachen:

  1. Verschmutzte Gitter.

  2. Der DC-Versatz ist zu groß.

  3. Im Lesekopfsignal ist die Amplitude unzureichend.

  4. Die Lesekopf-Schrägstellung ist ungültig.

  5. Die Achsengeschwindigkeit ist zu hoch eingestellt (der Drehtisch bewegt sich schneller als 48/Sek.).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Reinigen Sie die Gitter mit einem weichen, flusenfreien Tuch und Isopropylalkohol oder Brennspiritus.

  3. Stellen Sie sicher, dass sich der DC-Versatz, die Amplitude, die Lesekopfschrägstellung und die Achsengeschwindigkeit innerhalb des Grenzbereichs befinden.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-034 - X-Achsenzähler-Fehler

Die Amp/Check/Div-Karte hat einen X-Achsenzähler-Fehler erkannt. Wenn die X-Achse einen Maßstab und Lesekopf verwendet, sind folgende Ursachen möglich:

  1. Verschmutzte Gitter.

  2. Der DC-Versatz in der Amp-Check-Karte des Lissajous ist zu groß.

  3. Im Lesekopfsignal in der Amp/Check-Karte des Lissajous ist die Amplitude unzureichend.

  4. Die Lesekopf-Schrägstellung ist ungültig, wie auf der Amp/Check-Karte im Lissajous angezeigt wird.

  5. Die Achsengeschwindigkeit ist zu hoch eingestellt (über 101,6 cm/Sek. für Standardmaschinen und über 63,5 cm/Sek. auf einigen Discovery-Maschinen).

Wenn die X-Achse ein Laser-Interferometer verwendet, sind folgende Ursachen möglich:

  1. Der Laserstrahl ist blockiert.

  2. Der Laserstrahl wurde nicht ordnungsgemäß im Interferometer ausgerichtet.

  3. Der DC-Versatz im OPD-Lissajous ist zu groß.

  4. Im OPD-Lissajous ist die Amplitude unzureichend.

  5. Die Achsengeschwindigkeit ist zu hoch eingestellt (über 63,5 cm/Sek. für Laser-Maschinen).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte die Achse einen Maßstab und Lesekopf verwenden:

  3. Reinigen Sie die Gitter mit einem weichen, flusenfreien Tuch und Isopropylalkohol oder Brennspiritus.

  4. Stellen Sie sicher, dass sich der DC-Versatz, die Amplitude, die Lesekopfschrägstellung und die Achsengeschwindigkeit innerhalb des Grenzbereichs befinden.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-035 - Y-Achsenzähler-Fehler

Die Amp/Check/Div-Karte hat einen Y-Achsenzähler-Fehler erkannt. Wenn die Y-Achse einen Maßstab und Lesekopf verwendet, sind folgende Ursachen möglich:

- Verschmutzte Gitter.
- Der DC-Versatz ist zu groß.
- Im OPD-Lissajous ist die Amplitude unzureichend.
- Die Lesekopf-Schrägstellung ist ungültig.
- Die Achsengeschwindigkeit ist zu hoch (über 101,6 cm/Sek.)

Wenn die Y-Achse ein Laser-Interferometer verwendet, sind folgende Ursachen möglich:
- Der Laserstrahl ist blockiert.
- Der Laserstrahl wurde nicht ordnungsgemäß im Interferometer ausgerichtet.
- Der DC-Versatz im OPD-Lissajous ist zu groß.
- Im OPD-Lissajous ist die Amplitude unzureichend.
- Die Achsengeschwindigkeit ist zu hoch eingestellt (über 63,5 cm/Sek.).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte die Achse einen Maßstab und Lesekopf verwenden:

  3. Reinigen Sie die Gitter mit einem weichen, flusenfreien Tuch und Isopropylalkohol oder Brennspiritus.

  4. Stellen Sie sicher, dass sich der DC-Versatz, die Amplitude, die Lesekopfschrägstellung und die Achsengeschwindigkeit innerhalb des Grenzbereichs befinden.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-036 - Z-Achsenzähler-Fehler

Die Amp/Check/Div-Karte hat einen Z-Achsenzähler-Fehler erkannt. Mögliche Ursachen:

Wenn die Achse einen Maßstab und Lesekopf verwendet, sind folgende Ursachen möglich:
- Verschmutzte Gitter.
- Der DC-Versatz ist zu groß.
- Im OPD-Lissajous ist die Amplitude unzureichend.
- Die Lesekopf-Schrägstellung ist ungültig.
- Die Achsengeschwindigkeit ist zu hoch (über 101,6 cm/Sek.)

Wenn die Achse ein Laser-Interferometer verwendet, sind folgende Ursachen möglich:
- Der Laserstrahl ist blockiert.
- Der Laserstrahl wurde nicht ordnungsgemäß im Interferometer ausgerichtet.
- Der DC-Versatz im OPD-Lissajous ist zu groß.
- Im OPD-Lissajous ist die Amplitude unzureichend.
- Die Achsengeschwindigkeit ist zu hoch eingestellt (über 63,5 cm/Sek.).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte die Achse einen Maßstab und Lesekopf verwenden:

  3. Reinigen Sie die Gitter mit einem weichen, flusenfreien Tuch und Isopropylalkohol oder Brennspiritus.

  4. Stellen Sie sicher, dass sich der DC-Versatz, die Amplitude, die Lesekopf-Schrägstellung und die Achsengeschwindigkeit innerhalb des Grenzbereichs befinden.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-042 - Hardware für Temperaturkompensation nicht vorhanden

Das System wurde für Temperaturkompensation konfiguriert; eine Temperaturkompensationskarte ist jedoch nicht vorhanden.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Beschaffen Sie die erforderliche Hardware für die Temperaturkompensation.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-043 - Temperaturkompensation-Hardwarefehler

Das System wurde für Temperaturkompensation konfiguriert. Die Temperaturkompensationskarte ist vorhanden, aber ein ungültiger A/D-Wert für die erforderliche Eingabe ist aufgetreten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-045 - Überhöhte MP-Hardware-Temperatur

Die Temperatur im MP-Elektronikgehäuse ist zu hoch.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte das Problem sofort wieder auftreten, stellen Sie die Stromzufuhr für den MP ab und lassen ihn abkühlen, bevor Sie den Strom wieder einschalten.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-046 - Fehler bei der Temperaturkompensation oder am digitalen I/O-Board

Ein Kontrolllesen an digitale Ausgaben stimmt nicht mit dem tatsächlich geschriebenen Wert überein. Es könnte auch ein Fehler bei der Laufzeitüberwachung auf der Temperaturkompensationskarte vorliegen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-047 - D/A-Temperaturkompensationsfehler

Eine D/A-Konvertierung auf dem Temperaturkompensations-Board konnte während einer zugewiesenen Zeit von 32 Millisekunden nicht abgeschlossen werden.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-048 - TempKomp- oder Lasersystem-Konfigurationsfehler

Die Konfiguration der Temperaturkompensation ist entweder unvollständig, falsch oder folgewidrig. Mögliche Ursachen:

  1. X-, Y- oder Z-Temperatureingaben wurden nicht definiert.

  2. Es wurden keine Werkstück-Thermistoren definiert.

  3. Es wurden keine Taster-Thermistoren definiert.

  4. Druck- oder Feuchtigkeitseingaben wurden nicht für das Lasersystem definiert.

  5. Eine interne Unstimmigkeit bei den Konfigurationsdaten liegt vor (beispielsweise ein Bezug zu einem nicht vorhandenen Thermistor).

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, versuchen Sie, das Problem dadurch zu beheben, dass Sie die Konfigurationsdaten des Systems entweder von der CONFG-Diskette oder einer gespeicherten Wirt-Datei wiederherstellen.

  3. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-055 - SP600-Schnittstellenkarte-A/D-Konvertierungsfehler

Obwohl der analoge Taster SP600 verwendet wurde, ist die Schnittstellenkarte des Renishaw AC2 dazu bestimmt worden, eine A/D-Konvertierung durchzuführen. Diese Konvertierung wurde nicht innerhalb von 200 Millisekunden abgeschlossen. Dieser Fehler lässt auf einen kritischen Defekt der Schnittstellenkarte schließen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-059 - Renishaw-Not-Aus-Fehler

Die Renishaw PI7-, PI12- oder PI200-Tastersteuereinheit wurde ausgeschaltet. Es ist entweder ein SCR200-Überlauffehler aufgetreten oder die Renishaw-Hardware hat ein Not-Aus veranlasst.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-060 - CNC zu MP-Timeout-Quittung

Die MP-35-CNC-Karte hat nicht innerhalb von 32 Millisekunden auf eine MP-zu-CNC-Unterbrechung geantwortet. Die CNC-Karte ist entweder nicht richtig einsitzig oder defekt. Durch Überprüfen der CNC-Karten-LED lässt sich möglicherweise Genaueres erfahren.

Gehen Sie folgendermaßen vor:

  1. Prüfen Sie die CNC-LED, um den Zustand des CNC-Prozessors zu bestimmen.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Setzen Sie die CNC-Karte neu ein.

  4. Schalten Sie den MP wieder ein.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-064 - APL-Prüfsummenfehler

Ein APL-Steuer-EPROM scheint auf dem Temperaturkompensations-Board vorhanden zu sein, aber die berechnete Prüfsumme stimmt nicht mit dem Speicher überein. Dies kann beim Einschalten oder während irgendeiner Systeminitialisierung auftreten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-077 - Laserstrahl-Blockierungsfehler der W-Achse

Es ist eine Laserstrahlblockierung im System aufgetreten, die wahrscheinlich durch eine optische Fehlausrichtung oder einem im Strahlengang befindlichen Kabel ausgelöst wurde. Bei einem Skalensystem mit einer 256-Divisionskarte ("divide by 256") bedeutet dies einen A/D-Wandlungsfehler.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-078 - Laserstrahl-Blockierungsfehler der X-Achse

Es ist eine Laserstrahlblockierung im System aufgetreten, die wahrscheinlich durch eine optische Fehlausrichtung oder einem im Strahlengang befindlichen Kabel ausgelöst wurde. Bei einem Skalensystem mit einer 256-Divisionskarte ("divide by 256") bedeutet dies einen A/D-Wandlungsfehler.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-079 - Laserstrahl-Blockierungsfehler der Y-Achse

Es ist eine Laserstrahlblockierung im System aufgetreten, die wahrscheinlich durch eine optische Fehlausrichtung oder einem im Strahlengang befindlichen Kabel ausgelöst wurde. Bei einem Skalensystem mit einer 256-Divisionskarte ("divide by 256") bedeutet dies einen A/D-Wandlungsfehler.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-080 - Laserstrahl-Blockierungsfehler der Z-Achse

Es ist eine Laserstrahlblockierung im System aufgetreten, die wahrscheinlich durch eine optische Fehlausrichtung oder einem im Strahlengang befindlichen Kabel ausgelöst wurde. Bei einem Skalensystem mit einer 256-Divisionskarte ("divide by 256") bedeutet dies einen A/D-Wandlungsfehler.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-081 - Laser aus oder totaler Laserstrahl-Blockierungsfehler

Es gibt eine Laserstrahlblockierung, die wahrscheinlich durch Abschalten der Stromversorgung des Laserkopfes ausgelöst wurde.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-082 - Laser-Lock-Fehler

Die Frequenz des Lasers ist unstabil geworden. Dies könnte bedeuten, dass der Laserstrahl vorübergehend durch eine Blockierung zur Quelle zurückreflektiert wurde.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, nehmen Sie die Abdeckung ab und überprüfen Sie die Statusanzeige von jedem Laser, um zu bestimmen, welcher Laser die Störung verursacht hat.

  4. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-083 - Laser nach Einlaufzeit-Zeitlimit nicht stabil

Die Laserröhre ist innerhalb des zulässigen Zeitraums nicht eingelaufen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, nehmen Sie die Abdeckung ab und überprüfen Sie die Statusanzeige von jedem Laser, um zu bestimmen, welcher Laser die Störung verursacht hat.

  4. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-090 - APC-UART-Eingabefehler

Es ist ein RS232-Datenübermittlungsfehler (wie zum Beispiel ein Zeichenüberlauf) in der APC-zu-SMP400-Kommunikationsleitung aufgetreten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-091 - APC-Daten-Eingabepufferüberlauf

Vom APC aus wurden Zeichen schneller zum SMP-400, als sie dort bearbeitet werden konnten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-092 - APC-GO-Meldung Zeitüberschreitung

Der APC hat protokolliert, dass die Tasterwechslerschraube sich nicht innerhalb des vorgegebenen Zeitraumes gedreht hat.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-093 - APC-Sperre-Fehler

Vom APC wurde ein Tastersperrendefekt gemeldet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-094 - APC Deckel Zeitabschaltung-Fehler

Vom APC wurde berichtet, dass der Stationsdeckel übermäßig lange geöffnet war.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-095 - APC Übermäßig hohe Anfangsgeschwindigkeit

Von der APC-Steuereinheit wurde gemeldet, dass die Tasterpinole das Magazin mit zu hoher Geschwindigkeit erreichte.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-105 - Wirt-zu-MP-Kommunikation unterbrochen

Der Anfang einer Wirtsmeldung wurde vom MP über die RS-232-Kommunikationsleitung empfangen. Die Meldung wurde aber nicht vollkommen übertragen und mindestens zehn (10) Sekunden sind verstrichen, seit das letze Zeichen übertragen wurde. Dies könnte folgende Ursachen haben:

  1. eine lose RS-232-Verbindung,

  2. kurze Unterbrechung der Stromzufuhr durch schnelles Ein-und Ausschalten des Wirtsrechners,

  3. ein Wirt-Sofwarefehler oder

  4. ein elektrisches Störsignal in der Umgebung.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Überprüfen Sie beide Enden des Wirt-zu-MP-RS-232-Kabels und machen Sie es fest.

  2. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  3. Wenn der Fehler während der Ausführung eines Werkstückprogrammes aufgetreten ist, können Sie davon ausgehen, dass dieser Vorgang ernsthaft gestört wurde. Brechen Sie das Werkstückprogramm ab.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung (Ausnahme: Siehe Hinweis unten).

Hinweis: Sollte der Fehler kurz nach Einschalten des Wirtsrechners aufgetreten sein, dann liegt die Ursache mit an Sicherheit grenzender Wahrscheinlichkeit am Einschalten der Stromzufuhr, da es für einige willkürliche Zeichen üblich ist, über die RS-232-Leitung erzeugt zu werden, wenn der Stromkreislauf aktiviert ist. In diesem Fall kann der Fehler behoben und ignoriert werden.


MP-108 - MP zu RCU - Kommunikationsfehler

Vom MP wurde eine Meldung unsachgemäß an das RCU übertragen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-109 - RCU zu MP-Kommunikationsfehler

Vom RCU wurde eine Meldung unsachgemäß an den MP übertragen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-111 - Wirt-zu-MP-Kommunikation unterbrochen

Der MP hat einen Fehler während der Datenübertragung vom Wirtscomputer erkannt. Wenn es sich bei der Wirt-zu-MP-Kommunikationsverbindung um einen RS-232 handelt, sind folgende Fehler möglich:

  1. Überlauffehler,

  2. Paritätsfehler,

  3. Rahmenfehler,

  4. Überlauf des 256-Byte-Eingabepuffers.

Am wahrscheinlichsten der ersten drei Fehler sind Inkompatibilitäten zwischen dem MP und dem Wirt (Host) bezüglich der Baudrate, Zeichenlänge, Paritätsauswahl und-prüfung oder der Anzahl der Stoppbits.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Stellen Sie auf einem MP-30 sicher, dass die RS-232-Schaltereinstellungen auf dem MP-Steuerboard und dem Quad-Port (serielle Karte) korrekt sind.

  3. Stellen Sie auf einem SMP-400 sicher, dass die Wirt-RS-232-Einstellungen mit den internen Schaltereinstellungen des SMP-400 übereinstimmen.

  4. Schalten Sie den MP wieder ein.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-117 - W-Achse Servo-Verstärker überhitzt

Dieser Fehler gilt nur für 1000- und 2000-Serien-CNC-Maschinen mit 55,88 cm-hohem Servo-Chassis. Der Servo-Verstärker der W-Achse ist heißgelaufen und hat sich abgeschaltet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-118 - X-Achse Servo-Verstärker überhitzt

Wo der Fehler angezeigt wird

Dieser Fehler gilt nur für 1000- und 2000-Serien-CNC-Maschinen mit 55,88 cm-hohem Servo-Chassis. Der Servo-Verstärker der X-Achse ist heißgelaufen und hat sich abgeschaltet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-119 - Y-Achse Servo-Verstärker überhitzt

Dieser Fehler gilt nur für 1000- und 2000-Serien-CNC-Maschinen mit 55,88 cm-hohem Servo-Chassis. Der Servo-Verstärker der Y-Achse ist heißgelaufen und hat sich abgeschaltet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-120 - Z-Achse Servo-Verstärker überhitzt

Dieser Fehler gilt nur für 1000- und 2000-Serien-CNC-Maschinen mit 55,88 cm-hohem Servo-Chassis. Der Servo-Verstärker der Z-Achse ist heißgelaufen und hat sich abgeschaltet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-121 - W-Achse Servo-Verstärker defekt

LED auf dem Servo-Verstärker-PC-Board der Servo-Steuereinheit (SCU) Chassis gibt einen der folgenden Defekte an:

  1. Überstrom

  2. Servo-Amp überhitzt

  3. Gerät unzulässig geerdet

  4. Plötzlicher Stromstoß oder

  5. Voltzahl zu hoch oder zu niedrig

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-122 - X-Achse Servo-Verstärker defekt

LED auf dem Servo-Verstärker-PC-Board der Servo-Steuereinheit (SCU) Chassis gibt einen der folgenden Defekte an:

  1. Überstrom

  2. Servo-Amp überhitzt

  3. Gerät unzulässig geerdet

  4. Plötzlicher Stromstoß oder

  5. Voltzahl zu hoch oder zu niedrig

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-123 - Y-Achse Servo-Verstärker defekt

LED auf dem Servo-Verstärker-PC-Board der Servo-Steuereinheit (SCU) Chassis gibt einen der folgenden Defekte an:

  1. Überstrom

  2. Servo-Amp überhitzt

  3. Gerät unzulässig geerdet

  4. Plötzlicher Stromstoß oder

  5. Voltzahl zu hoch oder zu niedrig

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-124 - Z-Achse Servo-Verstärker defekt

LED auf dem Servo-Verstärker-PC-Board der Servo-Steuereinheit (SCU) Chassis gibt einen der folgenden Defekte an:

  1. Überstrom

  2. Servo-Amp überhitzt

  3. Gerät unzulässig geerdet

  4. Plötzlicher Stromstoß oder

  5. Voltzahl zu hoch oder zu niedrig

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Lassen Sie die Servos abkühlen, bevor Sie fortfahren.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-127 - Piezo-Berührungsfehler

Es wurde fünf mal hintereinander versucht, eine programmierte Berührung durchzuführen, wobei bei jedem Versuch eine falsche Berührung berichtet wurde. Dieser Fehler kann nur unter Verwendung eines TP7, TP12 oder TP200 auftreten. Die Ursache könnte entweder eine extrem langsame Messgeschwindigkeit sein, ein verschmutztes Werkstück oder eine fehlerhafte Tasterbaugruppe.

Auswirkung

Das System fällt in den manuellen Modus, bis der Fehler quittiert wurde.

Gehen Sie folgendermaßen vor:

  1. Quittieren Sie das Fehlerprotokoll.

  2. Überprüfen Sie die Tasterbaugruppe auf jegliche offensichtlichen Probleme (lose Tastspitze usw.).

  3. Versetzen Sie das System zurück in den Auto-Modus. Dadurch wird der Berührungsbefehl ganz automatisch erneut ausgeführt.

  4. Sollte die Berührung weiterhin fehlschlagen, brechen Sie den Befehl und das Werkstückprogramm ab. Wechseln Sie die Tasterbaugruppe aus und kalibrieren Sie wieder. Dann versuchen Sie es erneut.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-129 -W-Achse Hirth-Kupplung-Verriegelungsdefekt

Die Hirth-Kopplung auf dem W-Achsen-Drehtisch wurde nach einer Bewegung nicht verriegelt.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie den Luftdruck der Tischkopplung.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-130 - Abbruch des Vorgangs

Der Vorgang wurde aufgrund einer Bediener-Auswahl abgebrochen.

Auswirkung

Befehl wird nicht ausgeführt.

Gehen Sie folgendermaßen vor:

  1. Bestätigen Sie die Fehlermeldung und fahren Sie entweder fort oder brechen Sie das Werkstückprogramm dementsprechend ab.


MP-131 - W-Achse Hirth-Kupplung-Entriegelungsdefekt

Die Hirth-Kopplung auf dem W-Achsen-Drehtisch wurde vor einer Bewegung nicht entriegelt.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie den Luftdruck der Tischkopplung.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-142 - W-Achse begrenzt

Es wurde eine W-Achsen-CNC-Bewegung versucht, wobei sich die W-Achse jedoch nicht bewegte. Mögliche Ursachen:

  1. Der Luftdruck ist zu niedrig.

  2. Die Antriebsmutter ist zu fest angezogen.

  3. Es liegt ein Zähler-Defekt vor.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Überprüfen Sie den Luftdruck und stellen Sie sicher, dass er korrekt eingestellt ist.

  4. Überprüfen Sie die Antriebsmutter und lockern Sie sie, falls nötig.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-143 - Servo-Chassis - Stromversorgungsdefekt

Es liegt ein Defekt des +60V DC Netzgerätes auf der Servo-Kontrolleinheit (SCU) Chassis vor. Dieser Defekt könnte von einer durchgebrannten Sicherung in der 60V-Netzgerät-PC-Karte auf der SCU-Chassis verursacht worden sein.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Bestimmen Sie die Ursache des Verlusts der Stromversorgung. Wenn eine Sicherung durchgebrannt ist, wechseln Sie die Sicherung aus.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-146 - W-Achsen-Ausreißer

MP-146 - W-Achse-Ausreißer

Von der Firmware wurde eine übermäßige Verzögerung an der W-Achse erkannt. Mögliche Ursachen:

  1. Der Servo-Motor arbeitet nicht störungsfrei oder erhält nicht die angemessene Stromzufuhr von der Servo-Kontrolleinheit (SCU) Chassis.

  2. Der Antrieb (Antriebsriemen oder Sechskant-Mutter und Gestänge) funktionieren nicht fehlerfrei.

  3. Die Achse wird durch irgendetwas von der Bewegung abgehalten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-147 - X-Achsen-Ausreißer

Von der Firmware wurde eine übermäßige Verzögerung an der X-Achse erkannt. Mögliche Ursachen:

  1. Der Servo-Motor arbeitet nicht störungsfrei oder erhält nicht die angemessene Stromzufuhr von der Servo-Kontrolleinheit (SCU) Chassis.

  2. Der Antrieb (Antriebsriemen oder Sechskant-Mutter und Gestänge) arbeitet nicht richtig.

  3. Die Achse wird durch irgendetwas von der Bewegung abgehalten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-148 - Y-Achsen-Ausreißer

Von der Firmware wurde eine übermäßige Verzögerung an der Y-Achse erkannt. Mögliche Ursachen:

  1. Der Servo-Motor arbeitet nicht störungsfrei oder erhält nicht die angemessene Stromzufuhr von der Servo-Kontrolleinheit (SCU) Chassis.

  2. Der Antrieb (Antriebsriemen oder Sechskant-Mutter und Gestänge) arbeitet nicht richtig.

  3. Die Achse wird durch irgendetwas von der Bewegung abgehalten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-149 - Z-Achsen-Ausreißer

Von der Firmware wurde eine übermäßige Verzögerung an der Z-Achse erkannt. Mögliche Ursachen:

  1. Der Servo-Motor arbeitet nicht störungsfrei oder erhält nicht die angemessene Stromzufuhr von der Servo-Kontrolleinheit (SCU) Chassis.

  2. Der Antrieb (Antriebsriemen oder Sechskant-Mutter und Gestänge) arbeitet nicht richtig.

  3. Die Achse wird durch irgendetwas von der Bewegung abgehalten.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-151 - D/A - Aktualisierung spät oder ausgeblieben

Auf einem MP-35 wurden innerhalb der letzten 32 Millisekunden von der CNC-Karte keine Koordinaten für die neue Achsenposition gesendet. Die digitale/analoge (D/A) Karte ist ausgefallen.

Auf einem SMP-400 wurden die Servo D/As während der letzten 8 Millisekunden nicht aktualisiert.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-158 - X-Achse Extrem hoher Bias

Der Bias-Wert der X-Achse überschreitet den gesamten D/A-Dynamik-Bereich um mehr als 25%.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-159 - X-Achse behindert

Vom CNC wurde eine Fahrbeendigung-Bedingung erkannt und es wurden drei erfolglose Versuche unternommen, die Achse vom Hindernis fortzubewegen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-160 - CNC-Board außer Betrieb

Auf einem MP-30 ist das CNC-Board bei der Inbetriebnahme-Diagnostik durchgefallen.

Auf einem SMP-400 war kein CNC-Board vorhanden, obwohl das SMP-400 für CNC-Vorgänge konfiguriert wurde oder das CNC-Board hat nicht fehlerfrei funktioniert. Im letzten Fall definierte ein vorhergehendes Fehlerprotokoll den Fehler.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Verwenden Sie das Konfigurations-Datenprogramm, um den MP korrekt zu konfigurieren.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-161 - RCU unwirksam

Die Kommunikation zwischen RCU und MP ist gestört. Mögliche Ursachen:

  1. RCU vorhanden, kann aber wegen eines Einschalt-Diagnosefehlers nicht ausgeführt werden.

  2. RCU erhält keinen Strom.

  3. RCU ist nicht richtig im MP eingestöpselt.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Überprüfen Sie das Stromkabel zur RCU und stellen Sie sicher, dass die Stromversorgung gewährleistet ist.

  3. Stellen Sie sicher, dass das Kabel, das von der RCU zum MP führt, ordnungsgemäß angeschlossen ist.

  4. Schalten Sie den MP wieder ein.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-162 - Y-Achse Extrem hoher Bias

Der Bias-Wert der Y-Achse überschreitet den gesamten D/A-Dynamik-Bereich um mehr als 25%.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-163 - Y-Achse behindert

Vom CNC wurde eine Fahrbeendigung-Bedingung erkannt und es wurden drei erfolglose Versuche unternommen, die Achse vom Hindernis fortzubewegen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-164 - W-Achse Überdrehzahl

Der CNC-Karten- Überdrehzahlsensor für die W-Achse hat eine Drehzahlmesser-Spannung entdeckt, die höher ist, als die erforderliche Spannung für die normale CNC-Befehlsgeschwindigkeit. Mögliche Ursachen:

  1. Extreme Drehzahlmesserumschaltung-Spannungsspitzen.

  2. Der Servo-Antrieb schlüpft bei Beschleunigung und Überdrehzahlen während eines Bewegungsbefehls, um bei konstanter Geschwindigkeit die befohlene Position einzuholen.

  3. Das Geschwindigkeitsfühler-Potentiometer auf der CNC-Karte für die W-Achse ist zu niedrig eingestellt.

  4. Es ist ein Kurzschluss im Leistungsausgangstreiber des W-Achsen-Servoverstärkers am Servokontrolleinheit- (SCU) Chassis aufgetreten. Dadurch wird der volle 60V-DC-Strom zum Motor gesendet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Stellen Sie sicher, dass der Servo-Drehzahlmesser einwandfrei funktioniert.

  3. Stellen Sie sicher, dass der Antriebsmechanismus einwandfrei funktioniert.

  4. Stellen Sie sicher, dass die Überdrehzahlpotentiometerbezugsspannung auf dem CNC-Board hoch genug eingestellt ist.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-165 - X-Achse Überdrehzahl

Der CNC-Karten- Überdrehzahlsensor für die X-Achse hat eine Drehzahlmesser-Spannung entdeckt, die höher ist, als die erforderliche Spannung für die normale CNC-Befehlsgeschwindigkeit. Mögliche Ursachen:

  1. Extreme Drehzahlmesserumschaltung-Spannungsspitzen.

  2. Der Servo-Antrieb gleitet während der Beschleunigung aus und überdreht während des konstanten Geschwindigkeits-Bewegungsbefehls, um zur befohlenen Position vorzurücken.

  3. Das Geschwindigkeits-Potentiometer auf der CNC-Karte für die X-Achse ist zu niedrig eingestellt.

  4. Es ist ein Kurzschluss im Leistungsausgangstreiber des X-Achsen-Servoverstärkers am Servokontrolleinheit- (SCU) Chassis aufgetreten. Dadurch wird voller 60V-DC-Strom zum Motor gesendet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Stellen Sie sicher, dass der Servo-Drehzahlmesser einwandfrei funktioniert.

  3. Stellen Sie sicher, dass der Antriebsmechanismus einwandfrei funktioniert.

  4. Stellen Sie sicher, dass die Überdrehzahlpotentiometerbezugsspannung auf dem CNC-Board hoch genug eingestellt ist.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-166 - Y-Achse Überdrehzahl

Der CNC-Karten- Überdrehzahlsensor für die Y-Achse hat eine Drehzahlmesser-Spannung entdeckt, die höher ist, als die erforderliche Spannung für die normale CNC-Befehlsgeschwindigkeit. Mögliche Ursachen:

  1. Extreme Drehzahlmesserumschaltung-Spannungsspitzen.

  2. Der Servo-Antrieb gleitet während der Beschleunigung aus und überdreht während des konstanten Geschwindigkeits-Bewegungsbefehls, um zur befohlenen Position vorzurücken.

  3. Das Geschwindigkeits-Potentiometer auf der CNC-Karte für die Y-Achse ist zu niedrig eingestellt.

  4. Es ist ein Kurzschluss im Leistungsausgangstreiber des Y-Achsen-Servoverstärkers am Servokontrolleinheit- (SCU) Chassis aufgetreten. Dadurch wird voller 60V-DC-Strom zum Motor gesendet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Stellen Sie sicher, dass der Servo-Drehzahlmesser einwandfrei funktioniert.

  3. Stellen Sie sicher, dass der Antriebsmechanismus einwandfrei funktioniert.

  4. Stellen Sie sicher, dass die Überdrehzahlpotentiometerbezugsspannung auf dem CNC-Board hoch genug eingestellt ist.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-167 - Z-Achse Überdrehzahl

Der CNC-Karten- Überdrehzahlsensor für die Z-Achse hat eine Drehzahlmesser-Spannung entdeckt, die höher ist, als die erforderliche Spannung für die normale CNC-Befehlsgeschwindigkeit. Mögliche Ursachen:

  1. Extreme Drehzahlmesserumschaltung-Spannungsspitzen. Der Servo-Antrieb gleitet während der Beschleunigung aus und überdreht während des konstanten Geschwindigkeits-Bewegungsbefehls, um zur befohlenen Position vorzurücken.

  2. Das Geschwindigkeits-Potentiometer auf der CNC-Karte für die Z-Achse ist zu niedrig eingestellt.

  3. Es ist ein Kurzschluss im Leistungsausgangstreiber des Z-Achsen-Servoverstärkers am Servokontrolleinheit- (SCU) Chassis aufgetreten. Dadurch wird voller 60V-DC-Strom zum Motor gesendet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Stellen Sie sicher, dass der Servo-Drehzahlmesser einwandfrei funktioniert.

  3. Stellen Sie sicher, dass der Antriebsmechanismus einwandfrei funktioniert.

  4. Stellen Sie sicher, dass die Überdrehzahlpotentiometerbezugsspannung auf dem CNC-Board hoch genug eingestellt ist.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-168 - Unerwartete Berührung

Berührungstaster war während des Auto-Modus durchgebogen, außer während eines Berührungs- oder Suchbefehls. Typischerweise geschieht dies während einer CNC-Bewegung, die über einen (hindernis)freien Pfad führen sollte.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

Gehen Sie folgendermaßen vor:

  1. Entfernen Sie das Hindernis und versetzen Sie die Maschine zurück in den Auto-Modus oder programmieren Sie die Bewegungsanweisungen der Maschine neu.


MP-169 - Unerwartete Fahrbeendigung

Maschinenbewegung wurde durch ein Hindernis verhindert. Typischerweise geschieht dies infolge von Fahren jenseits der physischen Grenzen einer oder mehrerer Achsen.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

Gehen Sie folgendermaßen vor:

  1. Bestimmen Sie die Ursache des Problems. Entfernen Sie das Hindernis oder korrigieren Sie das Werkstückprogramm.

  2. Sollte das Problem bestehen bleiben, obwohl die Maschinenbewegung offensichtlich nicht eingeschränkt ist, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-170 - Berührungstaster lädt nicht wieder auf

Der Berührungstaster war im Auto-Modus durchgebogen und konnte nach dem Zurückbewegen von der Fläche nicht wieder laden. Dies könnte durch ein Hindernis oder ein internes Problem verursacht werden.

Auswirkung

Das System schaltet in den manuellen Modus.

Gehen Sie folgendermaßen vor:

  1. Befreien Sie den Taster, falls er behindert wird, oder überprüfen Sie die Tasterspannung und passen Sie sie gegebenenfalls an. Versetzen Sie das System zurück in den Auto-Modus, nachdem der Taster neu geladen ist und fahren Sie mit der Ausführung des Programms fort.


MP-171 - MP zu DSE-Kommunikationsfehler

Die DSE-Steuereinheit hat einen Fehler in einer Meldung, die vom MP zur DSE übertragen wurde, entdeckt. Die DSE-Steuereinheit hat dann eine Fehlermeldung an den MP gesendet.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-172 - DSE zu MP-Kommunikationsfehler

Von der DSE wurde eine Meldung unsachgemäß an den MP übertragen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-173 - DSE-Taster überladen

Die Krafteinwirkung auf eine der Achsen der motorischen DSE war stark genug, um die programmierte Position zu verlassen.

Auswirkung

Maschine wird in den manuellen Modus versetzt.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie, falls möglich, die DSE via RCU zurück. Nachdem der Tastkopf neu eingerastet ist, platzieren Sie das System zurück in den AUTO-Modus, um mit der Ausführung des Programmes fortzufahren.


MP-174 - DSE zu MP-Pufferüberlauf

Von der DSE wurden mehr Meldungen zum MP gesendet, als der MP-Meldungspuffer aufnehmen kann.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-175 - Z-Achse Extrem hoher Bias

Der Bias-Wert der Z-Achse überschreitet den gesamten D/A-Dynamik-Bereich um mehr als 25%.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-176 - Z-Achse behindert

Vom CNC wurde eine Fahrbeendigung-Bedingung erkannt und es wurden drei erfolglose Versuche unternommen, die Achse vom Hindernis fortzubewegen.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Überprüfen Sie, ob die Achsenbewegung durch irgendetwas verhindert wird.

  3. Überprüfen Sie den Drehzahlmesser des Servo-Motors und dessen Antriebsmechanismus.

  4. Überprüfen Sie die Stromversorgung des Motors von der Servo-Kontrolleinheit (SCU) Chassis.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-177 - MP Frontpaneel Tastaturfehler

Eine Taste auf dem Frontpaneel eines MP-30/35 klemmt. Die Taste wurde während des Einschaltens des MP gedrückt.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-178 - MP Konfigurationsdaten-Prüfsummenfehler

Im EEPROM wurden ungültige System-Konfigurationsangaben gespeichert.

Gehen Sie folgendermaßen vor:

  1. Laden Sie die Konfigurationsdaten erneut mit den korrekten Konfigurationsangaben von der CONFG-Festplatte.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-179 - Taster-Prüfsummenfehler

Im EEPROM wurden ungültige Taster-Kalibrierdaten gespeichert.

Gehen Sie folgendermaßen vor:

  1. Löschen Sie die Daten für alle Tastspitzen.

  2. Schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-180 - Microprocessor Enhanced Accuracy (MEA) - Prüfsummenfehler

Im EEPROM wurden ungültige MEA-Daten gespeichert.

Gehen Sie folgendermaßen vor:

  1. Laden Sie die Konfigurationsdaten erneut mit den korrekten Konfigurationsangaben von der CONFG-Festplatte.

  2. Schalten Sie den MP aus und wieder an.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-181 - Ungültige MEA-Daten

Für diese Maschine wurden keine MEA-Daten erfasst.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Laden Sie die Konfigurationsdaten erneut mit den korrekten Konfigurationsangaben von der CONFG-Festplatte.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-182 - Optionaler Schnittstellenfehler

Ein Einschalt-Diagnosefehler wurde auf einer der optionalen Schnittstellen (DSE, Tasterwechsler, nachgiebiger Taster oder Schnittstelle RS-232 des Wirtscomputer) entdeckt. Die aktuelle Schnittstelle wurde im vorhergehenden Fehler identifiziert:

  • Nur MP-30: MP-522-Fehler Nachgiebiger Taster D/A Schnittstellenkarten-Defekt.

  • MP-523-Fehler Host-Schnittstelle RS-232-Kartendefekt.

  • MP-524-Fehler DSE RS-232-Kartendefekt.

  • MP-525-Fehler Tasterwechsler RS-232-Kartendefekt.

Gehen Sie folgendermaßen vor:

  1. Folgen Sie den oben aufgelisteten Anweisungen für den betreffenden Fehler.


MP-183 - Verbindung zum Tasterwechsler-Magazin unterbrochen

Die Steuereinheit des Tasterwechslers und das Tasterwechsler-Magazin sind nicht miteinander verbunden.

Gehen Sie folgendermaßen vor:

  1. Verbinden Sie die Steuereinheit des Tasterwechslers mit dem Tasterwechsler-Magazin.

  2. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-184 - Tasterwechsler-Überlauffehler

Das KMG hat sich einer Station beim Laden oder Entladen eines Tasters fehlerhaft genähert.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Kalibrieren Sie den automatischen Tasterwechsler (APC) neu.

  3. Kalibrieren Sie die Stationen neu.


MP-186 - Ungültige MEA-Daten für die W-Achse

Entweder wurden für die W-Achse dieser Maschine keine MEA-Daten erfasst oder die MEA-Daten für die W-Achse im EEPROM wurden beschädigt.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, klicken Sie im XYZ-Anzeigefenster auf Fehler beseitigen. Um den Fehler mit Hilfe eines RCU-II zu beseitigen, drücken und halten Sie die Taste Servo Power Off und drücken Sie die Taste Joy zweimal.

  2. Erfassen Sie MEA-Daten für die W-Achse unter Verwendung von AutoKalibrieren oder laden Sie die Konfigurationsdaten mit den korrekten Konfigurationsangaben von der CONFG-Festplatte.

  3. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-310 - Ungültige Frontpaneel - Tastenanschlag-Kombination

Der MP erkennt den Befehl nicht. Auf einem MP-30/35-System wurde über das MP-Frontpaneel-Tastenfeld ein unzulässiger Befehl eingegeben.

Dieser Fehler tritt nur dann auf, wenn das MP-Tastenfeld auf einem MP-30/35-System angewendet wird.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beheben, drücken Sie die Taste "CLEAR" (Auswahl aufheben) auf dem MP-Frontpaneel.

  2. Geben Sie einen gültigen Befehl ein. Der Ursache ist möglicherweise eine fehlerhafte Bediener-Eingabe.

  3. Sollten Sie diese Fehlermeldung nochmals erhalten, wenden Sie eine gültige Funktion an.


MP-320 - Ungültige Funktion wurde gewählt

Die angeforderte Funktion kann vom MP nicht im eigenständigen Ablauf durchgeführt werden. Sie haben möglicherweise eine Funktion eingegeben, die nicht im eigenständigen Ablauf angewendet werden kann.

Dieser Fehler tritt nur dann auf, wenn das MP-Frontpaneel auf einem MP-30/35-System angewendet wird.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beheben, drücken Sie die Taste "CLEAR" (Auswahl aufheben) auf dem MP-Frontpaneel.

  2. Geben Sie einen gültigen Befehl ein. Der Ursache ist möglicherweise eine fehlerhafte Bediener-Eingabe.


MP-330 - Tastenanschlag-Pufferüberlauf

Der MP kann nicht mehr als 41 Tastenanschläge verarbeiten, bevor die [ENTER]-Taste auf dem Tastenfeld des MP-Frontpaneels gedrückt wird. Wenden Sie nicht mehr als 41 Tastenanschläge an, bevor Sie auf die [ENTER]-Taste drücken.

Dieser Fehler tritt nur dann auf, wenn das MP-Frontpaneel auf einem MP-30/35-System angewendet wird.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beheben, drücken Sie die Taste "CLEAR" (Auswahl aufheben) auf dem MP-Frontpaneel.

  2. Geben Sie einen gültigen Befehl ein. Der Ursache ist möglicherweise eine fehlerhafte Bediener-Eingabe.


MP-340 - Drehwinkelfehler

Der MP ist nicht in der Lage, einen bekannten Versatzbefehl zu verarbeiten. Es sind entweder weniger als 2 Punkte aufgezeichnet worden oder die Punkte wurden weniger als 2 mm voneinander entfernt aufgezeichnet.

Dieser Fehler tritt nur dann auf, wenn das MP-Frontpaneel auf einem MP-30/35-System angewendet wird.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beheben, drücken Sie die Taste "CLEAR" (Auswahl aufheben) auf dem MP-Frontpaneel.

  2. Zeichnen Sie weitere Punkte auf, die mindestens 2 mm voneinander entfernt liegen.

  3. Geben Sie den Versatzbefehl nochmals ein.


MP-501 - MP CPU-Board RAM-Störung

Auf einem MP-30-System befindet sich ein fehlerhafter RAM-Chip.

Auf einem SMP-System ist entweder der DRAM SIMM auf dem Prozessor-Board oder das Prozessor-Board selbst fehlgeschlagen.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Adresse mit Ortsangabe auf dem MP.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-502 - CPU Interrupt-Controller-Chip defekt

Der Interrupt-Controller-Chip ist mangelhaft.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-503 - Nicht-existentes I/O-Gerät oder RAM-Störung

Auf einem MP-30-System wurde versucht, von einem nicht-existenten I/O-Gerät zu lesen. Es wurden keine Standarddaten geliefert.

Auf einem SMP-System ist entweder der DRAM SIMM auf dem Prozessor-Board oder das Prozessor-Board selbst fehlgeschlagen.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-504 - Echtzeituhr-Störung

Die Echtzeituhr (2 Millisekunden-Interrupt) funktioniert nicht.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-505 - Zwei Millisekunden-Interrupt-Ausfall

Das zwei-Millisekunden-Interrupt ist nicht eingetreten, obwohl der Timer funktioniert. Der Interrupt-Controller-Chip ist defekt.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-506 - Steuer-Board Schreib-/Lesefehler

Auf einem MP-30-System stimmte das Zählen-Muster gelesen vom Steuer-Board nicht mit dem geschriebenen Zählen-Muster überein.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-507 - Kontroll-Board RCU-Schnittstelle UART - Störung

RCU/UART-Initialisierung fehlgeschlagen. Das RCU-seriell-UART auf dem MP-30-Steuer-Board oder dem SMP/CNC-Board ist defekt.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-508 - Kontroll-Board RCU-Schnittstelle UART Interrupt-Störung

Das erforderliche Interrupt vom UART steht nicht an.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-510 - Interrupts bleiben aus

Auf einem MP-30-System stehen sowohl das Zwei-Millisekunden-Interrupt als auch das Steuer-UART-Interrupt an, aber bleiben beide aus.

Zusätzliche Informationen finden Sie unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-511 - Kontroll-Board RCU-Schnittstellen-Interrupt - Störung

Auf einem MP-30-System steht das erforderliche Steuer-Board-UART-Interrupt nicht aus.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-512 - Interrupt-Prioritätsfehler

Auf einem MP-30-System hat das UART-Interrupt eine höhere Priorität als das Zwei-Millisekunden-Interrupt erhalten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-515 - IEEE-488-Initialisierungs-Fehler

Auf einem MP-30-System liegt ein IEEE-Adress- oder Übertragungsfehler vor. Entweder der IEEE-Chip oder das Steuer-Board ist defekt. Folgende Funktionen haben versagt:

  • Einstellen einer Sprecher- oder Hörer-Adresse (Talker oder Listener) oder

  • Versetzen des Chips in den 'nur-Sprecher'-, 'nur-Hörer'-, 'sprechaktiv'- oder 'höraktiv'-Modus.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-516 - Frontpaneel-Dekodierfehler

Es ist ein Empfangs- oder Übertragungs-Informationsfehler am Frontpaneel aufgetreten. Der Tastenfeld-Eintrag kehrt zu einem nicht-Null-Wert zurück, obwohl die Eingabe gelöscht wurde. Die Kabel zum Frontpaneel sind möglicherweise nicht richtig angeschlossen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Stellen Sie sicher, dass die Kabel zum Frontpaneel richtig angeschlossen sind.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-517 - MP-Paneelschalter klemmt

Auf einem MP-30-System klemmt eine MP-Frontpaneel-Taste. Die Kabel zum Frontpaneel sind möglicherweise nicht sachgemäß angeschlossen oder das Paneel ist fehlerhaft.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Stellen Sie sicher, dass die Kabel zum Frontpaneel richtig angeschlossen sind.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-519 - EPROM-Prüfsummenfehler

Auf einem MP-30-System stimmt die vom EPROM erzeugte Prüfsumme nicht mit der gespeicherten Prüfsumme überein. Mögliche Ursachen:

  • EPROM-Chip-Fehler

  • CPU-Board-Fehler (Datenzeilen, Adresse, dekodieren etc.)

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Adresse mit Ortsangabe auf dem MP.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-521 - EPROM-Verzeichnisfehler

Bei einem MP-30-System könnte es sich um die folgenden Ursachen für diesen Fehler handeln:

  • EPROM-Chip-Fehler

  • CPU-Board-Fehler (Datenzeilen, Adresse, dekodieren etc.)

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-522 - D/A-Board-Konvertierungsfehler

Während der Initialisierung ist ein Fehler im digitalen/analogen (D/A) Board für hochwertiges Scannen aufgetreten. Möglicherweise ist die Initialisierung fehlgeschlagen oder das Board ist nicht im MP installiert.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-523 - RS-232-Host-Schnittstellenfehler

Auf einem MP-30-System ist die Diagnostik auf dem MP-RS-232-Schnittstellenkarten-Anschluss 3 fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Auf einem SMP-System ist die Diagnostik auf der Host-RS-232-Schnittstelle auf der Amp/Check/Div-Karte fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-524 - RS-232-Motorische DSE-Schnittstellenfehler

Die Diagnostik auf dem MP-RS-232-Schnittstellenkartenanschluss 0 ist fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Auf einem MP-30-System ist die Diagnostik auf dem MP-RS-232-Schnittstellenkarten-Anschluss 0 fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Auf einem SMP-System ist die Diagnostik auf der DSE-RS-232-Schnittstelle auf der CNC-Karte fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-525 - RS-232-Tasterwechsler-Schnittstellenfehler

Die Diagnostik auf dem MP-RS-232-Schnittstellenkartenanschluss 2 ist fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Auf einem MP-30-System ist die Diagnostik auf dem MP-RS-232-Schnittstellenkarten-Anschluss 2 fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Auf einem SMP-System ist die Diagnostik auf der Tasterwechsler-RS-232-Schnittstelle auf der CNC-Karte fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-526 - RS-232-Elektronische Niveauregulierungsschnittstelle fehlgeschlagen

Auf einem MP-30-System ist die Diagnostik auf dem MP-RS-232-Schnittstellenkarten-Anschluss 1 fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Auf einem SMP-System ist die Diagnostik auf der elektronischen Niveauregulierungsschnittstelle RS-232 auf der CNC-Karte fehlgeschlagen.

Die Diagnostik auf dem MP-RS-232-Schnittstellenkartenanschluss 1 ist fehlgeschlagen. Möglicherweise ist die Karte defekt oder sie ist nicht im MP installiert.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-527 - SMP-400 FLASH Speicherfehler

Auf einem SMP-400-System wurden ungültige Aufzeichnungsmarkierungen im FLASH-Speicher gefunden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Laden Sie den SMP-400-Betriebssystem-Code erneut von der Installationsdiskette.

  2. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-528 - SMP-400 FLASH Speicherfehler

Auf einem SMP-400-System wurde ein ungültiger Aufzeichnungstyp im FLASH-Speicher gefunden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Laden Sie den SMP-400-Betriebssystem-Code erneut von der Installationsdiskette.

  2. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-529 - SMP-400 FLASH Speicherfehler

Auf einem SMP-400-System wurden ungültige Aufzeichnungsprüfsummen im FLASH-Speicher gefunden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Laden Sie den SMP-400-Betriebssystem-Code erneut von der Installationsdiskette.

  2. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-530 - SMP-400 FLASH Speicherfehler

Auf einem SMP-400-System wurde im FLASH-Speicher keine Startadressenaufzeichnung gefunden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Laden Sie den SMP-400-Betriebssystem-Code erneut von der Installationsdiskette.

  2. Sollte der Fehler fortbestehen, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-531 - SMP-400 RAM-Speicherfehler

Auf einem SMP-400-System ist entweder der DRAM SIMM auf dem Prozessor-Board oder das Prozessor-Board selbst fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-532 - SMP-400 RAM-Speicherfehler

Auf einem SMP-400-System ist entweder der DRAM SIMM auf dem Prozessor-Board oder das Prozessor-Board selbst fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-533 - Keine Amp/Check/Div-Karte vorhanden

Das SMP-400 erfordert eine Amp/Check/Div-Karte an der Basis-Adresse. Die Amp/Check/Div-Karte ist möglicherweise fehlgeschlagen oder auf die falsche Adresse eingestellt.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-534 - Amp/Check/Div-Karten-Fehler

Auf einem SMP-400-System ist ein Schreib-/Lesefehler während des Schreibens in oder Lesen aus eines der internen Register zu U23 auf der Amp/Check-Karte eingetreten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-535 - Keine CNC-Karte vorhanden

Auf einem SMP-400-System hat das Lesen der Adresse 170(hex) keine gültige CNC-Karten-ID zurückgegeben. Die ID ist vom U30 auf der CNC-Karte gelesen worden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-536 - CNC-Board-Störung

Auf einem SMP-400-System ist ein Schreib-/Lesefehler während des Schreibens in oder Lesens aus einem X-Achsen-D/A-Konverter U6 auf der CNC-Karte aufgetreten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-537 - CNC-Board-Störung

Auf einem SMP-400-System ist ein Schreib-/Lesefehler während des Schreibens in oder Lesens aus einem Y-Achsen-D/A-Konverter U7 auf der CNC-Karte aufgetreten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-538 - CNC-Board-Störung

Auf einem SMP-400-System ist ein Schreib-/Lesefehler während des Schreibens in oder Lesens aus einem Z-Achsen-D/A-Konverter U11 auf der CNC-Karte aufgetreten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-539 - CNC-Board-Störung

Auf einem SMP-400-System ist ein Schreib-/Lesefehler während des Schreibens in oder Lesens aus einem W-Achsen-D/A-Konverter U12 auf der CNC-Karte aufgetreten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-540 - Keine TempKomp vorhanden

Auf einem SMP-400-System hat das Lesen der Adresse 1CE(hex) keine gültige TempKomp-Karten-ID zurückgegeben. Die ID wird vom U18 auf der CNC-Karte gelesen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-541 - TempKomp-Board-Störung

Auf einem SMP-400-System ist ein Schreib-/Lesefehler während des Schreibens in oder Lesens aus einem A/D-Multiplexor-Register auf dem TempKomp-Board aufgetreten. Das Register ist U18-intern.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-542 - TempKomp-Board-Störung

Auf einem SMP-400-System ist ein A/D-Konvertierungsfehler auf dem TempKomp-Board aufgetreten.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-543 - TempKomp-Board-Störung

Auf einem SMP-400 wurde die Nullpunktnummer eins auf dem TempKomp-Board falsch eingelesen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-544 - TempKomp-Board-Störung

Auf einem SMP-400-System wurde die Zunahmenummer eins auf dem TempKomp-Board falsch eingelesen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-545 - TempKomp-Board-Störung

Auf einem SMP-400-System wurde die Nullpunktnummer zwei auf dem TempKomp-Board falsch eingelesen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-546 - TempKomp-Board-Störung

Auf einem SMP-400-System wurde die Zunahmenummer zwei auf dem TempKomp-Board falsch eingelesen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-547 - Prozessor-Board-Störung

Auf einem SMP-400-System wurde auf dem Host UART ein Interrupt erzeugt, das aber nicht vom Interrupt-Steuerungs-Chip auf dem Prozessor-Board empfangen wurde.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-548 - Prozessor-Board-Störung

Auf einem SMP-400-System konnte das Host-UART-Interrupt im Interrupt-Controller-Chip auf dem Prozessor-Board nicht gelöscht werden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-550 - RAM nicht ausreichend

Um das System zu starten, reichte der Speicherplatz nicht aus. Mangelhafter RAM.

Auf einem MP-30-System befindet sich ein fehlerhafter RAM-Chip.

Auf einem SMP-400-System ist entweder der DRAM SIMM auf dem Prozessor-Board oder das Prozessor-Board selbst fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-551 - Zuviele Software-Rate-Groups

Es sind mehr "Rate-Groups" vorhanden, als das System bearbeiten kann. Dies könnte auf einen MP-Betriebssystem-Software-Fehler hindeuten.

Auf einem MP-30-System befindet sich ein fehlerhafter RAM-Chip.

Auf einem SMP-400-System ist entweder der DRAM SIMM auf dem Prozessor-Board oder das Prozessor-Board selbst fehlgeschlagen.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-560 - Prozessor-Board-Störung

Auf einem SMP-400-System konnte das RCU-UART-Interrupt im Interrupt-Controller-Chip auf dem Prozessor-Board nicht gelöscht werden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-561 - UART-Interrupt-Fehler

Auf einem SMP-400-System wurde auf dem DSE-UART ein Interrupt erzeugt, das aber nicht vom Interrupt-Steuerungs-Chip auf dem Prozessor-Board empfangen wurde.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-562 - UART-Interrupt-Fehler

Auf einem SMP-400-System konnte das DSE-UART-Interrupt im Interrupt-Controller-Chip auf dem Prozessor-Board nicht gelöscht werden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-563 - UART-Interrupt-Fehler

Auf einem SMP-400-System wurde auf dem Tasterwechsler-UART ein Interrupt erzeugt, das aber nicht vom Interrupt-Steuerungs-Chip auf dem Prozessor-Board empfangen wurde.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-564 - UART-Interrupt-Fehler

Auf einem SMP-400-System konnte das Tasterwechsler-UART-Interrupt im Interrupt-Controller-Chip auf dem Prozessor-Board nicht gelöscht werden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der internen SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-565 - UART-Interrupt-Fehler

Auf einem SMP-400-System wurde auf dem elektronischen Niveauregulierungs-UART ein Interrupt erzeugt, das aber nicht vom Interrupt-Steuerungs-Chip auf dem Prozessor-Board empfangen wurde.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der internen SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-566 - UART-Interrupt-Fehler

Auf einem SMP-400-System konnte das elektronische Niveauregulierungs-UART-Interrupt im Interrupt-Controller-Chip auf dem Prozessor-Board nicht gelöscht werden.

Informieren Sie sich unter MP-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die angezeigten Fehlerdaten auf der internen SMP-400-Diagnose-LED.

  2. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-601 - CNC-RAM-Störung

Das von der CNC-Karte RAM gelesene Muster stimmt nicht mit dem geschriebenen Muster überein. Mangelhafter RAM.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-619 - CNC-EPROM-Prüfsummenfehler

Die vom CNC-EPROM erzeugte Prüfsumme stimmt nicht mit der gespeicherten Prüfsumme überein.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-621 - CNC-EPROM-Verzeichnisfehler

Das erste Wort in einem EPROM-Chip-Satz wurde nicht als 4140 hex gelesen. Das Wort steht an 0F0000(hex).

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-650 - CNC-RAM nicht ausreichend

RAM reicht zum operieren der CNC-Steuereinheit nicht aus.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-651 - Zuviele CNC-Software-Rate-Groups vorhanden

Es sind zuviele CNC-Software-Rate-Groups vorhanden.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-697 - "Servo Aus"-Taste klemmt

Die "Servo Aus"-Taste klemmt. Die Taste wurde wahrscheinlich gedrückt, während das System hochgefahren wurde.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  2. Schalten Sie den MP wieder ein.

  3. Überprüfen Sie die richtige Stellung der "Servo Aus"-Taste.

  4. Überprüfen Sie die Verbindung zwischen dem Bedienfeld, das sich oben auf dem MP-Gerät befindet, und dem Servo-Chassis und die Verbindung zwischen dem Servo-Chassis und der CNC-Karte. Stellen Sie sicher, dass alle Verbindungen gesichert sind.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


MP-698 - Notstopp-Schaltkreis unterbrochen

Der Notstopp (E-stop)- Schaltkreis war beim hochfahren unterbrochen.

Zusätzliche Informationen finden Sie unter CNC-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Einige Systeme verfügen über Geräte-Notstopp-Tasten, die beim Drücken gesperrt einrasten. Wenn die Taste eingerastet ist, drehen Sie den Knopf im Uhrzeigersinn, bis er wieder frei ist.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Überprüfen Sie alle Notstopp-Tasten und den Schaltkreis, um zu sehen, ob alle geschlossen sind.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-003 - Ressourcen-Knappheit

Ein Benutzer hat versucht, einen nicht-existenten DSE- oder Drehtisch neu zu positionieren oder einem Drehtisch befohlen, sich bei ausgeschaltetem Servo-Strom zu bewegen.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Drücken Sie die CLEAR- (AUSWAHL AUFHEBEN) Taste auf der RCU-I.

  2. Sollten Sie einen Drehtisch bewegen wollen, schalten Sie den Servo-Strom ein.

  3. Wenn Sie die DSE oder den Drehtisch bei eingeschaltetem Servo-Strom bewegen möchten, stellen Sie sicher, dass das System mit der erforderlichen Hardware ausgestattet und sachgemäß konfiguriert ist.


RCU-700 - RCU-RAM-Störung

RCU an Board RAM enthält mindestens ein defektes Speicher-Bit.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-701 - RCU 6802 RAM Adress-Fehler

RCU auf Chip RAM fehlgeschlagen.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-702 - RCU-2114-RAM-Störung

RCU an Board RAM enthält mindestens ein defektes Speicher-Bit.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-703 - RCU 2114 RAM Adress-Fehler

RCU-RAM-Chip fehlgeschlagen.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-704 - RCU EPROM Prüfsummen- oder Versionsnummern-Fehler

Es liegt ein RCU-Prüfsummenfehler vor.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-705 - Taste klemmt

Auf dem RCU klemmt eine Taste.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-706 - RCU-EPROM-A-Prüfsummenfehler

Es liegt ein Prüfsummenfehler im EPROM auf Platinenposition F8 vor.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Machen Sie den 2716-Chip an der Platinenposition F8 wieder fest.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-707 - RCU-EPROM-B-Prüfsummenfehler

Es liegt ein Prüfsummenfehler im EPROM auf Platinenposition F10 vor.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Machen Sie den 2716-Chip an der Platinenposition F10 wieder fest.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RCU-708 - RCU-EPROM-C-Prüfsummenfehler

Es liegt ein Prüfsummenfehler im EPROM auf Platinenposition F11 vor.

Zusätzliche Informationen finden Sie unter RCU-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Beachten Sie die Anzeige auf dem MP.

  2. Um den Fehler zu beseitigen, schalten Sie den MP aus.

  3. Schalten Sie den MP wieder ein.

  4. Machen Sie den 2716-Chip an der Platinenposition F11 wieder fest.

  5. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


RN - Scan-Daten zurückgeben

Der RN-Befehl beendet das Erfassen von Scan-Daten und/oder gibt erfasste Scan-Daten an MeasureMax+ zurück.

Befehlsformat

MLString "RN p1"

Beispiele:

  1. MLString "RN"

    Warten Sie, solange gescannt wird, bis die CNC-Warteschlange leer geworden ist und die letzte Bewegung innerhalb der Toleranz vorgenommen wurde und beenden Sie dann den Scan-Vorgang. Geben Sie die Anzahl an Datenpunkten an den Host zurück.

  2. MLString "RN 0"

    Warten Sie, solange gescannt wird, bis die CNC-Warteschlange leer geworden ist und die letzte Bewegung innerhalb der Toleranzgrenze vorgenommen wurde und beenden Sie dann den Scan-Vorgang. Geben Sie die erfassten Datenpunkte (mit Punkt 0 beginnend) und die Anzahl an Datenpunkten an den Host zurück.

Eingabe

  • p1 = point index (Numerisch; optional)

Der optionale numerische Parameter p1 darf keine negative Zahl sein. Falls angegeben, bedeutet p1, dass Scan-Datenpunkte an den Host zurückgegeben werden, wobei mit Punkt Nummer p1 begonnen wird. Beachten Sie, dass der erste erfasste Punkt Index 0 (Null) aufweist. Wenn p1 nicht angegeben wurde, werden die erfassten Daten nicht an den Host zurückgegeben.

Ergebnisse

Der RN-Befehl beendet eine Scan-Datenerfassung, die durch den AS-Befehl initiiert wurde. Es wird so lange gescannt, bis die CNC-Warteschlange leer geworden ist und die letzte Bewegung innerhalb der Toleranzgranze vorgenommen wurde. Wenn p1 angegeben wurde, werden die erfassten Datenpunkte vom Scan-Puffer an den Host zurückgegeben und im S9-Array gespeichert. Mit Ausnahme des Typs A (siehe AS-Befehl) gilt für alle Scan-Typen, dass die Punktdaten im S9-Array in normaler X-, Y-,Z-Reihenfolge gespeichert werden; d.h., die X-Koordinatenwerte werden in S9 gespeichert (*,0), Y-Werte in S9 (*,1) und Z-Werte in S9 (*,2). Für den Scan-Typ A gilt, dass Polarradius-Werte in S9 (*,0) gespeichert werden, Polarwinkel-Werte in S9 (*,1) und Drittachsen-Werte (Höhe) in S9 (*,2) gespeichert werden.

Die Anzahl der erfassten Datenpunkte wird an Variable S7 zurückgegeben.

Auslass-Aktion

Ignoriert.

Fehlermeldungen:

Keine.


SB - Scan-Ziel

Der SB-Befehl überträgt die unabhängigen Achsenziele vom Scan-Puffer S9 (*,0) zum MP, sodass sie im darauffolgenden Scan verwendet werden können. Das Werkstückprogramm muss, wenn es absolute Ziele verwendet, den SB-Befehl ausführen, bevor der SN-Befehl ausgeführt wird.

Befehlsformat

MLString "SB p1"

Beispiele:

  1. MLString "SB 100"

Eingabe

  • p1 = Anzahl der zu übertragenden Ziele (Numerisch; erforderlich)

p1 gibt die Anzahl an unabhängigen, zu übertragenden Achsenzielen an. p1 muss eine Ganzzahl sein, die entweder gleich 1 oder größer als 1 ist. Im Beispiel ist p1 100. Der Taster scannt für diese Messung 100 Ziele. Das erste Ziel befindet sich im Scan-Puffer an Stelle S9 (0,0). Transferieren Sie alle Ziele auf einmal, wenn Sie in verschiedenen Phasen scannen. Da es sich beim S9 um ein reelles Array handelt, ist die Anzahl der Stellen, die den Zielkoordinatenwert ausmachen, nicht begrenzt.

Ergebnisse

Ziele werden an den MP gesendet, mit S9 (0,0) beginnend. Wenn das Programm 100 Ziele überträgt, wird das letzte Ziel an S9 (99,0) gesendet.

Auslass-Aktion

Ignoriert; falls Teil eines übersprungenen Blocks, nicht ausgeführt.

Fehlermeldungen:

Keine.


SN - Scan

Der SN-Befehl wird zur Initialisierung eines Oberflächen-Scans verwendet. Dies gilt nur für die Version 1.03 von MeasureMax.

Achtung!

Der SN-Befehl wird nicht von aktuellen MeasureMax+ - Systemen unterstützt.

Befehlsformat

MLString "SN p1,p2,p3,p4,p5"

Beispiele:

  1. MLString "SN 1,XY,400,12,.1"

  2. MLString "SN 1,XY,400,12,.1"

Eingabe

  • p1 = Spalte im Scan-Puffer (Numerisch; optional)

  • p2 = Abhängige und unabhängige Achsen (Zeichenfolge; erforderlich)

  • p3 = Anzahl der zu scannenden Ziele (Numerisch; erforderlich)

  • p4 = Anfangsposition (Numerisch; optional)

  • p5 = Intervall zwischen aufeinanderfolgenden Zielen (Numerisch; optional)

Bei dem optionalen, numerischen Parameter p1 handelt es sich um den Index der Spalte im S9-Scandaten-Array, das für Scan-Ergebnisse abhängiger Achsen vorgesehen ist. Wenn p1 nicht angegeben ist, werden die Scan-Ergebnisse in Spalte Null (0) gespeichert.

Der erforderliche Zeichenfolgen-Parameter p2 definiert die abhängigen und unabhängigen Achsen für den Scan. Der erste Buchstabe identifiziert die abhängige Achse. Gültige Einstellungen für p2 sind XY, XZ, YX, YZ, ZX, ZY, XW, YW, ZW und RA.

Bei dem erforderlichen numerischen Parameter p3 muss es sich um einen Wert zwischen 1 und 1000 handeln. Dieser Wert gibt die Anzahl der Ziele, die gescannt werden sollen, an.

Die optionalen numerischen Parameter p4 und p5 definieren das erste unabhängige Achsenziel für den Scan und den Abstand zwischen den Zielen für einen inkrementalen Scan. Werden p4 und p5 nicht angegeben, dann sind alle Ziele absolut und müssen zuvor zum MP übertragen worden sein (siehe SB-Befehl).

Bevor der erste Scan-Befehl ausgeführt wird, muss der Taster erst vom Benutzer in die richtige Position gebracht werden. Wenn dieser Befehl ausgeführt wird, schaltet sich das WARTE- (WAIT) Licht auf dem MP ein. Dann bewegt der Benutzer den Taster entlang des zu scannenden Pfads, um Daten zu erfassen. Nachdem das erste Ziel erreicht ist, blinkt das WARTE-Licht solange auf, bis alle Scan-Ziele erfasst sind. Danach schaltet es sich automatisch aus.

Das erste Beispiel scannt 400 Ziele entlang der Y-Achse, wobei X-Daten in Spalte 1 des S9-Arrays erfasst werden. Das erste Ziel liegt an der Y-Leseposition 12 und nachfolgende Ziele sind in positiver Richtung in 0.1-Intervallen angeordnet.

Das zweite Beispiel scannt 400 Ziele entlang der Y-Achse, wobei X-Daten in Spalte 0 (Standard) des S9-Arrays erfasst werden. Die Y-Achsenziele wurden vorher über den SB-Befehl gesendet.

Ergebnisse

Das System erfasst die Scan-Daten und speichert die Ergebnisse in das S9-Array.

Auslass-Aktion

Ignoriert; nicht ausgeführt, falls Teil eines übersprungenen Blocks.

Fehlermeldungen:

  • MLB-080 Unzulässiger Taster installiert. Verwenden Sie entweder einen starren oder einen analogen Taster.


TempKomp-200 Temperaturkompensation nicht verfügbar

Temperaturkompensation wurde angefordert, ist aber derzeit nicht verfügbar. Am Ende der angezeigten Meldung steht eine Zahl in Klammern, die auf die Ursache auf folgende Weise hinweist:

  • -2 -> Es sind keine Werkstück-Thermistoren verfügbar

  • -1 -> Temperaturkompensation wurde durch einen zuvor protokollierten Fehler deaktiviert.

  • 0 -> Temperaturkompensation wurde nicht sachgemäß konfiguriert.

  • 1-28 -> Der angegebene Thermistor hat versagt.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das erkannte Problem, falls möglich.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


TempKomp-201 Absolutes Temperatur-Limit überschritten

Temperaturkompensation wurde angefordert, aber von einem Thermistor wird derzeitig eine Temperatur angegeben, die das absolute Temperatur-Limit des konfigurierten Systems überschreitet. Die Temperaturkompensation ist zwar aktiv, aber bestimmte Umstände hindern das System möglicherweise daran, die gewünschte Präzision zu erreichen. Die Warnmeldung beinhaltet die Thermistor-Zahl und aufgezeichnete Temperaturangaben, durch die die Meldung ausgelöst wurde.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das erkannte Problem, falls möglich.

  2. Sollte die Warnmeldung nochmals auftreten und nicht durch Umweltbedingungen zu erklären sein, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


TempKomp-202 Grenze der Gradient-Temperatur überschritten

Temperaturkompensation wurde angefordert, aber die Temperaturdifferenz zwischen zwei Thermistoren gibt einen Temperaturgradienten an, der die konfigurierte Grenze des Systems überschreitet. Die Temperaturkompensation ist zwar aktiv, aber möglicherweise wird das System durch bestimmte Umstände daran gehindert, die gewünschte Präzision zu erreichen. Die Warnmeldung beinhaltet die Thermistor-Zahl und aufgezeichnete Temperaturangaben, durch die die Meldung ausgelöst wurde.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das erkannte Problem, falls möglich.

  2. Sollte die Warnmeldung nochmals auftreten und nicht durch Umweltbedingungen zu erklären sein, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


TempKomp-203 Vorübergehendes Temperatur-Limit überschritten

Temperaturkompensation wurde angefordert, aber die von einem Thermistor aufgezeichneten Temperaturen weisen auf einen Temperaturwechsel (vorübergehend) hin, der die konfigurierte Grenze des Systems überschreitet. Die Temperaturkompensation ist zwar aktiv, aber möglicherweise wird das System möglicherweise daran gehindert, die gewünschte Präzision zu erreichen. Die Warnmeldung beinhaltet die Thermistor-Zahl und aufgezeichnete Höchst- und Niedrigst-Temperaturen, durch die die Meldung ausgelöst wurde.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das erkannte Problem, falls möglich.

  2. Sollte die Warnmeldung nochmals auftreten und nicht durch Umweltbedingungen zu erklären sein, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


TempKomp-204 Laserkompensation ist nicht aktiviert

Auf einem Lasersystem ist ein Hardwarefehler aufgetreten, der wegen der Umweltbedingungen eine korrekte Kompensation der Lasermessung verhindert. Das System ist zwar betriebsbereit, kann aber die gewünschte Präzision nicht erreichen.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Korrigieren Sie das erkannte Problem, falls möglich.

  2. Sollte der Fehler nochmals auftreten, setzen Sie sich mit Ihrem Kundendienstbetreuer von Giddings & Lewis in Verbindung.


TempKomp-205 Tasterkalibrierdaten möglicherweise ungültig

Temperaturkompensation wurde zwar angefordert, aber entweder sind die Taster seit dem Einschalten nicht kalibriert worden oder aber der Temperaturwechsel seit der Tasterkalibrierung überschreitet das konfigurierte System-Limit. Der Wert, der mit der Meldung angezeigt wurde, gibt an, ob die Warnung durch die erste (1) oder die zweite (2) Bedingung ausgelöst wurde.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Kalibrieren Sie die Taster neu, um höchste Systemgenauigkeit zu gewährleisten.


TempKomp-206 Drehtisch-Kalibrierung möglicherweise ungültig

Temperaturkompensation wurde zwar angefordert, aber der Temperaturwechsel seit der Kalibrierung der Drehtisch-Mitte überschreitet das konfigurierte System-Limit. Die Drehtisch-Mitte sollte neu kalibriert werden, um allerhöchste Systemgenauigkeit zu gewährleisten.

Zusätzliche Informationen finden Sie unter Temperaturkompensation-Fehlercodes.

Gehen Sie folgendermaßen vor:

  1. Kalibrieren Sie die Drehtisch-Mitte neu, um allerhöchste Systemgenauigkeit zu gewährleisten.


TF - Berührungsmodus Aus

Der TF-Befehl hindert das System daran, Auslenkungen des Berührungstasters zu erkennen, außer bei Tast- oder Suchbefehlen. In diesem Modus ist das System in der Lage, Berührungen, die aus Vibrationen eines langen Tasters während des Fahrens bei hoher Geschwindigkeit resultieren, zu ignorieren. Äußerste Vorsicht ist bei Anwendung dieser Funktion geboten, da bei einem intensiven Kontakt des Tasters mit der Oberfläche ein Schaden entstehen kann.

Jedes Mal, wenn dieser Befehl in einem Werkstückprogramm angewendet wird, sollte der TN-Befehl angewandt werden, um den Berührungstaster neu zu aktivieren, bevor das Werkstückprogramm beendet wird.

Befehlsformat

MLString "TF"

Beispiel

  1. MLString "TF"

Eingabe

Keine.

Ergebnisse

Nachdem dieser Befehl ausgeführt wird, erkennt das System keine Messpunkte des Berührungstasters außer während der programmierten CNC-Berührungsvorgänge. Die Erkennung der Messpunkte des Berührungstasters kann wieder durch den TN-Befehl oder durch eine Werkstückprogramm-Initialisierung aktiviert werden.

Auslass-Aktion

Wird selbst innerhalb eines übersprungenen Blocks ausgeführt.

Fehlermeldungen:

  • MLB-090 CNC ist nicht verfügbar.


TN - Berührungstaster aktivieren

Der TN-Befehl schaltet den Berührungsmodus ein, wobei der zuvor deaktivierte Berührungstaster über den TF-Befehl neu aktiviert wird. Bei der Verwendung eines analogen Drei-Achsen-Tasters (beispielsweise des Renishaw SP-600) wird der elastische (Soft-) Taster deaktiviert (siehe den BF-Befehl).

Befehlsformat

MLString "TN"

Beispiel

  1. MLString "TN"

Eingabe

Keine.

Ergebnisse

Der Berührungstaster wird während allen Bewegungen aktiviert.

Auslass-Aktion

Wird selbst innerhalb eines übersprungenen Blocks ausgeführt.

Fehlermeldungen:

  • MLB-090 CNC ist nicht verfügbar.


Einrichten eines Standardprotokolls für ein Werkstückprogramm

Ein standardisiertes HyperView-Protokoll für ein Werkstückprogramm ist ein Protokoll, das am Ende der Werkstückprogramm-Ausführung automatisch geladen und gedruckt wird. Dieses Standardprotokoll kann so eingerichtet werden, dass es bei jedem ausgeführten Werkstückprogramm geladen und gedruckt wird. So richten Sie das Standardprotokoll ein:

  1. Menü-Übersicht anzeigen Wählen Sie die Menüoption Bearbeiten | Einstellungen | Layout des Bearbeitungsfensters. Das gleichnamige Dialogfeld erscheint.

  2. Öffnen Sie im daraufhin eingeblendeten Dialogfeld Anzeigeoptionen für Protokolle die Registerkarte Hyper-Protokoll.

Dialogfeld "Layout des Bearbeitungsfensters" - Registerkarte "Hyper-Protokoll"

Wenn das Kontrollkästchen Hyper-Protokoll autom. laden markiert ist, wird am Ende des Werkstückprogramms ein HyperView-Protokoll ausgeführt.

Ist das Kontrollkästchen Hyper-Protokoll autom. laden markiert, geben Sie den Namen der zu ladenden Hyper-Protokolldatei ein oder verwenden Sie das Standardprotokoll. Bestimmen Sie die Datei, indem Sie den Dateinamen in das Bearbeitungsfeld HyperReport-Datei eingeben, oder klicken Sie auf die Schaltfläche Suchen, um die Protokolldatei mit dem Standarddialogfeld Öffnen auszuwählen. Wenn Sie das Standardprotokoll verwenden möchten, markieren Sie das Kontrollkästchen Standardprotokoll verwenden.

Hinweis: Das Standardprotokoll wird in der .INI-Datei von PC-DMIS aufgezeichnet. Zuerst, direkt nach der Installation, gibt es in dieser Datei kein Standardprotokoll. Sie können das Standardprotokoll definieren, indem Sie sicherstellen, dass das Kontrollkästchen Standardprotokoll verwenden deaktiviert ist, eine Hyper-Protokolldatei auswählen und dann das Kontrollkästchen Standardprotokoll verwenden markieren. Damit wird das Standardprotokoll in der .INI-Datei auf die im Bearbeitungsfeld Hyper-Protokolldatei angegebene Datei eingestellt.